/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of the License "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/


#include <e32std.h>
#include <convdata.h>
#include <convgeneratedcpp.h>

#define ARRAY_LENGTH(aArray) (sizeof(aArray)/sizeof((aArray)[0]))

#pragma warning (disable: 4049) // compiler limit : terminating line number emission

_LIT8(KLit8ReplacementForUnconvertibleUnicodeCharacters, "\xa3\xbf");

GLDEF_C const TDesC8& ReplacementForUnconvertibleUnicodeCharacters_internal()
	{
	return KLit8ReplacementForUnconvertibleUnicodeCharacters;
	}

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange::UData::SKeyedTable1616::SEntry keyedTable1616_foreignToUnicode_1[]=
	{
		{
		0xa6ee,
		0xfe3b
		},
		{
		0xa6ef,
		0xfe3c
		},
		{
		0xa6f0,
		0xfe37
		},
		{
		0xa6f1,
		0xfe38
		},
		{
		0xa6f2,
		0xfe31
		},
		{
		0xa6f4,
		0xfe33
		},
		{
		0xa6f5,
		0xfe34
		},
		{
		0xa8bb,
		0x0251
		},
		{
		0xa8bd,
		0x0144
		},
		{
		0xa8be,
		0x0148
		},
		{
		0xa8c0,
		0x0261
		},
		{
		0xa959,
		0x2121
		},
		{
		0xa95a,
		0x3231
		},
		{
		0xa95c,
		0x2010
		},
		{
		0xa996,
		0x3007
		}
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_1[]=
	{
	0x4e02,
	0x4e04,
	0x4e05,
	0x4e06,
	0x4e0f,
	0x4e12,
	0x4e17,
	0x4e1f,
	0x4e20,
	0x4e21,
	0x4e23,
	0x4e26,
	0x4e29,
	0x4e2e,
	0x4e2f,
	0x4e31,
	0x4e33,
	0x4e35,
	0x4e37,
	0x4e3c,
	0x4e40,
	0x4e41,
	0x4e42,
	0x4e44,
	0x4e46,
	0x4e4a,
	0x4e51,
	0x4e55,
	0x4e57,
	0x4e5a,
	0x4e5b,
	0x4e62,
	0x4e63,
	0x4e64,
	0x4e65,
	0x4e67,
	0x4e68,
	0x4e6a,
	0x4e6b,
	0x4e6c,
	0x4e6d,
	0x4e6e,
	0x4e6f,
	0x4e72,
	0x4e74,
	0x4e75,
	0x4e76,
	0x4e77,
	0x4e78,
	0x4e79,
	0x4e7a,
	0x4e7b,
	0x4e7c,
	0x4e7d,
	0x4e7f,
	0x4e80,
	0x4e81,
	0x4e82,
	0x4e83,
	0x4e84,
	0x4e85,
	0x4e87,
	0x4e8a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_2[]=
	{
	0x4e90,
	0x4e96,
	0x4e97,
	0x4e99,
	0x4e9c,
	0x4e9d,
	0x4e9e,
	0x4ea3,
	0x4eaa,
	0x4eaf,
	0x4eb0,
	0x4eb1,
	0x4eb4,
	0x4eb6,
	0x4eb7,
	0x4eb8,
	0x4eb9,
	0x4ebc,
	0x4ebd,
	0x4ebe,
	0x4ec8,
	0x4ecc,
	0x4ecf,
	0x4ed0,
	0x4ed2,
	0x4eda,
	0x4edb,
	0x4edc,
	0x4ee0,
	0x4ee2,
	0x4ee6,
	0x4ee7,
	0x4ee9,
	0x4eed,
	0x4eee,
	0x4eef,
	0x4ef1,
	0x4ef4,
	0x4ef8,
	0x4ef9,
	0x4efa,
	0x4efc,
	0x4efe,
	0x4f00,
	0x4f02,
	0x4f03,
	0x4f04,
	0x4f05,
	0x4f06,
	0x4f07,
	0x4f08,
	0x4f0b,
	0x4f0c,
	0x4f12,
	0x4f13,
	0x4f14,
	0x4f15,
	0x4f16,
	0x4f1c,
	0x4f1d,
	0x4f21,
	0x4f23,
	0x4f28,
	0x4f29,
	0x4f2c,
	0x4f2d,
	0x4f2e,
	0x4f31,
	0x4f33,
	0x4f35,
	0x4f37,
	0x4f39,
	0x4f3b,
	0x4f3e,
	0x4f3f,
	0x4f40,
	0x4f41,
	0x4f42,
	0x4f44,
	0x4f45,
	0x4f47,
	0x4f48,
	0x4f49,
	0x4f4a,
	0x4f4b,
	0x4f4c,
	0x4f52,
	0x4f54,
	0x4f56,
	0x4f61,
	0x4f62,
	0x4f66,
	0x4f68,
	0x4f6a,
	0x4f6b,
	0x4f6d,
	0x4f6e,
	0x4f71,
	0x4f72,
	0x4f75,
	0x4f77,
	0x4f78,
	0x4f79,
	0x4f7a,
	0x4f7d,
	0x4f80,
	0x4f81,
	0x4f82,
	0x4f85,
	0x4f86,
	0x4f87,
	0x4f8a,
	0x4f8c,
	0x4f8e,
	0x4f90,
	0x4f92,
	0x4f93,
	0x4f95,
	0x4f96,
	0x4f98,
	0x4f99,
	0x4f9a,
	0x4f9c,
	0x4f9e,
	0x4f9f,
	0x4fa1,
	0x4fa2
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_3[]=
	{
	0x4fa4,
	0x4fab,
	0x4fad,
	0x4fb0,
	0x4fb1,
	0x4fb2,
	0x4fb3,
	0x4fb4,
	0x4fb6,
	0x4fb7,
	0x4fb8,
	0x4fb9,
	0x4fba,
	0x4fbb,
	0x4fbc,
	0x4fbd,
	0x4fbe,
	0x4fc0,
	0x4fc1,
	0x4fc2,
	0x4fc6,
	0x4fc7,
	0x4fc8,
	0x4fc9,
	0x4fcb,
	0x4fcc,
	0x4fcd,
	0x4fd2,
	0x4fd3,
	0x4fd4,
	0x4fd5,
	0x4fd6,
	0x4fd9,
	0x4fdb,
	0x4fe0,
	0x4fe2,
	0x4fe4,
	0x4fe5,
	0x4fe7,
	0x4feb,
	0x4fec,
	0x4ff0,
	0x4ff2,
	0x4ff4,
	0x4ff5,
	0x4ff6,
	0x4ff7,
	0x4ff9,
	0x4ffb,
	0x4ffc,
	0x4ffd,
	0x4fff,
	0x5000,
	0x5001,
	0x5002,
	0x5003,
	0x5004,
	0x5005,
	0x5006,
	0x5007,
	0x5008,
	0x5009,
	0x500a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_4[]=
	{
	0x500b,
	0x500e,
	0x5010,
	0x5011,
	0x5013,
	0x5015,
	0x5016,
	0x5017,
	0x501b,
	0x501d,
	0x501e,
	0x5020,
	0x5022,
	0x5023,
	0x5024,
	0x5027,
	0x502b,
	0x502f,
	0x5030,
	0x5031,
	0x5032,
	0x5033,
	0x5034,
	0x5035,
	0x5036,
	0x5037,
	0x5038,
	0x5039,
	0x503b,
	0x503d,
	0x503f,
	0x5040,
	0x5041,
	0x5042,
	0x5044,
	0x5045,
	0x5046,
	0x5049,
	0x504a,
	0x504b,
	0x504d,
	0x5050,
	0x5051,
	0x5052,
	0x5053,
	0x5054,
	0x5056,
	0x5057,
	0x5058,
	0x5059,
	0x505b,
	0x505d,
	0x505e,
	0x505f,
	0x5060,
	0x5061,
	0x5062,
	0x5063,
	0x5064,
	0x5066,
	0x5067,
	0x5068,
	0x5069,
	0x506a,
	0x506b,
	0x506d,
	0x506e,
	0x506f,
	0x5070,
	0x5071,
	0x5072,
	0x5073,
	0x5074,
	0x5075,
	0x5078,
	0x5079,
	0x507a,
	0x507c,
	0x507d,
	0x5081,
	0x5082,
	0x5083,
	0x5084,
	0x5086,
	0x5087,
	0x5089,
	0x508a,
	0x508b,
	0x508c,
	0x508e,
	0x508f,
	0x5090,
	0x5091,
	0x5092,
	0x5093,
	0x5094,
	0x5095,
	0x5096,
	0x5097,
	0x5098,
	0x5099,
	0x509a,
	0x509b,
	0x509c,
	0x509d,
	0x509e,
	0x509f,
	0x50a0,
	0x50a1,
	0x50a2,
	0x50a4,
	0x50a6,
	0x50aa,
	0x50ab,
	0x50ad,
	0x50ae,
	0x50af,
	0x50b0,
	0x50b1,
	0x50b3,
	0x50b4,
	0x50b5,
	0x50b6,
	0x50b7,
	0x50b8,
	0x50b9,
	0x50bc
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_5[]=
	{
	0x50bd,
	0x50be,
	0x50bf,
	0x50c0,
	0x50c1,
	0x50c2,
	0x50c3,
	0x50c4,
	0x50c5,
	0x50c6,
	0x50c7,
	0x50c8,
	0x50c9,
	0x50ca,
	0x50cb,
	0x50cc,
	0x50cd,
	0x50ce,
	0x50d0,
	0x50d1,
	0x50d2,
	0x50d3,
	0x50d4,
	0x50d5,
	0x50d7,
	0x50d8,
	0x50d9,
	0x50db,
	0x50dc,
	0x50dd,
	0x50de,
	0x50df,
	0x50e0,
	0x50e1,
	0x50e2,
	0x50e3,
	0x50e4,
	0x50e5,
	0x50e8,
	0x50e9,
	0x50ea,
	0x50eb,
	0x50ef,
	0x50f0,
	0x50f1,
	0x50f2,
	0x50f4,
	0x50f6,
	0x50f7,
	0x50f8,
	0x50f9,
	0x50fa,
	0x50fc,
	0x50fd,
	0x50fe,
	0x50ff,
	0x5100,
	0x5101,
	0x5102,
	0x5103,
	0x5104,
	0x5105,
	0x5108
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_6[]=
	{
	0x5109,
	0x510a,
	0x510c,
	0x510d,
	0x510e,
	0x510f,
	0x5110,
	0x5111,
	0x5113,
	0x5114,
	0x5115,
	0x5116,
	0x5117,
	0x5118,
	0x5119,
	0x511a,
	0x511b,
	0x511c,
	0x511d,
	0x511e,
	0x511f,
	0x5120,
	0x5122,
	0x5123,
	0x5124,
	0x5125,
	0x5126,
	0x5127,
	0x5128,
	0x5129,
	0x512a,
	0x512b,
	0x512c,
	0x512d,
	0x512e,
	0x512f,
	0x5130,
	0x5131,
	0x5132,
	0x5133,
	0x5134,
	0x5135,
	0x5136,
	0x5137,
	0x5138,
	0x5139,
	0x513a,
	0x513b,
	0x513c,
	0x513d,
	0x513e,
	0x5142,
	0x5147,
	0x514a,
	0x514c,
	0x514e,
	0x514f,
	0x5150,
	0x5152,
	0x5153,
	0x5157,
	0x5158,
	0x5159,
	0x515b,
	0x515d,
	0x515e,
	0x515f,
	0x5160,
	0x5161,
	0x5163,
	0x5164,
	0x5166,
	0x5167,
	0x5169,
	0x516a,
	0x516f,
	0x5172,
	0x517a,
	0x517e,
	0x517f,
	0x5183,
	0x5184,
	0x5186,
	0x5187,
	0x518a,
	0x518b,
	0x518e,
	0x518f,
	0x5190,
	0x5191,
	0x5193,
	0x5194,
	0x5198,
	0x519a,
	0x519d,
	0x519e,
	0x519f,
	0x51a1,
	0x51a3,
	0x51a6,
	0x51a7,
	0x51a8,
	0x51a9,
	0x51aa,
	0x51ad,
	0x51ae,
	0x51b4,
	0x51b8,
	0x51b9,
	0x51ba,
	0x51be,
	0x51bf,
	0x51c1,
	0x51c2,
	0x51c3,
	0x51c5,
	0x51c8,
	0x51ca,
	0x51cd,
	0x51ce,
	0x51d0,
	0x51d2,
	0x51d3,
	0x51d4,
	0x51d5,
	0x51d6,
	0x51d7
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_7[]=
	{
	0x51d8,
	0x51d9,
	0x51da,
	0x51dc,
	0x51de,
	0x51df,
	0x51e2,
	0x51e3,
	0x51e5,
	0x51e6,
	0x51e7,
	0x51e8,
	0x51e9,
	0x51ea,
	0x51ec,
	0x51ee,
	0x51f1,
	0x51f2,
	0x51f4,
	0x51f7,
	0x51fe,
	0x5204,
	0x5205,
	0x5209,
	0x520b,
	0x520c,
	0x520f,
	0x5210,
	0x5213,
	0x5214,
	0x5215,
	0x521c,
	0x521e,
	0x521f,
	0x5221,
	0x5222,
	0x5223,
	0x5225,
	0x5226,
	0x5227,
	0x522a,
	0x522c,
	0x522f,
	0x5231,
	0x5232,
	0x5234,
	0x5235,
	0x523c,
	0x523e,
	0x5244,
	0x5245,
	0x5246,
	0x5247,
	0x5248,
	0x5249,
	0x524b,
	0x524e,
	0x524f,
	0x5252,
	0x5253,
	0x5255,
	0x5257,
	0x5258
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_8[]=
	{
	0x5259,
	0x525a,
	0x525b,
	0x525d,
	0x525f,
	0x5260,
	0x5262,
	0x5263,
	0x5264,
	0x5266,
	0x5268,
	0x526b,
	0x526c,
	0x526d,
	0x526e,
	0x5270,
	0x5271,
	0x5273,
	0x5274,
	0x5275,
	0x5276,
	0x5277,
	0x5278,
	0x5279,
	0x527a,
	0x527b,
	0x527c,
	0x527e,
	0x5280,
	0x5283,
	0x5284,
	0x5285,
	0x5286,
	0x5287,
	0x5289,
	0x528a,
	0x528b,
	0x528c,
	0x528d,
	0x528e,
	0x528f,
	0x5291,
	0x5292,
	0x5294,
	0x5295,
	0x5296,
	0x5297,
	0x5298,
	0x5299,
	0x529a,
	0x529c,
	0x52a4,
	0x52a5,
	0x52a6,
	0x52a7,
	0x52ae,
	0x52af,
	0x52b0,
	0x52b4,
	0x52b5,
	0x52b6,
	0x52b7,
	0x52b8,
	0x52b9,
	0x52ba,
	0x52bb,
	0x52bc,
	0x52bd,
	0x52c0,
	0x52c1,
	0x52c2,
	0x52c4,
	0x52c5,
	0x52c6,
	0x52c8,
	0x52ca,
	0x52cc,
	0x52cd,
	0x52ce,
	0x52cf,
	0x52d1,
	0x52d3,
	0x52d4,
	0x52d5,
	0x52d7,
	0x52d9,
	0x52da,
	0x52db,
	0x52dc,
	0x52dd,
	0x52de,
	0x52e0,
	0x52e1,
	0x52e2,
	0x52e3,
	0x52e5,
	0x52e6,
	0x52e7,
	0x52e8,
	0x52e9,
	0x52ea,
	0x52eb,
	0x52ec,
	0x52ed,
	0x52ee,
	0x52ef,
	0x52f1,
	0x52f2,
	0x52f3,
	0x52f4,
	0x52f5,
	0x52f6,
	0x52f7,
	0x52f8,
	0x52fb,
	0x52fc,
	0x52fd,
	0x5301,
	0x5302,
	0x5303,
	0x5304,
	0x5307,
	0x5309,
	0x530a,
	0x530b,
	0x530c,
	0x530e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_9[]=
	{
	0x5311,
	0x5312,
	0x5313,
	0x5314,
	0x5318,
	0x531b,
	0x531c,
	0x531e,
	0x531f,
	0x5322,
	0x5324,
	0x5325,
	0x5327,
	0x5328,
	0x5329,
	0x532b,
	0x532c,
	0x532d,
	0x532f,
	0x5330,
	0x5331,
	0x5332,
	0x5333,
	0x5334,
	0x5335,
	0x5336,
	0x5337,
	0x5338,
	0x533c,
	0x533d,
	0x5340,
	0x5342,
	0x5344,
	0x5346,
	0x534b,
	0x534c,
	0x534d,
	0x5350,
	0x5354,
	0x5358,
	0x5359,
	0x535b,
	0x535d,
	0x5365,
	0x5368,
	0x536a,
	0x536c,
	0x536d,
	0x5372,
	0x5376,
	0x5379,
	0x537b,
	0x537c,
	0x537d,
	0x537e,
	0x5380,
	0x5381,
	0x5383,
	0x5387,
	0x5388,
	0x538a,
	0x538e,
	0x538f
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_10[]=
	{
	0x5390,
	0x5391,
	0x5392,
	0x5393,
	0x5394,
	0x5396,
	0x5397,
	0x5399,
	0x539b,
	0x539c,
	0x539e,
	0x53a0,
	0x53a1,
	0x53a4,
	0x53a7,
	0x53aa,
	0x53ab,
	0x53ac,
	0x53ad,
	0x53af,
	0x53b0,
	0x53b1,
	0x53b2,
	0x53b3,
	0x53b4,
	0x53b5,
	0x53b7,
	0x53b8,
	0x53b9,
	0x53ba,
	0x53bc,
	0x53bd,
	0x53be,
	0x53c0,
	0x53c3,
	0x53c4,
	0x53c5,
	0x53c6,
	0x53c7,
	0x53ce,
	0x53cf,
	0x53d0,
	0x53d2,
	0x53d3,
	0x53d5,
	0x53da,
	0x53dc,
	0x53dd,
	0x53de,
	0x53e1,
	0x53e2,
	0x53e7,
	0x53f4,
	0x53fa,
	0x53fe,
	0x53ff,
	0x5400,
	0x5402,
	0x5405,
	0x5407,
	0x540b,
	0x5414,
	0x5418,
	0x5419,
	0x541a,
	0x541c,
	0x5422,
	0x5424,
	0x5425,
	0x542a,
	0x5430,
	0x5433,
	0x5436,
	0x5437,
	0x543a,
	0x543d,
	0x543f,
	0x5441,
	0x5442,
	0x5444,
	0x5445,
	0x5447,
	0x5449,
	0x544c,
	0x544d,
	0x544e,
	0x544f,
	0x5451,
	0x545a,
	0x545d,
	0x545e,
	0x545f,
	0x5460,
	0x5461,
	0x5463,
	0x5465,
	0x5467,
	0x5469,
	0x546a,
	0x546b,
	0x546c,
	0x546d,
	0x546e,
	0x546f,
	0x5470,
	0x5474,
	0x5479,
	0x547a,
	0x547e,
	0x547f,
	0x5481,
	0x5483,
	0x5485,
	0x5487,
	0x5488,
	0x5489,
	0x548a,
	0x548d,
	0x5491,
	0x5493,
	0x5497,
	0x5498,
	0x549c,
	0x549e,
	0x549f,
	0x54a0,
	0x54a1
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_11[]=
	{
	0x54a2,
	0x54a5,
	0x54ae,
	0x54b0,
	0x54b2,
	0x54b5,
	0x54b6,
	0x54b7,
	0x54b9,
	0x54ba,
	0x54bc,
	0x54be,
	0x54c3,
	0x54c5,
	0x54ca,
	0x54cb,
	0x54d6,
	0x54d8,
	0x54db,
	0x54e0,
	0x54e1,
	0x54e2,
	0x54e3,
	0x54e4,
	0x54eb,
	0x54ec,
	0x54ef,
	0x54f0,
	0x54f1,
	0x54f4,
	0x54f5,
	0x54f6,
	0x54f7,
	0x54f8,
	0x54f9,
	0x54fb,
	0x54fe,
	0x5500,
	0x5502,
	0x5503,
	0x5504,
	0x5505,
	0x5508,
	0x550a,
	0x550b,
	0x550c,
	0x550d,
	0x550e,
	0x5512,
	0x5513,
	0x5515,
	0x5516,
	0x5517,
	0x5518,
	0x5519,
	0x551a,
	0x551c,
	0x551d,
	0x551e,
	0x551f,
	0x5521,
	0x5525,
	0x5526
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_12[]=
	{
	0x5528,
	0x5529,
	0x552b,
	0x552d,
	0x5532,
	0x5534,
	0x5535,
	0x5536,
	0x5538,
	0x5539,
	0x553a,
	0x553b,
	0x553d,
	0x5540,
	0x5542,
	0x5545,
	0x5547,
	0x5548,
	0x554b,
	0x554c,
	0x554d,
	0x554e,
	0x554f,
	0x5551,
	0x5552,
	0x5553,
	0x5554,
	0x5557,
	0x5558,
	0x5559,
	0x555a,
	0x555b,
	0x555d,
	0x555e,
	0x555f,
	0x5560,
	0x5562,
	0x5563,
	0x5568,
	0x5569,
	0x556b,
	0x556f,
	0x5570,
	0x5571,
	0x5572,
	0x5573,
	0x5574,
	0x5579,
	0x557a,
	0x557d,
	0x557f,
	0x5585,
	0x5586,
	0x558c,
	0x558d,
	0x558e,
	0x5590,
	0x5592,
	0x5593,
	0x5595,
	0x5596,
	0x5597,
	0x559a,
	0x559b,
	0x559e,
	0x55a0,
	0x55a1,
	0x55a2,
	0x55a3,
	0x55a4,
	0x55a5,
	0x55a6,
	0x55a8,
	0x55a9,
	0x55aa,
	0x55ab,
	0x55ac,
	0x55ad,
	0x55ae,
	0x55af,
	0x55b0,
	0x55b2,
	0x55b4,
	0x55b6,
	0x55b8,
	0x55ba,
	0x55bc,
	0x55bf,
	0x55c0,
	0x55c1,
	0x55c2,
	0x55c3,
	0x55c6,
	0x55c7,
	0x55c8,
	0x55ca,
	0x55cb,
	0x55ce,
	0x55cf,
	0x55d0,
	0x55d5,
	0x55d7,
	0x55d8,
	0x55d9,
	0x55da,
	0x55db,
	0x55de,
	0x55e0,
	0x55e2,
	0x55e7,
	0x55e9,
	0x55ed,
	0x55ee,
	0x55f0,
	0x55f1,
	0x55f4,
	0x55f6,
	0x55f8,
	0x55f9,
	0x55fa,
	0x55fb,
	0x55fc,
	0x55ff,
	0x5602,
	0x5603,
	0x5604,
	0x5605
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_13[]=
	{
	0x5606,
	0x5607,
	0x560a,
	0x560b,
	0x560d,
	0x5610,
	0x5611,
	0x5612,
	0x5613,
	0x5614,
	0x5615,
	0x5616,
	0x5617,
	0x5619,
	0x561a,
	0x561c,
	0x561d,
	0x5620,
	0x5621,
	0x5622,
	0x5625,
	0x5626,
	0x5628,
	0x5629,
	0x562a,
	0x562b,
	0x562e,
	0x562f,
	0x5630,
	0x5633,
	0x5635,
	0x5637,
	0x5638,
	0x563a,
	0x563c,
	0x563d,
	0x563e,
	0x5640,
	0x5641,
	0x5642,
	0x5643,
	0x5644,
	0x5645,
	0x5646,
	0x5647,
	0x5648,
	0x5649,
	0x564a,
	0x564b,
	0x564f,
	0x5650,
	0x5651,
	0x5652,
	0x5653,
	0x5655,
	0x5656,
	0x565a,
	0x565b,
	0x565d,
	0x565e,
	0x565f,
	0x5660,
	0x5661
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_14[]=
	{
	0x5663,
	0x5665,
	0x5666,
	0x5667,
	0x566d,
	0x566e,
	0x566f,
	0x5670,
	0x5672,
	0x5673,
	0x5674,
	0x5675,
	0x5677,
	0x5678,
	0x5679,
	0x567a,
	0x567d,
	0x567e,
	0x567f,
	0x5680,
	0x5681,
	0x5682,
	0x5683,
	0x5684,
	0x5687,
	0x5688,
	0x5689,
	0x568a,
	0x568b,
	0x568c,
	0x568d,
	0x5690,
	0x5691,
	0x5692,
	0x5694,
	0x5695,
	0x5696,
	0x5697,
	0x5698,
	0x5699,
	0x569a,
	0x569b,
	0x569c,
	0x569d,
	0x569e,
	0x569f,
	0x56a0,
	0x56a1,
	0x56a2,
	0x56a4,
	0x56a5,
	0x56a6,
	0x56a7,
	0x56a8,
	0x56a9,
	0x56aa,
	0x56ab,
	0x56ac,
	0x56ad,
	0x56ae,
	0x56b0,
	0x56b1,
	0x56b2,
	0x56b3,
	0x56b4,
	0x56b5,
	0x56b6,
	0x56b8,
	0x56b9,
	0x56ba,
	0x56bb,
	0x56bd,
	0x56be,
	0x56bf,
	0x56c0,
	0x56c1,
	0x56c2,
	0x56c3,
	0x56c4,
	0x56c5,
	0x56c6,
	0x56c7,
	0x56c8,
	0x56c9,
	0x56cb,
	0x56cc,
	0x56cd,
	0x56ce,
	0x56cf,
	0x56d0,
	0x56d1,
	0x56d2,
	0x56d3,
	0x56d5,
	0x56d6,
	0x56d8,
	0x56d9,
	0x56dc,
	0x56e3,
	0x56e5,
	0x56e6,
	0x56e7,
	0x56e8,
	0x56e9,
	0x56ea,
	0x56ec,
	0x56ee,
	0x56ef,
	0x56f2,
	0x56f3,
	0x56f6,
	0x56f7,
	0x56f8,
	0x56fb,
	0x56fc,
	0x5700,
	0x5701,
	0x5702,
	0x5705,
	0x5707,
	0x570b,
	0x570c,
	0x570d,
	0x570e,
	0x570f,
	0x5710,
	0x5711
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_15[]=
	{
	0x5712,
	0x5713,
	0x5714,
	0x5715,
	0x5716,
	0x5717,
	0x5718,
	0x5719,
	0x571a,
	0x571b,
	0x571d,
	0x571e,
	0x5720,
	0x5721,
	0x5722,
	0x5724,
	0x5725,
	0x5726,
	0x5727,
	0x572b,
	0x5731,
	0x5732,
	0x5734,
	0x5735,
	0x5736,
	0x5737,
	0x5738,
	0x573c,
	0x573d,
	0x573f,
	0x5741,
	0x5743,
	0x5744,
	0x5745,
	0x5746,
	0x5748,
	0x5749,
	0x574b,
	0x5752,
	0x5753,
	0x5754,
	0x5755,
	0x5756,
	0x5758,
	0x5759,
	0x5762,
	0x5763,
	0x5765,
	0x5767,
	0x576c,
	0x576e,
	0x5770,
	0x5771,
	0x5772,
	0x5774,
	0x5775,
	0x5778,
	0x5779,
	0x577a,
	0x577d,
	0x577e,
	0x577f,
	0x5780
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_16[]=
	{
	0x5781,
	0x5787,
	0x5788,
	0x5789,
	0x578a,
	0x578d,
	0x578e,
	0x578f,
	0x5790,
	0x5791,
	0x5794,
	0x5795,
	0x5796,
	0x5797,
	0x5798,
	0x5799,
	0x579a,
	0x579c,
	0x579d,
	0x579e,
	0x579f,
	0x57a5,
	0x57a8,
	0x57aa,
	0x57ac,
	0x57af,
	0x57b0,
	0x57b1,
	0x57b3,
	0x57b5,
	0x57b6,
	0x57b7,
	0x57b9,
	0x57ba,
	0x57bb,
	0x57bc,
	0x57bd,
	0x57be,
	0x57bf,
	0x57c0,
	0x57c1,
	0x57c4,
	0x57c5,
	0x57c6,
	0x57c7,
	0x57c8,
	0x57c9,
	0x57ca,
	0x57cc,
	0x57cd,
	0x57d0,
	0x57d1,
	0x57d3,
	0x57d6,
	0x57d7,
	0x57db,
	0x57dc,
	0x57de,
	0x57e1,
	0x57e2,
	0x57e3,
	0x57e5,
	0x57e6,
	0x57e7,
	0x57e8,
	0x57e9,
	0x57ea,
	0x57eb,
	0x57ec,
	0x57ee,
	0x57f0,
	0x57f1,
	0x57f2,
	0x57f3,
	0x57f5,
	0x57f6,
	0x57f7,
	0x57fb,
	0x57fc,
	0x57fe,
	0x57ff,
	0x5801,
	0x5803,
	0x5804,
	0x5805,
	0x5808,
	0x5809,
	0x580a,
	0x580c,
	0x580e,
	0x580f,
	0x5810,
	0x5812,
	0x5813,
	0x5814,
	0x5816,
	0x5817,
	0x5818,
	0x581a,
	0x581b,
	0x581c,
	0x581d,
	0x581f,
	0x5822,
	0x5823,
	0x5825,
	0x5826,
	0x5827,
	0x5828,
	0x5829,
	0x582b,
	0x582c,
	0x582d,
	0x582e,
	0x582f,
	0x5831,
	0x5832,
	0x5833,
	0x5834,
	0x5836,
	0x5837,
	0x5838,
	0x5839,
	0x583a,
	0x583b,
	0x583c,
	0x583d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_17[]=
	{
	0x583e,
	0x583f,
	0x5840,
	0x5841,
	0x5842,
	0x5843,
	0x5845,
	0x5846,
	0x5847,
	0x5848,
	0x5849,
	0x584a,
	0x584b,
	0x584e,
	0x584f,
	0x5850,
	0x5852,
	0x5853,
	0x5855,
	0x5856,
	0x5857,
	0x5859,
	0x585a,
	0x585b,
	0x585c,
	0x585d,
	0x585f,
	0x5860,
	0x5861,
	0x5862,
	0x5863,
	0x5864,
	0x5866,
	0x5867,
	0x5868,
	0x5869,
	0x586a,
	0x586d,
	0x586e,
	0x586f,
	0x5870,
	0x5871,
	0x5872,
	0x5873,
	0x5874,
	0x5875,
	0x5876,
	0x5877,
	0x5878,
	0x5879,
	0x587a,
	0x587b,
	0x587c,
	0x587d,
	0x587f,
	0x5882,
	0x5884,
	0x5886,
	0x5887,
	0x5888,
	0x588a,
	0x588b,
	0x588c
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_18[]=
	{
	0x588d,
	0x588e,
	0x588f,
	0x5890,
	0x5891,
	0x5894,
	0x5895,
	0x5896,
	0x5897,
	0x5898,
	0x589b,
	0x589c,
	0x589d,
	0x58a0,
	0x58a1,
	0x58a2,
	0x58a3,
	0x58a4,
	0x58a5,
	0x58a6,
	0x58a7,
	0x58aa,
	0x58ab,
	0x58ac,
	0x58ad,
	0x58ae,
	0x58af,
	0x58b0,
	0x58b1,
	0x58b2,
	0x58b3,
	0x58b4,
	0x58b5,
	0x58b6,
	0x58b7,
	0x58b8,
	0x58b9,
	0x58ba,
	0x58bb,
	0x58bd,
	0x58be,
	0x58bf,
	0x58c0,
	0x58c2,
	0x58c3,
	0x58c4,
	0x58c6,
	0x58c7,
	0x58c8,
	0x58c9,
	0x58ca,
	0x58cb,
	0x58cc,
	0x58cd,
	0x58ce,
	0x58cf,
	0x58d0,
	0x58d2,
	0x58d3,
	0x58d4,
	0x58d6,
	0x58d7,
	0x58d8,
	0x58d9,
	0x58da,
	0x58db,
	0x58dc,
	0x58dd,
	0x58de,
	0x58df,
	0x58e0,
	0x58e1,
	0x58e2,
	0x58e3,
	0x58e5,
	0x58e6,
	0x58e7,
	0x58e8,
	0x58e9,
	0x58ea,
	0x58ed,
	0x58ef,
	0x58f1,
	0x58f2,
	0x58f4,
	0x58f5,
	0x58f7,
	0x58f8,
	0x58fa,
	0x58fb,
	0x58fc,
	0x58fd,
	0x58fe,
	0x58ff,
	0x5900,
	0x5901,
	0x5903,
	0x5905,
	0x5906,
	0x5908,
	0x5909,
	0x590a,
	0x590b,
	0x590c,
	0x590e,
	0x5910,
	0x5911,
	0x5912,
	0x5913,
	0x5917,
	0x5918,
	0x591b,
	0x591d,
	0x591e,
	0x5920,
	0x5921,
	0x5922,
	0x5923,
	0x5926,
	0x5928,
	0x592c,
	0x5930,
	0x5932,
	0x5933,
	0x5935,
	0x5936,
	0x593b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_19[]=
	{
	0x593d,
	0x593e,
	0x593f,
	0x5940,
	0x5943,
	0x5945,
	0x5946,
	0x594a,
	0x594c,
	0x594d,
	0x5950,
	0x5952,
	0x5953,
	0x5959,
	0x595b,
	0x595c,
	0x595d,
	0x595e,
	0x595f,
	0x5961,
	0x5963,
	0x5964,
	0x5966,
	0x5967,
	0x5968,
	0x5969,
	0x596a,
	0x596b,
	0x596c,
	0x596d,
	0x596e,
	0x596f,
	0x5970,
	0x5971,
	0x5972,
	0x5975,
	0x5977,
	0x597a,
	0x597b,
	0x597c,
	0x597e,
	0x597f,
	0x5980,
	0x5985,
	0x5989,
	0x598b,
	0x598c,
	0x598e,
	0x598f,
	0x5990,
	0x5991,
	0x5994,
	0x5995,
	0x5998,
	0x599a,
	0x599b,
	0x599c,
	0x599d,
	0x599f,
	0x59a0,
	0x59a1,
	0x59a2,
	0x59a6
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_20[]=
	{
	0x59a7,
	0x59ac,
	0x59ad,
	0x59b0,
	0x59b1,
	0x59b3,
	0x59b4,
	0x59b5,
	0x59b6,
	0x59b7,
	0x59b8,
	0x59ba,
	0x59bc,
	0x59bd,
	0x59bf,
	0x59c0,
	0x59c1,
	0x59c2,
	0x59c3,
	0x59c4,
	0x59c5,
	0x59c7,
	0x59c8,
	0x59c9,
	0x59cc,
	0x59cd,
	0x59ce,
	0x59cf,
	0x59d5,
	0x59d6,
	0x59d9,
	0x59db,
	0x59de,
	0x59df,
	0x59e0,
	0x59e1,
	0x59e2,
	0x59e4,
	0x59e6,
	0x59e7,
	0x59e9,
	0x59ea,
	0x59eb,
	0x59ed,
	0x59ee,
	0x59ef,
	0x59f0,
	0x59f1,
	0x59f2,
	0x59f3,
	0x59f4,
	0x59f5,
	0x59f6,
	0x59f7,
	0x59f8,
	0x59fa,
	0x59fc,
	0x59fd,
	0x59fe,
	0x5a00,
	0x5a02,
	0x5a0a,
	0x5a0b,
	0x5a0d,
	0x5a0e,
	0x5a0f,
	0x5a10,
	0x5a12,
	0x5a14,
	0x5a15,
	0x5a16,
	0x5a17,
	0x5a19,
	0x5a1a,
	0x5a1b,
	0x5a1d,
	0x5a1e,
	0x5a21,
	0x5a22,
	0x5a24,
	0x5a26,
	0x5a27,
	0x5a28,
	0x5a2a,
	0x5a2b,
	0x5a2c,
	0x5a2d,
	0x5a2e,
	0x5a2f,
	0x5a30,
	0x5a33,
	0x5a35,
	0x5a37,
	0x5a38,
	0x5a39,
	0x5a3a,
	0x5a3b,
	0x5a3d,
	0x5a3e,
	0x5a3f,
	0x5a41,
	0x5a42,
	0x5a43,
	0x5a44,
	0x5a45,
	0x5a47,
	0x5a48,
	0x5a4b,
	0x5a4c,
	0x5a4d,
	0x5a4e,
	0x5a4f,
	0x5a50,
	0x5a51,
	0x5a52,
	0x5a53,
	0x5a54,
	0x5a56,
	0x5a57,
	0x5a58,
	0x5a59,
	0x5a5b,
	0x5a5c,
	0x5a5d,
	0x5a5e,
	0x5a5f,
	0x5a60
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_21[]=
	{
	0x5a61,
	0x5a63,
	0x5a64,
	0x5a65,
	0x5a66,
	0x5a68,
	0x5a69,
	0x5a6b,
	0x5a6c,
	0x5a6d,
	0x5a6e,
	0x5a6f,
	0x5a70,
	0x5a71,
	0x5a72,
	0x5a73,
	0x5a78,
	0x5a79,
	0x5a7b,
	0x5a7c,
	0x5a7d,
	0x5a7e,
	0x5a80,
	0x5a81,
	0x5a82,
	0x5a83,
	0x5a84,
	0x5a85,
	0x5a86,
	0x5a87,
	0x5a88,
	0x5a89,
	0x5a8a,
	0x5a8b,
	0x5a8c,
	0x5a8d,
	0x5a8e,
	0x5a8f,
	0x5a90,
	0x5a91,
	0x5a93,
	0x5a94,
	0x5a95,
	0x5a96,
	0x5a97,
	0x5a98,
	0x5a99,
	0x5a9c,
	0x5a9d,
	0x5a9e,
	0x5a9f,
	0x5aa0,
	0x5aa1,
	0x5aa2,
	0x5aa3,
	0x5aa4,
	0x5aa5,
	0x5aa6,
	0x5aa7,
	0x5aa8,
	0x5aa9,
	0x5aab,
	0x5aac
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_22[]=
	{
	0x5aad,
	0x5aae,
	0x5aaf,
	0x5ab0,
	0x5ab1,
	0x5ab4,
	0x5ab6,
	0x5ab7,
	0x5ab9,
	0x5aba,
	0x5abb,
	0x5abc,
	0x5abd,
	0x5abf,
	0x5ac0,
	0x5ac3,
	0x5ac4,
	0x5ac5,
	0x5ac6,
	0x5ac7,
	0x5ac8,
	0x5aca,
	0x5acb,
	0x5acd,
	0x5ace,
	0x5acf,
	0x5ad0,
	0x5ad1,
	0x5ad3,
	0x5ad5,
	0x5ad7,
	0x5ad9,
	0x5ada,
	0x5adb,
	0x5add,
	0x5ade,
	0x5adf,
	0x5ae2,
	0x5ae4,
	0x5ae5,
	0x5ae7,
	0x5ae8,
	0x5aea,
	0x5aec,
	0x5aed,
	0x5aee,
	0x5aef,
	0x5af0,
	0x5af2,
	0x5af3,
	0x5af4,
	0x5af5,
	0x5af6,
	0x5af7,
	0x5af8,
	0x5af9,
	0x5afa,
	0x5afb,
	0x5afc,
	0x5afd,
	0x5afe,
	0x5aff,
	0x5b00,
	0x5b01,
	0x5b02,
	0x5b03,
	0x5b04,
	0x5b05,
	0x5b06,
	0x5b07,
	0x5b08,
	0x5b0a,
	0x5b0b,
	0x5b0c,
	0x5b0d,
	0x5b0e,
	0x5b0f,
	0x5b10,
	0x5b11,
	0x5b12,
	0x5b13,
	0x5b14,
	0x5b15,
	0x5b18,
	0x5b19,
	0x5b1a,
	0x5b1b,
	0x5b1c,
	0x5b1d,
	0x5b1e,
	0x5b1f,
	0x5b20,
	0x5b21,
	0x5b22,
	0x5b23,
	0x5b24,
	0x5b25,
	0x5b26,
	0x5b27,
	0x5b28,
	0x5b29,
	0x5b2a,
	0x5b2b,
	0x5b2c,
	0x5b2d,
	0x5b2e,
	0x5b2f,
	0x5b30,
	0x5b31,
	0x5b33,
	0x5b35,
	0x5b36,
	0x5b38,
	0x5b39,
	0x5b3a,
	0x5b3b,
	0x5b3c,
	0x5b3d,
	0x5b3e,
	0x5b3f,
	0x5b41,
	0x5b42,
	0x5b43,
	0x5b44,
	0x5b45,
	0x5b46,
	0x5b47
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_23[]=
	{
	0x5b48,
	0x5b49,
	0x5b4a,
	0x5b4b,
	0x5b4c,
	0x5b4d,
	0x5b4e,
	0x5b4f,
	0x5b52,
	0x5b56,
	0x5b5e,
	0x5b60,
	0x5b61,
	0x5b67,
	0x5b68,
	0x5b6b,
	0x5b6d,
	0x5b6e,
	0x5b6f,
	0x5b72,
	0x5b74,
	0x5b76,
	0x5b77,
	0x5b78,
	0x5b79,
	0x5b7b,
	0x5b7c,
	0x5b7e,
	0x5b7f,
	0x5b82,
	0x5b86,
	0x5b8a,
	0x5b8d,
	0x5b8e,
	0x5b90,
	0x5b91,
	0x5b92,
	0x5b94,
	0x5b96,
	0x5b9f,
	0x5ba7,
	0x5ba8,
	0x5ba9,
	0x5bac,
	0x5bad,
	0x5bae,
	0x5baf,
	0x5bb1,
	0x5bb2,
	0x5bb7,
	0x5bba,
	0x5bbb,
	0x5bbc,
	0x5bc0,
	0x5bc1,
	0x5bc3,
	0x5bc8,
	0x5bc9,
	0x5bca,
	0x5bcb,
	0x5bcd,
	0x5bce,
	0x5bcf
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_24[]=
	{
	0x5bd1,
	0x5bd4,
	0x5bd5,
	0x5bd6,
	0x5bd7,
	0x5bd8,
	0x5bd9,
	0x5bda,
	0x5bdb,
	0x5bdc,
	0x5be0,
	0x5be2,
	0x5be3,
	0x5be6,
	0x5be7,
	0x5be9,
	0x5bea,
	0x5beb,
	0x5bec,
	0x5bed,
	0x5bef,
	0x5bf1,
	0x5bf2,
	0x5bf3,
	0x5bf4,
	0x5bf5,
	0x5bf6,
	0x5bf7,
	0x5bfd,
	0x5bfe,
	0x5c00,
	0x5c02,
	0x5c03,
	0x5c05,
	0x5c07,
	0x5c08,
	0x5c0b,
	0x5c0c,
	0x5c0d,
	0x5c0e,
	0x5c10,
	0x5c12,
	0x5c13,
	0x5c17,
	0x5c19,
	0x5c1b,
	0x5c1e,
	0x5c1f,
	0x5c20,
	0x5c21,
	0x5c23,
	0x5c26,
	0x5c28,
	0x5c29,
	0x5c2a,
	0x5c2b,
	0x5c2d,
	0x5c2e,
	0x5c2f,
	0x5c30,
	0x5c32,
	0x5c33,
	0x5c35,
	0x5c36,
	0x5c37,
	0x5c43,
	0x5c44,
	0x5c46,
	0x5c47,
	0x5c4c,
	0x5c4d,
	0x5c52,
	0x5c53,
	0x5c54,
	0x5c56,
	0x5c57,
	0x5c58,
	0x5c5a,
	0x5c5b,
	0x5c5c,
	0x5c5d,
	0x5c5f,
	0x5c62,
	0x5c64,
	0x5c67,
	0x5c68,
	0x5c69,
	0x5c6a,
	0x5c6b,
	0x5c6c,
	0x5c6d,
	0x5c70,
	0x5c72,
	0x5c73,
	0x5c74,
	0x5c75,
	0x5c76,
	0x5c77,
	0x5c78,
	0x5c7b,
	0x5c7c,
	0x5c7d,
	0x5c7e,
	0x5c80,
	0x5c83,
	0x5c84,
	0x5c85,
	0x5c86,
	0x5c87,
	0x5c89,
	0x5c8a,
	0x5c8b,
	0x5c8e,
	0x5c8f,
	0x5c92,
	0x5c93,
	0x5c95,
	0x5c9d,
	0x5c9e,
	0x5c9f,
	0x5ca0,
	0x5ca1,
	0x5ca4,
	0x5ca5,
	0x5ca6,
	0x5ca7,
	0x5ca8
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_25[]=
	{
	0x5caa,
	0x5cae,
	0x5caf,
	0x5cb0,
	0x5cb2,
	0x5cb4,
	0x5cb6,
	0x5cb9,
	0x5cba,
	0x5cbb,
	0x5cbc,
	0x5cbe,
	0x5cc0,
	0x5cc2,
	0x5cc3,
	0x5cc5,
	0x5cc6,
	0x5cc7,
	0x5cc8,
	0x5cc9,
	0x5cca,
	0x5ccc,
	0x5ccd,
	0x5cce,
	0x5ccf,
	0x5cd0,
	0x5cd1,
	0x5cd3,
	0x5cd4,
	0x5cd5,
	0x5cd6,
	0x5cd7,
	0x5cd8,
	0x5cda,
	0x5cdb,
	0x5cdc,
	0x5cdd,
	0x5cde,
	0x5cdf,
	0x5ce0,
	0x5ce2,
	0x5ce3,
	0x5ce7,
	0x5ce9,
	0x5ceb,
	0x5cec,
	0x5cee,
	0x5cef,
	0x5cf1,
	0x5cf2,
	0x5cf3,
	0x5cf4,
	0x5cf5,
	0x5cf6,
	0x5cf7,
	0x5cf8,
	0x5cf9,
	0x5cfa,
	0x5cfc,
	0x5cfd,
	0x5cfe,
	0x5cff,
	0x5d00
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_26[]=
	{
	0x5d01,
	0x5d04,
	0x5d05,
	0x5d08,
	0x5d09,
	0x5d0a,
	0x5d0b,
	0x5d0c,
	0x5d0d,
	0x5d0f,
	0x5d10,
	0x5d11,
	0x5d12,
	0x5d13,
	0x5d15,
	0x5d17,
	0x5d18,
	0x5d19,
	0x5d1a,
	0x5d1c,
	0x5d1d,
	0x5d1f,
	0x5d20,
	0x5d21,
	0x5d22,
	0x5d23,
	0x5d25,
	0x5d28,
	0x5d2a,
	0x5d2b,
	0x5d2c,
	0x5d2f,
	0x5d30,
	0x5d31,
	0x5d32,
	0x5d33,
	0x5d35,
	0x5d36,
	0x5d37,
	0x5d38,
	0x5d39,
	0x5d3a,
	0x5d3b,
	0x5d3c,
	0x5d3f,
	0x5d40,
	0x5d41,
	0x5d42,
	0x5d43,
	0x5d44,
	0x5d45,
	0x5d46,
	0x5d48,
	0x5d49,
	0x5d4d,
	0x5d4e,
	0x5d4f,
	0x5d50,
	0x5d51,
	0x5d52,
	0x5d53,
	0x5d54,
	0x5d55,
	0x5d56,
	0x5d57,
	0x5d59,
	0x5d5a,
	0x5d5c,
	0x5d5e,
	0x5d5f,
	0x5d60,
	0x5d61,
	0x5d62,
	0x5d63,
	0x5d64,
	0x5d65,
	0x5d66,
	0x5d67,
	0x5d68,
	0x5d6a,
	0x5d6d,
	0x5d6e,
	0x5d70,
	0x5d71,
	0x5d72,
	0x5d73,
	0x5d75,
	0x5d76,
	0x5d77,
	0x5d78,
	0x5d79,
	0x5d7a,
	0x5d7b,
	0x5d7c,
	0x5d7d,
	0x5d7e,
	0x5d7f,
	0x5d80,
	0x5d81,
	0x5d83,
	0x5d84,
	0x5d85,
	0x5d86,
	0x5d87,
	0x5d88,
	0x5d89,
	0x5d8a,
	0x5d8b,
	0x5d8c,
	0x5d8d,
	0x5d8e,
	0x5d8f,
	0x5d90,
	0x5d91,
	0x5d92,
	0x5d93,
	0x5d94,
	0x5d95,
	0x5d96,
	0x5d97,
	0x5d98,
	0x5d9a,
	0x5d9b,
	0x5d9c,
	0x5d9e,
	0x5d9f,
	0x5da0
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_27[]=
	{
	0x5da1,
	0x5da2,
	0x5da3,
	0x5da4,
	0x5da5,
	0x5da6,
	0x5da7,
	0x5da8,
	0x5da9,
	0x5daa,
	0x5dab,
	0x5dac,
	0x5dad,
	0x5dae,
	0x5daf,
	0x5db0,
	0x5db1,
	0x5db2,
	0x5db3,
	0x5db4,
	0x5db5,
	0x5db6,
	0x5db8,
	0x5db9,
	0x5dba,
	0x5dbb,
	0x5dbc,
	0x5dbd,
	0x5dbe,
	0x5dbf,
	0x5dc0,
	0x5dc1,
	0x5dc2,
	0x5dc3,
	0x5dc4,
	0x5dc6,
	0x5dc7,
	0x5dc8,
	0x5dc9,
	0x5dca,
	0x5dcb,
	0x5dcc,
	0x5dce,
	0x5dcf,
	0x5dd0,
	0x5dd1,
	0x5dd2,
	0x5dd3,
	0x5dd4,
	0x5dd5,
	0x5dd6,
	0x5dd7,
	0x5dd8,
	0x5dd9,
	0x5dda,
	0x5ddc,
	0x5ddf,
	0x5de0,
	0x5de3,
	0x5de4,
	0x5dea,
	0x5dec,
	0x5ded
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_28[]=
	{
	0x5df0,
	0x5df5,
	0x5df6,
	0x5df8,
	0x5df9,
	0x5dfa,
	0x5dfb,
	0x5dfc,
	0x5dff,
	0x5e00,
	0x5e04,
	0x5e07,
	0x5e09,
	0x5e0a,
	0x5e0b,
	0x5e0d,
	0x5e0e,
	0x5e12,
	0x5e13,
	0x5e17,
	0x5e1e,
	0x5e1f,
	0x5e20,
	0x5e21,
	0x5e22,
	0x5e23,
	0x5e24,
	0x5e25,
	0x5e28,
	0x5e29,
	0x5e2a,
	0x5e2b,
	0x5e2c,
	0x5e2f,
	0x5e30,
	0x5e32,
	0x5e33,
	0x5e34,
	0x5e35,
	0x5e36,
	0x5e39,
	0x5e3a,
	0x5e3e,
	0x5e3f,
	0x5e40,
	0x5e41,
	0x5e43,
	0x5e46,
	0x5e47,
	0x5e48,
	0x5e49,
	0x5e4a,
	0x5e4b,
	0x5e4d,
	0x5e4e,
	0x5e4f,
	0x5e50,
	0x5e51,
	0x5e52,
	0x5e53,
	0x5e56,
	0x5e57,
	0x5e58,
	0x5e59,
	0x5e5a,
	0x5e5c,
	0x5e5d,
	0x5e5f,
	0x5e60,
	0x5e63,
	0x5e64,
	0x5e65,
	0x5e66,
	0x5e67,
	0x5e68,
	0x5e69,
	0x5e6a,
	0x5e6b,
	0x5e6c,
	0x5e6d,
	0x5e6e,
	0x5e6f,
	0x5e70,
	0x5e71,
	0x5e75,
	0x5e77,
	0x5e79,
	0x5e7e,
	0x5e81,
	0x5e82,
	0x5e83,
	0x5e85,
	0x5e88,
	0x5e89,
	0x5e8c,
	0x5e8d,
	0x5e8e,
	0x5e92,
	0x5e98,
	0x5e9b,
	0x5e9d,
	0x5ea1,
	0x5ea2,
	0x5ea3,
	0x5ea4,
	0x5ea8,
	0x5ea9,
	0x5eaa,
	0x5eab,
	0x5eac,
	0x5eae,
	0x5eaf,
	0x5eb0,
	0x5eb1,
	0x5eb2,
	0x5eb4,
	0x5eba,
	0x5ebb,
	0x5ebc,
	0x5ebd,
	0x5ebf,
	0x5ec0,
	0x5ec1,
	0x5ec2,
	0x5ec3,
	0x5ec4,
	0x5ec5
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_29[]=
	{
	0x5ec6,
	0x5ec7,
	0x5ec8,
	0x5ecb,
	0x5ecc,
	0x5ecd,
	0x5ece,
	0x5ecf,
	0x5ed0,
	0x5ed4,
	0x5ed5,
	0x5ed7,
	0x5ed8,
	0x5ed9,
	0x5eda,
	0x5edc,
	0x5edd,
	0x5ede,
	0x5edf,
	0x5ee0,
	0x5ee1,
	0x5ee2,
	0x5ee3,
	0x5ee4,
	0x5ee5,
	0x5ee6,
	0x5ee7,
	0x5ee9,
	0x5eeb,
	0x5eec,
	0x5eed,
	0x5eee,
	0x5eef,
	0x5ef0,
	0x5ef1,
	0x5ef2,
	0x5ef3,
	0x5ef5,
	0x5ef8,
	0x5ef9,
	0x5efb,
	0x5efc,
	0x5efd,
	0x5f05,
	0x5f06,
	0x5f07,
	0x5f09,
	0x5f0c,
	0x5f0d,
	0x5f0e,
	0x5f10,
	0x5f12,
	0x5f14,
	0x5f16,
	0x5f19,
	0x5f1a,
	0x5f1c,
	0x5f1d,
	0x5f1e,
	0x5f21,
	0x5f22,
	0x5f23,
	0x5f24
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_30[]=
	{
	0x5f28,
	0x5f2b,
	0x5f2c,
	0x5f2e,
	0x5f30,
	0x5f32,
	0x5f33,
	0x5f34,
	0x5f35,
	0x5f36,
	0x5f37,
	0x5f38,
	0x5f3b,
	0x5f3d,
	0x5f3e,
	0x5f3f,
	0x5f41,
	0x5f42,
	0x5f43,
	0x5f44,
	0x5f45,
	0x5f46,
	0x5f47,
	0x5f48,
	0x5f49,
	0x5f4a,
	0x5f4b,
	0x5f4c,
	0x5f4d,
	0x5f4e,
	0x5f4f,
	0x5f51,
	0x5f54,
	0x5f59,
	0x5f5a,
	0x5f5b,
	0x5f5c,
	0x5f5e,
	0x5f5f,
	0x5f60,
	0x5f63,
	0x5f65,
	0x5f67,
	0x5f68,
	0x5f6b,
	0x5f6e,
	0x5f6f,
	0x5f72,
	0x5f74,
	0x5f75,
	0x5f76,
	0x5f78,
	0x5f7a,
	0x5f7d,
	0x5f7e,
	0x5f7f,
	0x5f83,
	0x5f86,
	0x5f8d,
	0x5f8e,
	0x5f8f,
	0x5f91,
	0x5f93,
	0x5f94,
	0x5f96,
	0x5f9a,
	0x5f9b,
	0x5f9d,
	0x5f9e,
	0x5f9f,
	0x5fa0,
	0x5fa2,
	0x5fa3,
	0x5fa4,
	0x5fa5,
	0x5fa6,
	0x5fa7,
	0x5fa9,
	0x5fab,
	0x5fac,
	0x5faf,
	0x5fb0,
	0x5fb1,
	0x5fb2,
	0x5fb3,
	0x5fb4,
	0x5fb6,
	0x5fb8,
	0x5fb9,
	0x5fba,
	0x5fbb,
	0x5fbe,
	0x5fbf,
	0x5fc0,
	0x5fc1,
	0x5fc2,
	0x5fc7,
	0x5fc8,
	0x5fca,
	0x5fcb,
	0x5fce,
	0x5fd3,
	0x5fd4,
	0x5fd5,
	0x5fda,
	0x5fdb,
	0x5fdc,
	0x5fde,
	0x5fdf,
	0x5fe2,
	0x5fe3,
	0x5fe5,
	0x5fe6,
	0x5fe8,
	0x5fe9,
	0x5fec,
	0x5fef,
	0x5ff0,
	0x5ff2,
	0x5ff3,
	0x5ff4,
	0x5ff6,
	0x5ff7,
	0x5ff9,
	0x5ffa,
	0x5ffc,
	0x6007
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_31[]=
	{
	0x6008,
	0x6009,
	0x600b,
	0x600c,
	0x6010,
	0x6011,
	0x6013,
	0x6017,
	0x6018,
	0x601a,
	0x601e,
	0x601f,
	0x6022,
	0x6023,
	0x6024,
	0x602c,
	0x602d,
	0x602e,
	0x6030,
	0x6031,
	0x6032,
	0x6033,
	0x6034,
	0x6036,
	0x6037,
	0x6038,
	0x6039,
	0x603a,
	0x603d,
	0x603e,
	0x6040,
	0x6044,
	0x6045,
	0x6046,
	0x6047,
	0x6048,
	0x6049,
	0x604a,
	0x604c,
	0x604e,
	0x604f,
	0x6051,
	0x6053,
	0x6054,
	0x6056,
	0x6057,
	0x6058,
	0x605b,
	0x605c,
	0x605e,
	0x605f,
	0x6060,
	0x6061,
	0x6065,
	0x6066,
	0x606e,
	0x6071,
	0x6072,
	0x6074,
	0x6075,
	0x6077,
	0x607e,
	0x6080
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_32[]=
	{
	0x6081,
	0x6082,
	0x6085,
	0x6086,
	0x6087,
	0x6088,
	0x608a,
	0x608b,
	0x608e,
	0x608f,
	0x6090,
	0x6091,
	0x6093,
	0x6095,
	0x6097,
	0x6098,
	0x6099,
	0x609c,
	0x609e,
	0x60a1,
	0x60a2,
	0x60a4,
	0x60a5,
	0x60a7,
	0x60a9,
	0x60aa,
	0x60ae,
	0x60b0,
	0x60b3,
	0x60b5,
	0x60b6,
	0x60b7,
	0x60b9,
	0x60ba,
	0x60bd,
	0x60be,
	0x60bf,
	0x60c0,
	0x60c1,
	0x60c2,
	0x60c3,
	0x60c4,
	0x60c7,
	0x60c8,
	0x60c9,
	0x60cc,
	0x60cd,
	0x60ce,
	0x60cf,
	0x60d0,
	0x60d2,
	0x60d3,
	0x60d4,
	0x60d6,
	0x60d7,
	0x60d9,
	0x60db,
	0x60de,
	0x60e1,
	0x60e2,
	0x60e3,
	0x60e4,
	0x60e5,
	0x60ea,
	0x60f1,
	0x60f2,
	0x60f5,
	0x60f7,
	0x60f8,
	0x60fb,
	0x60fc,
	0x60fd,
	0x60fe,
	0x60ff,
	0x6102,
	0x6103,
	0x6104,
	0x6105,
	0x6107,
	0x610a,
	0x610b,
	0x610c,
	0x6110,
	0x6111,
	0x6112,
	0x6113,
	0x6114,
	0x6116,
	0x6117,
	0x6118,
	0x6119,
	0x611b,
	0x611c,
	0x611d,
	0x611e,
	0x6121,
	0x6122,
	0x6125,
	0x6128,
	0x6129,
	0x612a,
	0x612c,
	0x612d,
	0x612e,
	0x612f,
	0x6130,
	0x6131,
	0x6132,
	0x6133,
	0x6134,
	0x6135,
	0x6136,
	0x6137,
	0x6138,
	0x6139,
	0x613a,
	0x613b,
	0x613c,
	0x613d,
	0x613e,
	0x6140,
	0x6141,
	0x6142,
	0x6143,
	0x6144,
	0x6145,
	0x6146
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_33[]=
	{
	0x6147,
	0x6149,
	0x614b,
	0x614d,
	0x614f,
	0x6150,
	0x6152,
	0x6153,
	0x6154,
	0x6156,
	0x6157,
	0x6158,
	0x6159,
	0x615a,
	0x615b,
	0x615c,
	0x615e,
	0x615f,
	0x6160,
	0x6161,
	0x6163,
	0x6164,
	0x6165,
	0x6166,
	0x6169,
	0x616a,
	0x616b,
	0x616c,
	0x616d,
	0x616e,
	0x616f,
	0x6171,
	0x6172,
	0x6173,
	0x6174,
	0x6176,
	0x6178,
	0x6179,
	0x617a,
	0x617b,
	0x617c,
	0x617d,
	0x617e,
	0x617f,
	0x6180,
	0x6181,
	0x6182,
	0x6183,
	0x6184,
	0x6185,
	0x6186,
	0x6187,
	0x6188,
	0x6189,
	0x618a,
	0x618c,
	0x618d,
	0x618f,
	0x6190,
	0x6191,
	0x6192,
	0x6193,
	0x6195
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_34[]=
	{
	0x6196,
	0x6197,
	0x6198,
	0x6199,
	0x619a,
	0x619b,
	0x619c,
	0x619e,
	0x619f,
	0x61a0,
	0x61a1,
	0x61a2,
	0x61a3,
	0x61a4,
	0x61a5,
	0x61a6,
	0x61aa,
	0x61ab,
	0x61ad,
	0x61ae,
	0x61af,
	0x61b0,
	0x61b1,
	0x61b2,
	0x61b3,
	0x61b4,
	0x61b5,
	0x61b6,
	0x61b8,
	0x61b9,
	0x61ba,
	0x61bb,
	0x61bc,
	0x61bd,
	0x61bf,
	0x61c0,
	0x61c1,
	0x61c3,
	0x61c4,
	0x61c5,
	0x61c6,
	0x61c7,
	0x61c9,
	0x61cc,
	0x61cd,
	0x61ce,
	0x61cf,
	0x61d0,
	0x61d3,
	0x61d5,
	0x61d6,
	0x61d7,
	0x61d8,
	0x61d9,
	0x61da,
	0x61db,
	0x61dc,
	0x61dd,
	0x61de,
	0x61df,
	0x61e0,
	0x61e1,
	0x61e2,
	0x61e3,
	0x61e4,
	0x61e5,
	0x61e7,
	0x61e8,
	0x61e9,
	0x61ea,
	0x61eb,
	0x61ec,
	0x61ed,
	0x61ee,
	0x61ef,
	0x61f0,
	0x61f1,
	0x61f2,
	0x61f3,
	0x61f4,
	0x61f6,
	0x61f7,
	0x61f8,
	0x61f9,
	0x61fa,
	0x61fb,
	0x61fc,
	0x61fd,
	0x61fe,
	0x6200,
	0x6201,
	0x6202,
	0x6203,
	0x6204,
	0x6205,
	0x6207,
	0x6209,
	0x6213,
	0x6214,
	0x6219,
	0x621c,
	0x621d,
	0x621e,
	0x6220,
	0x6223,
	0x6226,
	0x6227,
	0x6228,
	0x6229,
	0x622b,
	0x622d,
	0x622f,
	0x6230,
	0x6231,
	0x6232,
	0x6235,
	0x6236,
	0x6238,
	0x6239,
	0x623a,
	0x623b,
	0x623c,
	0x6242,
	0x6244,
	0x6245,
	0x6246,
	0x624a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_35[]=
	{
	0x624f,
	0x6250,
	0x6255,
	0x6256,
	0x6257,
	0x6259,
	0x625a,
	0x625c,
	0x625d,
	0x625e,
	0x625f,
	0x6260,
	0x6261,
	0x6262,
	0x6264,
	0x6265,
	0x6268,
	0x6271,
	0x6272,
	0x6274,
	0x6275,
	0x6277,
	0x6278,
	0x627a,
	0x627b,
	0x627d,
	0x6281,
	0x6282,
	0x6283,
	0x6285,
	0x6286,
	0x6287,
	0x6288,
	0x628b,
	0x628c,
	0x628d,
	0x628e,
	0x628f,
	0x6290,
	0x6294,
	0x6299,
	0x629c,
	0x629d,
	0x629e,
	0x62a3,
	0x62a6,
	0x62a7,
	0x62a9,
	0x62aa,
	0x62ad,
	0x62ae,
	0x62af,
	0x62b0,
	0x62b2,
	0x62b3,
	0x62b4,
	0x62b6,
	0x62b7,
	0x62b8,
	0x62ba,
	0x62be,
	0x62c0,
	0x62c1
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_36[]=
	{
	0x62c3,
	0x62cb,
	0x62cf,
	0x62d1,
	0x62d5,
	0x62dd,
	0x62de,
	0x62e0,
	0x62e1,
	0x62e4,
	0x62ea,
	0x62eb,
	0x62f0,
	0x62f2,
	0x62f5,
	0x62f8,
	0x62f9,
	0x62fa,
	0x62fb,
	0x6300,
	0x6303,
	0x6304,
	0x6305,
	0x6306,
	0x630a,
	0x630b,
	0x630c,
	0x630d,
	0x630f,
	0x6310,
	0x6312,
	0x6313,
	0x6314,
	0x6315,
	0x6317,
	0x6318,
	0x6319,
	0x631c,
	0x6326,
	0x6327,
	0x6329,
	0x632c,
	0x632d,
	0x632e,
	0x6330,
	0x6331,
	0x6333,
	0x6334,
	0x6335,
	0x6336,
	0x6337,
	0x6338,
	0x633b,
	0x633c,
	0x633e,
	0x633f,
	0x6340,
	0x6341,
	0x6344,
	0x6347,
	0x6348,
	0x634a,
	0x6351,
	0x6352,
	0x6353,
	0x6354,
	0x6356,
	0x6357,
	0x6358,
	0x6359,
	0x635a,
	0x635b,
	0x635c,
	0x635d,
	0x6360,
	0x6364,
	0x6365,
	0x6366,
	0x6368,
	0x636a,
	0x636b,
	0x636c,
	0x636f,
	0x6370,
	0x6372,
	0x6373,
	0x6374,
	0x6375,
	0x6378,
	0x6379,
	0x637c,
	0x637d,
	0x637e,
	0x637f,
	0x6381,
	0x6383,
	0x6384,
	0x6385,
	0x6386,
	0x638b,
	0x638d,
	0x6391,
	0x6393,
	0x6394,
	0x6395,
	0x6397,
	0x6399,
	0x639a,
	0x639b,
	0x639c,
	0x639d,
	0x639e,
	0x639f,
	0x63a1,
	0x63a4,
	0x63a6,
	0x63ab,
	0x63af,
	0x63b1,
	0x63b2,
	0x63b5,
	0x63b6,
	0x63b9,
	0x63bb,
	0x63bd,
	0x63bf,
	0x63c0
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_37[]=
	{
	0x63c1,
	0x63c2,
	0x63c3,
	0x63c5,
	0x63c7,
	0x63c8,
	0x63ca,
	0x63cb,
	0x63cc,
	0x63d1,
	0x63d3,
	0x63d4,
	0x63d5,
	0x63d7,
	0x63d8,
	0x63d9,
	0x63da,
	0x63db,
	0x63dc,
	0x63dd,
	0x63df,
	0x63e2,
	0x63e4,
	0x63e5,
	0x63e6,
	0x63e7,
	0x63e8,
	0x63eb,
	0x63ec,
	0x63ee,
	0x63ef,
	0x63f0,
	0x63f1,
	0x63f3,
	0x63f5,
	0x63f7,
	0x63f9,
	0x63fa,
	0x63fb,
	0x63fc,
	0x63fe,
	0x6403,
	0x6404,
	0x6406,
	0x6407,
	0x6408,
	0x6409,
	0x640a,
	0x640d,
	0x640e,
	0x6411,
	0x6412,
	0x6415,
	0x6416,
	0x6417,
	0x6418,
	0x6419,
	0x641a,
	0x641d,
	0x641f,
	0x6422,
	0x6423,
	0x6424
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_38[]=
	{
	0x6425,
	0x6427,
	0x6428,
	0x6429,
	0x642b,
	0x642e,
	0x642f,
	0x6430,
	0x6431,
	0x6432,
	0x6433,
	0x6435,
	0x6436,
	0x6437,
	0x6438,
	0x6439,
	0x643b,
	0x643c,
	0x643e,
	0x6440,
	0x6442,
	0x6443,
	0x6449,
	0x644b,
	0x644c,
	0x644d,
	0x644e,
	0x644f,
	0x6450,
	0x6451,
	0x6453,
	0x6455,
	0x6456,
	0x6457,
	0x6459,
	0x645a,
	0x645b,
	0x645c,
	0x645d,
	0x645f,
	0x6460,
	0x6461,
	0x6462,
	0x6463,
	0x6464,
	0x6465,
	0x6466,
	0x6468,
	0x646a,
	0x646b,
	0x646c,
	0x646e,
	0x646f,
	0x6470,
	0x6471,
	0x6472,
	0x6473,
	0x6474,
	0x6475,
	0x6476,
	0x6477,
	0x647b,
	0x647c,
	0x647d,
	0x647e,
	0x647f,
	0x6480,
	0x6481,
	0x6483,
	0x6486,
	0x6488,
	0x6489,
	0x648a,
	0x648b,
	0x648c,
	0x648d,
	0x648e,
	0x648f,
	0x6490,
	0x6493,
	0x6494,
	0x6497,
	0x6498,
	0x649a,
	0x649b,
	0x649c,
	0x649d,
	0x649f,
	0x64a0,
	0x64a1,
	0x64a2,
	0x64a3,
	0x64a5,
	0x64a6,
	0x64a7,
	0x64a8,
	0x64aa,
	0x64ab,
	0x64af,
	0x64b1,
	0x64b2,
	0x64b3,
	0x64b4,
	0x64b6,
	0x64b9,
	0x64bb,
	0x64bd,
	0x64be,
	0x64bf,
	0x64c1,
	0x64c3,
	0x64c4,
	0x64c6,
	0x64c7,
	0x64c8,
	0x64c9,
	0x64ca,
	0x64cb,
	0x64cc,
	0x64cf,
	0x64d1,
	0x64d3,
	0x64d4,
	0x64d5,
	0x64d6,
	0x64d9,
	0x64da
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_39[]=
	{
	0x64db,
	0x64dc,
	0x64dd,
	0x64df,
	0x64e0,
	0x64e1,
	0x64e3,
	0x64e5,
	0x64e7,
	0x64e8,
	0x64e9,
	0x64ea,
	0x64eb,
	0x64ec,
	0x64ed,
	0x64ee,
	0x64ef,
	0x64f0,
	0x64f1,
	0x64f2,
	0x64f3,
	0x64f4,
	0x64f5,
	0x64f6,
	0x64f7,
	0x64f8,
	0x64f9,
	0x64fa,
	0x64fb,
	0x64fc,
	0x64fd,
	0x64fe,
	0x64ff,
	0x6501,
	0x6502,
	0x6503,
	0x6504,
	0x6505,
	0x6506,
	0x6507,
	0x6508,
	0x650a,
	0x650b,
	0x650c,
	0x650d,
	0x650e,
	0x650f,
	0x6510,
	0x6511,
	0x6513,
	0x6514,
	0x6515,
	0x6516,
	0x6517,
	0x6519,
	0x651a,
	0x651b,
	0x651c,
	0x651d,
	0x651e,
	0x651f,
	0x6520,
	0x6521
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_40[]=
	{
	0x6522,
	0x6523,
	0x6524,
	0x6526,
	0x6527,
	0x6528,
	0x6529,
	0x652a,
	0x652c,
	0x652d,
	0x6530,
	0x6531,
	0x6532,
	0x6533,
	0x6537,
	0x653a,
	0x653c,
	0x653d,
	0x6540,
	0x6541,
	0x6542,
	0x6543,
	0x6544,
	0x6546,
	0x6547,
	0x654a,
	0x654b,
	0x654d,
	0x654e,
	0x6550,
	0x6552,
	0x6553,
	0x6554,
	0x6557,
	0x6558,
	0x655a,
	0x655c,
	0x655f,
	0x6560,
	0x6561,
	0x6564,
	0x6565,
	0x6567,
	0x6568,
	0x6569,
	0x656a,
	0x656d,
	0x656e,
	0x656f,
	0x6571,
	0x6573,
	0x6575,
	0x6576,
	0x6578,
	0x6579,
	0x657a,
	0x657b,
	0x657c,
	0x657d,
	0x657e,
	0x657f,
	0x6580,
	0x6581,
	0x6582,
	0x6583,
	0x6584,
	0x6585,
	0x6586,
	0x6588,
	0x6589,
	0x658a,
	0x658d,
	0x658e,
	0x658f,
	0x6592,
	0x6594,
	0x6595,
	0x6596,
	0x6598,
	0x659a,
	0x659d,
	0x659e,
	0x65a0,
	0x65a2,
	0x65a3,
	0x65a6,
	0x65a8,
	0x65aa,
	0x65ac,
	0x65ae,
	0x65b1,
	0x65b2,
	0x65b3,
	0x65b4,
	0x65b5,
	0x65b6,
	0x65b7,
	0x65b8,
	0x65ba,
	0x65bb,
	0x65be,
	0x65bf,
	0x65c0,
	0x65c2,
	0x65c7,
	0x65c8,
	0x65c9,
	0x65ca,
	0x65cd,
	0x65d0,
	0x65d1,
	0x65d3,
	0x65d4,
	0x65d5,
	0x65d8,
	0x65d9,
	0x65da,
	0x65db,
	0x65dc,
	0x65dd,
	0x65de,
	0x65df,
	0x65e1,
	0x65e3,
	0x65e4,
	0x65ea,
	0x65eb
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_41[]=
	{
	0x65f2,
	0x65f3,
	0x65f4,
	0x65f5,
	0x65f8,
	0x65f9,
	0x65fb,
	0x65fc,
	0x65fd,
	0x65fe,
	0x65ff,
	0x6601,
	0x6604,
	0x6605,
	0x6607,
	0x6608,
	0x6609,
	0x660b,
	0x660d,
	0x6610,
	0x6611,
	0x6612,
	0x6616,
	0x6617,
	0x6618,
	0x661a,
	0x661b,
	0x661c,
	0x661e,
	0x6621,
	0x6622,
	0x6623,
	0x6624,
	0x6626,
	0x6629,
	0x662a,
	0x662b,
	0x662c,
	0x662e,
	0x6630,
	0x6632,
	0x6633,
	0x6637,
	0x6638,
	0x6639,
	0x663a,
	0x663b,
	0x663d,
	0x663f,
	0x6640,
	0x6642,
	0x6644,
	0x6645,
	0x6646,
	0x6647,
	0x6648,
	0x6649,
	0x664a,
	0x664d,
	0x664e,
	0x6650,
	0x6651,
	0x6658
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_42[]=
	{
	0x6659,
	0x665b,
	0x665c,
	0x665d,
	0x665e,
	0x6660,
	0x6662,
	0x6663,
	0x6665,
	0x6667,
	0x6669,
	0x666a,
	0x666b,
	0x666c,
	0x666d,
	0x6671,
	0x6672,
	0x6673,
	0x6675,
	0x6678,
	0x6679,
	0x667b,
	0x667c,
	0x667d,
	0x667f,
	0x6680,
	0x6681,
	0x6683,
	0x6685,
	0x6686,
	0x6688,
	0x6689,
	0x668a,
	0x668b,
	0x668d,
	0x668e,
	0x668f,
	0x6690,
	0x6692,
	0x6693,
	0x6694,
	0x6695,
	0x6698,
	0x6699,
	0x669a,
	0x669b,
	0x669c,
	0x669e,
	0x669f,
	0x66a0,
	0x66a1,
	0x66a2,
	0x66a3,
	0x66a4,
	0x66a5,
	0x66a6,
	0x66a9,
	0x66aa,
	0x66ab,
	0x66ac,
	0x66ad,
	0x66af,
	0x66b0,
	0x66b1,
	0x66b2,
	0x66b3,
	0x66b5,
	0x66b6,
	0x66b7,
	0x66b8,
	0x66ba,
	0x66bb,
	0x66bc,
	0x66bd,
	0x66bf,
	0x66c0,
	0x66c1,
	0x66c2,
	0x66c3,
	0x66c4,
	0x66c5,
	0x66c6,
	0x66c7,
	0x66c8,
	0x66c9,
	0x66ca,
	0x66cb,
	0x66cc,
	0x66cd,
	0x66ce,
	0x66cf,
	0x66d0,
	0x66d1,
	0x66d2,
	0x66d3,
	0x66d4,
	0x66d5,
	0x66d6,
	0x66d7,
	0x66d8,
	0x66da,
	0x66de,
	0x66df,
	0x66e0,
	0x66e1,
	0x66e2,
	0x66e3,
	0x66e4,
	0x66e5,
	0x66e7,
	0x66e8,
	0x66ea,
	0x66eb,
	0x66ec,
	0x66ed,
	0x66ee,
	0x66ef,
	0x66f1,
	0x66f5,
	0x66f6,
	0x66f8,
	0x66fa,
	0x66fb,
	0x66fd,
	0x6701,
	0x6702,
	0x6703
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_43[]=
	{
	0x6704,
	0x6705,
	0x6706,
	0x6707,
	0x670c,
	0x670e,
	0x670f,
	0x6711,
	0x6712,
	0x6713,
	0x6716,
	0x6718,
	0x6719,
	0x671a,
	0x671c,
	0x671e,
	0x6720,
	0x6721,
	0x6722,
	0x6723,
	0x6724,
	0x6725,
	0x6727,
	0x6729,
	0x672e,
	0x6730,
	0x6732,
	0x6733,
	0x6736,
	0x6737,
	0x6738,
	0x6739,
	0x673b,
	0x673c,
	0x673e,
	0x673f,
	0x6741,
	0x6744,
	0x6745,
	0x6747,
	0x674a,
	0x674b,
	0x674d,
	0x6752,
	0x6754,
	0x6755,
	0x6757,
	0x6758,
	0x6759,
	0x675a,
	0x675b,
	0x675d,
	0x6762,
	0x6763,
	0x6764,
	0x6766,
	0x6767,
	0x676b,
	0x676c,
	0x676e,
	0x6771,
	0x6774,
	0x6776
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_44[]=
	{
	0x6778,
	0x6779,
	0x677a,
	0x677b,
	0x677d,
	0x6780,
	0x6782,
	0x6783,
	0x6785,
	0x6786,
	0x6788,
	0x678a,
	0x678c,
	0x678d,
	0x678e,
	0x678f,
	0x6791,
	0x6792,
	0x6793,
	0x6794,
	0x6796,
	0x6799,
	0x679b,
	0x679f,
	0x67a0,
	0x67a1,
	0x67a4,
	0x67a6,
	0x67a9,
	0x67ac,
	0x67ae,
	0x67b1,
	0x67b2,
	0x67b4,
	0x67b9,
	0x67ba,
	0x67bb,
	0x67bc,
	0x67bd,
	0x67be,
	0x67bf,
	0x67c0,
	0x67c2,
	0x67c5,
	0x67c6,
	0x67c7,
	0x67c8,
	0x67c9,
	0x67ca,
	0x67cb,
	0x67cc,
	0x67cd,
	0x67ce,
	0x67d5,
	0x67d6,
	0x67d7,
	0x67db,
	0x67df,
	0x67e1,
	0x67e3,
	0x67e4,
	0x67e6,
	0x67e7,
	0x67e8,
	0x67ea,
	0x67eb,
	0x67ed,
	0x67ee,
	0x67f2,
	0x67f5,
	0x67f6,
	0x67f7,
	0x67f8,
	0x67f9,
	0x67fa,
	0x67fb,
	0x67fc,
	0x67fe,
	0x6801,
	0x6802,
	0x6803,
	0x6804,
	0x6806,
	0x680d,
	0x6810,
	0x6812,
	0x6814,
	0x6815,
	0x6818,
	0x6819,
	0x681a,
	0x681b,
	0x681c,
	0x681e,
	0x681f,
	0x6820,
	0x6822,
	0x6823,
	0x6824,
	0x6825,
	0x6826,
	0x6827,
	0x6828,
	0x682b,
	0x682c,
	0x682d,
	0x682e,
	0x682f,
	0x6830,
	0x6831,
	0x6834,
	0x6835,
	0x6836,
	0x683a,
	0x683b,
	0x683f,
	0x6847,
	0x684b,
	0x684d,
	0x684f,
	0x6852,
	0x6856,
	0x6857,
	0x6858,
	0x6859,
	0x685a,
	0x685b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_45[]=
	{
	0x685c,
	0x685d,
	0x685e,
	0x685f,
	0x686a,
	0x686c,
	0x686d,
	0x686e,
	0x686f,
	0x6870,
	0x6871,
	0x6872,
	0x6873,
	0x6875,
	0x6878,
	0x6879,
	0x687a,
	0x687b,
	0x687c,
	0x687d,
	0x687e,
	0x687f,
	0x6880,
	0x6882,
	0x6884,
	0x6887,
	0x6888,
	0x6889,
	0x688a,
	0x688b,
	0x688c,
	0x688d,
	0x688e,
	0x6890,
	0x6891,
	0x6892,
	0x6894,
	0x6895,
	0x6896,
	0x6898,
	0x6899,
	0x689a,
	0x689b,
	0x689c,
	0x689d,
	0x689e,
	0x689f,
	0x68a0,
	0x68a1,
	0x68a3,
	0x68a4,
	0x68a5,
	0x68a9,
	0x68aa,
	0x68ab,
	0x68ac,
	0x68ae,
	0x68b1,
	0x68b2,
	0x68b4,
	0x68b6,
	0x68b7,
	0x68b8
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_46[]=
	{
	0x68b9,
	0x68ba,
	0x68bb,
	0x68bc,
	0x68bd,
	0x68be,
	0x68bf,
	0x68c1,
	0x68c3,
	0x68c4,
	0x68c5,
	0x68c6,
	0x68c7,
	0x68c8,
	0x68ca,
	0x68cc,
	0x68ce,
	0x68cf,
	0x68d0,
	0x68d1,
	0x68d3,
	0x68d4,
	0x68d6,
	0x68d7,
	0x68d9,
	0x68db,
	0x68dc,
	0x68dd,
	0x68de,
	0x68df,
	0x68e1,
	0x68e2,
	0x68e4,
	0x68e5,
	0x68e6,
	0x68e7,
	0x68e8,
	0x68e9,
	0x68ea,
	0x68eb,
	0x68ec,
	0x68ed,
	0x68ef,
	0x68f2,
	0x68f3,
	0x68f4,
	0x68f6,
	0x68f7,
	0x68f8,
	0x68fb,
	0x68fd,
	0x68fe,
	0x68ff,
	0x6900,
	0x6902,
	0x6903,
	0x6904,
	0x6906,
	0x6907,
	0x6908,
	0x6909,
	0x690a,
	0x690c,
	0x690f,
	0x6911,
	0x6913,
	0x6914,
	0x6915,
	0x6916,
	0x6917,
	0x6918,
	0x6919,
	0x691a,
	0x691b,
	0x691c,
	0x691d,
	0x691e,
	0x6921,
	0x6922,
	0x6923,
	0x6925,
	0x6926,
	0x6927,
	0x6928,
	0x6929,
	0x692a,
	0x692b,
	0x692c,
	0x692e,
	0x692f,
	0x6931,
	0x6932,
	0x6933,
	0x6935,
	0x6936,
	0x6937,
	0x6938,
	0x693a,
	0x693b,
	0x693c,
	0x693e,
	0x6940,
	0x6941,
	0x6943,
	0x6944,
	0x6945,
	0x6946,
	0x6947,
	0x6948,
	0x6949,
	0x694a,
	0x694b,
	0x694c,
	0x694d,
	0x694e,
	0x694f,
	0x6950,
	0x6951,
	0x6952,
	0x6953,
	0x6955,
	0x6956,
	0x6958,
	0x6959,
	0x695b,
	0x695c,
	0x695f
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_47[]=
	{
	0x6961,
	0x6962,
	0x6964,
	0x6965,
	0x6967,
	0x6968,
	0x6969,
	0x696a,
	0x696c,
	0x696d,
	0x696f,
	0x6970,
	0x6972,
	0x6973,
	0x6974,
	0x6975,
	0x6976,
	0x697a,
	0x697b,
	0x697d,
	0x697e,
	0x697f,
	0x6981,
	0x6983,
	0x6985,
	0x698a,
	0x698b,
	0x698c,
	0x698e,
	0x698f,
	0x6990,
	0x6991,
	0x6992,
	0x6993,
	0x6996,
	0x6997,
	0x6999,
	0x699a,
	0x699d,
	0x699e,
	0x699f,
	0x69a0,
	0x69a1,
	0x69a2,
	0x69a3,
	0x69a4,
	0x69a5,
	0x69a6,
	0x69a9,
	0x69aa,
	0x69ac,
	0x69ae,
	0x69af,
	0x69b0,
	0x69b2,
	0x69b3,
	0x69b5,
	0x69b6,
	0x69b8,
	0x69b9,
	0x69ba,
	0x69bc,
	0x69bd
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_48[]=
	{
	0x69be,
	0x69bf,
	0x69c0,
	0x69c2,
	0x69c3,
	0x69c4,
	0x69c5,
	0x69c6,
	0x69c7,
	0x69c8,
	0x69c9,
	0x69cb,
	0x69cd,
	0x69cf,
	0x69d1,
	0x69d2,
	0x69d3,
	0x69d5,
	0x69d6,
	0x69d7,
	0x69d8,
	0x69d9,
	0x69da,
	0x69dc,
	0x69dd,
	0x69de,
	0x69e1,
	0x69e2,
	0x69e3,
	0x69e4,
	0x69e5,
	0x69e6,
	0x69e7,
	0x69e8,
	0x69e9,
	0x69ea,
	0x69eb,
	0x69ec,
	0x69ee,
	0x69ef,
	0x69f0,
	0x69f1,
	0x69f3,
	0x69f4,
	0x69f5,
	0x69f6,
	0x69f7,
	0x69f8,
	0x69f9,
	0x69fa,
	0x69fb,
	0x69fc,
	0x69fe,
	0x6a00,
	0x6a01,
	0x6a02,
	0x6a03,
	0x6a04,
	0x6a05,
	0x6a06,
	0x6a07,
	0x6a08,
	0x6a09,
	0x6a0b,
	0x6a0c,
	0x6a0d,
	0x6a0e,
	0x6a0f,
	0x6a10,
	0x6a11,
	0x6a12,
	0x6a13,
	0x6a14,
	0x6a15,
	0x6a16,
	0x6a19,
	0x6a1a,
	0x6a1b,
	0x6a1c,
	0x6a1d,
	0x6a1e,
	0x6a20,
	0x6a22,
	0x6a23,
	0x6a24,
	0x6a25,
	0x6a26,
	0x6a27,
	0x6a29,
	0x6a2b,
	0x6a2c,
	0x6a2d,
	0x6a2e,
	0x6a30,
	0x6a32,
	0x6a33,
	0x6a34,
	0x6a36,
	0x6a37,
	0x6a38,
	0x6a39,
	0x6a3a,
	0x6a3b,
	0x6a3c,
	0x6a3f,
	0x6a40,
	0x6a41,
	0x6a42,
	0x6a43,
	0x6a45,
	0x6a46,
	0x6a48,
	0x6a49,
	0x6a4a,
	0x6a4b,
	0x6a4c,
	0x6a4d,
	0x6a4e,
	0x6a4f,
	0x6a51,
	0x6a52,
	0x6a53,
	0x6a54,
	0x6a55,
	0x6a56,
	0x6a57,
	0x6a5a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_49[]=
	{
	0x6a5c,
	0x6a5d,
	0x6a5e,
	0x6a5f,
	0x6a60,
	0x6a62,
	0x6a63,
	0x6a64,
	0x6a66,
	0x6a67,
	0x6a68,
	0x6a69,
	0x6a6a,
	0x6a6b,
	0x6a6c,
	0x6a6d,
	0x6a6e,
	0x6a6f,
	0x6a70,
	0x6a72,
	0x6a73,
	0x6a74,
	0x6a75,
	0x6a76,
	0x6a77,
	0x6a78,
	0x6a7a,
	0x6a7b,
	0x6a7d,
	0x6a7e,
	0x6a7f,
	0x6a81,
	0x6a82,
	0x6a83,
	0x6a85,
	0x6a86,
	0x6a87,
	0x6a88,
	0x6a89,
	0x6a8a,
	0x6a8b,
	0x6a8c,
	0x6a8d,
	0x6a8f,
	0x6a92,
	0x6a93,
	0x6a94,
	0x6a95,
	0x6a96,
	0x6a98,
	0x6a99,
	0x6a9a,
	0x6a9b,
	0x6a9c,
	0x6a9d,
	0x6a9e,
	0x6a9f,
	0x6aa1,
	0x6aa2,
	0x6aa3,
	0x6aa4,
	0x6aa5,
	0x6aa6
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_50[]=
	{
	0x6aa7,
	0x6aa8,
	0x6aaa,
	0x6aad,
	0x6aae,
	0x6aaf,
	0x6ab0,
	0x6ab1,
	0x6ab2,
	0x6ab3,
	0x6ab4,
	0x6ab5,
	0x6ab6,
	0x6ab7,
	0x6ab8,
	0x6ab9,
	0x6aba,
	0x6abb,
	0x6abc,
	0x6abd,
	0x6abe,
	0x6abf,
	0x6ac0,
	0x6ac1,
	0x6ac2,
	0x6ac3,
	0x6ac4,
	0x6ac5,
	0x6ac6,
	0x6ac7,
	0x6ac8,
	0x6ac9,
	0x6aca,
	0x6acb,
	0x6acc,
	0x6acd,
	0x6ace,
	0x6acf,
	0x6ad0,
	0x6ad1,
	0x6ad2,
	0x6ad3,
	0x6ad4,
	0x6ad5,
	0x6ad6,
	0x6ad7,
	0x6ad8,
	0x6ad9,
	0x6ada,
	0x6adb,
	0x6adc,
	0x6add,
	0x6ade,
	0x6adf,
	0x6ae0,
	0x6ae1,
	0x6ae2,
	0x6ae3,
	0x6ae4,
	0x6ae5,
	0x6ae6,
	0x6ae7,
	0x6ae8,
	0x6ae9,
	0x6aea,
	0x6aeb,
	0x6aec,
	0x6aed,
	0x6aee,
	0x6aef,
	0x6af0,
	0x6af1,
	0x6af2,
	0x6af3,
	0x6af4,
	0x6af5,
	0x6af6,
	0x6af7,
	0x6af8,
	0x6af9,
	0x6afa,
	0x6afb,
	0x6afc,
	0x6afd,
	0x6afe,
	0x6aff,
	0x6b00,
	0x6b01,
	0x6b02,
	0x6b03,
	0x6b04,
	0x6b05,
	0x6b06,
	0x6b07,
	0x6b08,
	0x6b09,
	0x6b0a,
	0x6b0b,
	0x6b0c,
	0x6b0d,
	0x6b0e,
	0x6b0f,
	0x6b10,
	0x6b11,
	0x6b12,
	0x6b13,
	0x6b14,
	0x6b15,
	0x6b16,
	0x6b17,
	0x6b18,
	0x6b19,
	0x6b1a,
	0x6b1b,
	0x6b1c,
	0x6b1d,
	0x6b1e,
	0x6b1f,
	0x6b25,
	0x6b26,
	0x6b28,
	0x6b29,
	0x6b2a,
	0x6b2b,
	0x6b2c,
	0x6b2d,
	0x6b2e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_51[]=
	{
	0x6b2f,
	0x6b30,
	0x6b31,
	0x6b33,
	0x6b34,
	0x6b35,
	0x6b36,
	0x6b38,
	0x6b3b,
	0x6b3c,
	0x6b3d,
	0x6b3f,
	0x6b40,
	0x6b41,
	0x6b42,
	0x6b44,
	0x6b45,
	0x6b48,
	0x6b4a,
	0x6b4b,
	0x6b4d,
	0x6b4e,
	0x6b4f,
	0x6b50,
	0x6b51,
	0x6b52,
	0x6b53,
	0x6b54,
	0x6b55,
	0x6b56,
	0x6b57,
	0x6b58,
	0x6b5a,
	0x6b5b,
	0x6b5c,
	0x6b5d,
	0x6b5e,
	0x6b5f,
	0x6b60,
	0x6b61,
	0x6b68,
	0x6b69,
	0x6b6b,
	0x6b6c,
	0x6b6d,
	0x6b6e,
	0x6b6f,
	0x6b70,
	0x6b71,
	0x6b72,
	0x6b73,
	0x6b74,
	0x6b75,
	0x6b76,
	0x6b77,
	0x6b78,
	0x6b7a,
	0x6b7d,
	0x6b7e,
	0x6b7f,
	0x6b80,
	0x6b85,
	0x6b88
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_52[]=
	{
	0x6b8c,
	0x6b8e,
	0x6b8f,
	0x6b90,
	0x6b91,
	0x6b94,
	0x6b95,
	0x6b97,
	0x6b98,
	0x6b99,
	0x6b9c,
	0x6b9d,
	0x6b9e,
	0x6b9f,
	0x6ba0,
	0x6ba2,
	0x6ba3,
	0x6ba4,
	0x6ba5,
	0x6ba6,
	0x6ba7,
	0x6ba8,
	0x6ba9,
	0x6bab,
	0x6bac,
	0x6bad,
	0x6bae,
	0x6baf,
	0x6bb0,
	0x6bb1,
	0x6bb2,
	0x6bb6,
	0x6bb8,
	0x6bb9,
	0x6bba,
	0x6bbb,
	0x6bbc,
	0x6bbd,
	0x6bbe,
	0x6bc0,
	0x6bc3,
	0x6bc4,
	0x6bc6,
	0x6bc7,
	0x6bc8,
	0x6bc9,
	0x6bca,
	0x6bcc,
	0x6bce,
	0x6bd0,
	0x6bd1,
	0x6bd8,
	0x6bda,
	0x6bdc,
	0x6bdd,
	0x6bde,
	0x6bdf,
	0x6be0,
	0x6be2,
	0x6be3,
	0x6be4,
	0x6be5,
	0x6be6,
	0x6be7,
	0x6be8,
	0x6be9,
	0x6bec,
	0x6bed,
	0x6bee,
	0x6bf0,
	0x6bf1,
	0x6bf2,
	0x6bf4,
	0x6bf6,
	0x6bf7,
	0x6bf8,
	0x6bfa,
	0x6bfb,
	0x6bfc,
	0x6bfe,
	0x6bff,
	0x6c00,
	0x6c01,
	0x6c02,
	0x6c03,
	0x6c04,
	0x6c08,
	0x6c09,
	0x6c0a,
	0x6c0b,
	0x6c0c,
	0x6c0e,
	0x6c12,
	0x6c17,
	0x6c1c,
	0x6c1d,
	0x6c1e,
	0x6c20,
	0x6c23,
	0x6c25,
	0x6c2b,
	0x6c2c,
	0x6c2d,
	0x6c31,
	0x6c33,
	0x6c36,
	0x6c37,
	0x6c39,
	0x6c3a,
	0x6c3b,
	0x6c3c,
	0x6c3e,
	0x6c3f,
	0x6c43,
	0x6c44,
	0x6c45,
	0x6c48,
	0x6c4b,
	0x6c4c,
	0x6c4d,
	0x6c4e,
	0x6c4f,
	0x6c51,
	0x6c52,
	0x6c53,
	0x6c56,
	0x6c58
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_53[]=
	{
	0x6c59,
	0x6c5a,
	0x6c62,
	0x6c63,
	0x6c65,
	0x6c66,
	0x6c67,
	0x6c6b,
	0x6c6c,
	0x6c6d,
	0x6c6e,
	0x6c6f,
	0x6c71,
	0x6c73,
	0x6c75,
	0x6c77,
	0x6c78,
	0x6c7a,
	0x6c7b,
	0x6c7c,
	0x6c7f,
	0x6c80,
	0x6c84,
	0x6c87,
	0x6c8a,
	0x6c8b,
	0x6c8d,
	0x6c8e,
	0x6c91,
	0x6c92,
	0x6c95,
	0x6c96,
	0x6c97,
	0x6c98,
	0x6c9a,
	0x6c9c,
	0x6c9d,
	0x6c9e,
	0x6ca0,
	0x6ca2,
	0x6ca8,
	0x6cac,
	0x6caf,
	0x6cb0,
	0x6cb4,
	0x6cb5,
	0x6cb6,
	0x6cb7,
	0x6cba,
	0x6cc0,
	0x6cc1,
	0x6cc2,
	0x6cc3,
	0x6cc6,
	0x6cc7,
	0x6cc8,
	0x6ccb,
	0x6ccd,
	0x6cce,
	0x6ccf,
	0x6cd1,
	0x6cd2,
	0x6cd8
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_54[]=
	{
	0x6cd9,
	0x6cda,
	0x6cdc,
	0x6cdd,
	0x6cdf,
	0x6ce4,
	0x6ce6,
	0x6ce7,
	0x6ce9,
	0x6cec,
	0x6ced,
	0x6cf2,
	0x6cf4,
	0x6cf9,
	0x6cff,
	0x6d00,
	0x6d02,
	0x6d03,
	0x6d05,
	0x6d06,
	0x6d08,
	0x6d09,
	0x6d0a,
	0x6d0d,
	0x6d0f,
	0x6d10,
	0x6d11,
	0x6d13,
	0x6d14,
	0x6d15,
	0x6d16,
	0x6d18,
	0x6d1c,
	0x6d1d,
	0x6d1f,
	0x6d20,
	0x6d21,
	0x6d22,
	0x6d23,
	0x6d24,
	0x6d26,
	0x6d28,
	0x6d29,
	0x6d2c,
	0x6d2d,
	0x6d2f,
	0x6d30,
	0x6d34,
	0x6d36,
	0x6d37,
	0x6d38,
	0x6d3a,
	0x6d3f,
	0x6d40,
	0x6d42,
	0x6d44,
	0x6d49,
	0x6d4c,
	0x6d50,
	0x6d55,
	0x6d56,
	0x6d57,
	0x6d58,
	0x6d5b,
	0x6d5d,
	0x6d5f,
	0x6d61,
	0x6d62,
	0x6d64,
	0x6d65,
	0x6d67,
	0x6d68,
	0x6d6b,
	0x6d6c,
	0x6d6d,
	0x6d70,
	0x6d71,
	0x6d72,
	0x6d73,
	0x6d75,
	0x6d76,
	0x6d79,
	0x6d7a,
	0x6d7b,
	0x6d7d,
	0x6d7e,
	0x6d7f,
	0x6d80,
	0x6d81,
	0x6d83,
	0x6d84,
	0x6d86,
	0x6d87,
	0x6d8a,
	0x6d8b,
	0x6d8d,
	0x6d8f,
	0x6d90,
	0x6d92,
	0x6d96,
	0x6d97,
	0x6d98,
	0x6d99,
	0x6d9a,
	0x6d9c,
	0x6da2,
	0x6da5,
	0x6dac,
	0x6dad,
	0x6db0,
	0x6db1,
	0x6db3,
	0x6db4,
	0x6db6,
	0x6db7,
	0x6db9,
	0x6dba,
	0x6dbb,
	0x6dbc,
	0x6dbd,
	0x6dbe,
	0x6dc1,
	0x6dc2,
	0x6dc3,
	0x6dc8,
	0x6dc9,
	0x6dca
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_55[]=
	{
	0x6dcd,
	0x6dce,
	0x6dcf,
	0x6dd0,
	0x6dd2,
	0x6dd3,
	0x6dd4,
	0x6dd5,
	0x6dd7,
	0x6dda,
	0x6ddb,
	0x6ddc,
	0x6ddf,
	0x6de2,
	0x6de3,
	0x6de5,
	0x6de7,
	0x6de8,
	0x6de9,
	0x6dea,
	0x6ded,
	0x6def,
	0x6df0,
	0x6df2,
	0x6df4,
	0x6df5,
	0x6df6,
	0x6df8,
	0x6dfa,
	0x6dfd,
	0x6dfe,
	0x6dff,
	0x6e00,
	0x6e01,
	0x6e02,
	0x6e03,
	0x6e04,
	0x6e06,
	0x6e07,
	0x6e08,
	0x6e09,
	0x6e0b,
	0x6e0f,
	0x6e12,
	0x6e13,
	0x6e15,
	0x6e18,
	0x6e19,
	0x6e1b,
	0x6e1c,
	0x6e1e,
	0x6e1f,
	0x6e22,
	0x6e26,
	0x6e27,
	0x6e28,
	0x6e2a,
	0x6e2c,
	0x6e2e,
	0x6e30,
	0x6e31,
	0x6e33,
	0x6e35
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_56[]=
	{
	0x6e36,
	0x6e37,
	0x6e39,
	0x6e3b,
	0x6e3c,
	0x6e3d,
	0x6e3e,
	0x6e3f,
	0x6e40,
	0x6e41,
	0x6e42,
	0x6e45,
	0x6e46,
	0x6e47,
	0x6e48,
	0x6e49,
	0x6e4a,
	0x6e4b,
	0x6e4c,
	0x6e4f,
	0x6e50,
	0x6e51,
	0x6e52,
	0x6e55,
	0x6e57,
	0x6e59,
	0x6e5a,
	0x6e5c,
	0x6e5d,
	0x6e5e,
	0x6e60,
	0x6e61,
	0x6e62,
	0x6e63,
	0x6e64,
	0x6e65,
	0x6e66,
	0x6e67,
	0x6e68,
	0x6e69,
	0x6e6a,
	0x6e6c,
	0x6e6d,
	0x6e6f,
	0x6e70,
	0x6e71,
	0x6e72,
	0x6e73,
	0x6e74,
	0x6e75,
	0x6e76,
	0x6e77,
	0x6e78,
	0x6e79,
	0x6e7a,
	0x6e7b,
	0x6e7c,
	0x6e7d,
	0x6e80,
	0x6e81,
	0x6e82,
	0x6e84,
	0x6e87,
	0x6e88,
	0x6e8a,
	0x6e8b,
	0x6e8c,
	0x6e8d,
	0x6e8e,
	0x6e91,
	0x6e92,
	0x6e93,
	0x6e94,
	0x6e95,
	0x6e96,
	0x6e97,
	0x6e99,
	0x6e9a,
	0x6e9b,
	0x6e9d,
	0x6e9e,
	0x6ea0,
	0x6ea1,
	0x6ea3,
	0x6ea4,
	0x6ea6,
	0x6ea8,
	0x6ea9,
	0x6eab,
	0x6eac,
	0x6ead,
	0x6eae,
	0x6eb0,
	0x6eb3,
	0x6eb5,
	0x6eb8,
	0x6eb9,
	0x6ebc,
	0x6ebe,
	0x6ebf,
	0x6ec0,
	0x6ec3,
	0x6ec4,
	0x6ec5,
	0x6ec6,
	0x6ec8,
	0x6ec9,
	0x6eca,
	0x6ecc,
	0x6ecd,
	0x6ece,
	0x6ed0,
	0x6ed2,
	0x6ed6,
	0x6ed8,
	0x6ed9,
	0x6edb,
	0x6edc,
	0x6edd,
	0x6ee3,
	0x6ee7,
	0x6eea,
	0x6eeb,
	0x6eec,
	0x6eed,
	0x6eee,
	0x6eef
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_57[]=
	{
	0x6ef0,
	0x6ef1,
	0x6ef2,
	0x6ef3,
	0x6ef5,
	0x6ef6,
	0x6ef7,
	0x6ef8,
	0x6efa,
	0x6efb,
	0x6efc,
	0x6efd,
	0x6efe,
	0x6eff,
	0x6f00,
	0x6f01,
	0x6f03,
	0x6f04,
	0x6f05,
	0x6f07,
	0x6f08,
	0x6f0a,
	0x6f0b,
	0x6f0c,
	0x6f0d,
	0x6f0e,
	0x6f10,
	0x6f11,
	0x6f12,
	0x6f16,
	0x6f17,
	0x6f18,
	0x6f19,
	0x6f1a,
	0x6f1b,
	0x6f1c,
	0x6f1d,
	0x6f1e,
	0x6f1f,
	0x6f21,
	0x6f22,
	0x6f23,
	0x6f25,
	0x6f26,
	0x6f27,
	0x6f28,
	0x6f2c,
	0x6f2e,
	0x6f30,
	0x6f32,
	0x6f34,
	0x6f35,
	0x6f37,
	0x6f38,
	0x6f39,
	0x6f3a,
	0x6f3b,
	0x6f3c,
	0x6f3d,
	0x6f3f,
	0x6f40,
	0x6f41,
	0x6f42
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_58[]=
	{
	0x6f43,
	0x6f44,
	0x6f45,
	0x6f48,
	0x6f49,
	0x6f4a,
	0x6f4c,
	0x6f4e,
	0x6f4f,
	0x6f50,
	0x6f51,
	0x6f52,
	0x6f53,
	0x6f54,
	0x6f55,
	0x6f56,
	0x6f57,
	0x6f59,
	0x6f5a,
	0x6f5b,
	0x6f5d,
	0x6f5f,
	0x6f60,
	0x6f61,
	0x6f63,
	0x6f64,
	0x6f65,
	0x6f67,
	0x6f68,
	0x6f69,
	0x6f6a,
	0x6f6b,
	0x6f6c,
	0x6f6f,
	0x6f70,
	0x6f71,
	0x6f73,
	0x6f75,
	0x6f76,
	0x6f77,
	0x6f79,
	0x6f7b,
	0x6f7d,
	0x6f7e,
	0x6f7f,
	0x6f80,
	0x6f81,
	0x6f82,
	0x6f83,
	0x6f85,
	0x6f86,
	0x6f87,
	0x6f8a,
	0x6f8b,
	0x6f8f,
	0x6f90,
	0x6f91,
	0x6f92,
	0x6f93,
	0x6f94,
	0x6f95,
	0x6f96,
	0x6f97,
	0x6f98,
	0x6f99,
	0x6f9a,
	0x6f9b,
	0x6f9d,
	0x6f9e,
	0x6f9f,
	0x6fa0,
	0x6fa2,
	0x6fa3,
	0x6fa4,
	0x6fa5,
	0x6fa6,
	0x6fa8,
	0x6fa9,
	0x6faa,
	0x6fab,
	0x6fac,
	0x6fad,
	0x6fae,
	0x6faf,
	0x6fb0,
	0x6fb1,
	0x6fb2,
	0x6fb4,
	0x6fb5,
	0x6fb7,
	0x6fb8,
	0x6fba,
	0x6fbb,
	0x6fbc,
	0x6fbd,
	0x6fbe,
	0x6fbf,
	0x6fc1,
	0x6fc3,
	0x6fc4,
	0x6fc5,
	0x6fc6,
	0x6fc7,
	0x6fc8,
	0x6fca,
	0x6fcb,
	0x6fcc,
	0x6fcd,
	0x6fce,
	0x6fcf,
	0x6fd0,
	0x6fd3,
	0x6fd4,
	0x6fd5,
	0x6fd6,
	0x6fd7,
	0x6fd8,
	0x6fd9,
	0x6fda,
	0x6fdb,
	0x6fdc,
	0x6fdd,
	0x6fdf,
	0x6fe2,
	0x6fe3,
	0x6fe4,
	0x6fe5
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_59[]=
	{
	0x6fe6,
	0x6fe7,
	0x6fe8,
	0x6fe9,
	0x6fea,
	0x6feb,
	0x6fec,
	0x6fed,
	0x6ff0,
	0x6ff1,
	0x6ff2,
	0x6ff3,
	0x6ff4,
	0x6ff5,
	0x6ff6,
	0x6ff7,
	0x6ff8,
	0x6ff9,
	0x6ffa,
	0x6ffb,
	0x6ffc,
	0x6ffd,
	0x6ffe,
	0x6fff,
	0x7000,
	0x7001,
	0x7002,
	0x7003,
	0x7004,
	0x7005,
	0x7006,
	0x7007,
	0x7008,
	0x7009,
	0x700a,
	0x700b,
	0x700c,
	0x700d,
	0x700e,
	0x700f,
	0x7010,
	0x7012,
	0x7013,
	0x7014,
	0x7015,
	0x7016,
	0x7017,
	0x7018,
	0x7019,
	0x701c,
	0x701d,
	0x701e,
	0x701f,
	0x7020,
	0x7021,
	0x7022,
	0x7024,
	0x7025,
	0x7026,
	0x7027,
	0x7028,
	0x7029,
	0x702a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_60[]=
	{
	0x702b,
	0x702c,
	0x702d,
	0x702e,
	0x702f,
	0x7030,
	0x7031,
	0x7032,
	0x7033,
	0x7034,
	0x7036,
	0x7037,
	0x7038,
	0x703a,
	0x703b,
	0x703c,
	0x703d,
	0x703e,
	0x703f,
	0x7040,
	0x7041,
	0x7042,
	0x7043,
	0x7044,
	0x7045,
	0x7046,
	0x7047,
	0x7048,
	0x7049,
	0x704a,
	0x704b,
	0x704d,
	0x704e,
	0x7050,
	0x7051,
	0x7052,
	0x7053,
	0x7054,
	0x7055,
	0x7056,
	0x7057,
	0x7058,
	0x7059,
	0x705a,
	0x705b,
	0x705c,
	0x705d,
	0x705f,
	0x7060,
	0x7061,
	0x7062,
	0x7063,
	0x7064,
	0x7065,
	0x7066,
	0x7067,
	0x7068,
	0x7069,
	0x706a,
	0x706e,
	0x7071,
	0x7072,
	0x7073,
	0x7074,
	0x7077,
	0x7079,
	0x707a,
	0x707b,
	0x707d,
	0x7081,
	0x7082,
	0x7083,
	0x7084,
	0x7086,
	0x7087,
	0x7088,
	0x708b,
	0x708c,
	0x708d,
	0x708f,
	0x7090,
	0x7091,
	0x7093,
	0x7097,
	0x7098,
	0x709a,
	0x709b,
	0x709e,
	0x709f,
	0x70a0,
	0x70a1,
	0x70a2,
	0x70a3,
	0x70a4,
	0x70a5,
	0x70a6,
	0x70a7,
	0x70a8,
	0x70a9,
	0x70aa,
	0x70b0,
	0x70b2,
	0x70b4,
	0x70b5,
	0x70b6,
	0x70ba,
	0x70be,
	0x70bf,
	0x70c4,
	0x70c5,
	0x70c6,
	0x70c7,
	0x70c9,
	0x70cb,
	0x70cc,
	0x70cd,
	0x70ce,
	0x70cf,
	0x70d0,
	0x70d1,
	0x70d2,
	0x70d3,
	0x70d4,
	0x70d5,
	0x70d6,
	0x70d7,
	0x70da
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_61[]=
	{
	0x70dc,
	0x70dd,
	0x70de,
	0x70e0,
	0x70e1,
	0x70e2,
	0x70e3,
	0x70e5,
	0x70ea,
	0x70ee,
	0x70f0,
	0x70f1,
	0x70f2,
	0x70f3,
	0x70f4,
	0x70f5,
	0x70f6,
	0x70f8,
	0x70fa,
	0x70fb,
	0x70fc,
	0x70fe,
	0x70ff,
	0x7100,
	0x7101,
	0x7102,
	0x7103,
	0x7104,
	0x7105,
	0x7106,
	0x7107,
	0x7108,
	0x710b,
	0x710c,
	0x710d,
	0x710e,
	0x710f,
	0x7111,
	0x7112,
	0x7114,
	0x7117,
	0x711b,
	0x711c,
	0x711d,
	0x711e,
	0x711f,
	0x7120,
	0x7121,
	0x7122,
	0x7123,
	0x7124,
	0x7125,
	0x7127,
	0x7128,
	0x7129,
	0x712a,
	0x712b,
	0x712c,
	0x712d,
	0x712e,
	0x7132,
	0x7133,
	0x7134
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_62[]=
	{
	0x7135,
	0x7137,
	0x7138,
	0x7139,
	0x713a,
	0x713b,
	0x713c,
	0x713d,
	0x713e,
	0x713f,
	0x7140,
	0x7141,
	0x7142,
	0x7143,
	0x7144,
	0x7146,
	0x7147,
	0x7148,
	0x7149,
	0x714b,
	0x714d,
	0x714f,
	0x7150,
	0x7151,
	0x7152,
	0x7153,
	0x7154,
	0x7155,
	0x7156,
	0x7157,
	0x7158,
	0x7159,
	0x715a,
	0x715b,
	0x715d,
	0x715f,
	0x7160,
	0x7161,
	0x7162,
	0x7163,
	0x7165,
	0x7169,
	0x716a,
	0x716b,
	0x716c,
	0x716d,
	0x716f,
	0x7170,
	0x7171,
	0x7174,
	0x7175,
	0x7176,
	0x7177,
	0x7179,
	0x717b,
	0x717c,
	0x717e,
	0x717f,
	0x7180,
	0x7181,
	0x7182,
	0x7183,
	0x7185,
	0x7186,
	0x7187,
	0x7188,
	0x7189,
	0x718b,
	0x718c,
	0x718d,
	0x718e,
	0x7190,
	0x7191,
	0x7192,
	0x7193,
	0x7195,
	0x7196,
	0x7197,
	0x719a,
	0x719b,
	0x719c,
	0x719d,
	0x719e,
	0x71a1,
	0x71a2,
	0x71a3,
	0x71a4,
	0x71a5,
	0x71a6,
	0x71a7,
	0x71a9,
	0x71aa,
	0x71ab,
	0x71ad,
	0x71ae,
	0x71af,
	0x71b0,
	0x71b1,
	0x71b2,
	0x71b4,
	0x71b6,
	0x71b7,
	0x71b8,
	0x71ba,
	0x71bb,
	0x71bc,
	0x71bd,
	0x71be,
	0x71bf,
	0x71c0,
	0x71c1,
	0x71c2,
	0x71c4,
	0x71c5,
	0x71c6,
	0x71c7,
	0x71c8,
	0x71c9,
	0x71ca,
	0x71cb,
	0x71cc,
	0x71cd,
	0x71cf,
	0x71d0,
	0x71d1,
	0x71d2,
	0x71d3
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_63[]=
	{
	0x71d6,
	0x71d7,
	0x71d8,
	0x71d9,
	0x71da,
	0x71db,
	0x71dc,
	0x71dd,
	0x71de,
	0x71df,
	0x71e1,
	0x71e2,
	0x71e3,
	0x71e4,
	0x71e6,
	0x71e8,
	0x71e9,
	0x71ea,
	0x71eb,
	0x71ec,
	0x71ed,
	0x71ef,
	0x71f0,
	0x71f1,
	0x71f2,
	0x71f3,
	0x71f4,
	0x71f5,
	0x71f6,
	0x71f7,
	0x71f8,
	0x71fa,
	0x71fb,
	0x71fc,
	0x71fd,
	0x71fe,
	0x71ff,
	0x7200,
	0x7201,
	0x7202,
	0x7203,
	0x7204,
	0x7205,
	0x7207,
	0x7208,
	0x7209,
	0x720a,
	0x720b,
	0x720c,
	0x720d,
	0x720e,
	0x720f,
	0x7210,
	0x7211,
	0x7212,
	0x7213,
	0x7214,
	0x7215,
	0x7216,
	0x7217,
	0x7218,
	0x7219,
	0x721a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_64[]=
	{
	0x721b,
	0x721c,
	0x721e,
	0x721f,
	0x7220,
	0x7221,
	0x7222,
	0x7223,
	0x7224,
	0x7225,
	0x7226,
	0x7227,
	0x7229,
	0x722b,
	0x722d,
	0x722e,
	0x722f,
	0x7232,
	0x7233,
	0x7234,
	0x723a,
	0x723c,
	0x723e,
	0x7240,
	0x7241,
	0x7242,
	0x7243,
	0x7244,
	0x7245,
	0x7246,
	0x7249,
	0x724a,
	0x724b,
	0x724e,
	0x724f,
	0x7250,
	0x7251,
	0x7253,
	0x7254,
	0x7255,
	0x7257,
	0x7258,
	0x725a,
	0x725c,
	0x725e,
	0x7260,
	0x7263,
	0x7264,
	0x7265,
	0x7268,
	0x726a,
	0x726b,
	0x726c,
	0x726d,
	0x7270,
	0x7271,
	0x7273,
	0x7274,
	0x7276,
	0x7277,
	0x7278,
	0x727b,
	0x727c,
	0x727d,
	0x7282,
	0x7283,
	0x7285,
	0x7286,
	0x7287,
	0x7288,
	0x7289,
	0x728c,
	0x728e,
	0x7290,
	0x7291,
	0x7293,
	0x7294,
	0x7295,
	0x7296,
	0x7297,
	0x7298,
	0x7299,
	0x729a,
	0x729b,
	0x729c,
	0x729d,
	0x729e,
	0x72a0,
	0x72a1,
	0x72a2,
	0x72a3,
	0x72a4,
	0x72a5,
	0x72a6,
	0x72a7,
	0x72a8,
	0x72a9,
	0x72aa,
	0x72ab,
	0x72ae,
	0x72b1,
	0x72b2,
	0x72b3,
	0x72b5,
	0x72ba,
	0x72bb,
	0x72bc,
	0x72bd,
	0x72be,
	0x72bf,
	0x72c0,
	0x72c5,
	0x72c6,
	0x72c7,
	0x72c9,
	0x72ca,
	0x72cb,
	0x72cc,
	0x72cf,
	0x72d1,
	0x72d3,
	0x72d4,
	0x72d5,
	0x72d6,
	0x72d8,
	0x72da,
	0x72db
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_65[]=
	{
	0x2170,
	0x2171,
	0x2172,
	0x2173,
	0x2174,
	0x2175,
	0x2176,
	0x2177,
	0x2178,
	0x2179
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_66[]=
	{
	0xfe35,
	0xfe36,
	0xfe39,
	0xfe3a,
	0xfe3f,
	0xfe40,
	0xfe3d,
	0xfe3e,
	0xfe41,
	0xfe42,
	0xfe43,
	0xfe44
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_67[]=
	{
	0x02ca,
	0x02cb,
	0x02d9,
	0x2013,
	0x2015,
	0x2025,
	0x2035,
	0x2105,
	0x2109,
	0x2196,
	0x2197,
	0x2198,
	0x2199,
	0x2215,
	0x221f,
	0x2223,
	0x2252,
	0x2266,
	0x2267,
	0x22bf,
	0x2550,
	0x2551,
	0x2552,
	0x2553,
	0x2554,
	0x2555,
	0x2556,
	0x2557,
	0x2558,
	0x2559,
	0x255a,
	0x255b,
	0x255c,
	0x255d,
	0x255e,
	0x255f,
	0x2560,
	0x2561,
	0x2562,
	0x2563,
	0x2564,
	0x2565,
	0x2566,
	0x2567,
	0x2568,
	0x2569,
	0x256a,
	0x256b,
	0x256c,
	0x256d,
	0x256e,
	0x256f,
	0x2570,
	0x2571,
	0x2572,
	0x2573,
	0x2581,
	0x2582,
	0x2583,
	0x2584,
	0x2585,
	0x2586,
	0x2587
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_68[]=
	{
	0x2588,
	0x2589,
	0x258a,
	0x258b,
	0x258c,
	0x258d,
	0x258e,
	0x258f,
	0x2593,
	0x2594,
	0x2595,
	0x25bc,
	0x25bd,
	0x25e2,
	0x25e3,
	0x25e4,
	0x25e5,
	0x2609,
	0x2295,
	0x3012,
	0x301d,
	0x301e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_69[]=
	{
	0x3021,
	0x3022,
	0x3023,
	0x3024,
	0x3025,
	0x3026,
	0x3027,
	0x3028,
	0x3029,
	0x32a3,
	0x338e,
	0x338f,
	0x339c,
	0x339d,
	0x339e,
	0x33a1,
	0x33c4,
	0x33ce,
	0x33d1,
	0x33d2,
	0x33d5,
	0xfe30,
	0xffe2,
	0xffe4
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_70[]=
	{
	0x30fc,
	0x309b,
	0x309c,
	0x30fd,
	0x30fe,
	0x3006,
	0x309d,
	0x309e,
	0xfe49,
	0xfe4a,
	0xfe4b,
	0xfe4c,
	0xfe4d,
	0xfe4e,
	0xfe4f,
	0xfe50,
	0xfe51,
	0xfe52,
	0xfe54,
	0xfe55,
	0xfe56,
	0xfe57,
	0xfe59,
	0xfe5a,
	0xfe5b,
	0xfe5c,
	0xfe5d,
	0xfe5e,
	0xfe5f,
	0xfe60,
	0xfe61
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_71[]=
	{
	0xfe62,
	0xfe63,
	0xfe64,
	0xfe65,
	0xfe66,
	0xfe68,
	0xfe69,
	0xfe6a,
	0xfe6b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_72[]=
	{
	0x72dc,
	0x72dd,
	0x72df,
	0x72e2,
	0x72e3,
	0x72e4,
	0x72e5,
	0x72e6,
	0x72e7,
	0x72ea,
	0x72eb,
	0x72f5,
	0x72f6,
	0x72f9,
	0x72fd,
	0x72fe,
	0x72ff,
	0x7300,
	0x7302,
	0x7304,
	0x7305,
	0x7306,
	0x7307,
	0x7308,
	0x7309,
	0x730b,
	0x730c,
	0x730d,
	0x730f,
	0x7310,
	0x7311,
	0x7312,
	0x7314,
	0x7318,
	0x7319,
	0x731a,
	0x731f,
	0x7320,
	0x7323,
	0x7324,
	0x7326,
	0x7327,
	0x7328,
	0x732d,
	0x732f,
	0x7330,
	0x7332,
	0x7333,
	0x7335,
	0x7336,
	0x733a,
	0x733b,
	0x733c,
	0x733d,
	0x7340,
	0x7341,
	0x7342,
	0x7343,
	0x7344,
	0x7345,
	0x7346,
	0x7347,
	0x7348
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_73[]=
	{
	0x7349,
	0x734a,
	0x734b,
	0x734c,
	0x734e,
	0x734f,
	0x7351,
	0x7353,
	0x7354,
	0x7355,
	0x7356,
	0x7358,
	0x7359,
	0x735a,
	0x735b,
	0x735c,
	0x735d,
	0x735e,
	0x735f,
	0x7361,
	0x7362,
	0x7363,
	0x7364,
	0x7365,
	0x7366,
	0x7367,
	0x7368,
	0x7369,
	0x736a,
	0x736b,
	0x736e,
	0x7370,
	0x7371
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_74[]=
	{
	0x7372,
	0x7373,
	0x7374,
	0x7375,
	0x7376,
	0x7377,
	0x7378,
	0x7379,
	0x737a,
	0x737b,
	0x737c,
	0x737d,
	0x737f,
	0x7380,
	0x7381,
	0x7382,
	0x7383,
	0x7385,
	0x7386,
	0x7388,
	0x738a,
	0x738c,
	0x738d,
	0x738f,
	0x7390,
	0x7392,
	0x7393,
	0x7394,
	0x7395,
	0x7397,
	0x7398,
	0x7399,
	0x739a,
	0x739c,
	0x739d,
	0x739e,
	0x73a0,
	0x73a1,
	0x73a3,
	0x73a4,
	0x73a5,
	0x73a6,
	0x73a7,
	0x73a8,
	0x73aa,
	0x73ac,
	0x73ad,
	0x73b1,
	0x73b4,
	0x73b5,
	0x73b6,
	0x73b8,
	0x73b9,
	0x73bc,
	0x73bd,
	0x73be,
	0x73bf,
	0x73c1,
	0x73c3,
	0x73c4,
	0x73c5,
	0x73c6,
	0x73c7
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_75[]=
	{
	0x73cb,
	0x73cc,
	0x73ce,
	0x73d2,
	0x73d3,
	0x73d4,
	0x73d5,
	0x73d6,
	0x73d7,
	0x73d8,
	0x73da,
	0x73db,
	0x73dc,
	0x73dd,
	0x73df,
	0x73e1,
	0x73e2,
	0x73e3,
	0x73e4,
	0x73e6,
	0x73e8,
	0x73ea,
	0x73eb,
	0x73ec,
	0x73ee,
	0x73ef,
	0x73f0,
	0x73f1,
	0x73f3,
	0x73f4,
	0x73f5,
	0x73f6,
	0x73f7
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_76[]=
	{
	0x73f8,
	0x73f9,
	0x73fa,
	0x73fb,
	0x73fc,
	0x73fd,
	0x73fe,
	0x73ff,
	0x7400,
	0x7401,
	0x7402,
	0x7404,
	0x7407,
	0x7408,
	0x740b,
	0x740c,
	0x740d,
	0x740e,
	0x7411,
	0x7412,
	0x7413,
	0x7414,
	0x7415,
	0x7416,
	0x7417,
	0x7418,
	0x7419,
	0x741c,
	0x741d,
	0x741e,
	0x741f,
	0x7420,
	0x7421,
	0x7423,
	0x7424,
	0x7427,
	0x7429,
	0x742b,
	0x742d,
	0x742f,
	0x7431,
	0x7432,
	0x7437,
	0x7438,
	0x7439,
	0x743a,
	0x743b,
	0x743d,
	0x743e,
	0x743f,
	0x7440,
	0x7442,
	0x7443,
	0x7444,
	0x7445,
	0x7446,
	0x7447,
	0x7448,
	0x7449,
	0x744a,
	0x744b,
	0x744c,
	0x744d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_77[]=
	{
	0x744e,
	0x744f,
	0x7450,
	0x7451,
	0x7452,
	0x7453,
	0x7454,
	0x7456,
	0x7458,
	0x745d,
	0x7460,
	0x7461,
	0x7462,
	0x7463,
	0x7464,
	0x7465,
	0x7466,
	0x7467,
	0x7468,
	0x7469,
	0x746a,
	0x746b,
	0x746c,
	0x746e,
	0x746f,
	0x7471,
	0x7472,
	0x7473,
	0x7474,
	0x7475,
	0x7478,
	0x7479,
	0x747a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_78[]=
	{
	0x747b,
	0x747c,
	0x747d,
	0x747f,
	0x7482,
	0x7484,
	0x7485,
	0x7486,
	0x7488,
	0x7489,
	0x748a,
	0x748c,
	0x748d,
	0x748f,
	0x7491,
	0x7492,
	0x7493,
	0x7494,
	0x7495,
	0x7496,
	0x7497,
	0x7498,
	0x7499,
	0x749a,
	0x749b,
	0x749d,
	0x749f,
	0x74a0,
	0x74a1,
	0x74a2,
	0x74a3,
	0x74a4,
	0x74a5,
	0x74a6,
	0x74aa,
	0x74ab,
	0x74ac,
	0x74ad,
	0x74ae,
	0x74af,
	0x74b0,
	0x74b1,
	0x74b2,
	0x74b3,
	0x74b4,
	0x74b5,
	0x74b6,
	0x74b7,
	0x74b8,
	0x74b9,
	0x74bb,
	0x74bc,
	0x74bd,
	0x74be,
	0x74bf,
	0x74c0,
	0x74c1,
	0x74c2,
	0x74c3,
	0x74c4,
	0x74c5,
	0x74c6,
	0x74c7
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_79[]=
	{
	0x74c8,
	0x74c9,
	0x74ca,
	0x74cb,
	0x74cc,
	0x74cd,
	0x74ce,
	0x74cf,
	0x74d0,
	0x74d1,
	0x74d3,
	0x74d4,
	0x74d5,
	0x74d6,
	0x74d7,
	0x74d8,
	0x74d9,
	0x74da,
	0x74db,
	0x74dd,
	0x74df,
	0x74e1,
	0x74e5,
	0x74e7,
	0x74e8,
	0x74e9,
	0x74ea,
	0x74eb,
	0x74ec,
	0x74ed,
	0x74f0,
	0x74f1,
	0x74f2
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_80[]=
	{
	0x74f3,
	0x74f5,
	0x74f8,
	0x74f9,
	0x74fa,
	0x74fb,
	0x74fc,
	0x74fd,
	0x74fe,
	0x7500,
	0x7501,
	0x7502,
	0x7503,
	0x7505,
	0x7506,
	0x7507,
	0x7508,
	0x7509,
	0x750a,
	0x750b,
	0x750c,
	0x750e,
	0x7510,
	0x7512,
	0x7514,
	0x7515,
	0x7516,
	0x7517,
	0x751b,
	0x751d,
	0x751e,
	0x7520,
	0x7521,
	0x7522,
	0x7523,
	0x7524,
	0x7526,
	0x7527,
	0x752a,
	0x752e,
	0x7534,
	0x7536,
	0x7539,
	0x753c,
	0x753d,
	0x753f,
	0x7541,
	0x7542,
	0x7543,
	0x7544,
	0x7546,
	0x7547,
	0x7549,
	0x754a,
	0x754d,
	0x7550,
	0x7551,
	0x7552,
	0x7553,
	0x7555,
	0x7556,
	0x7557,
	0x7558
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_81[]=
	{
	0x755d,
	0x755e,
	0x755f,
	0x7560,
	0x7561,
	0x7562,
	0x7563,
	0x7564,
	0x7567,
	0x7568,
	0x7569,
	0x756b,
	0x756c,
	0x756d,
	0x756e,
	0x756f,
	0x7570,
	0x7571,
	0x7573,
	0x7575,
	0x7576,
	0x7577,
	0x757a,
	0x757b,
	0x757c,
	0x757d,
	0x757e,
	0x7580,
	0x7581,
	0x7582,
	0x7584,
	0x7585,
	0x7587
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_82[]=
	{
	0x7588,
	0x7589,
	0x758a,
	0x758c,
	0x758d,
	0x758e,
	0x7590,
	0x7593,
	0x7595,
	0x7598,
	0x759b,
	0x759c,
	0x759e,
	0x75a2,
	0x75a6,
	0x75a7,
	0x75a8,
	0x75a9,
	0x75aa,
	0x75ad,
	0x75b6,
	0x75b7,
	0x75ba,
	0x75bb,
	0x75bf,
	0x75c0,
	0x75c1,
	0x75c6,
	0x75cb,
	0x75cc,
	0x75ce,
	0x75cf,
	0x75d0,
	0x75d1,
	0x75d3,
	0x75d7,
	0x75d9,
	0x75da,
	0x75dc,
	0x75dd,
	0x75df,
	0x75e0,
	0x75e1,
	0x75e5,
	0x75e9,
	0x75ec,
	0x75ed,
	0x75ee,
	0x75ef,
	0x75f2,
	0x75f3,
	0x75f5,
	0x75f6,
	0x75f7,
	0x75f8,
	0x75fa,
	0x75fb,
	0x75fd,
	0x75fe,
	0x7602,
	0x7604,
	0x7606,
	0x7607
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_83[]=
	{
	0x7608,
	0x7609,
	0x760b,
	0x760d,
	0x760e,
	0x760f,
	0x7611,
	0x7612,
	0x7613,
	0x7614,
	0x7616,
	0x761a,
	0x761c,
	0x761d,
	0x761e,
	0x7621,
	0x7623,
	0x7627,
	0x7628,
	0x762c,
	0x762e,
	0x762f,
	0x7631,
	0x7632,
	0x7636,
	0x7637,
	0x7639,
	0x763a,
	0x763b,
	0x763d,
	0x7641,
	0x7642,
	0x7644
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_84[]=
	{
	0x7645,
	0x7646,
	0x7647,
	0x7648,
	0x7649,
	0x764a,
	0x764b,
	0x764e,
	0x764f,
	0x7650,
	0x7651,
	0x7652,
	0x7653,
	0x7655,
	0x7657,
	0x7658,
	0x7659,
	0x765a,
	0x765b,
	0x765d,
	0x765f,
	0x7660,
	0x7661,
	0x7662,
	0x7664,
	0x7665,
	0x7666,
	0x7667,
	0x7668,
	0x7669,
	0x766a,
	0x766c,
	0x766d,
	0x766e,
	0x7670,
	0x7671,
	0x7672,
	0x7673,
	0x7674,
	0x7675,
	0x7676,
	0x7677,
	0x7679,
	0x767a,
	0x767c,
	0x767f,
	0x7680,
	0x7681,
	0x7683,
	0x7685,
	0x7689,
	0x768a,
	0x768c,
	0x768d,
	0x768f,
	0x7690,
	0x7692,
	0x7694,
	0x7695,
	0x7697,
	0x7698,
	0x769a,
	0x769b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_85[]=
	{
	0x769c,
	0x769d,
	0x769e,
	0x769f,
	0x76a0,
	0x76a1,
	0x76a2,
	0x76a3,
	0x76a5,
	0x76a6,
	0x76a7,
	0x76a8,
	0x76a9,
	0x76aa,
	0x76ab,
	0x76ac,
	0x76ad,
	0x76af,
	0x76b0,
	0x76b3,
	0x76b5,
	0x76b6,
	0x76b7,
	0x76b8,
	0x76b9,
	0x76ba,
	0x76bb,
	0x76bc,
	0x76bd,
	0x76be,
	0x76c0,
	0x76c1,
	0x76c3
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_86[]=
	{
	0x76c4,
	0x76c7,
	0x76c9,
	0x76cb,
	0x76cc,
	0x76d3,
	0x76d5,
	0x76d9,
	0x76da,
	0x76dc,
	0x76dd,
	0x76de,
	0x76e0,
	0x76e1,
	0x76e2,
	0x76e3,
	0x76e4,
	0x76e6,
	0x76e7,
	0x76e8,
	0x76e9,
	0x76ea,
	0x76eb,
	0x76ec,
	0x76ed,
	0x76f0,
	0x76f3,
	0x76f5,
	0x76f6,
	0x76f7,
	0x76fa,
	0x76fb,
	0x76fd,
	0x76ff,
	0x7700,
	0x7702,
	0x7703,
	0x7705,
	0x7706,
	0x770a,
	0x770c,
	0x770e,
	0x770f,
	0x7710,
	0x7711,
	0x7712,
	0x7713,
	0x7714,
	0x7715,
	0x7716,
	0x7717,
	0x7718,
	0x771b,
	0x771c,
	0x771d,
	0x771e,
	0x7721,
	0x7723,
	0x7724,
	0x7725,
	0x7727,
	0x772a,
	0x772b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_87[]=
	{
	0x772c,
	0x772e,
	0x7730,
	0x7731,
	0x7732,
	0x7733,
	0x7734,
	0x7739,
	0x773b,
	0x773d,
	0x773e,
	0x773f,
	0x7742,
	0x7744,
	0x7745,
	0x7746,
	0x7748,
	0x7749,
	0x774a,
	0x774b,
	0x774c,
	0x774d,
	0x774e,
	0x774f,
	0x7752,
	0x7753,
	0x7754,
	0x7755,
	0x7756,
	0x7757,
	0x7758,
	0x7759,
	0x775c
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_88[]=
	{
	0x775d,
	0x775e,
	0x775f,
	0x7760,
	0x7764,
	0x7767,
	0x7769,
	0x776a,
	0x776d,
	0x776e,
	0x776f,
	0x7770,
	0x7771,
	0x7772,
	0x7773,
	0x7774,
	0x7775,
	0x7776,
	0x7777,
	0x7778,
	0x777a,
	0x777b,
	0x777c,
	0x7781,
	0x7782,
	0x7783,
	0x7786,
	0x7787,
	0x7788,
	0x7789,
	0x778a,
	0x778b,
	0x778f,
	0x7790,
	0x7793,
	0x7794,
	0x7795,
	0x7796,
	0x7797,
	0x7798,
	0x7799,
	0x779a,
	0x779b,
	0x779c,
	0x779d,
	0x779e,
	0x77a1,
	0x77a3,
	0x77a4,
	0x77a6,
	0x77a8,
	0x77ab,
	0x77ad,
	0x77ae,
	0x77af,
	0x77b1,
	0x77b2,
	0x77b4,
	0x77b6,
	0x77b7,
	0x77b8,
	0x77b9,
	0x77ba
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_89[]=
	{
	0x77bc,
	0x77be,
	0x77c0,
	0x77c1,
	0x77c2,
	0x77c3,
	0x77c4,
	0x77c5,
	0x77c6,
	0x77c7,
	0x77c8,
	0x77c9,
	0x77ca,
	0x77cb,
	0x77cc,
	0x77ce,
	0x77cf,
	0x77d0,
	0x77d1,
	0x77d2,
	0x77d3,
	0x77d4,
	0x77d5,
	0x77d6,
	0x77d8,
	0x77d9,
	0x77da,
	0x77dd,
	0x77de,
	0x77df,
	0x77e0,
	0x77e1,
	0x77e4
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_90[]=
	{
	0x77e6,
	0x77e8,
	0x77ea,
	0x77ef,
	0x77f0,
	0x77f1,
	0x77f2,
	0x77f4,
	0x77f5,
	0x77f7,
	0x77f9,
	0x77fa,
	0x77fb,
	0x77fc,
	0x7803,
	0x7804,
	0x7805,
	0x7806,
	0x7807,
	0x7808,
	0x780a,
	0x780b,
	0x780e,
	0x780f,
	0x7810,
	0x7813,
	0x7815,
	0x7819,
	0x781b,
	0x781e,
	0x7820,
	0x7821,
	0x7822,
	0x7824,
	0x7828,
	0x782a,
	0x782b,
	0x782e,
	0x782f,
	0x7831,
	0x7832,
	0x7833,
	0x7835,
	0x7836,
	0x783d,
	0x783f,
	0x7841,
	0x7842,
	0x7843,
	0x7844,
	0x7846,
	0x7848,
	0x7849,
	0x784a,
	0x784b,
	0x784d,
	0x784f,
	0x7851,
	0x7853,
	0x7854,
	0x7858,
	0x7859,
	0x785a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_91[]=
	{
	0x785b,
	0x785c,
	0x785e,
	0x785f,
	0x7860,
	0x7861,
	0x7862,
	0x7863,
	0x7864,
	0x7865,
	0x7866,
	0x7867,
	0x7868,
	0x7869,
	0x786f,
	0x7870,
	0x7871,
	0x7872,
	0x7873,
	0x7874,
	0x7875,
	0x7876,
	0x7878,
	0x7879,
	0x787a,
	0x787b,
	0x787d,
	0x787e,
	0x787f,
	0x7880,
	0x7881,
	0x7882,
	0x7883
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_92[]=
	{
	0x7884,
	0x7885,
	0x7886,
	0x7888,
	0x788a,
	0x788b,
	0x788f,
	0x7890,
	0x7892,
	0x7894,
	0x7895,
	0x7896,
	0x7899,
	0x789d,
	0x789e,
	0x78a0,
	0x78a2,
	0x78a4,
	0x78a6,
	0x78a8,
	0x78a9,
	0x78aa,
	0x78ab,
	0x78ac,
	0x78ad,
	0x78ae,
	0x78af,
	0x78b5,
	0x78b6,
	0x78b7,
	0x78b8,
	0x78ba,
	0x78bb,
	0x78bc,
	0x78bd,
	0x78bf,
	0x78c0,
	0x78c2,
	0x78c3,
	0x78c4,
	0x78c6,
	0x78c7,
	0x78c8,
	0x78cc,
	0x78cd,
	0x78ce,
	0x78cf,
	0x78d1,
	0x78d2,
	0x78d3,
	0x78d6,
	0x78d7,
	0x78d8,
	0x78da,
	0x78db,
	0x78dc,
	0x78dd,
	0x78de,
	0x78df,
	0x78e0,
	0x78e1,
	0x78e2,
	0x78e3
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_93[]=
	{
	0x78e4,
	0x78e5,
	0x78e6,
	0x78e7,
	0x78e9,
	0x78ea,
	0x78eb,
	0x78ed,
	0x78ee,
	0x78ef,
	0x78f0,
	0x78f1,
	0x78f3,
	0x78f5,
	0x78f6,
	0x78f8,
	0x78f9,
	0x78fb,
	0x78fc,
	0x78fd,
	0x78fe,
	0x78ff,
	0x7900,
	0x7902,
	0x7903,
	0x7904,
	0x7906,
	0x7907,
	0x7908,
	0x7909,
	0x790a,
	0x790b,
	0x790c
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_94[]=
	{
	0x790d,
	0x790e,
	0x790f,
	0x7910,
	0x7911,
	0x7912,
	0x7914,
	0x7915,
	0x7916,
	0x7917,
	0x7918,
	0x7919,
	0x791a,
	0x791b,
	0x791c,
	0x791d,
	0x791f,
	0x7920,
	0x7921,
	0x7922,
	0x7923,
	0x7925,
	0x7926,
	0x7927,
	0x7928,
	0x7929,
	0x792a,
	0x792b,
	0x792c,
	0x792d,
	0x792e,
	0x792f,
	0x7930,
	0x7931,
	0x7932,
	0x7933,
	0x7935,
	0x7936,
	0x7937,
	0x7938,
	0x7939,
	0x793d,
	0x793f,
	0x7942,
	0x7943,
	0x7944,
	0x7945,
	0x7947,
	0x794a,
	0x794b,
	0x794c,
	0x794d,
	0x794e,
	0x794f,
	0x7950,
	0x7951,
	0x7952,
	0x7954,
	0x7955,
	0x7958,
	0x7959,
	0x7961,
	0x7963
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_95[]=
	{
	0x7964,
	0x7966,
	0x7969,
	0x796a,
	0x796b,
	0x796c,
	0x796e,
	0x7970,
	0x7971,
	0x7972,
	0x7973,
	0x7974,
	0x7975,
	0x7976,
	0x7979,
	0x797b,
	0x797c,
	0x797d,
	0x797e,
	0x797f,
	0x7982,
	0x7983,
	0x7986,
	0x7987,
	0x7988,
	0x7989,
	0x798b,
	0x798c,
	0x798d,
	0x798e,
	0x7990,
	0x7991,
	0x7992
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_96[]=
	{
	0x7993,
	0x7994,
	0x7995,
	0x7996,
	0x7997,
	0x7998,
	0x7999,
	0x799b,
	0x799c,
	0x799d,
	0x799e,
	0x799f,
	0x79a0,
	0x79a1,
	0x79a2,
	0x79a3,
	0x79a4,
	0x79a5,
	0x79a6,
	0x79a8,
	0x79a9,
	0x79aa,
	0x79ab,
	0x79ac,
	0x79ad,
	0x79ae,
	0x79af,
	0x79b0,
	0x79b1,
	0x79b2,
	0x79b4,
	0x79b5,
	0x79b6,
	0x79b7,
	0x79b8,
	0x79bc,
	0x79bf,
	0x79c2,
	0x79c4,
	0x79c5,
	0x79c7,
	0x79c8,
	0x79ca,
	0x79cc,
	0x79ce,
	0x79cf,
	0x79d0,
	0x79d3,
	0x79d4,
	0x79d6,
	0x79d7,
	0x79d9,
	0x79da,
	0x79db,
	0x79dc,
	0x79dd,
	0x79de,
	0x79e0,
	0x79e1,
	0x79e2,
	0x79e5,
	0x79e8,
	0x79ea
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_97[]=
	{
	0x79ec,
	0x79ee,
	0x79f1,
	0x79f2,
	0x79f3,
	0x79f4,
	0x79f5,
	0x79f6,
	0x79f7,
	0x79f9,
	0x79fa,
	0x79fc,
	0x79fe,
	0x79ff,
	0x7a01,
	0x7a04,
	0x7a05,
	0x7a07,
	0x7a08,
	0x7a09,
	0x7a0a,
	0x7a0c,
	0x7a0f,
	0x7a10,
	0x7a11,
	0x7a12,
	0x7a13,
	0x7a15,
	0x7a16,
	0x7a18,
	0x7a19,
	0x7a1b,
	0x7a1c
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_98[]=
	{
	0x7a1d,
	0x7a1f,
	0x7a21,
	0x7a22,
	0x7a24,
	0x7a25,
	0x7a26,
	0x7a27,
	0x7a28,
	0x7a29,
	0x7a2a,
	0x7a2b,
	0x7a2c,
	0x7a2d,
	0x7a2e,
	0x7a2f,
	0x7a30,
	0x7a31,
	0x7a32,
	0x7a34,
	0x7a35,
	0x7a36,
	0x7a38,
	0x7a3a,
	0x7a3e,
	0x7a40,
	0x7a41,
	0x7a42,
	0x7a43,
	0x7a44,
	0x7a45,
	0x7a47,
	0x7a48,
	0x7a49,
	0x7a4a,
	0x7a4b,
	0x7a4c,
	0x7a4d,
	0x7a4e,
	0x7a4f,
	0x7a50,
	0x7a52,
	0x7a53,
	0x7a54,
	0x7a55,
	0x7a56,
	0x7a58,
	0x7a59,
	0x7a5a,
	0x7a5b,
	0x7a5c,
	0x7a5d,
	0x7a5e,
	0x7a5f,
	0x7a60,
	0x7a61,
	0x7a62,
	0x7a63,
	0x7a64,
	0x7a65,
	0x7a66,
	0x7a67,
	0x7a68
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_99[]=
	{
	0x7a69,
	0x7a6a,
	0x7a6b,
	0x7a6c,
	0x7a6d,
	0x7a6e,
	0x7a6f,
	0x7a71,
	0x7a72,
	0x7a73,
	0x7a75,
	0x7a7b,
	0x7a7c,
	0x7a7d,
	0x7a7e,
	0x7a82,
	0x7a85,
	0x7a87,
	0x7a89,
	0x7a8a,
	0x7a8b,
	0x7a8c,
	0x7a8e,
	0x7a8f,
	0x7a90,
	0x7a93,
	0x7a94,
	0x7a99,
	0x7a9a,
	0x7a9b,
	0x7a9e,
	0x7aa1,
	0x7aa2
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_100[]=
	{
	0x7aa3,
	0x7aa4,
	0x7aa7,
	0x7aa9,
	0x7aaa,
	0x7aab,
	0x7aae,
	0x7aaf,
	0x7ab0,
	0x7ab1,
	0x7ab2,
	0x7ab4,
	0x7ab5,
	0x7ab6,
	0x7ab7,
	0x7ab8,
	0x7ab9,
	0x7aba,
	0x7abb,
	0x7abc,
	0x7abd,
	0x7abe,
	0x7ac0,
	0x7ac1,
	0x7ac2,
	0x7ac3,
	0x7ac4,
	0x7ac5,
	0x7ac6,
	0x7ac7,
	0x7ac8,
	0x7ac9,
	0x7aca,
	0x7acc,
	0x7acd,
	0x7ace,
	0x7acf,
	0x7ad0,
	0x7ad1,
	0x7ad2,
	0x7ad3,
	0x7ad4,
	0x7ad5,
	0x7ad7,
	0x7ad8,
	0x7ada,
	0x7adb,
	0x7adc,
	0x7add,
	0x7ae1,
	0x7ae2,
	0x7ae4,
	0x7ae7,
	0x7ae8,
	0x7ae9,
	0x7aea,
	0x7aeb,
	0x7aec,
	0x7aee,
	0x7af0,
	0x7af1,
	0x7af2,
	0x7af3
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_101[]=
	{
	0x7af4,
	0x7af5,
	0x7af6,
	0x7af7,
	0x7af8,
	0x7afb,
	0x7afc,
	0x7afe,
	0x7b00,
	0x7b01,
	0x7b02,
	0x7b05,
	0x7b07,
	0x7b09,
	0x7b0c,
	0x7b0d,
	0x7b0e,
	0x7b10,
	0x7b12,
	0x7b13,
	0x7b16,
	0x7b17,
	0x7b18,
	0x7b1a,
	0x7b1c,
	0x7b1d,
	0x7b1f,
	0x7b21,
	0x7b22,
	0x7b23,
	0x7b27,
	0x7b29,
	0x7b2d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_102[]=
	{
	0x7b2f,
	0x7b30,
	0x7b32,
	0x7b34,
	0x7b35,
	0x7b36,
	0x7b37,
	0x7b39,
	0x7b3b,
	0x7b3d,
	0x7b3f,
	0x7b40,
	0x7b41,
	0x7b42,
	0x7b43,
	0x7b44,
	0x7b46,
	0x7b48,
	0x7b4a,
	0x7b4d,
	0x7b4e,
	0x7b53,
	0x7b55,
	0x7b57,
	0x7b59,
	0x7b5c,
	0x7b5e,
	0x7b5f,
	0x7b61,
	0x7b63,
	0x7b64,
	0x7b65,
	0x7b66,
	0x7b67,
	0x7b68,
	0x7b69,
	0x7b6a,
	0x7b6b,
	0x7b6c,
	0x7b6d,
	0x7b6f,
	0x7b70,
	0x7b73,
	0x7b74,
	0x7b76,
	0x7b78,
	0x7b7a,
	0x7b7c,
	0x7b7d,
	0x7b7f,
	0x7b81,
	0x7b82,
	0x7b83,
	0x7b84,
	0x7b86,
	0x7b87,
	0x7b88,
	0x7b89,
	0x7b8a,
	0x7b8b,
	0x7b8c,
	0x7b8e,
	0x7b8f
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_103[]=
	{
	0x7b91,
	0x7b92,
	0x7b93,
	0x7b96,
	0x7b98,
	0x7b99,
	0x7b9a,
	0x7b9b,
	0x7b9e,
	0x7b9f,
	0x7ba0,
	0x7ba3,
	0x7ba4,
	0x7ba5,
	0x7bae,
	0x7baf,
	0x7bb0,
	0x7bb2,
	0x7bb3,
	0x7bb5,
	0x7bb6,
	0x7bb7,
	0x7bb9,
	0x7bba,
	0x7bbb,
	0x7bbc,
	0x7bbd,
	0x7bbe,
	0x7bbf,
	0x7bc0,
	0x7bc2,
	0x7bc3,
	0x7bc4
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_104[]=
	{
	0x7bc5,
	0x7bc8,
	0x7bc9,
	0x7bca,
	0x7bcb,
	0x7bcd,
	0x7bce,
	0x7bcf,
	0x7bd0,
	0x7bd2,
	0x7bd4,
	0x7bd5,
	0x7bd6,
	0x7bd7,
	0x7bd8,
	0x7bdb,
	0x7bdc,
	0x7bde,
	0x7bdf,
	0x7be0,
	0x7be2,
	0x7be3,
	0x7be4,
	0x7be7,
	0x7be8,
	0x7be9,
	0x7beb,
	0x7bec,
	0x7bed,
	0x7bef,
	0x7bf0,
	0x7bf2,
	0x7bf3,
	0x7bf4,
	0x7bf5,
	0x7bf6,
	0x7bf8,
	0x7bf9,
	0x7bfa,
	0x7bfb,
	0x7bfd,
	0x7bff,
	0x7c00,
	0x7c01,
	0x7c02,
	0x7c03,
	0x7c04,
	0x7c05,
	0x7c06,
	0x7c08,
	0x7c09,
	0x7c0a,
	0x7c0d,
	0x7c0e,
	0x7c10,
	0x7c11,
	0x7c12,
	0x7c13,
	0x7c14,
	0x7c15,
	0x7c17,
	0x7c18,
	0x7c19
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_105[]=
	{
	0x7c1a,
	0x7c1b,
	0x7c1c,
	0x7c1d,
	0x7c1e,
	0x7c20,
	0x7c21,
	0x7c22,
	0x7c23,
	0x7c24,
	0x7c25,
	0x7c28,
	0x7c29,
	0x7c2b,
	0x7c2c,
	0x7c2d,
	0x7c2e,
	0x7c2f,
	0x7c30,
	0x7c31,
	0x7c32,
	0x7c33,
	0x7c34,
	0x7c35,
	0x7c36,
	0x7c37,
	0x7c39,
	0x7c3a,
	0x7c3b,
	0x7c3c,
	0x7c3d,
	0x7c3e,
	0x7c42
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_106[]=
	{
	0x7c43,
	0x7c44,
	0x7c45,
	0x7c46,
	0x7c47,
	0x7c48,
	0x7c49,
	0x7c4a,
	0x7c4b,
	0x7c4c,
	0x7c4e,
	0x7c4f,
	0x7c50,
	0x7c51,
	0x7c52,
	0x7c53,
	0x7c54,
	0x7c55,
	0x7c56,
	0x7c57,
	0x7c58,
	0x7c59,
	0x7c5a,
	0x7c5b,
	0x7c5c,
	0x7c5d,
	0x7c5e,
	0x7c5f,
	0x7c60,
	0x7c61,
	0x7c62,
	0x7c63,
	0x7c64,
	0x7c65,
	0x7c66,
	0x7c67,
	0x7c68,
	0x7c69,
	0x7c6a,
	0x7c6b,
	0x7c6c,
	0x7c6d,
	0x7c6e,
	0x7c6f,
	0x7c70,
	0x7c71,
	0x7c72,
	0x7c75,
	0x7c76,
	0x7c77,
	0x7c78,
	0x7c79,
	0x7c7a,
	0x7c7e,
	0x7c7f,
	0x7c80,
	0x7c81,
	0x7c82,
	0x7c83,
	0x7c84,
	0x7c85,
	0x7c86,
	0x7c87
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_107[]=
	{
	0x7c88,
	0x7c8a,
	0x7c8b,
	0x7c8c,
	0x7c8d,
	0x7c8e,
	0x7c8f,
	0x7c90,
	0x7c93,
	0x7c94,
	0x7c96,
	0x7c99,
	0x7c9a,
	0x7c9b,
	0x7ca0,
	0x7ca1,
	0x7ca3,
	0x7ca6,
	0x7ca7,
	0x7ca8,
	0x7ca9,
	0x7cab,
	0x7cac,
	0x7cad,
	0x7caf,
	0x7cb0,
	0x7cb4,
	0x7cb5,
	0x7cb6,
	0x7cb7,
	0x7cb8,
	0x7cba,
	0x7cbb
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_108[]=
	{
	0x7cbf,
	0x7cc0,
	0x7cc2,
	0x7cc3,
	0x7cc4,
	0x7cc6,
	0x7cc9,
	0x7ccb,
	0x7cce,
	0x7ccf,
	0x7cd0,
	0x7cd1,
	0x7cd2,
	0x7cd3,
	0x7cd4,
	0x7cd8,
	0x7cda,
	0x7cdb,
	0x7cdd,
	0x7cde,
	0x7ce1,
	0x7ce2,
	0x7ce3,
	0x7ce4,
	0x7ce5,
	0x7ce6,
	0x7ce7,
	0x7ce9,
	0x7cea,
	0x7ceb,
	0x7cec,
	0x7ced,
	0x7cee,
	0x7cf0,
	0x7cf1,
	0x7cf2,
	0x7cf3,
	0x7cf4,
	0x7cf5,
	0x7cf6,
	0x7cf7,
	0x7cf9,
	0x7cfa,
	0x7cfc,
	0x7cfd,
	0x7cfe,
	0x7cff,
	0x7d00,
	0x7d01,
	0x7d02,
	0x7d03,
	0x7d04,
	0x7d05,
	0x7d06,
	0x7d07,
	0x7d08,
	0x7d09,
	0x7d0b,
	0x7d0c,
	0x7d0d,
	0x7d0e,
	0x7d0f,
	0x7d10
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_109[]=
	{
	0x7d11,
	0x7d12,
	0x7d13,
	0x7d14,
	0x7d15,
	0x7d16,
	0x7d17,
	0x7d18,
	0x7d19,
	0x7d1a,
	0x7d1b,
	0x7d1c,
	0x7d1d,
	0x7d1e,
	0x7d1f,
	0x7d21,
	0x7d23,
	0x7d24,
	0x7d25,
	0x7d26,
	0x7d28,
	0x7d29,
	0x7d2a,
	0x7d2c,
	0x7d2d,
	0x7d2e,
	0x7d30,
	0x7d31,
	0x7d32,
	0x7d33,
	0x7d34,
	0x7d35,
	0x7d36
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_110[]=
	{
	0x7d37,
	0x7d38,
	0x7d39,
	0x7d3a,
	0x7d3b,
	0x7d3c,
	0x7d3d,
	0x7d3e,
	0x7d3f,
	0x7d40,
	0x7d41,
	0x7d42,
	0x7d43,
	0x7d44,
	0x7d45,
	0x7d46,
	0x7d47,
	0x7d48,
	0x7d49,
	0x7d4a,
	0x7d4b,
	0x7d4c,
	0x7d4d,
	0x7d4e,
	0x7d4f,
	0x7d50,
	0x7d51,
	0x7d52,
	0x7d53,
	0x7d54,
	0x7d55,
	0x7d56,
	0x7d57,
	0x7d58,
	0x7d59,
	0x7d5a,
	0x7d5b,
	0x7d5c,
	0x7d5d,
	0x7d5e,
	0x7d5f,
	0x7d60,
	0x7d61,
	0x7d62,
	0x7d63,
	0x7d64,
	0x7d65,
	0x7d66,
	0x7d67,
	0x7d68,
	0x7d69,
	0x7d6a,
	0x7d6b,
	0x7d6c,
	0x7d6d,
	0x7d6f,
	0x7d70,
	0x7d71,
	0x7d72,
	0x7d73,
	0x7d74,
	0x7d75,
	0x7d76
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_111[]=
	{
	0x7d78,
	0x7d79,
	0x7d7a,
	0x7d7b,
	0x7d7c,
	0x7d7d,
	0x7d7e,
	0x7d7f,
	0x7d80,
	0x7d81,
	0x7d82,
	0x7d83,
	0x7d84,
	0x7d85,
	0x7d86,
	0x7d87,
	0x7d88,
	0x7d89,
	0x7d8a,
	0x7d8b,
	0x7d8c,
	0x7d8d,
	0x7d8e,
	0x7d8f,
	0x7d90,
	0x7d91,
	0x7d92,
	0x7d93,
	0x7d94,
	0x7d95,
	0x7d96,
	0x7d97,
	0x7d98
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_112[]=
	{
	0x7d99,
	0x7d9a,
	0x7d9b,
	0x7d9c,
	0x7d9d,
	0x7d9e,
	0x7d9f,
	0x7da0,
	0x7da1,
	0x7da2,
	0x7da3,
	0x7da4,
	0x7da5,
	0x7da7,
	0x7da8,
	0x7da9,
	0x7daa,
	0x7dab,
	0x7dac,
	0x7dad,
	0x7daf,
	0x7db0,
	0x7db1,
	0x7db2,
	0x7db3,
	0x7db4,
	0x7db5,
	0x7db6,
	0x7db7,
	0x7db8,
	0x7db9,
	0x7dba,
	0x7dbb,
	0x7dbc,
	0x7dbd,
	0x7dbe,
	0x7dbf,
	0x7dc0,
	0x7dc1,
	0x7dc2,
	0x7dc3,
	0x7dc4,
	0x7dc5,
	0x7dc6,
	0x7dc7,
	0x7dc8,
	0x7dc9,
	0x7dca,
	0x7dcb,
	0x7dcc,
	0x7dcd,
	0x7dce,
	0x7dcf,
	0x7dd0,
	0x7dd1,
	0x7dd2,
	0x7dd3,
	0x7dd4,
	0x7dd5,
	0x7dd6,
	0x7dd7,
	0x7dd8,
	0x7dd9
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_113[]=
	{
	0x7dda,
	0x7ddb,
	0x7ddc,
	0x7ddd,
	0x7dde,
	0x7ddf,
	0x7de0,
	0x7de1,
	0x7de2,
	0x7de3,
	0x7de4,
	0x7de5,
	0x7de6,
	0x7de7,
	0x7de8,
	0x7de9,
	0x7dea,
	0x7deb,
	0x7dec,
	0x7ded,
	0x7dee,
	0x7def,
	0x7df0,
	0x7df1,
	0x7df2,
	0x7df3,
	0x7df4,
	0x7df5,
	0x7df6,
	0x7df7,
	0x7df8,
	0x7df9,
	0x7dfa
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_114[]=
	{
	0x7dfb,
	0x7dfc,
	0x7dfd,
	0x7dfe,
	0x7dff,
	0x7e00,
	0x7e01,
	0x7e02,
	0x7e03,
	0x7e04,
	0x7e05,
	0x7e06,
	0x7e07,
	0x7e08,
	0x7e09,
	0x7e0a,
	0x7e0b,
	0x7e0c,
	0x7e0d,
	0x7e0e,
	0x7e0f,
	0x7e10,
	0x7e11,
	0x7e12,
	0x7e13,
	0x7e14,
	0x7e15,
	0x7e16,
	0x7e17,
	0x7e18,
	0x7e19,
	0x7e1a,
	0x7e1b,
	0x7e1c,
	0x7e1d,
	0x7e1e,
	0x7e1f,
	0x7e20,
	0x7e21,
	0x7e22,
	0x7e23,
	0x7e24,
	0x7e25,
	0x7e26,
	0x7e27,
	0x7e28,
	0x7e29,
	0x7e2a,
	0x7e2b,
	0x7e2c,
	0x7e2d,
	0x7e2e,
	0x7e2f,
	0x7e30,
	0x7e31,
	0x7e32,
	0x7e33,
	0x7e34,
	0x7e35,
	0x7e36,
	0x7e37,
	0x7e38,
	0x7e39
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_115[]=
	{
	0x7e3a,
	0x7e3c,
	0x7e3d,
	0x7e3e,
	0x7e3f,
	0x7e40,
	0x7e42,
	0x7e43,
	0x7e44,
	0x7e45,
	0x7e46,
	0x7e48,
	0x7e49,
	0x7e4a,
	0x7e4b,
	0x7e4c,
	0x7e4d,
	0x7e4e,
	0x7e4f,
	0x7e50,
	0x7e51,
	0x7e52,
	0x7e53,
	0x7e54,
	0x7e55,
	0x7e56,
	0x7e57,
	0x7e58,
	0x7e59,
	0x7e5a,
	0x7e5b,
	0x7e5c,
	0x7e5d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_116[]=
	{
	0x7e5e,
	0x7e5f,
	0x7e60,
	0x7e61,
	0x7e62,
	0x7e63,
	0x7e64,
	0x7e65,
	0x7e66,
	0x7e67,
	0x7e68,
	0x7e69,
	0x7e6a,
	0x7e6b,
	0x7e6c,
	0x7e6d,
	0x7e6e,
	0x7e6f,
	0x7e70,
	0x7e71,
	0x7e72,
	0x7e73,
	0x7e74,
	0x7e75,
	0x7e76,
	0x7e77,
	0x7e78,
	0x7e79,
	0x7e7a,
	0x7e7b,
	0x7e7c,
	0x7e7d,
	0x7e7e,
	0x7e7f,
	0x7e80,
	0x7e81,
	0x7e83,
	0x7e84,
	0x7e85,
	0x7e86,
	0x7e87,
	0x7e88,
	0x7e89,
	0x7e8a,
	0x7e8b,
	0x7e8c,
	0x7e8d,
	0x7e8e,
	0x7e8f,
	0x7e90,
	0x7e91,
	0x7e92,
	0x7e93,
	0x7e94,
	0x7e95,
	0x7e96,
	0x7e97,
	0x7e98,
	0x7e99,
	0x7e9a,
	0x7e9c,
	0x7e9d,
	0x7e9e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_117[]=
	{
	0x7eae,
	0x7eb4,
	0x7ebb,
	0x7ebc,
	0x7ed6,
	0x7ee4,
	0x7eec,
	0x7ef9,
	0x7f0a,
	0x7f10,
	0x7f1e,
	0x7f37,
	0x7f39,
	0x7f3b,
	0x7f3c,
	0x7f3d,
	0x7f3e,
	0x7f3f,
	0x7f40,
	0x7f41,
	0x7f43,
	0x7f46,
	0x7f47,
	0x7f48,
	0x7f49,
	0x7f4a,
	0x7f4b,
	0x7f4c,
	0x7f4d,
	0x7f4e,
	0x7f4f,
	0x7f52,
	0x7f53
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_118[]=
	{
	0x7f56,
	0x7f59,
	0x7f5b,
	0x7f5c,
	0x7f5d,
	0x7f5e,
	0x7f60,
	0x7f63,
	0x7f64,
	0x7f65,
	0x7f66,
	0x7f67,
	0x7f6b,
	0x7f6c,
	0x7f6d,
	0x7f6f,
	0x7f70,
	0x7f73,
	0x7f75,
	0x7f76,
	0x7f77,
	0x7f78,
	0x7f7a,
	0x7f7b,
	0x7f7c,
	0x7f7d,
	0x7f7f,
	0x7f80,
	0x7f82,
	0x7f83,
	0x7f84,
	0x7f85,
	0x7f86,
	0x7f87,
	0x7f88,
	0x7f89,
	0x7f8b,
	0x7f8d,
	0x7f8f,
	0x7f90,
	0x7f91,
	0x7f92,
	0x7f93,
	0x7f95,
	0x7f96,
	0x7f97,
	0x7f98,
	0x7f99,
	0x7f9b,
	0x7f9c,
	0x7fa0,
	0x7fa2,
	0x7fa3,
	0x7fa5,
	0x7fa6,
	0x7fa8,
	0x7fa9,
	0x7faa,
	0x7fab,
	0x7fac,
	0x7fad,
	0x7fae,
	0x7fb1
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_119[]=
	{
	0x7fb3,
	0x7fb4,
	0x7fb5,
	0x7fb6,
	0x7fb7,
	0x7fba,
	0x7fbb,
	0x7fbe,
	0x7fc0,
	0x7fc2,
	0x7fc3,
	0x7fc4,
	0x7fc6,
	0x7fc7,
	0x7fc8,
	0x7fc9,
	0x7fcb,
	0x7fcd,
	0x7fcf,
	0x7fd0,
	0x7fd1,
	0x7fd2,
	0x7fd3,
	0x7fd6,
	0x7fd7,
	0x7fd9,
	0x7fda,
	0x7fdb,
	0x7fdc,
	0x7fdd,
	0x7fde,
	0x7fe2,
	0x7fe3
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_120[]=
	{
	0x7fe4,
	0x7fe7,
	0x7fe8,
	0x7fea,
	0x7feb,
	0x7fec,
	0x7fed,
	0x7fef,
	0x7ff2,
	0x7ff4,
	0x7ff5,
	0x7ff6,
	0x7ff7,
	0x7ff8,
	0x7ff9,
	0x7ffa,
	0x7ffd,
	0x7ffe,
	0x7fff,
	0x8002,
	0x8007,
	0x8008,
	0x8009,
	0x800a,
	0x800e,
	0x800f,
	0x8011,
	0x8013,
	0x801a,
	0x801b,
	0x801d,
	0x801e,
	0x801f,
	0x8021,
	0x8023,
	0x8024,
	0x802b,
	0x802c,
	0x802d,
	0x802e,
	0x802f,
	0x8030,
	0x8032,
	0x8034,
	0x8039,
	0x803a,
	0x803c,
	0x803e,
	0x8040,
	0x8041,
	0x8044,
	0x8045,
	0x8047,
	0x8048,
	0x8049,
	0x804e,
	0x804f,
	0x8050,
	0x8051,
	0x8053,
	0x8055,
	0x8056,
	0x8057
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_121[]=
	{
	0x8059,
	0x805b,
	0x805c,
	0x805d,
	0x805e,
	0x805f,
	0x8060,
	0x8061,
	0x8062,
	0x8063,
	0x8064,
	0x8065,
	0x8066,
	0x8067,
	0x8068,
	0x806b,
	0x806c,
	0x806d,
	0x806e,
	0x806f,
	0x8070,
	0x8072,
	0x8073,
	0x8074,
	0x8075,
	0x8076,
	0x8077,
	0x8078,
	0x8079,
	0x807a,
	0x807b,
	0x807c,
	0x807d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_122[]=
	{
	0x807e,
	0x8081,
	0x8082,
	0x8085,
	0x8088,
	0x808a,
	0x808d,
	0x808e,
	0x808f,
	0x8090,
	0x8091,
	0x8092,
	0x8094,
	0x8095,
	0x8097,
	0x8099,
	0x809e,
	0x80a3,
	0x80a6,
	0x80a7,
	0x80a8,
	0x80ac,
	0x80b0,
	0x80b3,
	0x80b5,
	0x80b6,
	0x80b8,
	0x80b9,
	0x80bb,
	0x80c5,
	0x80c7,
	0x80c8,
	0x80c9,
	0x80ca,
	0x80cb,
	0x80cf,
	0x80d0,
	0x80d1,
	0x80d2,
	0x80d3,
	0x80d4,
	0x80d5,
	0x80d8,
	0x80df,
	0x80e0,
	0x80e2,
	0x80e3,
	0x80e6,
	0x80ee,
	0x80f5,
	0x80f7,
	0x80f9,
	0x80fb,
	0x80fe,
	0x80ff,
	0x8100,
	0x8101,
	0x8103,
	0x8104,
	0x8105,
	0x8107,
	0x8108,
	0x810b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_123[]=
	{
	0x810c,
	0x8115,
	0x8117,
	0x8119,
	0x811b,
	0x811c,
	0x811d,
	0x811f,
	0x8120,
	0x8121,
	0x8122,
	0x8123,
	0x8124,
	0x8125,
	0x8126,
	0x8127,
	0x8128,
	0x8129,
	0x812a,
	0x812b,
	0x812d,
	0x812e,
	0x8130,
	0x8133,
	0x8134,
	0x8135,
	0x8137,
	0x8139,
	0x813a,
	0x813b,
	0x813c,
	0x813d,
	0x813f
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_124[]=
	{
	0x8140,
	0x8141,
	0x8142,
	0x8143,
	0x8144,
	0x8145,
	0x8147,
	0x8149,
	0x814d,
	0x814e,
	0x814f,
	0x8152,
	0x8156,
	0x8157,
	0x8158,
	0x815b,
	0x815c,
	0x815d,
	0x815e,
	0x815f,
	0x8161,
	0x8162,
	0x8163,
	0x8164,
	0x8166,
	0x8168,
	0x816a,
	0x816b,
	0x816c,
	0x816f,
	0x8172,
	0x8173,
	0x8175,
	0x8176,
	0x8177,
	0x8178,
	0x8181,
	0x8183,
	0x8184,
	0x8185,
	0x8186,
	0x8187,
	0x8189,
	0x818b,
	0x818c,
	0x818d,
	0x818e,
	0x8190,
	0x8192,
	0x8193,
	0x8194,
	0x8195,
	0x8196,
	0x8197,
	0x8199,
	0x819a,
	0x819e,
	0x819f,
	0x81a0,
	0x81a1,
	0x81a2,
	0x81a4,
	0x81a5
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_125[]=
	{
	0x81a7,
	0x81a9,
	0x81ab,
	0x81ac,
	0x81ad,
	0x81ae,
	0x81af,
	0x81b0,
	0x81b1,
	0x81b2,
	0x81b4,
	0x81b5,
	0x81b6,
	0x81b7,
	0x81b8,
	0x81b9,
	0x81bc,
	0x81bd,
	0x81be,
	0x81bf,
	0x81c4,
	0x81c5,
	0x81c7,
	0x81c8,
	0x81c9,
	0x81cb,
	0x81cd,
	0x81ce,
	0x81cf,
	0x81d0,
	0x81d1,
	0x81d2,
	0x81d3
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_126[]=
	{
	0x81d4,
	0x81d5,
	0x81d6,
	0x81d7,
	0x81d8,
	0x81d9,
	0x81da,
	0x81db,
	0x81dc,
	0x81dd,
	0x81de,
	0x81df,
	0x81e0,
	0x81e1,
	0x81e2,
	0x81e4,
	0x81e5,
	0x81e6,
	0x81e8,
	0x81e9,
	0x81eb,
	0x81ee,
	0x81ef,
	0x81f0,
	0x81f1,
	0x81f2,
	0x81f5,
	0x81f6,
	0x81f7,
	0x81f8,
	0x81f9,
	0x81fa,
	0x81fd,
	0x81ff,
	0x8203,
	0x8207,
	0x8208,
	0x8209,
	0x820a,
	0x820b,
	0x820e,
	0x820f,
	0x8211,
	0x8213,
	0x8215,
	0x8216,
	0x8217,
	0x8218,
	0x8219,
	0x821a,
	0x821d,
	0x8220,
	0x8224,
	0x8225,
	0x8226,
	0x8227,
	0x8229,
	0x822e,
	0x8232,
	0x823a,
	0x823c,
	0x823d,
	0x823f
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_127[]=
	{
	0x8240,
	0x8241,
	0x8242,
	0x8243,
	0x8245,
	0x8246,
	0x8248,
	0x824a,
	0x824c,
	0x824d,
	0x824e,
	0x8250,
	0x8251,
	0x8252,
	0x8253,
	0x8254,
	0x8255,
	0x8256,
	0x8257,
	0x8259,
	0x825b,
	0x825c,
	0x825d,
	0x825e,
	0x8260,
	0x8261,
	0x8262,
	0x8263,
	0x8264,
	0x8265,
	0x8266,
	0x8267,
	0x8269
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_128[]=
	{
	0x826a,
	0x826b,
	0x826c,
	0x826d,
	0x8271,
	0x8275,
	0x8276,
	0x8277,
	0x8278,
	0x827b,
	0x827c,
	0x8280,
	0x8281,
	0x8283,
	0x8285,
	0x8286,
	0x8287,
	0x8289,
	0x828c,
	0x8290,
	0x8293,
	0x8294,
	0x8295,
	0x8296,
	0x829a,
	0x829b,
	0x829e,
	0x82a0,
	0x82a2,
	0x82a3,
	0x82a7,
	0x82b2,
	0x82b5,
	0x82b6,
	0x82ba,
	0x82bb,
	0x82bc,
	0x82bf,
	0x82c0,
	0x82c2,
	0x82c3,
	0x82c5,
	0x82c6,
	0x82c9,
	0x82d0,
	0x82d6,
	0x82d9,
	0x82da,
	0x82dd,
	0x82e2,
	0x82e7,
	0x82e8,
	0x82e9,
	0x82ea,
	0x82ec,
	0x82ed,
	0x82ee,
	0x82f0,
	0x82f2,
	0x82f3,
	0x82f5,
	0x82f6,
	0x82f8
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_129[]=
	{
	0x82fa,
	0x82fc,
	0x82fd,
	0x82fe,
	0x82ff,
	0x8300,
	0x830a,
	0x830b,
	0x830d,
	0x8310,
	0x8312,
	0x8313,
	0x8316,
	0x8318,
	0x8319,
	0x831d,
	0x831e,
	0x831f,
	0x8320,
	0x8321,
	0x8322,
	0x8323,
	0x8324,
	0x8325,
	0x8326,
	0x8329,
	0x832a,
	0x832e,
	0x8330,
	0x8332,
	0x8337,
	0x833b,
	0x833d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_130[]=
	{
	0x833e,
	0x833f,
	0x8341,
	0x8342,
	0x8344,
	0x8345,
	0x8348,
	0x834a,
	0x834b,
	0x834c,
	0x834d,
	0x834e,
	0x8353,
	0x8355,
	0x8356,
	0x8357,
	0x8358,
	0x8359,
	0x835d,
	0x8362,
	0x8370,
	0x8371,
	0x8372,
	0x8373,
	0x8374,
	0x8375,
	0x8376,
	0x8379,
	0x837a,
	0x837e,
	0x837f,
	0x8380,
	0x8381,
	0x8382,
	0x8383,
	0x8384,
	0x8387,
	0x8388,
	0x838a,
	0x838b,
	0x838c,
	0x838d,
	0x838f,
	0x8390,
	0x8391,
	0x8394,
	0x8395,
	0x8396,
	0x8397,
	0x8399,
	0x839a,
	0x839d,
	0x839f,
	0x83a1,
	0x83a2,
	0x83a3,
	0x83a4,
	0x83a5,
	0x83a6,
	0x83a7,
	0x83ac,
	0x83ad,
	0x83ae
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_131[]=
	{
	0x83af,
	0x83b5,
	0x83bb,
	0x83be,
	0x83bf,
	0x83c2,
	0x83c3,
	0x83c4,
	0x83c6,
	0x83c8,
	0x83c9,
	0x83cb,
	0x83cd,
	0x83ce,
	0x83d0,
	0x83d1,
	0x83d2,
	0x83d3,
	0x83d5,
	0x83d7,
	0x83d9,
	0x83da,
	0x83db,
	0x83de,
	0x83e2,
	0x83e3,
	0x83e4,
	0x83e6,
	0x83e7,
	0x83e8,
	0x83eb,
	0x83ec,
	0x83ed
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_132[]=
	{
	0x83ee,
	0x83ef,
	0x83f3,
	0x83f4,
	0x83f5,
	0x83f6,
	0x83f7,
	0x83fa,
	0x83fb,
	0x83fc,
	0x83fe,
	0x83ff,
	0x8400,
	0x8402,
	0x8405,
	0x8407,
	0x8408,
	0x8409,
	0x840a,
	0x8410,
	0x8412,
	0x8413,
	0x8414,
	0x8415,
	0x8416,
	0x8417,
	0x8419,
	0x841a,
	0x841b,
	0x841e,
	0x841f,
	0x8420,
	0x8421,
	0x8422,
	0x8423,
	0x8429,
	0x842a,
	0x842b,
	0x842c,
	0x842d,
	0x842e,
	0x842f,
	0x8430,
	0x8432,
	0x8433,
	0x8434,
	0x8435,
	0x8436,
	0x8437,
	0x8439,
	0x843a,
	0x843b,
	0x843e,
	0x843f,
	0x8440,
	0x8441,
	0x8442,
	0x8443,
	0x8444,
	0x8445,
	0x8447,
	0x8448,
	0x8449
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_133[]=
	{
	0x844a,
	0x844b,
	0x844c,
	0x844d,
	0x844e,
	0x844f,
	0x8450,
	0x8452,
	0x8453,
	0x8454,
	0x8455,
	0x8456,
	0x8458,
	0x845d,
	0x845e,
	0x845f,
	0x8460,
	0x8462,
	0x8464,
	0x8465,
	0x8466,
	0x8467,
	0x8468,
	0x846a,
	0x846e,
	0x846f,
	0x8470,
	0x8472,
	0x8474,
	0x8477,
	0x8479,
	0x847b,
	0x847c
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_134[]=
	{
	0x847d,
	0x847e,
	0x847f,
	0x8480,
	0x8481,
	0x8483,
	0x8484,
	0x8485,
	0x8486,
	0x848a,
	0x848d,
	0x848f,
	0x8490,
	0x8491,
	0x8492,
	0x8493,
	0x8494,
	0x8495,
	0x8496,
	0x8498,
	0x849a,
	0x849b,
	0x849d,
	0x849e,
	0x849f,
	0x84a0,
	0x84a2,
	0x84a3,
	0x84a4,
	0x84a5,
	0x84a6,
	0x84a7,
	0x84a8,
	0x84a9,
	0x84aa,
	0x84ab,
	0x84ac,
	0x84ad,
	0x84ae,
	0x84b0,
	0x84b1,
	0x84b3,
	0x84b5,
	0x84b6,
	0x84b7,
	0x84bb,
	0x84bc,
	0x84be,
	0x84c0,
	0x84c2,
	0x84c3,
	0x84c5,
	0x84c6,
	0x84c7,
	0x84c8,
	0x84cb,
	0x84cc,
	0x84ce,
	0x84cf,
	0x84d2,
	0x84d4,
	0x84d5,
	0x84d7
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_135[]=
	{
	0x84d8,
	0x84d9,
	0x84da,
	0x84db,
	0x84dc,
	0x84de,
	0x84e1,
	0x84e2,
	0x84e4,
	0x84e7,
	0x84e8,
	0x84e9,
	0x84ea,
	0x84eb,
	0x84ed,
	0x84ee,
	0x84ef,
	0x84f1,
	0x84f2,
	0x84f3,
	0x84f4,
	0x84f5,
	0x84f6,
	0x84f7,
	0x84f8,
	0x84f9,
	0x84fa,
	0x84fb,
	0x84fd,
	0x84fe,
	0x8500,
	0x8501,
	0x8502
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_136[]=
	{
	0x8503,
	0x8504,
	0x8505,
	0x8506,
	0x8507,
	0x8508,
	0x8509,
	0x850a,
	0x850b,
	0x850d,
	0x850e,
	0x850f,
	0x8510,
	0x8512,
	0x8514,
	0x8515,
	0x8516,
	0x8518,
	0x8519,
	0x851b,
	0x851c,
	0x851d,
	0x851e,
	0x8520,
	0x8522,
	0x8523,
	0x8524,
	0x8525,
	0x8526,
	0x8527,
	0x8528,
	0x8529,
	0x852a,
	0x852d,
	0x852e,
	0x852f,
	0x8530,
	0x8531,
	0x8532,
	0x8533,
	0x8534,
	0x8535,
	0x8536,
	0x853e,
	0x853f,
	0x8540,
	0x8541,
	0x8542,
	0x8544,
	0x8545,
	0x8546,
	0x8547,
	0x854b,
	0x854c,
	0x854d,
	0x854e,
	0x854f,
	0x8550,
	0x8551,
	0x8552,
	0x8553,
	0x8554,
	0x8555
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_137[]=
	{
	0x8557,
	0x8558,
	0x855a,
	0x855b,
	0x855c,
	0x855d,
	0x855f,
	0x8560,
	0x8561,
	0x8562,
	0x8563,
	0x8565,
	0x8566,
	0x8567,
	0x8569,
	0x856a,
	0x856b,
	0x856c,
	0x856d,
	0x856e,
	0x856f,
	0x8570,
	0x8571,
	0x8573,
	0x8575,
	0x8576,
	0x8577,
	0x8578,
	0x857c,
	0x857d,
	0x857f,
	0x8580,
	0x8581
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_138[]=
	{
	0x8582,
	0x8583,
	0x8586,
	0x8588,
	0x8589,
	0x858a,
	0x858b,
	0x858c,
	0x858d,
	0x858e,
	0x8590,
	0x8591,
	0x8592,
	0x8593,
	0x8594,
	0x8595,
	0x8596,
	0x8597,
	0x8598,
	0x8599,
	0x859a,
	0x859d,
	0x859e,
	0x859f,
	0x85a0,
	0x85a1,
	0x85a2,
	0x85a3,
	0x85a5,
	0x85a6,
	0x85a7,
	0x85a9,
	0x85ab,
	0x85ac,
	0x85ad,
	0x85b1,
	0x85b2,
	0x85b3,
	0x85b4,
	0x85b5,
	0x85b6,
	0x85b8,
	0x85ba,
	0x85bb,
	0x85bc,
	0x85bd,
	0x85be,
	0x85bf,
	0x85c0,
	0x85c2,
	0x85c3,
	0x85c4,
	0x85c5,
	0x85c6,
	0x85c7,
	0x85c8,
	0x85ca,
	0x85cb,
	0x85cc,
	0x85cd,
	0x85ce,
	0x85d1,
	0x85d2
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_139[]=
	{
	0x85d4,
	0x85d6,
	0x85d7,
	0x85d8,
	0x85d9,
	0x85da,
	0x85db,
	0x85dd,
	0x85de,
	0x85df,
	0x85e0,
	0x85e1,
	0x85e2,
	0x85e3,
	0x85e5,
	0x85e6,
	0x85e7,
	0x85e8,
	0x85ea,
	0x85eb,
	0x85ec,
	0x85ed,
	0x85ee,
	0x85ef,
	0x85f0,
	0x85f1,
	0x85f2,
	0x85f3,
	0x85f4,
	0x85f5,
	0x85f6,
	0x85f7,
	0x85f8
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_140[]=
	{
	0x85f9,
	0x85fa,
	0x85fc,
	0x85fd,
	0x85fe,
	0x8600,
	0x8601,
	0x8602,
	0x8603,
	0x8604,
	0x8606,
	0x8607,
	0x8608,
	0x8609,
	0x860a,
	0x860b,
	0x860c,
	0x860d,
	0x860e,
	0x860f,
	0x8610,
	0x8612,
	0x8613,
	0x8614,
	0x8615,
	0x8617,
	0x8618,
	0x8619,
	0x861a,
	0x861b,
	0x861c,
	0x861d,
	0x861e,
	0x861f,
	0x8620,
	0x8621,
	0x8622,
	0x8623,
	0x8624,
	0x8625,
	0x8626,
	0x8628,
	0x862a,
	0x862b,
	0x862c,
	0x862d,
	0x862e,
	0x862f,
	0x8630,
	0x8631,
	0x8632,
	0x8633,
	0x8634,
	0x8635,
	0x8636,
	0x8637,
	0x8639,
	0x863a,
	0x863b,
	0x863d,
	0x863e,
	0x863f,
	0x8640
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_141[]=
	{
	0x8641,
	0x8642,
	0x8643,
	0x8644,
	0x8645,
	0x8646,
	0x8647,
	0x8648,
	0x8649,
	0x864a,
	0x864b,
	0x864c,
	0x8652,
	0x8653,
	0x8655,
	0x8656,
	0x8657,
	0x8658,
	0x8659,
	0x865b,
	0x865c,
	0x865d,
	0x865f,
	0x8660,
	0x8661,
	0x8663,
	0x8664,
	0x8665,
	0x8666,
	0x8667,
	0x8668,
	0x8669,
	0x866a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_142[]=
	{
	0x866d,
	0x866f,
	0x8670,
	0x8672,
	0x8673,
	0x8674,
	0x8675,
	0x8676,
	0x8677,
	0x8678,
	0x8683,
	0x8684,
	0x8685,
	0x8686,
	0x8687,
	0x8688,
	0x8689,
	0x868e,
	0x868f,
	0x8690,
	0x8691,
	0x8692,
	0x8694,
	0x8696,
	0x8697,
	0x8698,
	0x8699,
	0x869a,
	0x869b,
	0x869e,
	0x869f,
	0x86a0,
	0x86a1,
	0x86a2,
	0x86a5,
	0x86a6,
	0x86ab,
	0x86ad,
	0x86ae,
	0x86b2,
	0x86b3,
	0x86b7,
	0x86b8,
	0x86b9,
	0x86bb,
	0x86bc,
	0x86bd,
	0x86be,
	0x86bf,
	0x86c1,
	0x86c2,
	0x86c3,
	0x86c5,
	0x86c8,
	0x86cc,
	0x86cd,
	0x86d2,
	0x86d3,
	0x86d5,
	0x86d6,
	0x86d7,
	0x86da,
	0x86dc
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_143[]=
	{
	0x86dd,
	0x86e0,
	0x86e1,
	0x86e2,
	0x86e3,
	0x86e5,
	0x86e6,
	0x86e7,
	0x86e8,
	0x86ea,
	0x86eb,
	0x86ec,
	0x86ef,
	0x86f5,
	0x86f6,
	0x86f7,
	0x86fa,
	0x86fb,
	0x86fc,
	0x86fd,
	0x86ff,
	0x8701,
	0x8704,
	0x8705,
	0x8706,
	0x870b,
	0x870c,
	0x870e,
	0x870f,
	0x8710,
	0x8711,
	0x8714,
	0x8716
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_144[]=
	{
	0x8719,
	0x871b,
	0x871d,
	0x871f,
	0x8720,
	0x8724,
	0x8726,
	0x8727,
	0x8728,
	0x872a,
	0x872b,
	0x872c,
	0x872d,
	0x872f,
	0x8730,
	0x8732,
	0x8733,
	0x8735,
	0x8736,
	0x8738,
	0x8739,
	0x873a,
	0x873c,
	0x873d,
	0x8740,
	0x8741,
	0x8742,
	0x8743,
	0x8744,
	0x8745,
	0x8746,
	0x874a,
	0x874b,
	0x874d,
	0x874f,
	0x8750,
	0x8751,
	0x8752,
	0x8754,
	0x8755,
	0x8756,
	0x8758,
	0x875a,
	0x875b,
	0x875c,
	0x875d,
	0x875e,
	0x875f,
	0x8761,
	0x8762,
	0x8766,
	0x8767,
	0x8768,
	0x8769,
	0x876a,
	0x876b,
	0x876c,
	0x876d,
	0x876f,
	0x8771,
	0x8772,
	0x8773,
	0x8775
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_145[]=
	{
	0x8777,
	0x8778,
	0x8779,
	0x877a,
	0x877f,
	0x8780,
	0x8781,
	0x8784,
	0x8786,
	0x8787,
	0x8789,
	0x878a,
	0x878c,
	0x878e,
	0x878f,
	0x8790,
	0x8791,
	0x8792,
	0x8794,
	0x8795,
	0x8796,
	0x8798,
	0x8799,
	0x879a,
	0x879b,
	0x879c,
	0x879d,
	0x879e,
	0x87a0,
	0x87a1,
	0x87a2,
	0x87a3,
	0x87a4
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_146[]=
	{
	0x87a5,
	0x87a6,
	0x87a7,
	0x87a9,
	0x87aa,
	0x87ae,
	0x87b0,
	0x87b1,
	0x87b2,
	0x87b4,
	0x87b6,
	0x87b7,
	0x87b8,
	0x87b9,
	0x87bb,
	0x87bc,
	0x87be,
	0x87bf,
	0x87c1,
	0x87c2,
	0x87c3,
	0x87c4,
	0x87c5,
	0x87c7,
	0x87c8,
	0x87c9,
	0x87cc,
	0x87cd,
	0x87ce,
	0x87cf,
	0x87d0,
	0x87d4,
	0x87d5,
	0x87d6,
	0x87d7,
	0x87d8,
	0x87d9,
	0x87da,
	0x87dc,
	0x87dd,
	0x87de,
	0x87df,
	0x87e1,
	0x87e2,
	0x87e3,
	0x87e4,
	0x87e6,
	0x87e7,
	0x87e8,
	0x87e9,
	0x87eb,
	0x87ec,
	0x87ed,
	0x87ef,
	0x87f0,
	0x87f1,
	0x87f2,
	0x87f3,
	0x87f4,
	0x87f5,
	0x87f6,
	0x87f7,
	0x87f8
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_147[]=
	{
	0x87fa,
	0x87fb,
	0x87fc,
	0x87fd,
	0x87ff,
	0x8800,
	0x8801,
	0x8802,
	0x8804,
	0x8805,
	0x8806,
	0x8807,
	0x8808,
	0x8809,
	0x880b,
	0x880c,
	0x880d,
	0x880e,
	0x880f,
	0x8810,
	0x8811,
	0x8812,
	0x8814,
	0x8817,
	0x8818,
	0x8819,
	0x881a,
	0x881c,
	0x881d,
	0x881e,
	0x881f,
	0x8820,
	0x8823
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_148[]=
	{
	0x8824,
	0x8825,
	0x8826,
	0x8827,
	0x8828,
	0x8829,
	0x882a,
	0x882b,
	0x882c,
	0x882d,
	0x882e,
	0x882f,
	0x8830,
	0x8831,
	0x8833,
	0x8834,
	0x8835,
	0x8836,
	0x8837,
	0x8838,
	0x883a,
	0x883b,
	0x883d,
	0x883e,
	0x883f,
	0x8841,
	0x8842,
	0x8843,
	0x8846,
	0x8847,
	0x8848,
	0x8849,
	0x884a,
	0x884b,
	0x884e,
	0x884f,
	0x8850,
	0x8851,
	0x8852,
	0x8853,
	0x8855,
	0x8856,
	0x8858,
	0x885a,
	0x885b,
	0x885c,
	0x885d,
	0x885e,
	0x885f,
	0x8860,
	0x8866,
	0x8867,
	0x886a,
	0x886d,
	0x886f,
	0x8871,
	0x8873,
	0x8874,
	0x8875,
	0x8876,
	0x8878,
	0x8879,
	0x887a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_149[]=
	{
	0x887b,
	0x887c,
	0x8880,
	0x8883,
	0x8886,
	0x8887,
	0x8889,
	0x888a,
	0x888c,
	0x888e,
	0x888f,
	0x8890,
	0x8891,
	0x8893,
	0x8894,
	0x8895,
	0x8897,
	0x8898,
	0x8899,
	0x889a,
	0x889b,
	0x889d,
	0x889e,
	0x889f,
	0x88a0,
	0x88a1,
	0x88a3,
	0x88a5,
	0x88a6,
	0x88a7,
	0x88a8,
	0x88a9,
	0x88aa
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_150[]=
	{
	0x88ac,
	0x88ae,
	0x88af,
	0x88b0,
	0x88b2,
	0x88b3,
	0x88b4,
	0x88b5,
	0x88b6,
	0x88b8,
	0x88b9,
	0x88ba,
	0x88bb,
	0x88bd,
	0x88be,
	0x88bf,
	0x88c0,
	0x88c3,
	0x88c4,
	0x88c7,
	0x88c8,
	0x88ca,
	0x88cb,
	0x88cc,
	0x88cd,
	0x88cf,
	0x88d0,
	0x88d1,
	0x88d3,
	0x88d6,
	0x88d7,
	0x88da,
	0x88db,
	0x88dc,
	0x88dd,
	0x88de,
	0x88e0,
	0x88e1,
	0x88e6,
	0x88e7,
	0x88e9,
	0x88ea,
	0x88eb,
	0x88ec,
	0x88ed,
	0x88ee,
	0x88ef,
	0x88f2,
	0x88f5,
	0x88f6,
	0x88f7,
	0x88fa,
	0x88fb,
	0x88fd,
	0x88ff,
	0x8900,
	0x8901,
	0x8903,
	0x8904,
	0x8905,
	0x8906,
	0x8907,
	0x8908
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_151[]=
	{
	0x8909,
	0x890b,
	0x890c,
	0x890d,
	0x890e,
	0x890f,
	0x8911,
	0x8914,
	0x8915,
	0x8916,
	0x8917,
	0x8918,
	0x891c,
	0x891d,
	0x891e,
	0x891f,
	0x8920,
	0x8922,
	0x8923,
	0x8924,
	0x8926,
	0x8927,
	0x8928,
	0x8929,
	0x892c,
	0x892d,
	0x892e,
	0x892f,
	0x8931,
	0x8932,
	0x8933,
	0x8935,
	0x8937
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_152[]=
	{
	0x8938,
	0x8939,
	0x893a,
	0x893b,
	0x893c,
	0x893d,
	0x893e,
	0x893f,
	0x8940,
	0x8942,
	0x8943,
	0x8945,
	0x8946,
	0x8947,
	0x8948,
	0x8949,
	0x894a,
	0x894b,
	0x894c,
	0x894d,
	0x894e,
	0x894f,
	0x8950,
	0x8951,
	0x8952,
	0x8953,
	0x8954,
	0x8955,
	0x8956,
	0x8957,
	0x8958,
	0x8959,
	0x895a,
	0x895b,
	0x895c,
	0x895d,
	0x8960,
	0x8961,
	0x8962,
	0x8963,
	0x8964,
	0x8965,
	0x8967,
	0x8968,
	0x8969,
	0x896a,
	0x896b,
	0x896c,
	0x896d,
	0x896e,
	0x896f,
	0x8970,
	0x8971,
	0x8972,
	0x8973,
	0x8974,
	0x8975,
	0x8976,
	0x8977,
	0x8978,
	0x8979,
	0x897a,
	0x897c
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_153[]=
	{
	0x897d,
	0x897e,
	0x8980,
	0x8982,
	0x8984,
	0x8985,
	0x8987,
	0x8988,
	0x8989,
	0x898a,
	0x898b,
	0x898c,
	0x898d,
	0x898e,
	0x898f,
	0x8990,
	0x8991,
	0x8992,
	0x8993,
	0x8994,
	0x8995,
	0x8996,
	0x8997,
	0x8998,
	0x8999,
	0x899a,
	0x899b,
	0x899c,
	0x899d,
	0x899e,
	0x899f,
	0x89a0,
	0x89a1
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_154[]=
	{
	0x89a2,
	0x89a3,
	0x89a4,
	0x89a5,
	0x89a6,
	0x89a7,
	0x89a8,
	0x89a9,
	0x89aa,
	0x89ab,
	0x89ac,
	0x89ad,
	0x89ae,
	0x89af,
	0x89b0,
	0x89b1,
	0x89b2,
	0x89b3,
	0x89b4,
	0x89b5,
	0x89b6,
	0x89b7,
	0x89b8,
	0x89b9,
	0x89ba,
	0x89bb,
	0x89bc,
	0x89bd,
	0x89be,
	0x89bf,
	0x89c0,
	0x89c3,
	0x89cd,
	0x89d3,
	0x89d4,
	0x89d5,
	0x89d7,
	0x89d8,
	0x89d9,
	0x89db,
	0x89dd,
	0x89df,
	0x89e0,
	0x89e1,
	0x89e2,
	0x89e4,
	0x89e7,
	0x89e8,
	0x89e9,
	0x89ea,
	0x89ec,
	0x89ed,
	0x89ee,
	0x89f0,
	0x89f1,
	0x89f2,
	0x89f4,
	0x89f5,
	0x89f6,
	0x89f7,
	0x89f8,
	0x89f9,
	0x89fa
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_155[]=
	{
	0x89fb,
	0x89fc,
	0x89fd,
	0x89fe,
	0x89ff,
	0x8a01,
	0x8a02,
	0x8a03,
	0x8a04,
	0x8a05,
	0x8a06,
	0x8a08,
	0x8a09,
	0x8a0a,
	0x8a0b,
	0x8a0c,
	0x8a0d,
	0x8a0e,
	0x8a0f,
	0x8a10,
	0x8a11,
	0x8a12,
	0x8a13,
	0x8a14,
	0x8a15,
	0x8a16,
	0x8a17,
	0x8a18,
	0x8a19,
	0x8a1a,
	0x8a1b,
	0x8a1c,
	0x8a1d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_156[]=
	{
	0x8a1e,
	0x8a1f,
	0x8a20,
	0x8a21,
	0x8a22,
	0x8a23,
	0x8a24,
	0x8a25,
	0x8a26,
	0x8a27,
	0x8a28,
	0x8a29,
	0x8a2a,
	0x8a2b,
	0x8a2c,
	0x8a2d,
	0x8a2e,
	0x8a2f,
	0x8a30,
	0x8a31,
	0x8a32,
	0x8a33,
	0x8a34,
	0x8a35,
	0x8a36,
	0x8a37,
	0x8a38,
	0x8a39,
	0x8a3a,
	0x8a3b,
	0x8a3c,
	0x8a3d,
	0x8a3f,
	0x8a40,
	0x8a41,
	0x8a42,
	0x8a43,
	0x8a44,
	0x8a45,
	0x8a46,
	0x8a47,
	0x8a49,
	0x8a4a,
	0x8a4b,
	0x8a4c,
	0x8a4d,
	0x8a4e,
	0x8a4f,
	0x8a50,
	0x8a51,
	0x8a52,
	0x8a53,
	0x8a54,
	0x8a55,
	0x8a56,
	0x8a57,
	0x8a58,
	0x8a59,
	0x8a5a,
	0x8a5b,
	0x8a5c,
	0x8a5d,
	0x8a5e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_157[]=
	{
	0x8a5f,
	0x8a60,
	0x8a61,
	0x8a62,
	0x8a63,
	0x8a64,
	0x8a65,
	0x8a66,
	0x8a67,
	0x8a68,
	0x8a69,
	0x8a6a,
	0x8a6b,
	0x8a6c,
	0x8a6d,
	0x8a6e,
	0x8a6f,
	0x8a70,
	0x8a71,
	0x8a72,
	0x8a73,
	0x8a74,
	0x8a75,
	0x8a76,
	0x8a77,
	0x8a78,
	0x8a7a,
	0x8a7b,
	0x8a7c,
	0x8a7d,
	0x8a7e,
	0x8a7f,
	0x8a80
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_158[]=
	{
	0x8a81,
	0x8a82,
	0x8a83,
	0x8a84,
	0x8a85,
	0x8a86,
	0x8a87,
	0x8a88,
	0x8a8b,
	0x8a8c,
	0x8a8d,
	0x8a8e,
	0x8a8f,
	0x8a90,
	0x8a91,
	0x8a92,
	0x8a94,
	0x8a95,
	0x8a96,
	0x8a97,
	0x8a98,
	0x8a99,
	0x8a9a,
	0x8a9b,
	0x8a9c,
	0x8a9d,
	0x8a9e,
	0x8a9f,
	0x8aa0,
	0x8aa1,
	0x8aa2,
	0x8aa3,
	0x8aa4,
	0x8aa5,
	0x8aa6,
	0x8aa7,
	0x8aa8,
	0x8aa9,
	0x8aaa,
	0x8aab,
	0x8aac,
	0x8aad,
	0x8aae,
	0x8aaf,
	0x8ab0,
	0x8ab1,
	0x8ab2,
	0x8ab3,
	0x8ab4,
	0x8ab5,
	0x8ab6,
	0x8ab7,
	0x8ab8,
	0x8ab9,
	0x8aba,
	0x8abb,
	0x8abc,
	0x8abd,
	0x8abe,
	0x8abf,
	0x8ac0,
	0x8ac1,
	0x8ac2
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_159[]=
	{
	0x8ac3,
	0x8ac4,
	0x8ac5,
	0x8ac6,
	0x8ac7,
	0x8ac8,
	0x8ac9,
	0x8aca,
	0x8acb,
	0x8acc,
	0x8acd,
	0x8ace,
	0x8acf,
	0x8ad0,
	0x8ad1,
	0x8ad2,
	0x8ad3,
	0x8ad4,
	0x8ad5,
	0x8ad6,
	0x8ad7,
	0x8ad8,
	0x8ad9,
	0x8ada,
	0x8adb,
	0x8adc,
	0x8add,
	0x8ade,
	0x8adf,
	0x8ae0,
	0x8ae1,
	0x8ae2,
	0x8ae3
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_160[]=
	{
	0x8ae4,
	0x8ae5,
	0x8ae6,
	0x8ae7,
	0x8ae8,
	0x8ae9,
	0x8aea,
	0x8aeb,
	0x8aec,
	0x8aed,
	0x8aee,
	0x8aef,
	0x8af0,
	0x8af1,
	0x8af2,
	0x8af3,
	0x8af4,
	0x8af5,
	0x8af6,
	0x8af7,
	0x8af8,
	0x8af9,
	0x8afa,
	0x8afb,
	0x8afc,
	0x8afd,
	0x8afe,
	0x8aff,
	0x8b00,
	0x8b01,
	0x8b02,
	0x8b03,
	0x8b04,
	0x8b05,
	0x8b06,
	0x8b08,
	0x8b09,
	0x8b0a,
	0x8b0b,
	0x8b0c,
	0x8b0d,
	0x8b0e,
	0x8b0f,
	0x8b10,
	0x8b11,
	0x8b12,
	0x8b13,
	0x8b14,
	0x8b15,
	0x8b16,
	0x8b17,
	0x8b18,
	0x8b19,
	0x8b1a,
	0x8b1b,
	0x8b1c,
	0x8b1d,
	0x8b1e,
	0x8b1f,
	0x8b20,
	0x8b21,
	0x8b22,
	0x8b23
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_161[]=
	{
	0x8b24,
	0x8b25,
	0x8b27,
	0x8b28,
	0x8b29,
	0x8b2a,
	0x8b2b,
	0x8b2c,
	0x8b2d,
	0x8b2e,
	0x8b2f,
	0x8b30,
	0x8b31,
	0x8b32,
	0x8b33,
	0x8b34,
	0x8b35,
	0x8b36,
	0x8b37,
	0x8b38,
	0x8b39,
	0x8b3a,
	0x8b3b,
	0x8b3c,
	0x8b3d,
	0x8b3e,
	0x8b3f,
	0x8b40,
	0x8b41,
	0x8b42,
	0x8b43,
	0x8b44,
	0x8b45
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_162[]=
	{
	0x8b46,
	0x8b47,
	0x8b48,
	0x8b49,
	0x8b4a,
	0x8b4b,
	0x8b4c,
	0x8b4d,
	0x8b4e,
	0x8b4f,
	0x8b50,
	0x8b51,
	0x8b52,
	0x8b53,
	0x8b54,
	0x8b55,
	0x8b56,
	0x8b57,
	0x8b58,
	0x8b59,
	0x8b5a,
	0x8b5b,
	0x8b5c,
	0x8b5d,
	0x8b5e,
	0x8b5f,
	0x8b60,
	0x8b61,
	0x8b62,
	0x8b63,
	0x8b64,
	0x8b65,
	0x8b67,
	0x8b68,
	0x8b69,
	0x8b6a,
	0x8b6b,
	0x8b6d,
	0x8b6e,
	0x8b6f,
	0x8b70,
	0x8b71,
	0x8b72,
	0x8b73,
	0x8b74,
	0x8b75,
	0x8b76,
	0x8b77,
	0x8b78,
	0x8b79,
	0x8b7a,
	0x8b7b,
	0x8b7c,
	0x8b7d,
	0x8b7e,
	0x8b7f,
	0x8b80,
	0x8b81,
	0x8b82,
	0x8b83,
	0x8b84,
	0x8b85,
	0x8b86
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_163[]=
	{
	0x8b87,
	0x8b88,
	0x8b89,
	0x8b8a,
	0x8b8b,
	0x8b8c,
	0x8b8d,
	0x8b8e,
	0x8b8f,
	0x8b90,
	0x8b91,
	0x8b92,
	0x8b93,
	0x8b94,
	0x8b95,
	0x8b96,
	0x8b97,
	0x8b98,
	0x8b99,
	0x8b9a,
	0x8b9b,
	0x8b9c,
	0x8b9d,
	0x8b9e,
	0x8b9f,
	0x8bac,
	0x8bb1,
	0x8bbb,
	0x8bc7,
	0x8bd0,
	0x8bea,
	0x8c09,
	0x8c1e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_164[]=
	{
	0x8c38,
	0x8c39,
	0x8c3a,
	0x8c3b,
	0x8c3c,
	0x8c3d,
	0x8c3e,
	0x8c3f,
	0x8c40,
	0x8c42,
	0x8c43,
	0x8c44,
	0x8c45,
	0x8c48,
	0x8c4a,
	0x8c4b,
	0x8c4d,
	0x8c4e,
	0x8c4f,
	0x8c50,
	0x8c51,
	0x8c52,
	0x8c53,
	0x8c54,
	0x8c56,
	0x8c57,
	0x8c58,
	0x8c59,
	0x8c5b,
	0x8c5c,
	0x8c5d,
	0x8c5e,
	0x8c5f,
	0x8c60,
	0x8c63,
	0x8c64,
	0x8c65,
	0x8c66,
	0x8c67,
	0x8c68,
	0x8c69,
	0x8c6c,
	0x8c6d,
	0x8c6e,
	0x8c6f,
	0x8c70,
	0x8c71,
	0x8c72,
	0x8c74,
	0x8c75,
	0x8c76,
	0x8c77,
	0x8c7b,
	0x8c7c,
	0x8c7d,
	0x8c7e,
	0x8c7f,
	0x8c80,
	0x8c81,
	0x8c83,
	0x8c84,
	0x8c86,
	0x8c87
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_165[]=
	{
	0x8c88,
	0x8c8b,
	0x8c8d,
	0x8c8e,
	0x8c8f,
	0x8c90,
	0x8c91,
	0x8c92,
	0x8c93,
	0x8c95,
	0x8c96,
	0x8c97,
	0x8c99,
	0x8c9a,
	0x8c9b,
	0x8c9c,
	0x8c9d,
	0x8c9e,
	0x8c9f,
	0x8ca0,
	0x8ca1,
	0x8ca2,
	0x8ca3,
	0x8ca4,
	0x8ca5,
	0x8ca6,
	0x8ca7,
	0x8ca8,
	0x8ca9,
	0x8caa,
	0x8cab,
	0x8cac,
	0x8cad
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_166[]=
	{
	0x8cae,
	0x8caf,
	0x8cb0,
	0x8cb1,
	0x8cb2,
	0x8cb3,
	0x8cb4,
	0x8cb5,
	0x8cb6,
	0x8cb7,
	0x8cb8,
	0x8cb9,
	0x8cba,
	0x8cbb,
	0x8cbc,
	0x8cbd,
	0x8cbe,
	0x8cbf,
	0x8cc0,
	0x8cc1,
	0x8cc2,
	0x8cc3,
	0x8cc4,
	0x8cc5,
	0x8cc6,
	0x8cc7,
	0x8cc8,
	0x8cc9,
	0x8cca,
	0x8ccb,
	0x8ccc,
	0x8ccd,
	0x8cce,
	0x8ccf,
	0x8cd0,
	0x8cd1,
	0x8cd2,
	0x8cd3,
	0x8cd4,
	0x8cd5,
	0x8cd6,
	0x8cd7,
	0x8cd8,
	0x8cd9,
	0x8cda,
	0x8cdb,
	0x8cdc,
	0x8cdd,
	0x8cde,
	0x8cdf,
	0x8ce0,
	0x8ce1,
	0x8ce2,
	0x8ce3,
	0x8ce4,
	0x8ce5,
	0x8ce6,
	0x8ce7,
	0x8ce8,
	0x8ce9,
	0x8cea,
	0x8ceb,
	0x8cec
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_167[]=
	{
	0x8ced,
	0x8cee,
	0x8cef,
	0x8cf0,
	0x8cf1,
	0x8cf2,
	0x8cf3,
	0x8cf4,
	0x8cf5,
	0x8cf6,
	0x8cf7,
	0x8cf8,
	0x8cf9,
	0x8cfa,
	0x8cfb,
	0x8cfc,
	0x8cfd,
	0x8cfe,
	0x8cff,
	0x8d00,
	0x8d01,
	0x8d02,
	0x8d03,
	0x8d04,
	0x8d05,
	0x8d06,
	0x8d07,
	0x8d08,
	0x8d09,
	0x8d0a,
	0x8d0b,
	0x8d0c,
	0x8d0d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_168[]=
	{
	0x8d0e,
	0x8d0f,
	0x8d10,
	0x8d11,
	0x8d12,
	0x8d13,
	0x8d14,
	0x8d15,
	0x8d16,
	0x8d17,
	0x8d18,
	0x8d19,
	0x8d1a,
	0x8d1b,
	0x8d1c,
	0x8d20,
	0x8d51,
	0x8d52,
	0x8d57,
	0x8d5f,
	0x8d65,
	0x8d68,
	0x8d69,
	0x8d6a,
	0x8d6c,
	0x8d6e,
	0x8d6f,
	0x8d71,
	0x8d72,
	0x8d78,
	0x8d79,
	0x8d7a,
	0x8d7b,
	0x8d7c,
	0x8d7d,
	0x8d7e,
	0x8d7f,
	0x8d80,
	0x8d82,
	0x8d83,
	0x8d86,
	0x8d87,
	0x8d88,
	0x8d89,
	0x8d8c,
	0x8d8d,
	0x8d8e,
	0x8d8f,
	0x8d90,
	0x8d92,
	0x8d93,
	0x8d95,
	0x8d96,
	0x8d97,
	0x8d98,
	0x8d99,
	0x8d9a,
	0x8d9b,
	0x8d9c,
	0x8d9d,
	0x8d9e,
	0x8da0,
	0x8da1
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_169[]=
	{
	0x8da2,
	0x8da4,
	0x8da5,
	0x8da6,
	0x8da7,
	0x8da8,
	0x8da9,
	0x8daa,
	0x8dab,
	0x8dac,
	0x8dad,
	0x8dae,
	0x8daf,
	0x8db0,
	0x8db2,
	0x8db6,
	0x8db7,
	0x8db9,
	0x8dbb,
	0x8dbd,
	0x8dc0,
	0x8dc1,
	0x8dc2,
	0x8dc5,
	0x8dc7,
	0x8dc8,
	0x8dc9,
	0x8dca,
	0x8dcd,
	0x8dd0,
	0x8dd2,
	0x8dd3,
	0x8dd4
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_170[]=
	{
	0x8dd5,
	0x8dd8,
	0x8dd9,
	0x8ddc,
	0x8de0,
	0x8de1,
	0x8de2,
	0x8de5,
	0x8de6,
	0x8de7,
	0x8de9,
	0x8ded,
	0x8dee,
	0x8df0,
	0x8df1,
	0x8df2,
	0x8df4,
	0x8df6,
	0x8dfc,
	0x8dfe,
	0x8dff,
	0x8e00,
	0x8e01,
	0x8e02,
	0x8e03,
	0x8e04,
	0x8e06,
	0x8e07,
	0x8e08,
	0x8e0b,
	0x8e0d,
	0x8e0e,
	0x8e10,
	0x8e11,
	0x8e12,
	0x8e13,
	0x8e15,
	0x8e16,
	0x8e17,
	0x8e18,
	0x8e19,
	0x8e1a,
	0x8e1b,
	0x8e1c,
	0x8e20,
	0x8e21,
	0x8e24,
	0x8e25,
	0x8e26,
	0x8e27,
	0x8e28,
	0x8e2b,
	0x8e2d,
	0x8e30,
	0x8e32,
	0x8e33,
	0x8e34,
	0x8e36,
	0x8e37,
	0x8e38,
	0x8e3b,
	0x8e3c,
	0x8e3e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_171[]=
	{
	0x8e3f,
	0x8e43,
	0x8e45,
	0x8e46,
	0x8e4c,
	0x8e4d,
	0x8e4e,
	0x8e4f,
	0x8e50,
	0x8e53,
	0x8e54,
	0x8e55,
	0x8e56,
	0x8e57,
	0x8e58,
	0x8e5a,
	0x8e5b,
	0x8e5c,
	0x8e5d,
	0x8e5e,
	0x8e5f,
	0x8e60,
	0x8e61,
	0x8e62,
	0x8e63,
	0x8e64,
	0x8e65,
	0x8e67,
	0x8e68,
	0x8e6a,
	0x8e6b,
	0x8e6e,
	0x8e71
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_172[]=
	{
	0x8e73,
	0x8e75,
	0x8e77,
	0x8e78,
	0x8e79,
	0x8e7a,
	0x8e7b,
	0x8e7d,
	0x8e7e,
	0x8e80,
	0x8e82,
	0x8e83,
	0x8e84,
	0x8e86,
	0x8e88,
	0x8e89,
	0x8e8a,
	0x8e8b,
	0x8e8c,
	0x8e8d,
	0x8e8e,
	0x8e91,
	0x8e92,
	0x8e93,
	0x8e95,
	0x8e96,
	0x8e97,
	0x8e98,
	0x8e99,
	0x8e9a,
	0x8e9b,
	0x8e9d,
	0x8e9f,
	0x8ea0,
	0x8ea1,
	0x8ea2,
	0x8ea3,
	0x8ea4,
	0x8ea5,
	0x8ea6,
	0x8ea7,
	0x8ea8,
	0x8ea9,
	0x8eaa,
	0x8ead,
	0x8eae,
	0x8eb0,
	0x8eb1,
	0x8eb3,
	0x8eb4,
	0x8eb5,
	0x8eb6,
	0x8eb7,
	0x8eb8,
	0x8eb9,
	0x8ebb,
	0x8ebc,
	0x8ebd,
	0x8ebe,
	0x8ebf,
	0x8ec0,
	0x8ec1,
	0x8ec2
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_173[]=
	{
	0x8ec3,
	0x8ec4,
	0x8ec5,
	0x8ec6,
	0x8ec7,
	0x8ec8,
	0x8ec9,
	0x8eca,
	0x8ecb,
	0x8ecc,
	0x8ecd,
	0x8ecf,
	0x8ed0,
	0x8ed1,
	0x8ed2,
	0x8ed3,
	0x8ed4,
	0x8ed5,
	0x8ed6,
	0x8ed7,
	0x8ed8,
	0x8ed9,
	0x8eda,
	0x8edb,
	0x8edc,
	0x8edd,
	0x8ede,
	0x8edf,
	0x8ee0,
	0x8ee1,
	0x8ee2,
	0x8ee3,
	0x8ee4
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_174[]=
	{
	0x8ee5,
	0x8ee6,
	0x8ee7,
	0x8ee8,
	0x8ee9,
	0x8eea,
	0x8eeb,
	0x8eec,
	0x8eed,
	0x8eee,
	0x8eef,
	0x8ef0,
	0x8ef1,
	0x8ef2,
	0x8ef3,
	0x8ef4,
	0x8ef5,
	0x8ef6,
	0x8ef7,
	0x8ef8,
	0x8ef9,
	0x8efa,
	0x8efb,
	0x8efc,
	0x8efd,
	0x8efe,
	0x8eff,
	0x8f00,
	0x8f01,
	0x8f02,
	0x8f03,
	0x8f04,
	0x8f05,
	0x8f06,
	0x8f07,
	0x8f08,
	0x8f09,
	0x8f0a,
	0x8f0b,
	0x8f0c,
	0x8f0d,
	0x8f0e,
	0x8f0f,
	0x8f10,
	0x8f11,
	0x8f12,
	0x8f13,
	0x8f14,
	0x8f15,
	0x8f16,
	0x8f17,
	0x8f18,
	0x8f19,
	0x8f1a,
	0x8f1b,
	0x8f1c,
	0x8f1d,
	0x8f1e,
	0x8f1f,
	0x8f20,
	0x8f21,
	0x8f22,
	0x8f23
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_175[]=
	{
	0x8f24,
	0x8f25,
	0x8f26,
	0x8f27,
	0x8f28,
	0x8f29,
	0x8f2a,
	0x8f2b,
	0x8f2c,
	0x8f2d,
	0x8f2e,
	0x8f2f,
	0x8f30,
	0x8f31,
	0x8f32,
	0x8f33,
	0x8f34,
	0x8f35,
	0x8f36,
	0x8f37,
	0x8f38,
	0x8f39,
	0x8f3a,
	0x8f3b,
	0x8f3c,
	0x8f3d,
	0x8f3e,
	0x8f3f,
	0x8f40,
	0x8f41,
	0x8f42,
	0x8f43,
	0x8f44
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_176[]=
	{
	0x8f45,
	0x8f46,
	0x8f47,
	0x8f48,
	0x8f49,
	0x8f4a,
	0x8f4b,
	0x8f4c,
	0x8f4d,
	0x8f4e,
	0x8f4f,
	0x8f50,
	0x8f51,
	0x8f52,
	0x8f53,
	0x8f54,
	0x8f55,
	0x8f56,
	0x8f57,
	0x8f58,
	0x8f59,
	0x8f5a,
	0x8f5b,
	0x8f5c,
	0x8f5d,
	0x8f5e,
	0x8f5f,
	0x8f60,
	0x8f61,
	0x8f62,
	0x8f63,
	0x8f64,
	0x8f65,
	0x8f6a,
	0x8f80,
	0x8f8c,
	0x8f92,
	0x8f9d,
	0x8fa0,
	0x8fa1,
	0x8fa2,
	0x8fa4,
	0x8fa5,
	0x8fa6,
	0x8fa7,
	0x8faa,
	0x8fac,
	0x8fad,
	0x8fae,
	0x8faf,
	0x8fb2,
	0x8fb3,
	0x8fb4,
	0x8fb5,
	0x8fb7,
	0x8fb8,
	0x8fba,
	0x8fbb,
	0x8fbc,
	0x8fbf,
	0x8fc0,
	0x8fc3,
	0x8fc6
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_177[]=
	{
	0x8fc9,
	0x8fca,
	0x8fcb,
	0x8fcc,
	0x8fcd,
	0x8fcf,
	0x8fd2,
	0x8fd6,
	0x8fd7,
	0x8fda,
	0x8fe0,
	0x8fe1,
	0x8fe3,
	0x8fe7,
	0x8fec,
	0x8fef,
	0x8ff1,
	0x8ff2,
	0x8ff4,
	0x8ff5,
	0x8ff6,
	0x8ffa,
	0x8ffb,
	0x8ffc,
	0x8ffe,
	0x8fff,
	0x9007,
	0x9008,
	0x900c,
	0x900e,
	0x9013,
	0x9015,
	0x9018
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_178[]=
	{
	0x9019,
	0x901c,
	0x9023,
	0x9024,
	0x9025,
	0x9027,
	0x9028,
	0x9029,
	0x902a,
	0x902b,
	0x902c,
	0x9030,
	0x9031,
	0x9032,
	0x9033,
	0x9034,
	0x9037,
	0x9039,
	0x903a,
	0x903d,
	0x903f,
	0x9040,
	0x9043,
	0x9045,
	0x9046,
	0x9048,
	0x9049,
	0x904a,
	0x904b,
	0x904c,
	0x904e,
	0x9054,
	0x9055,
	0x9056,
	0x9059,
	0x905a,
	0x905c,
	0x905d,
	0x905e,
	0x905f,
	0x9060,
	0x9061,
	0x9064,
	0x9066,
	0x9067,
	0x9069,
	0x906a,
	0x906b,
	0x906c,
	0x906f,
	0x9070,
	0x9071,
	0x9072,
	0x9073,
	0x9076,
	0x9077,
	0x9078,
	0x9079,
	0x907a,
	0x907b,
	0x907c,
	0x907e,
	0x9081
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_179[]=
	{
	0x9084,
	0x9085,
	0x9086,
	0x9087,
	0x9089,
	0x908a,
	0x908c,
	0x908d,
	0x908e,
	0x908f,
	0x9090,
	0x9092,
	0x9094,
	0x9096,
	0x9098,
	0x909a,
	0x909c,
	0x909e,
	0x909f,
	0x90a0,
	0x90a4,
	0x90a5,
	0x90a7,
	0x90a8,
	0x90a9,
	0x90ab,
	0x90ad,
	0x90b2,
	0x90b7,
	0x90bc,
	0x90bd,
	0x90bf,
	0x90c0
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_180[]=
	{
	0x90c2,
	0x90c3,
	0x90c6,
	0x90c8,
	0x90c9,
	0x90cb,
	0x90cc,
	0x90cd,
	0x90d2,
	0x90d4,
	0x90d5,
	0x90d6,
	0x90d8,
	0x90d9,
	0x90da,
	0x90de,
	0x90df,
	0x90e0,
	0x90e3,
	0x90e4,
	0x90e5,
	0x90e9,
	0x90ea,
	0x90ec,
	0x90ee,
	0x90f0,
	0x90f1,
	0x90f2,
	0x90f3,
	0x90f5,
	0x90f6,
	0x90f7,
	0x90f9,
	0x90fa,
	0x90fb,
	0x90fc,
	0x90ff,
	0x9100,
	0x9101,
	0x9103,
	0x9105,
	0x9106,
	0x9107,
	0x9108,
	0x9109,
	0x910a,
	0x910b,
	0x910c,
	0x910d,
	0x910e,
	0x910f,
	0x9110,
	0x9111,
	0x9112,
	0x9113,
	0x9114,
	0x9115,
	0x9116,
	0x9117,
	0x9118,
	0x911a,
	0x911b,
	0x911c
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_181[]=
	{
	0x911d,
	0x911f,
	0x9120,
	0x9121,
	0x9124,
	0x9125,
	0x9126,
	0x9127,
	0x9128,
	0x9129,
	0x912a,
	0x912b,
	0x912c,
	0x912d,
	0x912e,
	0x9130,
	0x9132,
	0x9133,
	0x9134,
	0x9135,
	0x9136,
	0x9137,
	0x9138,
	0x913a,
	0x913b,
	0x913c,
	0x913d,
	0x913e,
	0x913f,
	0x9140,
	0x9141,
	0x9142,
	0x9144
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_182[]=
	{
	0x9145,
	0x9147,
	0x9148,
	0x9151,
	0x9153,
	0x9154,
	0x9155,
	0x9156,
	0x9158,
	0x9159,
	0x915b,
	0x915c,
	0x915f,
	0x9160,
	0x9166,
	0x9167,
	0x9168,
	0x916b,
	0x916d,
	0x9173,
	0x917a,
	0x917b,
	0x917c,
	0x9180,
	0x9181,
	0x9182,
	0x9183,
	0x9184,
	0x9186,
	0x9188,
	0x918a,
	0x918e,
	0x918f,
	0x9193,
	0x9194,
	0x9195,
	0x9196,
	0x9197,
	0x9198,
	0x9199,
	0x919c,
	0x919d,
	0x919e,
	0x919f,
	0x91a0,
	0x91a1,
	0x91a4,
	0x91a5,
	0x91a6,
	0x91a7,
	0x91a8,
	0x91a9,
	0x91ab,
	0x91ac,
	0x91b0,
	0x91b1,
	0x91b2,
	0x91b3,
	0x91b6,
	0x91b7,
	0x91b8,
	0x91b9,
	0x91bb
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_183[]=
	{
	0x91bc,
	0x91bd,
	0x91be,
	0x91bf,
	0x91c0,
	0x91c1,
	0x91c2,
	0x91c3,
	0x91c4,
	0x91c5,
	0x91c6,
	0x91c8,
	0x91cb,
	0x91d0,
	0x91d2,
	0x91d3,
	0x91d4,
	0x91d5,
	0x91d6,
	0x91d7,
	0x91d8,
	0x91d9,
	0x91da,
	0x91db,
	0x91dd,
	0x91de,
	0x91df,
	0x91e0,
	0x91e1,
	0x91e2,
	0x91e3,
	0x91e4,
	0x91e5
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_184[]=
	{
	0x91e6,
	0x91e7,
	0x91e8,
	0x91e9,
	0x91ea,
	0x91eb,
	0x91ec,
	0x91ed,
	0x91ee,
	0x91ef,
	0x91f0,
	0x91f1,
	0x91f2,
	0x91f3,
	0x91f4,
	0x91f5,
	0x91f6,
	0x91f7,
	0x91f8,
	0x91f9,
	0x91fa,
	0x91fb,
	0x91fc,
	0x91fd,
	0x91fe,
	0x91ff,
	0x9200,
	0x9201,
	0x9202,
	0x9203,
	0x9204,
	0x9205,
	0x9206,
	0x9207,
	0x9208,
	0x9209,
	0x920a,
	0x920b,
	0x920c,
	0x920d,
	0x920e,
	0x920f,
	0x9210,
	0x9211,
	0x9212,
	0x9213,
	0x9214,
	0x9215,
	0x9216,
	0x9217,
	0x9218,
	0x9219,
	0x921a,
	0x921b,
	0x921c,
	0x921d,
	0x921e,
	0x921f,
	0x9220,
	0x9221,
	0x9222,
	0x9223,
	0x9224
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_185[]=
	{
	0x9225,
	0x9226,
	0x9227,
	0x9228,
	0x9229,
	0x922a,
	0x922b,
	0x922c,
	0x922d,
	0x922e,
	0x922f,
	0x9230,
	0x9231,
	0x9232,
	0x9233,
	0x9234,
	0x9235,
	0x9236,
	0x9237,
	0x9238,
	0x9239,
	0x923a,
	0x923b,
	0x923c,
	0x923d,
	0x923e,
	0x923f,
	0x9240,
	0x9241,
	0x9242,
	0x9243,
	0x9244,
	0x9245
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_186[]=
	{
	0x9246,
	0x9247,
	0x9248,
	0x9249,
	0x924a,
	0x924b,
	0x924c,
	0x924d,
	0x924e,
	0x924f,
	0x9250,
	0x9251,
	0x9252,
	0x9253,
	0x9254,
	0x9255,
	0x9256,
	0x9257,
	0x9258,
	0x9259,
	0x925a,
	0x925b,
	0x925c,
	0x925d,
	0x925e,
	0x925f,
	0x9260,
	0x9261,
	0x9262,
	0x9263,
	0x9264,
	0x9265,
	0x9266,
	0x9267,
	0x9268,
	0x9269,
	0x926a,
	0x926b,
	0x926c,
	0x926d,
	0x926e,
	0x926f,
	0x9270,
	0x9271,
	0x9272,
	0x9273,
	0x9275,
	0x9276,
	0x9277,
	0x9278,
	0x9279,
	0x927a,
	0x927b,
	0x927c,
	0x927d,
	0x927e,
	0x927f,
	0x9280,
	0x9281,
	0x9282,
	0x9283,
	0x9284,
	0x9285
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_187[]=
	{
	0x9286,
	0x9287,
	0x9288,
	0x9289,
	0x928a,
	0x928b,
	0x928c,
	0x928d,
	0x928f,
	0x9290,
	0x9291,
	0x9292,
	0x9293,
	0x9294,
	0x9295,
	0x9296,
	0x9297,
	0x9298,
	0x9299,
	0x929a,
	0x929b,
	0x929c,
	0x929d,
	0x929e,
	0x929f,
	0x92a0,
	0x92a1,
	0x92a2,
	0x92a3,
	0x92a4,
	0x92a5,
	0x92a6,
	0x92a7
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_188[]=
	{
	0x92a8,
	0x92a9,
	0x92aa,
	0x92ab,
	0x92ac,
	0x92ad,
	0x92af,
	0x92b0,
	0x92b1,
	0x92b2,
	0x92b3,
	0x92b4,
	0x92b5,
	0x92b6,
	0x92b7,
	0x92b8,
	0x92b9,
	0x92ba,
	0x92bb,
	0x92bc,
	0x92bd,
	0x92be,
	0x92bf,
	0x92c0,
	0x92c1,
	0x92c2,
	0x92c3,
	0x92c4,
	0x92c5,
	0x92c6,
	0x92c7,
	0x92c9,
	0x92ca,
	0x92cb,
	0x92cc,
	0x92cd,
	0x92ce,
	0x92cf,
	0x92d0,
	0x92d1,
	0x92d2,
	0x92d3,
	0x92d4,
	0x92d5,
	0x92d6,
	0x92d7,
	0x92d8,
	0x92d9,
	0x92da,
	0x92db,
	0x92dc,
	0x92dd,
	0x92de,
	0x92df,
	0x92e0,
	0x92e1,
	0x92e2,
	0x92e3,
	0x92e4,
	0x92e5,
	0x92e6,
	0x92e7,
	0x92e8
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_189[]=
	{
	0x92e9,
	0x92ea,
	0x92eb,
	0x92ec,
	0x92ed,
	0x92ee,
	0x92ef,
	0x92f0,
	0x92f1,
	0x92f2,
	0x92f3,
	0x92f4,
	0x92f5,
	0x92f6,
	0x92f7,
	0x92f8,
	0x92f9,
	0x92fa,
	0x92fb,
	0x92fc,
	0x92fd,
	0x92fe,
	0x92ff,
	0x9300,
	0x9301,
	0x9302,
	0x9303,
	0x9304,
	0x9305,
	0x9306,
	0x9307,
	0x9308,
	0x9309
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_190[]=
	{
	0x930a,
	0x930b,
	0x930c,
	0x930d,
	0x930e,
	0x930f,
	0x9310,
	0x9311,
	0x9312,
	0x9313,
	0x9314,
	0x9315,
	0x9316,
	0x9317,
	0x9318,
	0x9319,
	0x931a,
	0x931b,
	0x931c,
	0x931d,
	0x931e,
	0x931f,
	0x9320,
	0x9321,
	0x9322,
	0x9323,
	0x9324,
	0x9325,
	0x9326,
	0x9327,
	0x9328,
	0x9329,
	0x932a,
	0x932b,
	0x932c,
	0x932d,
	0x932e,
	0x932f,
	0x9330,
	0x9331,
	0x9332,
	0x9333,
	0x9334,
	0x9335,
	0x9336,
	0x9337,
	0x9338,
	0x9339,
	0x933a,
	0x933b,
	0x933c,
	0x933d,
	0x933f,
	0x9340,
	0x9341,
	0x9342,
	0x9343,
	0x9344,
	0x9345,
	0x9346,
	0x9347,
	0x9348,
	0x9349
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_191[]=
	{
	0x934a,
	0x934b,
	0x934c,
	0x934d,
	0x934e,
	0x934f,
	0x9350,
	0x9351,
	0x9352,
	0x9353,
	0x9354,
	0x9355,
	0x9356,
	0x9357,
	0x9358,
	0x9359,
	0x935a,
	0x935b,
	0x935c,
	0x935d,
	0x935e,
	0x935f,
	0x9360,
	0x9361,
	0x9362,
	0x9363,
	0x9364,
	0x9365,
	0x9366,
	0x9367,
	0x9368,
	0x9369,
	0x936b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_192[]=
	{
	0x936c,
	0x936d,
	0x936e,
	0x936f,
	0x9370,
	0x9371,
	0x9372,
	0x9373,
	0x9374,
	0x9375,
	0x9376,
	0x9377,
	0x9378,
	0x9379,
	0x937a,
	0x937b,
	0x937c,
	0x937d,
	0x937e,
	0x937f,
	0x9380,
	0x9381,
	0x9382,
	0x9383,
	0x9384,
	0x9385,
	0x9386,
	0x9387,
	0x9388,
	0x9389,
	0x938a,
	0x938b,
	0x938c,
	0x938d,
	0x938e,
	0x9390,
	0x9391,
	0x9392,
	0x9393,
	0x9394,
	0x9395,
	0x9396,
	0x9397,
	0x9398,
	0x9399,
	0x939a,
	0x939b,
	0x939c,
	0x939d,
	0x939e,
	0x939f,
	0x93a0,
	0x93a1,
	0x93a2,
	0x93a3,
	0x93a4,
	0x93a5,
	0x93a6,
	0x93a7,
	0x93a8,
	0x93a9,
	0x93aa,
	0x93ab
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_193[]=
	{
	0x93ac,
	0x93ad,
	0x93ae,
	0x93af,
	0x93b0,
	0x93b1,
	0x93b2,
	0x93b3,
	0x93b4,
	0x93b5,
	0x93b6,
	0x93b7,
	0x93b8,
	0x93b9,
	0x93ba,
	0x93bb,
	0x93bc,
	0x93bd,
	0x93be,
	0x93bf,
	0x93c0,
	0x93c1,
	0x93c2,
	0x93c3,
	0x93c4,
	0x93c5,
	0x93c6,
	0x93c7,
	0x93c8,
	0x93c9,
	0x93cb,
	0x93cc,
	0x93cd
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_194[]=
	{
	0x93ce,
	0x93cf,
	0x93d0,
	0x93d1,
	0x93d2,
	0x93d3,
	0x93d4,
	0x93d5,
	0x93d7,
	0x93d8,
	0x93d9,
	0x93da,
	0x93db,
	0x93dc,
	0x93dd,
	0x93de,
	0x93df,
	0x93e0,
	0x93e1,
	0x93e2,
	0x93e3,
	0x93e4,
	0x93e5,
	0x93e6,
	0x93e7,
	0x93e8,
	0x93e9,
	0x93ea,
	0x93eb,
	0x93ec,
	0x93ed,
	0x93ee,
	0x93ef,
	0x93f0,
	0x93f1,
	0x93f2,
	0x93f3,
	0x93f4,
	0x93f5,
	0x93f6,
	0x93f7,
	0x93f8,
	0x93f9,
	0x93fa,
	0x93fb,
	0x93fc,
	0x93fd,
	0x93fe,
	0x93ff,
	0x9400,
	0x9401,
	0x9402,
	0x9403,
	0x9404,
	0x9405,
	0x9406,
	0x9407,
	0x9408,
	0x9409,
	0x940a,
	0x940b,
	0x940c,
	0x940d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_195[]=
	{
	0x940e,
	0x940f,
	0x9410,
	0x9411,
	0x9412,
	0x9413,
	0x9414,
	0x9415,
	0x9416,
	0x9417,
	0x9418,
	0x9419,
	0x941a,
	0x941b,
	0x941c,
	0x941d,
	0x941e,
	0x941f,
	0x9420,
	0x9421,
	0x9422,
	0x9423,
	0x9424,
	0x9425,
	0x9426,
	0x9427,
	0x9428,
	0x9429,
	0x942a,
	0x942b,
	0x942c,
	0x942d,
	0x942e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_196[]=
	{
	0x942f,
	0x9430,
	0x9431,
	0x9432,
	0x9433,
	0x9434,
	0x9435,
	0x9436,
	0x9437,
	0x9438,
	0x9439,
	0x943a,
	0x943b,
	0x943c,
	0x943d,
	0x943f,
	0x9440,
	0x9441,
	0x9442,
	0x9443,
	0x9444,
	0x9445,
	0x9446,
	0x9447,
	0x9448,
	0x9449,
	0x944a,
	0x944b,
	0x944c,
	0x944d,
	0x944e,
	0x944f,
	0x9450,
	0x9451,
	0x9452,
	0x9453,
	0x9454,
	0x9455,
	0x9456,
	0x9457,
	0x9458,
	0x9459,
	0x945a,
	0x945b,
	0x945c,
	0x945d,
	0x945e,
	0x945f,
	0x9460,
	0x9461,
	0x9462,
	0x9463,
	0x9464,
	0x9465,
	0x9466,
	0x9467,
	0x9468,
	0x9469,
	0x946a,
	0x946c,
	0x946d,
	0x946e,
	0x946f
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_197[]=
	{
	0x9470,
	0x9471,
	0x9472,
	0x9473,
	0x9474,
	0x9475,
	0x9476,
	0x9477,
	0x9478,
	0x9479,
	0x947a,
	0x947b,
	0x947c,
	0x947d,
	0x947e,
	0x947f,
	0x9480,
	0x9481,
	0x9482,
	0x9483,
	0x9484,
	0x9491,
	0x9496,
	0x9498,
	0x94c7,
	0x94cf,
	0x94d3,
	0x94d4,
	0x94da,
	0x94e6,
	0x94fb,
	0x951c,
	0x9520
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_198[]=
	{
	0x9527,
	0x9533,
	0x953d,
	0x9543,
	0x9548,
	0x954b,
	0x9555,
	0x955a,
	0x9560,
	0x956e,
	0x9574,
	0x9575,
	0x9577,
	0x9578,
	0x9579,
	0x957a,
	0x957b,
	0x957c,
	0x957d,
	0x957e,
	0x9580,
	0x9581,
	0x9582,
	0x9583,
	0x9584,
	0x9585,
	0x9586,
	0x9587,
	0x9588,
	0x9589,
	0x958a,
	0x958b,
	0x958c,
	0x958d,
	0x958e,
	0x958f,
	0x9590,
	0x9591,
	0x9592,
	0x9593,
	0x9594,
	0x9595,
	0x9596,
	0x9597,
	0x9598,
	0x9599,
	0x959a,
	0x959b,
	0x959c,
	0x959d,
	0x959e,
	0x959f,
	0x95a0,
	0x95a1,
	0x95a2,
	0x95a3,
	0x95a4,
	0x95a5,
	0x95a6,
	0x95a7,
	0x95a8,
	0x95a9,
	0x95aa
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_199[]=
	{
	0x95ab,
	0x95ac,
	0x95ad,
	0x95ae,
	0x95af,
	0x95b0,
	0x95b1,
	0x95b2,
	0x95b3,
	0x95b4,
	0x95b5,
	0x95b6,
	0x95b7,
	0x95b8,
	0x95b9,
	0x95ba,
	0x95bb,
	0x95bc,
	0x95bd,
	0x95be,
	0x95bf,
	0x95c0,
	0x95c1,
	0x95c2,
	0x95c3,
	0x95c4,
	0x95c5,
	0x95c6,
	0x95c7,
	0x95c8,
	0x95c9,
	0x95ca,
	0x95cb
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_200[]=
	{
	0x95cc,
	0x95cd,
	0x95ce,
	0x95cf,
	0x95d0,
	0x95d1,
	0x95d2,
	0x95d3,
	0x95d4,
	0x95d5,
	0x95d6,
	0x95d7,
	0x95d8,
	0x95d9,
	0x95da,
	0x95db,
	0x95dc,
	0x95dd,
	0x95de,
	0x95df,
	0x95e0,
	0x95e1,
	0x95e2,
	0x95e3,
	0x95e4,
	0x95e5,
	0x95e6,
	0x95e7,
	0x95ec,
	0x95ff,
	0x9607,
	0x9613,
	0x9618,
	0x961b,
	0x961e,
	0x9620,
	0x9623,
	0x9624,
	0x9625,
	0x9626,
	0x9627,
	0x9628,
	0x9629,
	0x962b,
	0x962c,
	0x962d,
	0x962f,
	0x9630,
	0x9637,
	0x9638,
	0x9639,
	0x963a,
	0x963e,
	0x9641,
	0x9643,
	0x964a,
	0x964e,
	0x964f,
	0x9651,
	0x9652,
	0x9653,
	0x9656,
	0x9657
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_201[]=
	{
	0x9658,
	0x9659,
	0x965a,
	0x965c,
	0x965d,
	0x965e,
	0x9660,
	0x9663,
	0x9665,
	0x9666,
	0x966b,
	0x966d,
	0x966e,
	0x966f,
	0x9670,
	0x9671,
	0x9673,
	0x9678,
	0x9679,
	0x967a,
	0x967b,
	0x967c,
	0x967d,
	0x967e,
	0x967f,
	0x9680,
	0x9681,
	0x9682,
	0x9683,
	0x9684,
	0x9687,
	0x9689,
	0x968a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_202[]=
	{
	0x968c,
	0x968e,
	0x9691,
	0x9692,
	0x9693,
	0x9695,
	0x9696,
	0x969a,
	0x969b,
	0x969d,
	0x969e,
	0x969f,
	0x96a0,
	0x96a1,
	0x96a2,
	0x96a3,
	0x96a4,
	0x96a5,
	0x96a6,
	0x96a8,
	0x96a9,
	0x96aa,
	0x96ab,
	0x96ac,
	0x96ad,
	0x96ae,
	0x96af,
	0x96b1,
	0x96b2,
	0x96b4,
	0x96b5,
	0x96b7,
	0x96b8,
	0x96ba,
	0x96bb,
	0x96bf,
	0x96c2,
	0x96c3,
	0x96c8,
	0x96ca,
	0x96cb,
	0x96d0,
	0x96d1,
	0x96d3,
	0x96d4,
	0x96d6,
	0x96d7,
	0x96d8,
	0x96d9,
	0x96da,
	0x96db,
	0x96dc,
	0x96dd,
	0x96de,
	0x96df,
	0x96e1,
	0x96e2,
	0x96e3,
	0x96e4,
	0x96e5,
	0x96e6,
	0x96e7,
	0x96eb
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_203[]=
	{
	0x96ec,
	0x96ed,
	0x96ee,
	0x96f0,
	0x96f1,
	0x96f2,
	0x96f4,
	0x96f5,
	0x96f8,
	0x96fa,
	0x96fb,
	0x96fc,
	0x96fd,
	0x96ff,
	0x9702,
	0x9703,
	0x9705,
	0x970a,
	0x970b,
	0x970c,
	0x9710,
	0x9711,
	0x9712,
	0x9714,
	0x9715,
	0x9717,
	0x9718,
	0x9719,
	0x971a,
	0x971b,
	0x971d,
	0x971f,
	0x9720
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_204[]=
	{
	0x9721,
	0x9722,
	0x9723,
	0x9724,
	0x9725,
	0x9726,
	0x9727,
	0x9728,
	0x9729,
	0x972b,
	0x972c,
	0x972e,
	0x972f,
	0x9731,
	0x9733,
	0x9734,
	0x9735,
	0x9736,
	0x9737,
	0x973a,
	0x973b,
	0x973c,
	0x973d,
	0x973f,
	0x9740,
	0x9741,
	0x9742,
	0x9743,
	0x9744,
	0x9745,
	0x9746,
	0x9747,
	0x9748,
	0x9749,
	0x974a,
	0x974b,
	0x974c,
	0x974d,
	0x974e,
	0x974f,
	0x9750,
	0x9751,
	0x9754,
	0x9755,
	0x9757,
	0x9758,
	0x975a,
	0x975c,
	0x975d,
	0x975f,
	0x9763,
	0x9764,
	0x9766,
	0x9767,
	0x9768,
	0x976a,
	0x976b,
	0x976c,
	0x976d,
	0x976e,
	0x976f,
	0x9770,
	0x9771
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_205[]=
	{
	0x9772,
	0x9775,
	0x9777,
	0x9778,
	0x9779,
	0x977a,
	0x977b,
	0x977d,
	0x977e,
	0x977f,
	0x9780,
	0x9781,
	0x9782,
	0x9783,
	0x9784,
	0x9786,
	0x9787,
	0x9788,
	0x9789,
	0x978a,
	0x978c,
	0x978e,
	0x978f,
	0x9790,
	0x9793,
	0x9795,
	0x9796,
	0x9797,
	0x9799,
	0x979a,
	0x979b,
	0x979c,
	0x979d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_206[]=
	{
	0x979e,
	0x979f,
	0x97a1,
	0x97a2,
	0x97a4,
	0x97a5,
	0x97a6,
	0x97a7,
	0x97a8,
	0x97a9,
	0x97aa,
	0x97ac,
	0x97ae,
	0x97b0,
	0x97b1,
	0x97b3,
	0x97b5,
	0x97b6,
	0x97b7,
	0x97b8,
	0x97b9,
	0x97ba,
	0x97bb,
	0x97bc,
	0x97bd,
	0x97be,
	0x97bf,
	0x97c0,
	0x97c1,
	0x97c2,
	0x97c3,
	0x97c4,
	0x97c5,
	0x97c6,
	0x97c7,
	0x97c8,
	0x97c9,
	0x97ca,
	0x97cb,
	0x97cc,
	0x97cd,
	0x97ce,
	0x97cf,
	0x97d0,
	0x97d1,
	0x97d2,
	0x97d3,
	0x97d4,
	0x97d5,
	0x97d6,
	0x97d7,
	0x97d8,
	0x97d9,
	0x97da,
	0x97db,
	0x97dc,
	0x97dd,
	0x97de,
	0x97df,
	0x97e0,
	0x97e1,
	0x97e2,
	0x97e3
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_207[]=
	{
	0x97e4,
	0x97e5,
	0x97e8,
	0x97ee,
	0x97ef,
	0x97f0,
	0x97f1,
	0x97f2,
	0x97f4,
	0x97f7,
	0x97f8,
	0x97f9,
	0x97fa,
	0x97fb,
	0x97fc,
	0x97fd,
	0x97fe,
	0x97ff,
	0x9800,
	0x9801,
	0x9802,
	0x9803,
	0x9804,
	0x9805,
	0x9806,
	0x9807,
	0x9808,
	0x9809,
	0x980a,
	0x980b,
	0x980c,
	0x980d,
	0x980e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_208[]=
	{
	0x980f,
	0x9810,
	0x9811,
	0x9812,
	0x9813,
	0x9814,
	0x9815,
	0x9816,
	0x9817,
	0x9818,
	0x9819,
	0x981a,
	0x981b,
	0x981c,
	0x981d,
	0x981e,
	0x981f,
	0x9820,
	0x9821,
	0x9822,
	0x9823,
	0x9824,
	0x9825,
	0x9826,
	0x9827,
	0x9828,
	0x9829,
	0x982a,
	0x982b,
	0x982c,
	0x982d,
	0x982e,
	0x982f,
	0x9830,
	0x9831,
	0x9832,
	0x9833,
	0x9834,
	0x9835,
	0x9836,
	0x9837,
	0x9838,
	0x9839,
	0x983a,
	0x983b,
	0x983c,
	0x983d,
	0x983e,
	0x983f,
	0x9840,
	0x9841,
	0x9842,
	0x9843,
	0x9844,
	0x9845,
	0x9846,
	0x9847,
	0x9848,
	0x9849,
	0x984a,
	0x984b,
	0x984c,
	0x984d
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_209[]=
	{
	0x984e,
	0x984f,
	0x9850,
	0x9851,
	0x9852,
	0x9853,
	0x9854,
	0x9855,
	0x9856,
	0x9857,
	0x9858,
	0x9859,
	0x985a,
	0x985b,
	0x985c,
	0x985d,
	0x985e,
	0x985f,
	0x9860,
	0x9861,
	0x9862,
	0x9863,
	0x9864,
	0x9865,
	0x9866,
	0x9867,
	0x9868,
	0x9869,
	0x986a,
	0x986b,
	0x986c,
	0x986d,
	0x986e
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_210[]=
	{
	0x986f,
	0x9870,
	0x9871,
	0x9872,
	0x9873,
	0x9874,
	0x988b,
	0x988e,
	0x9892,
	0x9895,
	0x9899,
	0x98a3,
	0x98a8,
	0x98a9,
	0x98aa,
	0x98ab,
	0x98ac,
	0x98ad,
	0x98ae,
	0x98af,
	0x98b0,
	0x98b1,
	0x98b2,
	0x98b3,
	0x98b4,
	0x98b5,
	0x98b6,
	0x98b7,
	0x98b8,
	0x98b9,
	0x98ba,
	0x98bb,
	0x98bc,
	0x98bd,
	0x98be,
	0x98bf,
	0x98c0,
	0x98c1,
	0x98c2,
	0x98c3,
	0x98c4,
	0x98c5,
	0x98c6,
	0x98c7,
	0x98c8,
	0x98c9,
	0x98ca,
	0x98cb,
	0x98cc,
	0x98cd,
	0x98cf,
	0x98d0,
	0x98d4,
	0x98d6,
	0x98d7,
	0x98db,
	0x98dc,
	0x98dd,
	0x98e0,
	0x98e1,
	0x98e2,
	0x98e3,
	0x98e4
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_211[]=
	{
	0x98e5,
	0x98e6,
	0x98e9,
	0x98ea,
	0x98eb,
	0x98ec,
	0x98ed,
	0x98ee,
	0x98ef,
	0x98f0,
	0x98f1,
	0x98f2,
	0x98f3,
	0x98f4,
	0x98f5,
	0x98f6,
	0x98f7,
	0x98f8,
	0x98f9,
	0x98fa,
	0x98fb,
	0x98fc,
	0x98fd,
	0x98fe,
	0x98ff,
	0x9900,
	0x9901,
	0x9902,
	0x9903,
	0x9904,
	0x9905,
	0x9906,
	0x9907
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_212[]=
	{
	0x9908,
	0x9909,
	0x990a,
	0x990b,
	0x990c,
	0x990e,
	0x990f,
	0x9911,
	0x9912,
	0x9913,
	0x9914,
	0x9915,
	0x9916,
	0x9917,
	0x9918,
	0x9919,
	0x991a,
	0x991b,
	0x991c,
	0x991d,
	0x991e,
	0x991f,
	0x9920,
	0x9921,
	0x9922,
	0x9923,
	0x9924,
	0x9925,
	0x9926,
	0x9927,
	0x9928,
	0x9929,
	0x992a,
	0x992b,
	0x992c,
	0x992d,
	0x992f,
	0x9930,
	0x9931,
	0x9932,
	0x9933,
	0x9934,
	0x9935,
	0x9936,
	0x9937,
	0x9938,
	0x9939,
	0x993a,
	0x993b,
	0x993c,
	0x993d,
	0x993e,
	0x993f,
	0x9940,
	0x9941,
	0x9942,
	0x9943,
	0x9944,
	0x9945,
	0x9946,
	0x9947,
	0x9948,
	0x9949
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_213[]=
	{
	0x994a,
	0x994b,
	0x994c,
	0x994d,
	0x994e,
	0x994f,
	0x9950,
	0x9951,
	0x9952,
	0x9953,
	0x9956,
	0x9957,
	0x9958,
	0x9959,
	0x995a,
	0x995b,
	0x995c,
	0x995d,
	0x995e,
	0x995f,
	0x9960,
	0x9961,
	0x9962,
	0x9964,
	0x9966,
	0x9973,
	0x9978,
	0x9979,
	0x997b,
	0x997e,
	0x9982,
	0x9983,
	0x9989
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_214[]=
	{
	0x998c,
	0x998e,
	0x999a,
	0x999b,
	0x999c,
	0x999d,
	0x999e,
	0x999f,
	0x99a0,
	0x99a1,
	0x99a2,
	0x99a3,
	0x99a4,
	0x99a6,
	0x99a7,
	0x99a9,
	0x99aa,
	0x99ab,
	0x99ac,
	0x99ad,
	0x99ae,
	0x99af,
	0x99b0,
	0x99b1,
	0x99b2,
	0x99b3,
	0x99b4,
	0x99b5,
	0x99b6,
	0x99b7,
	0x99b8,
	0x99b9,
	0x99ba,
	0x99bb,
	0x99bc,
	0x99bd,
	0x99be,
	0x99bf,
	0x99c0,
	0x99c1,
	0x99c2,
	0x99c3,
	0x99c4,
	0x99c5,
	0x99c6,
	0x99c7,
	0x99c8,
	0x99c9,
	0x99ca,
	0x99cb,
	0x99cc,
	0x99cd,
	0x99ce,
	0x99cf,
	0x99d0,
	0x99d1,
	0x99d2,
	0x99d3,
	0x99d4,
	0x99d5,
	0x99d6,
	0x99d7,
	0x99d8
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_215[]=
	{
	0x99d9,
	0x99da,
	0x99db,
	0x99dc,
	0x99dd,
	0x99de,
	0x99df,
	0x99e0,
	0x99e1,
	0x99e2,
	0x99e3,
	0x99e4,
	0x99e5,
	0x99e6,
	0x99e7,
	0x99e8,
	0x99e9,
	0x99ea,
	0x99eb,
	0x99ec,
	0x99ed,
	0x99ee,
	0x99ef,
	0x99f0,
	0x99f1,
	0x99f2,
	0x99f3,
	0x99f4,
	0x99f5,
	0x99f6,
	0x99f7,
	0x99f8,
	0x99f9
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_216[]=
	{
	0x99fa,
	0x99fb,
	0x99fc,
	0x99fd,
	0x99fe,
	0x99ff,
	0x9a00,
	0x9a01,
	0x9a02,
	0x9a03,
	0x9a04,
	0x9a05,
	0x9a06,
	0x9a07,
	0x9a08,
	0x9a09,
	0x9a0a,
	0x9a0b,
	0x9a0c,
	0x9a0d,
	0x9a0e,
	0x9a0f,
	0x9a10,
	0x9a11,
	0x9a12,
	0x9a13,
	0x9a14,
	0x9a15,
	0x9a16,
	0x9a17,
	0x9a18,
	0x9a19,
	0x9a1a,
	0x9a1b,
	0x9a1c,
	0x9a1d,
	0x9a1e,
	0x9a1f,
	0x9a20,
	0x9a21,
	0x9a22,
	0x9a23,
	0x9a24,
	0x9a25,
	0x9a26,
	0x9a27,
	0x9a28,
	0x9a29,
	0x9a2a,
	0x9a2b,
	0x9a2c,
	0x9a2d,
	0x9a2e,
	0x9a2f,
	0x9a30,
	0x9a31,
	0x9a32,
	0x9a33,
	0x9a34,
	0x9a35,
	0x9a36,
	0x9a37,
	0x9a38
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_217[]=
	{
	0x9a39,
	0x9a3a,
	0x9a3b,
	0x9a3c,
	0x9a3d,
	0x9a3e,
	0x9a3f,
	0x9a40,
	0x9a41,
	0x9a42,
	0x9a43,
	0x9a44,
	0x9a45,
	0x9a46,
	0x9a47,
	0x9a48,
	0x9a49,
	0x9a4a,
	0x9a4b,
	0x9a4c,
	0x9a4d,
	0x9a4e,
	0x9a4f,
	0x9a50,
	0x9a51,
	0x9a52,
	0x9a53,
	0x9a54,
	0x9a55,
	0x9a56,
	0x9a57,
	0x9a58,
	0x9a59
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_218[]=
	{
	0x9a5a,
	0x9a5b,
	0x9a5c,
	0x9a5d,
	0x9a5e,
	0x9a5f,
	0x9a60,
	0x9a61,
	0x9a62,
	0x9a63,
	0x9a64,
	0x9a65,
	0x9a66,
	0x9a67,
	0x9a68,
	0x9a69,
	0x9a6a,
	0x9a6b,
	0x9a72,
	0x9a83,
	0x9a89,
	0x9a8d,
	0x9a8e,
	0x9a94,
	0x9a95,
	0x9a99,
	0x9aa6,
	0x9aa9,
	0x9aaa,
	0x9aab,
	0x9aac,
	0x9aad,
	0x9aae,
	0x9aaf,
	0x9ab2,
	0x9ab3,
	0x9ab4,
	0x9ab5,
	0x9ab9,
	0x9abb,
	0x9abd,
	0x9abe,
	0x9abf,
	0x9ac3,
	0x9ac4,
	0x9ac6,
	0x9ac7,
	0x9ac8,
	0x9ac9,
	0x9aca,
	0x9acd,
	0x9ace,
	0x9acf,
	0x9ad0,
	0x9ad2,
	0x9ad4,
	0x9ad5,
	0x9ad6,
	0x9ad7,
	0x9ad9,
	0x9ada,
	0x9adb,
	0x9adc
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_219[]=
	{
	0x9add,
	0x9ade,
	0x9ae0,
	0x9ae2,
	0x9ae3,
	0x9ae4,
	0x9ae5,
	0x9ae7,
	0x9ae8,
	0x9ae9,
	0x9aea,
	0x9aec,
	0x9aee,
	0x9af0,
	0x9af1,
	0x9af2,
	0x9af3,
	0x9af4,
	0x9af5,
	0x9af6,
	0x9af7,
	0x9af8,
	0x9afa,
	0x9afc,
	0x9afd,
	0x9afe,
	0x9aff,
	0x9b00,
	0x9b01,
	0x9b02,
	0x9b04,
	0x9b05,
	0x9b06
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_220[]=
	{
	0x9b07,
	0x9b09,
	0x9b0a,
	0x9b0b,
	0x9b0c,
	0x9b0d,
	0x9b0e,
	0x9b10,
	0x9b11,
	0x9b12,
	0x9b14,
	0x9b15,
	0x9b16,
	0x9b17,
	0x9b18,
	0x9b19,
	0x9b1a,
	0x9b1b,
	0x9b1c,
	0x9b1d,
	0x9b1e,
	0x9b20,
	0x9b21,
	0x9b22,
	0x9b24,
	0x9b25,
	0x9b26,
	0x9b27,
	0x9b28,
	0x9b29,
	0x9b2a,
	0x9b2b,
	0x9b2c,
	0x9b2d,
	0x9b2e,
	0x9b30,
	0x9b31,
	0x9b33,
	0x9b34,
	0x9b35,
	0x9b36,
	0x9b37,
	0x9b38,
	0x9b39,
	0x9b3a,
	0x9b3d,
	0x9b3e,
	0x9b3f,
	0x9b40,
	0x9b46,
	0x9b4a,
	0x9b4b,
	0x9b4c,
	0x9b4e,
	0x9b50,
	0x9b52,
	0x9b53,
	0x9b55,
	0x9b56,
	0x9b57,
	0x9b58,
	0x9b59,
	0x9b5a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_221[]=
	{
	0x9b5b,
	0x9b5c,
	0x9b5d,
	0x9b5e,
	0x9b5f,
	0x9b60,
	0x9b61,
	0x9b62,
	0x9b63,
	0x9b64,
	0x9b65,
	0x9b66,
	0x9b67,
	0x9b68,
	0x9b69,
	0x9b6a,
	0x9b6b,
	0x9b6c,
	0x9b6d,
	0x9b6e,
	0x9b6f,
	0x9b70,
	0x9b71,
	0x9b72,
	0x9b73,
	0x9b74,
	0x9b75,
	0x9b76,
	0x9b77,
	0x9b78,
	0x9b79,
	0x9b7a,
	0x9b7b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_222[]=
	{
	0x9b7c,
	0x9b7d,
	0x9b7e,
	0x9b7f,
	0x9b80,
	0x9b81,
	0x9b82,
	0x9b83,
	0x9b84,
	0x9b85,
	0x9b86,
	0x9b87,
	0x9b88,
	0x9b89,
	0x9b8a,
	0x9b8b,
	0x9b8c,
	0x9b8d,
	0x9b8e,
	0x9b8f,
	0x9b90,
	0x9b91,
	0x9b92,
	0x9b93,
	0x9b94,
	0x9b95,
	0x9b96,
	0x9b97,
	0x9b98,
	0x9b99,
	0x9b9a,
	0x9b9b,
	0x9b9c,
	0x9b9d,
	0x9b9e,
	0x9b9f,
	0x9ba0,
	0x9ba1,
	0x9ba2,
	0x9ba3,
	0x9ba4,
	0x9ba5,
	0x9ba6,
	0x9ba7,
	0x9ba8,
	0x9ba9,
	0x9baa,
	0x9bab,
	0x9bac,
	0x9bad,
	0x9bae,
	0x9baf,
	0x9bb0,
	0x9bb1,
	0x9bb2,
	0x9bb3,
	0x9bb4,
	0x9bb5,
	0x9bb6,
	0x9bb7,
	0x9bb8,
	0x9bb9,
	0x9bba
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_223[]=
	{
	0x9bbb,
	0x9bbc,
	0x9bbd,
	0x9bbe,
	0x9bbf,
	0x9bc0,
	0x9bc1,
	0x9bc2,
	0x9bc3,
	0x9bc4,
	0x9bc5,
	0x9bc6,
	0x9bc7,
	0x9bc8,
	0x9bc9,
	0x9bca,
	0x9bcb,
	0x9bcc,
	0x9bcd,
	0x9bce,
	0x9bcf,
	0x9bd0,
	0x9bd1,
	0x9bd2,
	0x9bd3,
	0x9bd4,
	0x9bd5,
	0x9bd6,
	0x9bd7,
	0x9bd8,
	0x9bd9,
	0x9bda,
	0x9bdb
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_224[]=
	{
	0x9bdc,
	0x9bdd,
	0x9bde,
	0x9bdf,
	0x9be0,
	0x9be1,
	0x9be2,
	0x9be3,
	0x9be4,
	0x9be5,
	0x9be6,
	0x9be7,
	0x9be8,
	0x9be9,
	0x9bea,
	0x9beb,
	0x9bec,
	0x9bed,
	0x9bee,
	0x9bef,
	0x9bf0,
	0x9bf1,
	0x9bf2,
	0x9bf3,
	0x9bf4,
	0x9bf5,
	0x9bf6,
	0x9bf7,
	0x9bf8,
	0x9bf9,
	0x9bfa,
	0x9bfb,
	0x9bfc,
	0x9bfd,
	0x9bfe,
	0x9bff,
	0x9c00,
	0x9c01,
	0x9c02,
	0x9c03,
	0x9c04,
	0x9c05,
	0x9c06,
	0x9c07,
	0x9c08,
	0x9c09,
	0x9c0a,
	0x9c0b,
	0x9c0c,
	0x9c0d,
	0x9c0e,
	0x9c0f,
	0x9c10,
	0x9c11,
	0x9c12,
	0x9c13,
	0x9c14,
	0x9c15,
	0x9c16,
	0x9c17,
	0x9c18,
	0x9c19,
	0x9c1a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_225[]=
	{
	0x9c1b,
	0x9c1c,
	0x9c1d,
	0x9c1e,
	0x9c1f,
	0x9c20,
	0x9c21,
	0x9c22,
	0x9c23,
	0x9c24,
	0x9c25,
	0x9c26,
	0x9c27,
	0x9c28,
	0x9c29,
	0x9c2a,
	0x9c2b,
	0x9c2c,
	0x9c2d,
	0x9c2e,
	0x9c2f,
	0x9c30,
	0x9c31,
	0x9c32,
	0x9c33,
	0x9c34,
	0x9c35,
	0x9c36,
	0x9c37,
	0x9c38,
	0x9c39,
	0x9c3a,
	0x9c3b
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_226[]=
	{
	0x9c3c,
	0x9c3d,
	0x9c3e,
	0x9c3f,
	0x9c40,
	0x9c41,
	0x9c42,
	0x9c43,
	0x9c44,
	0x9c45,
	0x9c46,
	0x9c47,
	0x9c48,
	0x9c49,
	0x9c4a,
	0x9c4b,
	0x9c4c,
	0x9c4d,
	0x9c4e,
	0x9c4f,
	0x9c50,
	0x9c51,
	0x9c52,
	0x9c53,
	0x9c54,
	0x9c55,
	0x9c56,
	0x9c57,
	0x9c58,
	0x9c59,
	0x9c5a,
	0x9c5b,
	0x9c5c,
	0x9c5d,
	0x9c5e,
	0x9c5f,
	0x9c60,
	0x9c61,
	0x9c62,
	0x9c63,
	0x9c64,
	0x9c65,
	0x9c66,
	0x9c67,
	0x9c68,
	0x9c69,
	0x9c6a,
	0x9c6b,
	0x9c6c,
	0x9c6d,
	0x9c6e,
	0x9c6f,
	0x9c70,
	0x9c71,
	0x9c72,
	0x9c73,
	0x9c74,
	0x9c75,
	0x9c76,
	0x9c77,
	0x9c78,
	0x9c79,
	0x9c7a
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_227[]=
	{
	0x9c7b,
	0x9c7d,
	0x9c7e,
	0x9c80,
	0x9c83,
	0x9c84,
	0x9c89,
	0x9c8a,
	0x9c8c,
	0x9c8f,
	0x9c93,
	0x9c96,
	0x9c97,
	0x9c98,
	0x9c99,
	0x9c9d,
	0x9caa,
	0x9cac,
	0x9caf,
	0x9cb9,
	0x9cbe,
	0x9cbf,
	0x9cc0,
	0x9cc1,
	0x9cc2,
	0x9cc8,
	0x9cc9,
	0x9cd1,
	0x9cd2,
	0x9cda,
	0x9cdb,
	0x9ce0,
	0x9ce1
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_228[]=
	{
	0x9ce3,
	0x9ce4,
	0x9ce5,
	0x9ce6,
	0x9ce7,
	0x9ce8,
	0x9ce9,
	0x9cea,
	0x9ceb,
	0x9cec,
	0x9ced,
	0x9cee,
	0x9cef,
	0x9cf0,
	0x9cf1,
	0x9cf2,
	0x9cf3,
	0x9cf4,
	0x9cf5,
	0x9cf6,
	0x9cf7,
	0x9cf8,
	0x9cf9,
	0x9cfa,
	0x9cfb,
	0x9cfc,
	0x9cfd,
	0x9cfe,
	0x9cff,
	0x9d00,
	0x9d01,
	0x9d02,
	0x9d03,
	0x9d04,
	0x9d05,
	0x9d06,
	0x9d07,
	0x9d08,
	0x9d09,
	0x9d0a,
	0x9d0b,
	0x9d0c,
	0x9d0d,
	0x9d0e,
	0x9d0f,
	0x9d10,
	0x9d11,
	0x9d12,
	0x9d13,
	0x9d14,
	0x9d15,
	0x9d16,
	0x9d17,
	0x9d18,
	0x9d19,
	0x9d1a,
	0x9d1b,
	0x9d1c,
	0x9d1d,
	0x9d1e,
	0x9d1f,
	0x9d20,
	0x9d21
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_229[]=
	{
	0x9d22,
	0x9d23,
	0x9d24,
	0x9d25,
	0x9d26,
	0x9d27,
	0x9d28,
	0x9d29,
	0x9d2a,
	0x9d2b,
	0x9d2c,
	0x9d2d,
	0x9d2e,
	0x9d2f,
	0x9d30,
	0x9d31,
	0x9d32,
	0x9d33,
	0x9d34,
	0x9d35,
	0x9d36,
	0x9d37,
	0x9d38,
	0x9d39,
	0x9d3a,
	0x9d3b,
	0x9d3c,
	0x9d3d,
	0x9d3e,
	0x9d3f,
	0x9d40,
	0x9d41,
	0x9d42
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_230[]=
	{
	0x9d43,
	0x9d44,
	0x9d45,
	0x9d46,
	0x9d47,
	0x9d48,
	0x9d49,
	0x9d4a,
	0x9d4b,
	0x9d4c,
	0x9d4d,
	0x9d4e,
	0x9d4f,
	0x9d50,
	0x9d51,
	0x9d52,
	0x9d53,
	0x9d54,
	0x9d55,
	0x9d56,
	0x9d57,
	0x9d58,
	0x9d59,
	0x9d5a,
	0x9d5b,
	0x9d5c,
	0x9d5d,
	0x9d5e,
	0x9d5f,
	0x9d60,
	0x9d61,
	0x9d62,
	0x9d63,
	0x9d64,
	0x9d65,
	0x9d66,
	0x9d67,
	0x9d68,
	0x9d69,
	0x9d6a,
	0x9d6b,
	0x9d6c,
	0x9d6d,
	0x9d6e,
	0x9d6f,
	0x9d70,
	0x9d71,
	0x9d72,
	0x9d73,
	0x9d74,
	0x9d75,
	0x9d76,
	0x9d77,
	0x9d78,
	0x9d79,
	0x9d7a,
	0x9d7b,
	0x9d7c,
	0x9d7d,
	0x9d7e,
	0x9d7f,
	0x9d80,
	0x9d81
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_231[]=
	{
	0x9d82,
	0x9d83,
	0x9d84,
	0x9d85,
	0x9d86,
	0x9d87,
	0x9d88,
	0x9d89,
	0x9d8a,
	0x9d8b,
	0x9d8c,
	0x9d8d,
	0x9d8e,
	0x9d8f,
	0x9d90,
	0x9d91,
	0x9d92,
	0x9d93,
	0x9d94,
	0x9d95,
	0x9d96,
	0x9d97,
	0x9d98,
	0x9d99,
	0x9d9a,
	0x9d9b,
	0x9d9c,
	0x9d9d,
	0x9d9e,
	0x9d9f,
	0x9da0,
	0x9da1,
	0x9da2
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_232[]=
	{
	0x9da3,
	0x9da4,
	0x9da5,
	0x9da6,
	0x9da7,
	0x9da8,
	0x9da9,
	0x9daa,
	0x9dab,
	0x9dac,
	0x9dad,
	0x9dae,
	0x9daf,
	0x9db0,
	0x9db1,
	0x9db2,
	0x9db3,
	0x9db4,
	0x9db5,
	0x9db6,
	0x9db7,
	0x9db8,
	0x9db9,
	0x9dba,
	0x9dbb,
	0x9dbc,
	0x9dbd,
	0x9dbe,
	0x9dbf,
	0x9dc0,
	0x9dc1,
	0x9dc2,
	0x9dc3,
	0x9dc4,
	0x9dc5,
	0x9dc6,
	0x9dc7,
	0x9dc8,
	0x9dc9,
	0x9dca,
	0x9dcb,
	0x9dcc,
	0x9dcd,
	0x9dce,
	0x9dcf,
	0x9dd0,
	0x9dd1,
	0x9dd2,
	0x9dd3,
	0x9dd4,
	0x9dd5,
	0x9dd6,
	0x9dd7,
	0x9dd8,
	0x9dd9,
	0x9dda,
	0x9ddb,
	0x9ddc,
	0x9ddd,
	0x9dde,
	0x9ddf,
	0x9de0,
	0x9de1
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_233[]=
	{
	0x9de2,
	0x9de3,
	0x9de4,
	0x9de5,
	0x9de6,
	0x9de7,
	0x9de8,
	0x9de9,
	0x9dea,
	0x9deb,
	0x9dec,
	0x9ded,
	0x9dee,
	0x9def,
	0x9df0,
	0x9df1,
	0x9df2,
	0x9df3,
	0x9df4,
	0x9df5,
	0x9df6,
	0x9df7,
	0x9df8,
	0x9df9,
	0x9dfa,
	0x9dfb,
	0x9dfc,
	0x9dfd,
	0x9dfe,
	0x9dff,
	0x9e00,
	0x9e01,
	0x9e02
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_234[]=
	{
	0x9e03,
	0x9e04,
	0x9e05,
	0x9e06,
	0x9e07,
	0x9e08,
	0x9e09,
	0x9e0a,
	0x9e0b,
	0x9e0c,
	0x9e0d,
	0x9e0e,
	0x9e0f,
	0x9e10,
	0x9e11,
	0x9e12,
	0x9e13,
	0x9e14,
	0x9e15,
	0x9e16,
	0x9e17,
	0x9e18,
	0x9e19,
	0x9e1a,
	0x9e1b,
	0x9e1c,
	0x9e1d,
	0x9e1e,
	0x9e24,
	0x9e27,
	0x9e2e,
	0x9e30,
	0x9e34,
	0x9e3b,
	0x9e3c,
	0x9e40,
	0x9e4d,
	0x9e50,
	0x9e52,
	0x9e53,
	0x9e54,
	0x9e56,
	0x9e59,
	0x9e5d,
	0x9e5f,
	0x9e60,
	0x9e61,
	0x9e62,
	0x9e65,
	0x9e6e,
	0x9e6f,
	0x9e72,
	0x9e74,
	0x9e75,
	0x9e76,
	0x9e77,
	0x9e78,
	0x9e79,
	0x9e7a,
	0x9e7b,
	0x9e7c,
	0x9e7d,
	0x9e80
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_235[]=
	{
	0x9e81,
	0x9e83,
	0x9e84,
	0x9e85,
	0x9e86,
	0x9e89,
	0x9e8a,
	0x9e8c,
	0x9e8d,
	0x9e8e,
	0x9e8f,
	0x9e90,
	0x9e91,
	0x9e94,
	0x9e95,
	0x9e96,
	0x9e97,
	0x9e98,
	0x9e99,
	0x9e9a,
	0x9e9b,
	0x9e9c,
	0x9e9e,
	0x9ea0,
	0x9ea1,
	0x9ea2,
	0x9ea3,
	0x9ea4,
	0x9ea5,
	0x9ea7,
	0x9ea8,
	0x9ea9,
	0x9eaa
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_236[]=
	{
	0x9eab,
	0x9eac,
	0x9ead,
	0x9eae,
	0x9eaf,
	0x9eb0,
	0x9eb1,
	0x9eb2,
	0x9eb3,
	0x9eb5,
	0x9eb6,
	0x9eb7,
	0x9eb9,
	0x9eba,
	0x9ebc,
	0x9ebf,
	0x9ec0,
	0x9ec1,
	0x9ec2,
	0x9ec3,
	0x9ec5,
	0x9ec6,
	0x9ec7,
	0x9ec8,
	0x9eca,
	0x9ecb,
	0x9ecc,
	0x9ed0,
	0x9ed2,
	0x9ed3,
	0x9ed5,
	0x9ed6,
	0x9ed7,
	0x9ed9,
	0x9eda,
	0x9ede,
	0x9ee1,
	0x9ee3,
	0x9ee4,
	0x9ee6,
	0x9ee8,
	0x9eeb,
	0x9eec,
	0x9eed,
	0x9eee,
	0x9ef0,
	0x9ef1,
	0x9ef2,
	0x9ef3,
	0x9ef4,
	0x9ef5,
	0x9ef6,
	0x9ef7,
	0x9ef8,
	0x9efa,
	0x9efd,
	0x9eff,
	0x9f00,
	0x9f01,
	0x9f02,
	0x9f03,
	0x9f04,
	0x9f05
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_237[]=
	{
	0x9f06,
	0x9f07,
	0x9f08,
	0x9f09,
	0x9f0a,
	0x9f0c,
	0x9f0f,
	0x9f11,
	0x9f12,
	0x9f14,
	0x9f15,
	0x9f16,
	0x9f18,
	0x9f1a,
	0x9f1b,
	0x9f1c,
	0x9f1d,
	0x9f1e,
	0x9f1f,
	0x9f21,
	0x9f23,
	0x9f24,
	0x9f25,
	0x9f26,
	0x9f27,
	0x9f28,
	0x9f29,
	0x9f2a,
	0x9f2b,
	0x9f2d,
	0x9f2e,
	0x9f30,
	0x9f31
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_238[]=
	{
	0x9f32,
	0x9f33,
	0x9f34,
	0x9f35,
	0x9f36,
	0x9f38,
	0x9f3a,
	0x9f3c,
	0x9f3f,
	0x9f40,
	0x9f41,
	0x9f42,
	0x9f43,
	0x9f45,
	0x9f46,
	0x9f47,
	0x9f48,
	0x9f49,
	0x9f4a,
	0x9f4b,
	0x9f4c,
	0x9f4d,
	0x9f4e,
	0x9f4f,
	0x9f52,
	0x9f53,
	0x9f54,
	0x9f55,
	0x9f56,
	0x9f57,
	0x9f58,
	0x9f59,
	0x9f5a,
	0x9f5b,
	0x9f5c,
	0x9f5d,
	0x9f5e,
	0x9f5f,
	0x9f60,
	0x9f61,
	0x9f62,
	0x9f63,
	0x9f64,
	0x9f65,
	0x9f66,
	0x9f67,
	0x9f68,
	0x9f69,
	0x9f6a,
	0x9f6b,
	0x9f6c,
	0x9f6d,
	0x9f6e,
	0x9f6f,
	0x9f70,
	0x9f71,
	0x9f72,
	0x9f73,
	0x9f74,
	0x9f75,
	0x9f76,
	0x9f77,
	0x9f78
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_239[]=
	{
	0x9f79,
	0x9f7a,
	0x9f7b,
	0x9f7c,
	0x9f7d,
	0x9f7e,
	0x9f81,
	0x9f82,
	0x9f8d,
	0x9f8e,
	0x9f8f,
	0x9f90,
	0x9f91,
	0x9f92,
	0x9f93,
	0x9f94,
	0x9f95,
	0x9f96,
	0x9f97,
	0x9f98,
	0x9f9c,
	0x9f9d,
	0x9f9e,
	0x9fa1,
	0x9fa2,
	0x9fa3,
	0x9fa4,
	0x9fa5,
	0xf92c,
	0xf979,
	0xf995,
	0xf9e7,
	0xf9f1
	};

LOCAL_D const TUint16 keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_240[]=
	{
	0xfa0c,
	0xfa0d,
	0xfa0e,
	0xfa0f,
	0xfa11,
	0xfa13,
	0xfa14,
	0xfa18,
	0xfa1f,
	0xfa20,
	0xfa21,
	0xfa23,
	0xfa24,
	0xfa27,
	0xfa28,
	0xfa29
	};

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange::UData::SKeyedTable16OfIndexedTables16::SKeyedEntry keyedTables16OfIndexedTables16_keyedEntries_foreignToUnicode_1[]=
	{
		{
		0x8140,
		0x817e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_1
		},
		{
		0x8180,
		0x81fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_2
		},
		{
		0x8240,
		0x827e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_3
		},
		{
		0x8280,
		0x82fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_4
		},
		{
		0x8340,
		0x837e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_5
		},
		{
		0x8380,
		0x83fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_6
		},
		{
		0x8440,
		0x847e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_7
		},
		{
		0x8480,
		0x84fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_8
		},
		{
		0x8540,
		0x857e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_9
		},
		{
		0x8580,
		0x85fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_10
		},
		{
		0x8640,
		0x867e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_11
		},
		{
		0x8680,
		0x86fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_12
		},
		{
		0x8740,
		0x877e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_13
		},
		{
		0x8780,
		0x87fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_14
		},
		{
		0x8840,
		0x887e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_15
		},
		{
		0x8880,
		0x88fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_16
		},
		{
		0x8940,
		0x897e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_17
		},
		{
		0x8980,
		0x89fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_18
		},
		{
		0x8a40,
		0x8a7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_19
		},
		{
		0x8a80,
		0x8afe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_20
		},
		{
		0x8b40,
		0x8b7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_21
		},
		{
		0x8b80,
		0x8bfe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_22
		},
		{
		0x8c40,
		0x8c7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_23
		},
		{
		0x8c80,
		0x8cfe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_24
		},
		{
		0x8d40,
		0x8d7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_25
		},
		{
		0x8d80,
		0x8dfe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_26
		},
		{
		0x8e40,
		0x8e7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_27
		},
		{
		0x8e80,
		0x8efe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_28
		},
		{
		0x8f40,
		0x8f7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_29
		},
		{
		0x8f80,
		0x8ffe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_30
		},
		{
		0x9040,
		0x907e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_31
		},
		{
		0x9080,
		0x90fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_32
		},
		{
		0x9140,
		0x917e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_33
		},
		{
		0x9180,
		0x91fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_34
		},
		{
		0x9240,
		0x927e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_35
		},
		{
		0x9280,
		0x92fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_36
		},
		{
		0x9340,
		0x937e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_37
		},
		{
		0x9380,
		0x93fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_38
		},
		{
		0x9440,
		0x947e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_39
		},
		{
		0x9480,
		0x94fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_40
		},
		{
		0x9540,
		0x957e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_41
		},
		{
		0x9580,
		0x95fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_42
		},
		{
		0x9640,
		0x967e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_43
		},
		{
		0x9680,
		0x96fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_44
		},
		{
		0x9740,
		0x977e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_45
		},
		{
		0x9780,
		0x97fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_46
		},
		{
		0x9840,
		0x987e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_47
		},
		{
		0x9880,
		0x98fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_48
		},
		{
		0x9940,
		0x997e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_49
		},
		{
		0x9980,
		0x99fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_50
		},
		{
		0x9a40,
		0x9a7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_51
		},
		{
		0x9a80,
		0x9afe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_52
		},
		{
		0x9b40,
		0x9b7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_53
		},
		{
		0x9b80,
		0x9bfe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_54
		},
		{
		0x9c40,
		0x9c7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_55
		},
		{
		0x9c80,
		0x9cfe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_56
		},
		{
		0x9d40,
		0x9d7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_57
		},
		{
		0x9d80,
		0x9dfe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_58
		},
		{
		0x9e40,
		0x9e7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_59
		},
		{
		0x9e80,
		0x9efe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_60
		},
		{
		0x9f40,
		0x9f7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_61
		},
		{
		0x9f80,
		0x9ffe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_62
		},
		{
		0xa040,
		0xa07e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_63
		},
		{
		0xa080,
		0xa0fe,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_64
		},
		{
		0xa2a1,
		0xa2aa,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_65
		},
		{
		0xa6e0,
		0xa6eb,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_66
		},
		{
		0xa840,
		0xa87e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_67
		},
		{
		0xa880,
		0xa895,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_68
		},
		{
		0xa940,
		0xa957,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_69
		},
		{
		0xa960,
		0xa97e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_70
		},
		{
		0xa980,
		0xa988,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_71
		},
		{
		0xaa40,
		0xaa7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_72
		},
		{
		0xaa80,
		0xaaa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_73
		},
		{
		0xab40,
		0xab7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_74
		},
		{
		0xab80,
		0xaba0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_75
		},
		{
		0xac40,
		0xac7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_76
		},
		{
		0xac80,
		0xaca0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_77
		},
		{
		0xad40,
		0xad7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_78
		},
		{
		0xad80,
		0xada0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_79
		},
		{
		0xae40,
		0xae7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_80
		},
		{
		0xae80,
		0xaea0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_81
		},
		{
		0xaf40,
		0xaf7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_82
		},
		{
		0xaf80,
		0xafa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_83
		},
		{
		0xb040,
		0xb07e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_84
		},
		{
		0xb080,
		0xb0a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_85
		},
		{
		0xb140,
		0xb17e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_86
		},
		{
		0xb180,
		0xb1a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_87
		},
		{
		0xb240,
		0xb27e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_88
		},
		{
		0xb280,
		0xb2a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_89
		},
		{
		0xb340,
		0xb37e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_90
		},
		{
		0xb380,
		0xb3a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_91
		},
		{
		0xb440,
		0xb47e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_92
		},
		{
		0xb480,
		0xb4a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_93
		},
		{
		0xb540,
		0xb57e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_94
		},
		{
		0xb580,
		0xb5a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_95
		},
		{
		0xb640,
		0xb67e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_96
		},
		{
		0xb680,
		0xb6a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_97
		},
		{
		0xb740,
		0xb77e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_98
		},
		{
		0xb780,
		0xb7a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_99
		},
		{
		0xb840,
		0xb87e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_100
		},
		{
		0xb880,
		0xb8a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_101
		},
		{
		0xb940,
		0xb97e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_102
		},
		{
		0xb980,
		0xb9a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_103
		},
		{
		0xba40,
		0xba7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_104
		},
		{
		0xba80,
		0xbaa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_105
		},
		{
		0xbb40,
		0xbb7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_106
		},
		{
		0xbb80,
		0xbba0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_107
		},
		{
		0xbc40,
		0xbc7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_108
		},
		{
		0xbc80,
		0xbca0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_109
		},
		{
		0xbd40,
		0xbd7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_110
		},
		{
		0xbd80,
		0xbda0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_111
		},
		{
		0xbe40,
		0xbe7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_112
		},
		{
		0xbe80,
		0xbea0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_113
		},
		{
		0xbf40,
		0xbf7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_114
		},
		{
		0xbf80,
		0xbfa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_115
		},
		{
		0xc040,
		0xc07e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_116
		},
		{
		0xc080,
		0xc0a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_117
		},
		{
		0xc140,
		0xc17e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_118
		},
		{
		0xc180,
		0xc1a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_119
		},
		{
		0xc240,
		0xc27e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_120
		},
		{
		0xc280,
		0xc2a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_121
		},
		{
		0xc340,
		0xc37e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_122
		},
		{
		0xc380,
		0xc3a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_123
		},
		{
		0xc440,
		0xc47e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_124
		},
		{
		0xc480,
		0xc4a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_125
		},
		{
		0xc540,
		0xc57e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_126
		},
		{
		0xc580,
		0xc5a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_127
		},
		{
		0xc640,
		0xc67e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_128
		},
		{
		0xc680,
		0xc6a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_129
		},
		{
		0xc740,
		0xc77e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_130
		},
		{
		0xc780,
		0xc7a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_131
		},
		{
		0xc840,
		0xc87e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_132
		},
		{
		0xc880,
		0xc8a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_133
		},
		{
		0xc940,
		0xc97e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_134
		},
		{
		0xc980,
		0xc9a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_135
		},
		{
		0xca40,
		0xca7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_136
		},
		{
		0xca80,
		0xcaa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_137
		},
		{
		0xcb40,
		0xcb7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_138
		},
		{
		0xcb80,
		0xcba0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_139
		},
		{
		0xcc40,
		0xcc7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_140
		},
		{
		0xcc80,
		0xcca0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_141
		},
		{
		0xcd40,
		0xcd7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_142
		},
		{
		0xcd80,
		0xcda0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_143
		},
		{
		0xce40,
		0xce7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_144
		},
		{
		0xce80,
		0xcea0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_145
		},
		{
		0xcf40,
		0xcf7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_146
		},
		{
		0xcf80,
		0xcfa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_147
		},
		{
		0xd040,
		0xd07e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_148
		},
		{
		0xd080,
		0xd0a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_149
		},
		{
		0xd140,
		0xd17e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_150
		},
		{
		0xd180,
		0xd1a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_151
		},
		{
		0xd240,
		0xd27e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_152
		},
		{
		0xd280,
		0xd2a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_153
		},
		{
		0xd340,
		0xd37e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_154
		},
		{
		0xd380,
		0xd3a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_155
		},
		{
		0xd440,
		0xd47e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_156
		},
		{
		0xd480,
		0xd4a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_157
		},
		{
		0xd540,
		0xd57e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_158
		},
		{
		0xd580,
		0xd5a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_159
		},
		{
		0xd640,
		0xd67e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_160
		},
		{
		0xd680,
		0xd6a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_161
		},
		{
		0xd740,
		0xd77e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_162
		},
		{
		0xd780,
		0xd7a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_163
		},
		{
		0xd840,
		0xd87e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_164
		},
		{
		0xd880,
		0xd8a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_165
		},
		{
		0xd940,
		0xd97e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_166
		},
		{
		0xd980,
		0xd9a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_167
		},
		{
		0xda40,
		0xda7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_168
		},
		{
		0xda80,
		0xdaa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_169
		},
		{
		0xdb40,
		0xdb7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_170
		},
		{
		0xdb80,
		0xdba0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_171
		},
		{
		0xdc40,
		0xdc7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_172
		},
		{
		0xdc80,
		0xdca0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_173
		},
		{
		0xdd40,
		0xdd7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_174
		},
		{
		0xdd80,
		0xdda0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_175
		},
		{
		0xde40,
		0xde7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_176
		},
		{
		0xde80,
		0xdea0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_177
		},
		{
		0xdf40,
		0xdf7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_178
		},
		{
		0xdf80,
		0xdfa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_179
		},
		{
		0xe040,
		0xe07e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_180
		},
		{
		0xe080,
		0xe0a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_181
		},
		{
		0xe140,
		0xe17e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_182
		},
		{
		0xe180,
		0xe1a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_183
		},
		{
		0xe240,
		0xe27e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_184
		},
		{
		0xe280,
		0xe2a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_185
		},
		{
		0xe340,
		0xe37e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_186
		},
		{
		0xe380,
		0xe3a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_187
		},
		{
		0xe440,
		0xe47e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_188
		},
		{
		0xe480,
		0xe4a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_189
		},
		{
		0xe540,
		0xe57e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_190
		},
		{
		0xe580,
		0xe5a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_191
		},
		{
		0xe640,
		0xe67e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_192
		},
		{
		0xe680,
		0xe6a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_193
		},
		{
		0xe740,
		0xe77e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_194
		},
		{
		0xe780,
		0xe7a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_195
		},
		{
		0xe840,
		0xe87e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_196
		},
		{
		0xe880,
		0xe8a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_197
		},
		{
		0xe940,
		0xe97e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_198
		},
		{
		0xe980,
		0xe9a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_199
		},
		{
		0xea40,
		0xea7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_200
		},
		{
		0xea80,
		0xeaa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_201
		},
		{
		0xeb40,
		0xeb7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_202
		},
		{
		0xeb80,
		0xeba0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_203
		},
		{
		0xec40,
		0xec7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_204
		},
		{
		0xec80,
		0xeca0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_205
		},
		{
		0xed40,
		0xed7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_206
		},
		{
		0xed80,
		0xeda0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_207
		},
		{
		0xee40,
		0xee7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_208
		},
		{
		0xee80,
		0xeea0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_209
		},
		{
		0xef40,
		0xef7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_210
		},
		{
		0xef80,
		0xefa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_211
		},
		{
		0xf040,
		0xf07e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_212
		},
		{
		0xf080,
		0xf0a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_213
		},
		{
		0xf140,
		0xf17e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_214
		},
		{
		0xf180,
		0xf1a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_215
		},
		{
		0xf240,
		0xf27e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_216
		},
		{
		0xf280,
		0xf2a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_217
		},
		{
		0xf340,
		0xf37e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_218
		},
		{
		0xf380,
		0xf3a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_219
		},
		{
		0xf440,
		0xf47e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_220
		},
		{
		0xf480,
		0xf4a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_221
		},
		{
		0xf540,
		0xf57e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_222
		},
		{
		0xf580,
		0xf5a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_223
		},
		{
		0xf640,
		0xf67e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_224
		},
		{
		0xf680,
		0xf6a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_225
		},
		{
		0xf740,
		0xf77e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_226
		},
		{
		0xf780,
		0xf7a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_227
		},
		{
		0xf840,
		0xf87e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_228
		},
		{
		0xf880,
		0xf8a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_229
		},
		{
		0xf940,
		0xf97e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_230
		},
		{
		0xf980,
		0xf9a0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_231
		},
		{
		0xfa40,
		0xfa7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_232
		},
		{
		0xfa80,
		0xfaa0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_233
		},
		{
		0xfb40,
		0xfb7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_234
		},
		{
		0xfb80,
		0xfba0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_235
		},
		{
		0xfc40,
		0xfc7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_236
		},
		{
		0xfc80,
		0xfca0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_237
		},
		{
		0xfd40,
		0xfd7e,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_238
		},
		{
		0xfd80,
		0xfda0,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_239
		},
		{
		0xfe40,
		0xfe4f,
		keyedTables16OfIndexedTables16_indexedEntries_foreignToUnicode_240
		}
	};

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange::UData::SKeyedTable1616::SEntry keyedTable1616_unicodeToForeign_1[]=
	{
		{
		0x0144,
		0xa8bd
		},
		{
		0x0148,
		0xa8be
		},
		{
		0x0251,
		0xa8bb
		},
		{
		0x0261,
		0xa8c0
		},
		{
		0x02ca,
		0xa840
		},
		{
		0x02cb,
		0xa841
		},
		{
		0x02d9,
		0xa842
		},
		{
		0x2010,
		0xa95c
		},
		{
		0x2013,
		0xa843
		},
		{
		0x2015,
		0xa844
		},
		{
		0x2025,
		0xa845
		},
		{
		0x2035,
		0xa846
		},
		{
		0x2105,
		0xa847
		},
		{
		0x2109,
		0xa848
		},
		{
		0x2121,
		0xa959
		},
		{
		0x2170,
		0xa2a1
		},
		{
		0x2171,
		0xa2a2
		},
		{
		0x2172,
		0xa2a3
		},
		{
		0x2173,
		0xa2a4
		},
		{
		0x2174,
		0xa2a5
		},
		{
		0x2175,
		0xa2a6
		},
		{
		0x2176,
		0xa2a7
		},
		{
		0x2177,
		0xa2a8
		},
		{
		0x2178,
		0xa2a9
		},
		{
		0x2179,
		0xa2aa
		},
		{
		0x2196,
		0xa849
		},
		{
		0x2197,
		0xa84a
		},
		{
		0x2198,
		0xa84b
		},
		{
		0x2199,
		0xa84c
		},
		{
		0x2215,
		0xa84d
		},
		{
		0x221f,
		0xa84e
		},
		{
		0x2223,
		0xa84f
		},
		{
		0x2252,
		0xa850
		},
		{
		0x2266,
		0xa851
		},
		{
		0x2267,
		0xa852
		},
		{
		0x2295,
		0xa892
		},
		{
		0x22bf,
		0xa853
		},
		{
		0x2550,
		0xa854
		},
		{
		0x2551,
		0xa855
		},
		{
		0x2552,
		0xa856
		},
		{
		0x2553,
		0xa857
		},
		{
		0x2554,
		0xa858
		},
		{
		0x2555,
		0xa859
		},
		{
		0x2556,
		0xa85a
		},
		{
		0x2557,
		0xa85b
		},
		{
		0x2558,
		0xa85c
		},
		{
		0x2559,
		0xa85d
		},
		{
		0x255a,
		0xa85e
		},
		{
		0x255b,
		0xa85f
		},
		{
		0x255c,
		0xa860
		},
		{
		0x255d,
		0xa861
		},
		{
		0x255e,
		0xa862
		},
		{
		0x255f,
		0xa863
		},
		{
		0x2560,
		0xa864
		},
		{
		0x2561,
		0xa865
		},
		{
		0x2562,
		0xa866
		},
		{
		0x2563,
		0xa867
		},
		{
		0x2564,
		0xa868
		},
		{
		0x2565,
		0xa869
		},
		{
		0x2566,
		0xa86a
		},
		{
		0x2567,
		0xa86b
		},
		{
		0x2568,
		0xa86c
		},
		{
		0x2569,
		0xa86d
		},
		{
		0x256a,
		0xa86e
		},
		{
		0x256b,
		0xa86f
		},
		{
		0x256c,
		0xa870
		},
		{
		0x256d,
		0xa871
		},
		{
		0x256e,
		0xa872
		},
		{
		0x256f,
		0xa873
		},
		{
		0x2570,
		0xa874
		},
		{
		0x2571,
		0xa875
		},
		{
		0x2572,
		0xa876
		},
		{
		0x2573,
		0xa877
		},
		{
		0x2581,
		0xa878
		},
		{
		0x2582,
		0xa879
		},
		{
		0x2583,
		0xa87a
		},
		{
		0x2584,
		0xa87b
		},
		{
		0x2585,
		0xa87c
		},
		{
		0x2586,
		0xa87d
		},
		{
		0x2587,
		0xa87e
		},
		{
		0x2588,
		0xa880
		},
		{
		0x2589,
		0xa881
		},
		{
		0x258a,
		0xa882
		},
		{
		0x258b,
		0xa883
		},
		{
		0x258c,
		0xa884
		},
		{
		0x258d,
		0xa885
		},
		{
		0x258e,
		0xa886
		},
		{
		0x258f,
		0xa887
		},
		{
		0x2593,
		0xa888
		},
		{
		0x2594,
		0xa889
		},
		{
		0x2595,
		0xa88a
		},
		{
		0x25bc,
		0xa88b
		},
		{
		0x25bd,
		0xa88c
		},
		{
		0x25e2,
		0xa88d
		},
		{
		0x25e3,
		0xa88e
		},
		{
		0x25e4,
		0xa88f
		},
		{
		0x25e5,
		0xa890
		},
		{
		0x2609,
		0xa891
		},
		{
		0x3006,
		0xa965
		},
		{
		0x3007,
		0xa996
		},
		{
		0x3012,
		0xa893
		},
		{
		0x301d,
		0xa894
		},
		{
		0x301e,
		0xa895
		},
		{
		0x3021,
		0xa940
		},
		{
		0x3022,
		0xa941
		},
		{
		0x3023,
		0xa942
		},
		{
		0x3024,
		0xa943
		},
		{
		0x3025,
		0xa944
		},
		{
		0x3026,
		0xa945
		},
		{
		0x3027,
		0xa946
		},
		{
		0x3028,
		0xa947
		},
		{
		0x3029,
		0xa948
		},
		{
		0x309b,
		0xa961
		},
		{
		0x309c,
		0xa962
		},
		{
		0x309d,
		0xa966
		},
		{
		0x309e,
		0xa967
		},
		{
		0x30fc,
		0xa960
		},
		{
		0x30fd,
		0xa963
		},
		{
		0x30fe,
		0xa964
		},
		{
		0x3231,
		0xa95a
		},
		{
		0x32a3,
		0xa949
		},
		{
		0x338e,
		0xa94a
		},
		{
		0x338f,
		0xa94b
		},
		{
		0x339c,
		0xa94c
		},
		{
		0x339d,
		0xa94d
		},
		{
		0x339e,
		0xa94e
		},
		{
		0x33a1,
		0xa94f
		},
		{
		0x33c4,
		0xa950
		},
		{
		0x33ce,
		0xa951
		},
		{
		0x33d1,
		0xa952
		},
		{
		0x33d2,
		0xa953
		},
		{
		0x33d5,
		0xa954
		},
		{
		0x4e02,
		0x8140
		},
		{
		0x4e04,
		0x8141
		},
		{
		0x4e05,
		0x8142
		},
		{
		0x4e06,
		0x8143
		},
		{
		0x4e0f,
		0x8144
		},
		{
		0x4e12,
		0x8145
		},
		{
		0x4e17,
		0x8146
		},
		{
		0x4e1f,
		0x8147
		},
		{
		0x4e20,
		0x8148
		},
		{
		0x4e21,
		0x8149
		},
		{
		0x4e23,
		0x814a
		},
		{
		0x4e26,
		0x814b
		},
		{
		0x4e29,
		0x814c
		},
		{
		0x4e2e,
		0x814d
		},
		{
		0x4e2f,
		0x814e
		},
		{
		0x4e31,
		0x814f
		},
		{
		0x4e33,
		0x8150
		},
		{
		0x4e35,
		0x8151
		},
		{
		0x4e37,
		0x8152
		},
		{
		0x4e3c,
		0x8153
		},
		{
		0x4e40,
		0x8154
		},
		{
		0x4e41,
		0x8155
		},
		{
		0x4e42,
		0x8156
		},
		{
		0x4e44,
		0x8157
		},
		{
		0x4e46,
		0x8158
		},
		{
		0x4e4a,
		0x8159
		},
		{
		0x4e51,
		0x815a
		},
		{
		0x4e55,
		0x815b
		},
		{
		0x4e57,
		0x815c
		},
		{
		0x4e5a,
		0x815d
		},
		{
		0x4e5b,
		0x815e
		},
		{
		0x4e62,
		0x815f
		},
		{
		0x4e63,
		0x8160
		},
		{
		0x4e64,
		0x8161
		},
		{
		0x4e65,
		0x8162
		},
		{
		0x4e67,
		0x8163
		},
		{
		0x4e68,
		0x8164
		},
		{
		0x4e6a,
		0x8165
		},
		{
		0x4e6b,
		0x8166
		},
		{
		0x4e6c,
		0x8167
		},
		{
		0x4e6d,
		0x8168
		},
		{
		0x4e6e,
		0x8169
		},
		{
		0x4e6f,
		0x816a
		},
		{
		0x4e72,
		0x816b
		},
		{
		0x4e74,
		0x816c
		},
		{
		0x4e75,
		0x816d
		},
		{
		0x4e76,
		0x816e
		},
		{
		0x4e77,
		0x816f
		},
		{
		0x4e78,
		0x8170
		},
		{
		0x4e79,
		0x8171
		},
		{
		0x4e7a,
		0x8172
		},
		{
		0x4e7b,
		0x8173
		},
		{
		0x4e7c,
		0x8174
		},
		{
		0x4e7d,
		0x8175
		},
		{
		0x4e7f,
		0x8176
		},
		{
		0x4e80,
		0x8177
		},
		{
		0x4e81,
		0x8178
		},
		{
		0x4e82,
		0x8179
		},
		{
		0x4e83,
		0x817a
		},
		{
		0x4e84,
		0x817b
		},
		{
		0x4e85,
		0x817c
		},
		{
		0x4e87,
		0x817d
		},
		{
		0x4e8a,
		0x817e
		},
		{
		0x4e90,
		0x8180
		},
		{
		0x4e96,
		0x8181
		},
		{
		0x4e97,
		0x8182
		},
		{
		0x4e99,
		0x8183
		},
		{
		0x4e9c,
		0x8184
		},
		{
		0x4e9d,
		0x8185
		},
		{
		0x4e9e,
		0x8186
		},
		{
		0x4ea3,
		0x8187
		},
		{
		0x4eaa,
		0x8188
		},
		{
		0x4eaf,
		0x8189
		},
		{
		0x4eb0,
		0x818a
		},
		{
		0x4eb1,
		0x818b
		},
		{
		0x4eb4,
		0x818c
		},
		{
		0x4eb6,
		0x818d
		},
		{
		0x4eb7,
		0x818e
		},
		{
		0x4eb8,
		0x818f
		},
		{
		0x4eb9,
		0x8190
		},
		{
		0x4ebc,
		0x8191
		},
		{
		0x4ebd,
		0x8192
		},
		{
		0x4ebe,
		0x8193
		},
		{
		0x4ec8,
		0x8194
		},
		{
		0x4ecc,
		0x8195
		},
		{
		0x4ecf,
		0x8196
		},
		{
		0x4ed0,
		0x8197
		},
		{
		0x4ed2,
		0x8198
		},
		{
		0x4eda,
		0x8199
		},
		{
		0x4edb,
		0x819a
		},
		{
		0x4edc,
		0x819b
		},
		{
		0x4ee0,
		0x819c
		},
		{
		0x4ee2,
		0x819d
		},
		{
		0x4ee6,
		0x819e
		},
		{
		0x4ee7,
		0x819f
		},
		{
		0x4ee9,
		0x81a0
		},
		{
		0x4eed,
		0x81a1
		},
		{
		0x4eee,
		0x81a2
		},
		{
		0x4eef,
		0x81a3
		},
		{
		0x4ef1,
		0x81a4
		},
		{
		0x4ef4,
		0x81a5
		},
		{
		0x4ef8,
		0x81a6
		},
		{
		0x4ef9,
		0x81a7
		},
		{
		0x4efa,
		0x81a8
		},
		{
		0x4efc,
		0x81a9
		},
		{
		0x4efe,
		0x81aa
		},
		{
		0x4f00,
		0x81ab
		},
		{
		0x4f02,
		0x81ac
		},
		{
		0x4f03,
		0x81ad
		},
		{
		0x4f04,
		0x81ae
		},
		{
		0x4f05,
		0x81af
		},
		{
		0x4f06,
		0x81b0
		},
		{
		0x4f07,
		0x81b1
		},
		{
		0x4f08,
		0x81b2
		},
		{
		0x4f0b,
		0x81b3
		},
		{
		0x4f0c,
		0x81b4
		},
		{
		0x4f12,
		0x81b5
		},
		{
		0x4f13,
		0x81b6
		},
		{
		0x4f14,
		0x81b7
		},
		{
		0x4f15,
		0x81b8
		},
		{
		0x4f16,
		0x81b9
		},
		{
		0x4f1c,
		0x81ba
		},
		{
		0x4f1d,
		0x81bb
		},
		{
		0x4f21,
		0x81bc
		},
		{
		0x4f23,
		0x81bd
		},
		{
		0x4f28,
		0x81be
		},
		{
		0x4f29,
		0x81bf
		},
		{
		0x4f2c,
		0x81c0
		},
		{
		0x4f2d,
		0x81c1
		},
		{
		0x4f2e,
		0x81c2
		},
		{
		0x4f31,
		0x81c3
		},
		{
		0x4f33,
		0x81c4
		},
		{
		0x4f35,
		0x81c5
		},
		{
		0x4f37,
		0x81c6
		},
		{
		0x4f39,
		0x81c7
		},
		{
		0x4f3b,
		0x81c8
		},
		{
		0x4f3e,
		0x81c9
		},
		{
		0x4f3f,
		0x81ca
		},
		{
		0x4f40,
		0x81cb
		},
		{
		0x4f41,
		0x81cc
		},
		{
		0x4f42,
		0x81cd
		},
		{
		0x4f44,
		0x81ce
		},
		{
		0x4f45,
		0x81cf
		},
		{
		0x4f47,
		0x81d0
		},
		{
		0x4f48,
		0x81d1
		},
		{
		0x4f49,
		0x81d2
		},
		{
		0x4f4a,
		0x81d3
		},
		{
		0x4f4b,
		0x81d4
		},
		{
		0x4f4c,
		0x81d5
		},
		{
		0x4f52,
		0x81d6
		},
		{
		0x4f54,
		0x81d7
		},
		{
		0x4f56,
		0x81d8
		},
		{
		0x4f61,
		0x81d9
		},
		{
		0x4f62,
		0x81da
		},
		{
		0x4f66,
		0x81db
		},
		{
		0x4f68,
		0x81dc
		},
		{
		0x4f6a,
		0x81dd
		},
		{
		0x4f6b,
		0x81de
		},
		{
		0x4f6d,
		0x81df
		},
		{
		0x4f6e,
		0x81e0
		},
		{
		0x4f71,
		0x81e1
		},
		{
		0x4f72,
		0x81e2
		},
		{
		0x4f75,
		0x81e3
		},
		{
		0x4f77,
		0x81e4
		},
		{
		0x4f78,
		0x81e5
		},
		{
		0x4f79,
		0x81e6
		},
		{
		0x4f7a,
		0x81e7
		},
		{
		0x4f7d,
		0x81e8
		},
		{
		0x4f80,
		0x81e9
		},
		{
		0x4f81,
		0x81ea
		},
		{
		0x4f82,
		0x81eb
		},
		{
		0x4f85,
		0x81ec
		},
		{
		0x4f86,
		0x81ed
		},
		{
		0x4f87,
		0x81ee
		},
		{
		0x4f8a,
		0x81ef
		},
		{
		0x4f8c,
		0x81f0
		},
		{
		0x4f8e,
		0x81f1
		},
		{
		0x4f90,
		0x81f2
		},
		{
		0x4f92,
		0x81f3
		},
		{
		0x4f93,
		0x81f4
		},
		{
		0x4f95,
		0x81f5
		},
		{
		0x4f96,
		0x81f6
		},
		{
		0x4f98,
		0x81f7
		},
		{
		0x4f99,
		0x81f8
		},
		{
		0x4f9a,
		0x81f9
		},
		{
		0x4f9c,
		0x81fa
		},
		{
		0x4f9e,
		0x81fb
		},
		{
		0x4f9f,
		0x81fc
		},
		{
		0x4fa1,
		0x81fd
		},
		{
		0x4fa2,
		0x81fe
		},
		{
		0x4fa4,
		0x8240
		},
		{
		0x4fab,
		0x8241
		},
		{
		0x4fad,
		0x8242
		},
		{
		0x4fb0,
		0x8243
		},
		{
		0x4fb1,
		0x8244
		},
		{
		0x4fb2,
		0x8245
		},
		{
		0x4fb3,
		0x8246
		},
		{
		0x4fb4,
		0x8247
		},
		{
		0x4fb6,
		0x8248
		},
		{
		0x4fb7,
		0x8249
		},
		{
		0x4fb8,
		0x824a
		},
		{
		0x4fb9,
		0x824b
		},
		{
		0x4fba,
		0x824c
		},
		{
		0x4fbb,
		0x824d
		},
		{
		0x4fbc,
		0x824e
		},
		{
		0x4fbd,
		0x824f
		},
		{
		0x4fbe,
		0x8250
		},
		{
		0x4fc0,
		0x8251
		},
		{
		0x4fc1,
		0x8252
		},
		{
		0x4fc2,
		0x8253
		},
		{
		0x4fc6,
		0x8254
		},
		{
		0x4fc7,
		0x8255
		},
		{
		0x4fc8,
		0x8256
		},
		{
		0x4fc9,
		0x8257
		},
		{
		0x4fcb,
		0x8258
		},
		{
		0x4fcc,
		0x8259
		},
		{
		0x4fcd,
		0x825a
		},
		{
		0x4fd2,
		0x825b
		},
		{
		0x4fd3,
		0x825c
		},
		{
		0x4fd4,
		0x825d
		},
		{
		0x4fd5,
		0x825e
		},
		{
		0x4fd6,
		0x825f
		},
		{
		0x4fd9,
		0x8260
		},
		{
		0x4fdb,
		0x8261
		},
		{
		0x4fe0,
		0x8262
		},
		{
		0x4fe2,
		0x8263
		},
		{
		0x4fe4,
		0x8264
		},
		{
		0x4fe5,
		0x8265
		},
		{
		0x4fe7,
		0x8266
		},
		{
		0x4feb,
		0x8267
		},
		{
		0x4fec,
		0x8268
		},
		{
		0x4ff0,
		0x8269
		},
		{
		0x4ff2,
		0x826a
		},
		{
		0x4ff4,
		0x826b
		},
		{
		0x4ff5,
		0x826c
		},
		{
		0x4ff6,
		0x826d
		},
		{
		0x4ff7,
		0x826e
		},
		{
		0x4ff9,
		0x826f
		},
		{
		0x4ffb,
		0x8270
		},
		{
		0x4ffc,
		0x8271
		},
		{
		0x4ffd,
		0x8272
		},
		{
		0x4fff,
		0x8273
		},
		{
		0x5000,
		0x8274
		},
		{
		0x5001,
		0x8275
		},
		{
		0x5002,
		0x8276
		},
		{
		0x5003,
		0x8277
		},
		{
		0x5004,
		0x8278
		},
		{
		0x5005,
		0x8279
		},
		{
		0x5006,
		0x827a
		},
		{
		0x5007,
		0x827b
		},
		{
		0x5008,
		0x827c
		},
		{
		0x5009,
		0x827d
		},
		{
		0x500a,
		0x827e
		},
		{
		0x500b,
		0x8280
		},
		{
		0x500e,
		0x8281
		},
		{
		0x5010,
		0x8282
		},
		{
		0x5011,
		0x8283
		},
		{
		0x5013,
		0x8284
		},
		{
		0x5015,
		0x8285
		},
		{
		0x5016,
		0x8286
		},
		{
		0x5017,
		0x8287
		},
		{
		0x501b,
		0x8288
		},
		{
		0x501d,
		0x8289
		},
		{
		0x501e,
		0x828a
		},
		{
		0x5020,
		0x828b
		},
		{
		0x5022,
		0x828c
		},
		{
		0x5023,
		0x828d
		},
		{
		0x5024,
		0x828e
		},
		{
		0x5027,
		0x828f
		},
		{
		0x502b,
		0x8290
		},
		{
		0x502f,
		0x8291
		},
		{
		0x5030,
		0x8292
		},
		{
		0x5031,
		0x8293
		},
		{
		0x5032,
		0x8294
		},
		{
		0x5033,
		0x8295
		},
		{
		0x5034,
		0x8296
		},
		{
		0x5035,
		0x8297
		},
		{
		0x5036,
		0x8298
		},
		{
		0x5037,
		0x8299
		},
		{
		0x5038,
		0x829a
		},
		{
		0x5039,
		0x829b
		},
		{
		0x503b,
		0x829c
		},
		{
		0x503d,
		0x829d
		},
		{
		0x503f,
		0x829e
		},
		{
		0x5040,
		0x829f
		},
		{
		0x5041,
		0x82a0
		},
		{
		0x5042,
		0x82a1
		},
		{
		0x5044,
		0x82a2
		},
		{
		0x5045,
		0x82a3
		},
		{
		0x5046,
		0x82a4
		},
		{
		0x5049,
		0x82a5
		},
		{
		0x504a,
		0x82a6
		},
		{
		0x504b,
		0x82a7
		},
		{
		0x504d,
		0x82a8
		},
		{
		0x5050,
		0x82a9
		},
		{
		0x5051,
		0x82aa
		},
		{
		0x5052,
		0x82ab
		},
		{
		0x5053,
		0x82ac
		},
		{
		0x5054,
		0x82ad
		},
		{
		0x5056,
		0x82ae
		},
		{
		0x5057,
		0x82af
		},
		{
		0x5058,
		0x82b0
		},
		{
		0x5059,
		0x82b1
		},
		{
		0x505b,
		0x82b2
		},
		{
		0x505d,
		0x82b3
		},
		{
		0x505e,
		0x82b4
		},
		{
		0x505f,
		0x82b5
		},
		{
		0x5060,
		0x82b6
		},
		{
		0x5061,
		0x82b7
		},
		{
		0x5062,
		0x82b8
		},
		{
		0x5063,
		0x82b9
		},
		{
		0x5064,
		0x82ba
		},
		{
		0x5066,
		0x82bb
		},
		{
		0x5067,
		0x82bc
		},
		{
		0x5068,
		0x82bd
		},
		{
		0x5069,
		0x82be
		},
		{
		0x506a,
		0x82bf
		},
		{
		0x506b,
		0x82c0
		},
		{
		0x506d,
		0x82c1
		},
		{
		0x506e,
		0x82c2
		},
		{
		0x506f,
		0x82c3
		},
		{
		0x5070,
		0x82c4
		},
		{
		0x5071,
		0x82c5
		},
		{
		0x5072,
		0x82c6
		},
		{
		0x5073,
		0x82c7
		},
		{
		0x5074,
		0x82c8
		},
		{
		0x5075,
		0x82c9
		},
		{
		0x5078,
		0x82ca
		},
		{
		0x5079,
		0x82cb
		},
		{
		0x507a,
		0x82cc
		},
		{
		0x507c,
		0x82cd
		},
		{
		0x507d,
		0x82ce
		},
		{
		0x5081,
		0x82cf
		},
		{
		0x5082,
		0x82d0
		},
		{
		0x5083,
		0x82d1
		},
		{
		0x5084,
		0x82d2
		},
		{
		0x5086,
		0x82d3
		},
		{
		0x5087,
		0x82d4
		},
		{
		0x5089,
		0x82d5
		},
		{
		0x508a,
		0x82d6
		},
		{
		0x508b,
		0x82d7
		},
		{
		0x508c,
		0x82d8
		},
		{
		0x508e,
		0x82d9
		},
		{
		0x508f,
		0x82da
		},
		{
		0x5090,
		0x82db
		},
		{
		0x5091,
		0x82dc
		},
		{
		0x5092,
		0x82dd
		},
		{
		0x5093,
		0x82de
		},
		{
		0x5094,
		0x82df
		},
		{
		0x5095,
		0x82e0
		},
		{
		0x5096,
		0x82e1
		},
		{
		0x5097,
		0x82e2
		},
		{
		0x5098,
		0x82e3
		},
		{
		0x5099,
		0x82e4
		},
		{
		0x509a,
		0x82e5
		},
		{
		0x509b,
		0x82e6
		},
		{
		0x509c,
		0x82e7
		},
		{
		0x509d,
		0x82e8
		},
		{
		0x509e,
		0x82e9
		},
		{
		0x509f,
		0x82ea
		},
		{
		0x50a0,
		0x82eb
		},
		{
		0x50a1,
		0x82ec
		},
		{
		0x50a2,
		0x82ed
		},
		{
		0x50a4,
		0x82ee
		},
		{
		0x50a6,
		0x82ef
		},
		{
		0x50aa,
		0x82f0
		},
		{
		0x50ab,
		0x82f1
		},
		{
		0x50ad,
		0x82f2
		},
		{
		0x50ae,
		0x82f3
		},
		{
		0x50af,
		0x82f4
		},
		{
		0x50b0,
		0x82f5
		},
		{
		0x50b1,
		0x82f6
		},
		{
		0x50b3,
		0x82f7
		},
		{
		0x50b4,
		0x82f8
		},
		{
		0x50b5,
		0x82f9
		},
		{
		0x50b6,
		0x82fa
		},
		{
		0x50b7,
		0x82fb
		},
		{
		0x50b8,
		0x82fc
		},
		{
		0x50b9,
		0x82fd
		},
		{
		0x50bc,
		0x82fe
		},
		{
		0x50bd,
		0x8340
		},
		{
		0x50be,
		0x8341
		},
		{
		0x50bf,
		0x8342
		},
		{
		0x50c0,
		0x8343
		},
		{
		0x50c1,
		0x8344
		},
		{
		0x50c2,
		0x8345
		},
		{
		0x50c3,
		0x8346
		},
		{
		0x50c4,
		0x8347
		},
		{
		0x50c5,
		0x8348
		},
		{
		0x50c6,
		0x8349
		},
		{
		0x50c7,
		0x834a
		},
		{
		0x50c8,
		0x834b
		},
		{
		0x50c9,
		0x834c
		},
		{
		0x50ca,
		0x834d
		},
		{
		0x50cb,
		0x834e
		},
		{
		0x50cc,
		0x834f
		},
		{
		0x50cd,
		0x8350
		},
		{
		0x50ce,
		0x8351
		},
		{
		0x50d0,
		0x8352
		},
		{
		0x50d1,
		0x8353
		},
		{
		0x50d2,
		0x8354
		},
		{
		0x50d3,
		0x8355
		},
		{
		0x50d4,
		0x8356
		},
		{
		0x50d5,
		0x8357
		},
		{
		0x50d7,
		0x8358
		},
		{
		0x50d8,
		0x8359
		},
		{
		0x50d9,
		0x835a
		},
		{
		0x50db,
		0x835b
		},
		{
		0x50dc,
		0x835c
		},
		{
		0x50dd,
		0x835d
		},
		{
		0x50de,
		0x835e
		},
		{
		0x50df,
		0x835f
		},
		{
		0x50e0,
		0x8360
		},
		{
		0x50e1,
		0x8361
		},
		{
		0x50e2,
		0x8362
		},
		{
		0x50e3,
		0x8363
		},
		{
		0x50e4,
		0x8364
		},
		{
		0x50e5,
		0x8365
		},
		{
		0x50e8,
		0x8366
		},
		{
		0x50e9,
		0x8367
		},
		{
		0x50ea,
		0x8368
		},
		{
		0x50eb,
		0x8369
		},
		{
		0x50ef,
		0x836a
		},
		{
		0x50f0,
		0x836b
		},
		{
		0x50f1,
		0x836c
		},
		{
		0x50f2,
		0x836d
		},
		{
		0x50f4,
		0x836e
		},
		{
		0x50f6,
		0x836f
		},
		{
		0x50f7,
		0x8370
		},
		{
		0x50f8,
		0x8371
		},
		{
		0x50f9,
		0x8372
		},
		{
		0x50fa,
		0x8373
		},
		{
		0x50fc,
		0x8374
		},
		{
		0x50fd,
		0x8375
		},
		{
		0x50fe,
		0x8376
		},
		{
		0x50ff,
		0x8377
		},
		{
		0x5100,
		0x8378
		},
		{
		0x5101,
		0x8379
		},
		{
		0x5102,
		0x837a
		},
		{
		0x5103,
		0x837b
		},
		{
		0x5104,
		0x837c
		},
		{
		0x5105,
		0x837d
		},
		{
		0x5108,
		0x837e
		},
		{
		0x5109,
		0x8380
		},
		{
		0x510a,
		0x8381
		},
		{
		0x510c,
		0x8382
		},
		{
		0x510d,
		0x8383
		},
		{
		0x510e,
		0x8384
		},
		{
		0x510f,
		0x8385
		},
		{
		0x5110,
		0x8386
		},
		{
		0x5111,
		0x8387
		},
		{
		0x5113,
		0x8388
		},
		{
		0x5114,
		0x8389
		},
		{
		0x5115,
		0x838a
		},
		{
		0x5116,
		0x838b
		},
		{
		0x5117,
		0x838c
		},
		{
		0x5118,
		0x838d
		},
		{
		0x5119,
		0x838e
		},
		{
		0x511a,
		0x838f
		},
		{
		0x511b,
		0x8390
		},
		{
		0x511c,
		0x8391
		},
		{
		0x511d,
		0x8392
		},
		{
		0x511e,
		0x8393
		},
		{
		0x511f,
		0x8394
		},
		{
		0x5120,
		0x8395
		},
		{
		0x5122,
		0x8396
		},
		{
		0x5123,
		0x8397
		},
		{
		0x5124,
		0x8398
		},
		{
		0x5125,
		0x8399
		},
		{
		0x5126,
		0x839a
		},
		{
		0x5127,
		0x839b
		},
		{
		0x5128,
		0x839c
		},
		{
		0x5129,
		0x839d
		},
		{
		0x512a,
		0x839e
		},
		{
		0x512b,
		0x839f
		},
		{
		0x512c,
		0x83a0
		},
		{
		0x512d,
		0x83a1
		},
		{
		0x512e,
		0x83a2
		},
		{
		0x512f,
		0x83a3
		},
		{
		0x5130,
		0x83a4
		},
		{
		0x5131,
		0x83a5
		},
		{
		0x5132,
		0x83a6
		},
		{
		0x5133,
		0x83a7
		},
		{
		0x5134,
		0x83a8
		},
		{
		0x5135,
		0x83a9
		},
		{
		0x5136,
		0x83aa
		},
		{
		0x5137,
		0x83ab
		},
		{
		0x5138,
		0x83ac
		},
		{
		0x5139,
		0x83ad
		},
		{
		0x513a,
		0x83ae
		},
		{
		0x513b,
		0x83af
		},
		{
		0x513c,
		0x83b0
		},
		{
		0x513d,
		0x83b1
		},
		{
		0x513e,
		0x83b2
		},
		{
		0x5142,
		0x83b3
		},
		{
		0x5147,
		0x83b4
		},
		{
		0x514a,
		0x83b5
		},
		{
		0x514c,
		0x83b6
		},
		{
		0x514e,
		0x83b7
		},
		{
		0x514f,
		0x83b8
		},
		{
		0x5150,
		0x83b9
		},
		{
		0x5152,
		0x83ba
		},
		{
		0x5153,
		0x83bb
		},
		{
		0x5157,
		0x83bc
		},
		{
		0x5158,
		0x83bd
		},
		{
		0x5159,
		0x83be
		},
		{
		0x515b,
		0x83bf
		},
		{
		0x515d,
		0x83c0
		},
		{
		0x515e,
		0x83c1
		},
		{
		0x515f,
		0x83c2
		},
		{
		0x5160,
		0x83c3
		},
		{
		0x5161,
		0x83c4
		},
		{
		0x5163,
		0x83c5
		},
		{
		0x5164,
		0x83c6
		},
		{
		0x5166,
		0x83c7
		},
		{
		0x5167,
		0x83c8
		},
		{
		0x5169,
		0x83c9
		},
		{
		0x516a,
		0x83ca
		},
		{
		0x516f,
		0x83cb
		},
		{
		0x5172,
		0x83cc
		},
		{
		0x517a,
		0x83cd
		},
		{
		0x517e,
		0x83ce
		},
		{
		0x517f,
		0x83cf
		},
		{
		0x5183,
		0x83d0
		},
		{
		0x5184,
		0x83d1
		},
		{
		0x5186,
		0x83d2
		},
		{
		0x5187,
		0x83d3
		},
		{
		0x518a,
		0x83d4
		},
		{
		0x518b,
		0x83d5
		},
		{
		0x518e,
		0x83d6
		},
		{
		0x518f,
		0x83d7
		},
		{
		0x5190,
		0x83d8
		},
		{
		0x5191,
		0x83d9
		},
		{
		0x5193,
		0x83da
		},
		{
		0x5194,
		0x83db
		},
		{
		0x5198,
		0x83dc
		},
		{
		0x519a,
		0x83dd
		},
		{
		0x519d,
		0x83de
		},
		{
		0x519e,
		0x83df
		},
		{
		0x519f,
		0x83e0
		},
		{
		0x51a1,
		0x83e1
		},
		{
		0x51a3,
		0x83e2
		},
		{
		0x51a6,
		0x83e3
		},
		{
		0x51a7,
		0x83e4
		},
		{
		0x51a8,
		0x83e5
		},
		{
		0x51a9,
		0x83e6
		},
		{
		0x51aa,
		0x83e7
		},
		{
		0x51ad,
		0x83e8
		},
		{
		0x51ae,
		0x83e9
		},
		{
		0x51b4,
		0x83ea
		},
		{
		0x51b8,
		0x83eb
		},
		{
		0x51b9,
		0x83ec
		},
		{
		0x51ba,
		0x83ed
		},
		{
		0x51be,
		0x83ee
		},
		{
		0x51bf,
		0x83ef
		},
		{
		0x51c1,
		0x83f0
		},
		{
		0x51c2,
		0x83f1
		},
		{
		0x51c3,
		0x83f2
		},
		{
		0x51c5,
		0x83f3
		},
		{
		0x51c8,
		0x83f4
		},
		{
		0x51ca,
		0x83f5
		},
		{
		0x51cd,
		0x83f6
		},
		{
		0x51ce,
		0x83f7
		},
		{
		0x51d0,
		0x83f8
		},
		{
		0x51d2,
		0x83f9
		},
		{
		0x51d3,
		0x83fa
		},
		{
		0x51d4,
		0x83fb
		},
		{
		0x51d5,
		0x83fc
		},
		{
		0x51d6,
		0x83fd
		},
		{
		0x51d7,
		0x83fe
		},
		{
		0x51d8,
		0x8440
		},
		{
		0x51d9,
		0x8441
		},
		{
		0x51da,
		0x8442
		},
		{
		0x51dc,
		0x8443
		},
		{
		0x51de,
		0x8444
		},
		{
		0x51df,
		0x8445
		},
		{
		0x51e2,
		0x8446
		},
		{
		0x51e3,
		0x8447
		},
		{
		0x51e5,
		0x8448
		},
		{
		0x51e6,
		0x8449
		},
		{
		0x51e7,
		0x844a
		},
		{
		0x51e8,
		0x844b
		},
		{
		0x51e9,
		0x844c
		},
		{
		0x51ea,
		0x844d
		},
		{
		0x51ec,
		0x844e
		},
		{
		0x51ee,
		0x844f
		},
		{
		0x51f1,
		0x8450
		},
		{
		0x51f2,
		0x8451
		},
		{
		0x51f4,
		0x8452
		},
		{
		0x51f7,
		0x8453
		},
		{
		0x51fe,
		0x8454
		},
		{
		0x5204,
		0x8455
		},
		{
		0x5205,
		0x8456
		},
		{
		0x5209,
		0x8457
		},
		{
		0x520b,
		0x8458
		},
		{
		0x520c,
		0x8459
		},
		{
		0x520f,
		0x845a
		},
		{
		0x5210,
		0x845b
		},
		{
		0x5213,
		0x845c
		},
		{
		0x5214,
		0x845d
		},
		{
		0x5215,
		0x845e
		},
		{
		0x521c,
		0x845f
		},
		{
		0x521e,
		0x8460
		},
		{
		0x521f,
		0x8461
		},
		{
		0x5221,
		0x8462
		},
		{
		0x5222,
		0x8463
		},
		{
		0x5223,
		0x8464
		},
		{
		0x5225,
		0x8465
		},
		{
		0x5226,
		0x8466
		},
		{
		0x5227,
		0x8467
		},
		{
		0x522a,
		0x8468
		},
		{
		0x522c,
		0x8469
		},
		{
		0x522f,
		0x846a
		},
		{
		0x5231,
		0x846b
		},
		{
		0x5232,
		0x846c
		},
		{
		0x5234,
		0x846d
		},
		{
		0x5235,
		0x846e
		},
		{
		0x523c,
		0x846f
		},
		{
		0x523e,
		0x8470
		},
		{
		0x5244,
		0x8471
		},
		{
		0x5245,
		0x8472
		},
		{
		0x5246,
		0x8473
		},
		{
		0x5247,
		0x8474
		},
		{
		0x5248,
		0x8475
		},
		{
		0x5249,
		0x8476
		},
		{
		0x524b,
		0x8477
		},
		{
		0x524e,
		0x8478
		},
		{
		0x524f,
		0x8479
		},
		{
		0x5252,
		0x847a
		},
		{
		0x5253,
		0x847b
		},
		{
		0x5255,
		0x847c
		},
		{
		0x5257,
		0x847d
		},
		{
		0x5258,
		0x847e
		},
		{
		0x5259,
		0x8480
		},
		{
		0x525a,
		0x8481
		},
		{
		0x525b,
		0x8482
		},
		{
		0x525d,
		0x8483
		},
		{
		0x525f,
		0x8484
		},
		{
		0x5260,
		0x8485
		},
		{
		0x5262,
		0x8486
		},
		{
		0x5263,
		0x8487
		},
		{
		0x5264,
		0x8488
		},
		{
		0x5266,
		0x8489
		},
		{
		0x5268,
		0x848a
		},
		{
		0x526b,
		0x848b
		},
		{
		0x526c,
		0x848c
		},
		{
		0x526d,
		0x848d
		},
		{
		0x526e,
		0x848e
		},
		{
		0x5270,
		0x848f
		},
		{
		0x5271,
		0x8490
		},
		{
		0x5273,
		0x8491
		},
		{
		0x5274,
		0x8492
		},
		{
		0x5275,
		0x8493
		},
		{
		0x5276,
		0x8494
		},
		{
		0x5277,
		0x8495
		},
		{
		0x5278,
		0x8496
		},
		{
		0x5279,
		0x8497
		},
		{
		0x527a,
		0x8498
		},
		{
		0x527b,
		0x8499
		},
		{
		0x527c,
		0x849a
		},
		{
		0x527e,
		0x849b
		},
		{
		0x5280,
		0x849c
		},
		{
		0x5283,
		0x849d
		},
		{
		0x5284,
		0x849e
		},
		{
		0x5285,
		0x849f
		},
		{
		0x5286,
		0x84a0
		},
		{
		0x5287,
		0x84a1
		},
		{
		0x5289,
		0x84a2
		},
		{
		0x528a,
		0x84a3
		},
		{
		0x528b,
		0x84a4
		},
		{
		0x528c,
		0x84a5
		},
		{
		0x528d,
		0x84a6
		},
		{
		0x528e,
		0x84a7
		},
		{
		0x528f,
		0x84a8
		},
		{
		0x5291,
		0x84a9
		},
		{
		0x5292,
		0x84aa
		},
		{
		0x5294,
		0x84ab
		},
		{
		0x5295,
		0x84ac
		},
		{
		0x5296,
		0x84ad
		},
		{
		0x5297,
		0x84ae
		},
		{
		0x5298,
		0x84af
		},
		{
		0x5299,
		0x84b0
		},
		{
		0x529a,
		0x84b1
		},
		{
		0x529c,
		0x84b2
		},
		{
		0x52a4,
		0x84b3
		},
		{
		0x52a5,
		0x84b4
		},
		{
		0x52a6,
		0x84b5
		},
		{
		0x52a7,
		0x84b6
		},
		{
		0x52ae,
		0x84b7
		},
		{
		0x52af,
		0x84b8
		},
		{
		0x52b0,
		0x84b9
		},
		{
		0x52b4,
		0x84ba
		},
		{
		0x52b5,
		0x84bb
		},
		{
		0x52b6,
		0x84bc
		},
		{
		0x52b7,
		0x84bd
		},
		{
		0x52b8,
		0x84be
		},
		{
		0x52b9,
		0x84bf
		},
		{
		0x52ba,
		0x84c0
		},
		{
		0x52bb,
		0x84c1
		},
		{
		0x52bc,
		0x84c2
		},
		{
		0x52bd,
		0x84c3
		},
		{
		0x52c0,
		0x84c4
		},
		{
		0x52c1,
		0x84c5
		},
		{
		0x52c2,
		0x84c6
		},
		{
		0x52c4,
		0x84c7
		},
		{
		0x52c5,
		0x84c8
		},
		{
		0x52c6,
		0x84c9
		},
		{
		0x52c8,
		0x84ca
		},
		{
		0x52ca,
		0x84cb
		},
		{
		0x52cc,
		0x84cc
		},
		{
		0x52cd,
		0x84cd
		},
		{
		0x52ce,
		0x84ce
		},
		{
		0x52cf,
		0x84cf
		},
		{
		0x52d1,
		0x84d0
		},
		{
		0x52d3,
		0x84d1
		},
		{
		0x52d4,
		0x84d2
		},
		{
		0x52d5,
		0x84d3
		},
		{
		0x52d7,
		0x84d4
		},
		{
		0x52d9,
		0x84d5
		},
		{
		0x52da,
		0x84d6
		},
		{
		0x52db,
		0x84d7
		},
		{
		0x52dc,
		0x84d8
		},
		{
		0x52dd,
		0x84d9
		},
		{
		0x52de,
		0x84da
		},
		{
		0x52e0,
		0x84db
		},
		{
		0x52e1,
		0x84dc
		},
		{
		0x52e2,
		0x84dd
		},
		{
		0x52e3,
		0x84de
		},
		{
		0x52e5,
		0x84df
		},
		{
		0x52e6,
		0x84e0
		},
		{
		0x52e7,
		0x84e1
		},
		{
		0x52e8,
		0x84e2
		},
		{
		0x52e9,
		0x84e3
		},
		{
		0x52ea,
		0x84e4
		},
		{
		0x52eb,
		0x84e5
		},
		{
		0x52ec,
		0x84e6
		},
		{
		0x52ed,
		0x84e7
		},
		{
		0x52ee,
		0x84e8
		},
		{
		0x52ef,
		0x84e9
		},
		{
		0x52f1,
		0x84ea
		},
		{
		0x52f2,
		0x84eb
		},
		{
		0x52f3,
		0x84ec
		},
		{
		0x52f4,
		0x84ed
		},
		{
		0x52f5,
		0x84ee
		},
		{
		0x52f6,
		0x84ef
		},
		{
		0x52f7,
		0x84f0
		},
		{
		0x52f8,
		0x84f1
		},
		{
		0x52fb,
		0x84f2
		},
		{
		0x52fc,
		0x84f3
		},
		{
		0x52fd,
		0x84f4
		},
		{
		0x5301,
		0x84f5
		},
		{
		0x5302,
		0x84f6
		},
		{
		0x5303,
		0x84f7
		},
		{
		0x5304,
		0x84f8
		},
		{
		0x5307,
		0x84f9
		},
		{
		0x5309,
		0x84fa
		},
		{
		0x530a,
		0x84fb
		},
		{
		0x530b,
		0x84fc
		},
		{
		0x530c,
		0x84fd
		},
		{
		0x530e,
		0x84fe
		},
		{
		0x5311,
		0x8540
		},
		{
		0x5312,
		0x8541
		},
		{
		0x5313,
		0x8542
		},
		{
		0x5314,
		0x8543
		},
		{
		0x5318,
		0x8544
		},
		{
		0x531b,
		0x8545
		},
		{
		0x531c,
		0x8546
		},
		{
		0x531e,
		0x8547
		},
		{
		0x531f,
		0x8548
		},
		{
		0x5322,
		0x8549
		},
		{
		0x5324,
		0x854a
		},
		{
		0x5325,
		0x854b
		},
		{
		0x5327,
		0x854c
		},
		{
		0x5328,
		0x854d
		},
		{
		0x5329,
		0x854e
		},
		{
		0x532b,
		0x854f
		},
		{
		0x532c,
		0x8550
		},
		{
		0x532d,
		0x8551
		},
		{
		0x532f,
		0x8552
		},
		{
		0x5330,
		0x8553
		},
		{
		0x5331,
		0x8554
		},
		{
		0x5332,
		0x8555
		},
		{
		0x5333,
		0x8556
		},
		{
		0x5334,
		0x8557
		},
		{
		0x5335,
		0x8558
		},
		{
		0x5336,
		0x8559
		},
		{
		0x5337,
		0x855a
		},
		{
		0x5338,
		0x855b
		},
		{
		0x533c,
		0x855c
		},
		{
		0x533d,
		0x855d
		},
		{
		0x5340,
		0x855e
		},
		{
		0x5342,
		0x855f
		},
		{
		0x5344,
		0x8560
		},
		{
		0x5346,
		0x8561
		},
		{
		0x534b,
		0x8562
		},
		{
		0x534c,
		0x8563
		},
		{
		0x534d,
		0x8564
		},
		{
		0x5350,
		0x8565
		},
		{
		0x5354,
		0x8566
		},
		{
		0x5358,
		0x8567
		},
		{
		0x5359,
		0x8568
		},
		{
		0x535b,
		0x8569
		},
		{
		0x535d,
		0x856a
		},
		{
		0x5365,
		0x856b
		},
		{
		0x5368,
		0x856c
		},
		{
		0x536a,
		0x856d
		},
		{
		0x536c,
		0x856e
		},
		{
		0x536d,
		0x856f
		},
		{
		0x5372,
		0x8570
		},
		{
		0x5376,
		0x8571
		},
		{
		0x5379,
		0x8572
		},
		{
		0x537b,
		0x8573
		},
		{
		0x537c,
		0x8574
		},
		{
		0x537d,
		0x8575
		},
		{
		0x537e,
		0x8576
		},
		{
		0x5380,
		0x8577
		},
		{
		0x5381,
		0x8578
		},
		{
		0x5383,
		0x8579
		},
		{
		0x5387,
		0x857a
		},
		{
		0x5388,
		0x857b
		},
		{
		0x538a,
		0x857c
		},
		{
		0x538e,
		0x857d
		},
		{
		0x538f,
		0x857e
		},
		{
		0x5390,
		0x8580
		},
		{
		0x5391,
		0x8581
		},
		{
		0x5392,
		0x8582
		},
		{
		0x5393,
		0x8583
		},
		{
		0x5394,
		0x8584
		},
		{
		0x5396,
		0x8585
		},
		{
		0x5397,
		0x8586
		},
		{
		0x5399,
		0x8587
		},
		{
		0x539b,
		0x8588
		},
		{
		0x539c,
		0x8589
		},
		{
		0x539e,
		0x858a
		},
		{
		0x53a0,
		0x858b
		},
		{
		0x53a1,
		0x858c
		},
		{
		0x53a4,
		0x858d
		},
		{
		0x53a7,
		0x858e
		},
		{
		0x53aa,
		0x858f
		},
		{
		0x53ab,
		0x8590
		},
		{
		0x53ac,
		0x8591
		},
		{
		0x53ad,
		0x8592
		},
		{
		0x53af,
		0x8593
		},
		{
		0x53b0,
		0x8594
		},
		{
		0x53b1,
		0x8595
		},
		{
		0x53b2,
		0x8596
		},
		{
		0x53b3,
		0x8597
		},
		{
		0x53b4,
		0x8598
		},
		{
		0x53b5,
		0x8599
		},
		{
		0x53b7,
		0x859a
		},
		{
		0x53b8,
		0x859b
		},
		{
		0x53b9,
		0x859c
		},
		{
		0x53ba,
		0x859d
		},
		{
		0x53bc,
		0x859e
		},
		{
		0x53bd,
		0x859f
		},
		{
		0x53be,
		0x85a0
		},
		{
		0x53c0,
		0x85a1
		},
		{
		0x53c3,
		0x85a2
		},
		{
		0x53c4,
		0x85a3
		},
		{
		0x53c5,
		0x85a4
		},
		{
		0x53c6,
		0x85a5
		},
		{
		0x53c7,
		0x85a6
		},
		{
		0x53ce,
		0x85a7
		},
		{
		0x53cf,
		0x85a8
		},
		{
		0x53d0,
		0x85a9
		},
		{
		0x53d2,
		0x85aa
		},
		{
		0x53d3,
		0x85ab
		},
		{
		0x53d5,
		0x85ac
		},
		{
		0x53da,
		0x85ad
		},
		{
		0x53dc,
		0x85ae
		},
		{
		0x53dd,
		0x85af
		},
		{
		0x53de,
		0x85b0
		},
		{
		0x53e1,
		0x85b1
		},
		{
		0x53e2,
		0x85b2
		},
		{
		0x53e7,
		0x85b3
		},
		{
		0x53f4,
		0x85b4
		},
		{
		0x53fa,
		0x85b5
		},
		{
		0x53fe,
		0x85b6
		},
		{
		0x53ff,
		0x85b7
		},
		{
		0x5400,
		0x85b8
		},
		{
		0x5402,
		0x85b9
		},
		{
		0x5405,
		0x85ba
		},
		{
		0x5407,
		0x85bb
		},
		{
		0x540b,
		0x85bc
		},
		{
		0x5414,
		0x85bd
		},
		{
		0x5418,
		0x85be
		},
		{
		0x5419,
		0x85bf
		},
		{
		0x541a,
		0x85c0
		},
		{
		0x541c,
		0x85c1
		},
		{
		0x5422,
		0x85c2
		},
		{
		0x5424,
		0x85c3
		},
		{
		0x5425,
		0x85c4
		},
		{
		0x542a,
		0x85c5
		},
		{
		0x5430,
		0x85c6
		},
		{
		0x5433,
		0x85c7
		},
		{
		0x5436,
		0x85c8
		},
		{
		0x5437,
		0x85c9
		},
		{
		0x543a,
		0x85ca
		},
		{
		0x543d,
		0x85cb
		},
		{
		0x543f,
		0x85cc
		},
		{
		0x5441,
		0x85cd
		},
		{
		0x5442,
		0x85ce
		},
		{
		0x5444,
		0x85cf
		},
		{
		0x5445,
		0x85d0
		},
		{
		0x5447,
		0x85d1
		},
		{
		0x5449,
		0x85d2
		},
		{
		0x544c,
		0x85d3
		},
		{
		0x544d,
		0x85d4
		},
		{
		0x544e,
		0x85d5
		},
		{
		0x544f,
		0x85d6
		},
		{
		0x5451,
		0x85d7
		},
		{
		0x545a,
		0x85d8
		},
		{
		0x545d,
		0x85d9
		},
		{
		0x545e,
		0x85da
		},
		{
		0x545f,
		0x85db
		},
		{
		0x5460,
		0x85dc
		},
		{
		0x5461,
		0x85dd
		},
		{
		0x5463,
		0x85de
		},
		{
		0x5465,
		0x85df
		},
		{
		0x5467,
		0x85e0
		},
		{
		0x5469,
		0x85e1
		},
		{
		0x546a,
		0x85e2
		},
		{
		0x546b,
		0x85e3
		},
		{
		0x546c,
		0x85e4
		},
		{
		0x546d,
		0x85e5
		},
		{
		0x546e,
		0x85e6
		},
		{
		0x546f,
		0x85e7
		},
		{
		0x5470,
		0x85e8
		},
		{
		0x5474,
		0x85e9
		},
		{
		0x5479,
		0x85ea
		},
		{
		0x547a,
		0x85eb
		},
		{
		0x547e,
		0x85ec
		},
		{
		0x547f,
		0x85ed
		},
		{
		0x5481,
		0x85ee
		},
		{
		0x5483,
		0x85ef
		},
		{
		0x5485,
		0x85f0
		},
		{
		0x5487,
		0x85f1
		},
		{
		0x5488,
		0x85f2
		},
		{
		0x5489,
		0x85f3
		},
		{
		0x548a,
		0x85f4
		},
		{
		0x548d,
		0x85f5
		},
		{
		0x5491,
		0x85f6
		},
		{
		0x5493,
		0x85f7
		},
		{
		0x5497,
		0x85f8
		},
		{
		0x5498,
		0x85f9
		},
		{
		0x549c,
		0x85fa
		},
		{
		0x549e,
		0x85fb
		},
		{
		0x549f,
		0x85fc
		},
		{
		0x54a0,
		0x85fd
		},
		{
		0x54a1,
		0x85fe
		},
		{
		0x54a2,
		0x8640
		},
		{
		0x54a5,
		0x8641
		},
		{
		0x54ae,
		0x8642
		},
		{
		0x54b0,
		0x8643
		},
		{
		0x54b2,
		0x8644
		},
		{
		0x54b5,
		0x8645
		},
		{
		0x54b6,
		0x8646
		},
		{
		0x54b7,
		0x8647
		},
		{
		0x54b9,
		0x8648
		},
		{
		0x54ba,
		0x8649
		},
		{
		0x54bc,
		0x864a
		},
		{
		0x54be,
		0x864b
		},
		{
		0x54c3,
		0x864c
		},
		{
		0x54c5,
		0x864d
		},
		{
		0x54ca,
		0x864e
		},
		{
		0x54cb,
		0x864f
		},
		{
		0x54d6,
		0x8650
		},
		{
		0x54d8,
		0x8651
		},
		{
		0x54db,
		0x8652
		},
		{
		0x54e0,
		0x8653
		},
		{
		0x54e1,
		0x8654
		},
		{
		0x54e2,
		0x8655
		},
		{
		0x54e3,
		0x8656
		},
		{
		0x54e4,
		0x8657
		},
		{
		0x54eb,
		0x8658
		},
		{
		0x54ec,
		0x8659
		},
		{
		0x54ef,
		0x865a
		},
		{
		0x54f0,
		0x865b
		},
		{
		0x54f1,
		0x865c
		},
		{
		0x54f4,
		0x865d
		},
		{
		0x54f5,
		0x865e
		},
		{
		0x54f6,
		0x865f
		},
		{
		0x54f7,
		0x8660
		},
		{
		0x54f8,
		0x8661
		},
		{
		0x54f9,
		0x8662
		},
		{
		0x54fb,
		0x8663
		},
		{
		0x54fe,
		0x8664
		},
		{
		0x5500,
		0x8665
		},
		{
		0x5502,
		0x8666
		},
		{
		0x5503,
		0x8667
		},
		{
		0x5504,
		0x8668
		},
		{
		0x5505,
		0x8669
		},
		{
		0x5508,
		0x866a
		},
		{
		0x550a,
		0x866b
		},
		{
		0x550b,
		0x866c
		},
		{
		0x550c,
		0x866d
		},
		{
		0x550d,
		0x866e
		},
		{
		0x550e,
		0x866f
		},
		{
		0x5512,
		0x8670
		},
		{
		0x5513,
		0x8671
		},
		{
		0x5515,
		0x8672
		},
		{
		0x5516,
		0x8673
		},
		{
		0x5517,
		0x8674
		},
		{
		0x5518,
		0x8675
		},
		{
		0x5519,
		0x8676
		},
		{
		0x551a,
		0x8677
		},
		{
		0x551c,
		0x8678
		},
		{
		0x551d,
		0x8679
		},
		{
		0x551e,
		0x867a
		},
		{
		0x551f,
		0x867b
		},
		{
		0x5521,
		0x867c
		},
		{
		0x5525,
		0x867d
		},
		{
		0x5526,
		0x867e
		},
		{
		0x5528,
		0x8680
		},
		{
		0x5529,
		0x8681
		},
		{
		0x552b,
		0x8682
		},
		{
		0x552d,
		0x8683
		},
		{
		0x5532,
		0x8684
		},
		{
		0x5534,
		0x8685
		},
		{
		0x5535,
		0x8686
		},
		{
		0x5536,
		0x8687
		},
		{
		0x5538,
		0x8688
		},
		{
		0x5539,
		0x8689
		},
		{
		0x553a,
		0x868a
		},
		{
		0x553b,
		0x868b
		},
		{
		0x553d,
		0x868c
		},
		{
		0x5540,
		0x868d
		},
		{
		0x5542,
		0x868e
		},
		{
		0x5545,
		0x868f
		},
		{
		0x5547,
		0x8690
		},
		{
		0x5548,
		0x8691
		},
		{
		0x554b,
		0x8692
		},
		{
		0x554c,
		0x8693
		},
		{
		0x554d,
		0x8694
		},
		{
		0x554e,
		0x8695
		},
		{
		0x554f,
		0x8696
		},
		{
		0x5551,
		0x8697
		},
		{
		0x5552,
		0x8698
		},
		{
		0x5553,
		0x8699
		},
		{
		0x5554,
		0x869a
		},
		{
		0x5557,
		0x869b
		},
		{
		0x5558,
		0x869c
		},
		{
		0x5559,
		0x869d
		},
		{
		0x555a,
		0x869e
		},
		{
		0x555b,
		0x869f
		},
		{
		0x555d,
		0x86a0
		},
		{
		0x555e,
		0x86a1
		},
		{
		0x555f,
		0x86a2
		},
		{
		0x5560,
		0x86a3
		},
		{
		0x5562,
		0x86a4
		},
		{
		0x5563,
		0x86a5
		},
		{
		0x5568,
		0x86a6
		},
		{
		0x5569,
		0x86a7
		},
		{
		0x556b,
		0x86a8
		},
		{
		0x556f,
		0x86a9
		},
		{
		0x5570,
		0x86aa
		},
		{
		0x5571,
		0x86ab
		},
		{
		0x5572,
		0x86ac
		},
		{
		0x5573,
		0x86ad
		},
		{
		0x5574,
		0x86ae
		},
		{
		0x5579,
		0x86af
		},
		{
		0x557a,
		0x86b0
		},
		{
		0x557d,
		0x86b1
		},
		{
		0x557f,
		0x86b2
		},
		{
		0x5585,
		0x86b3
		},
		{
		0x5586,
		0x86b4
		},
		{
		0x558c,
		0x86b5
		},
		{
		0x558d,
		0x86b6
		},
		{
		0x558e,
		0x86b7
		},
		{
		0x5590,
		0x86b8
		},
		{
		0x5592,
		0x86b9
		},
		{
		0x5593,
		0x86ba
		},
		{
		0x5595,
		0x86bb
		},
		{
		0x5596,
		0x86bc
		},
		{
		0x5597,
		0x86bd
		},
		{
		0x559a,
		0x86be
		},
		{
		0x559b,
		0x86bf
		},
		{
		0x559e,
		0x86c0
		},
		{
		0x55a0,
		0x86c1
		},
		{
		0x55a1,
		0x86c2
		},
		{
		0x55a2,
		0x86c3
		},
		{
		0x55a3,
		0x86c4
		},
		{
		0x55a4,
		0x86c5
		},
		{
		0x55a5,
		0x86c6
		},
		{
		0x55a6,
		0x86c7
		},
		{
		0x55a8,
		0x86c8
		},
		{
		0x55a9,
		0x86c9
		},
		{
		0x55aa,
		0x86ca
		},
		{
		0x55ab,
		0x86cb
		},
		{
		0x55ac,
		0x86cc
		},
		{
		0x55ad,
		0x86cd
		},
		{
		0x55ae,
		0x86ce
		},
		{
		0x55af,
		0x86cf
		},
		{
		0x55b0,
		0x86d0
		},
		{
		0x55b2,
		0x86d1
		},
		{
		0x55b4,
		0x86d2
		},
		{
		0x55b6,
		0x86d3
		},
		{
		0x55b8,
		0x86d4
		},
		{
		0x55ba,
		0x86d5
		},
		{
		0x55bc,
		0x86d6
		},
		{
		0x55bf,
		0x86d7
		},
		{
		0x55c0,
		0x86d8
		},
		{
		0x55c1,
		0x86d9
		},
		{
		0x55c2,
		0x86da
		},
		{
		0x55c3,
		0x86db
		},
		{
		0x55c6,
		0x86dc
		},
		{
		0x55c7,
		0x86dd
		},
		{
		0x55c8,
		0x86de
		},
		{
		0x55ca,
		0x86df
		},
		{
		0x55cb,
		0x86e0
		},
		{
		0x55ce,
		0x86e1
		},
		{
		0x55cf,
		0x86e2
		},
		{
		0x55d0,
		0x86e3
		},
		{
		0x55d5,
		0x86e4
		},
		{
		0x55d7,
		0x86e5
		},
		{
		0x55d8,
		0x86e6
		},
		{
		0x55d9,
		0x86e7
		},
		{
		0x55da,
		0x86e8
		},
		{
		0x55db,
		0x86e9
		},
		{
		0x55de,
		0x86ea
		},
		{
		0x55e0,
		0x86eb
		},
		{
		0x55e2,
		0x86ec
		},
		{
		0x55e7,
		0x86ed
		},
		{
		0x55e9,
		0x86ee
		},
		{
		0x55ed,
		0x86ef
		},
		{
		0x55ee,
		0x86f0
		},
		{
		0x55f0,
		0x86f1
		},
		{
		0x55f1,
		0x86f2
		},
		{
		0x55f4,
		0x86f3
		},
		{
		0x55f6,
		0x86f4
		},
		{
		0x55f8,
		0x86f5
		},
		{
		0x55f9,
		0x86f6
		},
		{
		0x55fa,
		0x86f7
		},
		{
		0x55fb,
		0x86f8
		},
		{
		0x55fc,
		0x86f9
		},
		{
		0x55ff,
		0x86fa
		},
		{
		0x5602,
		0x86fb
		},
		{
		0x5603,
		0x86fc
		},
		{
		0x5604,
		0x86fd
		},
		{
		0x5605,
		0x86fe
		},
		{
		0x5606,
		0x8740
		},
		{
		0x5607,
		0x8741
		},
		{
		0x560a,
		0x8742
		},
		{
		0x560b,
		0x8743
		},
		{
		0x560d,
		0x8744
		},
		{
		0x5610,
		0x8745
		},
		{
		0x5611,
		0x8746
		},
		{
		0x5612,
		0x8747
		},
		{
		0x5613,
		0x8748
		},
		{
		0x5614,
		0x8749
		},
		{
		0x5615,
		0x874a
		},
		{
		0x5616,
		0x874b
		},
		{
		0x5617,
		0x874c
		},
		{
		0x5619,
		0x874d
		},
		{
		0x561a,
		0x874e
		},
		{
		0x561c,
		0x874f
		},
		{
		0x561d,
		0x8750
		},
		{
		0x5620,
		0x8751
		},
		{
		0x5621,
		0x8752
		},
		{
		0x5622,
		0x8753
		},
		{
		0x5625,
		0x8754
		},
		{
		0x5626,
		0x8755
		},
		{
		0x5628,
		0x8756
		},
		{
		0x5629,
		0x8757
		},
		{
		0x562a,
		0x8758
		},
		{
		0x562b,
		0x8759
		},
		{
		0x562e,
		0x875a
		},
		{
		0x562f,
		0x875b
		},
		{
		0x5630,
		0x875c
		},
		{
		0x5633,
		0x875d
		},
		{
		0x5635,
		0x875e
		},
		{
		0x5637,
		0x875f
		},
		{
		0x5638,
		0x8760
		},
		{
		0x563a,
		0x8761
		},
		{
		0x563c,
		0x8762
		},
		{
		0x563d,
		0x8763
		},
		{
		0x563e,
		0x8764
		},
		{
		0x5640,
		0x8765
		},
		{
		0x5641,
		0x8766
		},
		{
		0x5642,
		0x8767
		},
		{
		0x5643,
		0x8768
		},
		{
		0x5644,
		0x8769
		},
		{
		0x5645,
		0x876a
		},
		{
		0x5646,
		0x876b
		},
		{
		0x5647,
		0x876c
		},
		{
		0x5648,
		0x876d
		},
		{
		0x5649,
		0x876e
		},
		{
		0x564a,
		0x876f
		},
		{
		0x564b,
		0x8770
		},
		{
		0x564f,
		0x8771
		},
		{
		0x5650,
		0x8772
		},
		{
		0x5651,
		0x8773
		},
		{
		0x5652,
		0x8774
		},
		{
		0x5653,
		0x8775
		},
		{
		0x5655,
		0x8776
		},
		{
		0x5656,
		0x8777
		},
		{
		0x565a,
		0x8778
		},
		{
		0x565b,
		0x8779
		},
		{
		0x565d,
		0x877a
		},
		{
		0x565e,
		0x877b
		},
		{
		0x565f,
		0x877c
		},
		{
		0x5660,
		0x877d
		},
		{
		0x5661,
		0x877e
		},
		{
		0x5663,
		0x8780
		},
		{
		0x5665,
		0x8781
		},
		{
		0x5666,
		0x8782
		},
		{
		0x5667,
		0x8783
		},
		{
		0x566d,
		0x8784
		},
		{
		0x566e,
		0x8785
		},
		{
		0x566f,
		0x8786
		},
		{
		0x5670,
		0x8787
		},
		{
		0x5672,
		0x8788
		},
		{
		0x5673,
		0x8789
		},
		{
		0x5674,
		0x878a
		},
		{
		0x5675,
		0x878b
		},
		{
		0x5677,
		0x878c
		},
		{
		0x5678,
		0x878d
		},
		{
		0x5679,
		0x878e
		},
		{
		0x567a,
		0x878f
		},
		{
		0x567d,
		0x8790
		},
		{
		0x567e,
		0x8791
		},
		{
		0x567f,
		0x8792
		},
		{
		0x5680,
		0x8793
		},
		{
		0x5681,
		0x8794
		},
		{
		0x5682,
		0x8795
		},
		{
		0x5683,
		0x8796
		},
		{
		0x5684,
		0x8797
		},
		{
		0x5687,
		0x8798
		},
		{
		0x5688,
		0x8799
		},
		{
		0x5689,
		0x879a
		},
		{
		0x568a,
		0x879b
		},
		{
		0x568b,
		0x879c
		},
		{
		0x568c,
		0x879d
		},
		{
		0x568d,
		0x879e
		},
		{
		0x5690,
		0x879f
		},
		{
		0x5691,
		0x87a0
		},
		{
		0x5692,
		0x87a1
		},
		{
		0x5694,
		0x87a2
		},
		{
		0x5695,
		0x87a3
		},
		{
		0x5696,
		0x87a4
		},
		{
		0x5697,
		0x87a5
		},
		{
		0x5698,
		0x87a6
		},
		{
		0x5699,
		0x87a7
		},
		{
		0x569a,
		0x87a8
		},
		{
		0x569b,
		0x87a9
		},
		{
		0x569c,
		0x87aa
		},
		{
		0x569d,
		0x87ab
		},
		{
		0x569e,
		0x87ac
		},
		{
		0x569f,
		0x87ad
		},
		{
		0x56a0,
		0x87ae
		},
		{
		0x56a1,
		0x87af
		},
		{
		0x56a2,
		0x87b0
		},
		{
		0x56a4,
		0x87b1
		},
		{
		0x56a5,
		0x87b2
		},
		{
		0x56a6,
		0x87b3
		},
		{
		0x56a7,
		0x87b4
		},
		{
		0x56a8,
		0x87b5
		},
		{
		0x56a9,
		0x87b6
		},
		{
		0x56aa,
		0x87b7
		},
		{
		0x56ab,
		0x87b8
		},
		{
		0x56ac,
		0x87b9
		},
		{
		0x56ad,
		0x87ba
		},
		{
		0x56ae,
		0x87bb
		},
		{
		0x56b0,
		0x87bc
		},
		{
		0x56b1,
		0x87bd
		},
		{
		0x56b2,
		0x87be
		},
		{
		0x56b3,
		0x87bf
		},
		{
		0x56b4,
		0x87c0
		},
		{
		0x56b5,
		0x87c1
		},
		{
		0x56b6,
		0x87c2
		},
		{
		0x56b8,
		0x87c3
		},
		{
		0x56b9,
		0x87c4
		},
		{
		0x56ba,
		0x87c5
		},
		{
		0x56bb,
		0x87c6
		},
		{
		0x56bd,
		0x87c7
		},
		{
		0x56be,
		0x87c8
		},
		{
		0x56bf,
		0x87c9
		},
		{
		0x56c0,
		0x87ca
		},
		{
		0x56c1,
		0x87cb
		},
		{
		0x56c2,
		0x87cc
		},
		{
		0x56c3,
		0x87cd
		},
		{
		0x56c4,
		0x87ce
		},
		{
		0x56c5,
		0x87cf
		},
		{
		0x56c6,
		0x87d0
		},
		{
		0x56c7,
		0x87d1
		},
		{
		0x56c8,
		0x87d2
		},
		{
		0x56c9,
		0x87d3
		},
		{
		0x56cb,
		0x87d4
		},
		{
		0x56cc,
		0x87d5
		},
		{
		0x56cd,
		0x87d6
		},
		{
		0x56ce,
		0x87d7
		},
		{
		0x56cf,
		0x87d8
		},
		{
		0x56d0,
		0x87d9
		},
		{
		0x56d1,
		0x87da
		},
		{
		0x56d2,
		0x87db
		},
		{
		0x56d3,
		0x87dc
		},
		{
		0x56d5,
		0x87dd
		},
		{
		0x56d6,
		0x87de
		},
		{
		0x56d8,
		0x87df
		},
		{
		0x56d9,
		0x87e0
		},
		{
		0x56dc,
		0x87e1
		},
		{
		0x56e3,
		0x87e2
		},
		{
		0x56e5,
		0x87e3
		},
		{
		0x56e6,
		0x87e4
		},
		{
		0x56e7,
		0x87e5
		},
		{
		0x56e8,
		0x87e6
		},
		{
		0x56e9,
		0x87e7
		},
		{
		0x56ea,
		0x87e8
		},
		{
		0x56ec,
		0x87e9
		},
		{
		0x56ee,
		0x87ea
		},
		{
		0x56ef,
		0x87eb
		},
		{
		0x56f2,
		0x87ec
		},
		{
		0x56f3,
		0x87ed
		},
		{
		0x56f6,
		0x87ee
		},
		{
		0x56f7,
		0x87ef
		},
		{
		0x56f8,
		0x87f0
		},
		{
		0x56fb,
		0x87f1
		},
		{
		0x56fc,
		0x87f2
		},
		{
		0x5700,
		0x87f3
		},
		{
		0x5701,
		0x87f4
		},
		{
		0x5702,
		0x87f5
		},
		{
		0x5705,
		0x87f6
		},
		{
		0x5707,
		0x87f7
		},
		{
		0x570b,
		0x87f8
		},
		{
		0x570c,
		0x87f9
		},
		{
		0x570d,
		0x87fa
		},
		{
		0x570e,
		0x87fb
		},
		{
		0x570f,
		0x87fc
		},
		{
		0x5710,
		0x87fd
		},
		{
		0x5711,
		0x87fe
		},
		{
		0x5712,
		0x8840
		},
		{
		0x5713,
		0x8841
		},
		{
		0x5714,
		0x8842
		},
		{
		0x5715,
		0x8843
		},
		{
		0x5716,
		0x8844
		},
		{
		0x5717,
		0x8845
		},
		{
		0x5718,
		0x8846
		},
		{
		0x5719,
		0x8847
		},
		{
		0x571a,
		0x8848
		},
		{
		0x571b,
		0x8849
		},
		{
		0x571d,
		0x884a
		},
		{
		0x571e,
		0x884b
		},
		{
		0x5720,
		0x884c
		},
		{
		0x5721,
		0x884d
		},
		{
		0x5722,
		0x884e
		},
		{
		0x5724,
		0x884f
		},
		{
		0x5725,
		0x8850
		},
		{
		0x5726,
		0x8851
		},
		{
		0x5727,
		0x8852
		},
		{
		0x572b,
		0x8853
		},
		{
		0x5731,
		0x8854
		},
		{
		0x5732,
		0x8855
		},
		{
		0x5734,
		0x8856
		},
		{
		0x5735,
		0x8857
		},
		{
		0x5736,
		0x8858
		},
		{
		0x5737,
		0x8859
		},
		{
		0x5738,
		0x885a
		},
		{
		0x573c,
		0x885b
		},
		{
		0x573d,
		0x885c
		},
		{
		0x573f,
		0x885d
		},
		{
		0x5741,
		0x885e
		},
		{
		0x5743,
		0x885f
		},
		{
		0x5744,
		0x8860
		},
		{
		0x5745,
		0x8861
		},
		{
		0x5746,
		0x8862
		},
		{
		0x5748,
		0x8863
		},
		{
		0x5749,
		0x8864
		},
		{
		0x574b,
		0x8865
		},
		{
		0x5752,
		0x8866
		},
		{
		0x5753,
		0x8867
		},
		{
		0x5754,
		0x8868
		},
		{
		0x5755,
		0x8869
		},
		{
		0x5756,
		0x886a
		},
		{
		0x5758,
		0x886b
		},
		{
		0x5759,
		0x886c
		},
		{
		0x5762,
		0x886d
		},
		{
		0x5763,
		0x886e
		},
		{
		0x5765,
		0x886f
		},
		{
		0x5767,
		0x8870
		},
		{
		0x576c,
		0x8871
		},
		{
		0x576e,
		0x8872
		},
		{
		0x5770,
		0x8873
		},
		{
		0x5771,
		0x8874
		},
		{
		0x5772,
		0x8875
		},
		{
		0x5774,
		0x8876
		},
		{
		0x5775,
		0x8877
		},
		{
		0x5778,
		0x8878
		},
		{
		0x5779,
		0x8879
		},
		{
		0x577a,
		0x887a
		},
		{
		0x577d,
		0x887b
		},
		{
		0x577e,
		0x887c
		},
		{
		0x577f,
		0x887d
		},
		{
		0x5780,
		0x887e
		},
		{
		0x5781,
		0x8880
		},
		{
		0x5787,
		0x8881
		},
		{
		0x5788,
		0x8882
		},
		{
		0x5789,
		0x8883
		},
		{
		0x578a,
		0x8884
		},
		{
		0x578d,
		0x8885
		},
		{
		0x578e,
		0x8886
		},
		{
		0x578f,
		0x8887
		},
		{
		0x5790,
		0x8888
		},
		{
		0x5791,
		0x8889
		},
		{
		0x5794,
		0x888a
		},
		{
		0x5795,
		0x888b
		},
		{
		0x5796,
		0x888c
		},
		{
		0x5797,
		0x888d
		},
		{
		0x5798,
		0x888e
		},
		{
		0x5799,
		0x888f
		},
		{
		0x579a,
		0x8890
		},
		{
		0x579c,
		0x8891
		},
		{
		0x579d,
		0x8892
		},
		{
		0x579e,
		0x8893
		},
		{
		0x579f,
		0x8894
		},
		{
		0x57a5,
		0x8895
		},
		{
		0x57a8,
		0x8896
		},
		{
		0x57aa,
		0x8897
		},
		{
		0x57ac,
		0x8898
		},
		{
		0x57af,
		0x8899
		},
		{
		0x57b0,
		0x889a
		},
		{
		0x57b1,
		0x889b
		},
		{
		0x57b3,
		0x889c
		},
		{
		0x57b5,
		0x889d
		},
		{
		0x57b6,
		0x889e
		},
		{
		0x57b7,
		0x889f
		},
		{
		0x57b9,
		0x88a0
		},
		{
		0x57ba,
		0x88a1
		},
		{
		0x57bb,
		0x88a2
		},
		{
		0x57bc,
		0x88a3
		},
		{
		0x57bd,
		0x88a4
		},
		{
		0x57be,
		0x88a5
		},
		{
		0x57bf,
		0x88a6
		},
		{
		0x57c0,
		0x88a7
		},
		{
		0x57c1,
		0x88a8
		},
		{
		0x57c4,
		0x88a9
		},
		{
		0x57c5,
		0x88aa
		},
		{
		0x57c6,
		0x88ab
		},
		{
		0x57c7,
		0x88ac
		},
		{
		0x57c8,
		0x88ad
		},
		{
		0x57c9,
		0x88ae
		},
		{
		0x57ca,
		0x88af
		},
		{
		0x57cc,
		0x88b0
		},
		{
		0x57cd,
		0x88b1
		},
		{
		0x57d0,
		0x88b2
		},
		{
		0x57d1,
		0x88b3
		},
		{
		0x57d3,
		0x88b4
		},
		{
		0x57d6,
		0x88b5
		},
		{
		0x57d7,
		0x88b6
		},
		{
		0x57db,
		0x88b7
		},
		{
		0x57dc,
		0x88b8
		},
		{
		0x57de,
		0x88b9
		},
		{
		0x57e1,
		0x88ba
		},
		{
		0x57e2,
		0x88bb
		},
		{
		0x57e3,
		0x88bc
		},
		{
		0x57e5,
		0x88bd
		},
		{
		0x57e6,
		0x88be
		},
		{
		0x57e7,
		0x88bf
		},
		{
		0x57e8,
		0x88c0
		},
		{
		0x57e9,
		0x88c1
		},
		{
		0x57ea,
		0x88c2
		},
		{
		0x57eb,
		0x88c3
		},
		{
		0x57ec,
		0x88c4
		},
		{
		0x57ee,
		0x88c5
		},
		{
		0x57f0,
		0x88c6
		},
		{
		0x57f1,
		0x88c7
		},
		{
		0x57f2,
		0x88c8
		},
		{
		0x57f3,
		0x88c9
		},
		{
		0x57f5,
		0x88ca
		},
		{
		0x57f6,
		0x88cb
		},
		{
		0x57f7,
		0x88cc
		},
		{
		0x57fb,
		0x88cd
		},
		{
		0x57fc,
		0x88ce
		},
		{
		0x57fe,
		0x88cf
		},
		{
		0x57ff,
		0x88d0
		},
		{
		0x5801,
		0x88d1
		},
		{
		0x5803,
		0x88d2
		},
		{
		0x5804,
		0x88d3
		},
		{
		0x5805,
		0x88d4
		},
		{
		0x5808,
		0x88d5
		},
		{
		0x5809,
		0x88d6
		},
		{
		0x580a,
		0x88d7
		},
		{
		0x580c,
		0x88d8
		},
		{
		0x580e,
		0x88d9
		},
		{
		0x580f,
		0x88da
		},
		{
		0x5810,
		0x88db
		},
		{
		0x5812,
		0x88dc
		},
		{
		0x5813,
		0x88dd
		},
		{
		0x5814,
		0x88de
		},
		{
		0x5816,
		0x88df
		},
		{
		0x5817,
		0x88e0
		},
		{
		0x5818,
		0x88e1
		},
		{
		0x581a,
		0x88e2
		},
		{
		0x581b,
		0x88e3
		},
		{
		0x581c,
		0x88e4
		},
		{
		0x581d,
		0x88e5
		},
		{
		0x581f,
		0x88e6
		},
		{
		0x5822,
		0x88e7
		},
		{
		0x5823,
		0x88e8
		},
		{
		0x5825,
		0x88e9
		},
		{
		0x5826,
		0x88ea
		},
		{
		0x5827,
		0x88eb
		},
		{
		0x5828,
		0x88ec
		},
		{
		0x5829,
		0x88ed
		},
		{
		0x582b,
		0x88ee
		},
		{
		0x582c,
		0x88ef
		},
		{
		0x582d,
		0x88f0
		},
		{
		0x582e,
		0x88f1
		},
		{
		0x582f,
		0x88f2
		},
		{
		0x5831,
		0x88f3
		},
		{
		0x5832,
		0x88f4
		},
		{
		0x5833,
		0x88f5
		},
		{
		0x5834,
		0x88f6
		},
		{
		0x5836,
		0x88f7
		},
		{
		0x5837,
		0x88f8
		},
		{
		0x5838,
		0x88f9
		},
		{
		0x5839,
		0x88fa
		},
		{
		0x583a,
		0x88fb
		},
		{
		0x583b,
		0x88fc
		},
		{
		0x583c,
		0x88fd
		},
		{
		0x583d,
		0x88fe
		},
		{
		0x583e,
		0x8940
		},
		{
		0x583f,
		0x8941
		},
		{
		0x5840,
		0x8942
		},
		{
		0x5841,
		0x8943
		},
		{
		0x5842,
		0x8944
		},
		{
		0x5843,
		0x8945
		},
		{
		0x5845,
		0x8946
		},
		{
		0x5846,
		0x8947
		},
		{
		0x5847,
		0x8948
		},
		{
		0x5848,
		0x8949
		},
		{
		0x5849,
		0x894a
		},
		{
		0x584a,
		0x894b
		},
		{
		0x584b,
		0x894c
		},
		{
		0x584e,
		0x894d
		},
		{
		0x584f,
		0x894e
		},
		{
		0x5850,
		0x894f
		},
		{
		0x5852,
		0x8950
		},
		{
		0x5853,
		0x8951
		},
		{
		0x5855,
		0x8952
		},
		{
		0x5856,
		0x8953
		},
		{
		0x5857,
		0x8954
		},
		{
		0x5859,
		0x8955
		},
		{
		0x585a,
		0x8956
		},
		{
		0x585b,
		0x8957
		},
		{
		0x585c,
		0x8958
		},
		{
		0x585d,
		0x8959
		},
		{
		0x585f,
		0x895a
		},
		{
		0x5860,
		0x895b
		},
		{
		0x5861,
		0x895c
		},
		{
		0x5862,
		0x895d
		},
		{
		0x5863,
		0x895e
		},
		{
		0x5864,
		0x895f
		},
		{
		0x5866,
		0x8960
		},
		{
		0x5867,
		0x8961
		},
		{
		0x5868,
		0x8962
		},
		{
		0x5869,
		0x8963
		},
		{
		0x586a,
		0x8964
		},
		{
		0x586d,
		0x8965
		},
		{
		0x586e,
		0x8966
		},
		{
		0x586f,
		0x8967
		},
		{
		0x5870,
		0x8968
		},
		{
		0x5871,
		0x8969
		},
		{
		0x5872,
		0x896a
		},
		{
		0x5873,
		0x896b
		},
		{
		0x5874,
		0x896c
		},
		{
		0x5875,
		0x896d
		},
		{
		0x5876,
		0x896e
		},
		{
		0x5877,
		0x896f
		},
		{
		0x5878,
		0x8970
		},
		{
		0x5879,
		0x8971
		},
		{
		0x587a,
		0x8972
		},
		{
		0x587b,
		0x8973
		},
		{
		0x587c,
		0x8974
		},
		{
		0x587d,
		0x8975
		},
		{
		0x587f,
		0x8976
		},
		{
		0x5882,
		0x8977
		},
		{
		0x5884,
		0x8978
		},
		{
		0x5886,
		0x8979
		},
		{
		0x5887,
		0x897a
		},
		{
		0x5888,
		0x897b
		},
		{
		0x588a,
		0x897c
		},
		{
		0x588b,
		0x897d
		},
		{
		0x588c,
		0x897e
		},
		{
		0x588d,
		0x8980
		},
		{
		0x588e,
		0x8981
		},
		{
		0x588f,
		0x8982
		},
		{
		0x5890,
		0x8983
		},
		{
		0x5891,
		0x8984
		},
		{
		0x5894,
		0x8985
		},
		{
		0x5895,
		0x8986
		},
		{
		0x5896,
		0x8987
		},
		{
		0x5897,
		0x8988
		},
		{
		0x5898,
		0x8989
		},
		{
		0x589b,
		0x898a
		},
		{
		0x589c,
		0x898b
		},
		{
		0x589d,
		0x898c
		},
		{
		0x58a0,
		0x898d
		},
		{
		0x58a1,
		0x898e
		},
		{
		0x58a2,
		0x898f
		},
		{
		0x58a3,
		0x8990
		},
		{
		0x58a4,
		0x8991
		},
		{
		0x58a5,
		0x8992
		},
		{
		0x58a6,
		0x8993
		},
		{
		0x58a7,
		0x8994
		},
		{
		0x58aa,
		0x8995
		},
		{
		0x58ab,
		0x8996
		},
		{
		0x58ac,
		0x8997
		},
		{
		0x58ad,
		0x8998
		},
		{
		0x58ae,
		0x8999
		},
		{
		0x58af,
		0x899a
		},
		{
		0x58b0,
		0x899b
		},
		{
		0x58b1,
		0x899c
		},
		{
		0x58b2,
		0x899d
		},
		{
		0x58b3,
		0x899e
		},
		{
		0x58b4,
		0x899f
		},
		{
		0x58b5,
		0x89a0
		},
		{
		0x58b6,
		0x89a1
		},
		{
		0x58b7,
		0x89a2
		},
		{
		0x58b8,
		0x89a3
		},
		{
		0x58b9,
		0x89a4
		},
		{
		0x58ba,
		0x89a5
		},
		{
		0x58bb,
		0x89a6
		},
		{
		0x58bd,
		0x89a7
		},
		{
		0x58be,
		0x89a8
		},
		{
		0x58bf,
		0x89a9
		},
		{
		0x58c0,
		0x89aa
		},
		{
		0x58c2,
		0x89ab
		},
		{
		0x58c3,
		0x89ac
		},
		{
		0x58c4,
		0x89ad
		},
		{
		0x58c6,
		0x89ae
		},
		{
		0x58c7,
		0x89af
		},
		{
		0x58c8,
		0x89b0
		},
		{
		0x58c9,
		0x89b1
		},
		{
		0x58ca,
		0x89b2
		},
		{
		0x58cb,
		0x89b3
		},
		{
		0x58cc,
		0x89b4
		},
		{
		0x58cd,
		0x89b5
		},
		{
		0x58ce,
		0x89b6
		},
		{
		0x58cf,
		0x89b7
		},
		{
		0x58d0,
		0x89b8
		},
		{
		0x58d2,
		0x89b9
		},
		{
		0x58d3,
		0x89ba
		},
		{
		0x58d4,
		0x89bb
		},
		{
		0x58d6,
		0x89bc
		},
		{
		0x58d7,
		0x89bd
		},
		{
		0x58d8,
		0x89be
		},
		{
		0x58d9,
		0x89bf
		},
		{
		0x58da,
		0x89c0
		},
		{
		0x58db,
		0x89c1
		},
		{
		0x58dc,
		0x89c2
		},
		{
		0x58dd,
		0x89c3
		},
		{
		0x58de,
		0x89c4
		},
		{
		0x58df,
		0x89c5
		},
		{
		0x58e0,
		0x89c6
		},
		{
		0x58e1,
		0x89c7
		},
		{
		0x58e2,
		0x89c8
		},
		{
		0x58e3,
		0x89c9
		},
		{
		0x58e5,
		0x89ca
		},
		{
		0x58e6,
		0x89cb
		},
		{
		0x58e7,
		0x89cc
		},
		{
		0x58e8,
		0x89cd
		},
		{
		0x58e9,
		0x89ce
		},
		{
		0x58ea,
		0x89cf
		},
		{
		0x58ed,
		0x89d0
		},
		{
		0x58ef,
		0x89d1
		},
		{
		0x58f1,
		0x89d2
		},
		{
		0x58f2,
		0x89d3
		},
		{
		0x58f4,
		0x89d4
		},
		{
		0x58f5,
		0x89d5
		},
		{
		0x58f7,
		0x89d6
		},
		{
		0x58f8,
		0x89d7
		},
		{
		0x58fa,
		0x89d8
		},
		{
		0x58fb,
		0x89d9
		},
		{
		0x58fc,
		0x89da
		},
		{
		0x58fd,
		0x89db
		},
		{
		0x58fe,
		0x89dc
		},
		{
		0x58ff,
		0x89dd
		},
		{
		0x5900,
		0x89de
		},
		{
		0x5901,
		0x89df
		},
		{
		0x5903,
		0x89e0
		},
		{
		0x5905,
		0x89e1
		},
		{
		0x5906,
		0x89e2
		},
		{
		0x5908,
		0x89e3
		},
		{
		0x5909,
		0x89e4
		},
		{
		0x590a,
		0x89e5
		},
		{
		0x590b,
		0x89e6
		},
		{
		0x590c,
		0x89e7
		},
		{
		0x590e,
		0x89e8
		},
		{
		0x5910,
		0x89e9
		},
		{
		0x5911,
		0x89ea
		},
		{
		0x5912,
		0x89eb
		},
		{
		0x5913,
		0x89ec
		},
		{
		0x5917,
		0x89ed
		},
		{
		0x5918,
		0x89ee
		},
		{
		0x591b,
		0x89ef
		},
		{
		0x591d,
		0x89f0
		},
		{
		0x591e,
		0x89f1
		},
		{
		0x5920,
		0x89f2
		},
		{
		0x5921,
		0x89f3
		},
		{
		0x5922,
		0x89f4
		},
		{
		0x5923,
		0x89f5
		},
		{
		0x5926,
		0x89f6
		},
		{
		0x5928,
		0x89f7
		},
		{
		0x592c,
		0x89f8
		},
		{
		0x5930,
		0x89f9
		},
		{
		0x5932,
		0x89fa
		},
		{
		0x5933,
		0x89fb
		},
		{
		0x5935,
		0x89fc
		},
		{
		0x5936,
		0x89fd
		},
		{
		0x593b,
		0x89fe
		},
		{
		0x593d,
		0x8a40
		},
		{
		0x593e,
		0x8a41
		},
		{
		0x593f,
		0x8a42
		},
		{
		0x5940,
		0x8a43
		},
		{
		0x5943,
		0x8a44
		},
		{
		0x5945,
		0x8a45
		},
		{
		0x5946,
		0x8a46
		},
		{
		0x594a,
		0x8a47
		},
		{
		0x594c,
		0x8a48
		},
		{
		0x594d,
		0x8a49
		},
		{
		0x5950,
		0x8a4a
		},
		{
		0x5952,
		0x8a4b
		},
		{
		0x5953,
		0x8a4c
		},
		{
		0x5959,
		0x8a4d
		},
		{
		0x595b,
		0x8a4e
		},
		{
		0x595c,
		0x8a4f
		},
		{
		0x595d,
		0x8a50
		},
		{
		0x595e,
		0x8a51
		},
		{
		0x595f,
		0x8a52
		},
		{
		0x5961,
		0x8a53
		},
		{
		0x5963,
		0x8a54
		},
		{
		0x5964,
		0x8a55
		},
		{
		0x5966,
		0x8a56
		},
		{
		0x5967,
		0x8a57
		},
		{
		0x5968,
		0x8a58
		},
		{
		0x5969,
		0x8a59
		},
		{
		0x596a,
		0x8a5a
		},
		{
		0x596b,
		0x8a5b
		},
		{
		0x596c,
		0x8a5c
		},
		{
		0x596d,
		0x8a5d
		},
		{
		0x596e,
		0x8a5e
		},
		{
		0x596f,
		0x8a5f
		},
		{
		0x5970,
		0x8a60
		},
		{
		0x5971,
		0x8a61
		},
		{
		0x5972,
		0x8a62
		},
		{
		0x5975,
		0x8a63
		},
		{
		0x5977,
		0x8a64
		},
		{
		0x597a,
		0x8a65
		},
		{
		0x597b,
		0x8a66
		},
		{
		0x597c,
		0x8a67
		},
		{
		0x597e,
		0x8a68
		},
		{
		0x597f,
		0x8a69
		},
		{
		0x5980,
		0x8a6a
		},
		{
		0x5985,
		0x8a6b
		},
		{
		0x5989,
		0x8a6c
		},
		{
		0x598b,
		0x8a6d
		},
		{
		0x598c,
		0x8a6e
		},
		{
		0x598e,
		0x8a6f
		},
		{
		0x598f,
		0x8a70
		},
		{
		0x5990,
		0x8a71
		},
		{
		0x5991,
		0x8a72
		},
		{
		0x5994,
		0x8a73
		},
		{
		0x5995,
		0x8a74
		},
		{
		0x5998,
		0x8a75
		},
		{
		0x599a,
		0x8a76
		},
		{
		0x599b,
		0x8a77
		},
		{
		0x599c,
		0x8a78
		},
		{
		0x599d,
		0x8a79
		},
		{
		0x599f,
		0x8a7a
		},
		{
		0x59a0,
		0x8a7b
		},
		{
		0x59a1,
		0x8a7c
		},
		{
		0x59a2,
		0x8a7d
		},
		{
		0x59a6,
		0x8a7e
		},
		{
		0x59a7,
		0x8a80
		},
		{
		0x59ac,
		0x8a81
		},
		{
		0x59ad,
		0x8a82
		},
		{
		0x59b0,
		0x8a83
		},
		{
		0x59b1,
		0x8a84
		},
		{
		0x59b3,
		0x8a85
		},
		{
		0x59b4,
		0x8a86
		},
		{
		0x59b5,
		0x8a87
		},
		{
		0x59b6,
		0x8a88
		},
		{
		0x59b7,
		0x8a89
		},
		{
		0x59b8,
		0x8a8a
		},
		{
		0x59ba,
		0x8a8b
		},
		{
		0x59bc,
		0x8a8c
		},
		{
		0x59bd,
		0x8a8d
		},
		{
		0x59bf,
		0x8a8e
		},
		{
		0x59c0,
		0x8a8f
		},
		{
		0x59c1,
		0x8a90
		},
		{
		0x59c2,
		0x8a91
		},
		{
		0x59c3,
		0x8a92
		},
		{
		0x59c4,
		0x8a93
		},
		{
		0x59c5,
		0x8a94
		},
		{
		0x59c7,
		0x8a95
		},
		{
		0x59c8,
		0x8a96
		},
		{
		0x59c9,
		0x8a97
		},
		{
		0x59cc,
		0x8a98
		},
		{
		0x59cd,
		0x8a99
		},
		{
		0x59ce,
		0x8a9a
		},
		{
		0x59cf,
		0x8a9b
		},
		{
		0x59d5,
		0x8a9c
		},
		{
		0x59d6,
		0x8a9d
		},
		{
		0x59d9,
		0x8a9e
		},
		{
		0x59db,
		0x8a9f
		},
		{
		0x59de,
		0x8aa0
		},
		{
		0x59df,
		0x8aa1
		},
		{
		0x59e0,
		0x8aa2
		},
		{
		0x59e1,
		0x8aa3
		},
		{
		0x59e2,
		0x8aa4
		},
		{
		0x59e4,
		0x8aa5
		},
		{
		0x59e6,
		0x8aa6
		},
		{
		0x59e7,
		0x8aa7
		},
		{
		0x59e9,
		0x8aa8
		},
		{
		0x59ea,
		0x8aa9
		},
		{
		0x59eb,
		0x8aaa
		},
		{
		0x59ed,
		0x8aab
		},
		{
		0x59ee,
		0x8aac
		},
		{
		0x59ef,
		0x8aad
		},
		{
		0x59f0,
		0x8aae
		},
		{
		0x59f1,
		0x8aaf
		},
		{
		0x59f2,
		0x8ab0
		},
		{
		0x59f3,
		0x8ab1
		},
		{
		0x59f4,
		0x8ab2
		},
		{
		0x59f5,
		0x8ab3
		},
		{
		0x59f6,
		0x8ab4
		},
		{
		0x59f7,
		0x8ab5
		},
		{
		0x59f8,
		0x8ab6
		},
		{
		0x59fa,
		0x8ab7
		},
		{
		0x59fc,
		0x8ab8
		},
		{
		0x59fd,
		0x8ab9
		},
		{
		0x59fe,
		0x8aba
		},
		{
		0x5a00,
		0x8abb
		},
		{
		0x5a02,
		0x8abc
		},
		{
		0x5a0a,
		0x8abd
		},
		{
		0x5a0b,
		0x8abe
		},
		{
		0x5a0d,
		0x8abf
		},
		{
		0x5a0e,
		0x8ac0
		},
		{
		0x5a0f,
		0x8ac1
		},
		{
		0x5a10,
		0x8ac2
		},
		{
		0x5a12,
		0x8ac3
		},
		{
		0x5a14,
		0x8ac4
		},
		{
		0x5a15,
		0x8ac5
		},
		{
		0x5a16,
		0x8ac6
		},
		{
		0x5a17,
		0x8ac7
		},
		{
		0x5a19,
		0x8ac8
		},
		{
		0x5a1a,
		0x8ac9
		},
		{
		0x5a1b,
		0x8aca
		},
		{
		0x5a1d,
		0x8acb
		},
		{
		0x5a1e,
		0x8acc
		},
		{
		0x5a21,
		0x8acd
		},
		{
		0x5a22,
		0x8ace
		},
		{
		0x5a24,
		0x8acf
		},
		{
		0x5a26,
		0x8ad0
		},
		{
		0x5a27,
		0x8ad1
		},
		{
		0x5a28,
		0x8ad2
		},
		{
		0x5a2a,
		0x8ad3
		},
		{
		0x5a2b,
		0x8ad4
		},
		{
		0x5a2c,
		0x8ad5
		},
		{
		0x5a2d,
		0x8ad6
		},
		{
		0x5a2e,
		0x8ad7
		},
		{
		0x5a2f,
		0x8ad8
		},
		{
		0x5a30,
		0x8ad9
		},
		{
		0x5a33,
		0x8ada
		},
		{
		0x5a35,
		0x8adb
		},
		{
		0x5a37,
		0x8adc
		},
		{
		0x5a38,
		0x8add
		},
		{
		0x5a39,
		0x8ade
		},
		{
		0x5a3a,
		0x8adf
		},
		{
		0x5a3b,
		0x8ae0
		},
		{
		0x5a3d,
		0x8ae1
		},
		{
		0x5a3e,
		0x8ae2
		},
		{
		0x5a3f,
		0x8ae3
		},
		{
		0x5a41,
		0x8ae4
		},
		{
		0x5a42,
		0x8ae5
		},
		{
		0x5a43,
		0x8ae6
		},
		{
		0x5a44,
		0x8ae7
		},
		{
		0x5a45,
		0x8ae8
		},
		{
		0x5a47,
		0x8ae9
		},
		{
		0x5a48,
		0x8aea
		},
		{
		0x5a4b,
		0x8aeb
		},
		{
		0x5a4c,
		0x8aec
		},
		{
		0x5a4d,
		0x8aed
		},
		{
		0x5a4e,
		0x8aee
		},
		{
		0x5a4f,
		0x8aef
		},
		{
		0x5a50,
		0x8af0
		},
		{
		0x5a51,
		0x8af1
		},
		{
		0x5a52,
		0x8af2
		},
		{
		0x5a53,
		0x8af3
		},
		{
		0x5a54,
		0x8af4
		},
		{
		0x5a56,
		0x8af5
		},
		{
		0x5a57,
		0x8af6
		},
		{
		0x5a58,
		0x8af7
		},
		{
		0x5a59,
		0x8af8
		},
		{
		0x5a5b,
		0x8af9
		},
		{
		0x5a5c,
		0x8afa
		},
		{
		0x5a5d,
		0x8afb
		},
		{
		0x5a5e,
		0x8afc
		},
		{
		0x5a5f,
		0x8afd
		},
		{
		0x5a60,
		0x8afe
		},
		{
		0x5a61,
		0x8b40
		},
		{
		0x5a63,
		0x8b41
		},
		{
		0x5a64,
		0x8b42
		},
		{
		0x5a65,
		0x8b43
		},
		{
		0x5a66,
		0x8b44
		},
		{
		0x5a68,
		0x8b45
		},
		{
		0x5a69,
		0x8b46
		},
		{
		0x5a6b,
		0x8b47
		},
		{
		0x5a6c,
		0x8b48
		},
		{
		0x5a6d,
		0x8b49
		},
		{
		0x5a6e,
		0x8b4a
		},
		{
		0x5a6f,
		0x8b4b
		},
		{
		0x5a70,
		0x8b4c
		},
		{
		0x5a71,
		0x8b4d
		},
		{
		0x5a72,
		0x8b4e
		},
		{
		0x5a73,
		0x8b4f
		},
		{
		0x5a78,
		0x8b50
		},
		{
		0x5a79,
		0x8b51
		},
		{
		0x5a7b,
		0x8b52
		},
		{
		0x5a7c,
		0x8b53
		},
		{
		0x5a7d,
		0x8b54
		},
		{
		0x5a7e,
		0x8b55
		},
		{
		0x5a80,
		0x8b56
		},
		{
		0x5a81,
		0x8b57
		},
		{
		0x5a82,
		0x8b58
		},
		{
		0x5a83,
		0x8b59
		},
		{
		0x5a84,
		0x8b5a
		},
		{
		0x5a85,
		0x8b5b
		},
		{
		0x5a86,
		0x8b5c
		},
		{
		0x5a87,
		0x8b5d
		},
		{
		0x5a88,
		0x8b5e
		},
		{
		0x5a89,
		0x8b5f
		},
		{
		0x5a8a,
		0x8b60
		},
		{
		0x5a8b,
		0x8b61
		},
		{
		0x5a8c,
		0x8b62
		},
		{
		0x5a8d,
		0x8b63
		},
		{
		0x5a8e,
		0x8b64
		},
		{
		0x5a8f,
		0x8b65
		},
		{
		0x5a90,
		0x8b66
		},
		{
		0x5a91,
		0x8b67
		},
		{
		0x5a93,
		0x8b68
		},
		{
		0x5a94,
		0x8b69
		},
		{
		0x5a95,
		0x8b6a
		},
		{
		0x5a96,
		0x8b6b
		},
		{
		0x5a97,
		0x8b6c
		},
		{
		0x5a98,
		0x8b6d
		},
		{
		0x5a99,
		0x8b6e
		},
		{
		0x5a9c,
		0x8b6f
		},
		{
		0x5a9d,
		0x8b70
		},
		{
		0x5a9e,
		0x8b71
		},
		{
		0x5a9f,
		0x8b72
		},
		{
		0x5aa0,
		0x8b73
		},
		{
		0x5aa1,
		0x8b74
		},
		{
		0x5aa2,
		0x8b75
		},
		{
		0x5aa3,
		0x8b76
		},
		{
		0x5aa4,
		0x8b77
		},
		{
		0x5aa5,
		0x8b78
		},
		{
		0x5aa6,
		0x8b79
		},
		{
		0x5aa7,
		0x8b7a
		},
		{
		0x5aa8,
		0x8b7b
		},
		{
		0x5aa9,
		0x8b7c
		},
		{
		0x5aab,
		0x8b7d
		},
		{
		0x5aac,
		0x8b7e
		},
		{
		0x5aad,
		0x8b80
		},
		{
		0x5aae,
		0x8b81
		},
		{
		0x5aaf,
		0x8b82
		},
		{
		0x5ab0,
		0x8b83
		},
		{
		0x5ab1,
		0x8b84
		},
		{
		0x5ab4,
		0x8b85
		},
		{
		0x5ab6,
		0x8b86
		},
		{
		0x5ab7,
		0x8b87
		},
		{
		0x5ab9,
		0x8b88
		},
		{
		0x5aba,
		0x8b89
		},
		{
		0x5abb,
		0x8b8a
		},
		{
		0x5abc,
		0x8b8b
		},
		{
		0x5abd,
		0x8b8c
		},
		{
		0x5abf,
		0x8b8d
		},
		{
		0x5ac0,
		0x8b8e
		},
		{
		0x5ac3,
		0x8b8f
		},
		{
		0x5ac4,
		0x8b90
		},
		{
		0x5ac5,
		0x8b91
		},
		{
		0x5ac6,
		0x8b92
		},
		{
		0x5ac7,
		0x8b93
		},
		{
		0x5ac8,
		0x8b94
		},
		{
		0x5aca,
		0x8b95
		},
		{
		0x5acb,
		0x8b96
		},
		{
		0x5acd,
		0x8b97
		},
		{
		0x5ace,
		0x8b98
		},
		{
		0x5acf,
		0x8b99
		},
		{
		0x5ad0,
		0x8b9a
		},
		{
		0x5ad1,
		0x8b9b
		},
		{
		0x5ad3,
		0x8b9c
		},
		{
		0x5ad5,
		0x8b9d
		},
		{
		0x5ad7,
		0x8b9e
		},
		{
		0x5ad9,
		0x8b9f
		},
		{
		0x5ada,
		0x8ba0
		},
		{
		0x5adb,
		0x8ba1
		},
		{
		0x5add,
		0x8ba2
		},
		{
		0x5ade,
		0x8ba3
		},
		{
		0x5adf,
		0x8ba4
		},
		{
		0x5ae2,
		0x8ba5
		},
		{
		0x5ae4,
		0x8ba6
		},
		{
		0x5ae5,
		0x8ba7
		},
		{
		0x5ae7,
		0x8ba8
		},
		{
		0x5ae8,
		0x8ba9
		},
		{
		0x5aea,
		0x8baa
		},
		{
		0x5aec,
		0x8bab
		},
		{
		0x5aed,
		0x8bac
		},
		{
		0x5aee,
		0x8bad
		},
		{
		0x5aef,
		0x8bae
		},
		{
		0x5af0,
		0x8baf
		},
		{
		0x5af2,
		0x8bb0
		},
		{
		0x5af3,
		0x8bb1
		},
		{
		0x5af4,
		0x8bb2
		},
		{
		0x5af5,
		0x8bb3
		},
		{
		0x5af6,
		0x8bb4
		},
		{
		0x5af7,
		0x8bb5
		},
		{
		0x5af8,
		0x8bb6
		},
		{
		0x5af9,
		0x8bb7
		},
		{
		0x5afa,
		0x8bb8
		},
		{
		0x5afb,
		0x8bb9
		},
		{
		0x5afc,
		0x8bba
		},
		{
		0x5afd,
		0x8bbb
		},
		{
		0x5afe,
		0x8bbc
		},
		{
		0x5aff,
		0x8bbd
		},
		{
		0x5b00,
		0x8bbe
		},
		{
		0x5b01,
		0x8bbf
		},
		{
		0x5b02,
		0x8bc0
		},
		{
		0x5b03,
		0x8bc1
		},
		{
		0x5b04,
		0x8bc2
		},
		{
		0x5b05,
		0x8bc3
		},
		{
		0x5b06,
		0x8bc4
		},
		{
		0x5b07,
		0x8bc5
		},
		{
		0x5b08,
		0x8bc6
		},
		{
		0x5b0a,
		0x8bc7
		},
		{
		0x5b0b,
		0x8bc8
		},
		{
		0x5b0c,
		0x8bc9
		},
		{
		0x5b0d,
		0x8bca
		},
		{
		0x5b0e,
		0x8bcb
		},
		{
		0x5b0f,
		0x8bcc
		},
		{
		0x5b10,
		0x8bcd
		},
		{
		0x5b11,
		0x8bce
		},
		{
		0x5b12,
		0x8bcf
		},
		{
		0x5b13,
		0x8bd0
		},
		{
		0x5b14,
		0x8bd1
		},
		{
		0x5b15,
		0x8bd2
		},
		{
		0x5b18,
		0x8bd3
		},
		{
		0x5b19,
		0x8bd4
		},
		{
		0x5b1a,
		0x8bd5
		},
		{
		0x5b1b,
		0x8bd6
		},
		{
		0x5b1c,
		0x8bd7
		},
		{
		0x5b1d,
		0x8bd8
		},
		{
		0x5b1e,
		0x8bd9
		},
		{
		0x5b1f,
		0x8bda
		},
		{
		0x5b20,
		0x8bdb
		},
		{
		0x5b21,
		0x8bdc
		},
		{
		0x5b22,
		0x8bdd
		},
		{
		0x5b23,
		0x8bde
		},
		{
		0x5b24,
		0x8bdf
		},
		{
		0x5b25,
		0x8be0
		},
		{
		0x5b26,
		0x8be1
		},
		{
		0x5b27,
		0x8be2
		},
		{
		0x5b28,
		0x8be3
		},
		{
		0x5b29,
		0x8be4
		},
		{
		0x5b2a,
		0x8be5
		},
		{
		0x5b2b,
		0x8be6
		},
		{
		0x5b2c,
		0x8be7
		},
		{
		0x5b2d,
		0x8be8
		},
		{
		0x5b2e,
		0x8be9
		},
		{
		0x5b2f,
		0x8bea
		},
		{
		0x5b30,
		0x8beb
		},
		{
		0x5b31,
		0x8bec
		},
		{
		0x5b33,
		0x8bed
		},
		{
		0x5b35,
		0x8bee
		},
		{
		0x5b36,
		0x8bef
		},
		{
		0x5b38,
		0x8bf0
		},
		{
		0x5b39,
		0x8bf1
		},
		{
		0x5b3a,
		0x8bf2
		},
		{
		0x5b3b,
		0x8bf3
		},
		{
		0x5b3c,
		0x8bf4
		},
		{
		0x5b3d,
		0x8bf5
		},
		{
		0x5b3e,
		0x8bf6
		},
		{
		0x5b3f,
		0x8bf7
		},
		{
		0x5b41,
		0x8bf8
		},
		{
		0x5b42,
		0x8bf9
		},
		{
		0x5b43,
		0x8bfa
		},
		{
		0x5b44,
		0x8bfb
		},
		{
		0x5b45,
		0x8bfc
		},
		{
		0x5b46,
		0x8bfd
		},
		{
		0x5b47,
		0x8bfe
		},
		{
		0x5b48,
		0x8c40
		},
		{
		0x5b49,
		0x8c41
		},
		{
		0x5b4a,
		0x8c42
		},
		{
		0x5b4b,
		0x8c43
		},
		{
		0x5b4c,
		0x8c44
		},
		{
		0x5b4d,
		0x8c45
		},
		{
		0x5b4e,
		0x8c46
		},
		{
		0x5b4f,
		0x8c47
		},
		{
		0x5b52,
		0x8c48
		},
		{
		0x5b56,
		0x8c49
		},
		{
		0x5b5e,
		0x8c4a
		},
		{
		0x5b60,
		0x8c4b
		},
		{
		0x5b61,
		0x8c4c
		},
		{
		0x5b67,
		0x8c4d
		},
		{
		0x5b68,
		0x8c4e
		},
		{
		0x5b6b,
		0x8c4f
		},
		{
		0x5b6d,
		0x8c50
		},
		{
		0x5b6e,
		0x8c51
		},
		{
		0x5b6f,
		0x8c52
		},
		{
		0x5b72,
		0x8c53
		},
		{
		0x5b74,
		0x8c54
		},
		{
		0x5b76,
		0x8c55
		},
		{
		0x5b77,
		0x8c56
		},
		{
		0x5b78,
		0x8c57
		},
		{
		0x5b79,
		0x8c58
		},
		{
		0x5b7b,
		0x8c59
		},
		{
		0x5b7c,
		0x8c5a
		},
		{
		0x5b7e,
		0x8c5b
		},
		{
		0x5b7f,
		0x8c5c
		},
		{
		0x5b82,
		0x8c5d
		},
		{
		0x5b86,
		0x8c5e
		},
		{
		0x5b8a,
		0x8c5f
		},
		{
		0x5b8d,
		0x8c60
		},
		{
		0x5b8e,
		0x8c61
		},
		{
		0x5b90,
		0x8c62
		},
		{
		0x5b91,
		0x8c63
		},
		{
		0x5b92,
		0x8c64
		},
		{
		0x5b94,
		0x8c65
		},
		{
		0x5b96,
		0x8c66
		},
		{
		0x5b9f,
		0x8c67
		},
		{
		0x5ba7,
		0x8c68
		},
		{
		0x5ba8,
		0x8c69
		},
		{
		0x5ba9,
		0x8c6a
		},
		{
		0x5bac,
		0x8c6b
		},
		{
		0x5bad,
		0x8c6c
		},
		{
		0x5bae,
		0x8c6d
		},
		{
		0x5baf,
		0x8c6e
		},
		{
		0x5bb1,
		0x8c6f
		},
		{
		0x5bb2,
		0x8c70
		},
		{
		0x5bb7,
		0x8c71
		},
		{
		0x5bba,
		0x8c72
		},
		{
		0x5bbb,
		0x8c73
		},
		{
		0x5bbc,
		0x8c74
		},
		{
		0x5bc0,
		0x8c75
		},
		{
		0x5bc1,
		0x8c76
		},
		{
		0x5bc3,
		0x8c77
		},
		{
		0x5bc8,
		0x8c78
		},
		{
		0x5bc9,
		0x8c79
		},
		{
		0x5bca,
		0x8c7a
		},
		{
		0x5bcb,
		0x8c7b
		},
		{
		0x5bcd,
		0x8c7c
		},
		{
		0x5bce,
		0x8c7d
		},
		{
		0x5bcf,
		0x8c7e
		},
		{
		0x5bd1,
		0x8c80
		},
		{
		0x5bd4,
		0x8c81
		},
		{
		0x5bd5,
		0x8c82
		},
		{
		0x5bd6,
		0x8c83
		},
		{
		0x5bd7,
		0x8c84
		},
		{
		0x5bd8,
		0x8c85
		},
		{
		0x5bd9,
		0x8c86
		},
		{
		0x5bda,
		0x8c87
		},
		{
		0x5bdb,
		0x8c88
		},
		{
		0x5bdc,
		0x8c89
		},
		{
		0x5be0,
		0x8c8a
		},
		{
		0x5be2,
		0x8c8b
		},
		{
		0x5be3,
		0x8c8c
		},
		{
		0x5be6,
		0x8c8d
		},
		{
		0x5be7,
		0x8c8e
		},
		{
		0x5be9,
		0x8c8f
		},
		{
		0x5bea,
		0x8c90
		},
		{
		0x5beb,
		0x8c91
		},
		{
		0x5bec,
		0x8c92
		},
		{
		0x5bed,
		0x8c93
		},
		{
		0x5bef,
		0x8c94
		},
		{
		0x5bf1,
		0x8c95
		},
		{
		0x5bf2,
		0x8c96
		},
		{
		0x5bf3,
		0x8c97
		},
		{
		0x5bf4,
		0x8c98
		},
		{
		0x5bf5,
		0x8c99
		},
		{
		0x5bf6,
		0x8c9a
		},
		{
		0x5bf7,
		0x8c9b
		},
		{
		0x5bfd,
		0x8c9c
		},
		{
		0x5bfe,
		0x8c9d
		},
		{
		0x5c00,
		0x8c9e
		},
		{
		0x5c02,
		0x8c9f
		},
		{
		0x5c03,
		0x8ca0
		},
		{
		0x5c05,
		0x8ca1
		},
		{
		0x5c07,
		0x8ca2
		},
		{
		0x5c08,
		0x8ca3
		},
		{
		0x5c0b,
		0x8ca4
		},
		{
		0x5c0c,
		0x8ca5
		},
		{
		0x5c0d,
		0x8ca6
		},
		{
		0x5c0e,
		0x8ca7
		},
		{
		0x5c10,
		0x8ca8
		},
		{
		0x5c12,
		0x8ca9
		},
		{
		0x5c13,
		0x8caa
		},
		{
		0x5c17,
		0x8cab
		},
		{
		0x5c19,
		0x8cac
		},
		{
		0x5c1b,
		0x8cad
		},
		{
		0x5c1e,
		0x8cae
		},
		{
		0x5c1f,
		0x8caf
		},
		{
		0x5c20,
		0x8cb0
		},
		{
		0x5c21,
		0x8cb1
		},
		{
		0x5c23,
		0x8cb2
		},
		{
		0x5c26,
		0x8cb3
		},
		{
		0x5c28,
		0x8cb4
		},
		{
		0x5c29,
		0x8cb5
		},
		{
		0x5c2a,
		0x8cb6
		},
		{
		0x5c2b,
		0x8cb7
		},
		{
		0x5c2d,
		0x8cb8
		},
		{
		0x5c2e,
		0x8cb9
		},
		{
		0x5c2f,
		0x8cba
		},
		{
		0x5c30,
		0x8cbb
		},
		{
		0x5c32,
		0x8cbc
		},
		{
		0x5c33,
		0x8cbd
		},
		{
		0x5c35,
		0x8cbe
		},
		{
		0x5c36,
		0x8cbf
		},
		{
		0x5c37,
		0x8cc0
		},
		{
		0x5c43,
		0x8cc1
		},
		{
		0x5c44,
		0x8cc2
		},
		{
		0x5c46,
		0x8cc3
		},
		{
		0x5c47,
		0x8cc4
		},
		{
		0x5c4c,
		0x8cc5
		},
		{
		0x5c4d,
		0x8cc6
		},
		{
		0x5c52,
		0x8cc7
		},
		{
		0x5c53,
		0x8cc8
		},
		{
		0x5c54,
		0x8cc9
		},
		{
		0x5c56,
		0x8cca
		},
		{
		0x5c57,
		0x8ccb
		},
		{
		0x5c58,
		0x8ccc
		},
		{
		0x5c5a,
		0x8ccd
		},
		{
		0x5c5b,
		0x8cce
		},
		{
		0x5c5c,
		0x8ccf
		},
		{
		0x5c5d,
		0x8cd0
		},
		{
		0x5c5f,
		0x8cd1
		},
		{
		0x5c62,
		0x8cd2
		},
		{
		0x5c64,
		0x8cd3
		},
		{
		0x5c67,
		0x8cd4
		},
		{
		0x5c68,
		0x8cd5
		},
		{
		0x5c69,
		0x8cd6
		},
		{
		0x5c6a,
		0x8cd7
		},
		{
		0x5c6b,
		0x8cd8
		},
		{
		0x5c6c,
		0x8cd9
		},
		{
		0x5c6d,
		0x8cda
		},
		{
		0x5c70,
		0x8cdb
		},
		{
		0x5c72,
		0x8cdc
		},
		{
		0x5c73,
		0x8cdd
		},
		{
		0x5c74,
		0x8cde
		},
		{
		0x5c75,
		0x8cdf
		},
		{
		0x5c76,
		0x8ce0
		},
		{
		0x5c77,
		0x8ce1
		},
		{
		0x5c78,
		0x8ce2
		},
		{
		0x5c7b,
		0x8ce3
		},
		{
		0x5c7c,
		0x8ce4
		},
		{
		0x5c7d,
		0x8ce5
		},
		{
		0x5c7e,
		0x8ce6
		},
		{
		0x5c80,
		0x8ce7
		},
		{
		0x5c83,
		0x8ce8
		},
		{
		0x5c84,
		0x8ce9
		},
		{
		0x5c85,
		0x8cea
		},
		{
		0x5c86,
		0x8ceb
		},
		{
		0x5c87,
		0x8cec
		},
		{
		0x5c89,
		0x8ced
		},
		{
		0x5c8a,
		0x8cee
		},
		{
		0x5c8b,
		0x8cef
		},
		{
		0x5c8e,
		0x8cf0
		},
		{
		0x5c8f,
		0x8cf1
		},
		{
		0x5c92,
		0x8cf2
		},
		{
		0x5c93,
		0x8cf3
		},
		{
		0x5c95,
		0x8cf4
		},
		{
		0x5c9d,
		0x8cf5
		},
		{
		0x5c9e,
		0x8cf6
		},
		{
		0x5c9f,
		0x8cf7
		},
		{
		0x5ca0,
		0x8cf8
		},
		{
		0x5ca1,
		0x8cf9
		},
		{
		0x5ca4,
		0x8cfa
		},
		{
		0x5ca5,
		0x8cfb
		},
		{
		0x5ca6,
		0x8cfc
		},
		{
		0x5ca7,
		0x8cfd
		},
		{
		0x5ca8,
		0x8cfe
		},
		{
		0x5caa,
		0x8d40
		},
		{
		0x5cae,
		0x8d41
		},
		{
		0x5caf,
		0x8d42
		},
		{
		0x5cb0,
		0x8d43
		},
		{
		0x5cb2,
		0x8d44
		},
		{
		0x5cb4,
		0x8d45
		},
		{
		0x5cb6,
		0x8d46
		},
		{
		0x5cb9,
		0x8d47
		},
		{
		0x5cba,
		0x8d48
		},
		{
		0x5cbb,
		0x8d49
		},
		{
		0x5cbc,
		0x8d4a
		},
		{
		0x5cbe,
		0x8d4b
		},
		{
		0x5cc0,
		0x8d4c
		},
		{
		0x5cc2,
		0x8d4d
		},
		{
		0x5cc3,
		0x8d4e
		},
		{
		0x5cc5,
		0x8d4f
		},
		{
		0x5cc6,
		0x8d50
		},
		{
		0x5cc7,
		0x8d51
		},
		{
		0x5cc8,
		0x8d52
		},
		{
		0x5cc9,
		0x8d53
		},
		{
		0x5cca,
		0x8d54
		},
		{
		0x5ccc,
		0x8d55
		},
		{
		0x5ccd,
		0x8d56
		},
		{
		0x5cce,
		0x8d57
		},
		{
		0x5ccf,
		0x8d58
		},
		{
		0x5cd0,
		0x8d59
		},
		{
		0x5cd1,
		0x8d5a
		},
		{
		0x5cd3,
		0x8d5b
		},
		{
		0x5cd4,
		0x8d5c
		},
		{
		0x5cd5,
		0x8d5d
		},
		{
		0x5cd6,
		0x8d5e
		},
		{
		0x5cd7,
		0x8d5f
		},
		{
		0x5cd8,
		0x8d60
		},
		{
		0x5cda,
		0x8d61
		},
		{
		0x5cdb,
		0x8d62
		},
		{
		0x5cdc,
		0x8d63
		},
		{
		0x5cdd,
		0x8d64
		},
		{
		0x5cde,
		0x8d65
		},
		{
		0x5cdf,
		0x8d66
		},
		{
		0x5ce0,
		0x8d67
		},
		{
		0x5ce2,
		0x8d68
		},
		{
		0x5ce3,
		0x8d69
		},
		{
		0x5ce7,
		0x8d6a
		},
		{
		0x5ce9,
		0x8d6b
		},
		{
		0x5ceb,
		0x8d6c
		},
		{
		0x5cec,
		0x8d6d
		},
		{
		0x5cee,
		0x8d6e
		},
		{
		0x5cef,
		0x8d6f
		},
		{
		0x5cf1,
		0x8d70
		},
		{
		0x5cf2,
		0x8d71
		},
		{
		0x5cf3,
		0x8d72
		},
		{
		0x5cf4,
		0x8d73
		},
		{
		0x5cf5,
		0x8d74
		},
		{
		0x5cf6,
		0x8d75
		},
		{
		0x5cf7,
		0x8d76
		},
		{
		0x5cf8,
		0x8d77
		},
		{
		0x5cf9,
		0x8d78
		},
		{
		0x5cfa,
		0x8d79
		},
		{
		0x5cfc,
		0x8d7a
		},
		{
		0x5cfd,
		0x8d7b
		},
		{
		0x5cfe,
		0x8d7c
		},
		{
		0x5cff,
		0x8d7d
		},
		{
		0x5d00,
		0x8d7e
		},
		{
		0x5d01,
		0x8d80
		},
		{
		0x5d04,
		0x8d81
		},
		{
		0x5d05,
		0x8d82
		},
		{
		0x5d08,
		0x8d83
		},
		{
		0x5d09,
		0x8d84
		},
		{
		0x5d0a,
		0x8d85
		},
		{
		0x5d0b,
		0x8d86
		},
		{
		0x5d0c,
		0x8d87
		},
		{
		0x5d0d,
		0x8d88
		},
		{
		0x5d0f,
		0x8d89
		},
		{
		0x5d10,
		0x8d8a
		},
		{
		0x5d11,
		0x8d8b
		},
		{
		0x5d12,
		0x8d8c
		},
		{
		0x5d13,
		0x8d8d
		},
		{
		0x5d15,
		0x8d8e
		},
		{
		0x5d17,
		0x8d8f
		},
		{
		0x5d18,
		0x8d90
		},
		{
		0x5d19,
		0x8d91
		},
		{
		0x5d1a,
		0x8d92
		},
		{
		0x5d1c,
		0x8d93
		},
		{
		0x5d1d,
		0x8d94
		},
		{
		0x5d1f,
		0x8d95
		},
		{
		0x5d20,
		0x8d96
		},
		{
		0x5d21,
		0x8d97
		},
		{
		0x5d22,
		0x8d98
		},
		{
		0x5d23,
		0x8d99
		},
		{
		0x5d25,
		0x8d9a
		},
		{
		0x5d28,
		0x8d9b
		},
		{
		0x5d2a,
		0x8d9c
		},
		{
		0x5d2b,
		0x8d9d
		},
		{
		0x5d2c,
		0x8d9e
		},
		{
		0x5d2f,
		0x8d9f
		},
		{
		0x5d30,
		0x8da0
		},
		{
		0x5d31,
		0x8da1
		},
		{
		0x5d32,
		0x8da2
		},
		{
		0x5d33,
		0x8da3
		},
		{
		0x5d35,
		0x8da4
		},
		{
		0x5d36,
		0x8da5
		},
		{
		0x5d37,
		0x8da6
		},
		{
		0x5d38,
		0x8da7
		},
		{
		0x5d39,
		0x8da8
		},
		{
		0x5d3a,
		0x8da9
		},
		{
		0x5d3b,
		0x8daa
		},
		{
		0x5d3c,
		0x8dab
		},
		{
		0x5d3f,
		0x8dac
		},
		{
		0x5d40,
		0x8dad
		},
		{
		0x5d41,
		0x8dae
		},
		{
		0x5d42,
		0x8daf
		},
		{
		0x5d43,
		0x8db0
		},
		{
		0x5d44,
		0x8db1
		},
		{
		0x5d45,
		0x8db2
		},
		{
		0x5d46,
		0x8db3
		},
		{
		0x5d48,
		0x8db4
		},
		{
		0x5d49,
		0x8db5
		},
		{
		0x5d4d,
		0x8db6
		},
		{
		0x5d4e,
		0x8db7
		},
		{
		0x5d4f,
		0x8db8
		},
		{
		0x5d50,
		0x8db9
		},
		{
		0x5d51,
		0x8dba
		},
		{
		0x5d52,
		0x8dbb
		},
		{
		0x5d53,
		0x8dbc
		},
		{
		0x5d54,
		0x8dbd
		},
		{
		0x5d55,
		0x8dbe
		},
		{
		0x5d56,
		0x8dbf
		},
		{
		0x5d57,
		0x8dc0
		},
		{
		0x5d59,
		0x8dc1
		},
		{
		0x5d5a,
		0x8dc2
		},
		{
		0x5d5c,
		0x8dc3
		},
		{
		0x5d5e,
		0x8dc4
		},
		{
		0x5d5f,
		0x8dc5
		},
		{
		0x5d60,
		0x8dc6
		},
		{
		0x5d61,
		0x8dc7
		},
		{
		0x5d62,
		0x8dc8
		},
		{
		0x5d63,
		0x8dc9
		},
		{
		0x5d64,
		0x8dca
		},
		{
		0x5d65,
		0x8dcb
		},
		{
		0x5d66,
		0x8dcc
		},
		{
		0x5d67,
		0x8dcd
		},
		{
		0x5d68,
		0x8dce
		},
		{
		0x5d6a,
		0x8dcf
		},
		{
		0x5d6d,
		0x8dd0
		},
		{
		0x5d6e,
		0x8dd1
		},
		{
		0x5d70,
		0x8dd2
		},
		{
		0x5d71,
		0x8dd3
		},
		{
		0x5d72,
		0x8dd4
		},
		{
		0x5d73,
		0x8dd5
		},
		{
		0x5d75,
		0x8dd6
		},
		{
		0x5d76,
		0x8dd7
		},
		{
		0x5d77,
		0x8dd8
		},
		{
		0x5d78,
		0x8dd9
		},
		{
		0x5d79,
		0x8dda
		},
		{
		0x5d7a,
		0x8ddb
		},
		{
		0x5d7b,
		0x8ddc
		},
		{
		0x5d7c,
		0x8ddd
		},
		{
		0x5d7d,
		0x8dde
		},
		{
		0x5d7e,
		0x8ddf
		},
		{
		0x5d7f,
		0x8de0
		},
		{
		0x5d80,
		0x8de1
		},
		{
		0x5d81,
		0x8de2
		},
		{
		0x5d83,
		0x8de3
		},
		{
		0x5d84,
		0x8de4
		},
		{
		0x5d85,
		0x8de5
		},
		{
		0x5d86,
		0x8de6
		},
		{
		0x5d87,
		0x8de7
		},
		{
		0x5d88,
		0x8de8
		},
		{
		0x5d89,
		0x8de9
		},
		{
		0x5d8a,
		0x8dea
		},
		{
		0x5d8b,
		0x8deb
		},
		{
		0x5d8c,
		0x8dec
		},
		{
		0x5d8d,
		0x8ded
		},
		{
		0x5d8e,
		0x8dee
		},
		{
		0x5d8f,
		0x8def
		},
		{
		0x5d90,
		0x8df0
		},
		{
		0x5d91,
		0x8df1
		},
		{
		0x5d92,
		0x8df2
		},
		{
		0x5d93,
		0x8df3
		},
		{
		0x5d94,
		0x8df4
		},
		{
		0x5d95,
		0x8df5
		},
		{
		0x5d96,
		0x8df6
		},
		{
		0x5d97,
		0x8df7
		},
		{
		0x5d98,
		0x8df8
		},
		{
		0x5d9a,
		0x8df9
		},
		{
		0x5d9b,
		0x8dfa
		},
		{
		0x5d9c,
		0x8dfb
		},
		{
		0x5d9e,
		0x8dfc
		},
		{
		0x5d9f,
		0x8dfd
		},
		{
		0x5da0,
		0x8dfe
		},
		{
		0x5da1,
		0x8e40
		},
		{
		0x5da2,
		0x8e41
		},
		{
		0x5da3,
		0x8e42
		},
		{
		0x5da4,
		0x8e43
		},
		{
		0x5da5,
		0x8e44
		},
		{
		0x5da6,
		0x8e45
		},
		{
		0x5da7,
		0x8e46
		},
		{
		0x5da8,
		0x8e47
		},
		{
		0x5da9,
		0x8e48
		},
		{
		0x5daa,
		0x8e49
		},
		{
		0x5dab,
		0x8e4a
		},
		{
		0x5dac,
		0x8e4b
		},
		{
		0x5dad,
		0x8e4c
		},
		{
		0x5dae,
		0x8e4d
		},
		{
		0x5daf,
		0x8e4e
		},
		{
		0x5db0,
		0x8e4f
		},
		{
		0x5db1,
		0x8e50
		},
		{
		0x5db2,
		0x8e51
		},
		{
		0x5db3,
		0x8e52
		},
		{
		0x5db4,
		0x8e53
		},
		{
		0x5db5,
		0x8e54
		},
		{
		0x5db6,
		0x8e55
		},
		{
		0x5db8,
		0x8e56
		},
		{
		0x5db9,
		0x8e57
		},
		{
		0x5dba,
		0x8e58
		},
		{
		0x5dbb,
		0x8e59
		},
		{
		0x5dbc,
		0x8e5a
		},
		{
		0x5dbd,
		0x8e5b
		},
		{
		0x5dbe,
		0x8e5c
		},
		{
		0x5dbf,
		0x8e5d
		},
		{
		0x5dc0,
		0x8e5e
		},
		{
		0x5dc1,
		0x8e5f
		},
		{
		0x5dc2,
		0x8e60
		},
		{
		0x5dc3,
		0x8e61
		},
		{
		0x5dc4,
		0x8e62
		},
		{
		0x5dc6,
		0x8e63
		},
		{
		0x5dc7,
		0x8e64
		},
		{
		0x5dc8,
		0x8e65
		},
		{
		0x5dc9,
		0x8e66
		},
		{
		0x5dca,
		0x8e67
		},
		{
		0x5dcb,
		0x8e68
		},
		{
		0x5dcc,
		0x8e69
		},
		{
		0x5dce,
		0x8e6a
		},
		{
		0x5dcf,
		0x8e6b
		},
		{
		0x5dd0,
		0x8e6c
		},
		{
		0x5dd1,
		0x8e6d
		},
		{
		0x5dd2,
		0x8e6e
		},
		{
		0x5dd3,
		0x8e6f
		},
		{
		0x5dd4,
		0x8e70
		},
		{
		0x5dd5,
		0x8e71
		},
		{
		0x5dd6,
		0x8e72
		},
		{
		0x5dd7,
		0x8e73
		},
		{
		0x5dd8,
		0x8e74
		},
		{
		0x5dd9,
		0x8e75
		},
		{
		0x5dda,
		0x8e76
		},
		{
		0x5ddc,
		0x8e77
		},
		{
		0x5ddf,
		0x8e78
		},
		{
		0x5de0,
		0x8e79
		},
		{
		0x5de3,
		0x8e7a
		},
		{
		0x5de4,
		0x8e7b
		},
		{
		0x5dea,
		0x8e7c
		},
		{
		0x5dec,
		0x8e7d
		},
		{
		0x5ded,
		0x8e7e
		},
		{
		0x5df0,
		0x8e80
		},
		{
		0x5df5,
		0x8e81
		},
		{
		0x5df6,
		0x8e82
		},
		{
		0x5df8,
		0x8e83
		},
		{
		0x5df9,
		0x8e84
		},
		{
		0x5dfa,
		0x8e85
		},
		{
		0x5dfb,
		0x8e86
		},
		{
		0x5dfc,
		0x8e87
		},
		{
		0x5dff,
		0x8e88
		},
		{
		0x5e00,
		0x8e89
		},
		{
		0x5e04,
		0x8e8a
		},
		{
		0x5e07,
		0x8e8b
		},
		{
		0x5e09,
		0x8e8c
		},
		{
		0x5e0a,
		0x8e8d
		},
		{
		0x5e0b,
		0x8e8e
		},
		{
		0x5e0d,
		0x8e8f
		},
		{
		0x5e0e,
		0x8e90
		},
		{
		0x5e12,
		0x8e91
		},
		{
		0x5e13,
		0x8e92
		},
		{
		0x5e17,
		0x8e93
		},
		{
		0x5e1e,
		0x8e94
		},
		{
		0x5e1f,
		0x8e95
		},
		{
		0x5e20,
		0x8e96
		},
		{
		0x5e21,
		0x8e97
		},
		{
		0x5e22,
		0x8e98
		},
		{
		0x5e23,
		0x8e99
		},
		{
		0x5e24,
		0x8e9a
		},
		{
		0x5e25,
		0x8e9b
		},
		{
		0x5e28,
		0x8e9c
		},
		{
		0x5e29,
		0x8e9d
		},
		{
		0x5e2a,
		0x8e9e
		},
		{
		0x5e2b,
		0x8e9f
		},
		{
		0x5e2c,
		0x8ea0
		},
		{
		0x5e2f,
		0x8ea1
		},
		{
		0x5e30,
		0x8ea2
		},
		{
		0x5e32,
		0x8ea3
		},
		{
		0x5e33,
		0x8ea4
		},
		{
		0x5e34,
		0x8ea5
		},
		{
		0x5e35,
		0x8ea6
		},
		{
		0x5e36,
		0x8ea7
		},
		{
		0x5e39,
		0x8ea8
		},
		{
		0x5e3a,
		0x8ea9
		},
		{
		0x5e3e,
		0x8eaa
		},
		{
		0x5e3f,
		0x8eab
		},
		{
		0x5e40,
		0x8eac
		},
		{
		0x5e41,
		0x8ead
		},
		{
		0x5e43,
		0x8eae
		},
		{
		0x5e46,
		0x8eaf
		},
		{
		0x5e47,
		0x8eb0
		},
		{
		0x5e48,
		0x8eb1
		},
		{
		0x5e49,
		0x8eb2
		},
		{
		0x5e4a,
		0x8eb3
		},
		{
		0x5e4b,
		0x8eb4
		},
		{
		0x5e4d,
		0x8eb5
		},
		{
		0x5e4e,
		0x8eb6
		},
		{
		0x5e4f,
		0x8eb7
		},
		{
		0x5e50,
		0x8eb8
		},
		{
		0x5e51,
		0x8eb9
		},
		{
		0x5e52,
		0x8eba
		},
		{
		0x5e53,
		0x8ebb
		},
		{
		0x5e56,
		0x8ebc
		},
		{
		0x5e57,
		0x8ebd
		},
		{
		0x5e58,
		0x8ebe
		},
		{
		0x5e59,
		0x8ebf
		},
		{
		0x5e5a,
		0x8ec0
		},
		{
		0x5e5c,
		0x8ec1
		},
		{
		0x5e5d,
		0x8ec2
		},
		{
		0x5e5f,
		0x8ec3
		},
		{
		0x5e60,
		0x8ec4
		},
		{
		0x5e63,
		0x8ec5
		},
		{
		0x5e64,
		0x8ec6
		},
		{
		0x5e65,
		0x8ec7
		},
		{
		0x5e66,
		0x8ec8
		},
		{
		0x5e67,
		0x8ec9
		},
		{
		0x5e68,
		0x8eca
		},
		{
		0x5e69,
		0x8ecb
		},
		{
		0x5e6a,
		0x8ecc
		},
		{
		0x5e6b,
		0x8ecd
		},
		{
		0x5e6c,
		0x8ece
		},
		{
		0x5e6d,
		0x8ecf
		},
		{
		0x5e6e,
		0x8ed0
		},
		{
		0x5e6f,
		0x8ed1
		},
		{
		0x5e70,
		0x8ed2
		},
		{
		0x5e71,
		0x8ed3
		},
		{
		0x5e75,
		0x8ed4
		},
		{
		0x5e77,
		0x8ed5
		},
		{
		0x5e79,
		0x8ed6
		},
		{
		0x5e7e,
		0x8ed7
		},
		{
		0x5e81,
		0x8ed8
		},
		{
		0x5e82,
		0x8ed9
		},
		{
		0x5e83,
		0x8eda
		},
		{
		0x5e85,
		0x8edb
		},
		{
		0x5e88,
		0x8edc
		},
		{
		0x5e89,
		0x8edd
		},
		{
		0x5e8c,
		0x8ede
		},
		{
		0x5e8d,
		0x8edf
		},
		{
		0x5e8e,
		0x8ee0
		},
		{
		0x5e92,
		0x8ee1
		},
		{
		0x5e98,
		0x8ee2
		},
		{
		0x5e9b,
		0x8ee3
		},
		{
		0x5e9d,
		0x8ee4
		},
		{
		0x5ea1,
		0x8ee5
		},
		{
		0x5ea2,
		0x8ee6
		},
		{
		0x5ea3,
		0x8ee7
		},
		{
		0x5ea4,
		0x8ee8
		},
		{
		0x5ea8,
		0x8ee9
		},
		{
		0x5ea9,
		0x8eea
		},
		{
		0x5eaa,
		0x8eeb
		},
		{
		0x5eab,
		0x8eec
		},
		{
		0x5eac,
		0x8eed
		},
		{
		0x5eae,
		0x8eee
		},
		{
		0x5eaf,
		0x8eef
		},
		{
		0x5eb0,
		0x8ef0
		},
		{
		0x5eb1,
		0x8ef1
		},
		{
		0x5eb2,
		0x8ef2
		},
		{
		0x5eb4,
		0x8ef3
		},
		{
		0x5eba,
		0x8ef4
		},
		{
		0x5ebb,
		0x8ef5
		},
		{
		0x5ebc,
		0x8ef6
		},
		{
		0x5ebd,
		0x8ef7
		},
		{
		0x5ebf,
		0x8ef8
		},
		{
		0x5ec0,
		0x8ef9
		},
		{
		0x5ec1,
		0x8efa
		},
		{
		0x5ec2,
		0x8efb
		},
		{
		0x5ec3,
		0x8efc
		},
		{
		0x5ec4,
		0x8efd
		},
		{
		0x5ec5,
		0x8efe
		},
		{
		0x5ec6,
		0x8f40
		},
		{
		0x5ec7,
		0x8f41
		},
		{
		0x5ec8,
		0x8f42
		},
		{
		0x5ecb,
		0x8f43
		},
		{
		0x5ecc,
		0x8f44
		},
		{
		0x5ecd,
		0x8f45
		},
		{
		0x5ece,
		0x8f46
		},
		{
		0x5ecf,
		0x8f47
		},
		{
		0x5ed0,
		0x8f48
		},
		{
		0x5ed4,
		0x8f49
		},
		{
		0x5ed5,
		0x8f4a
		},
		{
		0x5ed7,
		0x8f4b
		},
		{
		0x5ed8,
		0x8f4c
		},
		{
		0x5ed9,
		0x8f4d
		},
		{
		0x5eda,
		0x8f4e
		},
		{
		0x5edc,
		0x8f4f
		},
		{
		0x5edd,
		0x8f50
		},
		{
		0x5ede,
		0x8f51
		},
		{
		0x5edf,
		0x8f52
		},
		{
		0x5ee0,
		0x8f53
		},
		{
		0x5ee1,
		0x8f54
		},
		{
		0x5ee2,
		0x8f55
		},
		{
		0x5ee3,
		0x8f56
		},
		{
		0x5ee4,
		0x8f57
		},
		{
		0x5ee5,
		0x8f58
		},
		{
		0x5ee6,
		0x8f59
		},
		{
		0x5ee7,
		0x8f5a
		},
		{
		0x5ee9,
		0x8f5b
		},
		{
		0x5eeb,
		0x8f5c
		},
		{
		0x5eec,
		0x8f5d
		},
		{
		0x5eed,
		0x8f5e
		},
		{
		0x5eee,
		0x8f5f
		},
		{
		0x5eef,
		0x8f60
		},
		{
		0x5ef0,
		0x8f61
		},
		{
		0x5ef1,
		0x8f62
		},
		{
		0x5ef2,
		0x8f63
		},
		{
		0x5ef3,
		0x8f64
		},
		{
		0x5ef5,
		0x8f65
		},
		{
		0x5ef8,
		0x8f66
		},
		{
		0x5ef9,
		0x8f67
		},
		{
		0x5efb,
		0x8f68
		},
		{
		0x5efc,
		0x8f69
		},
		{
		0x5efd,
		0x8f6a
		},
		{
		0x5f05,
		0x8f6b
		},
		{
		0x5f06,
		0x8f6c
		},
		{
		0x5f07,
		0x8f6d
		},
		{
		0x5f09,
		0x8f6e
		},
		{
		0x5f0c,
		0x8f6f
		},
		{
		0x5f0d,
		0x8f70
		},
		{
		0x5f0e,
		0x8f71
		},
		{
		0x5f10,
		0x8f72
		},
		{
		0x5f12,
		0x8f73
		},
		{
		0x5f14,
		0x8f74
		},
		{
		0x5f16,
		0x8f75
		},
		{
		0x5f19,
		0x8f76
		},
		{
		0x5f1a,
		0x8f77
		},
		{
		0x5f1c,
		0x8f78
		},
		{
		0x5f1d,
		0x8f79
		},
		{
		0x5f1e,
		0x8f7a
		},
		{
		0x5f21,
		0x8f7b
		},
		{
		0x5f22,
		0x8f7c
		},
		{
		0x5f23,
		0x8f7d
		},
		{
		0x5f24,
		0x8f7e
		},
		{
		0x5f28,
		0x8f80
		},
		{
		0x5f2b,
		0x8f81
		},
		{
		0x5f2c,
		0x8f82
		},
		{
		0x5f2e,
		0x8f83
		},
		{
		0x5f30,
		0x8f84
		},
		{
		0x5f32,
		0x8f85
		},
		{
		0x5f33,
		0x8f86
		},
		{
		0x5f34,
		0x8f87
		},
		{
		0x5f35,
		0x8f88
		},
		{
		0x5f36,
		0x8f89
		},
		{
		0x5f37,
		0x8f8a
		},
		{
		0x5f38,
		0x8f8b
		},
		{
		0x5f3b,
		0x8f8c
		},
		{
		0x5f3d,
		0x8f8d
		},
		{
		0x5f3e,
		0x8f8e
		},
		{
		0x5f3f,
		0x8f8f
		},
		{
		0x5f41,
		0x8f90
		},
		{
		0x5f42,
		0x8f91
		},
		{
		0x5f43,
		0x8f92
		},
		{
		0x5f44,
		0x8f93
		},
		{
		0x5f45,
		0x8f94
		},
		{
		0x5f46,
		0x8f95
		},
		{
		0x5f47,
		0x8f96
		},
		{
		0x5f48,
		0x8f97
		},
		{
		0x5f49,
		0x8f98
		},
		{
		0x5f4a,
		0x8f99
		},
		{
		0x5f4b,
		0x8f9a
		},
		{
		0x5f4c,
		0x8f9b
		},
		{
		0x5f4d,
		0x8f9c
		},
		{
		0x5f4e,
		0x8f9d
		},
		{
		0x5f4f,
		0x8f9e
		},
		{
		0x5f51,
		0x8f9f
		},
		{
		0x5f54,
		0x8fa0
		},
		{
		0x5f59,
		0x8fa1
		},
		{
		0x5f5a,
		0x8fa2
		},
		{
		0x5f5b,
		0x8fa3
		},
		{
		0x5f5c,
		0x8fa4
		},
		{
		0x5f5e,
		0x8fa5
		},
		{
		0x5f5f,
		0x8fa6
		},
		{
		0x5f60,
		0x8fa7
		},
		{
		0x5f63,
		0x8fa8
		},
		{
		0x5f65,
		0x8fa9
		},
		{
		0x5f67,
		0x8faa
		},
		{
		0x5f68,
		0x8fab
		},
		{
		0x5f6b,
		0x8fac
		},
		{
		0x5f6e,
		0x8fad
		},
		{
		0x5f6f,
		0x8fae
		},
		{
		0x5f72,
		0x8faf
		},
		{
		0x5f74,
		0x8fb0
		},
		{
		0x5f75,
		0x8fb1
		},
		{
		0x5f76,
		0x8fb2
		},
		{
		0x5f78,
		0x8fb3
		},
		{
		0x5f7a,
		0x8fb4
		},
		{
		0x5f7d,
		0x8fb5
		},
		{
		0x5f7e,
		0x8fb6
		},
		{
		0x5f7f,
		0x8fb7
		},
		{
		0x5f83,
		0x8fb8
		},
		{
		0x5f86,
		0x8fb9
		},
		{
		0x5f8d,
		0x8fba
		},
		{
		0x5f8e,
		0x8fbb
		},
		{
		0x5f8f,
		0x8fbc
		},
		{
		0x5f91,
		0x8fbd
		},
		{
		0x5f93,
		0x8fbe
		},
		{
		0x5f94,
		0x8fbf
		},
		{
		0x5f96,
		0x8fc0
		},
		{
		0x5f9a,
		0x8fc1
		},
		{
		0x5f9b,
		0x8fc2
		},
		{
		0x5f9d,
		0x8fc3
		},
		{
		0x5f9e,
		0x8fc4
		},
		{
		0x5f9f,
		0x8fc5
		},
		{
		0x5fa0,
		0x8fc6
		},
		{
		0x5fa2,
		0x8fc7
		},
		{
		0x5fa3,
		0x8fc8
		},
		{
		0x5fa4,
		0x8fc9
		},
		{
		0x5fa5,
		0x8fca
		},
		{
		0x5fa6,
		0x8fcb
		},
		{
		0x5fa7,
		0x8fcc
		},
		{
		0x5fa9,
		0x8fcd
		},
		{
		0x5fab,
		0x8fce
		},
		{
		0x5fac,
		0x8fcf
		},
		{
		0x5faf,
		0x8fd0
		},
		{
		0x5fb0,
		0x8fd1
		},
		{
		0x5fb1,
		0x8fd2
		},
		{
		0x5fb2,
		0x8fd3
		},
		{
		0x5fb3,
		0x8fd4
		},
		{
		0x5fb4,
		0x8fd5
		},
		{
		0x5fb6,
		0x8fd6
		},
		{
		0x5fb8,
		0x8fd7
		},
		{
		0x5fb9,
		0x8fd8
		},
		{
		0x5fba,
		0x8fd9
		},
		{
		0x5fbb,
		0x8fda
		},
		{
		0x5fbe,
		0x8fdb
		},
		{
		0x5fbf,
		0x8fdc
		},
		{
		0x5fc0,
		0x8fdd
		},
		{
		0x5fc1,
		0x8fde
		},
		{
		0x5fc2,
		0x8fdf
		},
		{
		0x5fc7,
		0x8fe0
		},
		{
		0x5fc8,
		0x8fe1
		},
		{
		0x5fca,
		0x8fe2
		},
		{
		0x5fcb,
		0x8fe3
		},
		{
		0x5fce,
		0x8fe4
		},
		{
		0x5fd3,
		0x8fe5
		},
		{
		0x5fd4,
		0x8fe6
		},
		{
		0x5fd5,
		0x8fe7
		},
		{
		0x5fda,
		0x8fe8
		},
		{
		0x5fdb,
		0x8fe9
		},
		{
		0x5fdc,
		0x8fea
		},
		{
		0x5fde,
		0x8feb
		},
		{
		0x5fdf,
		0x8fec
		},
		{
		0x5fe2,
		0x8fed
		},
		{
		0x5fe3,
		0x8fee
		},
		{
		0x5fe5,
		0x8fef
		},
		{
		0x5fe6,
		0x8ff0
		},
		{
		0x5fe8,
		0x8ff1
		},
		{
		0x5fe9,
		0x8ff2
		},
		{
		0x5fec,
		0x8ff3
		},
		{
		0x5fef,
		0x8ff4
		},
		{
		0x5ff0,
		0x8ff5
		},
		{
		0x5ff2,
		0x8ff6
		},
		{
		0x5ff3,
		0x8ff7
		},
		{
		0x5ff4,
		0x8ff8
		},
		{
		0x5ff6,
		0x8ff9
		},
		{
		0x5ff7,
		0x8ffa
		},
		{
		0x5ff9,
		0x8ffb
		},
		{
		0x5ffa,
		0x8ffc
		},
		{
		0x5ffc,
		0x8ffd
		},
		{
		0x6007,
		0x8ffe
		},
		{
		0x6008,
		0x9040
		},
		{
		0x6009,
		0x9041
		},
		{
		0x600b,
		0x9042
		},
		{
		0x600c,
		0x9043
		},
		{
		0x6010,
		0x9044
		},
		{
		0x6011,
		0x9045
		},
		{
		0x6013,
		0x9046
		},
		{
		0x6017,
		0x9047
		},
		{
		0x6018,
		0x9048
		},
		{
		0x601a,
		0x9049
		},
		{
		0x601e,
		0x904a
		},
		{
		0x601f,
		0x904b
		},
		{
		0x6022,
		0x904c
		},
		{
		0x6023,
		0x904d
		},
		{
		0x6024,
		0x904e
		},
		{
		0x602c,
		0x904f
		},
		{
		0x602d,
		0x9050
		},
		{
		0x602e,
		0x9051
		},
		{
		0x6030,
		0x9052
		},
		{
		0x6031,
		0x9053
		},
		{
		0x6032,
		0x9054
		},
		{
		0x6033,
		0x9055
		},
		{
		0x6034,
		0x9056
		},
		{
		0x6036,
		0x9057
		},
		{
		0x6037,
		0x9058
		},
		{
		0x6038,
		0x9059
		},
		{
		0x6039,
		0x905a
		},
		{
		0x603a,
		0x905b
		},
		{
		0x603d,
		0x905c
		},
		{
		0x603e,
		0x905d
		},
		{
		0x6040,
		0x905e
		},
		{
		0x6044,
		0x905f
		},
		{
		0x6045,
		0x9060
		},
		{
		0x6046,
		0x9061
		},
		{
		0x6047,
		0x9062
		},
		{
		0x6048,
		0x9063
		},
		{
		0x6049,
		0x9064
		},
		{
		0x604a,
		0x9065
		},
		{
		0x604c,
		0x9066
		},
		{
		0x604e,
		0x9067
		},
		{
		0x604f,
		0x9068
		},
		{
		0x6051,
		0x9069
		},
		{
		0x6053,
		0x906a
		},
		{
		0x6054,
		0x906b
		},
		{
		0x6056,
		0x906c
		},
		{
		0x6057,
		0x906d
		},
		{
		0x6058,
		0x906e
		},
		{
		0x605b,
		0x906f
		},
		{
		0x605c,
		0x9070
		},
		{
		0x605e,
		0x9071
		},
		{
		0x605f,
		0x9072
		},
		{
		0x6060,
		0x9073
		},
		{
		0x6061,
		0x9074
		},
		{
		0x6065,
		0x9075
		},
		{
		0x6066,
		0x9076
		},
		{
		0x606e,
		0x9077
		},
		{
		0x6071,
		0x9078
		},
		{
		0x6072,
		0x9079
		},
		{
		0x6074,
		0x907a
		},
		{
		0x6075,
		0x907b
		},
		{
		0x6077,
		0x907c
		},
		{
		0x607e,
		0x907d
		},
		{
		0x6080,
		0x907e
		},
		{
		0x6081,
		0x9080
		},
		{
		0x6082,
		0x9081
		},
		{
		0x6085,
		0x9082
		},
		{
		0x6086,
		0x9083
		},
		{
		0x6087,
		0x9084
		},
		{
		0x6088,
		0x9085
		},
		{
		0x608a,
		0x9086
		},
		{
		0x608b,
		0x9087
		},
		{
		0x608e,
		0x9088
		},
		{
		0x608f,
		0x9089
		},
		{
		0x6090,
		0x908a
		},
		{
		0x6091,
		0x908b
		},
		{
		0x6093,
		0x908c
		},
		{
		0x6095,
		0x908d
		},
		{
		0x6097,
		0x908e
		},
		{
		0x6098,
		0x908f
		},
		{
		0x6099,
		0x9090
		},
		{
		0x609c,
		0x9091
		},
		{
		0x609e,
		0x9092
		},
		{
		0x60a1,
		0x9093
		},
		{
		0x60a2,
		0x9094
		},
		{
		0x60a4,
		0x9095
		},
		{
		0x60a5,
		0x9096
		},
		{
		0x60a7,
		0x9097
		},
		{
		0x60a9,
		0x9098
		},
		{
		0x60aa,
		0x9099
		},
		{
		0x60ae,
		0x909a
		},
		{
		0x60b0,
		0x909b
		},
		{
		0x60b3,
		0x909c
		},
		{
		0x60b5,
		0x909d
		},
		{
		0x60b6,
		0x909e
		},
		{
		0x60b7,
		0x909f
		},
		{
		0x60b9,
		0x90a0
		},
		{
		0x60ba,
		0x90a1
		},
		{
		0x60bd,
		0x90a2
		},
		{
		0x60be,
		0x90a3
		},
		{
		0x60bf,
		0x90a4
		},
		{
		0x60c0,
		0x90a5
		},
		{
		0x60c1,
		0x90a6
		},
		{
		0x60c2,
		0x90a7
		},
		{
		0x60c3,
		0x90a8
		},
		{
		0x60c4,
		0x90a9
		},
		{
		0x60c7,
		0x90aa
		},
		{
		0x60c8,
		0x90ab
		},
		{
		0x60c9,
		0x90ac
		},
		{
		0x60cc,
		0x90ad
		},
		{
		0x60cd,
		0x90ae
		},
		{
		0x60ce,
		0x90af
		},
		{
		0x60cf,
		0x90b0
		},
		{
		0x60d0,
		0x90b1
		},
		{
		0x60d2,
		0x90b2
		},
		{
		0x60d3,
		0x90b3
		},
		{
		0x60d4,
		0x90b4
		},
		{
		0x60d6,
		0x90b5
		},
		{
		0x60d7,
		0x90b6
		},
		{
		0x60d9,
		0x90b7
		},
		{
		0x60db,
		0x90b8
		},
		{
		0x60de,
		0x90b9
		},
		{
		0x60e1,
		0x90ba
		},
		{
		0x60e2,
		0x90bb
		},
		{
		0x60e3,
		0x90bc
		},
		{
		0x60e4,
		0x90bd
		},
		{
		0x60e5,
		0x90be
		},
		{
		0x60ea,
		0x90bf
		},
		{
		0x60f1,
		0x90c0
		},
		{
		0x60f2,
		0x90c1
		},
		{
		0x60f5,
		0x90c2
		},
		{
		0x60f7,
		0x90c3
		},
		{
		0x60f8,
		0x90c4
		},
		{
		0x60fb,
		0x90c5
		},
		{
		0x60fc,
		0x90c6
		},
		{
		0x60fd,
		0x90c7
		},
		{
		0x60fe,
		0x90c8
		},
		{
		0x60ff,
		0x90c9
		},
		{
		0x6102,
		0x90ca
		},
		{
		0x6103,
		0x90cb
		},
		{
		0x6104,
		0x90cc
		},
		{
		0x6105,
		0x90cd
		},
		{
		0x6107,
		0x90ce
		},
		{
		0x610a,
		0x90cf
		},
		{
		0x610b,
		0x90d0
		},
		{
		0x610c,
		0x90d1
		},
		{
		0x6110,
		0x90d2
		},
		{
		0x6111,
		0x90d3
		},
		{
		0x6112,
		0x90d4
		},
		{
		0x6113,
		0x90d5
		},
		{
		0x6114,
		0x90d6
		},
		{
		0x6116,
		0x90d7
		},
		{
		0x6117,
		0x90d8
		},
		{
		0x6118,
		0x90d9
		},
		{
		0x6119,
		0x90da
		},
		{
		0x611b,
		0x90db
		},
		{
		0x611c,
		0x90dc
		},
		{
		0x611d,
		0x90dd
		},
		{
		0x611e,
		0x90de
		},
		{
		0x6121,
		0x90df
		},
		{
		0x6122,
		0x90e0
		},
		{
		0x6125,
		0x90e1
		},
		{
		0x6128,
		0x90e2
		},
		{
		0x6129,
		0x90e3
		},
		{
		0x612a,
		0x90e4
		},
		{
		0x612c,
		0x90e5
		},
		{
		0x612d,
		0x90e6
		},
		{
		0x612e,
		0x90e7
		},
		{
		0x612f,
		0x90e8
		},
		{
		0x6130,
		0x90e9
		},
		{
		0x6131,
		0x90ea
		},
		{
		0x6132,
		0x90eb
		},
		{
		0x6133,
		0x90ec
		},
		{
		0x6134,
		0x90ed
		},
		{
		0x6135,
		0x90ee
		},
		{
		0x6136,
		0x90ef
		},
		{
		0x6137,
		0x90f0
		},
		{
		0x6138,
		0x90f1
		},
		{
		0x6139,
		0x90f2
		},
		{
		0x613a,
		0x90f3
		},
		{
		0x613b,
		0x90f4
		},
		{
		0x613c,
		0x90f5
		},
		{
		0x613d,
		0x90f6
		},
		{
		0x613e,
		0x90f7
		},
		{
		0x6140,
		0x90f8
		},
		{
		0x6141,
		0x90f9
		},
		{
		0x6142,
		0x90fa
		},
		{
		0x6143,
		0x90fb
		},
		{
		0x6144,
		0x90fc
		},
		{
		0x6145,
		0x90fd
		},
		{
		0x6146,
		0x90fe
		},
		{
		0x6147,
		0x9140
		},
		{
		0x6149,
		0x9141
		},
		{
		0x614b,
		0x9142
		},
		{
		0x614d,
		0x9143
		},
		{
		0x614f,
		0x9144
		},
		{
		0x6150,
		0x9145
		},
		{
		0x6152,
		0x9146
		},
		{
		0x6153,
		0x9147
		},
		{
		0x6154,
		0x9148
		},
		{
		0x6156,
		0x9149
		},
		{
		0x6157,
		0x914a
		},
		{
		0x6158,
		0x914b
		},
		{
		0x6159,
		0x914c
		},
		{
		0x615a,
		0x914d
		},
		{
		0x615b,
		0x914e
		},
		{
		0x615c,
		0x914f
		},
		{
		0x615e,
		0x9150
		},
		{
		0x615f,
		0x9151
		},
		{
		0x6160,
		0x9152
		},
		{
		0x6161,
		0x9153
		},
		{
		0x6163,
		0x9154
		},
		{
		0x6164,
		0x9155
		},
		{
		0x6165,
		0x9156
		},
		{
		0x6166,
		0x9157
		},
		{
		0x6169,
		0x9158
		},
		{
		0x616a,
		0x9159
		},
		{
		0x616b,
		0x915a
		},
		{
		0x616c,
		0x915b
		},
		{
		0x616d,
		0x915c
		},
		{
		0x616e,
		0x915d
		},
		{
		0x616f,
		0x915e
		},
		{
		0x6171,
		0x915f
		},
		{
		0x6172,
		0x9160
		},
		{
		0x6173,
		0x9161
		},
		{
		0x6174,
		0x9162
		},
		{
		0x6176,
		0x9163
		},
		{
		0x6178,
		0x9164
		},
		{
		0x6179,
		0x9165
		},
		{
		0x617a,
		0x9166
		},
		{
		0x617b,
		0x9167
		},
		{
		0x617c,
		0x9168
		},
		{
		0x617d,
		0x9169
		},
		{
		0x617e,
		0x916a
		},
		{
		0x617f,
		0x916b
		},
		{
		0x6180,
		0x916c
		},
		{
		0x6181,
		0x916d
		},
		{
		0x6182,
		0x916e
		},
		{
		0x6183,
		0x916f
		},
		{
		0x6184,
		0x9170
		},
		{
		0x6185,
		0x9171
		},
		{
		0x6186,
		0x9172
		},
		{
		0x6187,
		0x9173
		},
		{
		0x6188,
		0x9174
		},
		{
		0x6189,
		0x9175
		},
		{
		0x618a,
		0x9176
		},
		{
		0x618c,
		0x9177
		},
		{
		0x618d,
		0x9178
		},
		{
		0x618f,
		0x9179
		},
		{
		0x6190,
		0x917a
		},
		{
		0x6191,
		0x917b
		},
		{
		0x6192,
		0x917c
		},
		{
		0x6193,
		0x917d
		},
		{
		0x6195,
		0x917e
		},
		{
		0x6196,
		0x9180
		},
		{
		0x6197,
		0x9181
		},
		{
		0x6198,
		0x9182
		},
		{
		0x6199,
		0x9183
		},
		{
		0x619a,
		0x9184
		},
		{
		0x619b,
		0x9185
		},
		{
		0x619c,
		0x9186
		},
		{
		0x619e,
		0x9187
		},
		{
		0x619f,
		0x9188
		},
		{
		0x61a0,
		0x9189
		},
		{
		0x61a1,
		0x918a
		},
		{
		0x61a2,
		0x918b
		},
		{
		0x61a3,
		0x918c
		},
		{
		0x61a4,
		0x918d
		},
		{
		0x61a5,
		0x918e
		},
		{
		0x61a6,
		0x918f
		},
		{
		0x61aa,
		0x9190
		},
		{
		0x61ab,
		0x9191
		},
		{
		0x61ad,
		0x9192
		},
		{
		0x61ae,
		0x9193
		},
		{
		0x61af,
		0x9194
		},
		{
		0x61b0,
		0x9195
		},
		{
		0x61b1,
		0x9196
		},
		{
		0x61b2,
		0x9197
		},
		{
		0x61b3,
		0x9198
		},
		{
		0x61b4,
		0x9199
		},
		{
		0x61b5,
		0x919a
		},
		{
		0x61b6,
		0x919b
		},
		{
		0x61b8,
		0x919c
		},
		{
		0x61b9,
		0x919d
		},
		{
		0x61ba,
		0x919e
		},
		{
		0x61bb,
		0x919f
		},
		{
		0x61bc,
		0x91a0
		},
		{
		0x61bd,
		0x91a1
		},
		{
		0x61bf,
		0x91a2
		},
		{
		0x61c0,
		0x91a3
		},
		{
		0x61c1,
		0x91a4
		},
		{
		0x61c3,
		0x91a5
		},
		{
		0x61c4,
		0x91a6
		},
		{
		0x61c5,
		0x91a7
		},
		{
		0x61c6,
		0x91a8
		},
		{
		0x61c7,
		0x91a9
		},
		{
		0x61c9,
		0x91aa
		},
		{
		0x61cc,
		0x91ab
		},
		{
		0x61cd,
		0x91ac
		},
		{
		0x61ce,
		0x91ad
		},
		{
		0x61cf,
		0x91ae
		},
		{
		0x61d0,
		0x91af
		},
		{
		0x61d3,
		0x91b0
		},
		{
		0x61d5,
		0x91b1
		},
		{
		0x61d6,
		0x91b2
		},
		{
		0x61d7,
		0x91b3
		},
		{
		0x61d8,
		0x91b4
		},
		{
		0x61d9,
		0x91b5
		},
		{
		0x61da,
		0x91b6
		},
		{
		0x61db,
		0x91b7
		},
		{
		0x61dc,
		0x91b8
		},
		{
		0x61dd,
		0x91b9
		},
		{
		0x61de,
		0x91ba
		},
		{
		0x61df,
		0x91bb
		},
		{
		0x61e0,
		0x91bc
		},
		{
		0x61e1,
		0x91bd
		},
		{
		0x61e2,
		0x91be
		},
		{
		0x61e3,
		0x91bf
		},
		{
		0x61e4,
		0x91c0
		},
		{
		0x61e5,
		0x91c1
		},
		{
		0x61e7,
		0x91c2
		},
		{
		0x61e8,
		0x91c3
		},
		{
		0x61e9,
		0x91c4
		},
		{
		0x61ea,
		0x91c5
		},
		{
		0x61eb,
		0x91c6
		},
		{
		0x61ec,
		0x91c7
		},
		{
		0x61ed,
		0x91c8
		},
		{
		0x61ee,
		0x91c9
		},
		{
		0x61ef,
		0x91ca
		},
		{
		0x61f0,
		0x91cb
		},
		{
		0x61f1,
		0x91cc
		},
		{
		0x61f2,
		0x91cd
		},
		{
		0x61f3,
		0x91ce
		},
		{
		0x61f4,
		0x91cf
		},
		{
		0x61f6,
		0x91d0
		},
		{
		0x61f7,
		0x91d1
		},
		{
		0x61f8,
		0x91d2
		},
		{
		0x61f9,
		0x91d3
		},
		{
		0x61fa,
		0x91d4
		},
		{
		0x61fb,
		0x91d5
		},
		{
		0x61fc,
		0x91d6
		},
		{
		0x61fd,
		0x91d7
		},
		{
		0x61fe,
		0x91d8
		},
		{
		0x6200,
		0x91d9
		},
		{
		0x6201,
		0x91da
		},
		{
		0x6202,
		0x91db
		},
		{
		0x6203,
		0x91dc
		},
		{
		0x6204,
		0x91dd
		},
		{
		0x6205,
		0x91de
		},
		{
		0x6207,
		0x91df
		},
		{
		0x6209,
		0x91e0
		},
		{
		0x6213,
		0x91e1
		},
		{
		0x6214,
		0x91e2
		},
		{
		0x6219,
		0x91e3
		},
		{
		0x621c,
		0x91e4
		},
		{
		0x621d,
		0x91e5
		},
		{
		0x621e,
		0x91e6
		},
		{
		0x6220,
		0x91e7
		},
		{
		0x6223,
		0x91e8
		},
		{
		0x6226,
		0x91e9
		},
		{
		0x6227,
		0x91ea
		},
		{
		0x6228,
		0x91eb
		},
		{
		0x6229,
		0x91ec
		},
		{
		0x622b,
		0x91ed
		},
		{
		0x622d,
		0x91ee
		},
		{
		0x622f,
		0x91ef
		},
		{
		0x6230,
		0x91f0
		},
		{
		0x6231,
		0x91f1
		},
		{
		0x6232,
		0x91f2
		},
		{
		0x6235,
		0x91f3
		},
		{
		0x6236,
		0x91f4
		},
		{
		0x6238,
		0x91f5
		},
		{
		0x6239,
		0x91f6
		},
		{
		0x623a,
		0x91f7
		},
		{
		0x623b,
		0x91f8
		},
		{
		0x623c,
		0x91f9
		},
		{
		0x6242,
		0x91fa
		},
		{
		0x6244,
		0x91fb
		},
		{
		0x6245,
		0x91fc
		},
		{
		0x6246,
		0x91fd
		},
		{
		0x624a,
		0x91fe
		},
		{
		0x624f,
		0x9240
		},
		{
		0x6250,
		0x9241
		},
		{
		0x6255,
		0x9242
		},
		{
		0x6256,
		0x9243
		},
		{
		0x6257,
		0x9244
		},
		{
		0x6259,
		0x9245
		},
		{
		0x625a,
		0x9246
		},
		{
		0x625c,
		0x9247
		},
		{
		0x625d,
		0x9248
		},
		{
		0x625e,
		0x9249
		},
		{
		0x625f,
		0x924a
		},
		{
		0x6260,
		0x924b
		},
		{
		0x6261,
		0x924c
		},
		{
		0x6262,
		0x924d
		},
		{
		0x6264,
		0x924e
		},
		{
		0x6265,
		0x924f
		},
		{
		0x6268,
		0x9250
		},
		{
		0x6271,
		0x9251
		},
		{
		0x6272,
		0x9252
		},
		{
		0x6274,
		0x9253
		},
		{
		0x6275,
		0x9254
		},
		{
		0x6277,
		0x9255
		},
		{
		0x6278,
		0x9256
		},
		{
		0x627a,
		0x9257
		},
		{
		0x627b,
		0x9258
		},
		{
		0x627d,
		0x9259
		},
		{
		0x6281,
		0x925a
		},
		{
		0x6282,
		0x925b
		},
		{
		0x6283,
		0x925c
		},
		{
		0x6285,
		0x925d
		},
		{
		0x6286,
		0x925e
		},
		{
		0x6287,
		0x925f
		},
		{
		0x6288,
		0x9260
		},
		{
		0x628b,
		0x9261
		},
		{
		0x628c,
		0x9262
		},
		{
		0x628d,
		0x9263
		},
		{
		0x628e,
		0x9264
		},
		{
		0x628f,
		0x9265
		},
		{
		0x6290,
		0x9266
		},
		{
		0x6294,
		0x9267
		},
		{
		0x6299,
		0x9268
		},
		{
		0x629c,
		0x9269
		},
		{
		0x629d,
		0x926a
		},
		{
		0x629e,
		0x926b
		},
		{
		0x62a3,
		0x926c
		},
		{
		0x62a6,
		0x926d
		},
		{
		0x62a7,
		0x926e
		},
		{
		0x62a9,
		0x926f
		},
		{
		0x62aa,
		0x9270
		},
		{
		0x62ad,
		0x9271
		},
		{
		0x62ae,
		0x9272
		},
		{
		0x62af,
		0x9273
		},
		{
		0x62b0,
		0x9274
		},
		{
		0x62b2,
		0x9275
		},
		{
		0x62b3,
		0x9276
		},
		{
		0x62b4,
		0x9277
		},
		{
		0x62b6,
		0x9278
		},
		{
		0x62b7,
		0x9279
		},
		{
		0x62b8,
		0x927a
		},
		{
		0x62ba,
		0x927b
		},
		{
		0x62be,
		0x927c
		},
		{
		0x62c0,
		0x927d
		},
		{
		0x62c1,
		0x927e
		},
		{
		0x62c3,
		0x9280
		},
		{
		0x62cb,
		0x9281
		},
		{
		0x62cf,
		0x9282
		},
		{
		0x62d1,
		0x9283
		},
		{
		0x62d5,
		0x9284
		},
		{
		0x62dd,
		0x9285
		},
		{
		0x62de,
		0x9286
		},
		{
		0x62e0,
		0x9287
		},
		{
		0x62e1,
		0x9288
		},
		{
		0x62e4,
		0x9289
		},
		{
		0x62ea,
		0x928a
		},
		{
		0x62eb,
		0x928b
		},
		{
		0x62f0,
		0x928c
		},
		{
		0x62f2,
		0x928d
		},
		{
		0x62f5,
		0x928e
		},
		{
		0x62f8,
		0x928f
		},
		{
		0x62f9,
		0x9290
		},
		{
		0x62fa,
		0x9291
		},
		{
		0x62fb,
		0x9292
		},
		{
		0x6300,
		0x9293
		},
		{
		0x6303,
		0x9294
		},
		{
		0x6304,
		0x9295
		},
		{
		0x6305,
		0x9296
		},
		{
		0x6306,
		0x9297
		},
		{
		0x630a,
		0x9298
		},
		{
		0x630b,
		0x9299
		},
		{
		0x630c,
		0x929a
		},
		{
		0x630d,
		0x929b
		},
		{
		0x630f,
		0x929c
		},
		{
		0x6310,
		0x929d
		},
		{
		0x6312,
		0x929e
		},
		{
		0x6313,
		0x929f
		},
		{
		0x6314,
		0x92a0
		},
		{
		0x6315,
		0x92a1
		},
		{
		0x6317,
		0x92a2
		},
		{
		0x6318,
		0x92a3
		},
		{
		0x6319,
		0x92a4
		},
		{
		0x631c,
		0x92a5
		},
		{
		0x6326,
		0x92a6
		},
		{
		0x6327,
		0x92a7
		},
		{
		0x6329,
		0x92a8
		},
		{
		0x632c,
		0x92a9
		},
		{
		0x632d,
		0x92aa
		},
		{
		0x632e,
		0x92ab
		},
		{
		0x6330,
		0x92ac
		},
		{
		0x6331,
		0x92ad
		},
		{
		0x6333,
		0x92ae
		},
		{
		0x6334,
		0x92af
		},
		{
		0x6335,
		0x92b0
		},
		{
		0x6336,
		0x92b1
		},
		{
		0x6337,
		0x92b2
		},
		{
		0x6338,
		0x92b3
		},
		{
		0x633b,
		0x92b4
		},
		{
		0x633c,
		0x92b5
		},
		{
		0x633e,
		0x92b6
		},
		{
		0x633f,
		0x92b7
		},
		{
		0x6340,
		0x92b8
		},
		{
		0x6341,
		0x92b9
		},
		{
		0x6344,
		0x92ba
		},
		{
		0x6347,
		0x92bb
		},
		{
		0x6348,
		0x92bc
		},
		{
		0x634a,
		0x92bd
		},
		{
		0x6351,
		0x92be
		},
		{
		0x6352,
		0x92bf
		},
		{
		0x6353,
		0x92c0
		},
		{
		0x6354,
		0x92c1
		},
		{
		0x6356,
		0x92c2
		},
		{
		0x6357,
		0x92c3
		},
		{
		0x6358,
		0x92c4
		},
		{
		0x6359,
		0x92c5
		},
		{
		0x635a,
		0x92c6
		},
		{
		0x635b,
		0x92c7
		},
		{
		0x635c,
		0x92c8
		},
		{
		0x635d,
		0x92c9
		},
		{
		0x6360,
		0x92ca
		},
		{
		0x6364,
		0x92cb
		},
		{
		0x6365,
		0x92cc
		},
		{
		0x6366,
		0x92cd
		},
		{
		0x6368,
		0x92ce
		},
		{
		0x636a,
		0x92cf
		},
		{
		0x636b,
		0x92d0
		},
		{
		0x636c,
		0x92d1
		},
		{
		0x636f,
		0x92d2
		},
		{
		0x6370,
		0x92d3
		},
		{
		0x6372,
		0x92d4
		},
		{
		0x6373,
		0x92d5
		},
		{
		0x6374,
		0x92d6
		},
		{
		0x6375,
		0x92d7
		},
		{
		0x6378,
		0x92d8
		},
		{
		0x6379,
		0x92d9
		},
		{
		0x637c,
		0x92da
		},
		{
		0x637d,
		0x92db
		},
		{
		0x637e,
		0x92dc
		},
		{
		0x637f,
		0x92dd
		},
		{
		0x6381,
		0x92de
		},
		{
		0x6383,
		0x92df
		},
		{
		0x6384,
		0x92e0
		},
		{
		0x6385,
		0x92e1
		},
		{
		0x6386,
		0x92e2
		},
		{
		0x638b,
		0x92e3
		},
		{
		0x638d,
		0x92e4
		},
		{
		0x6391,
		0x92e5
		},
		{
		0x6393,
		0x92e6
		},
		{
		0x6394,
		0x92e7
		},
		{
		0x6395,
		0x92e8
		},
		{
		0x6397,
		0x92e9
		},
		{
		0x6399,
		0x92ea
		},
		{
		0x639a,
		0x92eb
		},
		{
		0x639b,
		0x92ec
		},
		{
		0x639c,
		0x92ed
		},
		{
		0x639d,
		0x92ee
		},
		{
		0x639e,
		0x92ef
		},
		{
		0x639f,
		0x92f0
		},
		{
		0x63a1,
		0x92f1
		},
		{
		0x63a4,
		0x92f2
		},
		{
		0x63a6,
		0x92f3
		},
		{
		0x63ab,
		0x92f4
		},
		{
		0x63af,
		0x92f5
		},
		{
		0x63b1,
		0x92f6
		},
		{
		0x63b2,
		0x92f7
		},
		{
		0x63b5,
		0x92f8
		},
		{
		0x63b6,
		0x92f9
		},
		{
		0x63b9,
		0x92fa
		},
		{
		0x63bb,
		0x92fb
		},
		{
		0x63bd,
		0x92fc
		},
		{
		0x63bf,
		0x92fd
		},
		{
		0x63c0,
		0x92fe
		},
		{
		0x63c1,
		0x9340
		},
		{
		0x63c2,
		0x9341
		},
		{
		0x63c3,
		0x9342
		},
		{
		0x63c5,
		0x9343
		},
		{
		0x63c7,
		0x9344
		},
		{
		0x63c8,
		0x9345
		},
		{
		0x63ca,
		0x9346
		},
		{
		0x63cb,
		0x9347
		},
		{
		0x63cc,
		0x9348
		},
		{
		0x63d1,
		0x9349
		},
		{
		0x63d3,
		0x934a
		},
		{
		0x63d4,
		0x934b
		},
		{
		0x63d5,
		0x934c
		},
		{
		0x63d7,
		0x934d
		},
		{
		0x63d8,
		0x934e
		},
		{
		0x63d9,
		0x934f
		},
		{
		0x63da,
		0x9350
		},
		{
		0x63db,
		0x9351
		},
		{
		0x63dc,
		0x9352
		},
		{
		0x63dd,
		0x9353
		},
		{
		0x63df,
		0x9354
		},
		{
		0x63e2,
		0x9355
		},
		{
		0x63e4,
		0x9356
		},
		{
		0x63e5,
		0x9357
		},
		{
		0x63e6,
		0x9358
		},
		{
		0x63e7,
		0x9359
		},
		{
		0x63e8,
		0x935a
		},
		{
		0x63eb,
		0x935b
		},
		{
		0x63ec,
		0x935c
		},
		{
		0x63ee,
		0x935d
		},
		{
		0x63ef,
		0x935e
		},
		{
		0x63f0,
		0x935f
		},
		{
		0x63f1,
		0x9360
		},
		{
		0x63f3,
		0x9361
		},
		{
		0x63f5,
		0x9362
		},
		{
		0x63f7,
		0x9363
		},
		{
		0x63f9,
		0x9364
		},
		{
		0x63fa,
		0x9365
		},
		{
		0x63fb,
		0x9366
		},
		{
		0x63fc,
		0x9367
		},
		{
		0x63fe,
		0x9368
		},
		{
		0x6403,
		0x9369
		},
		{
		0x6404,
		0x936a
		},
		{
		0x6406,
		0x936b
		},
		{
		0x6407,
		0x936c
		},
		{
		0x6408,
		0x936d
		},
		{
		0x6409,
		0x936e
		},
		{
		0x640a,
		0x936f
		},
		{
		0x640d,
		0x9370
		},
		{
		0x640e,
		0x9371
		},
		{
		0x6411,
		0x9372
		},
		{
		0x6412,
		0x9373
		},
		{
		0x6415,
		0x9374
		},
		{
		0x6416,
		0x9375
		},
		{
		0x6417,
		0x9376
		},
		{
		0x6418,
		0x9377
		},
		{
		0x6419,
		0x9378
		},
		{
		0x641a,
		0x9379
		},
		{
		0x641d,
		0x937a
		},
		{
		0x641f,
		0x937b
		},
		{
		0x6422,
		0x937c
		},
		{
		0x6423,
		0x937d
		},
		{
		0x6424,
		0x937e
		},
		{
		0x6425,
		0x9380
		},
		{
		0x6427,
		0x9381
		},
		{
		0x6428,
		0x9382
		},
		{
		0x6429,
		0x9383
		},
		{
		0x642b,
		0x9384
		},
		{
		0x642e,
		0x9385
		},
		{
		0x642f,
		0x9386
		},
		{
		0x6430,
		0x9387
		},
		{
		0x6431,
		0x9388
		},
		{
		0x6432,
		0x9389
		},
		{
		0x6433,
		0x938a
		},
		{
		0x6435,
		0x938b
		},
		{
		0x6436,
		0x938c
		},
		{
		0x6437,
		0x938d
		},
		{
		0x6438,
		0x938e
		},
		{
		0x6439,
		0x938f
		},
		{
		0x643b,
		0x9390
		},
		{
		0x643c,
		0x9391
		},
		{
		0x643e,
		0x9392
		},
		{
		0x6440,
		0x9393
		},
		{
		0x6442,
		0x9394
		},
		{
		0x6443,
		0x9395
		},
		{
		0x6449,
		0x9396
		},
		{
		0x644b,
		0x9397
		},
		{
		0x644c,
		0x9398
		},
		{
		0x644d,
		0x9399
		},
		{
		0x644e,
		0x939a
		},
		{
		0x644f,
		0x939b
		},
		{
		0x6450,
		0x939c
		},
		{
		0x6451,
		0x939d
		},
		{
		0x6453,
		0x939e
		},
		{
		0x6455,
		0x939f
		},
		{
		0x6456,
		0x93a0
		},
		{
		0x6457,
		0x93a1
		},
		{
		0x6459,
		0x93a2
		},
		{
		0x645a,
		0x93a3
		},
		{
		0x645b,
		0x93a4
		},
		{
		0x645c,
		0x93a5
		},
		{
		0x645d,
		0x93a6
		},
		{
		0x645f,
		0x93a7
		},
		{
		0x6460,
		0x93a8
		},
		{
		0x6461,
		0x93a9
		},
		{
		0x6462,
		0x93aa
		},
		{
		0x6463,
		0x93ab
		},
		{
		0x6464,
		0x93ac
		},
		{
		0x6465,
		0x93ad
		},
		{
		0x6466,
		0x93ae
		},
		{
		0x6468,
		0x93af
		},
		{
		0x646a,
		0x93b0
		},
		{
		0x646b,
		0x93b1
		},
		{
		0x646c,
		0x93b2
		},
		{
		0x646e,
		0x93b3
		},
		{
		0x646f,
		0x93b4
		},
		{
		0x6470,
		0x93b5
		},
		{
		0x6471,
		0x93b6
		},
		{
		0x6472,
		0x93b7
		},
		{
		0x6473,
		0x93b8
		},
		{
		0x6474,
		0x93b9
		},
		{
		0x6475,
		0x93ba
		},
		{
		0x6476,
		0x93bb
		},
		{
		0x6477,
		0x93bc
		},
		{
		0x647b,
		0x93bd
		},
		{
		0x647c,
		0x93be
		},
		{
		0x647d,
		0x93bf
		},
		{
		0x647e,
		0x93c0
		},
		{
		0x647f,
		0x93c1
		},
		{
		0x6480,
		0x93c2
		},
		{
		0x6481,
		0x93c3
		},
		{
		0x6483,
		0x93c4
		},
		{
		0x6486,
		0x93c5
		},
		{
		0x6488,
		0x93c6
		},
		{
		0x6489,
		0x93c7
		},
		{
		0x648a,
		0x93c8
		},
		{
		0x648b,
		0x93c9
		},
		{
		0x648c,
		0x93ca
		},
		{
		0x648d,
		0x93cb
		},
		{
		0x648e,
		0x93cc
		},
		{
		0x648f,
		0x93cd
		},
		{
		0x6490,
		0x93ce
		},
		{
		0x6493,
		0x93cf
		},
		{
		0x6494,
		0x93d0
		},
		{
		0x6497,
		0x93d1
		},
		{
		0x6498,
		0x93d2
		},
		{
		0x649a,
		0x93d3
		},
		{
		0x649b,
		0x93d4
		},
		{
		0x649c,
		0x93d5
		},
		{
		0x649d,
		0x93d6
		},
		{
		0x649f,
		0x93d7
		},
		{
		0x64a0,
		0x93d8
		},
		{
		0x64a1,
		0x93d9
		},
		{
		0x64a2,
		0x93da
		},
		{
		0x64a3,
		0x93db
		},
		{
		0x64a5,
		0x93dc
		},
		{
		0x64a6,
		0x93dd
		},
		{
		0x64a7,
		0x93de
		},
		{
		0x64a8,
		0x93df
		},
		{
		0x64aa,
		0x93e0
		},
		{
		0x64ab,
		0x93e1
		},
		{
		0x64af,
		0x93e2
		},
		{
		0x64b1,
		0x93e3
		},
		{
		0x64b2,
		0x93e4
		},
		{
		0x64b3,
		0x93e5
		},
		{
		0x64b4,
		0x93e6
		},
		{
		0x64b6,
		0x93e7
		},
		{
		0x64b9,
		0x93e8
		},
		{
		0x64bb,
		0x93e9
		},
		{
		0x64bd,
		0x93ea
		},
		{
		0x64be,
		0x93eb
		},
		{
		0x64bf,
		0x93ec
		},
		{
		0x64c1,
		0x93ed
		},
		{
		0x64c3,
		0x93ee
		},
		{
		0x64c4,
		0x93ef
		},
		{
		0x64c6,
		0x93f0
		},
		{
		0x64c7,
		0x93f1
		},
		{
		0x64c8,
		0x93f2
		},
		{
		0x64c9,
		0x93f3
		},
		{
		0x64ca,
		0x93f4
		},
		{
		0x64cb,
		0x93f5
		},
		{
		0x64cc,
		0x93f6
		},
		{
		0x64cf,
		0x93f7
		},
		{
		0x64d1,
		0x93f8
		},
		{
		0x64d3,
		0x93f9
		},
		{
		0x64d4,
		0x93fa
		},
		{
		0x64d5,
		0x93fb
		},
		{
		0x64d6,
		0x93fc
		},
		{
		0x64d9,
		0x93fd
		},
		{
		0x64da,
		0x93fe
		},
		{
		0x64db,
		0x9440
		},
		{
		0x64dc,
		0x9441
		},
		{
		0x64dd,
		0x9442
		},
		{
		0x64df,
		0x9443
		},
		{
		0x64e0,
		0x9444
		},
		{
		0x64e1,
		0x9445
		},
		{
		0x64e3,
		0x9446
		},
		{
		0x64e5,
		0x9447
		},
		{
		0x64e7,
		0x9448
		},
		{
		0x64e8,
		0x9449
		},
		{
		0x64e9,
		0x944a
		},
		{
		0x64ea,
		0x944b
		},
		{
		0x64eb,
		0x944c
		},
		{
		0x64ec,
		0x944d
		},
		{
		0x64ed,
		0x944e
		},
		{
		0x64ee,
		0x944f
		},
		{
		0x64ef,
		0x9450
		},
		{
		0x64f0,
		0x9451
		},
		{
		0x64f1,
		0x9452
		},
		{
		0x64f2,
		0x9453
		},
		{
		0x64f3,
		0x9454
		},
		{
		0x64f4,
		0x9455
		},
		{
		0x64f5,
		0x9456
		},
		{
		0x64f6,
		0x9457
		},
		{
		0x64f7,
		0x9458
		},
		{
		0x64f8,
		0x9459
		},
		{
		0x64f9,
		0x945a
		},
		{
		0x64fa,
		0x945b
		},
		{
		0x64fb,
		0x945c
		},
		{
		0x64fc,
		0x945d
		},
		{
		0x64fd,
		0x945e
		},
		{
		0x64fe,
		0x945f
		},
		{
		0x64ff,
		0x9460
		},
		{
		0x6501,
		0x9461
		},
		{
		0x6502,
		0x9462
		},
		{
		0x6503,
		0x9463
		},
		{
		0x6504,
		0x9464
		},
		{
		0x6505,
		0x9465
		},
		{
		0x6506,
		0x9466
		},
		{
		0x6507,
		0x9467
		},
		{
		0x6508,
		0x9468
		},
		{
		0x650a,
		0x9469
		},
		{
		0x650b,
		0x946a
		},
		{
		0x650c,
		0x946b
		},
		{
		0x650d,
		0x946c
		},
		{
		0x650e,
		0x946d
		},
		{
		0x650f,
		0x946e
		},
		{
		0x6510,
		0x946f
		},
		{
		0x6511,
		0x9470
		},
		{
		0x6513,
		0x9471
		},
		{
		0x6514,
		0x9472
		},
		{
		0x6515,
		0x9473
		},
		{
		0x6516,
		0x9474
		},
		{
		0x6517,
		0x9475
		},
		{
		0x6519,
		0x9476
		},
		{
		0x651a,
		0x9477
		},
		{
		0x651b,
		0x9478
		},
		{
		0x651c,
		0x9479
		},
		{
		0x651d,
		0x947a
		},
		{
		0x651e,
		0x947b
		},
		{
		0x651f,
		0x947c
		},
		{
		0x6520,
		0x947d
		},
		{
		0x6521,
		0x947e
		},
		{
		0x6522,
		0x9480
		},
		{
		0x6523,
		0x9481
		},
		{
		0x6524,
		0x9482
		},
		{
		0x6526,
		0x9483
		},
		{
		0x6527,
		0x9484
		},
		{
		0x6528,
		0x9485
		},
		{
		0x6529,
		0x9486
		},
		{
		0x652a,
		0x9487
		},
		{
		0x652c,
		0x9488
		},
		{
		0x652d,
		0x9489
		},
		{
		0x6530,
		0x948a
		},
		{
		0x6531,
		0x948b
		},
		{
		0x6532,
		0x948c
		},
		{
		0x6533,
		0x948d
		},
		{
		0x6537,
		0x948e
		},
		{
		0x653a,
		0x948f
		},
		{
		0x653c,
		0x9490
		},
		{
		0x653d,
		0x9491
		},
		{
		0x6540,
		0x9492
		},
		{
		0x6541,
		0x9493
		},
		{
		0x6542,
		0x9494
		},
		{
		0x6543,
		0x9495
		},
		{
		0x6544,
		0x9496
		},
		{
		0x6546,
		0x9497
		},
		{
		0x6547,
		0x9498
		},
		{
		0x654a,
		0x9499
		},
		{
		0x654b,
		0x949a
		},
		{
		0x654d,
		0x949b
		},
		{
		0x654e,
		0x949c
		},
		{
		0x6550,
		0x949d
		},
		{
		0x6552,
		0x949e
		},
		{
		0x6553,
		0x949f
		},
		{
		0x6554,
		0x94a0
		},
		{
		0x6557,
		0x94a1
		},
		{
		0x6558,
		0x94a2
		},
		{
		0x655a,
		0x94a3
		},
		{
		0x655c,
		0x94a4
		},
		{
		0x655f,
		0x94a5
		},
		{
		0x6560,
		0x94a6
		},
		{
		0x6561,
		0x94a7
		},
		{
		0x6564,
		0x94a8
		},
		{
		0x6565,
		0x94a9
		},
		{
		0x6567,
		0x94aa
		},
		{
		0x6568,
		0x94ab
		},
		{
		0x6569,
		0x94ac
		},
		{
		0x656a,
		0x94ad
		},
		{
		0x656d,
		0x94ae
		},
		{
		0x656e,
		0x94af
		},
		{
		0x656f,
		0x94b0
		},
		{
		0x6571,
		0x94b1
		},
		{
		0x6573,
		0x94b2
		},
		{
		0x6575,
		0x94b3
		},
		{
		0x6576,
		0x94b4
		},
		{
		0x6578,
		0x94b5
		},
		{
		0x6579,
		0x94b6
		},
		{
		0x657a,
		0x94b7
		},
		{
		0x657b,
		0x94b8
		},
		{
		0x657c,
		0x94b9
		},
		{
		0x657d,
		0x94ba
		},
		{
		0x657e,
		0x94bb
		},
		{
		0x657f,
		0x94bc
		},
		{
		0x6580,
		0x94bd
		},
		{
		0x6581,
		0x94be
		},
		{
		0x6582,
		0x94bf
		},
		{
		0x6583,
		0x94c0
		},
		{
		0x6584,
		0x94c1
		},
		{
		0x6585,
		0x94c2
		},
		{
		0x6586,
		0x94c3
		},
		{
		0x6588,
		0x94c4
		},
		{
		0x6589,
		0x94c5
		},
		{
		0x658a,
		0x94c6
		},
		{
		0x658d,
		0x94c7
		},
		{
		0x658e,
		0x94c8
		},
		{
		0x658f,
		0x94c9
		},
		{
		0x6592,
		0x94ca
		},
		{
		0x6594,
		0x94cb
		},
		{
		0x6595,
		0x94cc
		},
		{
		0x6596,
		0x94cd
		},
		{
		0x6598,
		0x94ce
		},
		{
		0x659a,
		0x94cf
		},
		{
		0x659d,
		0x94d0
		},
		{
		0x659e,
		0x94d1
		},
		{
		0x65a0,
		0x94d2
		},
		{
		0x65a2,
		0x94d3
		},
		{
		0x65a3,
		0x94d4
		},
		{
		0x65a6,
		0x94d5
		},
		{
		0x65a8,
		0x94d6
		},
		{
		0x65aa,
		0x94d7
		},
		{
		0x65ac,
		0x94d8
		},
		{
		0x65ae,
		0x94d9
		},
		{
		0x65b1,
		0x94da
		},
		{
		0x65b2,
		0x94db
		},
		{
		0x65b3,
		0x94dc
		},
		{
		0x65b4,
		0x94dd
		},
		{
		0x65b5,
		0x94de
		},
		{
		0x65b6,
		0x94df
		},
		{
		0x65b7,
		0x94e0
		},
		{
		0x65b8,
		0x94e1
		},
		{
		0x65ba,
		0x94e2
		},
		{
		0x65bb,
		0x94e3
		},
		{
		0x65be,
		0x94e4
		},
		{
		0x65bf,
		0x94e5
		},
		{
		0x65c0,
		0x94e6
		},
		{
		0x65c2,
		0x94e7
		},
		{
		0x65c7,
		0x94e8
		},
		{
		0x65c8,
		0x94e9
		},
		{
		0x65c9,
		0x94ea
		},
		{
		0x65ca,
		0x94eb
		},
		{
		0x65cd,
		0x94ec
		},
		{
		0x65d0,
		0x94ed
		},
		{
		0x65d1,
		0x94ee
		},
		{
		0x65d3,
		0x94ef
		},
		{
		0x65d4,
		0x94f0
		},
		{
		0x65d5,
		0x94f1
		},
		{
		0x65d8,
		0x94f2
		},
		{
		0x65d9,
		0x94f3
		},
		{
		0x65da,
		0x94f4
		},
		{
		0x65db,
		0x94f5
		},
		{
		0x65dc,
		0x94f6
		},
		{
		0x65dd,
		0x94f7
		},
		{
		0x65de,
		0x94f8
		},
		{
		0x65df,
		0x94f9
		},
		{
		0x65e1,
		0x94fa
		},
		{
		0x65e3,
		0x94fb
		},
		{
		0x65e4,
		0x94fc
		},
		{
		0x65ea,
		0x94fd
		},
		{
		0x65eb,
		0x94fe
		},
		{
		0x65f2,
		0x9540
		},
		{
		0x65f3,
		0x9541
		},
		{
		0x65f4,
		0x9542
		},
		{
		0x65f5,
		0x9543
		},
		{
		0x65f8,
		0x9544
		},
		{
		0x65f9,
		0x9545
		},
		{
		0x65fb,
		0x9546
		},
		{
		0x65fc,
		0x9547
		},
		{
		0x65fd,
		0x9548
		},
		{
		0x65fe,
		0x9549
		},
		{
		0x65ff,
		0x954a
		},
		{
		0x6601,
		0x954b
		},
		{
		0x6604,
		0x954c
		},
		{
		0x6605,
		0x954d
		},
		{
		0x6607,
		0x954e
		},
		{
		0x6608,
		0x954f
		},
		{
		0x6609,
		0x9550
		},
		{
		0x660b,
		0x9551
		},
		{
		0x660d,
		0x9552
		},
		{
		0x6610,
		0x9553
		},
		{
		0x6611,
		0x9554
		},
		{
		0x6612,
		0x9555
		},
		{
		0x6616,
		0x9556
		},
		{
		0x6617,
		0x9557
		},
		{
		0x6618,
		0x9558
		},
		{
		0x661a,
		0x9559
		},
		{
		0x661b,
		0x955a
		},
		{
		0x661c,
		0x955b
		},
		{
		0x661e,
		0x955c
		},
		{
		0x6621,
		0x955d
		},
		{
		0x6622,
		0x955e
		},
		{
		0x6623,
		0x955f
		},
		{
		0x6624,
		0x9560
		},
		{
		0x6626,
		0x9561
		},
		{
		0x6629,
		0x9562
		},
		{
		0x662a,
		0x9563
		},
		{
		0x662b,
		0x9564
		},
		{
		0x662c,
		0x9565
		},
		{
		0x662e,
		0x9566
		},
		{
		0x6630,
		0x9567
		},
		{
		0x6632,
		0x9568
		},
		{
		0x6633,
		0x9569
		},
		{
		0x6637,
		0x956a
		},
		{
		0x6638,
		0x956b
		},
		{
		0x6639,
		0x956c
		},
		{
		0x663a,
		0x956d
		},
		{
		0x663b,
		0x956e
		},
		{
		0x663d,
		0x956f
		},
		{
		0x663f,
		0x9570
		},
		{
		0x6640,
		0x9571
		},
		{
		0x6642,
		0x9572
		},
		{
		0x6644,
		0x9573
		},
		{
		0x6645,
		0x9574
		},
		{
		0x6646,
		0x9575
		},
		{
		0x6647,
		0x9576
		},
		{
		0x6648,
		0x9577
		},
		{
		0x6649,
		0x9578
		},
		{
		0x664a,
		0x9579
		},
		{
		0x664d,
		0x957a
		},
		{
		0x664e,
		0x957b
		},
		{
		0x6650,
		0x957c
		},
		{
		0x6651,
		0x957d
		},
		{
		0x6658,
		0x957e
		},
		{
		0x6659,
		0x9580
		},
		{
		0x665b,
		0x9581
		},
		{
		0x665c,
		0x9582
		},
		{
		0x665d,
		0x9583
		},
		{
		0x665e,
		0x9584
		},
		{
		0x6660,
		0x9585
		},
		{
		0x6662,
		0x9586
		},
		{
		0x6663,
		0x9587
		},
		{
		0x6665,
		0x9588
		},
		{
		0x6667,
		0x9589
		},
		{
		0x6669,
		0x958a
		},
		{
		0x666a,
		0x958b
		},
		{
		0x666b,
		0x958c
		},
		{
		0x666c,
		0x958d
		},
		{
		0x666d,
		0x958e
		},
		{
		0x6671,
		0x958f
		},
		{
		0x6672,
		0x9590
		},
		{
		0x6673,
		0x9591
		},
		{
		0x6675,
		0x9592
		},
		{
		0x6678,
		0x9593
		},
		{
		0x6679,
		0x9594
		},
		{
		0x667b,
		0x9595
		},
		{
		0x667c,
		0x9596
		},
		{
		0x667d,
		0x9597
		},
		{
		0x667f,
		0x9598
		},
		{
		0x6680,
		0x9599
		},
		{
		0x6681,
		0x959a
		},
		{
		0x6683,
		0x959b
		},
		{
		0x6685,
		0x959c
		},
		{
		0x6686,
		0x959d
		},
		{
		0x6688,
		0x959e
		},
		{
		0x6689,
		0x959f
		},
		{
		0x668a,
		0x95a0
		},
		{
		0x668b,
		0x95a1
		},
		{
		0x668d,
		0x95a2
		},
		{
		0x668e,
		0x95a3
		},
		{
		0x668f,
		0x95a4
		},
		{
		0x6690,
		0x95a5
		},
		{
		0x6692,
		0x95a6
		},
		{
		0x6693,
		0x95a7
		},
		{
		0x6694,
		0x95a8
		},
		{
		0x6695,
		0x95a9
		},
		{
		0x6698,
		0x95aa
		},
		{
		0x6699,
		0x95ab
		},
		{
		0x669a,
		0x95ac
		},
		{
		0x669b,
		0x95ad
		},
		{
		0x669c,
		0x95ae
		},
		{
		0x669e,
		0x95af
		},
		{
		0x669f,
		0x95b0
		},
		{
		0x66a0,
		0x95b1
		},
		{
		0x66a1,
		0x95b2
		},
		{
		0x66a2,
		0x95b3
		},
		{
		0x66a3,
		0x95b4
		},
		{
		0x66a4,
		0x95b5
		},
		{
		0x66a5,
		0x95b6
		},
		{
		0x66a6,
		0x95b7
		},
		{
		0x66a9,
		0x95b8
		},
		{
		0x66aa,
		0x95b9
		},
		{
		0x66ab,
		0x95ba
		},
		{
		0x66ac,
		0x95bb
		},
		{
		0x66ad,
		0x95bc
		},
		{
		0x66af,
		0x95bd
		},
		{
		0x66b0,
		0x95be
		},
		{
		0x66b1,
		0x95bf
		},
		{
		0x66b2,
		0x95c0
		},
		{
		0x66b3,
		0x95c1
		},
		{
		0x66b5,
		0x95c2
		},
		{
		0x66b6,
		0x95c3
		},
		{
		0x66b7,
		0x95c4
		},
		{
		0x66b8,
		0x95c5
		},
		{
		0x66ba,
		0x95c6
		},
		{
		0x66bb,
		0x95c7
		},
		{
		0x66bc,
		0x95c8
		},
		{
		0x66bd,
		0x95c9
		},
		{
		0x66bf,
		0x95ca
		},
		{
		0x66c0,
		0x95cb
		},
		{
		0x66c1,
		0x95cc
		},
		{
		0x66c2,
		0x95cd
		},
		{
		0x66c3,
		0x95ce
		},
		{
		0x66c4,
		0x95cf
		},
		{
		0x66c5,
		0x95d0
		},
		{
		0x66c6,
		0x95d1
		},
		{
		0x66c7,
		0x95d2
		},
		{
		0x66c8,
		0x95d3
		},
		{
		0x66c9,
		0x95d4
		},
		{
		0x66ca,
		0x95d5
		},
		{
		0x66cb,
		0x95d6
		},
		{
		0x66cc,
		0x95d7
		},
		{
		0x66cd,
		0x95d8
		},
		{
		0x66ce,
		0x95d9
		},
		{
		0x66cf,
		0x95da
		},
		{
		0x66d0,
		0x95db
		},
		{
		0x66d1,
		0x95dc
		},
		{
		0x66d2,
		0x95dd
		},
		{
		0x66d3,
		0x95de
		},
		{
		0x66d4,
		0x95df
		},
		{
		0x66d5,
		0x95e0
		},
		{
		0x66d6,
		0x95e1
		},
		{
		0x66d7,
		0x95e2
		},
		{
		0x66d8,
		0x95e3
		},
		{
		0x66da,
		0x95e4
		},
		{
		0x66de,
		0x95e5
		},
		{
		0x66df,
		0x95e6
		},
		{
		0x66e0,
		0x95e7
		},
		{
		0x66e1,
		0x95e8
		},
		{
		0x66e2,
		0x95e9
		},
		{
		0x66e3,
		0x95ea
		},
		{
		0x66e4,
		0x95eb
		},
		{
		0x66e5,
		0x95ec
		},
		{
		0x66e7,
		0x95ed
		},
		{
		0x66e8,
		0x95ee
		},
		{
		0x66ea,
		0x95ef
		},
		{
		0x66eb,
		0x95f0
		},
		{
		0x66ec,
		0x95f1
		},
		{
		0x66ed,
		0x95f2
		},
		{
		0x66ee,
		0x95f3
		},
		{
		0x66ef,
		0x95f4
		},
		{
		0x66f1,
		0x95f5
		},
		{
		0x66f5,
		0x95f6
		},
		{
		0x66f6,
		0x95f7
		},
		{
		0x66f8,
		0x95f8
		},
		{
		0x66fa,
		0x95f9
		},
		{
		0x66fb,
		0x95fa
		},
		{
		0x66fd,
		0x95fb
		},
		{
		0x6701,
		0x95fc
		},
		{
		0x6702,
		0x95fd
		},
		{
		0x6703,
		0x95fe
		},
		{
		0x6704,
		0x9640
		},
		{
		0x6705,
		0x9641
		},
		{
		0x6706,
		0x9642
		},
		{
		0x6707,
		0x9643
		},
		{
		0x670c,
		0x9644
		},
		{
		0x670e,
		0x9645
		},
		{
		0x670f,
		0x9646
		},
		{
		0x6711,
		0x9647
		},
		{
		0x6712,
		0x9648
		},
		{
		0x6713,
		0x9649
		},
		{
		0x6716,
		0x964a
		},
		{
		0x6718,
		0x964b
		},
		{
		0x6719,
		0x964c
		},
		{
		0x671a,
		0x964d
		},
		{
		0x671c,
		0x964e
		},
		{
		0x671e,
		0x964f
		},
		{
		0x6720,
		0x9650
		},
		{
		0x6721,
		0x9651
		},
		{
		0x6722,
		0x9652
		},
		{
		0x6723,
		0x9653
		},
		{
		0x6724,
		0x9654
		},
		{
		0x6725,
		0x9655
		},
		{
		0x6727,
		0x9656
		},
		{
		0x6729,
		0x9657
		},
		{
		0x672e,
		0x9658
		},
		{
		0x6730,
		0x9659
		},
		{
		0x6732,
		0x965a
		},
		{
		0x6733,
		0x965b
		},
		{
		0x6736,
		0x965c
		},
		{
		0x6737,
		0x965d
		},
		{
		0x6738,
		0x965e
		},
		{
		0x6739,
		0x965f
		},
		{
		0x673b,
		0x9660
		},
		{
		0x673c,
		0x9661
		},
		{
		0x673e,
		0x9662
		},
		{
		0x673f,
		0x9663
		},
		{
		0x6741,
		0x9664
		},
		{
		0x6744,
		0x9665
		},
		{
		0x6745,
		0x9666
		},
		{
		0x6747,
		0x9667
		},
		{
		0x674a,
		0x9668
		},
		{
		0x674b,
		0x9669
		},
		{
		0x674d,
		0x966a
		},
		{
		0x6752,
		0x966b
		},
		{
		0x6754,
		0x966c
		},
		{
		0x6755,
		0x966d
		},
		{
		0x6757,
		0x966e
		},
		{
		0x6758,
		0x966f
		},
		{
		0x6759,
		0x9670
		},
		{
		0x675a,
		0x9671
		},
		{
		0x675b,
		0x9672
		},
		{
		0x675d,
		0x9673
		},
		{
		0x6762,
		0x9674
		},
		{
		0x6763,
		0x9675
		},
		{
		0x6764,
		0x9676
		},
		{
		0x6766,
		0x9677
		},
		{
		0x6767,
		0x9678
		},
		{
		0x676b,
		0x9679
		},
		{
		0x676c,
		0x967a
		},
		{
		0x676e,
		0x967b
		},
		{
		0x6771,
		0x967c
		},
		{
		0x6774,
		0x967d
		},
		{
		0x6776,
		0x967e
		},
		{
		0x6778,
		0x9680
		},
		{
		0x6779,
		0x9681
		},
		{
		0x677a,
		0x9682
		},
		{
		0x677b,
		0x9683
		},
		{
		0x677d,
		0x9684
		},
		{
		0x6780,
		0x9685
		},
		{
		0x6782,
		0x9686
		},
		{
		0x6783,
		0x9687
		},
		{
		0x6785,
		0x9688
		},
		{
		0x6786,
		0x9689
		},
		{
		0x6788,
		0x968a
		},
		{
		0x678a,
		0x968b
		},
		{
		0x678c,
		0x968c
		},
		{
		0x678d,
		0x968d
		},
		{
		0x678e,
		0x968e
		},
		{
		0x678f,
		0x968f
		},
		{
		0x6791,
		0x9690
		},
		{
		0x6792,
		0x9691
		},
		{
		0x6793,
		0x9692
		},
		{
		0x6794,
		0x9693
		},
		{
		0x6796,
		0x9694
		},
		{
		0x6799,
		0x9695
		},
		{
		0x679b,
		0x9696
		},
		{
		0x679f,
		0x9697
		},
		{
		0x67a0,
		0x9698
		},
		{
		0x67a1,
		0x9699
		},
		{
		0x67a4,
		0x969a
		},
		{
		0x67a6,
		0x969b
		},
		{
		0x67a9,
		0x969c
		},
		{
		0x67ac,
		0x969d
		},
		{
		0x67ae,
		0x969e
		},
		{
		0x67b1,
		0x969f
		},
		{
		0x67b2,
		0x96a0
		},
		{
		0x67b4,
		0x96a1
		},
		{
		0x67b9,
		0x96a2
		},
		{
		0x67ba,
		0x96a3
		},
		{
		0x67bb,
		0x96a4
		},
		{
		0x67bc,
		0x96a5
		},
		{
		0x67bd,
		0x96a6
		},
		{
		0x67be,
		0x96a7
		},
		{
		0x67bf,
		0x96a8
		},
		{
		0x67c0,
		0x96a9
		},
		{
		0x67c2,
		0x96aa
		},
		{
		0x67c5,
		0x96ab
		},
		{
		0x67c6,
		0x96ac
		},
		{
		0x67c7,
		0x96ad
		},
		{
		0x67c8,
		0x96ae
		},
		{
		0x67c9,
		0x96af
		},
		{
		0x67ca,
		0x96b0
		},
		{
		0x67cb,
		0x96b1
		},
		{
		0x67cc,
		0x96b2
		},
		{
		0x67cd,
		0x96b3
		},
		{
		0x67ce,
		0x96b4
		},
		{
		0x67d5,
		0x96b5
		},
		{
		0x67d6,
		0x96b6
		},
		{
		0x67d7,
		0x96b7
		},
		{
		0x67db,
		0x96b8
		},
		{
		0x67df,
		0x96b9
		},
		{
		0x67e1,
		0x96ba
		},
		{
		0x67e3,
		0x96bb
		},
		{
		0x67e4,
		0x96bc
		},
		{
		0x67e6,
		0x96bd
		},
		{
		0x67e7,
		0x96be
		},
		{
		0x67e8,
		0x96bf
		},
		{
		0x67ea,
		0x96c0
		},
		{
		0x67eb,
		0x96c1
		},
		{
		0x67ed,
		0x96c2
		},
		{
		0x67ee,
		0x96c3
		},
		{
		0x67f2,
		0x96c4
		},
		{
		0x67f5,
		0x96c5
		},
		{
		0x67f6,
		0x96c6
		},
		{
		0x67f7,
		0x96c7
		},
		{
		0x67f8,
		0x96c8
		},
		{
		0x67f9,
		0x96c9
		},
		{
		0x67fa,
		0x96ca
		},
		{
		0x67fb,
		0x96cb
		},
		{
		0x67fc,
		0x96cc
		},
		{
		0x67fe,
		0x96cd
		},
		{
		0x6801,
		0x96ce
		},
		{
		0x6802,
		0x96cf
		},
		{
		0x6803,
		0x96d0
		},
		{
		0x6804,
		0x96d1
		},
		{
		0x6806,
		0x96d2
		},
		{
		0x680d,
		0x96d3
		},
		{
		0x6810,
		0x96d4
		},
		{
		0x6812,
		0x96d5
		},
		{
		0x6814,
		0x96d6
		},
		{
		0x6815,
		0x96d7
		},
		{
		0x6818,
		0x96d8
		},
		{
		0x6819,
		0x96d9
		},
		{
		0x681a,
		0x96da
		},
		{
		0x681b,
		0x96db
		},
		{
		0x681c,
		0x96dc
		},
		{
		0x681e,
		0x96dd
		},
		{
		0x681f,
		0x96de
		},
		{
		0x6820,
		0x96df
		},
		{
		0x6822,
		0x96e0
		},
		{
		0x6823,
		0x96e1
		},
		{
		0x6824,
		0x96e2
		},
		{
		0x6825,
		0x96e3
		},
		{
		0x6826,
		0x96e4
		},
		{
		0x6827,
		0x96e5
		},
		{
		0x6828,
		0x96e6
		},
		{
		0x682b,
		0x96e7
		},
		{
		0x682c,
		0x96e8
		},
		{
		0x682d,
		0x96e9
		},
		{
		0x682e,
		0x96ea
		},
		{
		0x682f,
		0x96eb
		},
		{
		0x6830,
		0x96ec
		},
		{
		0x6831,
		0x96ed
		},
		{
		0x6834,
		0x96ee
		},
		{
		0x6835,
		0x96ef
		},
		{
		0x6836,
		0x96f0
		},
		{
		0x683a,
		0x96f1
		},
		{
		0x683b,
		0x96f2
		},
		{
		0x683f,
		0x96f3
		},
		{
		0x6847,
		0x96f4
		},
		{
		0x684b,
		0x96f5
		},
		{
		0x684d,
		0x96f6
		},
		{
		0x684f,
		0x96f7
		},
		{
		0x6852,
		0x96f8
		},
		{
		0x6856,
		0x96f9
		},
		{
		0x6857,
		0x96fa
		},
		{
		0x6858,
		0x96fb
		},
		{
		0x6859,
		0x96fc
		},
		{
		0x685a,
		0x96fd
		},
		{
		0x685b,
		0x96fe
		},
		{
		0x685c,
		0x9740
		},
		{
		0x685d,
		0x9741
		},
		{
		0x685e,
		0x9742
		},
		{
		0x685f,
		0x9743
		},
		{
		0x686a,
		0x9744
		},
		{
		0x686c,
		0x9745
		},
		{
		0x686d,
		0x9746
		},
		{
		0x686e,
		0x9747
		},
		{
		0x686f,
		0x9748
		},
		{
		0x6870,
		0x9749
		},
		{
		0x6871,
		0x974a
		},
		{
		0x6872,
		0x974b
		},
		{
		0x6873,
		0x974c
		},
		{
		0x6875,
		0x974d
		},
		{
		0x6878,
		0x974e
		},
		{
		0x6879,
		0x974f
		},
		{
		0x687a,
		0x9750
		},
		{
		0x687b,
		0x9751
		},
		{
		0x687c,
		0x9752
		},
		{
		0x687d,
		0x9753
		},
		{
		0x687e,
		0x9754
		},
		{
		0x687f,
		0x9755
		},
		{
		0x6880,
		0x9756
		},
		{
		0x6882,
		0x9757
		},
		{
		0x6884,
		0x9758
		},
		{
		0x6887,
		0x9759
		},
		{
		0x6888,
		0x975a
		},
		{
		0x6889,
		0x975b
		},
		{
		0x688a,
		0x975c
		},
		{
		0x688b,
		0x975d
		},
		{
		0x688c,
		0x975e
		},
		{
		0x688d,
		0x975f
		},
		{
		0x688e,
		0x9760
		},
		{
		0x6890,
		0x9761
		},
		{
		0x6891,
		0x9762
		},
		{
		0x6892,
		0x9763
		},
		{
		0x6894,
		0x9764
		},
		{
		0x6895,
		0x9765
		},
		{
		0x6896,
		0x9766
		},
		{
		0x6898,
		0x9767
		},
		{
		0x6899,
		0x9768
		},
		{
		0x689a,
		0x9769
		},
		{
		0x689b,
		0x976a
		},
		{
		0x689c,
		0x976b
		},
		{
		0x689d,
		0x976c
		},
		{
		0x689e,
		0x976d
		},
		{
		0x689f,
		0x976e
		},
		{
		0x68a0,
		0x976f
		},
		{
		0x68a1,
		0x9770
		},
		{
		0x68a3,
		0x9771
		},
		{
		0x68a4,
		0x9772
		},
		{
		0x68a5,
		0x9773
		},
		{
		0x68a9,
		0x9774
		},
		{
		0x68aa,
		0x9775
		},
		{
		0x68ab,
		0x9776
		},
		{
		0x68ac,
		0x9777
		},
		{
		0x68ae,
		0x9778
		},
		{
		0x68b1,
		0x9779
		},
		{
		0x68b2,
		0x977a
		},
		{
		0x68b4,
		0x977b
		},
		{
		0x68b6,
		0x977c
		},
		{
		0x68b7,
		0x977d
		},
		{
		0x68b8,
		0x977e
		},
		{
		0x68b9,
		0x9780
		},
		{
		0x68ba,
		0x9781
		},
		{
		0x68bb,
		0x9782
		},
		{
		0x68bc,
		0x9783
		},
		{
		0x68bd,
		0x9784
		},
		{
		0x68be,
		0x9785
		},
		{
		0x68bf,
		0x9786
		},
		{
		0x68c1,
		0x9787
		},
		{
		0x68c3,
		0x9788
		},
		{
		0x68c4,
		0x9789
		},
		{
		0x68c5,
		0x978a
		},
		{
		0x68c6,
		0x978b
		},
		{
		0x68c7,
		0x978c
		},
		{
		0x68c8,
		0x978d
		},
		{
		0x68ca,
		0x978e
		},
		{
		0x68cc,
		0x978f
		},
		{
		0x68ce,
		0x9790
		},
		{
		0x68cf,
		0x9791
		},
		{
		0x68d0,
		0x9792
		},
		{
		0x68d1,
		0x9793
		},
		{
		0x68d3,
		0x9794
		},
		{
		0x68d4,
		0x9795
		},
		{
		0x68d6,
		0x9796
		},
		{
		0x68d7,
		0x9797
		},
		{
		0x68d9,
		0x9798
		},
		{
		0x68db,
		0x9799
		},
		{
		0x68dc,
		0x979a
		},
		{
		0x68dd,
		0x979b
		},
		{
		0x68de,
		0x979c
		},
		{
		0x68df,
		0x979d
		},
		{
		0x68e1,
		0x979e
		},
		{
		0x68e2,
		0x979f
		},
		{
		0x68e4,
		0x97a0
		},
		{
		0x68e5,
		0x97a1
		},
		{
		0x68e6,
		0x97a2
		},
		{
		0x68e7,
		0x97a3
		},
		{
		0x68e8,
		0x97a4
		},
		{
		0x68e9,
		0x97a5
		},
		{
		0x68ea,
		0x97a6
		},
		{
		0x68eb,
		0x97a7
		},
		{
		0x68ec,
		0x97a8
		},
		{
		0x68ed,
		0x97a9
		},
		{
		0x68ef,
		0x97aa
		},
		{
		0x68f2,
		0x97ab
		},
		{
		0x68f3,
		0x97ac
		},
		{
		0x68f4,
		0x97ad
		},
		{
		0x68f6,
		0x97ae
		},
		{
		0x68f7,
		0x97af
		},
		{
		0x68f8,
		0x97b0
		},
		{
		0x68fb,
		0x97b1
		},
		{
		0x68fd,
		0x97b2
		},
		{
		0x68fe,
		0x97b3
		},
		{
		0x68ff,
		0x97b4
		},
		{
		0x6900,
		0x97b5
		},
		{
		0x6902,
		0x97b6
		},
		{
		0x6903,
		0x97b7
		},
		{
		0x6904,
		0x97b8
		},
		{
		0x6906,
		0x97b9
		},
		{
		0x6907,
		0x97ba
		},
		{
		0x6908,
		0x97bb
		},
		{
		0x6909,
		0x97bc
		},
		{
		0x690a,
		0x97bd
		},
		{
		0x690c,
		0x97be
		},
		{
		0x690f,
		0x97bf
		},
		{
		0x6911,
		0x97c0
		},
		{
		0x6913,
		0x97c1
		},
		{
		0x6914,
		0x97c2
		},
		{
		0x6915,
		0x97c3
		},
		{
		0x6916,
		0x97c4
		},
		{
		0x6917,
		0x97c5
		},
		{
		0x6918,
		0x97c6
		},
		{
		0x6919,
		0x97c7
		},
		{
		0x691a,
		0x97c8
		},
		{
		0x691b,
		0x97c9
		},
		{
		0x691c,
		0x97ca
		},
		{
		0x691d,
		0x97cb
		},
		{
		0x691e,
		0x97cc
		},
		{
		0x6921,
		0x97cd
		},
		{
		0x6922,
		0x97ce
		},
		{
		0x6923,
		0x97cf
		},
		{
		0x6925,
		0x97d0
		},
		{
		0x6926,
		0x97d1
		},
		{
		0x6927,
		0x97d2
		},
		{
		0x6928,
		0x97d3
		},
		{
		0x6929,
		0x97d4
		},
		{
		0x692a,
		0x97d5
		},
		{
		0x692b,
		0x97d6
		},
		{
		0x692c,
		0x97d7
		},
		{
		0x692e,
		0x97d8
		},
		{
		0x692f,
		0x97d9
		},
		{
		0x6931,
		0x97da
		},
		{
		0x6932,
		0x97db
		},
		{
		0x6933,
		0x97dc
		},
		{
		0x6935,
		0x97dd
		},
		{
		0x6936,
		0x97de
		},
		{
		0x6937,
		0x97df
		},
		{
		0x6938,
		0x97e0
		},
		{
		0x693a,
		0x97e1
		},
		{
		0x693b,
		0x97e2
		},
		{
		0x693c,
		0x97e3
		},
		{
		0x693e,
		0x97e4
		},
		{
		0x6940,
		0x97e5
		},
		{
		0x6941,
		0x97e6
		},
		{
		0x6943,
		0x97e7
		},
		{
		0x6944,
		0x97e8
		},
		{
		0x6945,
		0x97e9
		},
		{
		0x6946,
		0x97ea
		},
		{
		0x6947,
		0x97eb
		},
		{
		0x6948,
		0x97ec
		},
		{
		0x6949,
		0x97ed
		},
		{
		0x694a,
		0x97ee
		},
		{
		0x694b,
		0x97ef
		},
		{
		0x694c,
		0x97f0
		},
		{
		0x694d,
		0x97f1
		},
		{
		0x694e,
		0x97f2
		},
		{
		0x694f,
		0x97f3
		},
		{
		0x6950,
		0x97f4
		},
		{
		0x6951,
		0x97f5
		},
		{
		0x6952,
		0x97f6
		},
		{
		0x6953,
		0x97f7
		},
		{
		0x6955,
		0x97f8
		},
		{
		0x6956,
		0x97f9
		},
		{
		0x6958,
		0x97fa
		},
		{
		0x6959,
		0x97fb
		},
		{
		0x695b,
		0x97fc
		},
		{
		0x695c,
		0x97fd
		},
		{
		0x695f,
		0x97fe
		},
		{
		0x6961,
		0x9840
		},
		{
		0x6962,
		0x9841
		},
		{
		0x6964,
		0x9842
		},
		{
		0x6965,
		0x9843
		},
		{
		0x6967,
		0x9844
		},
		{
		0x6968,
		0x9845
		},
		{
		0x6969,
		0x9846
		},
		{
		0x696a,
		0x9847
		},
		{
		0x696c,
		0x9848
		},
		{
		0x696d,
		0x9849
		},
		{
		0x696f,
		0x984a
		},
		{
		0x6970,
		0x984b
		},
		{
		0x6972,
		0x984c
		},
		{
		0x6973,
		0x984d
		},
		{
		0x6974,
		0x984e
		},
		{
		0x6975,
		0x984f
		},
		{
		0x6976,
		0x9850
		},
		{
		0x697a,
		0x9851
		},
		{
		0x697b,
		0x9852
		},
		{
		0x697d,
		0x9853
		},
		{
		0x697e,
		0x9854
		},
		{
		0x697f,
		0x9855
		},
		{
		0x6981,
		0x9856
		},
		{
		0x6983,
		0x9857
		},
		{
		0x6985,
		0x9858
		},
		{
		0x698a,
		0x9859
		},
		{
		0x698b,
		0x985a
		},
		{
		0x698c,
		0x985b
		},
		{
		0x698e,
		0x985c
		},
		{
		0x698f,
		0x985d
		},
		{
		0x6990,
		0x985e
		},
		{
		0x6991,
		0x985f
		},
		{
		0x6992,
		0x9860
		},
		{
		0x6993,
		0x9861
		},
		{
		0x6996,
		0x9862
		},
		{
		0x6997,
		0x9863
		},
		{
		0x6999,
		0x9864
		},
		{
		0x699a,
		0x9865
		},
		{
		0x699d,
		0x9866
		},
		{
		0x699e,
		0x9867
		},
		{
		0x699f,
		0x9868
		},
		{
		0x69a0,
		0x9869
		},
		{
		0x69a1,
		0x986a
		},
		{
		0x69a2,
		0x986b
		},
		{
		0x69a3,
		0x986c
		},
		{
		0x69a4,
		0x986d
		},
		{
		0x69a5,
		0x986e
		},
		{
		0x69a6,
		0x986f
		},
		{
		0x69a9,
		0x9870
		},
		{
		0x69aa,
		0x9871
		},
		{
		0x69ac,
		0x9872
		},
		{
		0x69ae,
		0x9873
		},
		{
		0x69af,
		0x9874
		},
		{
		0x69b0,
		0x9875
		},
		{
		0x69b2,
		0x9876
		},
		{
		0x69b3,
		0x9877
		},
		{
		0x69b5,
		0x9878
		},
		{
		0x69b6,
		0x9879
		},
		{
		0x69b8,
		0x987a
		},
		{
		0x69b9,
		0x987b
		},
		{
		0x69ba,
		0x987c
		},
		{
		0x69bc,
		0x987d
		},
		{
		0x69bd,
		0x987e
		},
		{
		0x69be,
		0x9880
		},
		{
		0x69bf,
		0x9881
		},
		{
		0x69c0,
		0x9882
		},
		{
		0x69c2,
		0x9883
		},
		{
		0x69c3,
		0x9884
		},
		{
		0x69c4,
		0x9885
		},
		{
		0x69c5,
		0x9886
		},
		{
		0x69c6,
		0x9887
		},
		{
		0x69c7,
		0x9888
		},
		{
		0x69c8,
		0x9889
		},
		{
		0x69c9,
		0x988a
		},
		{
		0x69cb,
		0x988b
		},
		{
		0x69cd,
		0x988c
		},
		{
		0x69cf,
		0x988d
		},
		{
		0x69d1,
		0x988e
		},
		{
		0x69d2,
		0x988f
		},
		{
		0x69d3,
		0x9890
		},
		{
		0x69d5,
		0x9891
		},
		{
		0x69d6,
		0x9892
		},
		{
		0x69d7,
		0x9893
		},
		{
		0x69d8,
		0x9894
		},
		{
		0x69d9,
		0x9895
		},
		{
		0x69da,
		0x9896
		},
		{
		0x69dc,
		0x9897
		},
		{
		0x69dd,
		0x9898
		},
		{
		0x69de,
		0x9899
		},
		{
		0x69e1,
		0x989a
		},
		{
		0x69e2,
		0x989b
		},
		{
		0x69e3,
		0x989c
		},
		{
		0x69e4,
		0x989d
		},
		{
		0x69e5,
		0x989e
		},
		{
		0x69e6,
		0x989f
		},
		{
		0x69e7,
		0x98a0
		},
		{
		0x69e8,
		0x98a1
		},
		{
		0x69e9,
		0x98a2
		},
		{
		0x69ea,
		0x98a3
		},
		{
		0x69eb,
		0x98a4
		},
		{
		0x69ec,
		0x98a5
		},
		{
		0x69ee,
		0x98a6
		},
		{
		0x69ef,
		0x98a7
		},
		{
		0x69f0,
		0x98a8
		},
		{
		0x69f1,
		0x98a9
		},
		{
		0x69f3,
		0x98aa
		},
		{
		0x69f4,
		0x98ab
		},
		{
		0x69f5,
		0x98ac
		},
		{
		0x69f6,
		0x98ad
		},
		{
		0x69f7,
		0x98ae
		},
		{
		0x69f8,
		0x98af
		},
		{
		0x69f9,
		0x98b0
		},
		{
		0x69fa,
		0x98b1
		},
		{
		0x69fb,
		0x98b2
		},
		{
		0x69fc,
		0x98b3
		},
		{
		0x69fe,
		0x98b4
		},
		{
		0x6a00,
		0x98b5
		},
		{
		0x6a01,
		0x98b6
		},
		{
		0x6a02,
		0x98b7
		},
		{
		0x6a03,
		0x98b8
		},
		{
		0x6a04,
		0x98b9
		},
		{
		0x6a05,
		0x98ba
		},
		{
		0x6a06,
		0x98bb
		},
		{
		0x6a07,
		0x98bc
		},
		{
		0x6a08,
		0x98bd
		},
		{
		0x6a09,
		0x98be
		},
		{
		0x6a0b,
		0x98bf
		},
		{
		0x6a0c,
		0x98c0
		},
		{
		0x6a0d,
		0x98c1
		},
		{
		0x6a0e,
		0x98c2
		},
		{
		0x6a0f,
		0x98c3
		},
		{
		0x6a10,
		0x98c4
		},
		{
		0x6a11,
		0x98c5
		},
		{
		0x6a12,
		0x98c6
		},
		{
		0x6a13,
		0x98c7
		},
		{
		0x6a14,
		0x98c8
		},
		{
		0x6a15,
		0x98c9
		},
		{
		0x6a16,
		0x98ca
		},
		{
		0x6a19,
		0x98cb
		},
		{
		0x6a1a,
		0x98cc
		},
		{
		0x6a1b,
		0x98cd
		},
		{
		0x6a1c,
		0x98ce
		},
		{
		0x6a1d,
		0x98cf
		},
		{
		0x6a1e,
		0x98d0
		},
		{
		0x6a20,
		0x98d1
		},
		{
		0x6a22,
		0x98d2
		},
		{
		0x6a23,
		0x98d3
		},
		{
		0x6a24,
		0x98d4
		},
		{
		0x6a25,
		0x98d5
		},
		{
		0x6a26,
		0x98d6
		},
		{
		0x6a27,
		0x98d7
		},
		{
		0x6a29,
		0x98d8
		},
		{
		0x6a2b,
		0x98d9
		},
		{
		0x6a2c,
		0x98da
		},
		{
		0x6a2d,
		0x98db
		},
		{
		0x6a2e,
		0x98dc
		},
		{
		0x6a30,
		0x98dd
		},
		{
		0x6a32,
		0x98de
		},
		{
		0x6a33,
		0x98df
		},
		{
		0x6a34,
		0x98e0
		},
		{
		0x6a36,
		0x98e1
		},
		{
		0x6a37,
		0x98e2
		},
		{
		0x6a38,
		0x98e3
		},
		{
		0x6a39,
		0x98e4
		},
		{
		0x6a3a,
		0x98e5
		},
		{
		0x6a3b,
		0x98e6
		},
		{
		0x6a3c,
		0x98e7
		},
		{
		0x6a3f,
		0x98e8
		},
		{
		0x6a40,
		0x98e9
		},
		{
		0x6a41,
		0x98ea
		},
		{
		0x6a42,
		0x98eb
		},
		{
		0x6a43,
		0x98ec
		},
		{
		0x6a45,
		0x98ed
		},
		{
		0x6a46,
		0x98ee
		},
		{
		0x6a48,
		0x98ef
		},
		{
		0x6a49,
		0x98f0
		},
		{
		0x6a4a,
		0x98f1
		},
		{
		0x6a4b,
		0x98f2
		},
		{
		0x6a4c,
		0x98f3
		},
		{
		0x6a4d,
		0x98f4
		},
		{
		0x6a4e,
		0x98f5
		},
		{
		0x6a4f,
		0x98f6
		},
		{
		0x6a51,
		0x98f7
		},
		{
		0x6a52,
		0x98f8
		},
		{
		0x6a53,
		0x98f9
		},
		{
		0x6a54,
		0x98fa
		},
		{
		0x6a55,
		0x98fb
		},
		{
		0x6a56,
		0x98fc
		},
		{
		0x6a57,
		0x98fd
		},
		{
		0x6a5a,
		0x98fe
		},
		{
		0x6a5c,
		0x9940
		},
		{
		0x6a5d,
		0x9941
		},
		{
		0x6a5e,
		0x9942
		},
		{
		0x6a5f,
		0x9943
		},
		{
		0x6a60,
		0x9944
		},
		{
		0x6a62,
		0x9945
		},
		{
		0x6a63,
		0x9946
		},
		{
		0x6a64,
		0x9947
		},
		{
		0x6a66,
		0x9948
		},
		{
		0x6a67,
		0x9949
		},
		{
		0x6a68,
		0x994a
		},
		{
		0x6a69,
		0x994b
		},
		{
		0x6a6a,
		0x994c
		},
		{
		0x6a6b,
		0x994d
		},
		{
		0x6a6c,
		0x994e
		},
		{
		0x6a6d,
		0x994f
		},
		{
		0x6a6e,
		0x9950
		},
		{
		0x6a6f,
		0x9951
		},
		{
		0x6a70,
		0x9952
		},
		{
		0x6a72,
		0x9953
		},
		{
		0x6a73,
		0x9954
		},
		{
		0x6a74,
		0x9955
		},
		{
		0x6a75,
		0x9956
		},
		{
		0x6a76,
		0x9957
		},
		{
		0x6a77,
		0x9958
		},
		{
		0x6a78,
		0x9959
		},
		{
		0x6a7a,
		0x995a
		},
		{
		0x6a7b,
		0x995b
		},
		{
		0x6a7d,
		0x995c
		},
		{
		0x6a7e,
		0x995d
		},
		{
		0x6a7f,
		0x995e
		},
		{
		0x6a81,
		0x995f
		},
		{
		0x6a82,
		0x9960
		},
		{
		0x6a83,
		0x9961
		},
		{
		0x6a85,
		0x9962
		},
		{
		0x6a86,
		0x9963
		},
		{
		0x6a87,
		0x9964
		},
		{
		0x6a88,
		0x9965
		},
		{
		0x6a89,
		0x9966
		},
		{
		0x6a8a,
		0x9967
		},
		{
		0x6a8b,
		0x9968
		},
		{
		0x6a8c,
		0x9969
		},
		{
		0x6a8d,
		0x996a
		},
		{
		0x6a8f,
		0x996b
		},
		{
		0x6a92,
		0x996c
		},
		{
		0x6a93,
		0x996d
		},
		{
		0x6a94,
		0x996e
		},
		{
		0x6a95,
		0x996f
		},
		{
		0x6a96,
		0x9970
		},
		{
		0x6a98,
		0x9971
		},
		{
		0x6a99,
		0x9972
		},
		{
		0x6a9a,
		0x9973
		},
		{
		0x6a9b,
		0x9974
		},
		{
		0x6a9c,
		0x9975
		},
		{
		0x6a9d,
		0x9976
		},
		{
		0x6a9e,
		0x9977
		},
		{
		0x6a9f,
		0x9978
		},
		{
		0x6aa1,
		0x9979
		},
		{
		0x6aa2,
		0x997a
		},
		{
		0x6aa3,
		0x997b
		},
		{
		0x6aa4,
		0x997c
		},
		{
		0x6aa5,
		0x997d
		},
		{
		0x6aa6,
		0x997e
		},
		{
		0x6aa7,
		0x9980
		},
		{
		0x6aa8,
		0x9981
		},
		{
		0x6aaa,
		0x9982
		},
		{
		0x6aad,
		0x9983
		},
		{
		0x6aae,
		0x9984
		},
		{
		0x6aaf,
		0x9985
		},
		{
		0x6ab0,
		0x9986
		},
		{
		0x6ab1,
		0x9987
		},
		{
		0x6ab2,
		0x9988
		},
		{
		0x6ab3,
		0x9989
		},
		{
		0x6ab4,
		0x998a
		},
		{
		0x6ab5,
		0x998b
		},
		{
		0x6ab6,
		0x998c
		},
		{
		0x6ab7,
		0x998d
		},
		{
		0x6ab8,
		0x998e
		},
		{
		0x6ab9,
		0x998f
		},
		{
		0x6aba,
		0x9990
		},
		{
		0x6abb,
		0x9991
		},
		{
		0x6abc,
		0x9992
		},
		{
		0x6abd,
		0x9993
		},
		{
		0x6abe,
		0x9994
		},
		{
		0x6abf,
		0x9995
		},
		{
		0x6ac0,
		0x9996
		},
		{
		0x6ac1,
		0x9997
		},
		{
		0x6ac2,
		0x9998
		},
		{
		0x6ac3,
		0x9999
		},
		{
		0x6ac4,
		0x999a
		},
		{
		0x6ac5,
		0x999b
		},
		{
		0x6ac6,
		0x999c
		},
		{
		0x6ac7,
		0x999d
		},
		{
		0x6ac8,
		0x999e
		},
		{
		0x6ac9,
		0x999f
		},
		{
		0x6aca,
		0x99a0
		},
		{
		0x6acb,
		0x99a1
		},
		{
		0x6acc,
		0x99a2
		},
		{
		0x6acd,
		0x99a3
		},
		{
		0x6ace,
		0x99a4
		},
		{
		0x6acf,
		0x99a5
		},
		{
		0x6ad0,
		0x99a6
		},
		{
		0x6ad1,
		0x99a7
		},
		{
		0x6ad2,
		0x99a8
		},
		{
		0x6ad3,
		0x99a9
		},
		{
		0x6ad4,
		0x99aa
		},
		{
		0x6ad5,
		0x99ab
		},
		{
		0x6ad6,
		0x99ac
		},
		{
		0x6ad7,
		0x99ad
		},
		{
		0x6ad8,
		0x99ae
		},
		{
		0x6ad9,
		0x99af
		},
		{
		0x6ada,
		0x99b0
		},
		{
		0x6adb,
		0x99b1
		},
		{
		0x6adc,
		0x99b2
		},
		{
		0x6add,
		0x99b3
		},
		{
		0x6ade,
		0x99b4
		},
		{
		0x6adf,
		0x99b5
		},
		{
		0x6ae0,
		0x99b6
		},
		{
		0x6ae1,
		0x99b7
		},
		{
		0x6ae2,
		0x99b8
		},
		{
		0x6ae3,
		0x99b9
		},
		{
		0x6ae4,
		0x99ba
		},
		{
		0x6ae5,
		0x99bb
		},
		{
		0x6ae6,
		0x99bc
		},
		{
		0x6ae7,
		0x99bd
		},
		{
		0x6ae8,
		0x99be
		},
		{
		0x6ae9,
		0x99bf
		},
		{
		0x6aea,
		0x99c0
		},
		{
		0x6aeb,
		0x99c1
		},
		{
		0x6aec,
		0x99c2
		},
		{
		0x6aed,
		0x99c3
		},
		{
		0x6aee,
		0x99c4
		},
		{
		0x6aef,
		0x99c5
		},
		{
		0x6af0,
		0x99c6
		},
		{
		0x6af1,
		0x99c7
		},
		{
		0x6af2,
		0x99c8
		},
		{
		0x6af3,
		0x99c9
		},
		{
		0x6af4,
		0x99ca
		},
		{
		0x6af5,
		0x99cb
		},
		{
		0x6af6,
		0x99cc
		},
		{
		0x6af7,
		0x99cd
		},
		{
		0x6af8,
		0x99ce
		},
		{
		0x6af9,
		0x99cf
		},
		{
		0x6afa,
		0x99d0
		},
		{
		0x6afb,
		0x99d1
		},
		{
		0x6afc,
		0x99d2
		},
		{
		0x6afd,
		0x99d3
		},
		{
		0x6afe,
		0x99d4
		},
		{
		0x6aff,
		0x99d5
		},
		{
		0x6b00,
		0x99d6
		},
		{
		0x6b01,
		0x99d7
		},
		{
		0x6b02,
		0x99d8
		},
		{
		0x6b03,
		0x99d9
		},
		{
		0x6b04,
		0x99da
		},
		{
		0x6b05,
		0x99db
		},
		{
		0x6b06,
		0x99dc
		},
		{
		0x6b07,
		0x99dd
		},
		{
		0x6b08,
		0x99de
		},
		{
		0x6b09,
		0x99df
		},
		{
		0x6b0a,
		0x99e0
		},
		{
		0x6b0b,
		0x99e1
		},
		{
		0x6b0c,
		0x99e2
		},
		{
		0x6b0d,
		0x99e3
		},
		{
		0x6b0e,
		0x99e4
		},
		{
		0x6b0f,
		0x99e5
		},
		{
		0x6b10,
		0x99e6
		},
		{
		0x6b11,
		0x99e7
		},
		{
		0x6b12,
		0x99e8
		},
		{
		0x6b13,
		0x99e9
		},
		{
		0x6b14,
		0x99ea
		},
		{
		0x6b15,
		0x99eb
		},
		{
		0x6b16,
		0x99ec
		},
		{
		0x6b17,
		0x99ed
		},
		{
		0x6b18,
		0x99ee
		},
		{
		0x6b19,
		0x99ef
		},
		{
		0x6b1a,
		0x99f0
		},
		{
		0x6b1b,
		0x99f1
		},
		{
		0x6b1c,
		0x99f2
		},
		{
		0x6b1d,
		0x99f3
		},
		{
		0x6b1e,
		0x99f4
		},
		{
		0x6b1f,
		0x99f5
		},
		{
		0x6b25,
		0x99f6
		},
		{
		0x6b26,
		0x99f7
		},
		{
		0x6b28,
		0x99f8
		},
		{
		0x6b29,
		0x99f9
		},
		{
		0x6b2a,
		0x99fa
		},
		{
		0x6b2b,
		0x99fb
		},
		{
		0x6b2c,
		0x99fc
		},
		{
		0x6b2d,
		0x99fd
		},
		{
		0x6b2e,
		0x99fe
		},
		{
		0x6b2f,
		0x9a40
		},
		{
		0x6b30,
		0x9a41
		},
		{
		0x6b31,
		0x9a42
		},
		{
		0x6b33,
		0x9a43
		},
		{
		0x6b34,
		0x9a44
		},
		{
		0x6b35,
		0x9a45
		},
		{
		0x6b36,
		0x9a46
		},
		{
		0x6b38,
		0x9a47
		},
		{
		0x6b3b,
		0x9a48
		},
		{
		0x6b3c,
		0x9a49
		},
		{
		0x6b3d,
		0x9a4a
		},
		{
		0x6b3f,
		0x9a4b
		},
		{
		0x6b40,
		0x9a4c
		},
		{
		0x6b41,
		0x9a4d
		},
		{
		0x6b42,
		0x9a4e
		},
		{
		0x6b44,
		0x9a4f
		},
		{
		0x6b45,
		0x9a50
		},
		{
		0x6b48,
		0x9a51
		},
		{
		0x6b4a,
		0x9a52
		},
		{
		0x6b4b,
		0x9a53
		},
		{
		0x6b4d,
		0x9a54
		},
		{
		0x6b4e,
		0x9a55
		},
		{
		0x6b4f,
		0x9a56
		},
		{
		0x6b50,
		0x9a57
		},
		{
		0x6b51,
		0x9a58
		},
		{
		0x6b52,
		0x9a59
		},
		{
		0x6b53,
		0x9a5a
		},
		{
		0x6b54,
		0x9a5b
		},
		{
		0x6b55,
		0x9a5c
		},
		{
		0x6b56,
		0x9a5d
		},
		{
		0x6b57,
		0x9a5e
		},
		{
		0x6b58,
		0x9a5f
		},
		{
		0x6b5a,
		0x9a60
		},
		{
		0x6b5b,
		0x9a61
		},
		{
		0x6b5c,
		0x9a62
		},
		{
		0x6b5d,
		0x9a63
		},
		{
		0x6b5e,
		0x9a64
		},
		{
		0x6b5f,
		0x9a65
		},
		{
		0x6b60,
		0x9a66
		},
		{
		0x6b61,
		0x9a67
		},
		{
		0x6b68,
		0x9a68
		},
		{
		0x6b69,
		0x9a69
		},
		{
		0x6b6b,
		0x9a6a
		},
		{
		0x6b6c,
		0x9a6b
		},
		{
		0x6b6d,
		0x9a6c
		},
		{
		0x6b6e,
		0x9a6d
		},
		{
		0x6b6f,
		0x9a6e
		},
		{
		0x6b70,
		0x9a6f
		},
		{
		0x6b71,
		0x9a70
		},
		{
		0x6b72,
		0x9a71
		},
		{
		0x6b73,
		0x9a72
		},
		{
		0x6b74,
		0x9a73
		},
		{
		0x6b75,
		0x9a74
		},
		{
		0x6b76,
		0x9a75
		},
		{
		0x6b77,
		0x9a76
		},
		{
		0x6b78,
		0x9a77
		},
		{
		0x6b7a,
		0x9a78
		},
		{
		0x6b7d,
		0x9a79
		},
		{
		0x6b7e,
		0x9a7a
		},
		{
		0x6b7f,
		0x9a7b
		},
		{
		0x6b80,
		0x9a7c
		},
		{
		0x6b85,
		0x9a7d
		},
		{
		0x6b88,
		0x9a7e
		},
		{
		0x6b8c,
		0x9a80
		},
		{
		0x6b8e,
		0x9a81
		},
		{
		0x6b8f,
		0x9a82
		},
		{
		0x6b90,
		0x9a83
		},
		{
		0x6b91,
		0x9a84
		},
		{
		0x6b94,
		0x9a85
		},
		{
		0x6b95,
		0x9a86
		},
		{
		0x6b97,
		0x9a87
		},
		{
		0x6b98,
		0x9a88
		},
		{
		0x6b99,
		0x9a89
		},
		{
		0x6b9c,
		0x9a8a
		},
		{
		0x6b9d,
		0x9a8b
		},
		{
		0x6b9e,
		0x9a8c
		},
		{
		0x6b9f,
		0x9a8d
		},
		{
		0x6ba0,
		0x9a8e
		},
		{
		0x6ba2,
		0x9a8f
		},
		{
		0x6ba3,
		0x9a90
		},
		{
		0x6ba4,
		0x9a91
		},
		{
		0x6ba5,
		0x9a92
		},
		{
		0x6ba6,
		0x9a93
		},
		{
		0x6ba7,
		0x9a94
		},
		{
		0x6ba8,
		0x9a95
		},
		{
		0x6ba9,
		0x9a96
		},
		{
		0x6bab,
		0x9a97
		},
		{
		0x6bac,
		0x9a98
		},
		{
		0x6bad,
		0x9a99
		},
		{
		0x6bae,
		0x9a9a
		},
		{
		0x6baf,
		0x9a9b
		},
		{
		0x6bb0,
		0x9a9c
		},
		{
		0x6bb1,
		0x9a9d
		},
		{
		0x6bb2,
		0x9a9e
		},
		{
		0x6bb6,
		0x9a9f
		},
		{
		0x6bb8,
		0x9aa0
		},
		{
		0x6bb9,
		0x9aa1
		},
		{
		0x6bba,
		0x9aa2
		},
		{
		0x6bbb,
		0x9aa3
		},
		{
		0x6bbc,
		0x9aa4
		},
		{
		0x6bbd,
		0x9aa5
		},
		{
		0x6bbe,
		0x9aa6
		},
		{
		0x6bc0,
		0x9aa7
		},
		{
		0x6bc3,
		0x9aa8
		},
		{
		0x6bc4,
		0x9aa9
		},
		{
		0x6bc6,
		0x9aaa
		},
		{
		0x6bc7,
		0x9aab
		},
		{
		0x6bc8,
		0x9aac
		},
		{
		0x6bc9,
		0x9aad
		},
		{
		0x6bca,
		0x9aae
		},
		{
		0x6bcc,
		0x9aaf
		},
		{
		0x6bce,
		0x9ab0
		},
		{
		0x6bd0,
		0x9ab1
		},
		{
		0x6bd1,
		0x9ab2
		},
		{
		0x6bd8,
		0x9ab3
		},
		{
		0x6bda,
		0x9ab4
		},
		{
		0x6bdc,
		0x9ab5
		},
		{
		0x6bdd,
		0x9ab6
		},
		{
		0x6bde,
		0x9ab7
		},
		{
		0x6bdf,
		0x9ab8
		},
		{
		0x6be0,
		0x9ab9
		},
		{
		0x6be2,
		0x9aba
		},
		{
		0x6be3,
		0x9abb
		},
		{
		0x6be4,
		0x9abc
		},
		{
		0x6be5,
		0x9abd
		},
		{
		0x6be6,
		0x9abe
		},
		{
		0x6be7,
		0x9abf
		},
		{
		0x6be8,
		0x9ac0
		},
		{
		0x6be9,
		0x9ac1
		},
		{
		0x6bec,
		0x9ac2
		},
		{
		0x6bed,
		0x9ac3
		},
		{
		0x6bee,
		0x9ac4
		},
		{
		0x6bf0,
		0x9ac5
		},
		{
		0x6bf1,
		0x9ac6
		},
		{
		0x6bf2,
		0x9ac7
		},
		{
		0x6bf4,
		0x9ac8
		},
		{
		0x6bf6,
		0x9ac9
		},
		{
		0x6bf7,
		0x9aca
		},
		{
		0x6bf8,
		0x9acb
		},
		{
		0x6bfa,
		0x9acc
		},
		{
		0x6bfb,
		0x9acd
		},
		{
		0x6bfc,
		0x9ace
		},
		{
		0x6bfe,
		0x9acf
		},
		{
		0x6bff,
		0x9ad0
		},
		{
		0x6c00,
		0x9ad1
		},
		{
		0x6c01,
		0x9ad2
		},
		{
		0x6c02,
		0x9ad3
		},
		{
		0x6c03,
		0x9ad4
		},
		{
		0x6c04,
		0x9ad5
		},
		{
		0x6c08,
		0x9ad6
		},
		{
		0x6c09,
		0x9ad7
		},
		{
		0x6c0a,
		0x9ad8
		},
		{
		0x6c0b,
		0x9ad9
		},
		{
		0x6c0c,
		0x9ada
		},
		{
		0x6c0e,
		0x9adb
		},
		{
		0x6c12,
		0x9adc
		},
		{
		0x6c17,
		0x9add
		},
		{
		0x6c1c,
		0x9ade
		},
		{
		0x6c1d,
		0x9adf
		},
		{
		0x6c1e,
		0x9ae0
		},
		{
		0x6c20,
		0x9ae1
		},
		{
		0x6c23,
		0x9ae2
		},
		{
		0x6c25,
		0x9ae3
		},
		{
		0x6c2b,
		0x9ae4
		},
		{
		0x6c2c,
		0x9ae5
		},
		{
		0x6c2d,
		0x9ae6
		},
		{
		0x6c31,
		0x9ae7
		},
		{
		0x6c33,
		0x9ae8
		},
		{
		0x6c36,
		0x9ae9
		},
		{
		0x6c37,
		0x9aea
		},
		{
		0x6c39,
		0x9aeb
		},
		{
		0x6c3a,
		0x9aec
		},
		{
		0x6c3b,
		0x9aed
		},
		{
		0x6c3c,
		0x9aee
		},
		{
		0x6c3e,
		0x9aef
		},
		{
		0x6c3f,
		0x9af0
		},
		{
		0x6c43,
		0x9af1
		},
		{
		0x6c44,
		0x9af2
		},
		{
		0x6c45,
		0x9af3
		},
		{
		0x6c48,
		0x9af4
		},
		{
		0x6c4b,
		0x9af5
		},
		{
		0x6c4c,
		0x9af6
		},
		{
		0x6c4d,
		0x9af7
		},
		{
		0x6c4e,
		0x9af8
		},
		{
		0x6c4f,
		0x9af9
		},
		{
		0x6c51,
		0x9afa
		},
		{
		0x6c52,
		0x9afb
		},
		{
		0x6c53,
		0x9afc
		},
		{
		0x6c56,
		0x9afd
		},
		{
		0x6c58,
		0x9afe
		},
		{
		0x6c59,
		0x9b40
		},
		{
		0x6c5a,
		0x9b41
		},
		{
		0x6c62,
		0x9b42
		},
		{
		0x6c63,
		0x9b43
		},
		{
		0x6c65,
		0x9b44
		},
		{
		0x6c66,
		0x9b45
		},
		{
		0x6c67,
		0x9b46
		},
		{
		0x6c6b,
		0x9b47
		},
		{
		0x6c6c,
		0x9b48
		},
		{
		0x6c6d,
		0x9b49
		},
		{
		0x6c6e,
		0x9b4a
		},
		{
		0x6c6f,
		0x9b4b
		},
		{
		0x6c71,
		0x9b4c
		},
		{
		0x6c73,
		0x9b4d
		},
		{
		0x6c75,
		0x9b4e
		},
		{
		0x6c77,
		0x9b4f
		},
		{
		0x6c78,
		0x9b50
		},
		{
		0x6c7a,
		0x9b51
		},
		{
		0x6c7b,
		0x9b52
		},
		{
		0x6c7c,
		0x9b53
		},
		{
		0x6c7f,
		0x9b54
		},
		{
		0x6c80,
		0x9b55
		},
		{
		0x6c84,
		0x9b56
		},
		{
		0x6c87,
		0x9b57
		},
		{
		0x6c8a,
		0x9b58
		},
		{
		0x6c8b,
		0x9b59
		},
		{
		0x6c8d,
		0x9b5a
		},
		{
		0x6c8e,
		0x9b5b
		},
		{
		0x6c91,
		0x9b5c
		},
		{
		0x6c92,
		0x9b5d
		},
		{
		0x6c95,
		0x9b5e
		},
		{
		0x6c96,
		0x9b5f
		},
		{
		0x6c97,
		0x9b60
		},
		{
		0x6c98,
		0x9b61
		},
		{
		0x6c9a,
		0x9b62
		},
		{
		0x6c9c,
		0x9b63
		},
		{
		0x6c9d,
		0x9b64
		},
		{
		0x6c9e,
		0x9b65
		},
		{
		0x6ca0,
		0x9b66
		},
		{
		0x6ca2,
		0x9b67
		},
		{
		0x6ca8,
		0x9b68
		},
		{
		0x6cac,
		0x9b69
		},
		{
		0x6caf,
		0x9b6a
		},
		{
		0x6cb0,
		0x9b6b
		},
		{
		0x6cb4,
		0x9b6c
		},
		{
		0x6cb5,
		0x9b6d
		},
		{
		0x6cb6,
		0x9b6e
		},
		{
		0x6cb7,
		0x9b6f
		},
		{
		0x6cba,
		0x9b70
		},
		{
		0x6cc0,
		0x9b71
		},
		{
		0x6cc1,
		0x9b72
		},
		{
		0x6cc2,
		0x9b73
		},
		{
		0x6cc3,
		0x9b74
		},
		{
		0x6cc6,
		0x9b75
		},
		{
		0x6cc7,
		0x9b76
		},
		{
		0x6cc8,
		0x9b77
		},
		{
		0x6ccb,
		0x9b78
		},
		{
		0x6ccd,
		0x9b79
		},
		{
		0x6cce,
		0x9b7a
		},
		{
		0x6ccf,
		0x9b7b
		},
		{
		0x6cd1,
		0x9b7c
		},
		{
		0x6cd2,
		0x9b7d
		},
		{
		0x6cd8,
		0x9b7e
		},
		{
		0x6cd9,
		0x9b80
		},
		{
		0x6cda,
		0x9b81
		},
		{
		0x6cdc,
		0x9b82
		},
		{
		0x6cdd,
		0x9b83
		},
		{
		0x6cdf,
		0x9b84
		},
		{
		0x6ce4,
		0x9b85
		},
		{
		0x6ce6,
		0x9b86
		},
		{
		0x6ce7,
		0x9b87
		},
		{
		0x6ce9,
		0x9b88
		},
		{
		0x6cec,
		0x9b89
		},
		{
		0x6ced,
		0x9b8a
		},
		{
		0x6cf2,
		0x9b8b
		},
		{
		0x6cf4,
		0x9b8c
		},
		{
		0x6cf9,
		0x9b8d
		},
		{
		0x6cff,
		0x9b8e
		},
		{
		0x6d00,
		0x9b8f
		},
		{
		0x6d02,
		0x9b90
		},
		{
		0x6d03,
		0x9b91
		},
		{
		0x6d05,
		0x9b92
		},
		{
		0x6d06,
		0x9b93
		},
		{
		0x6d08,
		0x9b94
		},
		{
		0x6d09,
		0x9b95
		},
		{
		0x6d0a,
		0x9b96
		},
		{
		0x6d0d,
		0x9b97
		},
		{
		0x6d0f,
		0x9b98
		},
		{
		0x6d10,
		0x9b99
		},
		{
		0x6d11,
		0x9b9a
		},
		{
		0x6d13,
		0x9b9b
		},
		{
		0x6d14,
		0x9b9c
		},
		{
		0x6d15,
		0x9b9d
		},
		{
		0x6d16,
		0x9b9e
		},
		{
		0x6d18,
		0x9b9f
		},
		{
		0x6d1c,
		0x9ba0
		},
		{
		0x6d1d,
		0x9ba1
		},
		{
		0x6d1f,
		0x9ba2
		},
		{
		0x6d20,
		0x9ba3
		},
		{
		0x6d21,
		0x9ba4
		},
		{
		0x6d22,
		0x9ba5
		},
		{
		0x6d23,
		0x9ba6
		},
		{
		0x6d24,
		0x9ba7
		},
		{
		0x6d26,
		0x9ba8
		},
		{
		0x6d28,
		0x9ba9
		},
		{
		0x6d29,
		0x9baa
		},
		{
		0x6d2c,
		0x9bab
		},
		{
		0x6d2d,
		0x9bac
		},
		{
		0x6d2f,
		0x9bad
		},
		{
		0x6d30,
		0x9bae
		},
		{
		0x6d34,
		0x9baf
		},
		{
		0x6d36,
		0x9bb0
		},
		{
		0x6d37,
		0x9bb1
		},
		{
		0x6d38,
		0x9bb2
		},
		{
		0x6d3a,
		0x9bb3
		},
		{
		0x6d3f,
		0x9bb4
		},
		{
		0x6d40,
		0x9bb5
		},
		{
		0x6d42,
		0x9bb6
		},
		{
		0x6d44,
		0x9bb7
		},
		{
		0x6d49,
		0x9bb8
		},
		{
		0x6d4c,
		0x9bb9
		},
		{
		0x6d50,
		0x9bba
		},
		{
		0x6d55,
		0x9bbb
		},
		{
		0x6d56,
		0x9bbc
		},
		{
		0x6d57,
		0x9bbd
		},
		{
		0x6d58,
		0x9bbe
		},
		{
		0x6d5b,
		0x9bbf
		},
		{
		0x6d5d,
		0x9bc0
		},
		{
		0x6d5f,
		0x9bc1
		},
		{
		0x6d61,
		0x9bc2
		},
		{
		0x6d62,
		0x9bc3
		},
		{
		0x6d64,
		0x9bc4
		},
		{
		0x6d65,
		0x9bc5
		},
		{
		0x6d67,
		0x9bc6
		},
		{
		0x6d68,
		0x9bc7
		},
		{
		0x6d6b,
		0x9bc8
		},
		{
		0x6d6c,
		0x9bc9
		},
		{
		0x6d6d,
		0x9bca
		},
		{
		0x6d70,
		0x9bcb
		},
		{
		0x6d71,
		0x9bcc
		},
		{
		0x6d72,
		0x9bcd
		},
		{
		0x6d73,
		0x9bce
		},
		{
		0x6d75,
		0x9bcf
		},
		{
		0x6d76,
		0x9bd0
		},
		{
		0x6d79,
		0x9bd1
		},
		{
		0x6d7a,
		0x9bd2
		},
		{
		0x6d7b,
		0x9bd3
		},
		{
		0x6d7d,
		0x9bd4
		},
		{
		0x6d7e,
		0x9bd5
		},
		{
		0x6d7f,
		0x9bd6
		},
		{
		0x6d80,
		0x9bd7
		},
		{
		0x6d81,
		0x9bd8
		},
		{
		0x6d83,
		0x9bd9
		},
		{
		0x6d84,
		0x9bda
		},
		{
		0x6d86,
		0x9bdb
		},
		{
		0x6d87,
		0x9bdc
		},
		{
		0x6d8a,
		0x9bdd
		},
		{
		0x6d8b,
		0x9bde
		},
		{
		0x6d8d,
		0x9bdf
		},
		{
		0x6d8f,
		0x9be0
		},
		{
		0x6d90,
		0x9be1
		},
		{
		0x6d92,
		0x9be2
		},
		{
		0x6d96,
		0x9be3
		},
		{
		0x6d97,
		0x9be4
		},
		{
		0x6d98,
		0x9be5
		},
		{
		0x6d99,
		0x9be6
		},
		{
		0x6d9a,
		0x9be7
		},
		{
		0x6d9c,
		0x9be8
		},
		{
		0x6da2,
		0x9be9
		},
		{
		0x6da5,
		0x9bea
		},
		{
		0x6dac,
		0x9beb
		},
		{
		0x6dad,
		0x9bec
		},
		{
		0x6db0,
		0x9bed
		},
		{
		0x6db1,
		0x9bee
		},
		{
		0x6db3,
		0x9bef
		},
		{
		0x6db4,
		0x9bf0
		},
		{
		0x6db6,
		0x9bf1
		},
		{
		0x6db7,
		0x9bf2
		},
		{
		0x6db9,
		0x9bf3
		},
		{
		0x6dba,
		0x9bf4
		},
		{
		0x6dbb,
		0x9bf5
		},
		{
		0x6dbc,
		0x9bf6
		},
		{
		0x6dbd,
		0x9bf7
		},
		{
		0x6dbe,
		0x9bf8
		},
		{
		0x6dc1,
		0x9bf9
		},
		{
		0x6dc2,
		0x9bfa
		},
		{
		0x6dc3,
		0x9bfb
		},
		{
		0x6dc8,
		0x9bfc
		},
		{
		0x6dc9,
		0x9bfd
		},
		{
		0x6dca,
		0x9bfe
		},
		{
		0x6dcd,
		0x9c40
		},
		{
		0x6dce,
		0x9c41
		},
		{
		0x6dcf,
		0x9c42
		},
		{
		0x6dd0,
		0x9c43
		},
		{
		0x6dd2,
		0x9c44
		},
		{
		0x6dd3,
		0x9c45
		},
		{
		0x6dd4,
		0x9c46
		},
		{
		0x6dd5,
		0x9c47
		},
		{
		0x6dd7,
		0x9c48
		},
		{
		0x6dda,
		0x9c49
		},
		{
		0x6ddb,
		0x9c4a
		},
		{
		0x6ddc,
		0x9c4b
		},
		{
		0x6ddf,
		0x9c4c
		},
		{
		0x6de2,
		0x9c4d
		},
		{
		0x6de3,
		0x9c4e
		},
		{
		0x6de5,
		0x9c4f
		},
		{
		0x6de7,
		0x9c50
		},
		{
		0x6de8,
		0x9c51
		},
		{
		0x6de9,
		0x9c52
		},
		{
		0x6dea,
		0x9c53
		},
		{
		0x6ded,
		0x9c54
		},
		{
		0x6def,
		0x9c55
		},
		{
		0x6df0,
		0x9c56
		},
		{
		0x6df2,
		0x9c57
		},
		{
		0x6df4,
		0x9c58
		},
		{
		0x6df5,
		0x9c59
		},
		{
		0x6df6,
		0x9c5a
		},
		{
		0x6df8,
		0x9c5b
		},
		{
		0x6dfa,
		0x9c5c
		},
		{
		0x6dfd,
		0x9c5d
		},
		{
		0x6dfe,
		0x9c5e
		},
		{
		0x6dff,
		0x9c5f
		},
		{
		0x6e00,
		0x9c60
		},
		{
		0x6e01,
		0x9c61
		},
		{
		0x6e02,
		0x9c62
		},
		{
		0x6e03,
		0x9c63
		},
		{
		0x6e04,
		0x9c64
		},
		{
		0x6e06,
		0x9c65
		},
		{
		0x6e07,
		0x9c66
		},
		{
		0x6e08,
		0x9c67
		},
		{
		0x6e09,
		0x9c68
		},
		{
		0x6e0b,
		0x9c69
		},
		{
		0x6e0f,
		0x9c6a
		},
		{
		0x6e12,
		0x9c6b
		},
		{
		0x6e13,
		0x9c6c
		},
		{
		0x6e15,
		0x9c6d
		},
		{
		0x6e18,
		0x9c6e
		},
		{
		0x6e19,
		0x9c6f
		},
		{
		0x6e1b,
		0x9c70
		},
		{
		0x6e1c,
		0x9c71
		},
		{
		0x6e1e,
		0x9c72
		},
		{
		0x6e1f,
		0x9c73
		},
		{
		0x6e22,
		0x9c74
		},
		{
		0x6e26,
		0x9c75
		},
		{
		0x6e27,
		0x9c76
		},
		{
		0x6e28,
		0x9c77
		},
		{
		0x6e2a,
		0x9c78
		},
		{
		0x6e2c,
		0x9c79
		},
		{
		0x6e2e,
		0x9c7a
		},
		{
		0x6e30,
		0x9c7b
		},
		{
		0x6e31,
		0x9c7c
		},
		{
		0x6e33,
		0x9c7d
		},
		{
		0x6e35,
		0x9c7e
		},
		{
		0x6e36,
		0x9c80
		},
		{
		0x6e37,
		0x9c81
		},
		{
		0x6e39,
		0x9c82
		},
		{
		0x6e3b,
		0x9c83
		},
		{
		0x6e3c,
		0x9c84
		},
		{
		0x6e3d,
		0x9c85
		},
		{
		0x6e3e,
		0x9c86
		},
		{
		0x6e3f,
		0x9c87
		},
		{
		0x6e40,
		0x9c88
		},
		{
		0x6e41,
		0x9c89
		},
		{
		0x6e42,
		0x9c8a
		},
		{
		0x6e45,
		0x9c8b
		},
		{
		0x6e46,
		0x9c8c
		},
		{
		0x6e47,
		0x9c8d
		},
		{
		0x6e48,
		0x9c8e
		},
		{
		0x6e49,
		0x9c8f
		},
		{
		0x6e4a,
		0x9c90
		},
		{
		0x6e4b,
		0x9c91
		},
		{
		0x6e4c,
		0x9c92
		},
		{
		0x6e4f,
		0x9c93
		},
		{
		0x6e50,
		0x9c94
		},
		{
		0x6e51,
		0x9c95
		},
		{
		0x6e52,
		0x9c96
		},
		{
		0x6e55,
		0x9c97
		},
		{
		0x6e57,
		0x9c98
		},
		{
		0x6e59,
		0x9c99
		},
		{
		0x6e5a,
		0x9c9a
		},
		{
		0x6e5c,
		0x9c9b
		},
		{
		0x6e5d,
		0x9c9c
		},
		{
		0x6e5e,
		0x9c9d
		},
		{
		0x6e60,
		0x9c9e
		},
		{
		0x6e61,
		0x9c9f
		},
		{
		0x6e62,
		0x9ca0
		},
		{
		0x6e63,
		0x9ca1
		},
		{
		0x6e64,
		0x9ca2
		},
		{
		0x6e65,
		0x9ca3
		},
		{
		0x6e66,
		0x9ca4
		},
		{
		0x6e67,
		0x9ca5
		},
		{
		0x6e68,
		0x9ca6
		},
		{
		0x6e69,
		0x9ca7
		},
		{
		0x6e6a,
		0x9ca8
		},
		{
		0x6e6c,
		0x9ca9
		},
		{
		0x6e6d,
		0x9caa
		},
		{
		0x6e6f,
		0x9cab
		},
		{
		0x6e70,
		0x9cac
		},
		{
		0x6e71,
		0x9cad
		},
		{
		0x6e72,
		0x9cae
		},
		{
		0x6e73,
		0x9caf
		},
		{
		0x6e74,
		0x9cb0
		},
		{
		0x6e75,
		0x9cb1
		},
		{
		0x6e76,
		0x9cb2
		},
		{
		0x6e77,
		0x9cb3
		},
		{
		0x6e78,
		0x9cb4
		},
		{
		0x6e79,
		0x9cb5
		},
		{
		0x6e7a,
		0x9cb6
		},
		{
		0x6e7b,
		0x9cb7
		},
		{
		0x6e7c,
		0x9cb8
		},
		{
		0x6e7d,
		0x9cb9
		},
		{
		0x6e80,
		0x9cba
		},
		{
		0x6e81,
		0x9cbb
		},
		{
		0x6e82,
		0x9cbc
		},
		{
		0x6e84,
		0x9cbd
		},
		{
		0x6e87,
		0x9cbe
		},
		{
		0x6e88,
		0x9cbf
		},
		{
		0x6e8a,
		0x9cc0
		},
		{
		0x6e8b,
		0x9cc1
		},
		{
		0x6e8c,
		0x9cc2
		},
		{
		0x6e8d,
		0x9cc3
		},
		{
		0x6e8e,
		0x9cc4
		},
		{
		0x6e91,
		0x9cc5
		},
		{
		0x6e92,
		0x9cc6
		},
		{
		0x6e93,
		0x9cc7
		},
		{
		0x6e94,
		0x9cc8
		},
		{
		0x6e95,
		0x9cc9
		},
		{
		0x6e96,
		0x9cca
		},
		{
		0x6e97,
		0x9ccb
		},
		{
		0x6e99,
		0x9ccc
		},
		{
		0x6e9a,
		0x9ccd
		},
		{
		0x6e9b,
		0x9cce
		},
		{
		0x6e9d,
		0x9ccf
		},
		{
		0x6e9e,
		0x9cd0
		},
		{
		0x6ea0,
		0x9cd1
		},
		{
		0x6ea1,
		0x9cd2
		},
		{
		0x6ea3,
		0x9cd3
		},
		{
		0x6ea4,
		0x9cd4
		},
		{
		0x6ea6,
		0x9cd5
		},
		{
		0x6ea8,
		0x9cd6
		},
		{
		0x6ea9,
		0x9cd7
		},
		{
		0x6eab,
		0x9cd8
		},
		{
		0x6eac,
		0x9cd9
		},
		{
		0x6ead,
		0x9cda
		},
		{
		0x6eae,
		0x9cdb
		},
		{
		0x6eb0,
		0x9cdc
		},
		{
		0x6eb3,
		0x9cdd
		},
		{
		0x6eb5,
		0x9cde
		},
		{
		0x6eb8,
		0x9cdf
		},
		{
		0x6eb9,
		0x9ce0
		},
		{
		0x6ebc,
		0x9ce1
		},
		{
		0x6ebe,
		0x9ce2
		},
		{
		0x6ebf,
		0x9ce3
		},
		{
		0x6ec0,
		0x9ce4
		},
		{
		0x6ec3,
		0x9ce5
		},
		{
		0x6ec4,
		0x9ce6
		},
		{
		0x6ec5,
		0x9ce7
		},
		{
		0x6ec6,
		0x9ce8
		},
		{
		0x6ec8,
		0x9ce9
		},
		{
		0x6ec9,
		0x9cea
		},
		{
		0x6eca,
		0x9ceb
		},
		{
		0x6ecc,
		0x9cec
		},
		{
		0x6ecd,
		0x9ced
		},
		{
		0x6ece,
		0x9cee
		},
		{
		0x6ed0,
		0x9cef
		},
		{
		0x6ed2,
		0x9cf0
		},
		{
		0x6ed6,
		0x9cf1
		},
		{
		0x6ed8,
		0x9cf2
		},
		{
		0x6ed9,
		0x9cf3
		},
		{
		0x6edb,
		0x9cf4
		},
		{
		0x6edc,
		0x9cf5
		},
		{
		0x6edd,
		0x9cf6
		},
		{
		0x6ee3,
		0x9cf7
		},
		{
		0x6ee7,
		0x9cf8
		},
		{
		0x6eea,
		0x9cf9
		},
		{
		0x6eeb,
		0x9cfa
		},
		{
		0x6eec,
		0x9cfb
		},
		{
		0x6eed,
		0x9cfc
		},
		{
		0x6eee,
		0x9cfd
		},
		{
		0x6eef,
		0x9cfe
		},
		{
		0x6ef0,
		0x9d40
		},
		{
		0x6ef1,
		0x9d41
		},
		{
		0x6ef2,
		0x9d42
		},
		{
		0x6ef3,
		0x9d43
		},
		{
		0x6ef5,
		0x9d44
		},
		{
		0x6ef6,
		0x9d45
		},
		{
		0x6ef7,
		0x9d46
		},
		{
		0x6ef8,
		0x9d47
		},
		{
		0x6efa,
		0x9d48
		},
		{
		0x6efb,
		0x9d49
		},
		{
		0x6efc,
		0x9d4a
		},
		{
		0x6efd,
		0x9d4b
		},
		{
		0x6efe,
		0x9d4c
		},
		{
		0x6eff,
		0x9d4d
		},
		{
		0x6f00,
		0x9d4e
		},
		{
		0x6f01,
		0x9d4f
		},
		{
		0x6f03,
		0x9d50
		},
		{
		0x6f04,
		0x9d51
		},
		{
		0x6f05,
		0x9d52
		},
		{
		0x6f07,
		0x9d53
		},
		{
		0x6f08,
		0x9d54
		},
		{
		0x6f0a,
		0x9d55
		},
		{
		0x6f0b,
		0x9d56
		},
		{
		0x6f0c,
		0x9d57
		},
		{
		0x6f0d,
		0x9d58
		},
		{
		0x6f0e,
		0x9d59
		},
		{
		0x6f10,
		0x9d5a
		},
		{
		0x6f11,
		0x9d5b
		},
		{
		0x6f12,
		0x9d5c
		},
		{
		0x6f16,
		0x9d5d
		},
		{
		0x6f17,
		0x9d5e
		},
		{
		0x6f18,
		0x9d5f
		},
		{
		0x6f19,
		0x9d60
		},
		{
		0x6f1a,
		0x9d61
		},
		{
		0x6f1b,
		0x9d62
		},
		{
		0x6f1c,
		0x9d63
		},
		{
		0x6f1d,
		0x9d64
		},
		{
		0x6f1e,
		0x9d65
		},
		{
		0x6f1f,
		0x9d66
		},
		{
		0x6f21,
		0x9d67
		},
		{
		0x6f22,
		0x9d68
		},
		{
		0x6f23,
		0x9d69
		},
		{
		0x6f25,
		0x9d6a
		},
		{
		0x6f26,
		0x9d6b
		},
		{
		0x6f27,
		0x9d6c
		},
		{
		0x6f28,
		0x9d6d
		},
		{
		0x6f2c,
		0x9d6e
		},
		{
		0x6f2e,
		0x9d6f
		},
		{
		0x6f30,
		0x9d70
		},
		{
		0x6f32,
		0x9d71
		},
		{
		0x6f34,
		0x9d72
		},
		{
		0x6f35,
		0x9d73
		},
		{
		0x6f37,
		0x9d74
		},
		{
		0x6f38,
		0x9d75
		},
		{
		0x6f39,
		0x9d76
		},
		{
		0x6f3a,
		0x9d77
		},
		{
		0x6f3b,
		0x9d78
		},
		{
		0x6f3c,
		0x9d79
		},
		{
		0x6f3d,
		0x9d7a
		},
		{
		0x6f3f,
		0x9d7b
		},
		{
		0x6f40,
		0x9d7c
		},
		{
		0x6f41,
		0x9d7d
		},
		{
		0x6f42,
		0x9d7e
		},
		{
		0x6f43,
		0x9d80
		},
		{
		0x6f44,
		0x9d81
		},
		{
		0x6f45,
		0x9d82
		},
		{
		0x6f48,
		0x9d83
		},
		{
		0x6f49,
		0x9d84
		},
		{
		0x6f4a,
		0x9d85
		},
		{
		0x6f4c,
		0x9d86
		},
		{
		0x6f4e,
		0x9d87
		},
		{
		0x6f4f,
		0x9d88
		},
		{
		0x6f50,
		0x9d89
		},
		{
		0x6f51,
		0x9d8a
		},
		{
		0x6f52,
		0x9d8b
		},
		{
		0x6f53,
		0x9d8c
		},
		{
		0x6f54,
		0x9d8d
		},
		{
		0x6f55,
		0x9d8e
		},
		{
		0x6f56,
		0x9d8f
		},
		{
		0x6f57,
		0x9d90
		},
		{
		0x6f59,
		0x9d91
		},
		{
		0x6f5a,
		0x9d92
		},
		{
		0x6f5b,
		0x9d93
		},
		{
		0x6f5d,
		0x9d94
		},
		{
		0x6f5f,
		0x9d95
		},
		{
		0x6f60,
		0x9d96
		},
		{
		0x6f61,
		0x9d97
		},
		{
		0x6f63,
		0x9d98
		},
		{
		0x6f64,
		0x9d99
		},
		{
		0x6f65,
		0x9d9a
		},
		{
		0x6f67,
		0x9d9b
		},
		{
		0x6f68,
		0x9d9c
		},
		{
		0x6f69,
		0x9d9d
		},
		{
		0x6f6a,
		0x9d9e
		},
		{
		0x6f6b,
		0x9d9f
		},
		{
		0x6f6c,
		0x9da0
		},
		{
		0x6f6f,
		0x9da1
		},
		{
		0x6f70,
		0x9da2
		},
		{
		0x6f71,
		0x9da3
		},
		{
		0x6f73,
		0x9da4
		},
		{
		0x6f75,
		0x9da5
		},
		{
		0x6f76,
		0x9da6
		},
		{
		0x6f77,
		0x9da7
		},
		{
		0x6f79,
		0x9da8
		},
		{
		0x6f7b,
		0x9da9
		},
		{
		0x6f7d,
		0x9daa
		},
		{
		0x6f7e,
		0x9dab
		},
		{
		0x6f7f,
		0x9dac
		},
		{
		0x6f80,
		0x9dad
		},
		{
		0x6f81,
		0x9dae
		},
		{
		0x6f82,
		0x9daf
		},
		{
		0x6f83,
		0x9db0
		},
		{
		0x6f85,
		0x9db1
		},
		{
		0x6f86,
		0x9db2
		},
		{
		0x6f87,
		0x9db3
		},
		{
		0x6f8a,
		0x9db4
		},
		{
		0x6f8b,
		0x9db5
		},
		{
		0x6f8f,
		0x9db6
		},
		{
		0x6f90,
		0x9db7
		},
		{
		0x6f91,
		0x9db8
		},
		{
		0x6f92,
		0x9db9
		},
		{
		0x6f93,
		0x9dba
		},
		{
		0x6f94,
		0x9dbb
		},
		{
		0x6f95,
		0x9dbc
		},
		{
		0x6f96,
		0x9dbd
		},
		{
		0x6f97,
		0x9dbe
		},
		{
		0x6f98,
		0x9dbf
		},
		{
		0x6f99,
		0x9dc0
		},
		{
		0x6f9a,
		0x9dc1
		},
		{
		0x6f9b,
		0x9dc2
		},
		{
		0x6f9d,
		0x9dc3
		},
		{
		0x6f9e,
		0x9dc4
		},
		{
		0x6f9f,
		0x9dc5
		},
		{
		0x6fa0,
		0x9dc6
		},
		{
		0x6fa2,
		0x9dc7
		},
		{
		0x6fa3,
		0x9dc8
		},
		{
		0x6fa4,
		0x9dc9
		},
		{
		0x6fa5,
		0x9dca
		},
		{
		0x6fa6,
		0x9dcb
		},
		{
		0x6fa8,
		0x9dcc
		},
		{
		0x6fa9,
		0x9dcd
		},
		{
		0x6faa,
		0x9dce
		},
		{
		0x6fab,
		0x9dcf
		},
		{
		0x6fac,
		0x9dd0
		},
		{
		0x6fad,
		0x9dd1
		},
		{
		0x6fae,
		0x9dd2
		},
		{
		0x6faf,
		0x9dd3
		},
		{
		0x6fb0,
		0x9dd4
		},
		{
		0x6fb1,
		0x9dd5
		},
		{
		0x6fb2,
		0x9dd6
		},
		{
		0x6fb4,
		0x9dd7
		},
		{
		0x6fb5,
		0x9dd8
		},
		{
		0x6fb7,
		0x9dd9
		},
		{
		0x6fb8,
		0x9dda
		},
		{
		0x6fba,
		0x9ddb
		},
		{
		0x6fbb,
		0x9ddc
		},
		{
		0x6fbc,
		0x9ddd
		},
		{
		0x6fbd,
		0x9dde
		},
		{
		0x6fbe,
		0x9ddf
		},
		{
		0x6fbf,
		0x9de0
		},
		{
		0x6fc1,
		0x9de1
		},
		{
		0x6fc3,
		0x9de2
		},
		{
		0x6fc4,
		0x9de3
		},
		{
		0x6fc5,
		0x9de4
		},
		{
		0x6fc6,
		0x9de5
		},
		{
		0x6fc7,
		0x9de6
		},
		{
		0x6fc8,
		0x9de7
		},
		{
		0x6fca,
		0x9de8
		},
		{
		0x6fcb,
		0x9de9
		},
		{
		0x6fcc,
		0x9dea
		},
		{
		0x6fcd,
		0x9deb
		},
		{
		0x6fce,
		0x9dec
		},
		{
		0x6fcf,
		0x9ded
		},
		{
		0x6fd0,
		0x9dee
		},
		{
		0x6fd3,
		0x9def
		},
		{
		0x6fd4,
		0x9df0
		},
		{
		0x6fd5,
		0x9df1
		},
		{
		0x6fd6,
		0x9df2
		},
		{
		0x6fd7,
		0x9df3
		},
		{
		0x6fd8,
		0x9df4
		},
		{
		0x6fd9,
		0x9df5
		},
		{
		0x6fda,
		0x9df6
		},
		{
		0x6fdb,
		0x9df7
		},
		{
		0x6fdc,
		0x9df8
		},
		{
		0x6fdd,
		0x9df9
		},
		{
		0x6fdf,
		0x9dfa
		},
		{
		0x6fe2,
		0x9dfb
		},
		{
		0x6fe3,
		0x9dfc
		},
		{
		0x6fe4,
		0x9dfd
		},
		{
		0x6fe5,
		0x9dfe
		},
		{
		0x6fe6,
		0x9e40
		},
		{
		0x6fe7,
		0x9e41
		},
		{
		0x6fe8,
		0x9e42
		},
		{
		0x6fe9,
		0x9e43
		},
		{
		0x6fea,
		0x9e44
		},
		{
		0x6feb,
		0x9e45
		},
		{
		0x6fec,
		0x9e46
		},
		{
		0x6fed,
		0x9e47
		},
		{
		0x6ff0,
		0x9e48
		},
		{
		0x6ff1,
		0x9e49
		},
		{
		0x6ff2,
		0x9e4a
		},
		{
		0x6ff3,
		0x9e4b
		},
		{
		0x6ff4,
		0x9e4c
		},
		{
		0x6ff5,
		0x9e4d
		},
		{
		0x6ff6,
		0x9e4e
		},
		{
		0x6ff7,
		0x9e4f
		},
		{
		0x6ff8,
		0x9e50
		},
		{
		0x6ff9,
		0x9e51
		},
		{
		0x6ffa,
		0x9e52
		},
		{
		0x6ffb,
		0x9e53
		},
		{
		0x6ffc,
		0x9e54
		},
		{
		0x6ffd,
		0x9e55
		},
		{
		0x6ffe,
		0x9e56
		},
		{
		0x6fff,
		0x9e57
		},
		{
		0x7000,
		0x9e58
		},
		{
		0x7001,
		0x9e59
		},
		{
		0x7002,
		0x9e5a
		},
		{
		0x7003,
		0x9e5b
		},
		{
		0x7004,
		0x9e5c
		},
		{
		0x7005,
		0x9e5d
		},
		{
		0x7006,
		0x9e5e
		},
		{
		0x7007,
		0x9e5f
		},
		{
		0x7008,
		0x9e60
		},
		{
		0x7009,
		0x9e61
		},
		{
		0x700a,
		0x9e62
		},
		{
		0x700b,
		0x9e63
		},
		{
		0x700c,
		0x9e64
		},
		{
		0x700d,
		0x9e65
		},
		{
		0x700e,
		0x9e66
		},
		{
		0x700f,
		0x9e67
		},
		{
		0x7010,
		0x9e68
		},
		{
		0x7012,
		0x9e69
		},
		{
		0x7013,
		0x9e6a
		},
		{
		0x7014,
		0x9e6b
		},
		{
		0x7015,
		0x9e6c
		},
		{
		0x7016,
		0x9e6d
		},
		{
		0x7017,
		0x9e6e
		},
		{
		0x7018,
		0x9e6f
		},
		{
		0x7019,
		0x9e70
		},
		{
		0x701c,
		0x9e71
		},
		{
		0x701d,
		0x9e72
		},
		{
		0x701e,
		0x9e73
		},
		{
		0x701f,
		0x9e74
		},
		{
		0x7020,
		0x9e75
		},
		{
		0x7021,
		0x9e76
		},
		{
		0x7022,
		0x9e77
		},
		{
		0x7024,
		0x9e78
		},
		{
		0x7025,
		0x9e79
		},
		{
		0x7026,
		0x9e7a
		},
		{
		0x7027,
		0x9e7b
		},
		{
		0x7028,
		0x9e7c
		},
		{
		0x7029,
		0x9e7d
		},
		{
		0x702a,
		0x9e7e
		},
		{
		0x702b,
		0x9e80
		},
		{
		0x702c,
		0x9e81
		},
		{
		0x702d,
		0x9e82
		},
		{
		0x702e,
		0x9e83
		},
		{
		0x702f,
		0x9e84
		},
		{
		0x7030,
		0x9e85
		},
		{
		0x7031,
		0x9e86
		},
		{
		0x7032,
		0x9e87
		},
		{
		0x7033,
		0x9e88
		},
		{
		0x7034,
		0x9e89
		},
		{
		0x7036,
		0x9e8a
		},
		{
		0x7037,
		0x9e8b
		},
		{
		0x7038,
		0x9e8c
		},
		{
		0x703a,
		0x9e8d
		},
		{
		0x703b,
		0x9e8e
		},
		{
		0x703c,
		0x9e8f
		},
		{
		0x703d,
		0x9e90
		},
		{
		0x703e,
		0x9e91
		},
		{
		0x703f,
		0x9e92
		},
		{
		0x7040,
		0x9e93
		},
		{
		0x7041,
		0x9e94
		},
		{
		0x7042,
		0x9e95
		},
		{
		0x7043,
		0x9e96
		},
		{
		0x7044,
		0x9e97
		},
		{
		0x7045,
		0x9e98
		},
		{
		0x7046,
		0x9e99
		},
		{
		0x7047,
		0x9e9a
		},
		{
		0x7048,
		0x9e9b
		},
		{
		0x7049,
		0x9e9c
		},
		{
		0x704a,
		0x9e9d
		},
		{
		0x704b,
		0x9e9e
		},
		{
		0x704d,
		0x9e9f
		},
		{
		0x704e,
		0x9ea0
		},
		{
		0x7050,
		0x9ea1
		},
		{
		0x7051,
		0x9ea2
		},
		{
		0x7052,
		0x9ea3
		},
		{
		0x7053,
		0x9ea4
		},
		{
		0x7054,
		0x9ea5
		},
		{
		0x7055,
		0x9ea6
		},
		{
		0x7056,
		0x9ea7
		},
		{
		0x7057,
		0x9ea8
		},
		{
		0x7058,
		0x9ea9
		},
		{
		0x7059,
		0x9eaa
		},
		{
		0x705a,
		0x9eab
		},
		{
		0x705b,
		0x9eac
		},
		{
		0x705c,
		0x9ead
		},
		{
		0x705d,
		0x9eae
		},
		{
		0x705f,
		0x9eaf
		},
		{
		0x7060,
		0x9eb0
		},
		{
		0x7061,
		0x9eb1
		},
		{
		0x7062,
		0x9eb2
		},
		{
		0x7063,
		0x9eb3
		},
		{
		0x7064,
		0x9eb4
		},
		{
		0x7065,
		0x9eb5
		},
		{
		0x7066,
		0x9eb6
		},
		{
		0x7067,
		0x9eb7
		},
		{
		0x7068,
		0x9eb8
		},
		{
		0x7069,
		0x9eb9
		},
		{
		0x706a,
		0x9eba
		},
		{
		0x706e,
		0x9ebb
		},
		{
		0x7071,
		0x9ebc
		},
		{
		0x7072,
		0x9ebd
		},
		{
		0x7073,
		0x9ebe
		},
		{
		0x7074,
		0x9ebf
		},
		{
		0x7077,
		0x9ec0
		},
		{
		0x7079,
		0x9ec1
		},
		{
		0x707a,
		0x9ec2
		},
		{
		0x707b,
		0x9ec3
		},
		{
		0x707d,
		0x9ec4
		},
		{
		0x7081,
		0x9ec5
		},
		{
		0x7082,
		0x9ec6
		},
		{
		0x7083,
		0x9ec7
		},
		{
		0x7084,
		0x9ec8
		},
		{
		0x7086,
		0x9ec9
		},
		{
		0x7087,
		0x9eca
		},
		{
		0x7088,
		0x9ecb
		},
		{
		0x708b,
		0x9ecc
		},
		{
		0x708c,
		0x9ecd
		},
		{
		0x708d,
		0x9ece
		},
		{
		0x708f,
		0x9ecf
		},
		{
		0x7090,
		0x9ed0
		},
		{
		0x7091,
		0x9ed1
		},
		{
		0x7093,
		0x9ed2
		},
		{
		0x7097,
		0x9ed3
		},
		{
		0x7098,
		0x9ed4
		},
		{
		0x709a,
		0x9ed5
		},
		{
		0x709b,
		0x9ed6
		},
		{
		0x709e,
		0x9ed7
		},
		{
		0x709f,
		0x9ed8
		},
		{
		0x70a0,
		0x9ed9
		},
		{
		0x70a1,
		0x9eda
		},
		{
		0x70a2,
		0x9edb
		},
		{
		0x70a3,
		0x9edc
		},
		{
		0x70a4,
		0x9edd
		},
		{
		0x70a5,
		0x9ede
		},
		{
		0x70a6,
		0x9edf
		},
		{
		0x70a7,
		0x9ee0
		},
		{
		0x70a8,
		0x9ee1
		},
		{
		0x70a9,
		0x9ee2
		},
		{
		0x70aa,
		0x9ee3
		},
		{
		0x70b0,
		0x9ee4
		},
		{
		0x70b2,
		0x9ee5
		},
		{
		0x70b4,
		0x9ee6
		},
		{
		0x70b5,
		0x9ee7
		},
		{
		0x70b6,
		0x9ee8
		},
		{
		0x70ba,
		0x9ee9
		},
		{
		0x70be,
		0x9eea
		},
		{
		0x70bf,
		0x9eeb
		},
		{
		0x70c4,
		0x9eec
		},
		{
		0x70c5,
		0x9eed
		},
		{
		0x70c6,
		0x9eee
		},
		{
		0x70c7,
		0x9eef
		},
		{
		0x70c9,
		0x9ef0
		},
		{
		0x70cb,
		0x9ef1
		},
		{
		0x70cc,
		0x9ef2
		},
		{
		0x70cd,
		0x9ef3
		},
		{
		0x70ce,
		0x9ef4
		},
		{
		0x70cf,
		0x9ef5
		},
		{
		0x70d0,
		0x9ef6
		},
		{
		0x70d1,
		0x9ef7
		},
		{
		0x70d2,
		0x9ef8
		},
		{
		0x70d3,
		0x9ef9
		},
		{
		0x70d4,
		0x9efa
		},
		{
		0x70d5,
		0x9efb
		},
		{
		0x70d6,
		0x9efc
		},
		{
		0x70d7,
		0x9efd
		},
		{
		0x70da,
		0x9efe
		},
		{
		0x70dc,
		0x9f40
		},
		{
		0x70dd,
		0x9f41
		},
		{
		0x70de,
		0x9f42
		},
		{
		0x70e0,
		0x9f43
		},
		{
		0x70e1,
		0x9f44
		},
		{
		0x70e2,
		0x9f45
		},
		{
		0x70e3,
		0x9f46
		},
		{
		0x70e5,
		0x9f47
		},
		{
		0x70ea,
		0x9f48
		},
		{
		0x70ee,
		0x9f49
		},
		{
		0x70f0,
		0x9f4a
		},
		{
		0x70f1,
		0x9f4b
		},
		{
		0x70f2,
		0x9f4c
		},
		{
		0x70f3,
		0x9f4d
		},
		{
		0x70f4,
		0x9f4e
		},
		{
		0x70f5,
		0x9f4f
		},
		{
		0x70f6,
		0x9f50
		},
		{
		0x70f8,
		0x9f51
		},
		{
		0x70fa,
		0x9f52
		},
		{
		0x70fb,
		0x9f53
		},
		{
		0x70fc,
		0x9f54
		},
		{
		0x70fe,
		0x9f55
		},
		{
		0x70ff,
		0x9f56
		},
		{
		0x7100,
		0x9f57
		},
		{
		0x7101,
		0x9f58
		},
		{
		0x7102,
		0x9f59
		},
		{
		0x7103,
		0x9f5a
		},
		{
		0x7104,
		0x9f5b
		},
		{
		0x7105,
		0x9f5c
		},
		{
		0x7106,
		0x9f5d
		},
		{
		0x7107,
		0x9f5e
		},
		{
		0x7108,
		0x9f5f
		},
		{
		0x710b,
		0x9f60
		},
		{
		0x710c,
		0x9f61
		},
		{
		0x710d,
		0x9f62
		},
		{
		0x710e,
		0x9f63
		},
		{
		0x710f,
		0x9f64
		},
		{
		0x7111,
		0x9f65
		},
		{
		0x7112,
		0x9f66
		},
		{
		0x7114,
		0x9f67
		},
		{
		0x7117,
		0x9f68
		},
		{
		0x711b,
		0x9f69
		},
		{
		0x711c,
		0x9f6a
		},
		{
		0x711d,
		0x9f6b
		},
		{
		0x711e,
		0x9f6c
		},
		{
		0x711f,
		0x9f6d
		},
		{
		0x7120,
		0x9f6e
		},
		{
		0x7121,
		0x9f6f
		},
		{
		0x7122,
		0x9f70
		},
		{
		0x7123,
		0x9f71
		},
		{
		0x7124,
		0x9f72
		},
		{
		0x7125,
		0x9f73
		},
		{
		0x7127,
		0x9f74
		},
		{
		0x7128,
		0x9f75
		},
		{
		0x7129,
		0x9f76
		},
		{
		0x712a,
		0x9f77
		},
		{
		0x712b,
		0x9f78
		},
		{
		0x712c,
		0x9f79
		},
		{
		0x712d,
		0x9f7a
		},
		{
		0x712e,
		0x9f7b
		},
		{
		0x7132,
		0x9f7c
		},
		{
		0x7133,
		0x9f7d
		},
		{
		0x7134,
		0x9f7e
		},
		{
		0x7135,
		0x9f80
		},
		{
		0x7137,
		0x9f81
		},
		{
		0x7138,
		0x9f82
		},
		{
		0x7139,
		0x9f83
		},
		{
		0x713a,
		0x9f84
		},
		{
		0x713b,
		0x9f85
		},
		{
		0x713c,
		0x9f86
		},
		{
		0x713d,
		0x9f87
		},
		{
		0x713e,
		0x9f88
		},
		{
		0x713f,
		0x9f89
		},
		{
		0x7140,
		0x9f8a
		},
		{
		0x7141,
		0x9f8b
		},
		{
		0x7142,
		0x9f8c
		},
		{
		0x7143,
		0x9f8d
		},
		{
		0x7144,
		0x9f8e
		},
		{
		0x7146,
		0x9f8f
		},
		{
		0x7147,
		0x9f90
		},
		{
		0x7148,
		0x9f91
		},
		{
		0x7149,
		0x9f92
		},
		{
		0x714b,
		0x9f93
		},
		{
		0x714d,
		0x9f94
		},
		{
		0x714f,
		0x9f95
		},
		{
		0x7150,
		0x9f96
		},
		{
		0x7151,
		0x9f97
		},
		{
		0x7152,
		0x9f98
		},
		{
		0x7153,
		0x9f99
		},
		{
		0x7154,
		0x9f9a
		},
		{
		0x7155,
		0x9f9b
		},
		{
		0x7156,
		0x9f9c
		},
		{
		0x7157,
		0x9f9d
		},
		{
		0x7158,
		0x9f9e
		},
		{
		0x7159,
		0x9f9f
		},
		{
		0x715a,
		0x9fa0
		},
		{
		0x715b,
		0x9fa1
		},
		{
		0x715d,
		0x9fa2
		},
		{
		0x715f,
		0x9fa3
		},
		{
		0x7160,
		0x9fa4
		},
		{
		0x7161,
		0x9fa5
		},
		{
		0x7162,
		0x9fa6
		},
		{
		0x7163,
		0x9fa7
		},
		{
		0x7165,
		0x9fa8
		},
		{
		0x7169,
		0x9fa9
		},
		{
		0x716a,
		0x9faa
		},
		{
		0x716b,
		0x9fab
		},
		{
		0x716c,
		0x9fac
		},
		{
		0x716d,
		0x9fad
		},
		{
		0x716f,
		0x9fae
		},
		{
		0x7170,
		0x9faf
		},
		{
		0x7171,
		0x9fb0
		},
		{
		0x7174,
		0x9fb1
		},
		{
		0x7175,
		0x9fb2
		},
		{
		0x7176,
		0x9fb3
		},
		{
		0x7177,
		0x9fb4
		},
		{
		0x7179,
		0x9fb5
		},
		{
		0x717b,
		0x9fb6
		},
		{
		0x717c,
		0x9fb7
		},
		{
		0x717e,
		0x9fb8
		},
		{
		0x717f,
		0x9fb9
		},
		{
		0x7180,
		0x9fba
		},
		{
		0x7181,
		0x9fbb
		},
		{
		0x7182,
		0x9fbc
		},
		{
		0x7183,
		0x9fbd
		},
		{
		0x7185,
		0x9fbe
		},
		{
		0x7186,
		0x9fbf
		},
		{
		0x7187,
		0x9fc0
		},
		{
		0x7188,
		0x9fc1
		},
		{
		0x7189,
		0x9fc2
		},
		{
		0x718b,
		0x9fc3
		},
		{
		0x718c,
		0x9fc4
		},
		{
		0x718d,
		0x9fc5
		},
		{
		0x718e,
		0x9fc6
		},
		{
		0x7190,
		0x9fc7
		},
		{
		0x7191,
		0x9fc8
		},
		{
		0x7192,
		0x9fc9
		},
		{
		0x7193,
		0x9fca
		},
		{
		0x7195,
		0x9fcb
		},
		{
		0x7196,
		0x9fcc
		},
		{
		0x7197,
		0x9fcd
		},
		{
		0x719a,
		0x9fce
		},
		{
		0x719b,
		0x9fcf
		},
		{
		0x719c,
		0x9fd0
		},
		{
		0x719d,
		0x9fd1
		},
		{
		0x719e,
		0x9fd2
		},
		{
		0x71a1,
		0x9fd3
		},
		{
		0x71a2,
		0x9fd4
		},
		{
		0x71a3,
		0x9fd5
		},
		{
		0x71a4,
		0x9fd6
		},
		{
		0x71a5,
		0x9fd7
		},
		{
		0x71a6,
		0x9fd8
		},
		{
		0x71a7,
		0x9fd9
		},
		{
		0x71a9,
		0x9fda
		},
		{
		0x71aa,
		0x9fdb
		},
		{
		0x71ab,
		0x9fdc
		},
		{
		0x71ad,
		0x9fdd
		},
		{
		0x71ae,
		0x9fde
		},
		{
		0x71af,
		0x9fdf
		},
		{
		0x71b0,
		0x9fe0
		},
		{
		0x71b1,
		0x9fe1
		},
		{
		0x71b2,
		0x9fe2
		},
		{
		0x71b4,
		0x9fe3
		},
		{
		0x71b6,
		0x9fe4
		},
		{
		0x71b7,
		0x9fe5
		},
		{
		0x71b8,
		0x9fe6
		},
		{
		0x71ba,
		0x9fe7
		},
		{
		0x71bb,
		0x9fe8
		},
		{
		0x71bc,
		0x9fe9
		},
		{
		0x71bd,
		0x9fea
		},
		{
		0x71be,
		0x9feb
		},
		{
		0x71bf,
		0x9fec
		},
		{
		0x71c0,
		0x9fed
		},
		{
		0x71c1,
		0x9fee
		},
		{
		0x71c2,
		0x9fef
		},
		{
		0x71c4,
		0x9ff0
		},
		{
		0x71c5,
		0x9ff1
		},
		{
		0x71c6,
		0x9ff2
		},
		{
		0x71c7,
		0x9ff3
		},
		{
		0x71c8,
		0x9ff4
		},
		{
		0x71c9,
		0x9ff5
		},
		{
		0x71ca,
		0x9ff6
		},
		{
		0x71cb,
		0x9ff7
		},
		{
		0x71cc,
		0x9ff8
		},
		{
		0x71cd,
		0x9ff9
		},
		{
		0x71cf,
		0x9ffa
		},
		{
		0x71d0,
		0x9ffb
		},
		{
		0x71d1,
		0x9ffc
		},
		{
		0x71d2,
		0x9ffd
		},
		{
		0x71d3,
		0x9ffe
		},
		{
		0x71d6,
		0xa040
		},
		{
		0x71d7,
		0xa041
		},
		{
		0x71d8,
		0xa042
		},
		{
		0x71d9,
		0xa043
		},
		{
		0x71da,
		0xa044
		},
		{
		0x71db,
		0xa045
		},
		{
		0x71dc,
		0xa046
		},
		{
		0x71dd,
		0xa047
		},
		{
		0x71de,
		0xa048
		},
		{
		0x71df,
		0xa049
		},
		{
		0x71e1,
		0xa04a
		},
		{
		0x71e2,
		0xa04b
		},
		{
		0x71e3,
		0xa04c
		},
		{
		0x71e4,
		0xa04d
		},
		{
		0x71e6,
		0xa04e
		},
		{
		0x71e8,
		0xa04f
		},
		{
		0x71e9,
		0xa050
		},
		{
		0x71ea,
		0xa051
		},
		{
		0x71eb,
		0xa052
		},
		{
		0x71ec,
		0xa053
		},
		{
		0x71ed,
		0xa054
		},
		{
		0x71ef,
		0xa055
		},
		{
		0x71f0,
		0xa056
		},
		{
		0x71f1,
		0xa057
		},
		{
		0x71f2,
		0xa058
		},
		{
		0x71f3,
		0xa059
		},
		{
		0x71f4,
		0xa05a
		},
		{
		0x71f5,
		0xa05b
		},
		{
		0x71f6,
		0xa05c
		},
		{
		0x71f7,
		0xa05d
		},
		{
		0x71f8,
		0xa05e
		},
		{
		0x71fa,
		0xa05f
		},
		{
		0x71fb,
		0xa060
		},
		{
		0x71fc,
		0xa061
		},
		{
		0x71fd,
		0xa062
		},
		{
		0x71fe,
		0xa063
		},
		{
		0x71ff,
		0xa064
		},
		{
		0x7200,
		0xa065
		},
		{
		0x7201,
		0xa066
		},
		{
		0x7202,
		0xa067
		},
		{
		0x7203,
		0xa068
		},
		{
		0x7204,
		0xa069
		},
		{
		0x7205,
		0xa06a
		},
		{
		0x7207,
		0xa06b
		},
		{
		0x7208,
		0xa06c
		},
		{
		0x7209,
		0xa06d
		},
		{
		0x720a,
		0xa06e
		},
		{
		0x720b,
		0xa06f
		},
		{
		0x720c,
		0xa070
		},
		{
		0x720d,
		0xa071
		},
		{
		0x720e,
		0xa072
		},
		{
		0x720f,
		0xa073
		},
		{
		0x7210,
		0xa074
		},
		{
		0x7211,
		0xa075
		},
		{
		0x7212,
		0xa076
		},
		{
		0x7213,
		0xa077
		},
		{
		0x7214,
		0xa078
		},
		{
		0x7215,
		0xa079
		},
		{
		0x7216,
		0xa07a
		},
		{
		0x7217,
		0xa07b
		},
		{
		0x7218,
		0xa07c
		},
		{
		0x7219,
		0xa07d
		},
		{
		0x721a,
		0xa07e
		},
		{
		0x721b,
		0xa080
		},
		{
		0x721c,
		0xa081
		},
		{
		0x721e,
		0xa082
		},
		{
		0x721f,
		0xa083
		},
		{
		0x7220,
		0xa084
		},
		{
		0x7221,
		0xa085
		},
		{
		0x7222,
		0xa086
		},
		{
		0x7223,
		0xa087
		},
		{
		0x7224,
		0xa088
		},
		{
		0x7225,
		0xa089
		},
		{
		0x7226,
		0xa08a
		},
		{
		0x7227,
		0xa08b
		},
		{
		0x7229,
		0xa08c
		},
		{
		0x722b,
		0xa08d
		},
		{
		0x722d,
		0xa08e
		},
		{
		0x722e,
		0xa08f
		},
		{
		0x722f,
		0xa090
		},
		{
		0x7232,
		0xa091
		},
		{
		0x7233,
		0xa092
		},
		{
		0x7234,
		0xa093
		},
		{
		0x723a,
		0xa094
		},
		{
		0x723c,
		0xa095
		},
		{
		0x723e,
		0xa096
		},
		{
		0x7240,
		0xa097
		},
		{
		0x7241,
		0xa098
		},
		{
		0x7242,
		0xa099
		},
		{
		0x7243,
		0xa09a
		},
		{
		0x7244,
		0xa09b
		},
		{
		0x7245,
		0xa09c
		},
		{
		0x7246,
		0xa09d
		},
		{
		0x7249,
		0xa09e
		},
		{
		0x724a,
		0xa09f
		},
		{
		0x724b,
		0xa0a0
		},
		{
		0x724e,
		0xa0a1
		},
		{
		0x724f,
		0xa0a2
		},
		{
		0x7250,
		0xa0a3
		},
		{
		0x7251,
		0xa0a4
		},
		{
		0x7253,
		0xa0a5
		},
		{
		0x7254,
		0xa0a6
		},
		{
		0x7255,
		0xa0a7
		},
		{
		0x7257,
		0xa0a8
		},
		{
		0x7258,
		0xa0a9
		},
		{
		0x725a,
		0xa0aa
		},
		{
		0x725c,
		0xa0ab
		},
		{
		0x725e,
		0xa0ac
		},
		{
		0x7260,
		0xa0ad
		},
		{
		0x7263,
		0xa0ae
		},
		{
		0x7264,
		0xa0af
		},
		{
		0x7265,
		0xa0b0
		},
		{
		0x7268,
		0xa0b1
		},
		{
		0x726a,
		0xa0b2
		},
		{
		0x726b,
		0xa0b3
		},
		{
		0x726c,
		0xa0b4
		},
		{
		0x726d,
		0xa0b5
		},
		{
		0x7270,
		0xa0b6
		},
		{
		0x7271,
		0xa0b7
		},
		{
		0x7273,
		0xa0b8
		},
		{
		0x7274,
		0xa0b9
		},
		{
		0x7276,
		0xa0ba
		},
		{
		0x7277,
		0xa0bb
		},
		{
		0x7278,
		0xa0bc
		},
		{
		0x727b,
		0xa0bd
		},
		{
		0x727c,
		0xa0be
		},
		{
		0x727d,
		0xa0bf
		},
		{
		0x7282,
		0xa0c0
		},
		{
		0x7283,
		0xa0c1
		},
		{
		0x7285,
		0xa0c2
		},
		{
		0x7286,
		0xa0c3
		},
		{
		0x7287,
		0xa0c4
		},
		{
		0x7288,
		0xa0c5
		},
		{
		0x7289,
		0xa0c6
		},
		{
		0x728c,
		0xa0c7
		},
		{
		0x728e,
		0xa0c8
		},
		{
		0x7290,
		0xa0c9
		},
		{
		0x7291,
		0xa0ca
		},
		{
		0x7293,
		0xa0cb
		},
		{
		0x7294,
		0xa0cc
		},
		{
		0x7295,
		0xa0cd
		},
		{
		0x7296,
		0xa0ce
		},
		{
		0x7297,
		0xa0cf
		},
		{
		0x7298,
		0xa0d0
		},
		{
		0x7299,
		0xa0d1
		},
		{
		0x729a,
		0xa0d2
		},
		{
		0x729b,
		0xa0d3
		},
		{
		0x729c,
		0xa0d4
		},
		{
		0x729d,
		0xa0d5
		},
		{
		0x729e,
		0xa0d6
		},
		{
		0x72a0,
		0xa0d7
		},
		{
		0x72a1,
		0xa0d8
		},
		{
		0x72a2,
		0xa0d9
		},
		{
		0x72a3,
		0xa0da
		},
		{
		0x72a4,
		0xa0db
		},
		{
		0x72a5,
		0xa0dc
		},
		{
		0x72a6,
		0xa0dd
		},
		{
		0x72a7,
		0xa0de
		},
		{
		0x72a8,
		0xa0df
		},
		{
		0x72a9,
		0xa0e0
		},
		{
		0x72aa,
		0xa0e1
		},
		{
		0x72ab,
		0xa0e2
		},
		{
		0x72ae,
		0xa0e3
		},
		{
		0x72b1,
		0xa0e4
		},
		{
		0x72b2,
		0xa0e5
		},
		{
		0x72b3,
		0xa0e6
		},
		{
		0x72b5,
		0xa0e7
		},
		{
		0x72ba,
		0xa0e8
		},
		{
		0x72bb,
		0xa0e9
		},
		{
		0x72bc,
		0xa0ea
		},
		{
		0x72bd,
		0xa0eb
		},
		{
		0x72be,
		0xa0ec
		},
		{
		0x72bf,
		0xa0ed
		},
		{
		0x72c0,
		0xa0ee
		},
		{
		0x72c5,
		0xa0ef
		},
		{
		0x72c6,
		0xa0f0
		},
		{
		0x72c7,
		0xa0f1
		},
		{
		0x72c9,
		0xa0f2
		},
		{
		0x72ca,
		0xa0f3
		},
		{
		0x72cb,
		0xa0f4
		},
		{
		0x72cc,
		0xa0f5
		},
		{
		0x72cf,
		0xa0f6
		},
		{
		0x72d1,
		0xa0f7
		},
		{
		0x72d3,
		0xa0f8
		},
		{
		0x72d4,
		0xa0f9
		},
		{
		0x72d5,
		0xa0fa
		},
		{
		0x72d6,
		0xa0fb
		},
		{
		0x72d8,
		0xa0fc
		},
		{
		0x72da,
		0xa0fd
		},
		{
		0x72db,
		0xa0fe
		},
		{
		0x72dc,
		0xaa40
		},
		{
		0x72dd,
		0xaa41
		},
		{
		0x72df,
		0xaa42
		},
		{
		0x72e2,
		0xaa43
		},
		{
		0x72e3,
		0xaa44
		},
		{
		0x72e4,
		0xaa45
		},
		{
		0x72e5,
		0xaa46
		},
		{
		0x72e6,
		0xaa47
		},
		{
		0x72e7,
		0xaa48
		},
		{
		0x72ea,
		0xaa49
		},
		{
		0x72eb,
		0xaa4a
		},
		{
		0x72f5,
		0xaa4b
		},
		{
		0x72f6,
		0xaa4c
		},
		{
		0x72f9,
		0xaa4d
		},
		{
		0x72fd,
		0xaa4e
		},
		{
		0x72fe,
		0xaa4f
		},
		{
		0x72ff,
		0xaa50
		},
		{
		0x7300,
		0xaa51
		},
		{
		0x7302,
		0xaa52
		},
		{
		0x7304,
		0xaa53
		},
		{
		0x7305,
		0xaa54
		},
		{
		0x7306,
		0xaa55
		},
		{
		0x7307,
		0xaa56
		},
		{
		0x7308,
		0xaa57
		},
		{
		0x7309,
		0xaa58
		},
		{
		0x730b,
		0xaa59
		},
		{
		0x730c,
		0xaa5a
		},
		{
		0x730d,
		0xaa5b
		},
		{
		0x730f,
		0xaa5c
		},
		{
		0x7310,
		0xaa5d
		},
		{
		0x7311,
		0xaa5e
		},
		{
		0x7312,
		0xaa5f
		},
		{
		0x7314,
		0xaa60
		},
		{
		0x7318,
		0xaa61
		},
		{
		0x7319,
		0xaa62
		},
		{
		0x731a,
		0xaa63
		},
		{
		0x731f,
		0xaa64
		},
		{
		0x7320,
		0xaa65
		},
		{
		0x7323,
		0xaa66
		},
		{
		0x7324,
		0xaa67
		},
		{
		0x7326,
		0xaa68
		},
		{
		0x7327,
		0xaa69
		},
		{
		0x7328,
		0xaa6a
		},
		{
		0x732d,
		0xaa6b
		},
		{
		0x732f,
		0xaa6c
		},
		{
		0x7330,
		0xaa6d
		},
		{
		0x7332,
		0xaa6e
		},
		{
		0x7333,
		0xaa6f
		},
		{
		0x7335,
		0xaa70
		},
		{
		0x7336,
		0xaa71
		},
		{
		0x733a,
		0xaa72
		},
		{
		0x733b,
		0xaa73
		},
		{
		0x733c,
		0xaa74
		},
		{
		0x733d,
		0xaa75
		},
		{
		0x7340,
		0xaa76
		},
		{
		0x7341,
		0xaa77
		},
		{
		0x7342,
		0xaa78
		},
		{
		0x7343,
		0xaa79
		},
		{
		0x7344,
		0xaa7a
		},
		{
		0x7345,
		0xaa7b
		},
		{
		0x7346,
		0xaa7c
		},
		{
		0x7347,
		0xaa7d
		},
		{
		0x7348,
		0xaa7e
		},
		{
		0x7349,
		0xaa80
		},
		{
		0x734a,
		0xaa81
		},
		{
		0x734b,
		0xaa82
		},
		{
		0x734c,
		0xaa83
		},
		{
		0x734e,
		0xaa84
		},
		{
		0x734f,
		0xaa85
		},
		{
		0x7351,
		0xaa86
		},
		{
		0x7353,
		0xaa87
		},
		{
		0x7354,
		0xaa88
		},
		{
		0x7355,
		0xaa89
		},
		{
		0x7356,
		0xaa8a
		},
		{
		0x7358,
		0xaa8b
		},
		{
		0x7359,
		0xaa8c
		},
		{
		0x735a,
		0xaa8d
		},
		{
		0x735b,
		0xaa8e
		},
		{
		0x735c,
		0xaa8f
		},
		{
		0x735d,
		0xaa90
		},
		{
		0x735e,
		0xaa91
		},
		{
		0x735f,
		0xaa92
		},
		{
		0x7361,
		0xaa93
		},
		{
		0x7362,
		0xaa94
		},
		{
		0x7363,
		0xaa95
		},
		{
		0x7364,
		0xaa96
		},
		{
		0x7365,
		0xaa97
		},
		{
		0x7366,
		0xaa98
		},
		{
		0x7367,
		0xaa99
		},
		{
		0x7368,
		0xaa9a
		},
		{
		0x7369,
		0xaa9b
		},
		{
		0x736a,
		0xaa9c
		},
		{
		0x736b,
		0xaa9d
		},
		{
		0x736e,
		0xaa9e
		},
		{
		0x7370,
		0xaa9f
		},
		{
		0x7371,
		0xaaa0
		},
		{
		0x7372,
		0xab40
		},
		{
		0x7373,
		0xab41
		},
		{
		0x7374,
		0xab42
		},
		{
		0x7375,
		0xab43
		},
		{
		0x7376,
		0xab44
		},
		{
		0x7377,
		0xab45
		},
		{
		0x7378,
		0xab46
		},
		{
		0x7379,
		0xab47
		},
		{
		0x737a,
		0xab48
		},
		{
		0x737b,
		0xab49
		},
		{
		0x737c,
		0xab4a
		},
		{
		0x737d,
		0xab4b
		},
		{
		0x737f,
		0xab4c
		},
		{
		0x7380,
		0xab4d
		},
		{
		0x7381,
		0xab4e
		},
		{
		0x7382,
		0xab4f
		},
		{
		0x7383,
		0xab50
		},
		{
		0x7385,
		0xab51
		},
		{
		0x7386,
		0xab52
		},
		{
		0x7388,
		0xab53
		},
		{
		0x738a,
		0xab54
		},
		{
		0x738c,
		0xab55
		},
		{
		0x738d,
		0xab56
		},
		{
		0x738f,
		0xab57
		},
		{
		0x7390,
		0xab58
		},
		{
		0x7392,
		0xab59
		},
		{
		0x7393,
		0xab5a
		},
		{
		0x7394,
		0xab5b
		},
		{
		0x7395,
		0xab5c
		},
		{
		0x7397,
		0xab5d
		},
		{
		0x7398,
		0xab5e
		},
		{
		0x7399,
		0xab5f
		},
		{
		0x739a,
		0xab60
		},
		{
		0x739c,
		0xab61
		},
		{
		0x739d,
		0xab62
		},
		{
		0x739e,
		0xab63
		},
		{
		0x73a0,
		0xab64
		},
		{
		0x73a1,
		0xab65
		},
		{
		0x73a3,
		0xab66
		},
		{
		0x73a4,
		0xab67
		},
		{
		0x73a5,
		0xab68
		},
		{
		0x73a6,
		0xab69
		},
		{
		0x73a7,
		0xab6a
		},
		{
		0x73a8,
		0xab6b
		},
		{
		0x73aa,
		0xab6c
		},
		{
		0x73ac,
		0xab6d
		},
		{
		0x73ad,
		0xab6e
		},
		{
		0x73b1,
		0xab6f
		},
		{
		0x73b4,
		0xab70
		},
		{
		0x73b5,
		0xab71
		},
		{
		0x73b6,
		0xab72
		},
		{
		0x73b8,
		0xab73
		},
		{
		0x73b9,
		0xab74
		},
		{
		0x73bc,
		0xab75
		},
		{
		0x73bd,
		0xab76
		},
		{
		0x73be,
		0xab77
		},
		{
		0x73bf,
		0xab78
		},
		{
		0x73c1,
		0xab79
		},
		{
		0x73c3,
		0xab7a
		},
		{
		0x73c4,
		0xab7b
		},
		{
		0x73c5,
		0xab7c
		},
		{
		0x73c6,
		0xab7d
		},
		{
		0x73c7,
		0xab7e
		},
		{
		0x73cb,
		0xab80
		},
		{
		0x73cc,
		0xab81
		},
		{
		0x73ce,
		0xab82
		},
		{
		0x73d2,
		0xab83
		},
		{
		0x73d3,
		0xab84
		},
		{
		0x73d4,
		0xab85
		},
		{
		0x73d5,
		0xab86
		},
		{
		0x73d6,
		0xab87
		},
		{
		0x73d7,
		0xab88
		},
		{
		0x73d8,
		0xab89
		},
		{
		0x73da,
		0xab8a
		},
		{
		0x73db,
		0xab8b
		},
		{
		0x73dc,
		0xab8c
		},
		{
		0x73dd,
		0xab8d
		},
		{
		0x73df,
		0xab8e
		},
		{
		0x73e1,
		0xab8f
		},
		{
		0x73e2,
		0xab90
		},
		{
		0x73e3,
		0xab91
		},
		{
		0x73e4,
		0xab92
		},
		{
		0x73e6,
		0xab93
		},
		{
		0x73e8,
		0xab94
		},
		{
		0x73ea,
		0xab95
		},
		{
		0x73eb,
		0xab96
		},
		{
		0x73ec,
		0xab97
		},
		{
		0x73ee,
		0xab98
		},
		{
		0x73ef,
		0xab99
		},
		{
		0x73f0,
		0xab9a
		},
		{
		0x73f1,
		0xab9b
		},
		{
		0x73f3,
		0xab9c
		},
		{
		0x73f4,
		0xab9d
		},
		{
		0x73f5,
		0xab9e
		},
		{
		0x73f6,
		0xab9f
		},
		{
		0x73f7,
		0xaba0
		},
		{
		0x73f8,
		0xac40
		},
		{
		0x73f9,
		0xac41
		},
		{
		0x73fa,
		0xac42
		},
		{
		0x73fb,
		0xac43
		},
		{
		0x73fc,
		0xac44
		},
		{
		0x73fd,
		0xac45
		},
		{
		0x73fe,
		0xac46
		},
		{
		0x73ff,
		0xac47
		},
		{
		0x7400,
		0xac48
		},
		{
		0x7401,
		0xac49
		},
		{
		0x7402,
		0xac4a
		},
		{
		0x7404,
		0xac4b
		},
		{
		0x7407,
		0xac4c
		},
		{
		0x7408,
		0xac4d
		},
		{
		0x740b,
		0xac4e
		},
		{
		0x740c,
		0xac4f
		},
		{
		0x740d,
		0xac50
		},
		{
		0x740e,
		0xac51
		},
		{
		0x7411,
		0xac52
		},
		{
		0x7412,
		0xac53
		},
		{
		0x7413,
		0xac54
		},
		{
		0x7414,
		0xac55
		},
		{
		0x7415,
		0xac56
		},
		{
		0x7416,
		0xac57
		},
		{
		0x7417,
		0xac58
		},
		{
		0x7418,
		0xac59
		},
		{
		0x7419,
		0xac5a
		},
		{
		0x741c,
		0xac5b
		},
		{
		0x741d,
		0xac5c
		},
		{
		0x741e,
		0xac5d
		},
		{
		0x741f,
		0xac5e
		},
		{
		0x7420,
		0xac5f
		},
		{
		0x7421,
		0xac60
		},
		{
		0x7423,
		0xac61
		},
		{
		0x7424,
		0xac62
		},
		{
		0x7427,
		0xac63
		},
		{
		0x7429,
		0xac64
		},
		{
		0x742b,
		0xac65
		},
		{
		0x742d,
		0xac66
		},
		{
		0x742f,
		0xac67
		},
		{
		0x7431,
		0xac68
		},
		{
		0x7432,
		0xac69
		},
		{
		0x7437,
		0xac6a
		},
		{
		0x7438,
		0xac6b
		},
		{
		0x7439,
		0xac6c
		},
		{
		0x743a,
		0xac6d
		},
		{
		0x743b,
		0xac6e
		},
		{
		0x743d,
		0xac6f
		},
		{
		0x743e,
		0xac70
		},
		{
		0x743f,
		0xac71
		},
		{
		0x7440,
		0xac72
		},
		{
		0x7442,
		0xac73
		},
		{
		0x7443,
		0xac74
		},
		{
		0x7444,
		0xac75
		},
		{
		0x7445,
		0xac76
		},
		{
		0x7446,
		0xac77
		},
		{
		0x7447,
		0xac78
		},
		{
		0x7448,
		0xac79
		},
		{
		0x7449,
		0xac7a
		},
		{
		0x744a,
		0xac7b
		},
		{
		0x744b,
		0xac7c
		},
		{
		0x744c,
		0xac7d
		},
		{
		0x744d,
		0xac7e
		},
		{
		0x744e,
		0xac80
		},
		{
		0x744f,
		0xac81
		},
		{
		0x7450,
		0xac82
		},
		{
		0x7451,
		0xac83
		},
		{
		0x7452,
		0xac84
		},
		{
		0x7453,
		0xac85
		},
		{
		0x7454,
		0xac86
		},
		{
		0x7456,
		0xac87
		},
		{
		0x7458,
		0xac88
		},
		{
		0x745d,
		0xac89
		},
		{
		0x7460,
		0xac8a
		},
		{
		0x7461,
		0xac8b
		},
		{
		0x7462,
		0xac8c
		},
		{
		0x7463,
		0xac8d
		},
		{
		0x7464,
		0xac8e
		},
		{
		0x7465,
		0xac8f
		},
		{
		0x7466,
		0xac90
		},
		{
		0x7467,
		0xac91
		},
		{
		0x7468,
		0xac92
		},
		{
		0x7469,
		0xac93
		},
		{
		0x746a,
		0xac94
		},
		{
		0x746b,
		0xac95
		},
		{
		0x746c,
		0xac96
		},
		{
		0x746e,
		0xac97
		},
		{
		0x746f,
		0xac98
		},
		{
		0x7471,
		0xac99
		},
		{
		0x7472,
		0xac9a
		},
		{
		0x7473,
		0xac9b
		},
		{
		0x7474,
		0xac9c
		},
		{
		0x7475,
		0xac9d
		},
		{
		0x7478,
		0xac9e
		},
		{
		0x7479,
		0xac9f
		},
		{
		0x747a,
		0xaca0
		},
		{
		0x747b,
		0xad40
		},
		{
		0x747c,
		0xad41
		},
		{
		0x747d,
		0xad42
		},
		{
		0x747f,
		0xad43
		},
		{
		0x7482,
		0xad44
		},
		{
		0x7484,
		0xad45
		},
		{
		0x7485,
		0xad46
		},
		{
		0x7486,
		0xad47
		},
		{
		0x7488,
		0xad48
		},
		{
		0x7489,
		0xad49
		},
		{
		0x748a,
		0xad4a
		},
		{
		0x748c,
		0xad4b
		},
		{
		0x748d,
		0xad4c
		},
		{
		0x748f,
		0xad4d
		},
		{
		0x7491,
		0xad4e
		},
		{
		0x7492,
		0xad4f
		},
		{
		0x7493,
		0xad50
		},
		{
		0x7494,
		0xad51
		},
		{
		0x7495,
		0xad52
		},
		{
		0x7496,
		0xad53
		},
		{
		0x7497,
		0xad54
		},
		{
		0x7498,
		0xad55
		},
		{
		0x7499,
		0xad56
		},
		{
		0x749a,
		0xad57
		},
		{
		0x749b,
		0xad58
		},
		{
		0x749d,
		0xad59
		},
		{
		0x749f,
		0xad5a
		},
		{
		0x74a0,
		0xad5b
		},
		{
		0x74a1,
		0xad5c
		},
		{
		0x74a2,
		0xad5d
		},
		{
		0x74a3,
		0xad5e
		},
		{
		0x74a4,
		0xad5f
		},
		{
		0x74a5,
		0xad60
		},
		{
		0x74a6,
		0xad61
		},
		{
		0x74aa,
		0xad62
		},
		{
		0x74ab,
		0xad63
		},
		{
		0x74ac,
		0xad64
		},
		{
		0x74ad,
		0xad65
		},
		{
		0x74ae,
		0xad66
		},
		{
		0x74af,
		0xad67
		},
		{
		0x74b0,
		0xad68
		},
		{
		0x74b1,
		0xad69
		},
		{
		0x74b2,
		0xad6a
		},
		{
		0x74b3,
		0xad6b
		},
		{
		0x74b4,
		0xad6c
		},
		{
		0x74b5,
		0xad6d
		},
		{
		0x74b6,
		0xad6e
		},
		{
		0x74b7,
		0xad6f
		},
		{
		0x74b8,
		0xad70
		},
		{
		0x74b9,
		0xad71
		},
		{
		0x74bb,
		0xad72
		},
		{
		0x74bc,
		0xad73
		},
		{
		0x74bd,
		0xad74
		},
		{
		0x74be,
		0xad75
		},
		{
		0x74bf,
		0xad76
		},
		{
		0x74c0,
		0xad77
		},
		{
		0x74c1,
		0xad78
		},
		{
		0x74c2,
		0xad79
		},
		{
		0x74c3,
		0xad7a
		},
		{
		0x74c4,
		0xad7b
		},
		{
		0x74c5,
		0xad7c
		},
		{
		0x74c6,
		0xad7d
		},
		{
		0x74c7,
		0xad7e
		},
		{
		0x74c8,
		0xad80
		},
		{
		0x74c9,
		0xad81
		},
		{
		0x74ca,
		0xad82
		},
		{
		0x74cb,
		0xad83
		},
		{
		0x74cc,
		0xad84
		},
		{
		0x74cd,
		0xad85
		},
		{
		0x74ce,
		0xad86
		},
		{
		0x74cf,
		0xad87
		},
		{
		0x74d0,
		0xad88
		},
		{
		0x74d1,
		0xad89
		},
		{
		0x74d3,
		0xad8a
		},
		{
		0x74d4,
		0xad8b
		},
		{
		0x74d5,
		0xad8c
		},
		{
		0x74d6,
		0xad8d
		},
		{
		0x74d7,
		0xad8e
		},
		{
		0x74d8,
		0xad8f
		},
		{
		0x74d9,
		0xad90
		},
		{
		0x74da,
		0xad91
		},
		{
		0x74db,
		0xad92
		},
		{
		0x74dd,
		0xad93
		},
		{
		0x74df,
		0xad94
		},
		{
		0x74e1,
		0xad95
		},
		{
		0x74e5,
		0xad96
		},
		{
		0x74e7,
		0xad97
		},
		{
		0x74e8,
		0xad98
		},
		{
		0x74e9,
		0xad99
		},
		{
		0x74ea,
		0xad9a
		},
		{
		0x74eb,
		0xad9b
		},
		{
		0x74ec,
		0xad9c
		},
		{
		0x74ed,
		0xad9d
		},
		{
		0x74f0,
		0xad9e
		},
		{
		0x74f1,
		0xad9f
		},
		{
		0x74f2,
		0xada0
		},
		{
		0x74f3,
		0xae40
		},
		{
		0x74f5,
		0xae41
		},
		{
		0x74f8,
		0xae42
		},
		{
		0x74f9,
		0xae43
		},
		{
		0x74fa,
		0xae44
		},
		{
		0x74fb,
		0xae45
		},
		{
		0x74fc,
		0xae46
		},
		{
		0x74fd,
		0xae47
		},
		{
		0x74fe,
		0xae48
		},
		{
		0x7500,
		0xae49
		},
		{
		0x7501,
		0xae4a
		},
		{
		0x7502,
		0xae4b
		},
		{
		0x7503,
		0xae4c
		},
		{
		0x7505,
		0xae4d
		},
		{
		0x7506,
		0xae4e
		},
		{
		0x7507,
		0xae4f
		},
		{
		0x7508,
		0xae50
		},
		{
		0x7509,
		0xae51
		},
		{
		0x750a,
		0xae52
		},
		{
		0x750b,
		0xae53
		},
		{
		0x750c,
		0xae54
		},
		{
		0x750e,
		0xae55
		},
		{
		0x7510,
		0xae56
		},
		{
		0x7512,
		0xae57
		},
		{
		0x7514,
		0xae58
		},
		{
		0x7515,
		0xae59
		},
		{
		0x7516,
		0xae5a
		},
		{
		0x7517,
		0xae5b
		},
		{
		0x751b,
		0xae5c
		},
		{
		0x751d,
		0xae5d
		},
		{
		0x751e,
		0xae5e
		},
		{
		0x7520,
		0xae5f
		},
		{
		0x7521,
		0xae60
		},
		{
		0x7522,
		0xae61
		},
		{
		0x7523,
		0xae62
		},
		{
		0x7524,
		0xae63
		},
		{
		0x7526,
		0xae64
		},
		{
		0x7527,
		0xae65
		},
		{
		0x752a,
		0xae66
		},
		{
		0x752e,
		0xae67
		},
		{
		0x7534,
		0xae68
		},
		{
		0x7536,
		0xae69
		},
		{
		0x7539,
		0xae6a
		},
		{
		0x753c,
		0xae6b
		},
		{
		0x753d,
		0xae6c
		},
		{
		0x753f,
		0xae6d
		},
		{
		0x7541,
		0xae6e
		},
		{
		0x7542,
		0xae6f
		},
		{
		0x7543,
		0xae70
		},
		{
		0x7544,
		0xae71
		},
		{
		0x7546,
		0xae72
		},
		{
		0x7547,
		0xae73
		},
		{
		0x7549,
		0xae74
		},
		{
		0x754a,
		0xae75
		},
		{
		0x754d,
		0xae76
		},
		{
		0x7550,
		0xae77
		},
		{
		0x7551,
		0xae78
		},
		{
		0x7552,
		0xae79
		},
		{
		0x7553,
		0xae7a
		},
		{
		0x7555,
		0xae7b
		},
		{
		0x7556,
		0xae7c
		},
		{
		0x7557,
		0xae7d
		},
		{
		0x7558,
		0xae7e
		},
		{
		0x755d,
		0xae80
		},
		{
		0x755e,
		0xae81
		},
		{
		0x755f,
		0xae82
		},
		{
		0x7560,
		0xae83
		},
		{
		0x7561,
		0xae84
		},
		{
		0x7562,
		0xae85
		},
		{
		0x7563,
		0xae86
		},
		{
		0x7564,
		0xae87
		},
		{
		0x7567,
		0xae88
		},
		{
		0x7568,
		0xae89
		},
		{
		0x7569,
		0xae8a
		},
		{
		0x756b,
		0xae8b
		},
		{
		0x756c,
		0xae8c
		},
		{
		0x756d,
		0xae8d
		},
		{
		0x756e,
		0xae8e
		},
		{
		0x756f,
		0xae8f
		},
		{
		0x7570,
		0xae90
		},
		{
		0x7571,
		0xae91
		},
		{
		0x7573,
		0xae92
		},
		{
		0x7575,
		0xae93
		},
		{
		0x7576,
		0xae94
		},
		{
		0x7577,
		0xae95
		},
		{
		0x757a,
		0xae96
		},
		{
		0x757b,
		0xae97
		},
		{
		0x757c,
		0xae98
		},
		{
		0x757d,
		0xae99
		},
		{
		0x757e,
		0xae9a
		},
		{
		0x7580,
		0xae9b
		},
		{
		0x7581,
		0xae9c
		},
		{
		0x7582,
		0xae9d
		},
		{
		0x7584,
		0xae9e
		},
		{
		0x7585,
		0xae9f
		},
		{
		0x7587,
		0xaea0
		},
		{
		0x7588,
		0xaf40
		},
		{
		0x7589,
		0xaf41
		},
		{
		0x758a,
		0xaf42
		},
		{
		0x758c,
		0xaf43
		},
		{
		0x758d,
		0xaf44
		},
		{
		0x758e,
		0xaf45
		},
		{
		0x7590,
		0xaf46
		},
		{
		0x7593,
		0xaf47
		},
		{
		0x7595,
		0xaf48
		},
		{
		0x7598,
		0xaf49
		},
		{
		0x759b,
		0xaf4a
		},
		{
		0x759c,
		0xaf4b
		},
		{
		0x759e,
		0xaf4c
		},
		{
		0x75a2,
		0xaf4d
		},
		{
		0x75a6,
		0xaf4e
		},
		{
		0x75a7,
		0xaf4f
		},
		{
		0x75a8,
		0xaf50
		},
		{
		0x75a9,
		0xaf51
		},
		{
		0x75aa,
		0xaf52
		},
		{
		0x75ad,
		0xaf53
		},
		{
		0x75b6,
		0xaf54
		},
		{
		0x75b7,
		0xaf55
		},
		{
		0x75ba,
		0xaf56
		},
		{
		0x75bb,
		0xaf57
		},
		{
		0x75bf,
		0xaf58
		},
		{
		0x75c0,
		0xaf59
		},
		{
		0x75c1,
		0xaf5a
		},
		{
		0x75c6,
		0xaf5b
		},
		{
		0x75cb,
		0xaf5c
		},
		{
		0x75cc,
		0xaf5d
		},
		{
		0x75ce,
		0xaf5e
		},
		{
		0x75cf,
		0xaf5f
		},
		{
		0x75d0,
		0xaf60
		},
		{
		0x75d1,
		0xaf61
		},
		{
		0x75d3,
		0xaf62
		},
		{
		0x75d7,
		0xaf63
		},
		{
		0x75d9,
		0xaf64
		},
		{
		0x75da,
		0xaf65
		},
		{
		0x75dc,
		0xaf66
		},
		{
		0x75dd,
		0xaf67
		},
		{
		0x75df,
		0xaf68
		},
		{
		0x75e0,
		0xaf69
		},
		{
		0x75e1,
		0xaf6a
		},
		{
		0x75e5,
		0xaf6b
		},
		{
		0x75e9,
		0xaf6c
		},
		{
		0x75ec,
		0xaf6d
		},
		{
		0x75ed,
		0xaf6e
		},
		{
		0x75ee,
		0xaf6f
		},
		{
		0x75ef,
		0xaf70
		},
		{
		0x75f2,
		0xaf71
		},
		{
		0x75f3,
		0xaf72
		},
		{
		0x75f5,
		0xaf73
		},
		{
		0x75f6,
		0xaf74
		},
		{
		0x75f7,
		0xaf75
		},
		{
		0x75f8,
		0xaf76
		},
		{
		0x75fa,
		0xaf77
		},
		{
		0x75fb,
		0xaf78
		},
		{
		0x75fd,
		0xaf79
		},
		{
		0x75fe,
		0xaf7a
		},
		{
		0x7602,
		0xaf7b
		},
		{
		0x7604,
		0xaf7c
		},
		{
		0x7606,
		0xaf7d
		},
		{
		0x7607,
		0xaf7e
		},
		{
		0x7608,
		0xaf80
		},
		{
		0x7609,
		0xaf81
		},
		{
		0x760b,
		0xaf82
		},
		{
		0x760d,
		0xaf83
		},
		{
		0x760e,
		0xaf84
		},
		{
		0x760f,
		0xaf85
		},
		{
		0x7611,
		0xaf86
		},
		{
		0x7612,
		0xaf87
		},
		{
		0x7613,
		0xaf88
		},
		{
		0x7614,
		0xaf89
		},
		{
		0x7616,
		0xaf8a
		},
		{
		0x761a,
		0xaf8b
		},
		{
		0x761c,
		0xaf8c
		},
		{
		0x761d,
		0xaf8d
		},
		{
		0x761e,
		0xaf8e
		},
		{
		0x7621,
		0xaf8f
		},
		{
		0x7623,
		0xaf90
		},
		{
		0x7627,
		0xaf91
		},
		{
		0x7628,
		0xaf92
		},
		{
		0x762c,
		0xaf93
		},
		{
		0x762e,
		0xaf94
		},
		{
		0x762f,
		0xaf95
		},
		{
		0x7631,
		0xaf96
		},
		{
		0x7632,
		0xaf97
		},
		{
		0x7636,
		0xaf98
		},
		{
		0x7637,
		0xaf99
		},
		{
		0x7639,
		0xaf9a
		},
		{
		0x763a,
		0xaf9b
		},
		{
		0x763b,
		0xaf9c
		},
		{
		0x763d,
		0xaf9d
		},
		{
		0x7641,
		0xaf9e
		},
		{
		0x7642,
		0xaf9f
		},
		{
		0x7644,
		0xafa0
		},
		{
		0x7645,
		0xb040
		},
		{
		0x7646,
		0xb041
		},
		{
		0x7647,
		0xb042
		},
		{
		0x7648,
		0xb043
		},
		{
		0x7649,
		0xb044
		},
		{
		0x764a,
		0xb045
		},
		{
		0x764b,
		0xb046
		},
		{
		0x764e,
		0xb047
		},
		{
		0x764f,
		0xb048
		},
		{
		0x7650,
		0xb049
		},
		{
		0x7651,
		0xb04a
		},
		{
		0x7652,
		0xb04b
		},
		{
		0x7653,
		0xb04c
		},
		{
		0x7655,
		0xb04d
		},
		{
		0x7657,
		0xb04e
		},
		{
		0x7658,
		0xb04f
		},
		{
		0x7659,
		0xb050
		},
		{
		0x765a,
		0xb051
		},
		{
		0x765b,
		0xb052
		},
		{
		0x765d,
		0xb053
		},
		{
		0x765f,
		0xb054
		},
		{
		0x7660,
		0xb055
		},
		{
		0x7661,
		0xb056
		},
		{
		0x7662,
		0xb057
		},
		{
		0x7664,
		0xb058
		},
		{
		0x7665,
		0xb059
		},
		{
		0x7666,
		0xb05a
		},
		{
		0x7667,
		0xb05b
		},
		{
		0x7668,
		0xb05c
		},
		{
		0x7669,
		0xb05d
		},
		{
		0x766a,
		0xb05e
		},
		{
		0x766c,
		0xb05f
		},
		{
		0x766d,
		0xb060
		},
		{
		0x766e,
		0xb061
		},
		{
		0x7670,
		0xb062
		},
		{
		0x7671,
		0xb063
		},
		{
		0x7672,
		0xb064
		},
		{
		0x7673,
		0xb065
		},
		{
		0x7674,
		0xb066
		},
		{
		0x7675,
		0xb067
		},
		{
		0x7676,
		0xb068
		},
		{
		0x7677,
		0xb069
		},
		{
		0x7679,
		0xb06a
		},
		{
		0x767a,
		0xb06b
		},
		{
		0x767c,
		0xb06c
		},
		{
		0x767f,
		0xb06d
		},
		{
		0x7680,
		0xb06e
		},
		{
		0x7681,
		0xb06f
		},
		{
		0x7683,
		0xb070
		},
		{
		0x7685,
		0xb071
		},
		{
		0x7689,
		0xb072
		},
		{
		0x768a,
		0xb073
		},
		{
		0x768c,
		0xb074
		},
		{
		0x768d,
		0xb075
		},
		{
		0x768f,
		0xb076
		},
		{
		0x7690,
		0xb077
		},
		{
		0x7692,
		0xb078
		},
		{
		0x7694,
		0xb079
		},
		{
		0x7695,
		0xb07a
		},
		{
		0x7697,
		0xb07b
		},
		{
		0x7698,
		0xb07c
		},
		{
		0x769a,
		0xb07d
		},
		{
		0x769b,
		0xb07e
		},
		{
		0x769c,
		0xb080
		},
		{
		0x769d,
		0xb081
		},
		{
		0x769e,
		0xb082
		},
		{
		0x769f,
		0xb083
		},
		{
		0x76a0,
		0xb084
		},
		{
		0x76a1,
		0xb085
		},
		{
		0x76a2,
		0xb086
		},
		{
		0x76a3,
		0xb087
		},
		{
		0x76a5,
		0xb088
		},
		{
		0x76a6,
		0xb089
		},
		{
		0x76a7,
		0xb08a
		},
		{
		0x76a8,
		0xb08b
		},
		{
		0x76a9,
		0xb08c
		},
		{
		0x76aa,
		0xb08d
		},
		{
		0x76ab,
		0xb08e
		},
		{
		0x76ac,
		0xb08f
		},
		{
		0x76ad,
		0xb090
		},
		{
		0x76af,
		0xb091
		},
		{
		0x76b0,
		0xb092
		},
		{
		0x76b3,
		0xb093
		},
		{
		0x76b5,
		0xb094
		},
		{
		0x76b6,
		0xb095
		},
		{
		0x76b7,
		0xb096
		},
		{
		0x76b8,
		0xb097
		},
		{
		0x76b9,
		0xb098
		},
		{
		0x76ba,
		0xb099
		},
		{
		0x76bb,
		0xb09a
		},
		{
		0x76bc,
		0xb09b
		},
		{
		0x76bd,
		0xb09c
		},
		{
		0x76be,
		0xb09d
		},
		{
		0x76c0,
		0xb09e
		},
		{
		0x76c1,
		0xb09f
		},
		{
		0x76c3,
		0xb0a0
		},
		{
		0x76c4,
		0xb140
		},
		{
		0x76c7,
		0xb141
		},
		{
		0x76c9,
		0xb142
		},
		{
		0x76cb,
		0xb143
		},
		{
		0x76cc,
		0xb144
		},
		{
		0x76d3,
		0xb145
		},
		{
		0x76d5,
		0xb146
		},
		{
		0x76d9,
		0xb147
		},
		{
		0x76da,
		0xb148
		},
		{
		0x76dc,
		0xb149
		},
		{
		0x76dd,
		0xb14a
		},
		{
		0x76de,
		0xb14b
		},
		{
		0x76e0,
		0xb14c
		},
		{
		0x76e1,
		0xb14d
		},
		{
		0x76e2,
		0xb14e
		},
		{
		0x76e3,
		0xb14f
		},
		{
		0x76e4,
		0xb150
		},
		{
		0x76e6,
		0xb151
		},
		{
		0x76e7,
		0xb152
		},
		{
		0x76e8,
		0xb153
		},
		{
		0x76e9,
		0xb154
		},
		{
		0x76ea,
		0xb155
		},
		{
		0x76eb,
		0xb156
		},
		{
		0x76ec,
		0xb157
		},
		{
		0x76ed,
		0xb158
		},
		{
		0x76f0,
		0xb159
		},
		{
		0x76f3,
		0xb15a
		},
		{
		0x76f5,
		0xb15b
		},
		{
		0x76f6,
		0xb15c
		},
		{
		0x76f7,
		0xb15d
		},
		{
		0x76fa,
		0xb15e
		},
		{
		0x76fb,
		0xb15f
		},
		{
		0x76fd,
		0xb160
		},
		{
		0x76ff,
		0xb161
		},
		{
		0x7700,
		0xb162
		},
		{
		0x7702,
		0xb163
		},
		{
		0x7703,
		0xb164
		},
		{
		0x7705,
		0xb165
		},
		{
		0x7706,
		0xb166
		},
		{
		0x770a,
		0xb167
		},
		{
		0x770c,
		0xb168
		},
		{
		0x770e,
		0xb169
		},
		{
		0x770f,
		0xb16a
		},
		{
		0x7710,
		0xb16b
		},
		{
		0x7711,
		0xb16c
		},
		{
		0x7712,
		0xb16d
		},
		{
		0x7713,
		0xb16e
		},
		{
		0x7714,
		0xb16f
		},
		{
		0x7715,
		0xb170
		},
		{
		0x7716,
		0xb171
		},
		{
		0x7717,
		0xb172
		},
		{
		0x7718,
		0xb173
		},
		{
		0x771b,
		0xb174
		},
		{
		0x771c,
		0xb175
		},
		{
		0x771d,
		0xb176
		},
		{
		0x771e,
		0xb177
		},
		{
		0x7721,
		0xb178
		},
		{
		0x7723,
		0xb179
		},
		{
		0x7724,
		0xb17a
		},
		{
		0x7725,
		0xb17b
		},
		{
		0x7727,
		0xb17c
		},
		{
		0x772a,
		0xb17d
		},
		{
		0x772b,
		0xb17e
		},
		{
		0x772c,
		0xb180
		},
		{
		0x772e,
		0xb181
		},
		{
		0x7730,
		0xb182
		},
		{
		0x7731,
		0xb183
		},
		{
		0x7732,
		0xb184
		},
		{
		0x7733,
		0xb185
		},
		{
		0x7734,
		0xb186
		},
		{
		0x7739,
		0xb187
		},
		{
		0x773b,
		0xb188
		},
		{
		0x773d,
		0xb189
		},
		{
		0x773e,
		0xb18a
		},
		{
		0x773f,
		0xb18b
		},
		{
		0x7742,
		0xb18c
		},
		{
		0x7744,
		0xb18d
		},
		{
		0x7745,
		0xb18e
		},
		{
		0x7746,
		0xb18f
		},
		{
		0x7748,
		0xb190
		},
		{
		0x7749,
		0xb191
		},
		{
		0x774a,
		0xb192
		},
		{
		0x774b,
		0xb193
		},
		{
		0x774c,
		0xb194
		},
		{
		0x774d,
		0xb195
		},
		{
		0x774e,
		0xb196
		},
		{
		0x774f,
		0xb197
		},
		{
		0x7752,
		0xb198
		},
		{
		0x7753,
		0xb199
		},
		{
		0x7754,
		0xb19a
		},
		{
		0x7755,
		0xb19b
		},
		{
		0x7756,
		0xb19c
		},
		{
		0x7757,
		0xb19d
		},
		{
		0x7758,
		0xb19e
		},
		{
		0x7759,
		0xb19f
		},
		{
		0x775c,
		0xb1a0
		},
		{
		0x775d,
		0xb240
		},
		{
		0x775e,
		0xb241
		},
		{
		0x775f,
		0xb242
		},
		{
		0x7760,
		0xb243
		},
		{
		0x7764,
		0xb244
		},
		{
		0x7767,
		0xb245
		},
		{
		0x7769,
		0xb246
		},
		{
		0x776a,
		0xb247
		},
		{
		0x776d,
		0xb248
		},
		{
		0x776e,
		0xb249
		},
		{
		0x776f,
		0xb24a
		},
		{
		0x7770,
		0xb24b
		},
		{
		0x7771,
		0xb24c
		},
		{
		0x7772,
		0xb24d
		},
		{
		0x7773,
		0xb24e
		},
		{
		0x7774,
		0xb24f
		},
		{
		0x7775,
		0xb250
		},
		{
		0x7776,
		0xb251
		},
		{
		0x7777,
		0xb252
		},
		{
		0x7778,
		0xb253
		},
		{
		0x777a,
		0xb254
		},
		{
		0x777b,
		0xb255
		},
		{
		0x777c,
		0xb256
		},
		{
		0x7781,
		0xb257
		},
		{
		0x7782,
		0xb258
		},
		{
		0x7783,
		0xb259
		},
		{
		0x7786,
		0xb25a
		},
		{
		0x7787,
		0xb25b
		},
		{
		0x7788,
		0xb25c
		},
		{
		0x7789,
		0xb25d
		},
		{
		0x778a,
		0xb25e
		},
		{
		0x778b,
		0xb25f
		},
		{
		0x778f,
		0xb260
		},
		{
		0x7790,
		0xb261
		},
		{
		0x7793,
		0xb262
		},
		{
		0x7794,
		0xb263
		},
		{
		0x7795,
		0xb264
		},
		{
		0x7796,
		0xb265
		},
		{
		0x7797,
		0xb266
		},
		{
		0x7798,
		0xb267
		},
		{
		0x7799,
		0xb268
		},
		{
		0x779a,
		0xb269
		},
		{
		0x779b,
		0xb26a
		},
		{
		0x779c,
		0xb26b
		},
		{
		0x779d,
		0xb26c
		},
		{
		0x779e,
		0xb26d
		},
		{
		0x77a1,
		0xb26e
		},
		{
		0x77a3,
		0xb26f
		},
		{
		0x77a4,
		0xb270
		},
		{
		0x77a6,
		0xb271
		},
		{
		0x77a8,
		0xb272
		},
		{
		0x77ab,
		0xb273
		},
		{
		0x77ad,
		0xb274
		},
		{
		0x77ae,
		0xb275
		},
		{
		0x77af,
		0xb276
		},
		{
		0x77b1,
		0xb277
		},
		{
		0x77b2,
		0xb278
		},
		{
		0x77b4,
		0xb279
		},
		{
		0x77b6,
		0xb27a
		},
		{
		0x77b7,
		0xb27b
		},
		{
		0x77b8,
		0xb27c
		},
		{
		0x77b9,
		0xb27d
		},
		{
		0x77ba,
		0xb27e
		},
		{
		0x77bc,
		0xb280
		},
		{
		0x77be,
		0xb281
		},
		{
		0x77c0,
		0xb282
		},
		{
		0x77c1,
		0xb283
		},
		{
		0x77c2,
		0xb284
		},
		{
		0x77c3,
		0xb285
		},
		{
		0x77c4,
		0xb286
		},
		{
		0x77c5,
		0xb287
		},
		{
		0x77c6,
		0xb288
		},
		{
		0x77c7,
		0xb289
		},
		{
		0x77c8,
		0xb28a
		},
		{
		0x77c9,
		0xb28b
		},
		{
		0x77ca,
		0xb28c
		},
		{
		0x77cb,
		0xb28d
		},
		{
		0x77cc,
		0xb28e
		},
		{
		0x77ce,
		0xb28f
		},
		{
		0x77cf,
		0xb290
		},
		{
		0x77d0,
		0xb291
		},
		{
		0x77d1,
		0xb292
		},
		{
		0x77d2,
		0xb293
		},
		{
		0x77d3,
		0xb294
		},
		{
		0x77d4,
		0xb295
		},
		{
		0x77d5,
		0xb296
		},
		{
		0x77d6,
		0xb297
		},
		{
		0x77d8,
		0xb298
		},
		{
		0x77d9,
		0xb299
		},
		{
		0x77da,
		0xb29a
		},
		{
		0x77dd,
		0xb29b
		},
		{
		0x77de,
		0xb29c
		},
		{
		0x77df,
		0xb29d
		},
		{
		0x77e0,
		0xb29e
		},
		{
		0x77e1,
		0xb29f
		},
		{
		0x77e4,
		0xb2a0
		},
		{
		0x77e6,
		0xb340
		},
		{
		0x77e8,
		0xb341
		},
		{
		0x77ea,
		0xb342
		},
		{
		0x77ef,
		0xb343
		},
		{
		0x77f0,
		0xb344
		},
		{
		0x77f1,
		0xb345
		},
		{
		0x77f2,
		0xb346
		},
		{
		0x77f4,
		0xb347
		},
		{
		0x77f5,
		0xb348
		},
		{
		0x77f7,
		0xb349
		},
		{
		0x77f9,
		0xb34a
		},
		{
		0x77fa,
		0xb34b
		},
		{
		0x77fb,
		0xb34c
		},
		{
		0x77fc,
		0xb34d
		},
		{
		0x7803,
		0xb34e
		},
		{
		0x7804,
		0xb34f
		},
		{
		0x7805,
		0xb350
		},
		{
		0x7806,
		0xb351
		},
		{
		0x7807,
		0xb352
		},
		{
		0x7808,
		0xb353
		},
		{
		0x780a,
		0xb354
		},
		{
		0x780b,
		0xb355
		},
		{
		0x780e,
		0xb356
		},
		{
		0x780f,
		0xb357
		},
		{
		0x7810,
		0xb358
		},
		{
		0x7813,
		0xb359
		},
		{
		0x7815,
		0xb35a
		},
		{
		0x7819,
		0xb35b
		},
		{
		0x781b,
		0xb35c
		},
		{
		0x781e,
		0xb35d
		},
		{
		0x7820,
		0xb35e
		},
		{
		0x7821,
		0xb35f
		},
		{
		0x7822,
		0xb360
		},
		{
		0x7824,
		0xb361
		},
		{
		0x7828,
		0xb362
		},
		{
		0x782a,
		0xb363
		},
		{
		0x782b,
		0xb364
		},
		{
		0x782e,
		0xb365
		},
		{
		0x782f,
		0xb366
		},
		{
		0x7831,
		0xb367
		},
		{
		0x7832,
		0xb368
		},
		{
		0x7833,
		0xb369
		},
		{
		0x7835,
		0xb36a
		},
		{
		0x7836,
		0xb36b
		},
		{
		0x783d,
		0xb36c
		},
		{
		0x783f,
		0xb36d
		},
		{
		0x7841,
		0xb36e
		},
		{
		0x7842,
		0xb36f
		},
		{
		0x7843,
		0xb370
		},
		{
		0x7844,
		0xb371
		},
		{
		0x7846,
		0xb372
		},
		{
		0x7848,
		0xb373
		},
		{
		0x7849,
		0xb374
		},
		{
		0x784a,
		0xb375
		},
		{
		0x784b,
		0xb376
		},
		{
		0x784d,
		0xb377
		},
		{
		0x784f,
		0xb378
		},
		{
		0x7851,
		0xb379
		},
		{
		0x7853,
		0xb37a
		},
		{
		0x7854,
		0xb37b
		},
		{
		0x7858,
		0xb37c
		},
		{
		0x7859,
		0xb37d
		},
		{
		0x785a,
		0xb37e
		},
		{
		0x785b,
		0xb380
		},
		{
		0x785c,
		0xb381
		},
		{
		0x785e,
		0xb382
		},
		{
		0x785f,
		0xb383
		},
		{
		0x7860,
		0xb384
		},
		{
		0x7861,
		0xb385
		},
		{
		0x7862,
		0xb386
		},
		{
		0x7863,
		0xb387
		},
		{
		0x7864,
		0xb388
		},
		{
		0x7865,
		0xb389
		},
		{
		0x7866,
		0xb38a
		},
		{
		0x7867,
		0xb38b
		},
		{
		0x7868,
		0xb38c
		},
		{
		0x7869,
		0xb38d
		},
		{
		0x786f,
		0xb38e
		},
		{
		0x7870,
		0xb38f
		},
		{
		0x7871,
		0xb390
		},
		{
		0x7872,
		0xb391
		},
		{
		0x7873,
		0xb392
		},
		{
		0x7874,
		0xb393
		},
		{
		0x7875,
		0xb394
		},
		{
		0x7876,
		0xb395
		},
		{
		0x7878,
		0xb396
		},
		{
		0x7879,
		0xb397
		},
		{
		0x787a,
		0xb398
		},
		{
		0x787b,
		0xb399
		},
		{
		0x787d,
		0xb39a
		},
		{
		0x787e,
		0xb39b
		},
		{
		0x787f,
		0xb39c
		},
		{
		0x7880,
		0xb39d
		},
		{
		0x7881,
		0xb39e
		},
		{
		0x7882,
		0xb39f
		},
		{
		0x7883,
		0xb3a0
		},
		{
		0x7884,
		0xb440
		},
		{
		0x7885,
		0xb441
		},
		{
		0x7886,
		0xb442
		},
		{
		0x7888,
		0xb443
		},
		{
		0x788a,
		0xb444
		},
		{
		0x788b,
		0xb445
		},
		{
		0x788f,
		0xb446
		},
		{
		0x7890,
		0xb447
		},
		{
		0x7892,
		0xb448
		},
		{
		0x7894,
		0xb449
		},
		{
		0x7895,
		0xb44a
		},
		{
		0x7896,
		0xb44b
		},
		{
		0x7899,
		0xb44c
		},
		{
		0x789d,
		0xb44d
		},
		{
		0x789e,
		0xb44e
		},
		{
		0x78a0,
		0xb44f
		},
		{
		0x78a2,
		0xb450
		},
		{
		0x78a4,
		0xb451
		},
		{
		0x78a6,
		0xb452
		},
		{
		0x78a8,
		0xb453
		},
		{
		0x78a9,
		0xb454
		},
		{
		0x78aa,
		0xb455
		},
		{
		0x78ab,
		0xb456
		},
		{
		0x78ac,
		0xb457
		},
		{
		0x78ad,
		0xb458
		},
		{
		0x78ae,
		0xb459
		},
		{
		0x78af,
		0xb45a
		},
		{
		0x78b5,
		0xb45b
		},
		{
		0x78b6,
		0xb45c
		},
		{
		0x78b7,
		0xb45d
		},
		{
		0x78b8,
		0xb45e
		},
		{
		0x78ba,
		0xb45f
		},
		{
		0x78bb,
		0xb460
		},
		{
		0x78bc,
		0xb461
		},
		{
		0x78bd,
		0xb462
		},
		{
		0x78bf,
		0xb463
		},
		{
		0x78c0,
		0xb464
		},
		{
		0x78c2,
		0xb465
		},
		{
		0x78c3,
		0xb466
		},
		{
		0x78c4,
		0xb467
		},
		{
		0x78c6,
		0xb468
		},
		{
		0x78c7,
		0xb469
		},
		{
		0x78c8,
		0xb46a
		},
		{
		0x78cc,
		0xb46b
		},
		{
		0x78cd,
		0xb46c
		},
		{
		0x78ce,
		0xb46d
		},
		{
		0x78cf,
		0xb46e
		},
		{
		0x78d1,
		0xb46f
		},
		{
		0x78d2,
		0xb470
		},
		{
		0x78d3,
		0xb471
		},
		{
		0x78d6,
		0xb472
		},
		{
		0x78d7,
		0xb473
		},
		{
		0x78d8,
		0xb474
		},
		{
		0x78da,
		0xb475
		},
		{
		0x78db,
		0xb476
		},
		{
		0x78dc,
		0xb477
		},
		{
		0x78dd,
		0xb478
		},
		{
		0x78de,
		0xb479
		},
		{
		0x78df,
		0xb47a
		},
		{
		0x78e0,
		0xb47b
		},
		{
		0x78e1,
		0xb47c
		},
		{
		0x78e2,
		0xb47d
		},
		{
		0x78e3,
		0xb47e
		},
		{
		0x78e4,
		0xb480
		},
		{
		0x78e5,
		0xb481
		},
		{
		0x78e6,
		0xb482
		},
		{
		0x78e7,
		0xb483
		},
		{
		0x78e9,
		0xb484
		},
		{
		0x78ea,
		0xb485
		},
		{
		0x78eb,
		0xb486
		},
		{
		0x78ed,
		0xb487
		},
		{
		0x78ee,
		0xb488
		},
		{
		0x78ef,
		0xb489
		},
		{
		0x78f0,
		0xb48a
		},
		{
		0x78f1,
		0xb48b
		},
		{
		0x78f3,
		0xb48c
		},
		{
		0x78f5,
		0xb48d
		},
		{
		0x78f6,
		0xb48e
		},
		{
		0x78f8,
		0xb48f
		},
		{
		0x78f9,
		0xb490
		},
		{
		0x78fb,
		0xb491
		},
		{
		0x78fc,
		0xb492
		},
		{
		0x78fd,
		0xb493
		},
		{
		0x78fe,
		0xb494
		},
		{
		0x78ff,
		0xb495
		},
		{
		0x7900,
		0xb496
		},
		{
		0x7902,
		0xb497
		},
		{
		0x7903,
		0xb498
		},
		{
		0x7904,
		0xb499
		},
		{
		0x7906,
		0xb49a
		},
		{
		0x7907,
		0xb49b
		},
		{
		0x7908,
		0xb49c
		},
		{
		0x7909,
		0xb49d
		},
		{
		0x790a,
		0xb49e
		},
		{
		0x790b,
		0xb49f
		},
		{
		0x790c,
		0xb4a0
		},
		{
		0x790d,
		0xb540
		},
		{
		0x790e,
		0xb541
		},
		{
		0x790f,
		0xb542
		},
		{
		0x7910,
		0xb543
		},
		{
		0x7911,
		0xb544
		},
		{
		0x7912,
		0xb545
		},
		{
		0x7914,
		0xb546
		},
		{
		0x7915,
		0xb547
		},
		{
		0x7916,
		0xb548
		},
		{
		0x7917,
		0xb549
		},
		{
		0x7918,
		0xb54a
		},
		{
		0x7919,
		0xb54b
		},
		{
		0x791a,
		0xb54c
		},
		{
		0x791b,
		0xb54d
		},
		{
		0x791c,
		0xb54e
		},
		{
		0x791d,
		0xb54f
		},
		{
		0x791f,
		0xb550
		},
		{
		0x7920,
		0xb551
		},
		{
		0x7921,
		0xb552
		},
		{
		0x7922,
		0xb553
		},
		{
		0x7923,
		0xb554
		},
		{
		0x7925,
		0xb555
		},
		{
		0x7926,
		0xb556
		},
		{
		0x7927,
		0xb557
		},
		{
		0x7928,
		0xb558
		},
		{
		0x7929,
		0xb559
		},
		{
		0x792a,
		0xb55a
		},
		{
		0x792b,
		0xb55b
		},
		{
		0x792c,
		0xb55c
		},
		{
		0x792d,
		0xb55d
		},
		{
		0x792e,
		0xb55e
		},
		{
		0x792f,
		0xb55f
		},
		{
		0x7930,
		0xb560
		},
		{
		0x7931,
		0xb561
		},
		{
		0x7932,
		0xb562
		},
		{
		0x7933,
		0xb563
		},
		{
		0x7935,
		0xb564
		},
		{
		0x7936,
		0xb565
		},
		{
		0x7937,
		0xb566
		},
		{
		0x7938,
		0xb567
		},
		{
		0x7939,
		0xb568
		},
		{
		0x793d,
		0xb569
		},
		{
		0x793f,
		0xb56a
		},
		{
		0x7942,
		0xb56b
		},
		{
		0x7943,
		0xb56c
		},
		{
		0x7944,
		0xb56d
		},
		{
		0x7945,
		0xb56e
		},
		{
		0x7947,
		0xb56f
		},
		{
		0x794a,
		0xb570
		},
		{
		0x794b,
		0xb571
		},
		{
		0x794c,
		0xb572
		},
		{
		0x794d,
		0xb573
		},
		{
		0x794e,
		0xb574
		},
		{
		0x794f,
		0xb575
		},
		{
		0x7950,
		0xb576
		},
		{
		0x7951,
		0xb577
		},
		{
		0x7952,
		0xb578
		},
		{
		0x7954,
		0xb579
		},
		{
		0x7955,
		0xb57a
		},
		{
		0x7958,
		0xb57b
		},
		{
		0x7959,
		0xb57c
		},
		{
		0x7961,
		0xb57d
		},
		{
		0x7963,
		0xb57e
		},
		{
		0x7964,
		0xb580
		},
		{
		0x7966,
		0xb581
		},
		{
		0x7969,
		0xb582
		},
		{
		0x796a,
		0xb583
		},
		{
		0x796b,
		0xb584
		},
		{
		0x796c,
		0xb585
		},
		{
		0x796e,
		0xb586
		},
		{
		0x7970,
		0xb587
		},
		{
		0x7971,
		0xb588
		},
		{
		0x7972,
		0xb589
		},
		{
		0x7973,
		0xb58a
		},
		{
		0x7974,
		0xb58b
		},
		{
		0x7975,
		0xb58c
		},
		{
		0x7976,
		0xb58d
		},
		{
		0x7979,
		0xb58e
		},
		{
		0x797b,
		0xb58f
		},
		{
		0x797c,
		0xb590
		},
		{
		0x797d,
		0xb591
		},
		{
		0x797e,
		0xb592
		},
		{
		0x797f,
		0xb593
		},
		{
		0x7982,
		0xb594
		},
		{
		0x7983,
		0xb595
		},
		{
		0x7986,
		0xb596
		},
		{
		0x7987,
		0xb597
		},
		{
		0x7988,
		0xb598
		},
		{
		0x7989,
		0xb599
		},
		{
		0x798b,
		0xb59a
		},
		{
		0x798c,
		0xb59b
		},
		{
		0x798d,
		0xb59c
		},
		{
		0x798e,
		0xb59d
		},
		{
		0x7990,
		0xb59e
		},
		{
		0x7991,
		0xb59f
		},
		{
		0x7992,
		0xb5a0
		},
		{
		0x7993,
		0xb640
		},
		{
		0x7994,
		0xb641
		},
		{
		0x7995,
		0xb642
		},
		{
		0x7996,
		0xb643
		},
		{
		0x7997,
		0xb644
		},
		{
		0x7998,
		0xb645
		},
		{
		0x7999,
		0xb646
		},
		{
		0x799b,
		0xb647
		},
		{
		0x799c,
		0xb648
		},
		{
		0x799d,
		0xb649
		},
		{
		0x799e,
		0xb64a
		},
		{
		0x799f,
		0xb64b
		},
		{
		0x79a0,
		0xb64c
		},
		{
		0x79a1,
		0xb64d
		},
		{
		0x79a2,
		0xb64e
		},
		{
		0x79a3,
		0xb64f
		},
		{
		0x79a4,
		0xb650
		},
		{
		0x79a5,
		0xb651
		},
		{
		0x79a6,
		0xb652
		},
		{
		0x79a8,
		0xb653
		},
		{
		0x79a9,
		0xb654
		},
		{
		0x79aa,
		0xb655
		},
		{
		0x79ab,
		0xb656
		},
		{
		0x79ac,
		0xb657
		},
		{
		0x79ad,
		0xb658
		},
		{
		0x79ae,
		0xb659
		},
		{
		0x79af,
		0xb65a
		},
		{
		0x79b0,
		0xb65b
		},
		{
		0x79b1,
		0xb65c
		},
		{
		0x79b2,
		0xb65d
		},
		{
		0x79b4,
		0xb65e
		},
		{
		0x79b5,
		0xb65f
		},
		{
		0x79b6,
		0xb660
		},
		{
		0x79b7,
		0xb661
		},
		{
		0x79b8,
		0xb662
		},
		{
		0x79bc,
		0xb663
		},
		{
		0x79bf,
		0xb664
		},
		{
		0x79c2,
		0xb665
		},
		{
		0x79c4,
		0xb666
		},
		{
		0x79c5,
		0xb667
		},
		{
		0x79c7,
		0xb668
		},
		{
		0x79c8,
		0xb669
		},
		{
		0x79ca,
		0xb66a
		},
		{
		0x79cc,
		0xb66b
		},
		{
		0x79ce,
		0xb66c
		},
		{
		0x79cf,
		0xb66d
		},
		{
		0x79d0,
		0xb66e
		},
		{
		0x79d3,
		0xb66f
		},
		{
		0x79d4,
		0xb670
		},
		{
		0x79d6,
		0xb671
		},
		{
		0x79d7,
		0xb672
		},
		{
		0x79d9,
		0xb673
		},
		{
		0x79da,
		0xb674
		},
		{
		0x79db,
		0xb675
		},
		{
		0x79dc,
		0xb676
		},
		{
		0x79dd,
		0xb677
		},
		{
		0x79de,
		0xb678
		},
		{
		0x79e0,
		0xb679
		},
		{
		0x79e1,
		0xb67a
		},
		{
		0x79e2,
		0xb67b
		},
		{
		0x79e5,
		0xb67c
		},
		{
		0x79e8,
		0xb67d
		},
		{
		0x79ea,
		0xb67e
		},
		{
		0x79ec,
		0xb680
		},
		{
		0x79ee,
		0xb681
		},
		{
		0x79f1,
		0xb682
		},
		{
		0x79f2,
		0xb683
		},
		{
		0x79f3,
		0xb684
		},
		{
		0x79f4,
		0xb685
		},
		{
		0x79f5,
		0xb686
		},
		{
		0x79f6,
		0xb687
		},
		{
		0x79f7,
		0xb688
		},
		{
		0x79f9,
		0xb689
		},
		{
		0x79fa,
		0xb68a
		},
		{
		0x79fc,
		0xb68b
		},
		{
		0x79fe,
		0xb68c
		},
		{
		0x79ff,
		0xb68d
		},
		{
		0x7a01,
		0xb68e
		},
		{
		0x7a04,
		0xb68f
		},
		{
		0x7a05,
		0xb690
		},
		{
		0x7a07,
		0xb691
		},
		{
		0x7a08,
		0xb692
		},
		{
		0x7a09,
		0xb693
		},
		{
		0x7a0a,
		0xb694
		},
		{
		0x7a0c,
		0xb695
		},
		{
		0x7a0f,
		0xb696
		},
		{
		0x7a10,
		0xb697
		},
		{
		0x7a11,
		0xb698
		},
		{
		0x7a12,
		0xb699
		},
		{
		0x7a13,
		0xb69a
		},
		{
		0x7a15,
		0xb69b
		},
		{
		0x7a16,
		0xb69c
		},
		{
		0x7a18,
		0xb69d
		},
		{
		0x7a19,
		0xb69e
		},
		{
		0x7a1b,
		0xb69f
		},
		{
		0x7a1c,
		0xb6a0
		},
		{
		0x7a1d,
		0xb740
		},
		{
		0x7a1f,
		0xb741
		},
		{
		0x7a21,
		0xb742
		},
		{
		0x7a22,
		0xb743
		},
		{
		0x7a24,
		0xb744
		},
		{
		0x7a25,
		0xb745
		},
		{
		0x7a26,
		0xb746
		},
		{
		0x7a27,
		0xb747
		},
		{
		0x7a28,
		0xb748
		},
		{
		0x7a29,
		0xb749
		},
		{
		0x7a2a,
		0xb74a
		},
		{
		0x7a2b,
		0xb74b
		},
		{
		0x7a2c,
		0xb74c
		},
		{
		0x7a2d,
		0xb74d
		},
		{
		0x7a2e,
		0xb74e
		},
		{
		0x7a2f,
		0xb74f
		},
		{
		0x7a30,
		0xb750
		},
		{
		0x7a31,
		0xb751
		},
		{
		0x7a32,
		0xb752
		},
		{
		0x7a34,
		0xb753
		},
		{
		0x7a35,
		0xb754
		},
		{
		0x7a36,
		0xb755
		},
		{
		0x7a38,
		0xb756
		},
		{
		0x7a3a,
		0xb757
		},
		{
		0x7a3e,
		0xb758
		},
		{
		0x7a40,
		0xb759
		},
		{
		0x7a41,
		0xb75a
		},
		{
		0x7a42,
		0xb75b
		},
		{
		0x7a43,
		0xb75c
		},
		{
		0x7a44,
		0xb75d
		},
		{
		0x7a45,
		0xb75e
		},
		{
		0x7a47,
		0xb75f
		},
		{
		0x7a48,
		0xb760
		},
		{
		0x7a49,
		0xb761
		},
		{
		0x7a4a,
		0xb762
		},
		{
		0x7a4b,
		0xb763
		},
		{
		0x7a4c,
		0xb764
		},
		{
		0x7a4d,
		0xb765
		},
		{
		0x7a4e,
		0xb766
		},
		{
		0x7a4f,
		0xb767
		},
		{
		0x7a50,
		0xb768
		},
		{
		0x7a52,
		0xb769
		},
		{
		0x7a53,
		0xb76a
		},
		{
		0x7a54,
		0xb76b
		},
		{
		0x7a55,
		0xb76c
		},
		{
		0x7a56,
		0xb76d
		},
		{
		0x7a58,
		0xb76e
		},
		{
		0x7a59,
		0xb76f
		},
		{
		0x7a5a,
		0xb770
		},
		{
		0x7a5b,
		0xb771
		},
		{
		0x7a5c,
		0xb772
		},
		{
		0x7a5d,
		0xb773
		},
		{
		0x7a5e,
		0xb774
		},
		{
		0x7a5f,
		0xb775
		},
		{
		0x7a60,
		0xb776
		},
		{
		0x7a61,
		0xb777
		},
		{
		0x7a62,
		0xb778
		},
		{
		0x7a63,
		0xb779
		},
		{
		0x7a64,
		0xb77a
		},
		{
		0x7a65,
		0xb77b
		},
		{
		0x7a66,
		0xb77c
		},
		{
		0x7a67,
		0xb77d
		},
		{
		0x7a68,
		0xb77e
		},
		{
		0x7a69,
		0xb780
		},
		{
		0x7a6a,
		0xb781
		},
		{
		0x7a6b,
		0xb782
		},
		{
		0x7a6c,
		0xb783
		},
		{
		0x7a6d,
		0xb784
		},
		{
		0x7a6e,
		0xb785
		},
		{
		0x7a6f,
		0xb786
		},
		{
		0x7a71,
		0xb787
		},
		{
		0x7a72,
		0xb788
		},
		{
		0x7a73,
		0xb789
		},
		{
		0x7a75,
		0xb78a
		},
		{
		0x7a7b,
		0xb78b
		},
		{
		0x7a7c,
		0xb78c
		},
		{
		0x7a7d,
		0xb78d
		},
		{
		0x7a7e,
		0xb78e
		},
		{
		0x7a82,
		0xb78f
		},
		{
		0x7a85,
		0xb790
		},
		{
		0x7a87,
		0xb791
		},
		{
		0x7a89,
		0xb792
		},
		{
		0x7a8a,
		0xb793
		},
		{
		0x7a8b,
		0xb794
		},
		{
		0x7a8c,
		0xb795
		},
		{
		0x7a8e,
		0xb796
		},
		{
		0x7a8f,
		0xb797
		},
		{
		0x7a90,
		0xb798
		},
		{
		0x7a93,
		0xb799
		},
		{
		0x7a94,
		0xb79a
		},
		{
		0x7a99,
		0xb79b
		},
		{
		0x7a9a,
		0xb79c
		},
		{
		0x7a9b,
		0xb79d
		},
		{
		0x7a9e,
		0xb79e
		},
		{
		0x7aa1,
		0xb79f
		},
		{
		0x7aa2,
		0xb7a0
		},
		{
		0x7aa3,
		0xb840
		},
		{
		0x7aa4,
		0xb841
		},
		{
		0x7aa7,
		0xb842
		},
		{
		0x7aa9,
		0xb843
		},
		{
		0x7aaa,
		0xb844
		},
		{
		0x7aab,
		0xb845
		},
		{
		0x7aae,
		0xb846
		},
		{
		0x7aaf,
		0xb847
		},
		{
		0x7ab0,
		0xb848
		},
		{
		0x7ab1,
		0xb849
		},
		{
		0x7ab2,
		0xb84a
		},
		{
		0x7ab4,
		0xb84b
		},
		{
		0x7ab5,
		0xb84c
		},
		{
		0x7ab6,
		0xb84d
		},
		{
		0x7ab7,
		0xb84e
		},
		{
		0x7ab8,
		0xb84f
		},
		{
		0x7ab9,
		0xb850
		},
		{
		0x7aba,
		0xb851
		},
		{
		0x7abb,
		0xb852
		},
		{
		0x7abc,
		0xb853
		},
		{
		0x7abd,
		0xb854
		},
		{
		0x7abe,
		0xb855
		},
		{
		0x7ac0,
		0xb856
		},
		{
		0x7ac1,
		0xb857
		},
		{
		0x7ac2,
		0xb858
		},
		{
		0x7ac3,
		0xb859
		},
		{
		0x7ac4,
		0xb85a
		},
		{
		0x7ac5,
		0xb85b
		},
		{
		0x7ac6,
		0xb85c
		},
		{
		0x7ac7,
		0xb85d
		},
		{
		0x7ac8,
		0xb85e
		},
		{
		0x7ac9,
		0xb85f
		},
		{
		0x7aca,
		0xb860
		},
		{
		0x7acc,
		0xb861
		},
		{
		0x7acd,
		0xb862
		},
		{
		0x7ace,
		0xb863
		},
		{
		0x7acf,
		0xb864
		},
		{
		0x7ad0,
		0xb865
		},
		{
		0x7ad1,
		0xb866
		},
		{
		0x7ad2,
		0xb867
		},
		{
		0x7ad3,
		0xb868
		},
		{
		0x7ad4,
		0xb869
		},
		{
		0x7ad5,
		0xb86a
		},
		{
		0x7ad7,
		0xb86b
		},
		{
		0x7ad8,
		0xb86c
		},
		{
		0x7ada,
		0xb86d
		},
		{
		0x7adb,
		0xb86e
		},
		{
		0x7adc,
		0xb86f
		},
		{
		0x7add,
		0xb870
		},
		{
		0x7ae1,
		0xb871
		},
		{
		0x7ae2,
		0xb872
		},
		{
		0x7ae4,
		0xb873
		},
		{
		0x7ae7,
		0xb874
		},
		{
		0x7ae8,
		0xb875
		},
		{
		0x7ae9,
		0xb876
		},
		{
		0x7aea,
		0xb877
		},
		{
		0x7aeb,
		0xb878
		},
		{
		0x7aec,
		0xb879
		},
		{
		0x7aee,
		0xb87a
		},
		{
		0x7af0,
		0xb87b
		},
		{
		0x7af1,
		0xb87c
		},
		{
		0x7af2,
		0xb87d
		},
		{
		0x7af3,
		0xb87e
		},
		{
		0x7af4,
		0xb880
		},
		{
		0x7af5,
		0xb881
		},
		{
		0x7af6,
		0xb882
		},
		{
		0x7af7,
		0xb883
		},
		{
		0x7af8,
		0xb884
		},
		{
		0x7afb,
		0xb885
		},
		{
		0x7afc,
		0xb886
		},
		{
		0x7afe,
		0xb887
		},
		{
		0x7b00,
		0xb888
		},
		{
		0x7b01,
		0xb889
		},
		{
		0x7b02,
		0xb88a
		},
		{
		0x7b05,
		0xb88b
		},
		{
		0x7b07,
		0xb88c
		},
		{
		0x7b09,
		0xb88d
		},
		{
		0x7b0c,
		0xb88e
		},
		{
		0x7b0d,
		0xb88f
		},
		{
		0x7b0e,
		0xb890
		},
		{
		0x7b10,
		0xb891
		},
		{
		0x7b12,
		0xb892
		},
		{
		0x7b13,
		0xb893
		},
		{
		0x7b16,
		0xb894
		},
		{
		0x7b17,
		0xb895
		},
		{
		0x7b18,
		0xb896
		},
		{
		0x7b1a,
		0xb897
		},
		{
		0x7b1c,
		0xb898
		},
		{
		0x7b1d,
		0xb899
		},
		{
		0x7b1f,
		0xb89a
		},
		{
		0x7b21,
		0xb89b
		},
		{
		0x7b22,
		0xb89c
		},
		{
		0x7b23,
		0xb89d
		},
		{
		0x7b27,
		0xb89e
		},
		{
		0x7b29,
		0xb89f
		},
		{
		0x7b2d,
		0xb8a0
		},
		{
		0x7b2f,
		0xb940
		},
		{
		0x7b30,
		0xb941
		},
		{
		0x7b32,
		0xb942
		},
		{
		0x7b34,
		0xb943
		},
		{
		0x7b35,
		0xb944
		},
		{
		0x7b36,
		0xb945
		},
		{
		0x7b37,
		0xb946
		},
		{
		0x7b39,
		0xb947
		},
		{
		0x7b3b,
		0xb948
		},
		{
		0x7b3d,
		0xb949
		},
		{
		0x7b3f,
		0xb94a
		},
		{
		0x7b40,
		0xb94b
		},
		{
		0x7b41,
		0xb94c
		},
		{
		0x7b42,
		0xb94d
		},
		{
		0x7b43,
		0xb94e
		},
		{
		0x7b44,
		0xb94f
		},
		{
		0x7b46,
		0xb950
		},
		{
		0x7b48,
		0xb951
		},
		{
		0x7b4a,
		0xb952
		},
		{
		0x7b4d,
		0xb953
		},
		{
		0x7b4e,
		0xb954
		},
		{
		0x7b53,
		0xb955
		},
		{
		0x7b55,
		0xb956
		},
		{
		0x7b57,
		0xb957
		},
		{
		0x7b59,
		0xb958
		},
		{
		0x7b5c,
		0xb959
		},
		{
		0x7b5e,
		0xb95a
		},
		{
		0x7b5f,
		0xb95b
		},
		{
		0x7b61,
		0xb95c
		},
		{
		0x7b63,
		0xb95d
		},
		{
		0x7b64,
		0xb95e
		},
		{
		0x7b65,
		0xb95f
		},
		{
		0x7b66,
		0xb960
		},
		{
		0x7b67,
		0xb961
		},
		{
		0x7b68,
		0xb962
		},
		{
		0x7b69,
		0xb963
		},
		{
		0x7b6a,
		0xb964
		},
		{
		0x7b6b,
		0xb965
		},
		{
		0x7b6c,
		0xb966
		},
		{
		0x7b6d,
		0xb967
		},
		{
		0x7b6f,
		0xb968
		},
		{
		0x7b70,
		0xb969
		},
		{
		0x7b73,
		0xb96a
		},
		{
		0x7b74,
		0xb96b
		},
		{
		0x7b76,
		0xb96c
		},
		{
		0x7b78,
		0xb96d
		},
		{
		0x7b7a,
		0xb96e
		},
		{
		0x7b7c,
		0xb96f
		},
		{
		0x7b7d,
		0xb970
		},
		{
		0x7b7f,
		0xb971
		},
		{
		0x7b81,
		0xb972
		},
		{
		0x7b82,
		0xb973
		},
		{
		0x7b83,
		0xb974
		},
		{
		0x7b84,
		0xb975
		},
		{
		0x7b86,
		0xb976
		},
		{
		0x7b87,
		0xb977
		},
		{
		0x7b88,
		0xb978
		},
		{
		0x7b89,
		0xb979
		},
		{
		0x7b8a,
		0xb97a
		},
		{
		0x7b8b,
		0xb97b
		},
		{
		0x7b8c,
		0xb97c
		},
		{
		0x7b8e,
		0xb97d
		},
		{
		0x7b8f,
		0xb97e
		},
		{
		0x7b91,
		0xb980
		},
		{
		0x7b92,
		0xb981
		},
		{
		0x7b93,
		0xb982
		},
		{
		0x7b96,
		0xb983
		},
		{
		0x7b98,
		0xb984
		},
		{
		0x7b99,
		0xb985
		},
		{
		0x7b9a,
		0xb986
		},
		{
		0x7b9b,
		0xb987
		},
		{
		0x7b9e,
		0xb988
		},
		{
		0x7b9f,
		0xb989
		},
		{
		0x7ba0,
		0xb98a
		},
		{
		0x7ba3,
		0xb98b
		},
		{
		0x7ba4,
		0xb98c
		},
		{
		0x7ba5,
		0xb98d
		},
		{
		0x7bae,
		0xb98e
		},
		{
		0x7baf,
		0xb98f
		},
		{
		0x7bb0,
		0xb990
		},
		{
		0x7bb2,
		0xb991
		},
		{
		0x7bb3,
		0xb992
		},
		{
		0x7bb5,
		0xb993
		},
		{
		0x7bb6,
		0xb994
		},
		{
		0x7bb7,
		0xb995
		},
		{
		0x7bb9,
		0xb996
		},
		{
		0x7bba,
		0xb997
		},
		{
		0x7bbb,
		0xb998
		},
		{
		0x7bbc,
		0xb999
		},
		{
		0x7bbd,
		0xb99a
		},
		{
		0x7bbe,
		0xb99b
		},
		{
		0x7bbf,
		0xb99c
		},
		{
		0x7bc0,
		0xb99d
		},
		{
		0x7bc2,
		0xb99e
		},
		{
		0x7bc3,
		0xb99f
		},
		{
		0x7bc4,
		0xb9a0
		},
		{
		0x7bc5,
		0xba40
		},
		{
		0x7bc8,
		0xba41
		},
		{
		0x7bc9,
		0xba42
		},
		{
		0x7bca,
		0xba43
		},
		{
		0x7bcb,
		0xba44
		},
		{
		0x7bcd,
		0xba45
		},
		{
		0x7bce,
		0xba46
		},
		{
		0x7bcf,
		0xba47
		},
		{
		0x7bd0,
		0xba48
		},
		{
		0x7bd2,
		0xba49
		},
		{
		0x7bd4,
		0xba4a
		},
		{
		0x7bd5,
		0xba4b
		},
		{
		0x7bd6,
		0xba4c
		},
		{
		0x7bd7,
		0xba4d
		},
		{
		0x7bd8,
		0xba4e
		},
		{
		0x7bdb,
		0xba4f
		},
		{
		0x7bdc,
		0xba50
		},
		{
		0x7bde,
		0xba51
		},
		{
		0x7bdf,
		0xba52
		},
		{
		0x7be0,
		0xba53
		},
		{
		0x7be2,
		0xba54
		},
		{
		0x7be3,
		0xba55
		},
		{
		0x7be4,
		0xba56
		},
		{
		0x7be7,
		0xba57
		},
		{
		0x7be8,
		0xba58
		},
		{
		0x7be9,
		0xba59
		},
		{
		0x7beb,
		0xba5a
		},
		{
		0x7bec,
		0xba5b
		},
		{
		0x7bed,
		0xba5c
		},
		{
		0x7bef,
		0xba5d
		},
		{
		0x7bf0,
		0xba5e
		},
		{
		0x7bf2,
		0xba5f
		},
		{
		0x7bf3,
		0xba60
		},
		{
		0x7bf4,
		0xba61
		},
		{
		0x7bf5,
		0xba62
		},
		{
		0x7bf6,
		0xba63
		},
		{
		0x7bf8,
		0xba64
		},
		{
		0x7bf9,
		0xba65
		},
		{
		0x7bfa,
		0xba66
		},
		{
		0x7bfb,
		0xba67
		},
		{
		0x7bfd,
		0xba68
		},
		{
		0x7bff,
		0xba69
		},
		{
		0x7c00,
		0xba6a
		},
		{
		0x7c01,
		0xba6b
		},
		{
		0x7c02,
		0xba6c
		},
		{
		0x7c03,
		0xba6d
		},
		{
		0x7c04,
		0xba6e
		},
		{
		0x7c05,
		0xba6f
		},
		{
		0x7c06,
		0xba70
		},
		{
		0x7c08,
		0xba71
		},
		{
		0x7c09,
		0xba72
		},
		{
		0x7c0a,
		0xba73
		},
		{
		0x7c0d,
		0xba74
		},
		{
		0x7c0e,
		0xba75
		},
		{
		0x7c10,
		0xba76
		},
		{
		0x7c11,
		0xba77
		},
		{
		0x7c12,
		0xba78
		},
		{
		0x7c13,
		0xba79
		},
		{
		0x7c14,
		0xba7a
		},
		{
		0x7c15,
		0xba7b
		},
		{
		0x7c17,
		0xba7c
		},
		{
		0x7c18,
		0xba7d
		},
		{
		0x7c19,
		0xba7e
		},
		{
		0x7c1a,
		0xba80
		},
		{
		0x7c1b,
		0xba81
		},
		{
		0x7c1c,
		0xba82
		},
		{
		0x7c1d,
		0xba83
		},
		{
		0x7c1e,
		0xba84
		},
		{
		0x7c20,
		0xba85
		},
		{
		0x7c21,
		0xba86
		},
		{
		0x7c22,
		0xba87
		},
		{
		0x7c23,
		0xba88
		},
		{
		0x7c24,
		0xba89
		},
		{
		0x7c25,
		0xba8a
		},
		{
		0x7c28,
		0xba8b
		},
		{
		0x7c29,
		0xba8c
		},
		{
		0x7c2b,
		0xba8d
		},
		{
		0x7c2c,
		0xba8e
		},
		{
		0x7c2d,
		0xba8f
		},
		{
		0x7c2e,
		0xba90
		},
		{
		0x7c2f,
		0xba91
		},
		{
		0x7c30,
		0xba92
		},
		{
		0x7c31,
		0xba93
		},
		{
		0x7c32,
		0xba94
		},
		{
		0x7c33,
		0xba95
		},
		{
		0x7c34,
		0xba96
		},
		{
		0x7c35,
		0xba97
		},
		{
		0x7c36,
		0xba98
		},
		{
		0x7c37,
		0xba99
		},
		{
		0x7c39,
		0xba9a
		},
		{
		0x7c3a,
		0xba9b
		},
		{
		0x7c3b,
		0xba9c
		},
		{
		0x7c3c,
		0xba9d
		},
		{
		0x7c3d,
		0xba9e
		},
		{
		0x7c3e,
		0xba9f
		},
		{
		0x7c42,
		0xbaa0
		},
		{
		0x7c43,
		0xbb40
		},
		{
		0x7c44,
		0xbb41
		},
		{
		0x7c45,
		0xbb42
		},
		{
		0x7c46,
		0xbb43
		},
		{
		0x7c47,
		0xbb44
		},
		{
		0x7c48,
		0xbb45
		},
		{
		0x7c49,
		0xbb46
		},
		{
		0x7c4a,
		0xbb47
		},
		{
		0x7c4b,
		0xbb48
		},
		{
		0x7c4c,
		0xbb49
		},
		{
		0x7c4e,
		0xbb4a
		},
		{
		0x7c4f,
		0xbb4b
		},
		{
		0x7c50,
		0xbb4c
		},
		{
		0x7c51,
		0xbb4d
		},
		{
		0x7c52,
		0xbb4e
		},
		{
		0x7c53,
		0xbb4f
		},
		{
		0x7c54,
		0xbb50
		},
		{
		0x7c55,
		0xbb51
		},
		{
		0x7c56,
		0xbb52
		},
		{
		0x7c57,
		0xbb53
		},
		{
		0x7c58,
		0xbb54
		},
		{
		0x7c59,
		0xbb55
		},
		{
		0x7c5a,
		0xbb56
		},
		{
		0x7c5b,
		0xbb57
		},
		{
		0x7c5c,
		0xbb58
		},
		{
		0x7c5d,
		0xbb59
		},
		{
		0x7c5e,
		0xbb5a
		},
		{
		0x7c5f,
		0xbb5b
		},
		{
		0x7c60,
		0xbb5c
		},
		{
		0x7c61,
		0xbb5d
		},
		{
		0x7c62,
		0xbb5e
		},
		{
		0x7c63,
		0xbb5f
		},
		{
		0x7c64,
		0xbb60
		},
		{
		0x7c65,
		0xbb61
		},
		{
		0x7c66,
		0xbb62
		},
		{
		0x7c67,
		0xbb63
		},
		{
		0x7c68,
		0xbb64
		},
		{
		0x7c69,
		0xbb65
		},
		{
		0x7c6a,
		0xbb66
		},
		{
		0x7c6b,
		0xbb67
		},
		{
		0x7c6c,
		0xbb68
		},
		{
		0x7c6d,
		0xbb69
		},
		{
		0x7c6e,
		0xbb6a
		},
		{
		0x7c6f,
		0xbb6b
		},
		{
		0x7c70,
		0xbb6c
		},
		{
		0x7c71,
		0xbb6d
		},
		{
		0x7c72,
		0xbb6e
		},
		{
		0x7c75,
		0xbb6f
		},
		{
		0x7c76,
		0xbb70
		},
		{
		0x7c77,
		0xbb71
		},
		{
		0x7c78,
		0xbb72
		},
		{
		0x7c79,
		0xbb73
		},
		{
		0x7c7a,
		0xbb74
		},
		{
		0x7c7e,
		0xbb75
		},
		{
		0x7c7f,
		0xbb76
		},
		{
		0x7c80,
		0xbb77
		},
		{
		0x7c81,
		0xbb78
		},
		{
		0x7c82,
		0xbb79
		},
		{
		0x7c83,
		0xbb7a
		},
		{
		0x7c84,
		0xbb7b
		},
		{
		0x7c85,
		0xbb7c
		},
		{
		0x7c86,
		0xbb7d
		},
		{
		0x7c87,
		0xbb7e
		},
		{
		0x7c88,
		0xbb80
		},
		{
		0x7c8a,
		0xbb81
		},
		{
		0x7c8b,
		0xbb82
		},
		{
		0x7c8c,
		0xbb83
		},
		{
		0x7c8d,
		0xbb84
		},
		{
		0x7c8e,
		0xbb85
		},
		{
		0x7c8f,
		0xbb86
		},
		{
		0x7c90,
		0xbb87
		},
		{
		0x7c93,
		0xbb88
		},
		{
		0x7c94,
		0xbb89
		},
		{
		0x7c96,
		0xbb8a
		},
		{
		0x7c99,
		0xbb8b
		},
		{
		0x7c9a,
		0xbb8c
		},
		{
		0x7c9b,
		0xbb8d
		},
		{
		0x7ca0,
		0xbb8e
		},
		{
		0x7ca1,
		0xbb8f
		},
		{
		0x7ca3,
		0xbb90
		},
		{
		0x7ca6,
		0xbb91
		},
		{
		0x7ca7,
		0xbb92
		},
		{
		0x7ca8,
		0xbb93
		},
		{
		0x7ca9,
		0xbb94
		},
		{
		0x7cab,
		0xbb95
		},
		{
		0x7cac,
		0xbb96
		},
		{
		0x7cad,
		0xbb97
		},
		{
		0x7caf,
		0xbb98
		},
		{
		0x7cb0,
		0xbb99
		},
		{
		0x7cb4,
		0xbb9a
		},
		{
		0x7cb5,
		0xbb9b
		},
		{
		0x7cb6,
		0xbb9c
		},
		{
		0x7cb7,
		0xbb9d
		},
		{
		0x7cb8,
		0xbb9e
		},
		{
		0x7cba,
		0xbb9f
		},
		{
		0x7cbb,
		0xbba0
		},
		{
		0x7cbf,
		0xbc40
		},
		{
		0x7cc0,
		0xbc41
		},
		{
		0x7cc2,
		0xbc42
		},
		{
		0x7cc3,
		0xbc43
		},
		{
		0x7cc4,
		0xbc44
		},
		{
		0x7cc6,
		0xbc45
		},
		{
		0x7cc9,
		0xbc46
		},
		{
		0x7ccb,
		0xbc47
		},
		{
		0x7cce,
		0xbc48
		},
		{
		0x7ccf,
		0xbc49
		},
		{
		0x7cd0,
		0xbc4a
		},
		{
		0x7cd1,
		0xbc4b
		},
		{
		0x7cd2,
		0xbc4c
		},
		{
		0x7cd3,
		0xbc4d
		},
		{
		0x7cd4,
		0xbc4e
		},
		{
		0x7cd8,
		0xbc4f
		},
		{
		0x7cda,
		0xbc50
		},
		{
		0x7cdb,
		0xbc51
		},
		{
		0x7cdd,
		0xbc52
		},
		{
		0x7cde,
		0xbc53
		},
		{
		0x7ce1,
		0xbc54
		},
		{
		0x7ce2,
		0xbc55
		},
		{
		0x7ce3,
		0xbc56
		},
		{
		0x7ce4,
		0xbc57
		},
		{
		0x7ce5,
		0xbc58
		},
		{
		0x7ce6,
		0xbc59
		},
		{
		0x7ce7,
		0xbc5a
		},
		{
		0x7ce9,
		0xbc5b
		},
		{
		0x7cea,
		0xbc5c
		},
		{
		0x7ceb,
		0xbc5d
		},
		{
		0x7cec,
		0xbc5e
		},
		{
		0x7ced,
		0xbc5f
		},
		{
		0x7cee,
		0xbc60
		},
		{
		0x7cf0,
		0xbc61
		},
		{
		0x7cf1,
		0xbc62
		},
		{
		0x7cf2,
		0xbc63
		},
		{
		0x7cf3,
		0xbc64
		},
		{
		0x7cf4,
		0xbc65
		},
		{
		0x7cf5,
		0xbc66
		},
		{
		0x7cf6,
		0xbc67
		},
		{
		0x7cf7,
		0xbc68
		},
		{
		0x7cf9,
		0xbc69
		},
		{
		0x7cfa,
		0xbc6a
		},
		{
		0x7cfc,
		0xbc6b
		},
		{
		0x7cfd,
		0xbc6c
		},
		{
		0x7cfe,
		0xbc6d
		},
		{
		0x7cff,
		0xbc6e
		},
		{
		0x7d00,
		0xbc6f
		},
		{
		0x7d01,
		0xbc70
		},
		{
		0x7d02,
		0xbc71
		},
		{
		0x7d03,
		0xbc72
		},
		{
		0x7d04,
		0xbc73
		},
		{
		0x7d05,
		0xbc74
		},
		{
		0x7d06,
		0xbc75
		},
		{
		0x7d07,
		0xbc76
		},
		{
		0x7d08,
		0xbc77
		},
		{
		0x7d09,
		0xbc78
		},
		{
		0x7d0b,
		0xbc79
		},
		{
		0x7d0c,
		0xbc7a
		},
		{
		0x7d0d,
		0xbc7b
		},
		{
		0x7d0e,
		0xbc7c
		},
		{
		0x7d0f,
		0xbc7d
		},
		{
		0x7d10,
		0xbc7e
		},
		{
		0x7d11,
		0xbc80
		},
		{
		0x7d12,
		0xbc81
		},
		{
		0x7d13,
		0xbc82
		},
		{
		0x7d14,
		0xbc83
		},
		{
		0x7d15,
		0xbc84
		},
		{
		0x7d16,
		0xbc85
		},
		{
		0x7d17,
		0xbc86
		},
		{
		0x7d18,
		0xbc87
		},
		{
		0x7d19,
		0xbc88
		},
		{
		0x7d1a,
		0xbc89
		},
		{
		0x7d1b,
		0xbc8a
		},
		{
		0x7d1c,
		0xbc8b
		},
		{
		0x7d1d,
		0xbc8c
		},
		{
		0x7d1e,
		0xbc8d
		},
		{
		0x7d1f,
		0xbc8e
		},
		{
		0x7d21,
		0xbc8f
		},
		{
		0x7d23,
		0xbc90
		},
		{
		0x7d24,
		0xbc91
		},
		{
		0x7d25,
		0xbc92
		},
		{
		0x7d26,
		0xbc93
		},
		{
		0x7d28,
		0xbc94
		},
		{
		0x7d29,
		0xbc95
		},
		{
		0x7d2a,
		0xbc96
		},
		{
		0x7d2c,
		0xbc97
		},
		{
		0x7d2d,
		0xbc98
		},
		{
		0x7d2e,
		0xbc99
		},
		{
		0x7d30,
		0xbc9a
		},
		{
		0x7d31,
		0xbc9b
		},
		{
		0x7d32,
		0xbc9c
		},
		{
		0x7d33,
		0xbc9d
		},
		{
		0x7d34,
		0xbc9e
		},
		{
		0x7d35,
		0xbc9f
		},
		{
		0x7d36,
		0xbca0
		},
		{
		0x7d37,
		0xbd40
		},
		{
		0x7d38,
		0xbd41
		},
		{
		0x7d39,
		0xbd42
		},
		{
		0x7d3a,
		0xbd43
		},
		{
		0x7d3b,
		0xbd44
		},
		{
		0x7d3c,
		0xbd45
		},
		{
		0x7d3d,
		0xbd46
		},
		{
		0x7d3e,
		0xbd47
		},
		{
		0x7d3f,
		0xbd48
		},
		{
		0x7d40,
		0xbd49
		},
		{
		0x7d41,
		0xbd4a
		},
		{
		0x7d42,
		0xbd4b
		},
		{
		0x7d43,
		0xbd4c
		},
		{
		0x7d44,
		0xbd4d
		},
		{
		0x7d45,
		0xbd4e
		},
		{
		0x7d46,
		0xbd4f
		},
		{
		0x7d47,
		0xbd50
		},
		{
		0x7d48,
		0xbd51
		},
		{
		0x7d49,
		0xbd52
		},
		{
		0x7d4a,
		0xbd53
		},
		{
		0x7d4b,
		0xbd54
		},
		{
		0x7d4c,
		0xbd55
		},
		{
		0x7d4d,
		0xbd56
		},
		{
		0x7d4e,
		0xbd57
		},
		{
		0x7d4f,
		0xbd58
		},
		{
		0x7d50,
		0xbd59
		},
		{
		0x7d51,
		0xbd5a
		},
		{
		0x7d52,
		0xbd5b
		},
		{
		0x7d53,
		0xbd5c
		},
		{
		0x7d54,
		0xbd5d
		},
		{
		0x7d55,
		0xbd5e
		},
		{
		0x7d56,
		0xbd5f
		},
		{
		0x7d57,
		0xbd60
		},
		{
		0x7d58,
		0xbd61
		},
		{
		0x7d59,
		0xbd62
		},
		{
		0x7d5a,
		0xbd63
		},
		{
		0x7d5b,
		0xbd64
		},
		{
		0x7d5c,
		0xbd65
		},
		{
		0x7d5d,
		0xbd66
		},
		{
		0x7d5e,
		0xbd67
		},
		{
		0x7d5f,
		0xbd68
		},
		{
		0x7d60,
		0xbd69
		},
		{
		0x7d61,
		0xbd6a
		},
		{
		0x7d62,
		0xbd6b
		},
		{
		0x7d63,
		0xbd6c
		},
		{
		0x7d64,
		0xbd6d
		},
		{
		0x7d65,
		0xbd6e
		},
		{
		0x7d66,
		0xbd6f
		},
		{
		0x7d67,
		0xbd70
		},
		{
		0x7d68,
		0xbd71
		},
		{
		0x7d69,
		0xbd72
		},
		{
		0x7d6a,
		0xbd73
		},
		{
		0x7d6b,
		0xbd74
		},
		{
		0x7d6c,
		0xbd75
		},
		{
		0x7d6d,
		0xbd76
		},
		{
		0x7d6f,
		0xbd77
		},
		{
		0x7d70,
		0xbd78
		},
		{
		0x7d71,
		0xbd79
		},
		{
		0x7d72,
		0xbd7a
		},
		{
		0x7d73,
		0xbd7b
		},
		{
		0x7d74,
		0xbd7c
		},
		{
		0x7d75,
		0xbd7d
		},
		{
		0x7d76,
		0xbd7e
		},
		{
		0x7d78,
		0xbd80
		},
		{
		0x7d79,
		0xbd81
		},
		{
		0x7d7a,
		0xbd82
		},
		{
		0x7d7b,
		0xbd83
		},
		{
		0x7d7c,
		0xbd84
		},
		{
		0x7d7d,
		0xbd85
		},
		{
		0x7d7e,
		0xbd86
		},
		{
		0x7d7f,
		0xbd87
		},
		{
		0x7d80,
		0xbd88
		},
		{
		0x7d81,
		0xbd89
		},
		{
		0x7d82,
		0xbd8a
		},
		{
		0x7d83,
		0xbd8b
		},
		{
		0x7d84,
		0xbd8c
		},
		{
		0x7d85,
		0xbd8d
		},
		{
		0x7d86,
		0xbd8e
		},
		{
		0x7d87,
		0xbd8f
		},
		{
		0x7d88,
		0xbd90
		},
		{
		0x7d89,
		0xbd91
		},
		{
		0x7d8a,
		0xbd92
		},
		{
		0x7d8b,
		0xbd93
		},
		{
		0x7d8c,
		0xbd94
		},
		{
		0x7d8d,
		0xbd95
		},
		{
		0x7d8e,
		0xbd96
		},
		{
		0x7d8f,
		0xbd97
		},
		{
		0x7d90,
		0xbd98
		},
		{
		0x7d91,
		0xbd99
		},
		{
		0x7d92,
		0xbd9a
		},
		{
		0x7d93,
		0xbd9b
		},
		{
		0x7d94,
		0xbd9c
		},
		{
		0x7d95,
		0xbd9d
		},
		{
		0x7d96,
		0xbd9e
		},
		{
		0x7d97,
		0xbd9f
		},
		{
		0x7d98,
		0xbda0
		},
		{
		0x7d99,
		0xbe40
		},
		{
		0x7d9a,
		0xbe41
		},
		{
		0x7d9b,
		0xbe42
		},
		{
		0x7d9c,
		0xbe43
		},
		{
		0x7d9d,
		0xbe44
		},
		{
		0x7d9e,
		0xbe45
		},
		{
		0x7d9f,
		0xbe46
		},
		{
		0x7da0,
		0xbe47
		},
		{
		0x7da1,
		0xbe48
		},
		{
		0x7da2,
		0xbe49
		},
		{
		0x7da3,
		0xbe4a
		},
		{
		0x7da4,
		0xbe4b
		},
		{
		0x7da5,
		0xbe4c
		},
		{
		0x7da7,
		0xbe4d
		},
		{
		0x7da8,
		0xbe4e
		},
		{
		0x7da9,
		0xbe4f
		},
		{
		0x7daa,
		0xbe50
		},
		{
		0x7dab,
		0xbe51
		},
		{
		0x7dac,
		0xbe52
		},
		{
		0x7dad,
		0xbe53
		},
		{
		0x7daf,
		0xbe54
		},
		{
		0x7db0,
		0xbe55
		},
		{
		0x7db1,
		0xbe56
		},
		{
		0x7db2,
		0xbe57
		},
		{
		0x7db3,
		0xbe58
		},
		{
		0x7db4,
		0xbe59
		},
		{
		0x7db5,
		0xbe5a
		},
		{
		0x7db6,
		0xbe5b
		},
		{
		0x7db7,
		0xbe5c
		},
		{
		0x7db8,
		0xbe5d
		},
		{
		0x7db9,
		0xbe5e
		},
		{
		0x7dba,
		0xbe5f
		},
		{
		0x7dbb,
		0xbe60
		},
		{
		0x7dbc,
		0xbe61
		},
		{
		0x7dbd,
		0xbe62
		},
		{
		0x7dbe,
		0xbe63
		},
		{
		0x7dbf,
		0xbe64
		},
		{
		0x7dc0,
		0xbe65
		},
		{
		0x7dc1,
		0xbe66
		},
		{
		0x7dc2,
		0xbe67
		},
		{
		0x7dc3,
		0xbe68
		},
		{
		0x7dc4,
		0xbe69
		},
		{
		0x7dc5,
		0xbe6a
		},
		{
		0x7dc6,
		0xbe6b
		},
		{
		0x7dc7,
		0xbe6c
		},
		{
		0x7dc8,
		0xbe6d
		},
		{
		0x7dc9,
		0xbe6e
		},
		{
		0x7dca,
		0xbe6f
		},
		{
		0x7dcb,
		0xbe70
		},
		{
		0x7dcc,
		0xbe71
		},
		{
		0x7dcd,
		0xbe72
		},
		{
		0x7dce,
		0xbe73
		},
		{
		0x7dcf,
		0xbe74
		},
		{
		0x7dd0,
		0xbe75
		},
		{
		0x7dd1,
		0xbe76
		},
		{
		0x7dd2,
		0xbe77
		},
		{
		0x7dd3,
		0xbe78
		},
		{
		0x7dd4,
		0xbe79
		},
		{
		0x7dd5,
		0xbe7a
		},
		{
		0x7dd6,
		0xbe7b
		},
		{
		0x7dd7,
		0xbe7c
		},
		{
		0x7dd8,
		0xbe7d
		},
		{
		0x7dd9,
		0xbe7e
		},
		{
		0x7dda,
		0xbe80
		},
		{
		0x7ddb,
		0xbe81
		},
		{
		0x7ddc,
		0xbe82
		},
		{
		0x7ddd,
		0xbe83
		},
		{
		0x7dde,
		0xbe84
		},
		{
		0x7ddf,
		0xbe85
		},
		{
		0x7de0,
		0xbe86
		},
		{
		0x7de1,
		0xbe87
		},
		{
		0x7de2,
		0xbe88
		},
		{
		0x7de3,
		0xbe89
		},
		{
		0x7de4,
		0xbe8a
		},
		{
		0x7de5,
		0xbe8b
		},
		{
		0x7de6,
		0xbe8c
		},
		{
		0x7de7,
		0xbe8d
		},
		{
		0x7de8,
		0xbe8e
		},
		{
		0x7de9,
		0xbe8f
		},
		{
		0x7dea,
		0xbe90
		},
		{
		0x7deb,
		0xbe91
		},
		{
		0x7dec,
		0xbe92
		},
		{
		0x7ded,
		0xbe93
		},
		{
		0x7dee,
		0xbe94
		},
		{
		0x7def,
		0xbe95
		},
		{
		0x7df0,
		0xbe96
		},
		{
		0x7df1,
		0xbe97
		},
		{
		0x7df2,
		0xbe98
		},
		{
		0x7df3,
		0xbe99
		},
		{
		0x7df4,
		0xbe9a
		},
		{
		0x7df5,
		0xbe9b
		},
		{
		0x7df6,
		0xbe9c
		},
		{
		0x7df7,
		0xbe9d
		},
		{
		0x7df8,
		0xbe9e
		},
		{
		0x7df9,
		0xbe9f
		},
		{
		0x7dfa,
		0xbea0
		},
		{
		0x7dfb,
		0xbf40
		},
		{
		0x7dfc,
		0xbf41
		},
		{
		0x7dfd,
		0xbf42
		},
		{
		0x7dfe,
		0xbf43
		},
		{
		0x7dff,
		0xbf44
		},
		{
		0x7e00,
		0xbf45
		},
		{
		0x7e01,
		0xbf46
		},
		{
		0x7e02,
		0xbf47
		},
		{
		0x7e03,
		0xbf48
		},
		{
		0x7e04,
		0xbf49
		},
		{
		0x7e05,
		0xbf4a
		},
		{
		0x7e06,
		0xbf4b
		},
		{
		0x7e07,
		0xbf4c
		},
		{
		0x7e08,
		0xbf4d
		},
		{
		0x7e09,
		0xbf4e
		},
		{
		0x7e0a,
		0xbf4f
		},
		{
		0x7e0b,
		0xbf50
		},
		{
		0x7e0c,
		0xbf51
		},
		{
		0x7e0d,
		0xbf52
		},
		{
		0x7e0e,
		0xbf53
		},
		{
		0x7e0f,
		0xbf54
		},
		{
		0x7e10,
		0xbf55
		},
		{
		0x7e11,
		0xbf56
		},
		{
		0x7e12,
		0xbf57
		},
		{
		0x7e13,
		0xbf58
		},
		{
		0x7e14,
		0xbf59
		},
		{
		0x7e15,
		0xbf5a
		},
		{
		0x7e16,
		0xbf5b
		},
		{
		0x7e17,
		0xbf5c
		},
		{
		0x7e18,
		0xbf5d
		},
		{
		0x7e19,
		0xbf5e
		},
		{
		0x7e1a,
		0xbf5f
		},
		{
		0x7e1b,
		0xbf60
		},
		{
		0x7e1c,
		0xbf61
		},
		{
		0x7e1d,
		0xbf62
		},
		{
		0x7e1e,
		0xbf63
		},
		{
		0x7e1f,
		0xbf64
		},
		{
		0x7e20,
		0xbf65
		},
		{
		0x7e21,
		0xbf66
		},
		{
		0x7e22,
		0xbf67
		},
		{
		0x7e23,
		0xbf68
		},
		{
		0x7e24,
		0xbf69
		},
		{
		0x7e25,
		0xbf6a
		},
		{
		0x7e26,
		0xbf6b
		},
		{
		0x7e27,
		0xbf6c
		},
		{
		0x7e28,
		0xbf6d
		},
		{
		0x7e29,
		0xbf6e
		},
		{
		0x7e2a,
		0xbf6f
		},
		{
		0x7e2b,
		0xbf70
		},
		{
		0x7e2c,
		0xbf71
		},
		{
		0x7e2d,
		0xbf72
		},
		{
		0x7e2e,
		0xbf73
		},
		{
		0x7e2f,
		0xbf74
		},
		{
		0x7e30,
		0xbf75
		},
		{
		0x7e31,
		0xbf76
		},
		{
		0x7e32,
		0xbf77
		},
		{
		0x7e33,
		0xbf78
		},
		{
		0x7e34,
		0xbf79
		},
		{
		0x7e35,
		0xbf7a
		},
		{
		0x7e36,
		0xbf7b
		},
		{
		0x7e37,
		0xbf7c
		},
		{
		0x7e38,
		0xbf7d
		},
		{
		0x7e39,
		0xbf7e
		},
		{
		0x7e3a,
		0xbf80
		},
		{
		0x7e3c,
		0xbf81
		},
		{
		0x7e3d,
		0xbf82
		},
		{
		0x7e3e,
		0xbf83
		},
		{
		0x7e3f,
		0xbf84
		},
		{
		0x7e40,
		0xbf85
		},
		{
		0x7e42,
		0xbf86
		},
		{
		0x7e43,
		0xbf87
		},
		{
		0x7e44,
		0xbf88
		},
		{
		0x7e45,
		0xbf89
		},
		{
		0x7e46,
		0xbf8a
		},
		{
		0x7e48,
		0xbf8b
		},
		{
		0x7e49,
		0xbf8c
		},
		{
		0x7e4a,
		0xbf8d
		},
		{
		0x7e4b,
		0xbf8e
		},
		{
		0x7e4c,
		0xbf8f
		},
		{
		0x7e4d,
		0xbf90
		},
		{
		0x7e4e,
		0xbf91
		},
		{
		0x7e4f,
		0xbf92
		},
		{
		0x7e50,
		0xbf93
		},
		{
		0x7e51,
		0xbf94
		},
		{
		0x7e52,
		0xbf95
		},
		{
		0x7e53,
		0xbf96
		},
		{
		0x7e54,
		0xbf97
		},
		{
		0x7e55,
		0xbf98
		},
		{
		0x7e56,
		0xbf99
		},
		{
		0x7e57,
		0xbf9a
		},
		{
		0x7e58,
		0xbf9b
		},
		{
		0x7e59,
		0xbf9c
		},
		{
		0x7e5a,
		0xbf9d
		},
		{
		0x7e5b,
		0xbf9e
		},
		{
		0x7e5c,
		0xbf9f
		},
		{
		0x7e5d,
		0xbfa0
		},
		{
		0x7e5e,
		0xc040
		},
		{
		0x7e5f,
		0xc041
		},
		{
		0x7e60,
		0xc042
		},
		{
		0x7e61,
		0xc043
		},
		{
		0x7e62,
		0xc044
		},
		{
		0x7e63,
		0xc045
		},
		{
		0x7e64,
		0xc046
		},
		{
		0x7e65,
		0xc047
		},
		{
		0x7e66,
		0xc048
		},
		{
		0x7e67,
		0xc049
		},
		{
		0x7e68,
		0xc04a
		},
		{
		0x7e69,
		0xc04b
		},
		{
		0x7e6a,
		0xc04c
		},
		{
		0x7e6b,
		0xc04d
		},
		{
		0x7e6c,
		0xc04e
		},
		{
		0x7e6d,
		0xc04f
		},
		{
		0x7e6e,
		0xc050
		},
		{
		0x7e6f,
		0xc051
		},
		{
		0x7e70,
		0xc052
		},
		{
		0x7e71,
		0xc053
		},
		{
		0x7e72,
		0xc054
		},
		{
		0x7e73,
		0xc055
		},
		{
		0x7e74,
		0xc056
		},
		{
		0x7e75,
		0xc057
		},
		{
		0x7e76,
		0xc058
		},
		{
		0x7e77,
		0xc059
		},
		{
		0x7e78,
		0xc05a
		},
		{
		0x7e79,
		0xc05b
		},
		{
		0x7e7a,
		0xc05c
		},
		{
		0x7e7b,
		0xc05d
		},
		{
		0x7e7c,
		0xc05e
		},
		{
		0x7e7d,
		0xc05f
		},
		{
		0x7e7e,
		0xc060
		},
		{
		0x7e7f,
		0xc061
		},
		{
		0x7e80,
		0xc062
		},
		{
		0x7e81,
		0xc063
		},
		{
		0x7e83,
		0xc064
		},
		{
		0x7e84,
		0xc065
		},
		{
		0x7e85,
		0xc066
		},
		{
		0x7e86,
		0xc067
		},
		{
		0x7e87,
		0xc068
		},
		{
		0x7e88,
		0xc069
		},
		{
		0x7e89,
		0xc06a
		},
		{
		0x7e8a,
		0xc06b
		},
		{
		0x7e8b,
		0xc06c
		},
		{
		0x7e8c,
		0xc06d
		},
		{
		0x7e8d,
		0xc06e
		},
		{
		0x7e8e,
		0xc06f
		},
		{
		0x7e8f,
		0xc070
		},
		{
		0x7e90,
		0xc071
		},
		{
		0x7e91,
		0xc072
		},
		{
		0x7e92,
		0xc073
		},
		{
		0x7e93,
		0xc074
		},
		{
		0x7e94,
		0xc075
		},
		{
		0x7e95,
		0xc076
		},
		{
		0x7e96,
		0xc077
		},
		{
		0x7e97,
		0xc078
		},
		{
		0x7e98,
		0xc079
		},
		{
		0x7e99,
		0xc07a
		},
		{
		0x7e9a,
		0xc07b
		},
		{
		0x7e9c,
		0xc07c
		},
		{
		0x7e9d,
		0xc07d
		},
		{
		0x7e9e,
		0xc07e
		},
		{
		0x7eae,
		0xc080
		},
		{
		0x7eb4,
		0xc081
		},
		{
		0x7ebb,
		0xc082
		},
		{
		0x7ebc,
		0xc083
		},
		{
		0x7ed6,
		0xc084
		},
		{
		0x7ee4,
		0xc085
		},
		{
		0x7eec,
		0xc086
		},
		{
		0x7ef9,
		0xc087
		},
		{
		0x7f0a,
		0xc088
		},
		{
		0x7f10,
		0xc089
		},
		{
		0x7f1e,
		0xc08a
		},
		{
		0x7f37,
		0xc08b
		},
		{
		0x7f39,
		0xc08c
		},
		{
		0x7f3b,
		0xc08d
		},
		{
		0x7f3c,
		0xc08e
		},
		{
		0x7f3d,
		0xc08f
		},
		{
		0x7f3e,
		0xc090
		},
		{
		0x7f3f,
		0xc091
		},
		{
		0x7f40,
		0xc092
		},
		{
		0x7f41,
		0xc093
		},
		{
		0x7f43,
		0xc094
		},
		{
		0x7f46,
		0xc095
		},
		{
		0x7f47,
		0xc096
		},
		{
		0x7f48,
		0xc097
		},
		{
		0x7f49,
		0xc098
		},
		{
		0x7f4a,
		0xc099
		},
		{
		0x7f4b,
		0xc09a
		},
		{
		0x7f4c,
		0xc09b
		},
		{
		0x7f4d,
		0xc09c
		},
		{
		0x7f4e,
		0xc09d
		},
		{
		0x7f4f,
		0xc09e
		},
		{
		0x7f52,
		0xc09f
		},
		{
		0x7f53,
		0xc0a0
		},
		{
		0x7f56,
		0xc140
		},
		{
		0x7f59,
		0xc141
		},
		{
		0x7f5b,
		0xc142
		},
		{
		0x7f5c,
		0xc143
		},
		{
		0x7f5d,
		0xc144
		},
		{
		0x7f5e,
		0xc145
		},
		{
		0x7f60,
		0xc146
		},
		{
		0x7f63,
		0xc147
		},
		{
		0x7f64,
		0xc148
		},
		{
		0x7f65,
		0xc149
		},
		{
		0x7f66,
		0xc14a
		},
		{
		0x7f67,
		0xc14b
		},
		{
		0x7f6b,
		0xc14c
		},
		{
		0x7f6c,
		0xc14d
		},
		{
		0x7f6d,
		0xc14e
		},
		{
		0x7f6f,
		0xc14f
		},
		{
		0x7f70,
		0xc150
		},
		{
		0x7f73,
		0xc151
		},
		{
		0x7f75,
		0xc152
		},
		{
		0x7f76,
		0xc153
		},
		{
		0x7f77,
		0xc154
		},
		{
		0x7f78,
		0xc155
		},
		{
		0x7f7a,
		0xc156
		},
		{
		0x7f7b,
		0xc157
		},
		{
		0x7f7c,
		0xc158
		},
		{
		0x7f7d,
		0xc159
		},
		{
		0x7f7f,
		0xc15a
		},
		{
		0x7f80,
		0xc15b
		},
		{
		0x7f82,
		0xc15c
		},
		{
		0x7f83,
		0xc15d
		},
		{
		0x7f84,
		0xc15e
		},
		{
		0x7f85,
		0xc15f
		},
		{
		0x7f86,
		0xc160
		},
		{
		0x7f87,
		0xc161
		},
		{
		0x7f88,
		0xc162
		},
		{
		0x7f89,
		0xc163
		},
		{
		0x7f8b,
		0xc164
		},
		{
		0x7f8d,
		0xc165
		},
		{
		0x7f8f,
		0xc166
		},
		{
		0x7f90,
		0xc167
		},
		{
		0x7f91,
		0xc168
		},
		{
		0x7f92,
		0xc169
		},
		{
		0x7f93,
		0xc16a
		},
		{
		0x7f95,
		0xc16b
		},
		{
		0x7f96,
		0xc16c
		},
		{
		0x7f97,
		0xc16d
		},
		{
		0x7f98,
		0xc16e
		},
		{
		0x7f99,
		0xc16f
		},
		{
		0x7f9b,
		0xc170
		},
		{
		0x7f9c,
		0xc171
		},
		{
		0x7fa0,
		0xc172
		},
		{
		0x7fa2,
		0xc173
		},
		{
		0x7fa3,
		0xc174
		},
		{
		0x7fa5,
		0xc175
		},
		{
		0x7fa6,
		0xc176
		},
		{
		0x7fa8,
		0xc177
		},
		{
		0x7fa9,
		0xc178
		},
		{
		0x7faa,
		0xc179
		},
		{
		0x7fab,
		0xc17a
		},
		{
		0x7fac,
		0xc17b
		},
		{
		0x7fad,
		0xc17c
		},
		{
		0x7fae,
		0xc17d
		},
		{
		0x7fb1,
		0xc17e
		},
		{
		0x7fb3,
		0xc180
		},
		{
		0x7fb4,
		0xc181
		},
		{
		0x7fb5,
		0xc182
		},
		{
		0x7fb6,
		0xc183
		},
		{
		0x7fb7,
		0xc184
		},
		{
		0x7fba,
		0xc185
		},
		{
		0x7fbb,
		0xc186
		},
		{
		0x7fbe,
		0xc187
		},
		{
		0x7fc0,
		0xc188
		},
		{
		0x7fc2,
		0xc189
		},
		{
		0x7fc3,
		0xc18a
		},
		{
		0x7fc4,
		0xc18b
		},
		{
		0x7fc6,
		0xc18c
		},
		{
		0x7fc7,
		0xc18d
		},
		{
		0x7fc8,
		0xc18e
		},
		{
		0x7fc9,
		0xc18f
		},
		{
		0x7fcb,
		0xc190
		},
		{
		0x7fcd,
		0xc191
		},
		{
		0x7fcf,
		0xc192
		},
		{
		0x7fd0,
		0xc193
		},
		{
		0x7fd1,
		0xc194
		},
		{
		0x7fd2,
		0xc195
		},
		{
		0x7fd3,
		0xc196
		},
		{
		0x7fd6,
		0xc197
		},
		{
		0x7fd7,
		0xc198
		},
		{
		0x7fd9,
		0xc199
		},
		{
		0x7fda,
		0xc19a
		},
		{
		0x7fdb,
		0xc19b
		},
		{
		0x7fdc,
		0xc19c
		},
		{
		0x7fdd,
		0xc19d
		},
		{
		0x7fde,
		0xc19e
		},
		{
		0x7fe2,
		0xc19f
		},
		{
		0x7fe3,
		0xc1a0
		},
		{
		0x7fe4,
		0xc240
		},
		{
		0x7fe7,
		0xc241
		},
		{
		0x7fe8,
		0xc242
		},
		{
		0x7fea,
		0xc243
		},
		{
		0x7feb,
		0xc244
		},
		{
		0x7fec,
		0xc245
		},
		{
		0x7fed,
		0xc246
		},
		{
		0x7fef,
		0xc247
		},
		{
		0x7ff2,
		0xc248
		},
		{
		0x7ff4,
		0xc249
		},
		{
		0x7ff5,
		0xc24a
		},
		{
		0x7ff6,
		0xc24b
		},
		{
		0x7ff7,
		0xc24c
		},
		{
		0x7ff8,
		0xc24d
		},
		{
		0x7ff9,
		0xc24e
		},
		{
		0x7ffa,
		0xc24f
		},
		{
		0x7ffd,
		0xc250
		},
		{
		0x7ffe,
		0xc251
		},
		{
		0x7fff,
		0xc252
		},
		{
		0x8002,
		0xc253
		},
		{
		0x8007,
		0xc254
		},
		{
		0x8008,
		0xc255
		},
		{
		0x8009,
		0xc256
		},
		{
		0x800a,
		0xc257
		},
		{
		0x800e,
		0xc258
		},
		{
		0x800f,
		0xc259
		},
		{
		0x8011,
		0xc25a
		},
		{
		0x8013,
		0xc25b
		},
		{
		0x801a,
		0xc25c
		},
		{
		0x801b,
		0xc25d
		},
		{
		0x801d,
		0xc25e
		},
		{
		0x801e,
		0xc25f
		},
		{
		0x801f,
		0xc260
		},
		{
		0x8021,
		0xc261
		},
		{
		0x8023,
		0xc262
		},
		{
		0x8024,
		0xc263
		},
		{
		0x802b,
		0xc264
		},
		{
		0x802c,
		0xc265
		},
		{
		0x802d,
		0xc266
		},
		{
		0x802e,
		0xc267
		},
		{
		0x802f,
		0xc268
		},
		{
		0x8030,
		0xc269
		},
		{
		0x8032,
		0xc26a
		},
		{
		0x8034,
		0xc26b
		},
		{
		0x8039,
		0xc26c
		},
		{
		0x803a,
		0xc26d
		},
		{
		0x803c,
		0xc26e
		},
		{
		0x803e,
		0xc26f
		},
		{
		0x8040,
		0xc270
		},
		{
		0x8041,
		0xc271
		},
		{
		0x8044,
		0xc272
		},
		{
		0x8045,
		0xc273
		},
		{
		0x8047,
		0xc274
		},
		{
		0x8048,
		0xc275
		},
		{
		0x8049,
		0xc276
		},
		{
		0x804e,
		0xc277
		},
		{
		0x804f,
		0xc278
		},
		{
		0x8050,
		0xc279
		},
		{
		0x8051,
		0xc27a
		},
		{
		0x8053,
		0xc27b
		},
		{
		0x8055,
		0xc27c
		},
		{
		0x8056,
		0xc27d
		},
		{
		0x8057,
		0xc27e
		},
		{
		0x8059,
		0xc280
		},
		{
		0x805b,
		0xc281
		},
		{
		0x805c,
		0xc282
		},
		{
		0x805d,
		0xc283
		},
		{
		0x805e,
		0xc284
		},
		{
		0x805f,
		0xc285
		},
		{
		0x8060,
		0xc286
		},
		{
		0x8061,
		0xc287
		},
		{
		0x8062,
		0xc288
		},
		{
		0x8063,
		0xc289
		},
		{
		0x8064,
		0xc28a
		},
		{
		0x8065,
		0xc28b
		},
		{
		0x8066,
		0xc28c
		},
		{
		0x8067,
		0xc28d
		},
		{
		0x8068,
		0xc28e
		},
		{
		0x806b,
		0xc28f
		},
		{
		0x806c,
		0xc290
		},
		{
		0x806d,
		0xc291
		},
		{
		0x806e,
		0xc292
		},
		{
		0x806f,
		0xc293
		},
		{
		0x8070,
		0xc294
		},
		{
		0x8072,
		0xc295
		},
		{
		0x8073,
		0xc296
		},
		{
		0x8074,
		0xc297
		},
		{
		0x8075,
		0xc298
		},
		{
		0x8076,
		0xc299
		},
		{
		0x8077,
		0xc29a
		},
		{
		0x8078,
		0xc29b
		},
		{
		0x8079,
		0xc29c
		},
		{
		0x807a,
		0xc29d
		},
		{
		0x807b,
		0xc29e
		},
		{
		0x807c,
		0xc29f
		},
		{
		0x807d,
		0xc2a0
		},
		{
		0x807e,
		0xc340
		},
		{
		0x8081,
		0xc341
		},
		{
		0x8082,
		0xc342
		},
		{
		0x8085,
		0xc343
		},
		{
		0x8088,
		0xc344
		},
		{
		0x808a,
		0xc345
		},
		{
		0x808d,
		0xc346
		},
		{
		0x808e,
		0xc347
		},
		{
		0x808f,
		0xc348
		},
		{
		0x8090,
		0xc349
		},
		{
		0x8091,
		0xc34a
		},
		{
		0x8092,
		0xc34b
		},
		{
		0x8094,
		0xc34c
		},
		{
		0x8095,
		0xc34d
		},
		{
		0x8097,
		0xc34e
		},
		{
		0x8099,
		0xc34f
		},
		{
		0x809e,
		0xc350
		},
		{
		0x80a3,
		0xc351
		},
		{
		0x80a6,
		0xc352
		},
		{
		0x80a7,
		0xc353
		},
		{
		0x80a8,
		0xc354
		},
		{
		0x80ac,
		0xc355
		},
		{
		0x80b0,
		0xc356
		},
		{
		0x80b3,
		0xc357
		},
		{
		0x80b5,
		0xc358
		},
		{
		0x80b6,
		0xc359
		},
		{
		0x80b8,
		0xc35a
		},
		{
		0x80b9,
		0xc35b
		},
		{
		0x80bb,
		0xc35c
		},
		{
		0x80c5,
		0xc35d
		},
		{
		0x80c7,
		0xc35e
		},
		{
		0x80c8,
		0xc35f
		},
		{
		0x80c9,
		0xc360
		},
		{
		0x80ca,
		0xc361
		},
		{
		0x80cb,
		0xc362
		},
		{
		0x80cf,
		0xc363
		},
		{
		0x80d0,
		0xc364
		},
		{
		0x80d1,
		0xc365
		},
		{
		0x80d2,
		0xc366
		},
		{
		0x80d3,
		0xc367
		},
		{
		0x80d4,
		0xc368
		},
		{
		0x80d5,
		0xc369
		},
		{
		0x80d8,
		0xc36a
		},
		{
		0x80df,
		0xc36b
		},
		{
		0x80e0,
		0xc36c
		},
		{
		0x80e2,
		0xc36d
		},
		{
		0x80e3,
		0xc36e
		},
		{
		0x80e6,
		0xc36f
		},
		{
		0x80ee,
		0xc370
		},
		{
		0x80f5,
		0xc371
		},
		{
		0x80f7,
		0xc372
		},
		{
		0x80f9,
		0xc373
		},
		{
		0x80fb,
		0xc374
		},
		{
		0x80fe,
		0xc375
		},
		{
		0x80ff,
		0xc376
		},
		{
		0x8100,
		0xc377
		},
		{
		0x8101,
		0xc378
		},
		{
		0x8103,
		0xc379
		},
		{
		0x8104,
		0xc37a
		},
		{
		0x8105,
		0xc37b
		},
		{
		0x8107,
		0xc37c
		},
		{
		0x8108,
		0xc37d
		},
		{
		0x810b,
		0xc37e
		},
		{
		0x810c,
		0xc380
		},
		{
		0x8115,
		0xc381
		},
		{
		0x8117,
		0xc382
		},
		{
		0x8119,
		0xc383
		},
		{
		0x811b,
		0xc384
		},
		{
		0x811c,
		0xc385
		},
		{
		0x811d,
		0xc386
		},
		{
		0x811f,
		0xc387
		},
		{
		0x8120,
		0xc388
		},
		{
		0x8121,
		0xc389
		},
		{
		0x8122,
		0xc38a
		},
		{
		0x8123,
		0xc38b
		},
		{
		0x8124,
		0xc38c
		},
		{
		0x8125,
		0xc38d
		},
		{
		0x8126,
		0xc38e
		},
		{
		0x8127,
		0xc38f
		},
		{
		0x8128,
		0xc390
		},
		{
		0x8129,
		0xc391
		},
		{
		0x812a,
		0xc392
		},
		{
		0x812b,
		0xc393
		},
		{
		0x812d,
		0xc394
		},
		{
		0x812e,
		0xc395
		},
		{
		0x8130,
		0xc396
		},
		{
		0x8133,
		0xc397
		},
		{
		0x8134,
		0xc398
		},
		{
		0x8135,
		0xc399
		},
		{
		0x8137,
		0xc39a
		},
		{
		0x8139,
		0xc39b
		},
		{
		0x813a,
		0xc39c
		},
		{
		0x813b,
		0xc39d
		},
		{
		0x813c,
		0xc39e
		},
		{
		0x813d,
		0xc39f
		},
		{
		0x813f,
		0xc3a0
		},
		{
		0x8140,
		0xc440
		},
		{
		0x8141,
		0xc441
		},
		{
		0x8142,
		0xc442
		},
		{
		0x8143,
		0xc443
		},
		{
		0x8144,
		0xc444
		},
		{
		0x8145,
		0xc445
		},
		{
		0x8147,
		0xc446
		},
		{
		0x8149,
		0xc447
		},
		{
		0x814d,
		0xc448
		},
		{
		0x814e,
		0xc449
		},
		{
		0x814f,
		0xc44a
		},
		{
		0x8152,
		0xc44b
		},
		{
		0x8156,
		0xc44c
		},
		{
		0x8157,
		0xc44d
		},
		{
		0x8158,
		0xc44e
		},
		{
		0x815b,
		0xc44f
		},
		{
		0x815c,
		0xc450
		},
		{
		0x815d,
		0xc451
		},
		{
		0x815e,
		0xc452
		},
		{
		0x815f,
		0xc453
		},
		{
		0x8161,
		0xc454
		},
		{
		0x8162,
		0xc455
		},
		{
		0x8163,
		0xc456
		},
		{
		0x8164,
		0xc457
		},
		{
		0x8166,
		0xc458
		},
		{
		0x8168,
		0xc459
		},
		{
		0x816a,
		0xc45a
		},
		{
		0x816b,
		0xc45b
		},
		{
		0x816c,
		0xc45c
		},
		{
		0x816f,
		0xc45d
		},
		{
		0x8172,
		0xc45e
		},
		{
		0x8173,
		0xc45f
		},
		{
		0x8175,
		0xc460
		},
		{
		0x8176,
		0xc461
		},
		{
		0x8177,
		0xc462
		},
		{
		0x8178,
		0xc463
		},
		{
		0x8181,
		0xc464
		},
		{
		0x8183,
		0xc465
		},
		{
		0x8184,
		0xc466
		},
		{
		0x8185,
		0xc467
		},
		{
		0x8186,
		0xc468
		},
		{
		0x8187,
		0xc469
		},
		{
		0x8189,
		0xc46a
		},
		{
		0x818b,
		0xc46b
		},
		{
		0x818c,
		0xc46c
		},
		{
		0x818d,
		0xc46d
		},
		{
		0x818e,
		0xc46e
		},
		{
		0x8190,
		0xc46f
		},
		{
		0x8192,
		0xc470
		},
		{
		0x8193,
		0xc471
		},
		{
		0x8194,
		0xc472
		},
		{
		0x8195,
		0xc473
		},
		{
		0x8196,
		0xc474
		},
		{
		0x8197,
		0xc475
		},
		{
		0x8199,
		0xc476
		},
		{
		0x819a,
		0xc477
		},
		{
		0x819e,
		0xc478
		},
		{
		0x819f,
		0xc479
		},
		{
		0x81a0,
		0xc47a
		},
		{
		0x81a1,
		0xc47b
		},
		{
		0x81a2,
		0xc47c
		},
		{
		0x81a4,
		0xc47d
		},
		{
		0x81a5,
		0xc47e
		},
		{
		0x81a7,
		0xc480
		},
		{
		0x81a9,
		0xc481
		},
		{
		0x81ab,
		0xc482
		},
		{
		0x81ac,
		0xc483
		},
		{
		0x81ad,
		0xc484
		},
		{
		0x81ae,
		0xc485
		},
		{
		0x81af,
		0xc486
		},
		{
		0x81b0,
		0xc487
		},
		{
		0x81b1,
		0xc488
		},
		{
		0x81b2,
		0xc489
		},
		{
		0x81b4,
		0xc48a
		},
		{
		0x81b5,
		0xc48b
		},
		{
		0x81b6,
		0xc48c
		},
		{
		0x81b7,
		0xc48d
		},
		{
		0x81b8,
		0xc48e
		},
		{
		0x81b9,
		0xc48f
		},
		{
		0x81bc,
		0xc490
		},
		{
		0x81bd,
		0xc491
		},
		{
		0x81be,
		0xc492
		},
		{
		0x81bf,
		0xc493
		},
		{
		0x81c4,
		0xc494
		},
		{
		0x81c5,
		0xc495
		},
		{
		0x81c7,
		0xc496
		},
		{
		0x81c8,
		0xc497
		},
		{
		0x81c9,
		0xc498
		},
		{
		0x81cb,
		0xc499
		},
		{
		0x81cd,
		0xc49a
		},
		{
		0x81ce,
		0xc49b
		},
		{
		0x81cf,
		0xc49c
		},
		{
		0x81d0,
		0xc49d
		},
		{
		0x81d1,
		0xc49e
		},
		{
		0x81d2,
		0xc49f
		},
		{
		0x81d3,
		0xc4a0
		},
		{
		0x81d4,
		0xc540
		},
		{
		0x81d5,
		0xc541
		},
		{
		0x81d6,
		0xc542
		},
		{
		0x81d7,
		0xc543
		},
		{
		0x81d8,
		0xc544
		},
		{
		0x81d9,
		0xc545
		},
		{
		0x81da,
		0xc546
		},
		{
		0x81db,
		0xc547
		},
		{
		0x81dc,
		0xc548
		},
		{
		0x81dd,
		0xc549
		},
		{
		0x81de,
		0xc54a
		},
		{
		0x81df,
		0xc54b
		},
		{
		0x81e0,
		0xc54c
		},
		{
		0x81e1,
		0xc54d
		},
		{
		0x81e2,
		0xc54e
		},
		{
		0x81e4,
		0xc54f
		},
		{
		0x81e5,
		0xc550
		},
		{
		0x81e6,
		0xc551
		},
		{
		0x81e8,
		0xc552
		},
		{
		0x81e9,
		0xc553
		},
		{
		0x81eb,
		0xc554
		},
		{
		0x81ee,
		0xc555
		},
		{
		0x81ef,
		0xc556
		},
		{
		0x81f0,
		0xc557
		},
		{
		0x81f1,
		0xc558
		},
		{
		0x81f2,
		0xc559
		},
		{
		0x81f5,
		0xc55a
		},
		{
		0x81f6,
		0xc55b
		},
		{
		0x81f7,
		0xc55c
		},
		{
		0x81f8,
		0xc55d
		},
		{
		0x81f9,
		0xc55e
		},
		{
		0x81fa,
		0xc55f
		},
		{
		0x81fd,
		0xc560
		},
		{
		0x81ff,
		0xc561
		},
		{
		0x8203,
		0xc562
		},
		{
		0x8207,
		0xc563
		},
		{
		0x8208,
		0xc564
		},
		{
		0x8209,
		0xc565
		},
		{
		0x820a,
		0xc566
		},
		{
		0x820b,
		0xc567
		},
		{
		0x820e,
		0xc568
		},
		{
		0x820f,
		0xc569
		},
		{
		0x8211,
		0xc56a
		},
		{
		0x8213,
		0xc56b
		},
		{
		0x8215,
		0xc56c
		},
		{
		0x8216,
		0xc56d
		},
		{
		0x8217,
		0xc56e
		},
		{
		0x8218,
		0xc56f
		},
		{
		0x8219,
		0xc570
		},
		{
		0x821a,
		0xc571
		},
		{
		0x821d,
		0xc572
		},
		{
		0x8220,
		0xc573
		},
		{
		0x8224,
		0xc574
		},
		{
		0x8225,
		0xc575
		},
		{
		0x8226,
		0xc576
		},
		{
		0x8227,
		0xc577
		},
		{
		0x8229,
		0xc578
		},
		{
		0x822e,
		0xc579
		},
		{
		0x8232,
		0xc57a
		},
		{
		0x823a,
		0xc57b
		},
		{
		0x823c,
		0xc57c
		},
		{
		0x823d,
		0xc57d
		},
		{
		0x823f,
		0xc57e
		},
		{
		0x8240,
		0xc580
		},
		{
		0x8241,
		0xc581
		},
		{
		0x8242,
		0xc582
		},
		{
		0x8243,
		0xc583
		},
		{
		0x8245,
		0xc584
		},
		{
		0x8246,
		0xc585
		},
		{
		0x8248,
		0xc586
		},
		{
		0x824a,
		0xc587
		},
		{
		0x824c,
		0xc588
		},
		{
		0x824d,
		0xc589
		},
		{
		0x824e,
		0xc58a
		},
		{
		0x8250,
		0xc58b
		},
		{
		0x8251,
		0xc58c
		},
		{
		0x8252,
		0xc58d
		},
		{
		0x8253,
		0xc58e
		},
		{
		0x8254,
		0xc58f
		},
		{
		0x8255,
		0xc590
		},
		{
		0x8256,
		0xc591
		},
		{
		0x8257,
		0xc592
		},
		{
		0x8259,
		0xc593
		},
		{
		0x825b,
		0xc594
		},
		{
		0x825c,
		0xc595
		},
		{
		0x825d,
		0xc596
		},
		{
		0x825e,
		0xc597
		},
		{
		0x8260,
		0xc598
		},
		{
		0x8261,
		0xc599
		},
		{
		0x8262,
		0xc59a
		},
		{
		0x8263,
		0xc59b
		},
		{
		0x8264,
		0xc59c
		},
		{
		0x8265,
		0xc59d
		},
		{
		0x8266,
		0xc59e
		},
		{
		0x8267,
		0xc59f
		},
		{
		0x8269,
		0xc5a0
		},
		{
		0x826a,
		0xc640
		},
		{
		0x826b,
		0xc641
		},
		{
		0x826c,
		0xc642
		},
		{
		0x826d,
		0xc643
		},
		{
		0x8271,
		0xc644
		},
		{
		0x8275,
		0xc645
		},
		{
		0x8276,
		0xc646
		},
		{
		0x8277,
		0xc647
		},
		{
		0x8278,
		0xc648
		},
		{
		0x827b,
		0xc649
		},
		{
		0x827c,
		0xc64a
		},
		{
		0x8280,
		0xc64b
		},
		{
		0x8281,
		0xc64c
		},
		{
		0x8283,
		0xc64d
		},
		{
		0x8285,
		0xc64e
		},
		{
		0x8286,
		0xc64f
		},
		{
		0x8287,
		0xc650
		},
		{
		0x8289,
		0xc651
		},
		{
		0x828c,
		0xc652
		},
		{
		0x8290,
		0xc653
		},
		{
		0x8293,
		0xc654
		},
		{
		0x8294,
		0xc655
		},
		{
		0x8295,
		0xc656
		},
		{
		0x8296,
		0xc657
		},
		{
		0x829a,
		0xc658
		},
		{
		0x829b,
		0xc659
		},
		{
		0x829e,
		0xc65a
		},
		{
		0x82a0,
		0xc65b
		},
		{
		0x82a2,
		0xc65c
		},
		{
		0x82a3,
		0xc65d
		},
		{
		0x82a7,
		0xc65e
		},
		{
		0x82b2,
		0xc65f
		},
		{
		0x82b5,
		0xc660
		},
		{
		0x82b6,
		0xc661
		},
		{
		0x82ba,
		0xc662
		},
		{
		0x82bb,
		0xc663
		},
		{
		0x82bc,
		0xc664
		},
		{
		0x82bf,
		0xc665
		},
		{
		0x82c0,
		0xc666
		},
		{
		0x82c2,
		0xc667
		},
		{
		0x82c3,
		0xc668
		},
		{
		0x82c5,
		0xc669
		},
		{
		0x82c6,
		0xc66a
		},
		{
		0x82c9,
		0xc66b
		},
		{
		0x82d0,
		0xc66c
		},
		{
		0x82d6,
		0xc66d
		},
		{
		0x82d9,
		0xc66e
		},
		{
		0x82da,
		0xc66f
		},
		{
		0x82dd,
		0xc670
		},
		{
		0x82e2,
		0xc671
		},
		{
		0x82e7,
		0xc672
		},
		{
		0x82e8,
		0xc673
		},
		{
		0x82e9,
		0xc674
		},
		{
		0x82ea,
		0xc675
		},
		{
		0x82ec,
		0xc676
		},
		{
		0x82ed,
		0xc677
		},
		{
		0x82ee,
		0xc678
		},
		{
		0x82f0,
		0xc679
		},
		{
		0x82f2,
		0xc67a
		},
		{
		0x82f3,
		0xc67b
		},
		{
		0x82f5,
		0xc67c
		},
		{
		0x82f6,
		0xc67d
		},
		{
		0x82f8,
		0xc67e
		},
		{
		0x82fa,
		0xc680
		},
		{
		0x82fc,
		0xc681
		},
		{
		0x82fd,
		0xc682
		},
		{
		0x82fe,
		0xc683
		},
		{
		0x82ff,
		0xc684
		},
		{
		0x8300,
		0xc685
		},
		{
		0x830a,
		0xc686
		},
		{
		0x830b,
		0xc687
		},
		{
		0x830d,
		0xc688
		},
		{
		0x8310,
		0xc689
		},
		{
		0x8312,
		0xc68a
		},
		{
		0x8313,
		0xc68b
		},
		{
		0x8316,
		0xc68c
		},
		{
		0x8318,
		0xc68d
		},
		{
		0x8319,
		0xc68e
		},
		{
		0x831d,
		0xc68f
		},
		{
		0x831e,
		0xc690
		},
		{
		0x831f,
		0xc691
		},
		{
		0x8320,
		0xc692
		},
		{
		0x8321,
		0xc693
		},
		{
		0x8322,
		0xc694
		},
		{
		0x8323,
		0xc695
		},
		{
		0x8324,
		0xc696
		},
		{
		0x8325,
		0xc697
		},
		{
		0x8326,
		0xc698
		},
		{
		0x8329,
		0xc699
		},
		{
		0x832a,
		0xc69a
		},
		{
		0x832e,
		0xc69b
		},
		{
		0x8330,
		0xc69c
		},
		{
		0x8332,
		0xc69d
		},
		{
		0x8337,
		0xc69e
		},
		{
		0x833b,
		0xc69f
		},
		{
		0x833d,
		0xc6a0
		},
		{
		0x833e,
		0xc740
		},
		{
		0x833f,
		0xc741
		},
		{
		0x8341,
		0xc742
		},
		{
		0x8342,
		0xc743
		},
		{
		0x8344,
		0xc744
		},
		{
		0x8345,
		0xc745
		},
		{
		0x8348,
		0xc746
		},
		{
		0x834a,
		0xc747
		},
		{
		0x834b,
		0xc748
		},
		{
		0x834c,
		0xc749
		},
		{
		0x834d,
		0xc74a
		},
		{
		0x834e,
		0xc74b
		},
		{
		0x8353,
		0xc74c
		},
		{
		0x8355,
		0xc74d
		},
		{
		0x8356,
		0xc74e
		},
		{
		0x8357,
		0xc74f
		},
		{
		0x8358,
		0xc750
		},
		{
		0x8359,
		0xc751
		},
		{
		0x835d,
		0xc752
		},
		{
		0x8362,
		0xc753
		},
		{
		0x8370,
		0xc754
		},
		{
		0x8371,
		0xc755
		},
		{
		0x8372,
		0xc756
		},
		{
		0x8373,
		0xc757
		},
		{
		0x8374,
		0xc758
		},
		{
		0x8375,
		0xc759
		},
		{
		0x8376,
		0xc75a
		},
		{
		0x8379,
		0xc75b
		},
		{
		0x837a,
		0xc75c
		},
		{
		0x837e,
		0xc75d
		},
		{
		0x837f,
		0xc75e
		},
		{
		0x8380,
		0xc75f
		},
		{
		0x8381,
		0xc760
		},
		{
		0x8382,
		0xc761
		},
		{
		0x8383,
		0xc762
		},
		{
		0x8384,
		0xc763
		},
		{
		0x8387,
		0xc764
		},
		{
		0x8388,
		0xc765
		},
		{
		0x838a,
		0xc766
		},
		{
		0x838b,
		0xc767
		},
		{
		0x838c,
		0xc768
		},
		{
		0x838d,
		0xc769
		},
		{
		0x838f,
		0xc76a
		},
		{
		0x8390,
		0xc76b
		},
		{
		0x8391,
		0xc76c
		},
		{
		0x8394,
		0xc76d
		},
		{
		0x8395,
		0xc76e
		},
		{
		0x8396,
		0xc76f
		},
		{
		0x8397,
		0xc770
		},
		{
		0x8399,
		0xc771
		},
		{
		0x839a,
		0xc772
		},
		{
		0x839d,
		0xc773
		},
		{
		0x839f,
		0xc774
		},
		{
		0x83a1,
		0xc775
		},
		{
		0x83a2,
		0xc776
		},
		{
		0x83a3,
		0xc777
		},
		{
		0x83a4,
		0xc778
		},
		{
		0x83a5,
		0xc779
		},
		{
		0x83a6,
		0xc77a
		},
		{
		0x83a7,
		0xc77b
		},
		{
		0x83ac,
		0xc77c
		},
		{
		0x83ad,
		0xc77d
		},
		{
		0x83ae,
		0xc77e
		},
		{
		0x83af,
		0xc780
		},
		{
		0x83b5,
		0xc781
		},
		{
		0x83bb,
		0xc782
		},
		{
		0x83be,
		0xc783
		},
		{
		0x83bf,
		0xc784
		},
		{
		0x83c2,
		0xc785
		},
		{
		0x83c3,
		0xc786
		},
		{
		0x83c4,
		0xc787
		},
		{
		0x83c6,
		0xc788
		},
		{
		0x83c8,
		0xc789
		},
		{
		0x83c9,
		0xc78a
		},
		{
		0x83cb,
		0xc78b
		},
		{
		0x83cd,
		0xc78c
		},
		{
		0x83ce,
		0xc78d
		},
		{
		0x83d0,
		0xc78e
		},
		{
		0x83d1,
		0xc78f
		},
		{
		0x83d2,
		0xc790
		},
		{
		0x83d3,
		0xc791
		},
		{
		0x83d5,
		0xc792
		},
		{
		0x83d7,
		0xc793
		},
		{
		0x83d9,
		0xc794
		},
		{
		0x83da,
		0xc795
		},
		{
		0x83db,
		0xc796
		},
		{
		0x83de,
		0xc797
		},
		{
		0x83e2,
		0xc798
		},
		{
		0x83e3,
		0xc799
		},
		{
		0x83e4,
		0xc79a
		},
		{
		0x83e6,
		0xc79b
		},
		{
		0x83e7,
		0xc79c
		},
		{
		0x83e8,
		0xc79d
		},
		{
		0x83eb,
		0xc79e
		},
		{
		0x83ec,
		0xc79f
		},
		{
		0x83ed,
		0xc7a0
		},
		{
		0x83ee,
		0xc840
		},
		{
		0x83ef,
		0xc841
		},
		{
		0x83f3,
		0xc842
		},
		{
		0x83f4,
		0xc843
		},
		{
		0x83f5,
		0xc844
		},
		{
		0x83f6,
		0xc845
		},
		{
		0x83f7,
		0xc846
		},
		{
		0x83fa,
		0xc847
		},
		{
		0x83fb,
		0xc848
		},
		{
		0x83fc,
		0xc849
		},
		{
		0x83fe,
		0xc84a
		},
		{
		0x83ff,
		0xc84b
		},
		{
		0x8400,
		0xc84c
		},
		{
		0x8402,
		0xc84d
		},
		{
		0x8405,
		0xc84e
		},
		{
		0x8407,
		0xc84f
		},
		{
		0x8408,
		0xc850
		},
		{
		0x8409,
		0xc851
		},
		{
		0x840a,
		0xc852
		},
		{
		0x8410,
		0xc853
		},
		{
		0x8412,
		0xc854
		},
		{
		0x8413,
		0xc855
		},
		{
		0x8414,
		0xc856
		},
		{
		0x8415,
		0xc857
		},
		{
		0x8416,
		0xc858
		},
		{
		0x8417,
		0xc859
		},
		{
		0x8419,
		0xc85a
		},
		{
		0x841a,
		0xc85b
		},
		{
		0x841b,
		0xc85c
		},
		{
		0x841e,
		0xc85d
		},
		{
		0x841f,
		0xc85e
		},
		{
		0x8420,
		0xc85f
		},
		{
		0x8421,
		0xc860
		},
		{
		0x8422,
		0xc861
		},
		{
		0x8423,
		0xc862
		},
		{
		0x8429,
		0xc863
		},
		{
		0x842a,
		0xc864
		},
		{
		0x842b,
		0xc865
		},
		{
		0x842c,
		0xc866
		},
		{
		0x842d,
		0xc867
		},
		{
		0x842e,
		0xc868
		},
		{
		0x842f,
		0xc869
		},
		{
		0x8430,
		0xc86a
		},
		{
		0x8432,
		0xc86b
		},
		{
		0x8433,
		0xc86c
		},
		{
		0x8434,
		0xc86d
		},
		{
		0x8435,
		0xc86e
		},
		{
		0x8436,
		0xc86f
		},
		{
		0x8437,
		0xc870
		},
		{
		0x8439,
		0xc871
		},
		{
		0x843a,
		0xc872
		},
		{
		0x843b,
		0xc873
		},
		{
		0x843e,
		0xc874
		},
		{
		0x843f,
		0xc875
		},
		{
		0x8440,
		0xc876
		},
		{
		0x8441,
		0xc877
		},
		{
		0x8442,
		0xc878
		},
		{
		0x8443,
		0xc879
		},
		{
		0x8444,
		0xc87a
		},
		{
		0x8445,
		0xc87b
		},
		{
		0x8447,
		0xc87c
		},
		{
		0x8448,
		0xc87d
		},
		{
		0x8449,
		0xc87e
		},
		{
		0x844a,
		0xc880
		},
		{
		0x844b,
		0xc881
		},
		{
		0x844c,
		0xc882
		},
		{
		0x844d,
		0xc883
		},
		{
		0x844e,
		0xc884
		},
		{
		0x844f,
		0xc885
		},
		{
		0x8450,
		0xc886
		},
		{
		0x8452,
		0xc887
		},
		{
		0x8453,
		0xc888
		},
		{
		0x8454,
		0xc889
		},
		{
		0x8455,
		0xc88a
		},
		{
		0x8456,
		0xc88b
		},
		{
		0x8458,
		0xc88c
		},
		{
		0x845d,
		0xc88d
		},
		{
		0x845e,
		0xc88e
		},
		{
		0x845f,
		0xc88f
		},
		{
		0x8460,
		0xc890
		},
		{
		0x8462,
		0xc891
		},
		{
		0x8464,
		0xc892
		},
		{
		0x8465,
		0xc893
		},
		{
		0x8466,
		0xc894
		},
		{
		0x8467,
		0xc895
		},
		{
		0x8468,
		0xc896
		},
		{
		0x846a,
		0xc897
		},
		{
		0x846e,
		0xc898
		},
		{
		0x846f,
		0xc899
		},
		{
		0x8470,
		0xc89a
		},
		{
		0x8472,
		0xc89b
		},
		{
		0x8474,
		0xc89c
		},
		{
		0x8477,
		0xc89d
		},
		{
		0x8479,
		0xc89e
		},
		{
		0x847b,
		0xc89f
		},
		{
		0x847c,
		0xc8a0
		},
		{
		0x847d,
		0xc940
		},
		{
		0x847e,
		0xc941
		},
		{
		0x847f,
		0xc942
		},
		{
		0x8480,
		0xc943
		},
		{
		0x8481,
		0xc944
		},
		{
		0x8483,
		0xc945
		},
		{
		0x8484,
		0xc946
		},
		{
		0x8485,
		0xc947
		},
		{
		0x8486,
		0xc948
		},
		{
		0x848a,
		0xc949
		},
		{
		0x848d,
		0xc94a
		},
		{
		0x848f,
		0xc94b
		},
		{
		0x8490,
		0xc94c
		},
		{
		0x8491,
		0xc94d
		},
		{
		0x8492,
		0xc94e
		},
		{
		0x8493,
		0xc94f
		},
		{
		0x8494,
		0xc950
		},
		{
		0x8495,
		0xc951
		},
		{
		0x8496,
		0xc952
		},
		{
		0x8498,
		0xc953
		},
		{
		0x849a,
		0xc954
		},
		{
		0x849b,
		0xc955
		},
		{
		0x849d,
		0xc956
		},
		{
		0x849e,
		0xc957
		},
		{
		0x849f,
		0xc958
		},
		{
		0x84a0,
		0xc959
		},
		{
		0x84a2,
		0xc95a
		},
		{
		0x84a3,
		0xc95b
		},
		{
		0x84a4,
		0xc95c
		},
		{
		0x84a5,
		0xc95d
		},
		{
		0x84a6,
		0xc95e
		},
		{
		0x84a7,
		0xc95f
		},
		{
		0x84a8,
		0xc960
		},
		{
		0x84a9,
		0xc961
		},
		{
		0x84aa,
		0xc962
		},
		{
		0x84ab,
		0xc963
		},
		{
		0x84ac,
		0xc964
		},
		{
		0x84ad,
		0xc965
		},
		{
		0x84ae,
		0xc966
		},
		{
		0x84b0,
		0xc967
		},
		{
		0x84b1,
		0xc968
		},
		{
		0x84b3,
		0xc969
		},
		{
		0x84b5,
		0xc96a
		},
		{
		0x84b6,
		0xc96b
		},
		{
		0x84b7,
		0xc96c
		},
		{
		0x84bb,
		0xc96d
		},
		{
		0x84bc,
		0xc96e
		},
		{
		0x84be,
		0xc96f
		},
		{
		0x84c0,
		0xc970
		},
		{
		0x84c2,
		0xc971
		},
		{
		0x84c3,
		0xc972
		},
		{
		0x84c5,
		0xc973
		},
		{
		0x84c6,
		0xc974
		},
		{
		0x84c7,
		0xc975
		},
		{
		0x84c8,
		0xc976
		},
		{
		0x84cb,
		0xc977
		},
		{
		0x84cc,
		0xc978
		},
		{
		0x84ce,
		0xc979
		},
		{
		0x84cf,
		0xc97a
		},
		{
		0x84d2,
		0xc97b
		},
		{
		0x84d4,
		0xc97c
		},
		{
		0x84d5,
		0xc97d
		},
		{
		0x84d7,
		0xc97e
		},
		{
		0x84d8,
		0xc980
		},
		{
		0x84d9,
		0xc981
		},
		{
		0x84da,
		0xc982
		},
		{
		0x84db,
		0xc983
		},
		{
		0x84dc,
		0xc984
		},
		{
		0x84de,
		0xc985
		},
		{
		0x84e1,
		0xc986
		},
		{
		0x84e2,
		0xc987
		},
		{
		0x84e4,
		0xc988
		},
		{
		0x84e7,
		0xc989
		},
		{
		0x84e8,
		0xc98a
		},
		{
		0x84e9,
		0xc98b
		},
		{
		0x84ea,
		0xc98c
		},
		{
		0x84eb,
		0xc98d
		},
		{
		0x84ed,
		0xc98e
		},
		{
		0x84ee,
		0xc98f
		},
		{
		0x84ef,
		0xc990
		},
		{
		0x84f1,
		0xc991
		},
		{
		0x84f2,
		0xc992
		},
		{
		0x84f3,
		0xc993
		},
		{
		0x84f4,
		0xc994
		},
		{
		0x84f5,
		0xc995
		},
		{
		0x84f6,
		0xc996
		},
		{
		0x84f7,
		0xc997
		},
		{
		0x84f8,
		0xc998
		},
		{
		0x84f9,
		0xc999
		},
		{
		0x84fa,
		0xc99a
		},
		{
		0x84fb,
		0xc99b
		},
		{
		0x84fd,
		0xc99c
		},
		{
		0x84fe,
		0xc99d
		},
		{
		0x8500,
		0xc99e
		},
		{
		0x8501,
		0xc99f
		},
		{
		0x8502,
		0xc9a0
		},
		{
		0x8503,
		0xca40
		},
		{
		0x8504,
		0xca41
		},
		{
		0x8505,
		0xca42
		},
		{
		0x8506,
		0xca43
		},
		{
		0x8507,
		0xca44
		},
		{
		0x8508,
		0xca45
		},
		{
		0x8509,
		0xca46
		},
		{
		0x850a,
		0xca47
		},
		{
		0x850b,
		0xca48
		},
		{
		0x850d,
		0xca49
		},
		{
		0x850e,
		0xca4a
		},
		{
		0x850f,
		0xca4b
		},
		{
		0x8510,
		0xca4c
		},
		{
		0x8512,
		0xca4d
		},
		{
		0x8514,
		0xca4e
		},
		{
		0x8515,
		0xca4f
		},
		{
		0x8516,
		0xca50
		},
		{
		0x8518,
		0xca51
		},
		{
		0x8519,
		0xca52
		},
		{
		0x851b,
		0xca53
		},
		{
		0x851c,
		0xca54
		},
		{
		0x851d,
		0xca55
		},
		{
		0x851e,
		0xca56
		},
		{
		0x8520,
		0xca57
		},
		{
		0x8522,
		0xca58
		},
		{
		0x8523,
		0xca59
		},
		{
		0x8524,
		0xca5a
		},
		{
		0x8525,
		0xca5b
		},
		{
		0x8526,
		0xca5c
		},
		{
		0x8527,
		0xca5d
		},
		{
		0x8528,
		0xca5e
		},
		{
		0x8529,
		0xca5f
		},
		{
		0x852a,
		0xca60
		},
		{
		0x852d,
		0xca61
		},
		{
		0x852e,
		0xca62
		},
		{
		0x852f,
		0xca63
		},
		{
		0x8530,
		0xca64
		},
		{
		0x8531,
		0xca65
		},
		{
		0x8532,
		0xca66
		},
		{
		0x8533,
		0xca67
		},
		{
		0x8534,
		0xca68
		},
		{
		0x8535,
		0xca69
		},
		{
		0x8536,
		0xca6a
		},
		{
		0x853e,
		0xca6b
		},
		{
		0x853f,
		0xca6c
		},
		{
		0x8540,
		0xca6d
		},
		{
		0x8541,
		0xca6e
		},
		{
		0x8542,
		0xca6f
		},
		{
		0x8544,
		0xca70
		},
		{
		0x8545,
		0xca71
		},
		{
		0x8546,
		0xca72
		},
		{
		0x8547,
		0xca73
		},
		{
		0x854b,
		0xca74
		},
		{
		0x854c,
		0xca75
		},
		{
		0x854d,
		0xca76
		},
		{
		0x854e,
		0xca77
		},
		{
		0x854f,
		0xca78
		},
		{
		0x8550,
		0xca79
		},
		{
		0x8551,
		0xca7a
		},
		{
		0x8552,
		0xca7b
		},
		{
		0x8553,
		0xca7c
		},
		{
		0x8554,
		0xca7d
		},
		{
		0x8555,
		0xca7e
		},
		{
		0x8557,
		0xca80
		},
		{
		0x8558,
		0xca81
		},
		{
		0x855a,
		0xca82
		},
		{
		0x855b,
		0xca83
		},
		{
		0x855c,
		0xca84
		},
		{
		0x855d,
		0xca85
		},
		{
		0x855f,
		0xca86
		},
		{
		0x8560,
		0xca87
		},
		{
		0x8561,
		0xca88
		},
		{
		0x8562,
		0xca89
		},
		{
		0x8563,
		0xca8a
		},
		{
		0x8565,
		0xca8b
		},
		{
		0x8566,
		0xca8c
		},
		{
		0x8567,
		0xca8d
		},
		{
		0x8569,
		0xca8e
		},
		{
		0x856a,
		0xca8f
		},
		{
		0x856b,
		0xca90
		},
		{
		0x856c,
		0xca91
		},
		{
		0x856d,
		0xca92
		},
		{
		0x856e,
		0xca93
		},
		{
		0x856f,
		0xca94
		},
		{
		0x8570,
		0xca95
		},
		{
		0x8571,
		0xca96
		},
		{
		0x8573,
		0xca97
		},
		{
		0x8575,
		0xca98
		},
		{
		0x8576,
		0xca99
		},
		{
		0x8577,
		0xca9a
		},
		{
		0x8578,
		0xca9b
		},
		{
		0x857c,
		0xca9c
		},
		{
		0x857d,
		0xca9d
		},
		{
		0x857f,
		0xca9e
		},
		{
		0x8580,
		0xca9f
		},
		{
		0x8581,
		0xcaa0
		},
		{
		0x8582,
		0xcb40
		},
		{
		0x8583,
		0xcb41
		},
		{
		0x8586,
		0xcb42
		},
		{
		0x8588,
		0xcb43
		},
		{
		0x8589,
		0xcb44
		},
		{
		0x858a,
		0xcb45
		},
		{
		0x858b,
		0xcb46
		},
		{
		0x858c,
		0xcb47
		},
		{
		0x858d,
		0xcb48
		},
		{
		0x858e,
		0xcb49
		},
		{
		0x8590,
		0xcb4a
		},
		{
		0x8591,
		0xcb4b
		},
		{
		0x8592,
		0xcb4c
		},
		{
		0x8593,
		0xcb4d
		},
		{
		0x8594,
		0xcb4e
		},
		{
		0x8595,
		0xcb4f
		},
		{
		0x8596,
		0xcb50
		},
		{
		0x8597,
		0xcb51
		},
		{
		0x8598,
		0xcb52
		},
		{
		0x8599,
		0xcb53
		},
		{
		0x859a,
		0xcb54
		},
		{
		0x859d,
		0xcb55
		},
		{
		0x859e,
		0xcb56
		},
		{
		0x859f,
		0xcb57
		},
		{
		0x85a0,
		0xcb58
		},
		{
		0x85a1,
		0xcb59
		},
		{
		0x85a2,
		0xcb5a
		},
		{
		0x85a3,
		0xcb5b
		},
		{
		0x85a5,
		0xcb5c
		},
		{
		0x85a6,
		0xcb5d
		},
		{
		0x85a7,
		0xcb5e
		},
		{
		0x85a9,
		0xcb5f
		},
		{
		0x85ab,
		0xcb60
		},
		{
		0x85ac,
		0xcb61
		},
		{
		0x85ad,
		0xcb62
		},
		{
		0x85b1,
		0xcb63
		},
		{
		0x85b2,
		0xcb64
		},
		{
		0x85b3,
		0xcb65
		},
		{
		0x85b4,
		0xcb66
		},
		{
		0x85b5,
		0xcb67
		},
		{
		0x85b6,
		0xcb68
		},
		{
		0x85b8,
		0xcb69
		},
		{
		0x85ba,
		0xcb6a
		},
		{
		0x85bb,
		0xcb6b
		},
		{
		0x85bc,
		0xcb6c
		},
		{
		0x85bd,
		0xcb6d
		},
		{
		0x85be,
		0xcb6e
		},
		{
		0x85bf,
		0xcb6f
		},
		{
		0x85c0,
		0xcb70
		},
		{
		0x85c2,
		0xcb71
		},
		{
		0x85c3,
		0xcb72
		},
		{
		0x85c4,
		0xcb73
		},
		{
		0x85c5,
		0xcb74
		},
		{
		0x85c6,
		0xcb75
		},
		{
		0x85c7,
		0xcb76
		},
		{
		0x85c8,
		0xcb77
		},
		{
		0x85ca,
		0xcb78
		},
		{
		0x85cb,
		0xcb79
		},
		{
		0x85cc,
		0xcb7a
		},
		{
		0x85cd,
		0xcb7b
		},
		{
		0x85ce,
		0xcb7c
		},
		{
		0x85d1,
		0xcb7d
		},
		{
		0x85d2,
		0xcb7e
		},
		{
		0x85d4,
		0xcb80
		},
		{
		0x85d6,
		0xcb81
		},
		{
		0x85d7,
		0xcb82
		},
		{
		0x85d8,
		0xcb83
		},
		{
		0x85d9,
		0xcb84
		},
		{
		0x85da,
		0xcb85
		},
		{
		0x85db,
		0xcb86
		},
		{
		0x85dd,
		0xcb87
		},
		{
		0x85de,
		0xcb88
		},
		{
		0x85df,
		0xcb89
		},
		{
		0x85e0,
		0xcb8a
		},
		{
		0x85e1,
		0xcb8b
		},
		{
		0x85e2,
		0xcb8c
		},
		{
		0x85e3,
		0xcb8d
		},
		{
		0x85e5,
		0xcb8e
		},
		{
		0x85e6,
		0xcb8f
		},
		{
		0x85e7,
		0xcb90
		},
		{
		0x85e8,
		0xcb91
		},
		{
		0x85ea,
		0xcb92
		},
		{
		0x85eb,
		0xcb93
		},
		{
		0x85ec,
		0xcb94
		},
		{
		0x85ed,
		0xcb95
		},
		{
		0x85ee,
		0xcb96
		},
		{
		0x85ef,
		0xcb97
		},
		{
		0x85f0,
		0xcb98
		},
		{
		0x85f1,
		0xcb99
		},
		{
		0x85f2,
		0xcb9a
		},
		{
		0x85f3,
		0xcb9b
		},
		{
		0x85f4,
		0xcb9c
		},
		{
		0x85f5,
		0xcb9d
		},
		{
		0x85f6,
		0xcb9e
		},
		{
		0x85f7,
		0xcb9f
		},
		{
		0x85f8,
		0xcba0
		},
		{
		0x85f9,
		0xcc40
		},
		{
		0x85fa,
		0xcc41
		},
		{
		0x85fc,
		0xcc42
		},
		{
		0x85fd,
		0xcc43
		},
		{
		0x85fe,
		0xcc44
		},
		{
		0x8600,
		0xcc45
		},
		{
		0x8601,
		0xcc46
		},
		{
		0x8602,
		0xcc47
		},
		{
		0x8603,
		0xcc48
		},
		{
		0x8604,
		0xcc49
		},
		{
		0x8606,
		0xcc4a
		},
		{
		0x8607,
		0xcc4b
		},
		{
		0x8608,
		0xcc4c
		},
		{
		0x8609,
		0xcc4d
		},
		{
		0x860a,
		0xcc4e
		},
		{
		0x860b,
		0xcc4f
		},
		{
		0x860c,
		0xcc50
		},
		{
		0x860d,
		0xcc51
		},
		{
		0x860e,
		0xcc52
		},
		{
		0x860f,
		0xcc53
		},
		{
		0x8610,
		0xcc54
		},
		{
		0x8612,
		0xcc55
		},
		{
		0x8613,
		0xcc56
		},
		{
		0x8614,
		0xcc57
		},
		{
		0x8615,
		0xcc58
		},
		{
		0x8617,
		0xcc59
		},
		{
		0x8618,
		0xcc5a
		},
		{
		0x8619,
		0xcc5b
		},
		{
		0x861a,
		0xcc5c
		},
		{
		0x861b,
		0xcc5d
		},
		{
		0x861c,
		0xcc5e
		},
		{
		0x861d,
		0xcc5f
		},
		{
		0x861e,
		0xcc60
		},
		{
		0x861f,
		0xcc61
		},
		{
		0x8620,
		0xcc62
		},
		{
		0x8621,
		0xcc63
		},
		{
		0x8622,
		0xcc64
		},
		{
		0x8623,
		0xcc65
		},
		{
		0x8624,
		0xcc66
		},
		{
		0x8625,
		0xcc67
		},
		{
		0x8626,
		0xcc68
		},
		{
		0x8628,
		0xcc69
		},
		{
		0x862a,
		0xcc6a
		},
		{
		0x862b,
		0xcc6b
		},
		{
		0x862c,
		0xcc6c
		},
		{
		0x862d,
		0xcc6d
		},
		{
		0x862e,
		0xcc6e
		},
		{
		0x862f,
		0xcc6f
		},
		{
		0x8630,
		0xcc70
		},
		{
		0x8631,
		0xcc71
		},
		{
		0x8632,
		0xcc72
		},
		{
		0x8633,
		0xcc73
		},
		{
		0x8634,
		0xcc74
		},
		{
		0x8635,
		0xcc75
		},
		{
		0x8636,
		0xcc76
		},
		{
		0x8637,
		0xcc77
		},
		{
		0x8639,
		0xcc78
		},
		{
		0x863a,
		0xcc79
		},
		{
		0x863b,
		0xcc7a
		},
		{
		0x863d,
		0xcc7b
		},
		{
		0x863e,
		0xcc7c
		},
		{
		0x863f,
		0xcc7d
		},
		{
		0x8640,
		0xcc7e
		},
		{
		0x8641,
		0xcc80
		},
		{
		0x8642,
		0xcc81
		},
		{
		0x8643,
		0xcc82
		},
		{
		0x8644,
		0xcc83
		},
		{
		0x8645,
		0xcc84
		},
		{
		0x8646,
		0xcc85
		},
		{
		0x8647,
		0xcc86
		},
		{
		0x8648,
		0xcc87
		},
		{
		0x8649,
		0xcc88
		},
		{
		0x864a,
		0xcc89
		},
		{
		0x864b,
		0xcc8a
		},
		{
		0x864c,
		0xcc8b
		},
		{
		0x8652,
		0xcc8c
		},
		{
		0x8653,
		0xcc8d
		},
		{
		0x8655,
		0xcc8e
		},
		{
		0x8656,
		0xcc8f
		},
		{
		0x8657,
		0xcc90
		},
		{
		0x8658,
		0xcc91
		},
		{
		0x8659,
		0xcc92
		},
		{
		0x865b,
		0xcc93
		},
		{
		0x865c,
		0xcc94
		},
		{
		0x865d,
		0xcc95
		},
		{
		0x865f,
		0xcc96
		},
		{
		0x8660,
		0xcc97
		},
		{
		0x8661,
		0xcc98
		},
		{
		0x8663,
		0xcc99
		},
		{
		0x8664,
		0xcc9a
		},
		{
		0x8665,
		0xcc9b
		},
		{
		0x8666,
		0xcc9c
		},
		{
		0x8667,
		0xcc9d
		},
		{
		0x8668,
		0xcc9e
		},
		{
		0x8669,
		0xcc9f
		},
		{
		0x866a,
		0xcca0
		},
		{
		0x866d,
		0xcd40
		},
		{
		0x866f,
		0xcd41
		},
		{
		0x8670,
		0xcd42
		},
		{
		0x8672,
		0xcd43
		},
		{
		0x8673,
		0xcd44
		},
		{
		0x8674,
		0xcd45
		},
		{
		0x8675,
		0xcd46
		},
		{
		0x8676,
		0xcd47
		},
		{
		0x8677,
		0xcd48
		},
		{
		0x8678,
		0xcd49
		},
		{
		0x8683,
		0xcd4a
		},
		{
		0x8684,
		0xcd4b
		},
		{
		0x8685,
		0xcd4c
		},
		{
		0x8686,
		0xcd4d
		},
		{
		0x8687,
		0xcd4e
		},
		{
		0x8688,
		0xcd4f
		},
		{
		0x8689,
		0xcd50
		},
		{
		0x868e,
		0xcd51
		},
		{
		0x868f,
		0xcd52
		},
		{
		0x8690,
		0xcd53
		},
		{
		0x8691,
		0xcd54
		},
		{
		0x8692,
		0xcd55
		},
		{
		0x8694,
		0xcd56
		},
		{
		0x8696,
		0xcd57
		},
		{
		0x8697,
		0xcd58
		},
		{
		0x8698,
		0xcd59
		},
		{
		0x8699,
		0xcd5a
		},
		{
		0x869a,
		0xcd5b
		},
		{
		0x869b,
		0xcd5c
		},
		{
		0x869e,
		0xcd5d
		},
		{
		0x869f,
		0xcd5e
		},
		{
		0x86a0,
		0xcd5f
		},
		{
		0x86a1,
		0xcd60
		},
		{
		0x86a2,
		0xcd61
		},
		{
		0x86a5,
		0xcd62
		},
		{
		0x86a6,
		0xcd63
		},
		{
		0x86ab,
		0xcd64
		},
		{
		0x86ad,
		0xcd65
		},
		{
		0x86ae,
		0xcd66
		},
		{
		0x86b2,
		0xcd67
		},
		{
		0x86b3,
		0xcd68
		},
		{
		0x86b7,
		0xcd69
		},
		{
		0x86b8,
		0xcd6a
		},
		{
		0x86b9,
		0xcd6b
		},
		{
		0x86bb,
		0xcd6c
		},
		{
		0x86bc,
		0xcd6d
		},
		{
		0x86bd,
		0xcd6e
		},
		{
		0x86be,
		0xcd6f
		},
		{
		0x86bf,
		0xcd70
		},
		{
		0x86c1,
		0xcd71
		},
		{
		0x86c2,
		0xcd72
		},
		{
		0x86c3,
		0xcd73
		},
		{
		0x86c5,
		0xcd74
		},
		{
		0x86c8,
		0xcd75
		},
		{
		0x86cc,
		0xcd76
		},
		{
		0x86cd,
		0xcd77
		},
		{
		0x86d2,
		0xcd78
		},
		{
		0x86d3,
		0xcd79
		},
		{
		0x86d5,
		0xcd7a
		},
		{
		0x86d6,
		0xcd7b
		},
		{
		0x86d7,
		0xcd7c
		},
		{
		0x86da,
		0xcd7d
		},
		{
		0x86dc,
		0xcd7e
		},
		{
		0x86dd,
		0xcd80
		},
		{
		0x86e0,
		0xcd81
		},
		{
		0x86e1,
		0xcd82
		},
		{
		0x86e2,
		0xcd83
		},
		{
		0x86e3,
		0xcd84
		},
		{
		0x86e5,
		0xcd85
		},
		{
		0x86e6,
		0xcd86
		},
		{
		0x86e7,
		0xcd87
		},
		{
		0x86e8,
		0xcd88
		},
		{
		0x86ea,
		0xcd89
		},
		{
		0x86eb,
		0xcd8a
		},
		{
		0x86ec,
		0xcd8b
		},
		{
		0x86ef,
		0xcd8c
		},
		{
		0x86f5,
		0xcd8d
		},
		{
		0x86f6,
		0xcd8e
		},
		{
		0x86f7,
		0xcd8f
		},
		{
		0x86fa,
		0xcd90
		},
		{
		0x86fb,
		0xcd91
		},
		{
		0x86fc,
		0xcd92
		},
		{
		0x86fd,
		0xcd93
		},
		{
		0x86ff,
		0xcd94
		},
		{
		0x8701,
		0xcd95
		},
		{
		0x8704,
		0xcd96
		},
		{
		0x8705,
		0xcd97
		},
		{
		0x8706,
		0xcd98
		},
		{
		0x870b,
		0xcd99
		},
		{
		0x870c,
		0xcd9a
		},
		{
		0x870e,
		0xcd9b
		},
		{
		0x870f,
		0xcd9c
		},
		{
		0x8710,
		0xcd9d
		},
		{
		0x8711,
		0xcd9e
		},
		{
		0x8714,
		0xcd9f
		},
		{
		0x8716,
		0xcda0
		},
		{
		0x8719,
		0xce40
		},
		{
		0x871b,
		0xce41
		},
		{
		0x871d,
		0xce42
		},
		{
		0x871f,
		0xce43
		},
		{
		0x8720,
		0xce44
		},
		{
		0x8724,
		0xce45
		},
		{
		0x8726,
		0xce46
		},
		{
		0x8727,
		0xce47
		},
		{
		0x8728,
		0xce48
		},
		{
		0x872a,
		0xce49
		},
		{
		0x872b,
		0xce4a
		},
		{
		0x872c,
		0xce4b
		},
		{
		0x872d,
		0xce4c
		},
		{
		0x872f,
		0xce4d
		},
		{
		0x8730,
		0xce4e
		},
		{
		0x8732,
		0xce4f
		},
		{
		0x8733,
		0xce50
		},
		{
		0x8735,
		0xce51
		},
		{
		0x8736,
		0xce52
		},
		{
		0x8738,
		0xce53
		},
		{
		0x8739,
		0xce54
		},
		{
		0x873a,
		0xce55
		},
		{
		0x873c,
		0xce56
		},
		{
		0x873d,
		0xce57
		},
		{
		0x8740,
		0xce58
		},
		{
		0x8741,
		0xce59
		},
		{
		0x8742,
		0xce5a
		},
		{
		0x8743,
		0xce5b
		},
		{
		0x8744,
		0xce5c
		},
		{
		0x8745,
		0xce5d
		},
		{
		0x8746,
		0xce5e
		},
		{
		0x874a,
		0xce5f
		},
		{
		0x874b,
		0xce60
		},
		{
		0x874d,
		0xce61
		},
		{
		0x874f,
		0xce62
		},
		{
		0x8750,
		0xce63
		},
		{
		0x8751,
		0xce64
		},
		{
		0x8752,
		0xce65
		},
		{
		0x8754,
		0xce66
		},
		{
		0x8755,
		0xce67
		},
		{
		0x8756,
		0xce68
		},
		{
		0x8758,
		0xce69
		},
		{
		0x875a,
		0xce6a
		},
		{
		0x875b,
		0xce6b
		},
		{
		0x875c,
		0xce6c
		},
		{
		0x875d,
		0xce6d
		},
		{
		0x875e,
		0xce6e
		},
		{
		0x875f,
		0xce6f
		},
		{
		0x8761,
		0xce70
		},
		{
		0x8762,
		0xce71
		},
		{
		0x8766,
		0xce72
		},
		{
		0x8767,
		0xce73
		},
		{
		0x8768,
		0xce74
		},
		{
		0x8769,
		0xce75
		},
		{
		0x876a,
		0xce76
		},
		{
		0x876b,
		0xce77
		},
		{
		0x876c,
		0xce78
		},
		{
		0x876d,
		0xce79
		},
		{
		0x876f,
		0xce7a
		},
		{
		0x8771,
		0xce7b
		},
		{
		0x8772,
		0xce7c
		},
		{
		0x8773,
		0xce7d
		},
		{
		0x8775,
		0xce7e
		},
		{
		0x8777,
		0xce80
		},
		{
		0x8778,
		0xce81
		},
		{
		0x8779,
		0xce82
		},
		{
		0x877a,
		0xce83
		},
		{
		0x877f,
		0xce84
		},
		{
		0x8780,
		0xce85
		},
		{
		0x8781,
		0xce86
		},
		{
		0x8784,
		0xce87
		},
		{
		0x8786,
		0xce88
		},
		{
		0x8787,
		0xce89
		},
		{
		0x8789,
		0xce8a
		},
		{
		0x878a,
		0xce8b
		},
		{
		0x878c,
		0xce8c
		},
		{
		0x878e,
		0xce8d
		},
		{
		0x878f,
		0xce8e
		},
		{
		0x8790,
		0xce8f
		},
		{
		0x8791,
		0xce90
		},
		{
		0x8792,
		0xce91
		},
		{
		0x8794,
		0xce92
		},
		{
		0x8795,
		0xce93
		},
		{
		0x8796,
		0xce94
		},
		{
		0x8798,
		0xce95
		},
		{
		0x8799,
		0xce96
		},
		{
		0x879a,
		0xce97
		},
		{
		0x879b,
		0xce98
		},
		{
		0x879c,
		0xce99
		},
		{
		0x879d,
		0xce9a
		},
		{
		0x879e,
		0xce9b
		},
		{
		0x87a0,
		0xce9c
		},
		{
		0x87a1,
		0xce9d
		},
		{
		0x87a2,
		0xce9e
		},
		{
		0x87a3,
		0xce9f
		},
		{
		0x87a4,
		0xcea0
		},
		{
		0x87a5,
		0xcf40
		},
		{
		0x87a6,
		0xcf41
		},
		{
		0x87a7,
		0xcf42
		},
		{
		0x87a9,
		0xcf43
		},
		{
		0x87aa,
		0xcf44
		},
		{
		0x87ae,
		0xcf45
		},
		{
		0x87b0,
		0xcf46
		},
		{
		0x87b1,
		0xcf47
		},
		{
		0x87b2,
		0xcf48
		},
		{
		0x87b4,
		0xcf49
		},
		{
		0x87b6,
		0xcf4a
		},
		{
		0x87b7,
		0xcf4b
		},
		{
		0x87b8,
		0xcf4c
		},
		{
		0x87b9,
		0xcf4d
		},
		{
		0x87bb,
		0xcf4e
		},
		{
		0x87bc,
		0xcf4f
		},
		{
		0x87be,
		0xcf50
		},
		{
		0x87bf,
		0xcf51
		},
		{
		0x87c1,
		0xcf52
		},
		{
		0x87c2,
		0xcf53
		},
		{
		0x87c3,
		0xcf54
		},
		{
		0x87c4,
		0xcf55
		},
		{
		0x87c5,
		0xcf56
		},
		{
		0x87c7,
		0xcf57
		},
		{
		0x87c8,
		0xcf58
		},
		{
		0x87c9,
		0xcf59
		},
		{
		0x87cc,
		0xcf5a
		},
		{
		0x87cd,
		0xcf5b
		},
		{
		0x87ce,
		0xcf5c
		},
		{
		0x87cf,
		0xcf5d
		},
		{
		0x87d0,
		0xcf5e
		},
		{
		0x87d4,
		0xcf5f
		},
		{
		0x87d5,
		0xcf60
		},
		{
		0x87d6,
		0xcf61
		},
		{
		0x87d7,
		0xcf62
		},
		{
		0x87d8,
		0xcf63
		},
		{
		0x87d9,
		0xcf64
		},
		{
		0x87da,
		0xcf65
		},
		{
		0x87dc,
		0xcf66
		},
		{
		0x87dd,
		0xcf67
		},
		{
		0x87de,
		0xcf68
		},
		{
		0x87df,
		0xcf69
		},
		{
		0x87e1,
		0xcf6a
		},
		{
		0x87e2,
		0xcf6b
		},
		{
		0x87e3,
		0xcf6c
		},
		{
		0x87e4,
		0xcf6d
		},
		{
		0x87e6,
		0xcf6e
		},
		{
		0x87e7,
		0xcf6f
		},
		{
		0x87e8,
		0xcf70
		},
		{
		0x87e9,
		0xcf71
		},
		{
		0x87eb,
		0xcf72
		},
		{
		0x87ec,
		0xcf73
		},
		{
		0x87ed,
		0xcf74
		},
		{
		0x87ef,
		0xcf75
		},
		{
		0x87f0,
		0xcf76
		},
		{
		0x87f1,
		0xcf77
		},
		{
		0x87f2,
		0xcf78
		},
		{
		0x87f3,
		0xcf79
		},
		{
		0x87f4,
		0xcf7a
		},
		{
		0x87f5,
		0xcf7b
		},
		{
		0x87f6,
		0xcf7c
		},
		{
		0x87f7,
		0xcf7d
		},
		{
		0x87f8,
		0xcf7e
		},
		{
		0x87fa,
		0xcf80
		},
		{
		0x87fb,
		0xcf81
		},
		{
		0x87fc,
		0xcf82
		},
		{
		0x87fd,
		0xcf83
		},
		{
		0x87ff,
		0xcf84
		},
		{
		0x8800,
		0xcf85
		},
		{
		0x8801,
		0xcf86
		},
		{
		0x8802,
		0xcf87
		},
		{
		0x8804,
		0xcf88
		},
		{
		0x8805,
		0xcf89
		},
		{
		0x8806,
		0xcf8a
		},
		{
		0x8807,
		0xcf8b
		},
		{
		0x8808,
		0xcf8c
		},
		{
		0x8809,
		0xcf8d
		},
		{
		0x880b,
		0xcf8e
		},
		{
		0x880c,
		0xcf8f
		},
		{
		0x880d,
		0xcf90
		},
		{
		0x880e,
		0xcf91
		},
		{
		0x880f,
		0xcf92
		},
		{
		0x8810,
		0xcf93
		},
		{
		0x8811,
		0xcf94
		},
		{
		0x8812,
		0xcf95
		},
		{
		0x8814,
		0xcf96
		},
		{
		0x8817,
		0xcf97
		},
		{
		0x8818,
		0xcf98
		},
		{
		0x8819,
		0xcf99
		},
		{
		0x881a,
		0xcf9a
		},
		{
		0x881c,
		0xcf9b
		},
		{
		0x881d,
		0xcf9c
		},
		{
		0x881e,
		0xcf9d
		},
		{
		0x881f,
		0xcf9e
		},
		{
		0x8820,
		0xcf9f
		},
		{
		0x8823,
		0xcfa0
		},
		{
		0x8824,
		0xd040
		},
		{
		0x8825,
		0xd041
		},
		{
		0x8826,
		0xd042
		},
		{
		0x8827,
		0xd043
		},
		{
		0x8828,
		0xd044
		},
		{
		0x8829,
		0xd045
		},
		{
		0x882a,
		0xd046
		},
		{
		0x882b,
		0xd047
		},
		{
		0x882c,
		0xd048
		},
		{
		0x882d,
		0xd049
		},
		{
		0x882e,
		0xd04a
		},
		{
		0x882f,
		0xd04b
		},
		{
		0x8830,
		0xd04c
		},
		{
		0x8831,
		0xd04d
		},
		{
		0x8833,
		0xd04e
		},
		{
		0x8834,
		0xd04f
		},
		{
		0x8835,
		0xd050
		},
		{
		0x8836,
		0xd051
		},
		{
		0x8837,
		0xd052
		},
		{
		0x8838,
		0xd053
		},
		{
		0x883a,
		0xd054
		},
		{
		0x883b,
		0xd055
		},
		{
		0x883d,
		0xd056
		},
		{
		0x883e,
		0xd057
		},
		{
		0x883f,
		0xd058
		},
		{
		0x8841,
		0xd059
		},
		{
		0x8842,
		0xd05a
		},
		{
		0x8843,
		0xd05b
		},
		{
		0x8846,
		0xd05c
		},
		{
		0x8847,
		0xd05d
		},
		{
		0x8848,
		0xd05e
		},
		{
		0x8849,
		0xd05f
		},
		{
		0x884a,
		0xd060
		},
		{
		0x884b,
		0xd061
		},
		{
		0x884e,
		0xd062
		},
		{
		0x884f,
		0xd063
		},
		{
		0x8850,
		0xd064
		},
		{
		0x8851,
		0xd065
		},
		{
		0x8852,
		0xd066
		},
		{
		0x8853,
		0xd067
		},
		{
		0x8855,
		0xd068
		},
		{
		0x8856,
		0xd069
		},
		{
		0x8858,
		0xd06a
		},
		{
		0x885a,
		0xd06b
		},
		{
		0x885b,
		0xd06c
		},
		{
		0x885c,
		0xd06d
		},
		{
		0x885d,
		0xd06e
		},
		{
		0x885e,
		0xd06f
		},
		{
		0x885f,
		0xd070
		},
		{
		0x8860,
		0xd071
		},
		{
		0x8866,
		0xd072
		},
		{
		0x8867,
		0xd073
		},
		{
		0x886a,
		0xd074
		},
		{
		0x886d,
		0xd075
		},
		{
		0x886f,
		0xd076
		},
		{
		0x8871,
		0xd077
		},
		{
		0x8873,
		0xd078
		},
		{
		0x8874,
		0xd079
		},
		{
		0x8875,
		0xd07a
		},
		{
		0x8876,
		0xd07b
		},
		{
		0x8878,
		0xd07c
		},
		{
		0x8879,
		0xd07d
		},
		{
		0x887a,
		0xd07e
		},
		{
		0x887b,
		0xd080
		},
		{
		0x887c,
		0xd081
		},
		{
		0x8880,
		0xd082
		},
		{
		0x8883,
		0xd083
		},
		{
		0x8886,
		0xd084
		},
		{
		0x8887,
		0xd085
		},
		{
		0x8889,
		0xd086
		},
		{
		0x888a,
		0xd087
		},
		{
		0x888c,
		0xd088
		},
		{
		0x888e,
		0xd089
		},
		{
		0x888f,
		0xd08a
		},
		{
		0x8890,
		0xd08b
		},
		{
		0x8891,
		0xd08c
		},
		{
		0x8893,
		0xd08d
		},
		{
		0x8894,
		0xd08e
		},
		{
		0x8895,
		0xd08f
		},
		{
		0x8897,
		0xd090
		},
		{
		0x8898,
		0xd091
		},
		{
		0x8899,
		0xd092
		},
		{
		0x889a,
		0xd093
		},
		{
		0x889b,
		0xd094
		},
		{
		0x889d,
		0xd095
		},
		{
		0x889e,
		0xd096
		},
		{
		0x889f,
		0xd097
		},
		{
		0x88a0,
		0xd098
		},
		{
		0x88a1,
		0xd099
		},
		{
		0x88a3,
		0xd09a
		},
		{
		0x88a5,
		0xd09b
		},
		{
		0x88a6,
		0xd09c
		},
		{
		0x88a7,
		0xd09d
		},
		{
		0x88a8,
		0xd09e
		},
		{
		0x88a9,
		0xd09f
		},
		{
		0x88aa,
		0xd0a0
		},
		{
		0x88ac,
		0xd140
		},
		{
		0x88ae,
		0xd141
		},
		{
		0x88af,
		0xd142
		},
		{
		0x88b0,
		0xd143
		},
		{
		0x88b2,
		0xd144
		},
		{
		0x88b3,
		0xd145
		},
		{
		0x88b4,
		0xd146
		},
		{
		0x88b5,
		0xd147
		},
		{
		0x88b6,
		0xd148
		},
		{
		0x88b8,
		0xd149
		},
		{
		0x88b9,
		0xd14a
		},
		{
		0x88ba,
		0xd14b
		},
		{
		0x88bb,
		0xd14c
		},
		{
		0x88bd,
		0xd14d
		},
		{
		0x88be,
		0xd14e
		},
		{
		0x88bf,
		0xd14f
		},
		{
		0x88c0,
		0xd150
		},
		{
		0x88c3,
		0xd151
		},
		{
		0x88c4,
		0xd152
		},
		{
		0x88c7,
		0xd153
		},
		{
		0x88c8,
		0xd154
		},
		{
		0x88ca,
		0xd155
		},
		{
		0x88cb,
		0xd156
		},
		{
		0x88cc,
		0xd157
		},
		{
		0x88cd,
		0xd158
		},
		{
		0x88cf,
		0xd159
		},
		{
		0x88d0,
		0xd15a
		},
		{
		0x88d1,
		0xd15b
		},
		{
		0x88d3,
		0xd15c
		},
		{
		0x88d6,
		0xd15d
		},
		{
		0x88d7,
		0xd15e
		},
		{
		0x88da,
		0xd15f
		},
		{
		0x88db,
		0xd160
		},
		{
		0x88dc,
		0xd161
		},
		{
		0x88dd,
		0xd162
		},
		{
		0x88de,
		0xd163
		},
		{
		0x88e0,
		0xd164
		},
		{
		0x88e1,
		0xd165
		},
		{
		0x88e6,
		0xd166
		},
		{
		0x88e7,
		0xd167
		},
		{
		0x88e9,
		0xd168
		},
		{
		0x88ea,
		0xd169
		},
		{
		0x88eb,
		0xd16a
		},
		{
		0x88ec,
		0xd16b
		},
		{
		0x88ed,
		0xd16c
		},
		{
		0x88ee,
		0xd16d
		},
		{
		0x88ef,
		0xd16e
		},
		{
		0x88f2,
		0xd16f
		},
		{
		0x88f5,
		0xd170
		},
		{
		0x88f6,
		0xd171
		},
		{
		0x88f7,
		0xd172
		},
		{
		0x88fa,
		0xd173
		},
		{
		0x88fb,
		0xd174
		},
		{
		0x88fd,
		0xd175
		},
		{
		0x88ff,
		0xd176
		},
		{
		0x8900,
		0xd177
		},
		{
		0x8901,
		0xd178
		},
		{
		0x8903,
		0xd179
		},
		{
		0x8904,
		0xd17a
		},
		{
		0x8905,
		0xd17b
		},
		{
		0x8906,
		0xd17c
		},
		{
		0x8907,
		0xd17d
		},
		{
		0x8908,
		0xd17e
		},
		{
		0x8909,
		0xd180
		},
		{
		0x890b,
		0xd181
		},
		{
		0x890c,
		0xd182
		},
		{
		0x890d,
		0xd183
		},
		{
		0x890e,
		0xd184
		},
		{
		0x890f,
		0xd185
		},
		{
		0x8911,
		0xd186
		},
		{
		0x8914,
		0xd187
		},
		{
		0x8915,
		0xd188
		},
		{
		0x8916,
		0xd189
		},
		{
		0x8917,
		0xd18a
		},
		{
		0x8918,
		0xd18b
		},
		{
		0x891c,
		0xd18c
		},
		{
		0x891d,
		0xd18d
		},
		{
		0x891e,
		0xd18e
		},
		{
		0x891f,
		0xd18f
		},
		{
		0x8920,
		0xd190
		},
		{
		0x8922,
		0xd191
		},
		{
		0x8923,
		0xd192
		},
		{
		0x8924,
		0xd193
		},
		{
		0x8926,
		0xd194
		},
		{
		0x8927,
		0xd195
		},
		{
		0x8928,
		0xd196
		},
		{
		0x8929,
		0xd197
		},
		{
		0x892c,
		0xd198
		},
		{
		0x892d,
		0xd199
		},
		{
		0x892e,
		0xd19a
		},
		{
		0x892f,
		0xd19b
		},
		{
		0x8931,
		0xd19c
		},
		{
		0x8932,
		0xd19d
		},
		{
		0x8933,
		0xd19e
		},
		{
		0x8935,
		0xd19f
		},
		{
		0x8937,
		0xd1a0
		},
		{
		0x8938,
		0xd240
		},
		{
		0x8939,
		0xd241
		},
		{
		0x893a,
		0xd242
		},
		{
		0x893b,
		0xd243
		},
		{
		0x893c,
		0xd244
		},
		{
		0x893d,
		0xd245
		},
		{
		0x893e,
		0xd246
		},
		{
		0x893f,
		0xd247
		},
		{
		0x8940,
		0xd248
		},
		{
		0x8942,
		0xd249
		},
		{
		0x8943,
		0xd24a
		},
		{
		0x8945,
		0xd24b
		},
		{
		0x8946,
		0xd24c
		},
		{
		0x8947,
		0xd24d
		},
		{
		0x8948,
		0xd24e
		},
		{
		0x8949,
		0xd24f
		},
		{
		0x894a,
		0xd250
		},
		{
		0x894b,
		0xd251
		},
		{
		0x894c,
		0xd252
		},
		{
		0x894d,
		0xd253
		},
		{
		0x894e,
		0xd254
		},
		{
		0x894f,
		0xd255
		},
		{
		0x8950,
		0xd256
		},
		{
		0x8951,
		0xd257
		},
		{
		0x8952,
		0xd258
		},
		{
		0x8953,
		0xd259
		},
		{
		0x8954,
		0xd25a
		},
		{
		0x8955,
		0xd25b
		},
		{
		0x8956,
		0xd25c
		},
		{
		0x8957,
		0xd25d
		},
		{
		0x8958,
		0xd25e
		},
		{
		0x8959,
		0xd25f
		},
		{
		0x895a,
		0xd260
		},
		{
		0x895b,
		0xd261
		},
		{
		0x895c,
		0xd262
		},
		{
		0x895d,
		0xd263
		},
		{
		0x8960,
		0xd264
		},
		{
		0x8961,
		0xd265
		},
		{
		0x8962,
		0xd266
		},
		{
		0x8963,
		0xd267
		},
		{
		0x8964,
		0xd268
		},
		{
		0x8965,
		0xd269
		},
		{
		0x8967,
		0xd26a
		},
		{
		0x8968,
		0xd26b
		},
		{
		0x8969,
		0xd26c
		},
		{
		0x896a,
		0xd26d
		},
		{
		0x896b,
		0xd26e
		},
		{
		0x896c,
		0xd26f
		},
		{
		0x896d,
		0xd270
		},
		{
		0x896e,
		0xd271
		},
		{
		0x896f,
		0xd272
		},
		{
		0x8970,
		0xd273
		},
		{
		0x8971,
		0xd274
		},
		{
		0x8972,
		0xd275
		},
		{
		0x8973,
		0xd276
		},
		{
		0x8974,
		0xd277
		},
		{
		0x8975,
		0xd278
		},
		{
		0x8976,
		0xd279
		},
		{
		0x8977,
		0xd27a
		},
		{
		0x8978,
		0xd27b
		},
		{
		0x8979,
		0xd27c
		},
		{
		0x897a,
		0xd27d
		},
		{
		0x897c,
		0xd27e
		},
		{
		0x897d,
		0xd280
		},
		{
		0x897e,
		0xd281
		},
		{
		0x8980,
		0xd282
		},
		{
		0x8982,
		0xd283
		},
		{
		0x8984,
		0xd284
		},
		{
		0x8985,
		0xd285
		},
		{
		0x8987,
		0xd286
		},
		{
		0x8988,
		0xd287
		},
		{
		0x8989,
		0xd288
		},
		{
		0x898a,
		0xd289
		},
		{
		0x898b,
		0xd28a
		},
		{
		0x898c,
		0xd28b
		},
		{
		0x898d,
		0xd28c
		},
		{
		0x898e,
		0xd28d
		},
		{
		0x898f,
		0xd28e
		},
		{
		0x8990,
		0xd28f
		},
		{
		0x8991,
		0xd290
		},
		{
		0x8992,
		0xd291
		},
		{
		0x8993,
		0xd292
		},
		{
		0x8994,
		0xd293
		},
		{
		0x8995,
		0xd294
		},
		{
		0x8996,
		0xd295
		},
		{
		0x8997,
		0xd296
		},
		{
		0x8998,
		0xd297
		},
		{
		0x8999,
		0xd298
		},
		{
		0x899a,
		0xd299
		},
		{
		0x899b,
		0xd29a
		},
		{
		0x899c,
		0xd29b
		},
		{
		0x899d,
		0xd29c
		},
		{
		0x899e,
		0xd29d
		},
		{
		0x899f,
		0xd29e
		},
		{
		0x89a0,
		0xd29f
		},
		{
		0x89a1,
		0xd2a0
		},
		{
		0x89a2,
		0xd340
		},
		{
		0x89a3,
		0xd341
		},
		{
		0x89a4,
		0xd342
		},
		{
		0x89a5,
		0xd343
		},
		{
		0x89a6,
		0xd344
		},
		{
		0x89a7,
		0xd345
		},
		{
		0x89a8,
		0xd346
		},
		{
		0x89a9,
		0xd347
		},
		{
		0x89aa,
		0xd348
		},
		{
		0x89ab,
		0xd349
		},
		{
		0x89ac,
		0xd34a
		},
		{
		0x89ad,
		0xd34b
		},
		{
		0x89ae,
		0xd34c
		},
		{
		0x89af,
		0xd34d
		},
		{
		0x89b0,
		0xd34e
		},
		{
		0x89b1,
		0xd34f
		},
		{
		0x89b2,
		0xd350
		},
		{
		0x89b3,
		0xd351
		},
		{
		0x89b4,
		0xd352
		},
		{
		0x89b5,
		0xd353
		},
		{
		0x89b6,
		0xd354
		},
		{
		0x89b7,
		0xd355
		},
		{
		0x89b8,
		0xd356
		},
		{
		0x89b9,
		0xd357
		},
		{
		0x89ba,
		0xd358
		},
		{
		0x89bb,
		0xd359
		},
		{
		0x89bc,
		0xd35a
		},
		{
		0x89bd,
		0xd35b
		},
		{
		0x89be,
		0xd35c
		},
		{
		0x89bf,
		0xd35d
		},
		{
		0x89c0,
		0xd35e
		},
		{
		0x89c3,
		0xd35f
		},
		{
		0x89cd,
		0xd360
		},
		{
		0x89d3,
		0xd361
		},
		{
		0x89d4,
		0xd362
		},
		{
		0x89d5,
		0xd363
		},
		{
		0x89d7,
		0xd364
		},
		{
		0x89d8,
		0xd365
		},
		{
		0x89d9,
		0xd366
		},
		{
		0x89db,
		0xd367
		},
		{
		0x89dd,
		0xd368
		},
		{
		0x89df,
		0xd369
		},
		{
		0x89e0,
		0xd36a
		},
		{
		0x89e1,
		0xd36b
		},
		{
		0x89e2,
		0xd36c
		},
		{
		0x89e4,
		0xd36d
		},
		{
		0x89e7,
		0xd36e
		},
		{
		0x89e8,
		0xd36f
		},
		{
		0x89e9,
		0xd370
		},
		{
		0x89ea,
		0xd371
		},
		{
		0x89ec,
		0xd372
		},
		{
		0x89ed,
		0xd373
		},
		{
		0x89ee,
		0xd374
		},
		{
		0x89f0,
		0xd375
		},
		{
		0x89f1,
		0xd376
		},
		{
		0x89f2,
		0xd377
		},
		{
		0x89f4,
		0xd378
		},
		{
		0x89f5,
		0xd379
		},
		{
		0x89f6,
		0xd37a
		},
		{
		0x89f7,
		0xd37b
		},
		{
		0x89f8,
		0xd37c
		},
		{
		0x89f9,
		0xd37d
		},
		{
		0x89fa,
		0xd37e
		},
		{
		0x89fb,
		0xd380
		},
		{
		0x89fc,
		0xd381
		},
		{
		0x89fd,
		0xd382
		},
		{
		0x89fe,
		0xd383
		},
		{
		0x89ff,
		0xd384
		},
		{
		0x8a01,
		0xd385
		},
		{
		0x8a02,
		0xd386
		},
		{
		0x8a03,
		0xd387
		},
		{
		0x8a04,
		0xd388
		},
		{
		0x8a05,
		0xd389
		},
		{
		0x8a06,
		0xd38a
		},
		{
		0x8a08,
		0xd38b
		},
		{
		0x8a09,
		0xd38c
		},
		{
		0x8a0a,
		0xd38d
		},
		{
		0x8a0b,
		0xd38e
		},
		{
		0x8a0c,
		0xd38f
		},
		{
		0x8a0d,
		0xd390
		},
		{
		0x8a0e,
		0xd391
		},
		{
		0x8a0f,
		0xd392
		},
		{
		0x8a10,
		0xd393
		},
		{
		0x8a11,
		0xd394
		},
		{
		0x8a12,
		0xd395
		},
		{
		0x8a13,
		0xd396
		},
		{
		0x8a14,
		0xd397
		},
		{
		0x8a15,
		0xd398
		},
		{
		0x8a16,
		0xd399
		},
		{
		0x8a17,
		0xd39a
		},
		{
		0x8a18,
		0xd39b
		},
		{
		0x8a19,
		0xd39c
		},
		{
		0x8a1a,
		0xd39d
		},
		{
		0x8a1b,
		0xd39e
		},
		{
		0x8a1c,
		0xd39f
		},
		{
		0x8a1d,
		0xd3a0
		},
		{
		0x8a1e,
		0xd440
		},
		{
		0x8a1f,
		0xd441
		},
		{
		0x8a20,
		0xd442
		},
		{
		0x8a21,
		0xd443
		},
		{
		0x8a22,
		0xd444
		},
		{
		0x8a23,
		0xd445
		},
		{
		0x8a24,
		0xd446
		},
		{
		0x8a25,
		0xd447
		},
		{
		0x8a26,
		0xd448
		},
		{
		0x8a27,
		0xd449
		},
		{
		0x8a28,
		0xd44a
		},
		{
		0x8a29,
		0xd44b
		},
		{
		0x8a2a,
		0xd44c
		},
		{
		0x8a2b,
		0xd44d
		},
		{
		0x8a2c,
		0xd44e
		},
		{
		0x8a2d,
		0xd44f
		},
		{
		0x8a2e,
		0xd450
		},
		{
		0x8a2f,
		0xd451
		},
		{
		0x8a30,
		0xd452
		},
		{
		0x8a31,
		0xd453
		},
		{
		0x8a32,
		0xd454
		},
		{
		0x8a33,
		0xd455
		},
		{
		0x8a34,
		0xd456
		},
		{
		0x8a35,
		0xd457
		},
		{
		0x8a36,
		0xd458
		},
		{
		0x8a37,
		0xd459
		},
		{
		0x8a38,
		0xd45a
		},
		{
		0x8a39,
		0xd45b
		},
		{
		0x8a3a,
		0xd45c
		},
		{
		0x8a3b,
		0xd45d
		},
		{
		0x8a3c,
		0xd45e
		},
		{
		0x8a3d,
		0xd45f
		},
		{
		0x8a3f,
		0xd460
		},
		{
		0x8a40,
		0xd461
		},
		{
		0x8a41,
		0xd462
		},
		{
		0x8a42,
		0xd463
		},
		{
		0x8a43,
		0xd464
		},
		{
		0x8a44,
		0xd465
		},
		{
		0x8a45,
		0xd466
		},
		{
		0x8a46,
		0xd467
		},
		{
		0x8a47,
		0xd468
		},
		{
		0x8a49,
		0xd469
		},
		{
		0x8a4a,
		0xd46a
		},
		{
		0x8a4b,
		0xd46b
		},
		{
		0x8a4c,
		0xd46c
		},
		{
		0x8a4d,
		0xd46d
		},
		{
		0x8a4e,
		0xd46e
		},
		{
		0x8a4f,
		0xd46f
		},
		{
		0x8a50,
		0xd470
		},
		{
		0x8a51,
		0xd471
		},
		{
		0x8a52,
		0xd472
		},
		{
		0x8a53,
		0xd473
		},
		{
		0x8a54,
		0xd474
		},
		{
		0x8a55,
		0xd475
		},
		{
		0x8a56,
		0xd476
		},
		{
		0x8a57,
		0xd477
		},
		{
		0x8a58,
		0xd478
		},
		{
		0x8a59,
		0xd479
		},
		{
		0x8a5a,
		0xd47a
		},
		{
		0x8a5b,
		0xd47b
		},
		{
		0x8a5c,
		0xd47c
		},
		{
		0x8a5d,
		0xd47d
		},
		{
		0x8a5e,
		0xd47e
		},
		{
		0x8a5f,
		0xd480
		},
		{
		0x8a60,
		0xd481
		},
		{
		0x8a61,
		0xd482
		},
		{
		0x8a62,
		0xd483
		},
		{
		0x8a63,
		0xd484
		},
		{
		0x8a64,
		0xd485
		},
		{
		0x8a65,
		0xd486
		},
		{
		0x8a66,
		0xd487
		},
		{
		0x8a67,
		0xd488
		},
		{
		0x8a68,
		0xd489
		},
		{
		0x8a69,
		0xd48a
		},
		{
		0x8a6a,
		0xd48b
		},
		{
		0x8a6b,
		0xd48c
		},
		{
		0x8a6c,
		0xd48d
		},
		{
		0x8a6d,
		0xd48e
		},
		{
		0x8a6e,
		0xd48f
		},
		{
		0x8a6f,
		0xd490
		},
		{
		0x8a70,
		0xd491
		},
		{
		0x8a71,
		0xd492
		},
		{
		0x8a72,
		0xd493
		},
		{
		0x8a73,
		0xd494
		},
		{
		0x8a74,
		0xd495
		},
		{
		0x8a75,
		0xd496
		},
		{
		0x8a76,
		0xd497
		},
		{
		0x8a77,
		0xd498
		},
		{
		0x8a78,
		0xd499
		},
		{
		0x8a7a,
		0xd49a
		},
		{
		0x8a7b,
		0xd49b
		},
		{
		0x8a7c,
		0xd49c
		},
		{
		0x8a7d,
		0xd49d
		},
		{
		0x8a7e,
		0xd49e
		},
		{
		0x8a7f,
		0xd49f
		},
		{
		0x8a80,
		0xd4a0
		},
		{
		0x8a81,
		0xd540
		},
		{
		0x8a82,
		0xd541
		},
		{
		0x8a83,
		0xd542
		},
		{
		0x8a84,
		0xd543
		},
		{
		0x8a85,
		0xd544
		},
		{
		0x8a86,
		0xd545
		},
		{
		0x8a87,
		0xd546
		},
		{
		0x8a88,
		0xd547
		},
		{
		0x8a8b,
		0xd548
		},
		{
		0x8a8c,
		0xd549
		},
		{
		0x8a8d,
		0xd54a
		},
		{
		0x8a8e,
		0xd54b
		},
		{
		0x8a8f,
		0xd54c
		},
		{
		0x8a90,
		0xd54d
		},
		{
		0x8a91,
		0xd54e
		},
		{
		0x8a92,
		0xd54f
		},
		{
		0x8a94,
		0xd550
		},
		{
		0x8a95,
		0xd551
		},
		{
		0x8a96,
		0xd552
		},
		{
		0x8a97,
		0xd553
		},
		{
		0x8a98,
		0xd554
		},
		{
		0x8a99,
		0xd555
		},
		{
		0x8a9a,
		0xd556
		},
		{
		0x8a9b,
		0xd557
		},
		{
		0x8a9c,
		0xd558
		},
		{
		0x8a9d,
		0xd559
		},
		{
		0x8a9e,
		0xd55a
		},
		{
		0x8a9f,
		0xd55b
		},
		{
		0x8aa0,
		0xd55c
		},
		{
		0x8aa1,
		0xd55d
		},
		{
		0x8aa2,
		0xd55e
		},
		{
		0x8aa3,
		0xd55f
		},
		{
		0x8aa4,
		0xd560
		},
		{
		0x8aa5,
		0xd561
		},
		{
		0x8aa6,
		0xd562
		},
		{
		0x8aa7,
		0xd563
		},
		{
		0x8aa8,
		0xd564
		},
		{
		0x8aa9,
		0xd565
		},
		{
		0x8aaa,
		0xd566
		},
		{
		0x8aab,
		0xd567
		},
		{
		0x8aac,
		0xd568
		},
		{
		0x8aad,
		0xd569
		},
		{
		0x8aae,
		0xd56a
		},
		{
		0x8aaf,
		0xd56b
		},
		{
		0x8ab0,
		0xd56c
		},
		{
		0x8ab1,
		0xd56d
		},
		{
		0x8ab2,
		0xd56e
		},
		{
		0x8ab3,
		0xd56f
		},
		{
		0x8ab4,
		0xd570
		},
		{
		0x8ab5,
		0xd571
		},
		{
		0x8ab6,
		0xd572
		},
		{
		0x8ab7,
		0xd573
		},
		{
		0x8ab8,
		0xd574
		},
		{
		0x8ab9,
		0xd575
		},
		{
		0x8aba,
		0xd576
		},
		{
		0x8abb,
		0xd577
		},
		{
		0x8abc,
		0xd578
		},
		{
		0x8abd,
		0xd579
		},
		{
		0x8abe,
		0xd57a
		},
		{
		0x8abf,
		0xd57b
		},
		{
		0x8ac0,
		0xd57c
		},
		{
		0x8ac1,
		0xd57d
		},
		{
		0x8ac2,
		0xd57e
		},
		{
		0x8ac3,
		0xd580
		},
		{
		0x8ac4,
		0xd581
		},
		{
		0x8ac5,
		0xd582
		},
		{
		0x8ac6,
		0xd583
		},
		{
		0x8ac7,
		0xd584
		},
		{
		0x8ac8,
		0xd585
		},
		{
		0x8ac9,
		0xd586
		},
		{
		0x8aca,
		0xd587
		},
		{
		0x8acb,
		0xd588
		},
		{
		0x8acc,
		0xd589
		},
		{
		0x8acd,
		0xd58a
		},
		{
		0x8ace,
		0xd58b
		},
		{
		0x8acf,
		0xd58c
		},
		{
		0x8ad0,
		0xd58d
		},
		{
		0x8ad1,
		0xd58e
		},
		{
		0x8ad2,
		0xd58f
		},
		{
		0x8ad3,
		0xd590
		},
		{
		0x8ad4,
		0xd591
		},
		{
		0x8ad5,
		0xd592
		},
		{
		0x8ad6,
		0xd593
		},
		{
		0x8ad7,
		0xd594
		},
		{
		0x8ad8,
		0xd595
		},
		{
		0x8ad9,
		0xd596
		},
		{
		0x8ada,
		0xd597
		},
		{
		0x8adb,
		0xd598
		},
		{
		0x8adc,
		0xd599
		},
		{
		0x8add,
		0xd59a
		},
		{
		0x8ade,
		0xd59b
		},
		{
		0x8adf,
		0xd59c
		},
		{
		0x8ae0,
		0xd59d
		},
		{
		0x8ae1,
		0xd59e
		},
		{
		0x8ae2,
		0xd59f
		},
		{
		0x8ae3,
		0xd5a0
		},
		{
		0x8ae4,
		0xd640
		},
		{
		0x8ae5,
		0xd641
		},
		{
		0x8ae6,
		0xd642
		},
		{
		0x8ae7,
		0xd643
		},
		{
		0x8ae8,
		0xd644
		},
		{
		0x8ae9,
		0xd645
		},
		{
		0x8aea,
		0xd646
		},
		{
		0x8aeb,
		0xd647
		},
		{
		0x8aec,
		0xd648
		},
		{
		0x8aed,
		0xd649
		},
		{
		0x8aee,
		0xd64a
		},
		{
		0x8aef,
		0xd64b
		},
		{
		0x8af0,
		0xd64c
		},
		{
		0x8af1,
		0xd64d
		},
		{
		0x8af2,
		0xd64e
		},
		{
		0x8af3,
		0xd64f
		},
		{
		0x8af4,
		0xd650
		},
		{
		0x8af5,
		0xd651
		},
		{
		0x8af6,
		0xd652
		},
		{
		0x8af7,
		0xd653
		},
		{
		0x8af8,
		0xd654
		},
		{
		0x8af9,
		0xd655
		},
		{
		0x8afa,
		0xd656
		},
		{
		0x8afb,
		0xd657
		},
		{
		0x8afc,
		0xd658
		},
		{
		0x8afd,
		0xd659
		},
		{
		0x8afe,
		0xd65a
		},
		{
		0x8aff,
		0xd65b
		},
		{
		0x8b00,
		0xd65c
		},
		{
		0x8b01,
		0xd65d
		},
		{
		0x8b02,
		0xd65e
		},
		{
		0x8b03,
		0xd65f
		},
		{
		0x8b04,
		0xd660
		},
		{
		0x8b05,
		0xd661
		},
		{
		0x8b06,
		0xd662
		},
		{
		0x8b08,
		0xd663
		},
		{
		0x8b09,
		0xd664
		},
		{
		0x8b0a,
		0xd665
		},
		{
		0x8b0b,
		0xd666
		},
		{
		0x8b0c,
		0xd667
		},
		{
		0x8b0d,
		0xd668
		},
		{
		0x8b0e,
		0xd669
		},
		{
		0x8b0f,
		0xd66a
		},
		{
		0x8b10,
		0xd66b
		},
		{
		0x8b11,
		0xd66c
		},
		{
		0x8b12,
		0xd66d
		},
		{
		0x8b13,
		0xd66e
		},
		{
		0x8b14,
		0xd66f
		},
		{
		0x8b15,
		0xd670
		},
		{
		0x8b16,
		0xd671
		},
		{
		0x8b17,
		0xd672
		},
		{
		0x8b18,
		0xd673
		},
		{
		0x8b19,
		0xd674
		},
		{
		0x8b1a,
		0xd675
		},
		{
		0x8b1b,
		0xd676
		},
		{
		0x8b1c,
		0xd677
		},
		{
		0x8b1d,
		0xd678
		},
		{
		0x8b1e,
		0xd679
		},
		{
		0x8b1f,
		0xd67a
		},
		{
		0x8b20,
		0xd67b
		},
		{
		0x8b21,
		0xd67c
		},
		{
		0x8b22,
		0xd67d
		},
		{
		0x8b23,
		0xd67e
		},
		{
		0x8b24,
		0xd680
		},
		{
		0x8b25,
		0xd681
		},
		{
		0x8b27,
		0xd682
		},
		{
		0x8b28,
		0xd683
		},
		{
		0x8b29,
		0xd684
		},
		{
		0x8b2a,
		0xd685
		},
		{
		0x8b2b,
		0xd686
		},
		{
		0x8b2c,
		0xd687
		},
		{
		0x8b2d,
		0xd688
		},
		{
		0x8b2e,
		0xd689
		},
		{
		0x8b2f,
		0xd68a
		},
		{
		0x8b30,
		0xd68b
		},
		{
		0x8b31,
		0xd68c
		},
		{
		0x8b32,
		0xd68d
		},
		{
		0x8b33,
		0xd68e
		},
		{
		0x8b34,
		0xd68f
		},
		{
		0x8b35,
		0xd690
		},
		{
		0x8b36,
		0xd691
		},
		{
		0x8b37,
		0xd692
		},
		{
		0x8b38,
		0xd693
		},
		{
		0x8b39,
		0xd694
		},
		{
		0x8b3a,
		0xd695
		},
		{
		0x8b3b,
		0xd696
		},
		{
		0x8b3c,
		0xd697
		},
		{
		0x8b3d,
		0xd698
		},
		{
		0x8b3e,
		0xd699
		},
		{
		0x8b3f,
		0xd69a
		},
		{
		0x8b40,
		0xd69b
		},
		{
		0x8b41,
		0xd69c
		},
		{
		0x8b42,
		0xd69d
		},
		{
		0x8b43,
		0xd69e
		},
		{
		0x8b44,
		0xd69f
		},
		{
		0x8b45,
		0xd6a0
		},
		{
		0x8b46,
		0xd740
		},
		{
		0x8b47,
		0xd741
		},
		{
		0x8b48,
		0xd742
		},
		{
		0x8b49,
		0xd743
		},
		{
		0x8b4a,
		0xd744
		},
		{
		0x8b4b,
		0xd745
		},
		{
		0x8b4c,
		0xd746
		},
		{
		0x8b4d,
		0xd747
		},
		{
		0x8b4e,
		0xd748
		},
		{
		0x8b4f,
		0xd749
		},
		{
		0x8b50,
		0xd74a
		},
		{
		0x8b51,
		0xd74b
		},
		{
		0x8b52,
		0xd74c
		},
		{
		0x8b53,
		0xd74d
		},
		{
		0x8b54,
		0xd74e
		},
		{
		0x8b55,
		0xd74f
		},
		{
		0x8b56,
		0xd750
		},
		{
		0x8b57,
		0xd751
		},
		{
		0x8b58,
		0xd752
		},
		{
		0x8b59,
		0xd753
		},
		{
		0x8b5a,
		0xd754
		},
		{
		0x8b5b,
		0xd755
		},
		{
		0x8b5c,
		0xd756
		},
		{
		0x8b5d,
		0xd757
		},
		{
		0x8b5e,
		0xd758
		},
		{
		0x8b5f,
		0xd759
		},
		{
		0x8b60,
		0xd75a
		},
		{
		0x8b61,
		0xd75b
		},
		{
		0x8b62,
		0xd75c
		},
		{
		0x8b63,
		0xd75d
		},
		{
		0x8b64,
		0xd75e
		},
		{
		0x8b65,
		0xd75f
		},
		{
		0x8b67,
		0xd760
		},
		{
		0x8b68,
		0xd761
		},
		{
		0x8b69,
		0xd762
		},
		{
		0x8b6a,
		0xd763
		},
		{
		0x8b6b,
		0xd764
		},
		{
		0x8b6d,
		0xd765
		},
		{
		0x8b6e,
		0xd766
		},
		{
		0x8b6f,
		0xd767
		},
		{
		0x8b70,
		0xd768
		},
		{
		0x8b71,
		0xd769
		},
		{
		0x8b72,
		0xd76a
		},
		{
		0x8b73,
		0xd76b
		},
		{
		0x8b74,
		0xd76c
		},
		{
		0x8b75,
		0xd76d
		},
		{
		0x8b76,
		0xd76e
		},
		{
		0x8b77,
		0xd76f
		},
		{
		0x8b78,
		0xd770
		},
		{
		0x8b79,
		0xd771
		},
		{
		0x8b7a,
		0xd772
		},
		{
		0x8b7b,
		0xd773
		},
		{
		0x8b7c,
		0xd774
		},
		{
		0x8b7d,
		0xd775
		},
		{
		0x8b7e,
		0xd776
		},
		{
		0x8b7f,
		0xd777
		},
		{
		0x8b80,
		0xd778
		},
		{
		0x8b81,
		0xd779
		},
		{
		0x8b82,
		0xd77a
		},
		{
		0x8b83,
		0xd77b
		},
		{
		0x8b84,
		0xd77c
		},
		{
		0x8b85,
		0xd77d
		},
		{
		0x8b86,
		0xd77e
		},
		{
		0x8b87,
		0xd780
		},
		{
		0x8b88,
		0xd781
		},
		{
		0x8b89,
		0xd782
		},
		{
		0x8b8a,
		0xd783
		},
		{
		0x8b8b,
		0xd784
		},
		{
		0x8b8c,
		0xd785
		},
		{
		0x8b8d,
		0xd786
		},
		{
		0x8b8e,
		0xd787
		},
		{
		0x8b8f,
		0xd788
		},
		{
		0x8b90,
		0xd789
		},
		{
		0x8b91,
		0xd78a
		},
		{
		0x8b92,
		0xd78b
		},
		{
		0x8b93,
		0xd78c
		},
		{
		0x8b94,
		0xd78d
		},
		{
		0x8b95,
		0xd78e
		},
		{
		0x8b96,
		0xd78f
		},
		{
		0x8b97,
		0xd790
		},
		{
		0x8b98,
		0xd791
		},
		{
		0x8b99,
		0xd792
		},
		{
		0x8b9a,
		0xd793
		},
		{
		0x8b9b,
		0xd794
		},
		{
		0x8b9c,
		0xd795
		},
		{
		0x8b9d,
		0xd796
		},
		{
		0x8b9e,
		0xd797
		},
		{
		0x8b9f,
		0xd798
		},
		{
		0x8bac,
		0xd799
		},
		{
		0x8bb1,
		0xd79a
		},
		{
		0x8bbb,
		0xd79b
		},
		{
		0x8bc7,
		0xd79c
		},
		{
		0x8bd0,
		0xd79d
		},
		{
		0x8bea,
		0xd79e
		},
		{
		0x8c09,
		0xd79f
		},
		{
		0x8c1e,
		0xd7a0
		},
		{
		0x8c38,
		0xd840
		},
		{
		0x8c39,
		0xd841
		},
		{
		0x8c3a,
		0xd842
		},
		{
		0x8c3b,
		0xd843
		},
		{
		0x8c3c,
		0xd844
		},
		{
		0x8c3d,
		0xd845
		},
		{
		0x8c3e,
		0xd846
		},
		{
		0x8c3f,
		0xd847
		},
		{
		0x8c40,
		0xd848
		},
		{
		0x8c42,
		0xd849
		},
		{
		0x8c43,
		0xd84a
		},
		{
		0x8c44,
		0xd84b
		},
		{
		0x8c45,
		0xd84c
		},
		{
		0x8c48,
		0xd84d
		},
		{
		0x8c4a,
		0xd84e
		},
		{
		0x8c4b,
		0xd84f
		},
		{
		0x8c4d,
		0xd850
		},
		{
		0x8c4e,
		0xd851
		},
		{
		0x8c4f,
		0xd852
		},
		{
		0x8c50,
		0xd853
		},
		{
		0x8c51,
		0xd854
		},
		{
		0x8c52,
		0xd855
		},
		{
		0x8c53,
		0xd856
		},
		{
		0x8c54,
		0xd857
		},
		{
		0x8c56,
		0xd858
		},
		{
		0x8c57,
		0xd859
		},
		{
		0x8c58,
		0xd85a
		},
		{
		0x8c59,
		0xd85b
		},
		{
		0x8c5b,
		0xd85c
		},
		{
		0x8c5c,
		0xd85d
		},
		{
		0x8c5d,
		0xd85e
		},
		{
		0x8c5e,
		0xd85f
		},
		{
		0x8c5f,
		0xd860
		},
		{
		0x8c60,
		0xd861
		},
		{
		0x8c63,
		0xd862
		},
		{
		0x8c64,
		0xd863
		},
		{
		0x8c65,
		0xd864
		},
		{
		0x8c66,
		0xd865
		},
		{
		0x8c67,
		0xd866
		},
		{
		0x8c68,
		0xd867
		},
		{
		0x8c69,
		0xd868
		},
		{
		0x8c6c,
		0xd869
		},
		{
		0x8c6d,
		0xd86a
		},
		{
		0x8c6e,
		0xd86b
		},
		{
		0x8c6f,
		0xd86c
		},
		{
		0x8c70,
		0xd86d
		},
		{
		0x8c71,
		0xd86e
		},
		{
		0x8c72,
		0xd86f
		},
		{
		0x8c74,
		0xd870
		},
		{
		0x8c75,
		0xd871
		},
		{
		0x8c76,
		0xd872
		},
		{
		0x8c77,
		0xd873
		},
		{
		0x8c7b,
		0xd874
		},
		{
		0x8c7c,
		0xd875
		},
		{
		0x8c7d,
		0xd876
		},
		{
		0x8c7e,
		0xd877
		},
		{
		0x8c7f,
		0xd878
		},
		{
		0x8c80,
		0xd879
		},
		{
		0x8c81,
		0xd87a
		},
		{
		0x8c83,
		0xd87b
		},
		{
		0x8c84,
		0xd87c
		},
		{
		0x8c86,
		0xd87d
		},
		{
		0x8c87,
		0xd87e
		},
		{
		0x8c88,
		0xd880
		},
		{
		0x8c8b,
		0xd881
		},
		{
		0x8c8d,
		0xd882
		},
		{
		0x8c8e,
		0xd883
		},
		{
		0x8c8f,
		0xd884
		},
		{
		0x8c90,
		0xd885
		},
		{
		0x8c91,
		0xd886
		},
		{
		0x8c92,
		0xd887
		},
		{
		0x8c93,
		0xd888
		},
		{
		0x8c95,
		0xd889
		},
		{
		0x8c96,
		0xd88a
		},
		{
		0x8c97,
		0xd88b
		},
		{
		0x8c99,
		0xd88c
		},
		{
		0x8c9a,
		0xd88d
		},
		{
		0x8c9b,
		0xd88e
		},
		{
		0x8c9c,
		0xd88f
		},
		{
		0x8c9d,
		0xd890
		},
		{
		0x8c9e,
		0xd891
		},
		{
		0x8c9f,
		0xd892
		},
		{
		0x8ca0,
		0xd893
		},
		{
		0x8ca1,
		0xd894
		},
		{
		0x8ca2,
		0xd895
		},
		{
		0x8ca3,
		0xd896
		},
		{
		0x8ca4,
		0xd897
		},
		{
		0x8ca5,
		0xd898
		},
		{
		0x8ca6,
		0xd899
		},
		{
		0x8ca7,
		0xd89a
		},
		{
		0x8ca8,
		0xd89b
		},
		{
		0x8ca9,
		0xd89c
		},
		{
		0x8caa,
		0xd89d
		},
		{
		0x8cab,
		0xd89e
		},
		{
		0x8cac,
		0xd89f
		},
		{
		0x8cad,
		0xd8a0
		},
		{
		0x8cae,
		0xd940
		},
		{
		0x8caf,
		0xd941
		},
		{
		0x8cb0,
		0xd942
		},
		{
		0x8cb1,
		0xd943
		},
		{
		0x8cb2,
		0xd944
		},
		{
		0x8cb3,
		0xd945
		},
		{
		0x8cb4,
		0xd946
		},
		{
		0x8cb5,
		0xd947
		},
		{
		0x8cb6,
		0xd948
		},
		{
		0x8cb7,
		0xd949
		},
		{
		0x8cb8,
		0xd94a
		},
		{
		0x8cb9,
		0xd94b
		},
		{
		0x8cba,
		0xd94c
		},
		{
		0x8cbb,
		0xd94d
		},
		{
		0x8cbc,
		0xd94e
		},
		{
		0x8cbd,
		0xd94f
		},
		{
		0x8cbe,
		0xd950
		},
		{
		0x8cbf,
		0xd951
		},
		{
		0x8cc0,
		0xd952
		},
		{
		0x8cc1,
		0xd953
		},
		{
		0x8cc2,
		0xd954
		},
		{
		0x8cc3,
		0xd955
		},
		{
		0x8cc4,
		0xd956
		},
		{
		0x8cc5,
		0xd957
		},
		{
		0x8cc6,
		0xd958
		},
		{
		0x8cc7,
		0xd959
		},
		{
		0x8cc8,
		0xd95a
		},
		{
		0x8cc9,
		0xd95b
		},
		{
		0x8cca,
		0xd95c
		},
		{
		0x8ccb,
		0xd95d
		},
		{
		0x8ccc,
		0xd95e
		},
		{
		0x8ccd,
		0xd95f
		},
		{
		0x8cce,
		0xd960
		},
		{
		0x8ccf,
		0xd961
		},
		{
		0x8cd0,
		0xd962
		},
		{
		0x8cd1,
		0xd963
		},
		{
		0x8cd2,
		0xd964
		},
		{
		0x8cd3,
		0xd965
		},
		{
		0x8cd4,
		0xd966
		},
		{
		0x8cd5,
		0xd967
		},
		{
		0x8cd6,
		0xd968
		},
		{
		0x8cd7,
		0xd969
		},
		{
		0x8cd8,
		0xd96a
		},
		{
		0x8cd9,
		0xd96b
		},
		{
		0x8cda,
		0xd96c
		},
		{
		0x8cdb,
		0xd96d
		},
		{
		0x8cdc,
		0xd96e
		},
		{
		0x8cdd,
		0xd96f
		},
		{
		0x8cde,
		0xd970
		},
		{
		0x8cdf,
		0xd971
		},
		{
		0x8ce0,
		0xd972
		},
		{
		0x8ce1,
		0xd973
		},
		{
		0x8ce2,
		0xd974
		},
		{
		0x8ce3,
		0xd975
		},
		{
		0x8ce4,
		0xd976
		},
		{
		0x8ce5,
		0xd977
		},
		{
		0x8ce6,
		0xd978
		},
		{
		0x8ce7,
		0xd979
		},
		{
		0x8ce8,
		0xd97a
		},
		{
		0x8ce9,
		0xd97b
		},
		{
		0x8cea,
		0xd97c
		},
		{
		0x8ceb,
		0xd97d
		},
		{
		0x8cec,
		0xd97e
		},
		{
		0x8ced,
		0xd980
		},
		{
		0x8cee,
		0xd981
		},
		{
		0x8cef,
		0xd982
		},
		{
		0x8cf0,
		0xd983
		},
		{
		0x8cf1,
		0xd984
		},
		{
		0x8cf2,
		0xd985
		},
		{
		0x8cf3,
		0xd986
		},
		{
		0x8cf4,
		0xd987
		},
		{
		0x8cf5,
		0xd988
		},
		{
		0x8cf6,
		0xd989
		},
		{
		0x8cf7,
		0xd98a
		},
		{
		0x8cf8,
		0xd98b
		},
		{
		0x8cf9,
		0xd98c
		},
		{
		0x8cfa,
		0xd98d
		},
		{
		0x8cfb,
		0xd98e
		},
		{
		0x8cfc,
		0xd98f
		},
		{
		0x8cfd,
		0xd990
		},
		{
		0x8cfe,
		0xd991
		},
		{
		0x8cff,
		0xd992
		},
		{
		0x8d00,
		0xd993
		},
		{
		0x8d01,
		0xd994
		},
		{
		0x8d02,
		0xd995
		},
		{
		0x8d03,
		0xd996
		},
		{
		0x8d04,
		0xd997
		},
		{
		0x8d05,
		0xd998
		},
		{
		0x8d06,
		0xd999
		},
		{
		0x8d07,
		0xd99a
		},
		{
		0x8d08,
		0xd99b
		},
		{
		0x8d09,
		0xd99c
		},
		{
		0x8d0a,
		0xd99d
		},
		{
		0x8d0b,
		0xd99e
		},
		{
		0x8d0c,
		0xd99f
		},
		{
		0x8d0d,
		0xd9a0
		},
		{
		0x8d0e,
		0xda40
		},
		{
		0x8d0f,
		0xda41
		},
		{
		0x8d10,
		0xda42
		},
		{
		0x8d11,
		0xda43
		},
		{
		0x8d12,
		0xda44
		},
		{
		0x8d13,
		0xda45
		},
		{
		0x8d14,
		0xda46
		},
		{
		0x8d15,
		0xda47
		},
		{
		0x8d16,
		0xda48
		},
		{
		0x8d17,
		0xda49
		},
		{
		0x8d18,
		0xda4a
		},
		{
		0x8d19,
		0xda4b
		},
		{
		0x8d1a,
		0xda4c
		},
		{
		0x8d1b,
		0xda4d
		},
		{
		0x8d1c,
		0xda4e
		},
		{
		0x8d20,
		0xda4f
		},
		{
		0x8d51,
		0xda50
		},
		{
		0x8d52,
		0xda51
		},
		{
		0x8d57,
		0xda52
		},
		{
		0x8d5f,
		0xda53
		},
		{
		0x8d65,
		0xda54
		},
		{
		0x8d68,
		0xda55
		},
		{
		0x8d69,
		0xda56
		},
		{
		0x8d6a,
		0xda57
		},
		{
		0x8d6c,
		0xda58
		},
		{
		0x8d6e,
		0xda59
		},
		{
		0x8d6f,
		0xda5a
		},
		{
		0x8d71,
		0xda5b
		},
		{
		0x8d72,
		0xda5c
		},
		{
		0x8d78,
		0xda5d
		},
		{
		0x8d79,
		0xda5e
		},
		{
		0x8d7a,
		0xda5f
		},
		{
		0x8d7b,
		0xda60
		},
		{
		0x8d7c,
		0xda61
		},
		{
		0x8d7d,
		0xda62
		},
		{
		0x8d7e,
		0xda63
		},
		{
		0x8d7f,
		0xda64
		},
		{
		0x8d80,
		0xda65
		},
		{
		0x8d82,
		0xda66
		},
		{
		0x8d83,
		0xda67
		},
		{
		0x8d86,
		0xda68
		},
		{
		0x8d87,
		0xda69
		},
		{
		0x8d88,
		0xda6a
		},
		{
		0x8d89,
		0xda6b
		},
		{
		0x8d8c,
		0xda6c
		},
		{
		0x8d8d,
		0xda6d
		},
		{
		0x8d8e,
		0xda6e
		},
		{
		0x8d8f,
		0xda6f
		},
		{
		0x8d90,
		0xda70
		},
		{
		0x8d92,
		0xda71
		},
		{
		0x8d93,
		0xda72
		},
		{
		0x8d95,
		0xda73
		},
		{
		0x8d96,
		0xda74
		},
		{
		0x8d97,
		0xda75
		},
		{
		0x8d98,
		0xda76
		},
		{
		0x8d99,
		0xda77
		},
		{
		0x8d9a,
		0xda78
		},
		{
		0x8d9b,
		0xda79
		},
		{
		0x8d9c,
		0xda7a
		},
		{
		0x8d9d,
		0xda7b
		},
		{
		0x8d9e,
		0xda7c
		},
		{
		0x8da0,
		0xda7d
		},
		{
		0x8da1,
		0xda7e
		},
		{
		0x8da2,
		0xda80
		},
		{
		0x8da4,
		0xda81
		},
		{
		0x8da5,
		0xda82
		},
		{
		0x8da6,
		0xda83
		},
		{
		0x8da7,
		0xda84
		},
		{
		0x8da8,
		0xda85
		},
		{
		0x8da9,
		0xda86
		},
		{
		0x8daa,
		0xda87
		},
		{
		0x8dab,
		0xda88
		},
		{
		0x8dac,
		0xda89
		},
		{
		0x8dad,
		0xda8a
		},
		{
		0x8dae,
		0xda8b
		},
		{
		0x8daf,
		0xda8c
		},
		{
		0x8db0,
		0xda8d
		},
		{
		0x8db2,
		0xda8e
		},
		{
		0x8db6,
		0xda8f
		},
		{
		0x8db7,
		0xda90
		},
		{
		0x8db9,
		0xda91
		},
		{
		0x8dbb,
		0xda92
		},
		{
		0x8dbd,
		0xda93
		},
		{
		0x8dc0,
		0xda94
		},
		{
		0x8dc1,
		0xda95
		},
		{
		0x8dc2,
		0xda96
		},
		{
		0x8dc5,
		0xda97
		},
		{
		0x8dc7,
		0xda98
		},
		{
		0x8dc8,
		0xda99
		},
		{
		0x8dc9,
		0xda9a
		},
		{
		0x8dca,
		0xda9b
		},
		{
		0x8dcd,
		0xda9c
		},
		{
		0x8dd0,
		0xda9d
		},
		{
		0x8dd2,
		0xda9e
		},
		{
		0x8dd3,
		0xda9f
		},
		{
		0x8dd4,
		0xdaa0
		},
		{
		0x8dd5,
		0xdb40
		},
		{
		0x8dd8,
		0xdb41
		},
		{
		0x8dd9,
		0xdb42
		},
		{
		0x8ddc,
		0xdb43
		},
		{
		0x8de0,
		0xdb44
		},
		{
		0x8de1,
		0xdb45
		},
		{
		0x8de2,
		0xdb46
		},
		{
		0x8de5,
		0xdb47
		},
		{
		0x8de6,
		0xdb48
		},
		{
		0x8de7,
		0xdb49
		},
		{
		0x8de9,
		0xdb4a
		},
		{
		0x8ded,
		0xdb4b
		},
		{
		0x8dee,
		0xdb4c
		},
		{
		0x8df0,
		0xdb4d
		},
		{
		0x8df1,
		0xdb4e
		},
		{
		0x8df2,
		0xdb4f
		},
		{
		0x8df4,
		0xdb50
		},
		{
		0x8df6,
		0xdb51
		},
		{
		0x8dfc,
		0xdb52
		},
		{
		0x8dfe,
		0xdb53
		},
		{
		0x8dff,
		0xdb54
		},
		{
		0x8e00,
		0xdb55
		},
		{
		0x8e01,
		0xdb56
		},
		{
		0x8e02,
		0xdb57
		},
		{
		0x8e03,
		0xdb58
		},
		{
		0x8e04,
		0xdb59
		},
		{
		0x8e06,
		0xdb5a
		},
		{
		0x8e07,
		0xdb5b
		},
		{
		0x8e08,
		0xdb5c
		},
		{
		0x8e0b,
		0xdb5d
		},
		{
		0x8e0d,
		0xdb5e
		},
		{
		0x8e0e,
		0xdb5f
		},
		{
		0x8e10,
		0xdb60
		},
		{
		0x8e11,
		0xdb61
		},
		{
		0x8e12,
		0xdb62
		},
		{
		0x8e13,
		0xdb63
		},
		{
		0x8e15,
		0xdb64
		},
		{
		0x8e16,
		0xdb65
		},
		{
		0x8e17,
		0xdb66
		},
		{
		0x8e18,
		0xdb67
		},
		{
		0x8e19,
		0xdb68
		},
		{
		0x8e1a,
		0xdb69
		},
		{
		0x8e1b,
		0xdb6a
		},
		{
		0x8e1c,
		0xdb6b
		},
		{
		0x8e20,
		0xdb6c
		},
		{
		0x8e21,
		0xdb6d
		},
		{
		0x8e24,
		0xdb6e
		},
		{
		0x8e25,
		0xdb6f
		},
		{
		0x8e26,
		0xdb70
		},
		{
		0x8e27,
		0xdb71
		},
		{
		0x8e28,
		0xdb72
		},
		{
		0x8e2b,
		0xdb73
		},
		{
		0x8e2d,
		0xdb74
		},
		{
		0x8e30,
		0xdb75
		},
		{
		0x8e32,
		0xdb76
		},
		{
		0x8e33,
		0xdb77
		},
		{
		0x8e34,
		0xdb78
		},
		{
		0x8e36,
		0xdb79
		},
		{
		0x8e37,
		0xdb7a
		},
		{
		0x8e38,
		0xdb7b
		},
		{
		0x8e3b,
		0xdb7c
		},
		{
		0x8e3c,
		0xdb7d
		},
		{
		0x8e3e,
		0xdb7e
		},
		{
		0x8e3f,
		0xdb80
		},
		{
		0x8e43,
		0xdb81
		},
		{
		0x8e45,
		0xdb82
		},
		{
		0x8e46,
		0xdb83
		},
		{
		0x8e4c,
		0xdb84
		},
		{
		0x8e4d,
		0xdb85
		},
		{
		0x8e4e,
		0xdb86
		},
		{
		0x8e4f,
		0xdb87
		},
		{
		0x8e50,
		0xdb88
		},
		{
		0x8e53,
		0xdb89
		},
		{
		0x8e54,
		0xdb8a
		},
		{
		0x8e55,
		0xdb8b
		},
		{
		0x8e56,
		0xdb8c
		},
		{
		0x8e57,
		0xdb8d
		},
		{
		0x8e58,
		0xdb8e
		},
		{
		0x8e5a,
		0xdb8f
		},
		{
		0x8e5b,
		0xdb90
		},
		{
		0x8e5c,
		0xdb91
		},
		{
		0x8e5d,
		0xdb92
		},
		{
		0x8e5e,
		0xdb93
		},
		{
		0x8e5f,
		0xdb94
		},
		{
		0x8e60,
		0xdb95
		},
		{
		0x8e61,
		0xdb96
		},
		{
		0x8e62,
		0xdb97
		},
		{
		0x8e63,
		0xdb98
		},
		{
		0x8e64,
		0xdb99
		},
		{
		0x8e65,
		0xdb9a
		},
		{
		0x8e67,
		0xdb9b
		},
		{
		0x8e68,
		0xdb9c
		},
		{
		0x8e6a,
		0xdb9d
		},
		{
		0x8e6b,
		0xdb9e
		},
		{
		0x8e6e,
		0xdb9f
		},
		{
		0x8e71,
		0xdba0
		},
		{
		0x8e73,
		0xdc40
		},
		{
		0x8e75,
		0xdc41
		},
		{
		0x8e77,
		0xdc42
		},
		{
		0x8e78,
		0xdc43
		},
		{
		0x8e79,
		0xdc44
		},
		{
		0x8e7a,
		0xdc45
		},
		{
		0x8e7b,
		0xdc46
		},
		{
		0x8e7d,
		0xdc47
		},
		{
		0x8e7e,
		0xdc48
		},
		{
		0x8e80,
		0xdc49
		},
		{
		0x8e82,
		0xdc4a
		},
		{
		0x8e83,
		0xdc4b
		},
		{
		0x8e84,
		0xdc4c
		},
		{
		0x8e86,
		0xdc4d
		},
		{
		0x8e88,
		0xdc4e
		},
		{
		0x8e89,
		0xdc4f
		},
		{
		0x8e8a,
		0xdc50
		},
		{
		0x8e8b,
		0xdc51
		},
		{
		0x8e8c,
		0xdc52
		},
		{
		0x8e8d,
		0xdc53
		},
		{
		0x8e8e,
		0xdc54
		},
		{
		0x8e91,
		0xdc55
		},
		{
		0x8e92,
		0xdc56
		},
		{
		0x8e93,
		0xdc57
		},
		{
		0x8e95,
		0xdc58
		},
		{
		0x8e96,
		0xdc59
		},
		{
		0x8e97,
		0xdc5a
		},
		{
		0x8e98,
		0xdc5b
		},
		{
		0x8e99,
		0xdc5c
		},
		{
		0x8e9a,
		0xdc5d
		},
		{
		0x8e9b,
		0xdc5e
		},
		{
		0x8e9d,
		0xdc5f
		},
		{
		0x8e9f,
		0xdc60
		},
		{
		0x8ea0,
		0xdc61
		},
		{
		0x8ea1,
		0xdc62
		},
		{
		0x8ea2,
		0xdc63
		},
		{
		0x8ea3,
		0xdc64
		},
		{
		0x8ea4,
		0xdc65
		},
		{
		0x8ea5,
		0xdc66
		},
		{
		0x8ea6,
		0xdc67
		},
		{
		0x8ea7,
		0xdc68
		},
		{
		0x8ea8,
		0xdc69
		},
		{
		0x8ea9,
		0xdc6a
		},
		{
		0x8eaa,
		0xdc6b
		},
		{
		0x8ead,
		0xdc6c
		},
		{
		0x8eae,
		0xdc6d
		},
		{
		0x8eb0,
		0xdc6e
		},
		{
		0x8eb1,
		0xdc6f
		},
		{
		0x8eb3,
		0xdc70
		},
		{
		0x8eb4,
		0xdc71
		},
		{
		0x8eb5,
		0xdc72
		},
		{
		0x8eb6,
		0xdc73
		},
		{
		0x8eb7,
		0xdc74
		},
		{
		0x8eb8,
		0xdc75
		},
		{
		0x8eb9,
		0xdc76
		},
		{
		0x8ebb,
		0xdc77
		},
		{
		0x8ebc,
		0xdc78
		},
		{
		0x8ebd,
		0xdc79
		},
		{
		0x8ebe,
		0xdc7a
		},
		{
		0x8ebf,
		0xdc7b
		},
		{
		0x8ec0,
		0xdc7c
		},
		{
		0x8ec1,
		0xdc7d
		},
		{
		0x8ec2,
		0xdc7e
		},
		{
		0x8ec3,
		0xdc80
		},
		{
		0x8ec4,
		0xdc81
		},
		{
		0x8ec5,
		0xdc82
		},
		{
		0x8ec6,
		0xdc83
		},
		{
		0x8ec7,
		0xdc84
		},
		{
		0x8ec8,
		0xdc85
		},
		{
		0x8ec9,
		0xdc86
		},
		{
		0x8eca,
		0xdc87
		},
		{
		0x8ecb,
		0xdc88
		},
		{
		0x8ecc,
		0xdc89
		},
		{
		0x8ecd,
		0xdc8a
		},
		{
		0x8ecf,
		0xdc8b
		},
		{
		0x8ed0,
		0xdc8c
		},
		{
		0x8ed1,
		0xdc8d
		},
		{
		0x8ed2,
		0xdc8e
		},
		{
		0x8ed3,
		0xdc8f
		},
		{
		0x8ed4,
		0xdc90
		},
		{
		0x8ed5,
		0xdc91
		},
		{
		0x8ed6,
		0xdc92
		},
		{
		0x8ed7,
		0xdc93
		},
		{
		0x8ed8,
		0xdc94
		},
		{
		0x8ed9,
		0xdc95
		},
		{
		0x8eda,
		0xdc96
		},
		{
		0x8edb,
		0xdc97
		},
		{
		0x8edc,
		0xdc98
		},
		{
		0x8edd,
		0xdc99
		},
		{
		0x8ede,
		0xdc9a
		},
		{
		0x8edf,
		0xdc9b
		},
		{
		0x8ee0,
		0xdc9c
		},
		{
		0x8ee1,
		0xdc9d
		},
		{
		0x8ee2,
		0xdc9e
		},
		{
		0x8ee3,
		0xdc9f
		},
		{
		0x8ee4,
		0xdca0
		},
		{
		0x8ee5,
		0xdd40
		},
		{
		0x8ee6,
		0xdd41
		},
		{
		0x8ee7,
		0xdd42
		},
		{
		0x8ee8,
		0xdd43
		},
		{
		0x8ee9,
		0xdd44
		},
		{
		0x8eea,
		0xdd45
		},
		{
		0x8eeb,
		0xdd46
		},
		{
		0x8eec,
		0xdd47
		},
		{
		0x8eed,
		0xdd48
		},
		{
		0x8eee,
		0xdd49
		},
		{
		0x8eef,
		0xdd4a
		},
		{
		0x8ef0,
		0xdd4b
		},
		{
		0x8ef1,
		0xdd4c
		},
		{
		0x8ef2,
		0xdd4d
		},
		{
		0x8ef3,
		0xdd4e
		},
		{
		0x8ef4,
		0xdd4f
		},
		{
		0x8ef5,
		0xdd50
		},
		{
		0x8ef6,
		0xdd51
		},
		{
		0x8ef7,
		0xdd52
		},
		{
		0x8ef8,
		0xdd53
		},
		{
		0x8ef9,
		0xdd54
		},
		{
		0x8efa,
		0xdd55
		},
		{
		0x8efb,
		0xdd56
		},
		{
		0x8efc,
		0xdd57
		},
		{
		0x8efd,
		0xdd58
		},
		{
		0x8efe,
		0xdd59
		},
		{
		0x8eff,
		0xdd5a
		},
		{
		0x8f00,
		0xdd5b
		},
		{
		0x8f01,
		0xdd5c
		},
		{
		0x8f02,
		0xdd5d
		},
		{
		0x8f03,
		0xdd5e
		},
		{
		0x8f04,
		0xdd5f
		},
		{
		0x8f05,
		0xdd60
		},
		{
		0x8f06,
		0xdd61
		},
		{
		0x8f07,
		0xdd62
		},
		{
		0x8f08,
		0xdd63
		},
		{
		0x8f09,
		0xdd64
		},
		{
		0x8f0a,
		0xdd65
		},
		{
		0x8f0b,
		0xdd66
		},
		{
		0x8f0c,
		0xdd67
		},
		{
		0x8f0d,
		0xdd68
		},
		{
		0x8f0e,
		0xdd69
		},
		{
		0x8f0f,
		0xdd6a
		},
		{
		0x8f10,
		0xdd6b
		},
		{
		0x8f11,
		0xdd6c
		},
		{
		0x8f12,
		0xdd6d
		},
		{
		0x8f13,
		0xdd6e
		},
		{
		0x8f14,
		0xdd6f
		},
		{
		0x8f15,
		0xdd70
		},
		{
		0x8f16,
		0xdd71
		},
		{
		0x8f17,
		0xdd72
		},
		{
		0x8f18,
		0xdd73
		},
		{
		0x8f19,
		0xdd74
		},
		{
		0x8f1a,
		0xdd75
		},
		{
		0x8f1b,
		0xdd76
		},
		{
		0x8f1c,
		0xdd77
		},
		{
		0x8f1d,
		0xdd78
		},
		{
		0x8f1e,
		0xdd79
		},
		{
		0x8f1f,
		0xdd7a
		},
		{
		0x8f20,
		0xdd7b
		},
		{
		0x8f21,
		0xdd7c
		},
		{
		0x8f22,
		0xdd7d
		},
		{
		0x8f23,
		0xdd7e
		},
		{
		0x8f24,
		0xdd80
		},
		{
		0x8f25,
		0xdd81
		},
		{
		0x8f26,
		0xdd82
		},
		{
		0x8f27,
		0xdd83
		},
		{
		0x8f28,
		0xdd84
		},
		{
		0x8f29,
		0xdd85
		},
		{
		0x8f2a,
		0xdd86
		},
		{
		0x8f2b,
		0xdd87
		},
		{
		0x8f2c,
		0xdd88
		},
		{
		0x8f2d,
		0xdd89
		},
		{
		0x8f2e,
		0xdd8a
		},
		{
		0x8f2f,
		0xdd8b
		},
		{
		0x8f30,
		0xdd8c
		},
		{
		0x8f31,
		0xdd8d
		},
		{
		0x8f32,
		0xdd8e
		},
		{
		0x8f33,
		0xdd8f
		},
		{
		0x8f34,
		0xdd90
		},
		{
		0x8f35,
		0xdd91
		},
		{
		0x8f36,
		0xdd92
		},
		{
		0x8f37,
		0xdd93
		},
		{
		0x8f38,
		0xdd94
		},
		{
		0x8f39,
		0xdd95
		},
		{
		0x8f3a,
		0xdd96
		},
		{
		0x8f3b,
		0xdd97
		},
		{
		0x8f3c,
		0xdd98
		},
		{
		0x8f3d,
		0xdd99
		},
		{
		0x8f3e,
		0xdd9a
		},
		{
		0x8f3f,
		0xdd9b
		},
		{
		0x8f40,
		0xdd9c
		},
		{
		0x8f41,
		0xdd9d
		},
		{
		0x8f42,
		0xdd9e
		},
		{
		0x8f43,
		0xdd9f
		},
		{
		0x8f44,
		0xdda0
		},
		{
		0x8f45,
		0xde40
		},
		{
		0x8f46,
		0xde41
		},
		{
		0x8f47,
		0xde42
		},
		{
		0x8f48,
		0xde43
		},
		{
		0x8f49,
		0xde44
		},
		{
		0x8f4a,
		0xde45
		},
		{
		0x8f4b,
		0xde46
		},
		{
		0x8f4c,
		0xde47
		},
		{
		0x8f4d,
		0xde48
		},
		{
		0x8f4e,
		0xde49
		},
		{
		0x8f4f,
		0xde4a
		},
		{
		0x8f50,
		0xde4b
		},
		{
		0x8f51,
		0xde4c
		},
		{
		0x8f52,
		0xde4d
		},
		{
		0x8f53,
		0xde4e
		},
		{
		0x8f54,
		0xde4f
		},
		{
		0x8f55,
		0xde50
		},
		{
		0x8f56,
		0xde51
		},
		{
		0x8f57,
		0xde52
		},
		{
		0x8f58,
		0xde53
		},
		{
		0x8f59,
		0xde54
		},
		{
		0x8f5a,
		0xde55
		},
		{
		0x8f5b,
		0xde56
		},
		{
		0x8f5c,
		0xde57
		},
		{
		0x8f5d,
		0xde58
		},
		{
		0x8f5e,
		0xde59
		},
		{
		0x8f5f,
		0xde5a
		},
		{
		0x8f60,
		0xde5b
		},
		{
		0x8f61,
		0xde5c
		},
		{
		0x8f62,
		0xde5d
		},
		{
		0x8f63,
		0xde5e
		},
		{
		0x8f64,
		0xde5f
		},
		{
		0x8f65,
		0xde60
		},
		{
		0x8f6a,
		0xde61
		},
		{
		0x8f80,
		0xde62
		},
		{
		0x8f8c,
		0xde63
		},
		{
		0x8f92,
		0xde64
		},
		{
		0x8f9d,
		0xde65
		},
		{
		0x8fa0,
		0xde66
		},
		{
		0x8fa1,
		0xde67
		},
		{
		0x8fa2,
		0xde68
		},
		{
		0x8fa4,
		0xde69
		},
		{
		0x8fa5,
		0xde6a
		},
		{
		0x8fa6,
		0xde6b
		},
		{
		0x8fa7,
		0xde6c
		},
		{
		0x8faa,
		0xde6d
		},
		{
		0x8fac,
		0xde6e
		},
		{
		0x8fad,
		0xde6f
		},
		{
		0x8fae,
		0xde70
		},
		{
		0x8faf,
		0xde71
		},
		{
		0x8fb2,
		0xde72
		},
		{
		0x8fb3,
		0xde73
		},
		{
		0x8fb4,
		0xde74
		},
		{
		0x8fb5,
		0xde75
		},
		{
		0x8fb7,
		0xde76
		},
		{
		0x8fb8,
		0xde77
		},
		{
		0x8fba,
		0xde78
		},
		{
		0x8fbb,
		0xde79
		},
		{
		0x8fbc,
		0xde7a
		},
		{
		0x8fbf,
		0xde7b
		},
		{
		0x8fc0,
		0xde7c
		},
		{
		0x8fc3,
		0xde7d
		},
		{
		0x8fc6,
		0xde7e
		},
		{
		0x8fc9,
		0xde80
		},
		{
		0x8fca,
		0xde81
		},
		{
		0x8fcb,
		0xde82
		},
		{
		0x8fcc,
		0xde83
		},
		{
		0x8fcd,
		0xde84
		},
		{
		0x8fcf,
		0xde85
		},
		{
		0x8fd2,
		0xde86
		},
		{
		0x8fd6,
		0xde87
		},
		{
		0x8fd7,
		0xde88
		},
		{
		0x8fda,
		0xde89
		},
		{
		0x8fe0,
		0xde8a
		},
		{
		0x8fe1,
		0xde8b
		},
		{
		0x8fe3,
		0xde8c
		},
		{
		0x8fe7,
		0xde8d
		},
		{
		0x8fec,
		0xde8e
		},
		{
		0x8fef,
		0xde8f
		},
		{
		0x8ff1,
		0xde90
		},
		{
		0x8ff2,
		0xde91
		},
		{
		0x8ff4,
		0xde92
		},
		{
		0x8ff5,
		0xde93
		},
		{
		0x8ff6,
		0xde94
		},
		{
		0x8ffa,
		0xde95
		},
		{
		0x8ffb,
		0xde96
		},
		{
		0x8ffc,
		0xde97
		},
		{
		0x8ffe,
		0xde98
		},
		{
		0x8fff,
		0xde99
		},
		{
		0x9007,
		0xde9a
		},
		{
		0x9008,
		0xde9b
		},
		{
		0x900c,
		0xde9c
		},
		{
		0x900e,
		0xde9d
		},
		{
		0x9013,
		0xde9e
		},
		{
		0x9015,
		0xde9f
		},
		{
		0x9018,
		0xdea0
		},
		{
		0x9019,
		0xdf40
		},
		{
		0x901c,
		0xdf41
		},
		{
		0x9023,
		0xdf42
		},
		{
		0x9024,
		0xdf43
		},
		{
		0x9025,
		0xdf44
		},
		{
		0x9027,
		0xdf45
		},
		{
		0x9028,
		0xdf46
		},
		{
		0x9029,
		0xdf47
		},
		{
		0x902a,
		0xdf48
		},
		{
		0x902b,
		0xdf49
		},
		{
		0x902c,
		0xdf4a
		},
		{
		0x9030,
		0xdf4b
		},
		{
		0x9031,
		0xdf4c
		},
		{
		0x9032,
		0xdf4d
		},
		{
		0x9033,
		0xdf4e
		},
		{
		0x9034,
		0xdf4f
		},
		{
		0x9037,
		0xdf50
		},
		{
		0x9039,
		0xdf51
		},
		{
		0x903a,
		0xdf52
		},
		{
		0x903d,
		0xdf53
		},
		{
		0x903f,
		0xdf54
		},
		{
		0x9040,
		0xdf55
		},
		{
		0x9043,
		0xdf56
		},
		{
		0x9045,
		0xdf57
		},
		{
		0x9046,
		0xdf58
		},
		{
		0x9048,
		0xdf59
		},
		{
		0x9049,
		0xdf5a
		},
		{
		0x904a,
		0xdf5b
		},
		{
		0x904b,
		0xdf5c
		},
		{
		0x904c,
		0xdf5d
		},
		{
		0x904e,
		0xdf5e
		},
		{
		0x9054,
		0xdf5f
		},
		{
		0x9055,
		0xdf60
		},
		{
		0x9056,
		0xdf61
		},
		{
		0x9059,
		0xdf62
		},
		{
		0x905a,
		0xdf63
		},
		{
		0x905c,
		0xdf64
		},
		{
		0x905d,
		0xdf65
		},
		{
		0x905e,
		0xdf66
		},
		{
		0x905f,
		0xdf67
		},
		{
		0x9060,
		0xdf68
		},
		{
		0x9061,
		0xdf69
		},
		{
		0x9064,
		0xdf6a
		},
		{
		0x9066,
		0xdf6b
		},
		{
		0x9067,
		0xdf6c
		},
		{
		0x9069,
		0xdf6d
		},
		{
		0x906a,
		0xdf6e
		},
		{
		0x906b,
		0xdf6f
		},
		{
		0x906c,
		0xdf70
		},
		{
		0x906f,
		0xdf71
		},
		{
		0x9070,
		0xdf72
		},
		{
		0x9071,
		0xdf73
		},
		{
		0x9072,
		0xdf74
		},
		{
		0x9073,
		0xdf75
		},
		{
		0x9076,
		0xdf76
		},
		{
		0x9077,
		0xdf77
		},
		{
		0x9078,
		0xdf78
		},
		{
		0x9079,
		0xdf79
		},
		{
		0x907a,
		0xdf7a
		},
		{
		0x907b,
		0xdf7b
		},
		{
		0x907c,
		0xdf7c
		},
		{
		0x907e,
		0xdf7d
		},
		{
		0x9081,
		0xdf7e
		},
		{
		0x9084,
		0xdf80
		},
		{
		0x9085,
		0xdf81
		},
		{
		0x9086,
		0xdf82
		},
		{
		0x9087,
		0xdf83
		},
		{
		0x9089,
		0xdf84
		},
		{
		0x908a,
		0xdf85
		},
		{
		0x908c,
		0xdf86
		},
		{
		0x908d,
		0xdf87
		},
		{
		0x908e,
		0xdf88
		},
		{
		0x908f,
		0xdf89
		},
		{
		0x9090,
		0xdf8a
		},
		{
		0x9092,
		0xdf8b
		},
		{
		0x9094,
		0xdf8c
		},
		{
		0x9096,
		0xdf8d
		},
		{
		0x9098,
		0xdf8e
		},
		{
		0x909a,
		0xdf8f
		},
		{
		0x909c,
		0xdf90
		},
		{
		0x909e,
		0xdf91
		},
		{
		0x909f,
		0xdf92
		},
		{
		0x90a0,
		0xdf93
		},
		{
		0x90a4,
		0xdf94
		},
		{
		0x90a5,
		0xdf95
		},
		{
		0x90a7,
		0xdf96
		},
		{
		0x90a8,
		0xdf97
		},
		{
		0x90a9,
		0xdf98
		},
		{
		0x90ab,
		0xdf99
		},
		{
		0x90ad,
		0xdf9a
		},
		{
		0x90b2,
		0xdf9b
		},
		{
		0x90b7,
		0xdf9c
		},
		{
		0x90bc,
		0xdf9d
		},
		{
		0x90bd,
		0xdf9e
		},
		{
		0x90bf,
		0xdf9f
		},
		{
		0x90c0,
		0xdfa0
		},
		{
		0x90c2,
		0xe040
		},
		{
		0x90c3,
		0xe041
		},
		{
		0x90c6,
		0xe042
		},
		{
		0x90c8,
		0xe043
		},
		{
		0x90c9,
		0xe044
		},
		{
		0x90cb,
		0xe045
		},
		{
		0x90cc,
		0xe046
		},
		{
		0x90cd,
		0xe047
		},
		{
		0x90d2,
		0xe048
		},
		{
		0x90d4,
		0xe049
		},
		{
		0x90d5,
		0xe04a
		},
		{
		0x90d6,
		0xe04b
		},
		{
		0x90d8,
		0xe04c
		},
		{
		0x90d9,
		0xe04d
		},
		{
		0x90da,
		0xe04e
		},
		{
		0x90de,
		0xe04f
		},
		{
		0x90df,
		0xe050
		},
		{
		0x90e0,
		0xe051
		},
		{
		0x90e3,
		0xe052
		},
		{
		0x90e4,
		0xe053
		},
		{
		0x90e5,
		0xe054
		},
		{
		0x90e9,
		0xe055
		},
		{
		0x90ea,
		0xe056
		},
		{
		0x90ec,
		0xe057
		},
		{
		0x90ee,
		0xe058
		},
		{
		0x90f0,
		0xe059
		},
		{
		0x90f1,
		0xe05a
		},
		{
		0x90f2,
		0xe05b
		},
		{
		0x90f3,
		0xe05c
		},
		{
		0x90f5,
		0xe05d
		},
		{
		0x90f6,
		0xe05e
		},
		{
		0x90f7,
		0xe05f
		},
		{
		0x90f9,
		0xe060
		},
		{
		0x90fa,
		0xe061
		},
		{
		0x90fb,
		0xe062
		},
		{
		0x90fc,
		0xe063
		},
		{
		0x90ff,
		0xe064
		},
		{
		0x9100,
		0xe065
		},
		{
		0x9101,
		0xe066
		},
		{
		0x9103,
		0xe067
		},
		{
		0x9105,
		0xe068
		},
		{
		0x9106,
		0xe069
		},
		{
		0x9107,
		0xe06a
		},
		{
		0x9108,
		0xe06b
		},
		{
		0x9109,
		0xe06c
		},
		{
		0x910a,
		0xe06d
		},
		{
		0x910b,
		0xe06e
		},
		{
		0x910c,
		0xe06f
		},
		{
		0x910d,
		0xe070
		},
		{
		0x910e,
		0xe071
		},
		{
		0x910f,
		0xe072
		},
		{
		0x9110,
		0xe073
		},
		{
		0x9111,
		0xe074
		},
		{
		0x9112,
		0xe075
		},
		{
		0x9113,
		0xe076
		},
		{
		0x9114,
		0xe077
		},
		{
		0x9115,
		0xe078
		},
		{
		0x9116,
		0xe079
		},
		{
		0x9117,
		0xe07a
		},
		{
		0x9118,
		0xe07b
		},
		{
		0x911a,
		0xe07c
		},
		{
		0x911b,
		0xe07d
		},
		{
		0x911c,
		0xe07e
		},
		{
		0x911d,
		0xe080
		},
		{
		0x911f,
		0xe081
		},
		{
		0x9120,
		0xe082
		},
		{
		0x9121,
		0xe083
		},
		{
		0x9124,
		0xe084
		},
		{
		0x9125,
		0xe085
		},
		{
		0x9126,
		0xe086
		},
		{
		0x9127,
		0xe087
		},
		{
		0x9128,
		0xe088
		},
		{
		0x9129,
		0xe089
		},
		{
		0x912a,
		0xe08a
		},
		{
		0x912b,
		0xe08b
		},
		{
		0x912c,
		0xe08c
		},
		{
		0x912d,
		0xe08d
		},
		{
		0x912e,
		0xe08e
		},
		{
		0x9130,
		0xe08f
		},
		{
		0x9132,
		0xe090
		},
		{
		0x9133,
		0xe091
		},
		{
		0x9134,
		0xe092
		},
		{
		0x9135,
		0xe093
		},
		{
		0x9136,
		0xe094
		},
		{
		0x9137,
		0xe095
		},
		{
		0x9138,
		0xe096
		},
		{
		0x913a,
		0xe097
		},
		{
		0x913b,
		0xe098
		},
		{
		0x913c,
		0xe099
		},
		{
		0x913d,
		0xe09a
		},
		{
		0x913e,
		0xe09b
		},
		{
		0x913f,
		0xe09c
		},
		{
		0x9140,
		0xe09d
		},
		{
		0x9141,
		0xe09e
		},
		{
		0x9142,
		0xe09f
		},
		{
		0x9144,
		0xe0a0
		},
		{
		0x9145,
		0xe140
		},
		{
		0x9147,
		0xe141
		},
		{
		0x9148,
		0xe142
		},
		{
		0x9151,
		0xe143
		},
		{
		0x9153,
		0xe144
		},
		{
		0x9154,
		0xe145
		},
		{
		0x9155,
		0xe146
		},
		{
		0x9156,
		0xe147
		},
		{
		0x9158,
		0xe148
		},
		{
		0x9159,
		0xe149
		},
		{
		0x915b,
		0xe14a
		},
		{
		0x915c,
		0xe14b
		},
		{
		0x915f,
		0xe14c
		},
		{
		0x9160,
		0xe14d
		},
		{
		0x9166,
		0xe14e
		},
		{
		0x9167,
		0xe14f
		},
		{
		0x9168,
		0xe150
		},
		{
		0x916b,
		0xe151
		},
		{
		0x916d,
		0xe152
		},
		{
		0x9173,
		0xe153
		},
		{
		0x917a,
		0xe154
		},
		{
		0x917b,
		0xe155
		},
		{
		0x917c,
		0xe156
		},
		{
		0x9180,
		0xe157
		},
		{
		0x9181,
		0xe158
		},
		{
		0x9182,
		0xe159
		},
		{
		0x9183,
		0xe15a
		},
		{
		0x9184,
		0xe15b
		},
		{
		0x9186,
		0xe15c
		},
		{
		0x9188,
		0xe15d
		},
		{
		0x918a,
		0xe15e
		},
		{
		0x918e,
		0xe15f
		},
		{
		0x918f,
		0xe160
		},
		{
		0x9193,
		0xe161
		},
		{
		0x9194,
		0xe162
		},
		{
		0x9195,
		0xe163
		},
		{
		0x9196,
		0xe164
		},
		{
		0x9197,
		0xe165
		},
		{
		0x9198,
		0xe166
		},
		{
		0x9199,
		0xe167
		},
		{
		0x919c,
		0xe168
		},
		{
		0x919d,
		0xe169
		},
		{
		0x919e,
		0xe16a
		},
		{
		0x919f,
		0xe16b
		},
		{
		0x91a0,
		0xe16c
		},
		{
		0x91a1,
		0xe16d
		},
		{
		0x91a4,
		0xe16e
		},
		{
		0x91a5,
		0xe16f
		},
		{
		0x91a6,
		0xe170
		},
		{
		0x91a7,
		0xe171
		},
		{
		0x91a8,
		0xe172
		},
		{
		0x91a9,
		0xe173
		},
		{
		0x91ab,
		0xe174
		},
		{
		0x91ac,
		0xe175
		},
		{
		0x91b0,
		0xe176
		},
		{
		0x91b1,
		0xe177
		},
		{
		0x91b2,
		0xe178
		},
		{
		0x91b3,
		0xe179
		},
		{
		0x91b6,
		0xe17a
		},
		{
		0x91b7,
		0xe17b
		},
		{
		0x91b8,
		0xe17c
		},
		{
		0x91b9,
		0xe17d
		},
		{
		0x91bb,
		0xe17e
		},
		{
		0x91bc,
		0xe180
		},
		{
		0x91bd,
		0xe181
		},
		{
		0x91be,
		0xe182
		},
		{
		0x91bf,
		0xe183
		},
		{
		0x91c0,
		0xe184
		},
		{
		0x91c1,
		0xe185
		},
		{
		0x91c2,
		0xe186
		},
		{
		0x91c3,
		0xe187
		},
		{
		0x91c4,
		0xe188
		},
		{
		0x91c5,
		0xe189
		},
		{
		0x91c6,
		0xe18a
		},
		{
		0x91c8,
		0xe18b
		},
		{
		0x91cb,
		0xe18c
		},
		{
		0x91d0,
		0xe18d
		},
		{
		0x91d2,
		0xe18e
		},
		{
		0x91d3,
		0xe18f
		},
		{
		0x91d4,
		0xe190
		},
		{
		0x91d5,
		0xe191
		},
		{
		0x91d6,
		0xe192
		},
		{
		0x91d7,
		0xe193
		},
		{
		0x91d8,
		0xe194
		},
		{
		0x91d9,
		0xe195
		},
		{
		0x91da,
		0xe196
		},
		{
		0x91db,
		0xe197
		},
		{
		0x91dd,
		0xe198
		},
		{
		0x91de,
		0xe199
		},
		{
		0x91df,
		0xe19a
		},
		{
		0x91e0,
		0xe19b
		},
		{
		0x91e1,
		0xe19c
		},
		{
		0x91e2,
		0xe19d
		},
		{
		0x91e3,
		0xe19e
		},
		{
		0x91e4,
		0xe19f
		},
		{
		0x91e5,
		0xe1a0
		},
		{
		0x91e6,
		0xe240
		},
		{
		0x91e7,
		0xe241
		},
		{
		0x91e8,
		0xe242
		},
		{
		0x91e9,
		0xe243
		},
		{
		0x91ea,
		0xe244
		},
		{
		0x91eb,
		0xe245
		},
		{
		0x91ec,
		0xe246
		},
		{
		0x91ed,
		0xe247
		},
		{
		0x91ee,
		0xe248
		},
		{
		0x91ef,
		0xe249
		},
		{
		0x91f0,
		0xe24a
		},
		{
		0x91f1,
		0xe24b
		},
		{
		0x91f2,
		0xe24c
		},
		{
		0x91f3,
		0xe24d
		},
		{
		0x91f4,
		0xe24e
		},
		{
		0x91f5,
		0xe24f
		},
		{
		0x91f6,
		0xe250
		},
		{
		0x91f7,
		0xe251
		},
		{
		0x91f8,
		0xe252
		},
		{
		0x91f9,
		0xe253
		},
		{
		0x91fa,
		0xe254
		},
		{
		0x91fb,
		0xe255
		},
		{
		0x91fc,
		0xe256
		},
		{
		0x91fd,
		0xe257
		},
		{
		0x91fe,
		0xe258
		},
		{
		0x91ff,
		0xe259
		},
		{
		0x9200,
		0xe25a
		},
		{
		0x9201,
		0xe25b
		},
		{
		0x9202,
		0xe25c
		},
		{
		0x9203,
		0xe25d
		},
		{
		0x9204,
		0xe25e
		},
		{
		0x9205,
		0xe25f
		},
		{
		0x9206,
		0xe260
		},
		{
		0x9207,
		0xe261
		},
		{
		0x9208,
		0xe262
		},
		{
		0x9209,
		0xe263
		},
		{
		0x920a,
		0xe264
		},
		{
		0x920b,
		0xe265
		},
		{
		0x920c,
		0xe266
		},
		{
		0x920d,
		0xe267
		},
		{
		0x920e,
		0xe268
		},
		{
		0x920f,
		0xe269
		},
		{
		0x9210,
		0xe26a
		},
		{
		0x9211,
		0xe26b
		},
		{
		0x9212,
		0xe26c
		},
		{
		0x9213,
		0xe26d
		},
		{
		0x9214,
		0xe26e
		},
		{
		0x9215,
		0xe26f
		},
		{
		0x9216,
		0xe270
		},
		{
		0x9217,
		0xe271
		},
		{
		0x9218,
		0xe272
		},
		{
		0x9219,
		0xe273
		},
		{
		0x921a,
		0xe274
		},
		{
		0x921b,
		0xe275
		},
		{
		0x921c,
		0xe276
		},
		{
		0x921d,
		0xe277
		},
		{
		0x921e,
		0xe278
		},
		{
		0x921f,
		0xe279
		},
		{
		0x9220,
		0xe27a
		},
		{
		0x9221,
		0xe27b
		},
		{
		0x9222,
		0xe27c
		},
		{
		0x9223,
		0xe27d
		},
		{
		0x9224,
		0xe27e
		},
		{
		0x9225,
		0xe280
		},
		{
		0x9226,
		0xe281
		},
		{
		0x9227,
		0xe282
		},
		{
		0x9228,
		0xe283
		},
		{
		0x9229,
		0xe284
		},
		{
		0x922a,
		0xe285
		},
		{
		0x922b,
		0xe286
		},
		{
		0x922c,
		0xe287
		},
		{
		0x922d,
		0xe288
		},
		{
		0x922e,
		0xe289
		},
		{
		0x922f,
		0xe28a
		},
		{
		0x9230,
		0xe28b
		},
		{
		0x9231,
		0xe28c
		},
		{
		0x9232,
		0xe28d
		},
		{
		0x9233,
		0xe28e
		},
		{
		0x9234,
		0xe28f
		},
		{
		0x9235,
		0xe290
		},
		{
		0x9236,
		0xe291
		},
		{
		0x9237,
		0xe292
		},
		{
		0x9238,
		0xe293
		},
		{
		0x9239,
		0xe294
		},
		{
		0x923a,
		0xe295
		},
		{
		0x923b,
		0xe296
		},
		{
		0x923c,
		0xe297
		},
		{
		0x923d,
		0xe298
		},
		{
		0x923e,
		0xe299
		},
		{
		0x923f,
		0xe29a
		},
		{
		0x9240,
		0xe29b
		},
		{
		0x9241,
		0xe29c
		},
		{
		0x9242,
		0xe29d
		},
		{
		0x9243,
		0xe29e
		},
		{
		0x9244,
		0xe29f
		},
		{
		0x9245,
		0xe2a0
		},
		{
		0x9246,
		0xe340
		},
		{
		0x9247,
		0xe341
		},
		{
		0x9248,
		0xe342
		},
		{
		0x9249,
		0xe343
		},
		{
		0x924a,
		0xe344
		},
		{
		0x924b,
		0xe345
		},
		{
		0x924c,
		0xe346
		},
		{
		0x924d,
		0xe347
		},
		{
		0x924e,
		0xe348
		},
		{
		0x924f,
		0xe349
		},
		{
		0x9250,
		0xe34a
		},
		{
		0x9251,
		0xe34b
		},
		{
		0x9252,
		0xe34c
		},
		{
		0x9253,
		0xe34d
		},
		{
		0x9254,
		0xe34e
		},
		{
		0x9255,
		0xe34f
		},
		{
		0x9256,
		0xe350
		},
		{
		0x9257,
		0xe351
		},
		{
		0x9258,
		0xe352
		},
		{
		0x9259,
		0xe353
		},
		{
		0x925a,
		0xe354
		},
		{
		0x925b,
		0xe355
		},
		{
		0x925c,
		0xe356
		},
		{
		0x925d,
		0xe357
		},
		{
		0x925e,
		0xe358
		},
		{
		0x925f,
		0xe359
		},
		{
		0x9260,
		0xe35a
		},
		{
		0x9261,
		0xe35b
		},
		{
		0x9262,
		0xe35c
		},
		{
		0x9263,
		0xe35d
		},
		{
		0x9264,
		0xe35e
		},
		{
		0x9265,
		0xe35f
		},
		{
		0x9266,
		0xe360
		},
		{
		0x9267,
		0xe361
		},
		{
		0x9268,
		0xe362
		},
		{
		0x9269,
		0xe363
		},
		{
		0x926a,
		0xe364
		},
		{
		0x926b,
		0xe365
		},
		{
		0x926c,
		0xe366
		},
		{
		0x926d,
		0xe367
		},
		{
		0x926e,
		0xe368
		},
		{
		0x926f,
		0xe369
		},
		{
		0x9270,
		0xe36a
		},
		{
		0x9271,
		0xe36b
		},
		{
		0x9272,
		0xe36c
		},
		{
		0x9273,
		0xe36d
		},
		{
		0x9275,
		0xe36e
		},
		{
		0x9276,
		0xe36f
		},
		{
		0x9277,
		0xe370
		},
		{
		0x9278,
		0xe371
		},
		{
		0x9279,
		0xe372
		},
		{
		0x927a,
		0xe373
		},
		{
		0x927b,
		0xe374
		},
		{
		0x927c,
		0xe375
		},
		{
		0x927d,
		0xe376
		},
		{
		0x927e,
		0xe377
		},
		{
		0x927f,
		0xe378
		},
		{
		0x9280,
		0xe379
		},
		{
		0x9281,
		0xe37a
		},
		{
		0x9282,
		0xe37b
		},
		{
		0x9283,
		0xe37c
		},
		{
		0x9284,
		0xe37d
		},
		{
		0x9285,
		0xe37e
		},
		{
		0x9286,
		0xe380
		},
		{
		0x9287,
		0xe381
		},
		{
		0x9288,
		0xe382
		},
		{
		0x9289,
		0xe383
		},
		{
		0x928a,
		0xe384
		},
		{
		0x928b,
		0xe385
		},
		{
		0x928c,
		0xe386
		},
		{
		0x928d,
		0xe387
		},
		{
		0x928f,
		0xe388
		},
		{
		0x9290,
		0xe389
		},
		{
		0x9291,
		0xe38a
		},
		{
		0x9292,
		0xe38b
		},
		{
		0x9293,
		0xe38c
		},
		{
		0x9294,
		0xe38d
		},
		{
		0x9295,
		0xe38e
		},
		{
		0x9296,
		0xe38f
		},
		{
		0x9297,
		0xe390
		},
		{
		0x9298,
		0xe391
		},
		{
		0x9299,
		0xe392
		},
		{
		0x929a,
		0xe393
		},
		{
		0x929b,
		0xe394
		},
		{
		0x929c,
		0xe395
		},
		{
		0x929d,
		0xe396
		},
		{
		0x929e,
		0xe397
		},
		{
		0x929f,
		0xe398
		},
		{
		0x92a0,
		0xe399
		},
		{
		0x92a1,
		0xe39a
		},
		{
		0x92a2,
		0xe39b
		},
		{
		0x92a3,
		0xe39c
		},
		{
		0x92a4,
		0xe39d
		},
		{
		0x92a5,
		0xe39e
		},
		{
		0x92a6,
		0xe39f
		},
		{
		0x92a7,
		0xe3a0
		},
		{
		0x92a8,
		0xe440
		},
		{
		0x92a9,
		0xe441
		},
		{
		0x92aa,
		0xe442
		},
		{
		0x92ab,
		0xe443
		},
		{
		0x92ac,
		0xe444
		},
		{
		0x92ad,
		0xe445
		},
		{
		0x92af,
		0xe446
		},
		{
		0x92b0,
		0xe447
		},
		{
		0x92b1,
		0xe448
		},
		{
		0x92b2,
		0xe449
		},
		{
		0x92b3,
		0xe44a
		},
		{
		0x92b4,
		0xe44b
		},
		{
		0x92b5,
		0xe44c
		},
		{
		0x92b6,
		0xe44d
		},
		{
		0x92b7,
		0xe44e
		},
		{
		0x92b8,
		0xe44f
		},
		{
		0x92b9,
		0xe450
		},
		{
		0x92ba,
		0xe451
		},
		{
		0x92bb,
		0xe452
		},
		{
		0x92bc,
		0xe453
		},
		{
		0x92bd,
		0xe454
		},
		{
		0x92be,
		0xe455
		},
		{
		0x92bf,
		0xe456
		},
		{
		0x92c0,
		0xe457
		},
		{
		0x92c1,
		0xe458
		},
		{
		0x92c2,
		0xe459
		},
		{
		0x92c3,
		0xe45a
		},
		{
		0x92c4,
		0xe45b
		},
		{
		0x92c5,
		0xe45c
		},
		{
		0x92c6,
		0xe45d
		},
		{
		0x92c7,
		0xe45e
		},
		{
		0x92c9,
		0xe45f
		},
		{
		0x92ca,
		0xe460
		},
		{
		0x92cb,
		0xe461
		},
		{
		0x92cc,
		0xe462
		},
		{
		0x92cd,
		0xe463
		},
		{
		0x92ce,
		0xe464
		},
		{
		0x92cf,
		0xe465
		},
		{
		0x92d0,
		0xe466
		},
		{
		0x92d1,
		0xe467
		},
		{
		0x92d2,
		0xe468
		},
		{
		0x92d3,
		0xe469
		},
		{
		0x92d4,
		0xe46a
		},
		{
		0x92d5,
		0xe46b
		},
		{
		0x92d6,
		0xe46c
		},
		{
		0x92d7,
		0xe46d
		},
		{
		0x92d8,
		0xe46e
		},
		{
		0x92d9,
		0xe46f
		},
		{
		0x92da,
		0xe470
		},
		{
		0x92db,
		0xe471
		},
		{
		0x92dc,
		0xe472
		},
		{
		0x92dd,
		0xe473
		},
		{
		0x92de,
		0xe474
		},
		{
		0x92df,
		0xe475
		},
		{
		0x92e0,
		0xe476
		},
		{
		0x92e1,
		0xe477
		},
		{
		0x92e2,
		0xe478
		},
		{
		0x92e3,
		0xe479
		},
		{
		0x92e4,
		0xe47a
		},
		{
		0x92e5,
		0xe47b
		},
		{
		0x92e6,
		0xe47c
		},
		{
		0x92e7,
		0xe47d
		},
		{
		0x92e8,
		0xe47e
		},
		{
		0x92e9,
		0xe480
		},
		{
		0x92ea,
		0xe481
		},
		{
		0x92eb,
		0xe482
		},
		{
		0x92ec,
		0xe483
		},
		{
		0x92ed,
		0xe484
		},
		{
		0x92ee,
		0xe485
		},
		{
		0x92ef,
		0xe486
		},
		{
		0x92f0,
		0xe487
		},
		{
		0x92f1,
		0xe488
		},
		{
		0x92f2,
		0xe489
		},
		{
		0x92f3,
		0xe48a
		},
		{
		0x92f4,
		0xe48b
		},
		{
		0x92f5,
		0xe48c
		},
		{
		0x92f6,
		0xe48d
		},
		{
		0x92f7,
		0xe48e
		},
		{
		0x92f8,
		0xe48f
		},
		{
		0x92f9,
		0xe490
		},
		{
		0x92fa,
		0xe491
		},
		{
		0x92fb,
		0xe492
		},
		{
		0x92fc,
		0xe493
		},
		{
		0x92fd,
		0xe494
		},
		{
		0x92fe,
		0xe495
		},
		{
		0x92ff,
		0xe496
		},
		{
		0x9300,
		0xe497
		},
		{
		0x9301,
		0xe498
		},
		{
		0x9302,
		0xe499
		},
		{
		0x9303,
		0xe49a
		},
		{
		0x9304,
		0xe49b
		},
		{
		0x9305,
		0xe49c
		},
		{
		0x9306,
		0xe49d
		},
		{
		0x9307,
		0xe49e
		},
		{
		0x9308,
		0xe49f
		},
		{
		0x9309,
		0xe4a0
		},
		{
		0x930a,
		0xe540
		},
		{
		0x930b,
		0xe541
		},
		{
		0x930c,
		0xe542
		},
		{
		0x930d,
		0xe543
		},
		{
		0x930e,
		0xe544
		},
		{
		0x930f,
		0xe545
		},
		{
		0x9310,
		0xe546
		},
		{
		0x9311,
		0xe547
		},
		{
		0x9312,
		0xe548
		},
		{
		0x9313,
		0xe549
		},
		{
		0x9314,
		0xe54a
		},
		{
		0x9315,
		0xe54b
		},
		{
		0x9316,
		0xe54c
		},
		{
		0x9317,
		0xe54d
		},
		{
		0x9318,
		0xe54e
		},
		{
		0x9319,
		0xe54f
		},
		{
		0x931a,
		0xe550
		},
		{
		0x931b,
		0xe551
		},
		{
		0x931c,
		0xe552
		},
		{
		0x931d,
		0xe553
		},
		{
		0x931e,
		0xe554
		},
		{
		0x931f,
		0xe555
		},
		{
		0x9320,
		0xe556
		},
		{
		0x9321,
		0xe557
		},
		{
		0x9322,
		0xe558
		},
		{
		0x9323,
		0xe559
		},
		{
		0x9324,
		0xe55a
		},
		{
		0x9325,
		0xe55b
		},
		{
		0x9326,
		0xe55c
		},
		{
		0x9327,
		0xe55d
		},
		{
		0x9328,
		0xe55e
		},
		{
		0x9329,
		0xe55f
		},
		{
		0x932a,
		0xe560
		},
		{
		0x932b,
		0xe561
		},
		{
		0x932c,
		0xe562
		},
		{
		0x932d,
		0xe563
		},
		{
		0x932e,
		0xe564
		},
		{
		0x932f,
		0xe565
		},
		{
		0x9330,
		0xe566
		},
		{
		0x9331,
		0xe567
		},
		{
		0x9332,
		0xe568
		},
		{
		0x9333,
		0xe569
		},
		{
		0x9334,
		0xe56a
		},
		{
		0x9335,
		0xe56b
		},
		{
		0x9336,
		0xe56c
		},
		{
		0x9337,
		0xe56d
		},
		{
		0x9338,
		0xe56e
		},
		{
		0x9339,
		0xe56f
		},
		{
		0x933a,
		0xe570
		},
		{
		0x933b,
		0xe571
		},
		{
		0x933c,
		0xe572
		},
		{
		0x933d,
		0xe573
		},
		{
		0x933f,
		0xe574
		},
		{
		0x9340,
		0xe575
		},
		{
		0x9341,
		0xe576
		},
		{
		0x9342,
		0xe577
		},
		{
		0x9343,
		0xe578
		},
		{
		0x9344,
		0xe579
		},
		{
		0x9345,
		0xe57a
		},
		{
		0x9346,
		0xe57b
		},
		{
		0x9347,
		0xe57c
		},
		{
		0x9348,
		0xe57d
		},
		{
		0x9349,
		0xe57e
		},
		{
		0x934a,
		0xe580
		},
		{
		0x934b,
		0xe581
		},
		{
		0x934c,
		0xe582
		},
		{
		0x934d,
		0xe583
		},
		{
		0x934e,
		0xe584
		},
		{
		0x934f,
		0xe585
		},
		{
		0x9350,
		0xe586
		},
		{
		0x9351,
		0xe587
		},
		{
		0x9352,
		0xe588
		},
		{
		0x9353,
		0xe589
		},
		{
		0x9354,
		0xe58a
		},
		{
		0x9355,
		0xe58b
		},
		{
		0x9356,
		0xe58c
		},
		{
		0x9357,
		0xe58d
		},
		{
		0x9358,
		0xe58e
		},
		{
		0x9359,
		0xe58f
		},
		{
		0x935a,
		0xe590
		},
		{
		0x935b,
		0xe591
		},
		{
		0x935c,
		0xe592
		},
		{
		0x935d,
		0xe593
		},
		{
		0x935e,
		0xe594
		},
		{
		0x935f,
		0xe595
		},
		{
		0x9360,
		0xe596
		},
		{
		0x9361,
		0xe597
		},
		{
		0x9362,
		0xe598
		},
		{
		0x9363,
		0xe599
		},
		{
		0x9364,
		0xe59a
		},
		{
		0x9365,
		0xe59b
		},
		{
		0x9366,
		0xe59c
		},
		{
		0x9367,
		0xe59d
		},
		{
		0x9368,
		0xe59e
		},
		{
		0x9369,
		0xe59f
		},
		{
		0x936b,
		0xe5a0
		},
		{
		0x936c,
		0xe640
		},
		{
		0x936d,
		0xe641
		},
		{
		0x936e,
		0xe642
		},
		{
		0x936f,
		0xe643
		},
		{
		0x9370,
		0xe644
		},
		{
		0x9371,
		0xe645
		},
		{
		0x9372,
		0xe646
		},
		{
		0x9373,
		0xe647
		},
		{
		0x9374,
		0xe648
		},
		{
		0x9375,
		0xe649
		},
		{
		0x9376,
		0xe64a
		},
		{
		0x9377,
		0xe64b
		},
		{
		0x9378,
		0xe64c
		},
		{
		0x9379,
		0xe64d
		},
		{
		0x937a,
		0xe64e
		},
		{
		0x937b,
		0xe64f
		},
		{
		0x937c,
		0xe650
		},
		{
		0x937d,
		0xe651
		},
		{
		0x937e,
		0xe652
		},
		{
		0x937f,
		0xe653
		},
		{
		0x9380,
		0xe654
		},
		{
		0x9381,
		0xe655
		},
		{
		0x9382,
		0xe656
		},
		{
		0x9383,
		0xe657
		},
		{
		0x9384,
		0xe658
		},
		{
		0x9385,
		0xe659
		},
		{
		0x9386,
		0xe65a
		},
		{
		0x9387,
		0xe65b
		},
		{
		0x9388,
		0xe65c
		},
		{
		0x9389,
		0xe65d
		},
		{
		0x938a,
		0xe65e
		},
		{
		0x938b,
		0xe65f
		},
		{
		0x938c,
		0xe660
		},
		{
		0x938d,
		0xe661
		},
		{
		0x938e,
		0xe662
		},
		{
		0x9390,
		0xe663
		},
		{
		0x9391,
		0xe664
		},
		{
		0x9392,
		0xe665
		},
		{
		0x9393,
		0xe666
		},
		{
		0x9394,
		0xe667
		},
		{
		0x9395,
		0xe668
		},
		{
		0x9396,
		0xe669
		},
		{
		0x9397,
		0xe66a
		},
		{
		0x9398,
		0xe66b
		},
		{
		0x9399,
		0xe66c
		},
		{
		0x939a,
		0xe66d
		},
		{
		0x939b,
		0xe66e
		},
		{
		0x939c,
		0xe66f
		},
		{
		0x939d,
		0xe670
		},
		{
		0x939e,
		0xe671
		},
		{
		0x939f,
		0xe672
		},
		{
		0x93a0,
		0xe673
		},
		{
		0x93a1,
		0xe674
		},
		{
		0x93a2,
		0xe675
		},
		{
		0x93a3,
		0xe676
		},
		{
		0x93a4,
		0xe677
		},
		{
		0x93a5,
		0xe678
		},
		{
		0x93a6,
		0xe679
		},
		{
		0x93a7,
		0xe67a
		},
		{
		0x93a8,
		0xe67b
		},
		{
		0x93a9,
		0xe67c
		},
		{
		0x93aa,
		0xe67d
		},
		{
		0x93ab,
		0xe67e
		},
		{
		0x93ac,
		0xe680
		},
		{
		0x93ad,
		0xe681
		},
		{
		0x93ae,
		0xe682
		},
		{
		0x93af,
		0xe683
		},
		{
		0x93b0,
		0xe684
		},
		{
		0x93b1,
		0xe685
		},
		{
		0x93b2,
		0xe686
		},
		{
		0x93b3,
		0xe687
		},
		{
		0x93b4,
		0xe688
		},
		{
		0x93b5,
		0xe689
		},
		{
		0x93b6,
		0xe68a
		},
		{
		0x93b7,
		0xe68b
		},
		{
		0x93b8,
		0xe68c
		},
		{
		0x93b9,
		0xe68d
		},
		{
		0x93ba,
		0xe68e
		},
		{
		0x93bb,
		0xe68f
		},
		{
		0x93bc,
		0xe690
		},
		{
		0x93bd,
		0xe691
		},
		{
		0x93be,
		0xe692
		},
		{
		0x93bf,
		0xe693
		},
		{
		0x93c0,
		0xe694
		},
		{
		0x93c1,
		0xe695
		},
		{
		0x93c2,
		0xe696
		},
		{
		0x93c3,
		0xe697
		},
		{
		0x93c4,
		0xe698
		},
		{
		0x93c5,
		0xe699
		},
		{
		0x93c6,
		0xe69a
		},
		{
		0x93c7,
		0xe69b
		},
		{
		0x93c8,
		0xe69c
		},
		{
		0x93c9,
		0xe69d
		},
		{
		0x93cb,
		0xe69e
		},
		{
		0x93cc,
		0xe69f
		},
		{
		0x93cd,
		0xe6a0
		},
		{
		0x93ce,
		0xe740
		},
		{
		0x93cf,
		0xe741
		},
		{
		0x93d0,
		0xe742
		},
		{
		0x93d1,
		0xe743
		},
		{
		0x93d2,
		0xe744
		},
		{
		0x93d3,
		0xe745
		},
		{
		0x93d4,
		0xe746
		},
		{
		0x93d5,
		0xe747
		},
		{
		0x93d7,
		0xe748
		},
		{
		0x93d8,
		0xe749
		},
		{
		0x93d9,
		0xe74a
		},
		{
		0x93da,
		0xe74b
		},
		{
		0x93db,
		0xe74c
		},
		{
		0x93dc,
		0xe74d
		},
		{
		0x93dd,
		0xe74e
		},
		{
		0x93de,
		0xe74f
		},
		{
		0x93df,
		0xe750
		},
		{
		0x93e0,
		0xe751
		},
		{
		0x93e1,
		0xe752
		},
		{
		0x93e2,
		0xe753
		},
		{
		0x93e3,
		0xe754
		},
		{
		0x93e4,
		0xe755
		},
		{
		0x93e5,
		0xe756
		},
		{
		0x93e6,
		0xe757
		},
		{
		0x93e7,
		0xe758
		},
		{
		0x93e8,
		0xe759
		},
		{
		0x93e9,
		0xe75a
		},
		{
		0x93ea,
		0xe75b
		},
		{
		0x93eb,
		0xe75c
		},
		{
		0x93ec,
		0xe75d
		},
		{
		0x93ed,
		0xe75e
		},
		{
		0x93ee,
		0xe75f
		},
		{
		0x93ef,
		0xe760
		},
		{
		0x93f0,
		0xe761
		},
		{
		0x93f1,
		0xe762
		},
		{
		0x93f2,
		0xe763
		},
		{
		0x93f3,
		0xe764
		},
		{
		0x93f4,
		0xe765
		},
		{
		0x93f5,
		0xe766
		},
		{
		0x93f6,
		0xe767
		},
		{
		0x93f7,
		0xe768
		},
		{
		0x93f8,
		0xe769
		},
		{
		0x93f9,
		0xe76a
		},
		{
		0x93fa,
		0xe76b
		},
		{
		0x93fb,
		0xe76c
		},
		{
		0x93fc,
		0xe76d
		},
		{
		0x93fd,
		0xe76e
		},
		{
		0x93fe,
		0xe76f
		},
		{
		0x93ff,
		0xe770
		},
		{
		0x9400,
		0xe771
		},
		{
		0x9401,
		0xe772
		},
		{
		0x9402,
		0xe773
		},
		{
		0x9403,
		0xe774
		},
		{
		0x9404,
		0xe775
		},
		{
		0x9405,
		0xe776
		},
		{
		0x9406,
		0xe777
		},
		{
		0x9407,
		0xe778
		},
		{
		0x9408,
		0xe779
		},
		{
		0x9409,
		0xe77a
		},
		{
		0x940a,
		0xe77b
		},
		{
		0x940b,
		0xe77c
		},
		{
		0x940c,
		0xe77d
		},
		{
		0x940d,
		0xe77e
		},
		{
		0x940e,
		0xe780
		},
		{
		0x940f,
		0xe781
		},
		{
		0x9410,
		0xe782
		},
		{
		0x9411,
		0xe783
		},
		{
		0x9412,
		0xe784
		},
		{
		0x9413,
		0xe785
		},
		{
		0x9414,
		0xe786
		},
		{
		0x9415,
		0xe787
		},
		{
		0x9416,
		0xe788
		},
		{
		0x9417,
		0xe789
		},
		{
		0x9418,
		0xe78a
		},
		{
		0x9419,
		0xe78b
		},
		{
		0x941a,
		0xe78c
		},
		{
		0x941b,
		0xe78d
		},
		{
		0x941c,
		0xe78e
		},
		{
		0x941d,
		0xe78f
		},
		{
		0x941e,
		0xe790
		},
		{
		0x941f,
		0xe791
		},
		{
		0x9420,
		0xe792
		},
		{
		0x9421,
		0xe793
		},
		{
		0x9422,
		0xe794
		},
		{
		0x9423,
		0xe795
		},
		{
		0x9424,
		0xe796
		},
		{
		0x9425,
		0xe797
		},
		{
		0x9426,
		0xe798
		},
		{
		0x9427,
		0xe799
		},
		{
		0x9428,
		0xe79a
		},
		{
		0x9429,
		0xe79b
		},
		{
		0x942a,
		0xe79c
		},
		{
		0x942b,
		0xe79d
		},
		{
		0x942c,
		0xe79e
		},
		{
		0x942d,
		0xe79f
		},
		{
		0x942e,
		0xe7a0
		},
		{
		0x942f,
		0xe840
		},
		{
		0x9430,
		0xe841
		},
		{
		0x9431,
		0xe842
		},
		{
		0x9432,
		0xe843
		},
		{
		0x9433,
		0xe844
		},
		{
		0x9434,
		0xe845
		},
		{
		0x9435,
		0xe846
		},
		{
		0x9436,
		0xe847
		},
		{
		0x9437,
		0xe848
		},
		{
		0x9438,
		0xe849
		},
		{
		0x9439,
		0xe84a
		},
		{
		0x943a,
		0xe84b
		},
		{
		0x943b,
		0xe84c
		},
		{
		0x943c,
		0xe84d
		},
		{
		0x943d,
		0xe84e
		},
		{
		0x943f,
		0xe84f
		},
		{
		0x9440,
		0xe850
		},
		{
		0x9441,
		0xe851
		},
		{
		0x9442,
		0xe852
		},
		{
		0x9443,
		0xe853
		},
		{
		0x9444,
		0xe854
		},
		{
		0x9445,
		0xe855
		},
		{
		0x9446,
		0xe856
		},
		{
		0x9447,
		0xe857
		},
		{
		0x9448,
		0xe858
		},
		{
		0x9449,
		0xe859
		},
		{
		0x944a,
		0xe85a
		},
		{
		0x944b,
		0xe85b
		},
		{
		0x944c,
		0xe85c
		},
		{
		0x944d,
		0xe85d
		},
		{
		0x944e,
		0xe85e
		},
		{
		0x944f,
		0xe85f
		},
		{
		0x9450,
		0xe860
		},
		{
		0x9451,
		0xe861
		},
		{
		0x9452,
		0xe862
		},
		{
		0x9453,
		0xe863
		},
		{
		0x9454,
		0xe864
		},
		{
		0x9455,
		0xe865
		},
		{
		0x9456,
		0xe866
		},
		{
		0x9457,
		0xe867
		},
		{
		0x9458,
		0xe868
		},
		{
		0x9459,
		0xe869
		},
		{
		0x945a,
		0xe86a
		},
		{
		0x945b,
		0xe86b
		},
		{
		0x945c,
		0xe86c
		},
		{
		0x945d,
		0xe86d
		},
		{
		0x945e,
		0xe86e
		},
		{
		0x945f,
		0xe86f
		},
		{
		0x9460,
		0xe870
		},
		{
		0x9461,
		0xe871
		},
		{
		0x9462,
		0xe872
		},
		{
		0x9463,
		0xe873
		},
		{
		0x9464,
		0xe874
		},
		{
		0x9465,
		0xe875
		},
		{
		0x9466,
		0xe876
		},
		{
		0x9467,
		0xe877
		},
		{
		0x9468,
		0xe878
		},
		{
		0x9469,
		0xe879
		},
		{
		0x946a,
		0xe87a
		},
		{
		0x946c,
		0xe87b
		},
		{
		0x946d,
		0xe87c
		},
		{
		0x946e,
		0xe87d
		},
		{
		0x946f,
		0xe87e
		},
		{
		0x9470,
		0xe880
		},
		{
		0x9471,
		0xe881
		},
		{
		0x9472,
		0xe882
		},
		{
		0x9473,
		0xe883
		},
		{
		0x9474,
		0xe884
		},
		{
		0x9475,
		0xe885
		},
		{
		0x9476,
		0xe886
		},
		{
		0x9477,
		0xe887
		},
		{
		0x9478,
		0xe888
		},
		{
		0x9479,
		0xe889
		},
		{
		0x947a,
		0xe88a
		},
		{
		0x947b,
		0xe88b
		},
		{
		0x947c,
		0xe88c
		},
		{
		0x947d,
		0xe88d
		},
		{
		0x947e,
		0xe88e
		},
		{
		0x947f,
		0xe88f
		},
		{
		0x9480,
		0xe890
		},
		{
		0x9481,
		0xe891
		},
		{
		0x9482,
		0xe892
		},
		{
		0x9483,
		0xe893
		},
		{
		0x9484,
		0xe894
		},
		{
		0x9491,
		0xe895
		},
		{
		0x9496,
		0xe896
		},
		{
		0x9498,
		0xe897
		},
		{
		0x94c7,
		0xe898
		},
		{
		0x94cf,
		0xe899
		},
		{
		0x94d3,
		0xe89a
		},
		{
		0x94d4,
		0xe89b
		},
		{
		0x94da,
		0xe89c
		},
		{
		0x94e6,
		0xe89d
		},
		{
		0x94fb,
		0xe89e
		},
		{
		0x951c,
		0xe89f
		},
		{
		0x9520,
		0xe8a0
		},
		{
		0x9527,
		0xe940
		},
		{
		0x9533,
		0xe941
		},
		{
		0x953d,
		0xe942
		},
		{
		0x9543,
		0xe943
		},
		{
		0x9548,
		0xe944
		},
		{
		0x954b,
		0xe945
		},
		{
		0x9555,
		0xe946
		},
		{
		0x955a,
		0xe947
		},
		{
		0x9560,
		0xe948
		},
		{
		0x956e,
		0xe949
		},
		{
		0x9574,
		0xe94a
		},
		{
		0x9575,
		0xe94b
		},
		{
		0x9577,
		0xe94c
		},
		{
		0x9578,
		0xe94d
		},
		{
		0x9579,
		0xe94e
		},
		{
		0x957a,
		0xe94f
		},
		{
		0x957b,
		0xe950
		},
		{
		0x957c,
		0xe951
		},
		{
		0x957d,
		0xe952
		},
		{
		0x957e,
		0xe953
		},
		{
		0x9580,
		0xe954
		},
		{
		0x9581,
		0xe955
		},
		{
		0x9582,
		0xe956
		},
		{
		0x9583,
		0xe957
		},
		{
		0x9584,
		0xe958
		},
		{
		0x9585,
		0xe959
		},
		{
		0x9586,
		0xe95a
		},
		{
		0x9587,
		0xe95b
		},
		{
		0x9588,
		0xe95c
		},
		{
		0x9589,
		0xe95d
		},
		{
		0x958a,
		0xe95e
		},
		{
		0x958b,
		0xe95f
		},
		{
		0x958c,
		0xe960
		},
		{
		0x958d,
		0xe961
		},
		{
		0x958e,
		0xe962
		},
		{
		0x958f,
		0xe963
		},
		{
		0x9590,
		0xe964
		},
		{
		0x9591,
		0xe965
		},
		{
		0x9592,
		0xe966
		},
		{
		0x9593,
		0xe967
		},
		{
		0x9594,
		0xe968
		},
		{
		0x9595,
		0xe969
		},
		{
		0x9596,
		0xe96a
		},
		{
		0x9597,
		0xe96b
		},
		{
		0x9598,
		0xe96c
		},
		{
		0x9599,
		0xe96d
		},
		{
		0x959a,
		0xe96e
		},
		{
		0x959b,
		0xe96f
		},
		{
		0x959c,
		0xe970
		},
		{
		0x959d,
		0xe971
		},
		{
		0x959e,
		0xe972
		},
		{
		0x959f,
		0xe973
		},
		{
		0x95a0,
		0xe974
		},
		{
		0x95a1,
		0xe975
		},
		{
		0x95a2,
		0xe976
		},
		{
		0x95a3,
		0xe977
		},
		{
		0x95a4,
		0xe978
		},
		{
		0x95a5,
		0xe979
		},
		{
		0x95a6,
		0xe97a
		},
		{
		0x95a7,
		0xe97b
		},
		{
		0x95a8,
		0xe97c
		},
		{
		0x95a9,
		0xe97d
		},
		{
		0x95aa,
		0xe97e
		},
		{
		0x95ab,
		0xe980
		},
		{
		0x95ac,
		0xe981
		},
		{
		0x95ad,
		0xe982
		},
		{
		0x95ae,
		0xe983
		},
		{
		0x95af,
		0xe984
		},
		{
		0x95b0,
		0xe985
		},
		{
		0x95b1,
		0xe986
		},
		{
		0x95b2,
		0xe987
		},
		{
		0x95b3,
		0xe988
		},
		{
		0x95b4,
		0xe989
		},
		{
		0x95b5,
		0xe98a
		},
		{
		0x95b6,
		0xe98b
		},
		{
		0x95b7,
		0xe98c
		},
		{
		0x95b8,
		0xe98d
		},
		{
		0x95b9,
		0xe98e
		},
		{
		0x95ba,
		0xe98f
		},
		{
		0x95bb,
		0xe990
		},
		{
		0x95bc,
		0xe991
		},
		{
		0x95bd,
		0xe992
		},
		{
		0x95be,
		0xe993
		},
		{
		0x95bf,
		0xe994
		},
		{
		0x95c0,
		0xe995
		},
		{
		0x95c1,
		0xe996
		},
		{
		0x95c2,
		0xe997
		},
		{
		0x95c3,
		0xe998
		},
		{
		0x95c4,
		0xe999
		},
		{
		0x95c5,
		0xe99a
		},
		{
		0x95c6,
		0xe99b
		},
		{
		0x95c7,
		0xe99c
		},
		{
		0x95c8,
		0xe99d
		},
		{
		0x95c9,
		0xe99e
		},
		{
		0x95ca,
		0xe99f
		},
		{
		0x95cb,
		0xe9a0
		},
		{
		0x95cc,
		0xea40
		},
		{
		0x95cd,
		0xea41
		},
		{
		0x95ce,
		0xea42
		},
		{
		0x95cf,
		0xea43
		},
		{
		0x95d0,
		0xea44
		},
		{
		0x95d1,
		0xea45
		},
		{
		0x95d2,
		0xea46
		},
		{
		0x95d3,
		0xea47
		},
		{
		0x95d4,
		0xea48
		},
		{
		0x95d5,
		0xea49
		},
		{
		0x95d6,
		0xea4a
		},
		{
		0x95d7,
		0xea4b
		},
		{
		0x95d8,
		0xea4c
		},
		{
		0x95d9,
		0xea4d
		},
		{
		0x95da,
		0xea4e
		},
		{
		0x95db,
		0xea4f
		},
		{
		0x95dc,
		0xea50
		},
		{
		0x95dd,
		0xea51
		},
		{
		0x95de,
		0xea52
		},
		{
		0x95df,
		0xea53
		},
		{
		0x95e0,
		0xea54
		},
		{
		0x95e1,
		0xea55
		},
		{
		0x95e2,
		0xea56
		},
		{
		0x95e3,
		0xea57
		},
		{
		0x95e4,
		0xea58
		},
		{
		0x95e5,
		0xea59
		},
		{
		0x95e6,
		0xea5a
		},
		{
		0x95e7,
		0xea5b
		},
		{
		0x95ec,
		0xea5c
		},
		{
		0x95ff,
		0xea5d
		},
		{
		0x9607,
		0xea5e
		},
		{
		0x9613,
		0xea5f
		},
		{
		0x9618,
		0xea60
		},
		{
		0x961b,
		0xea61
		},
		{
		0x961e,
		0xea62
		},
		{
		0x9620,
		0xea63
		},
		{
		0x9623,
		0xea64
		},
		{
		0x9624,
		0xea65
		},
		{
		0x9625,
		0xea66
		},
		{
		0x9626,
		0xea67
		},
		{
		0x9627,
		0xea68
		},
		{
		0x9628,
		0xea69
		},
		{
		0x9629,
		0xea6a
		},
		{
		0x962b,
		0xea6b
		},
		{
		0x962c,
		0xea6c
		},
		{
		0x962d,
		0xea6d
		},
		{
		0x962f,
		0xea6e
		},
		{
		0x9630,
		0xea6f
		},
		{
		0x9637,
		0xea70
		},
		{
		0x9638,
		0xea71
		},
		{
		0x9639,
		0xea72
		},
		{
		0x963a,
		0xea73
		},
		{
		0x963e,
		0xea74
		},
		{
		0x9641,
		0xea75
		},
		{
		0x9643,
		0xea76
		},
		{
		0x964a,
		0xea77
		},
		{
		0x964e,
		0xea78
		},
		{
		0x964f,
		0xea79
		},
		{
		0x9651,
		0xea7a
		},
		{
		0x9652,
		0xea7b
		},
		{
		0x9653,
		0xea7c
		},
		{
		0x9656,
		0xea7d
		},
		{
		0x9657,
		0xea7e
		},
		{
		0x9658,
		0xea80
		},
		{
		0x9659,
		0xea81
		},
		{
		0x965a,
		0xea82
		},
		{
		0x965c,
		0xea83
		},
		{
		0x965d,
		0xea84
		},
		{
		0x965e,
		0xea85
		},
		{
		0x9660,
		0xea86
		},
		{
		0x9663,
		0xea87
		},
		{
		0x9665,
		0xea88
		},
		{
		0x9666,
		0xea89
		},
		{
		0x966b,
		0xea8a
		},
		{
		0x966d,
		0xea8b
		},
		{
		0x966e,
		0xea8c
		},
		{
		0x966f,
		0xea8d
		},
		{
		0x9670,
		0xea8e
		},
		{
		0x9671,
		0xea8f
		},
		{
		0x9673,
		0xea90
		},
		{
		0x9678,
		0xea91
		},
		{
		0x9679,
		0xea92
		},
		{
		0x967a,
		0xea93
		},
		{
		0x967b,
		0xea94
		},
		{
		0x967c,
		0xea95
		},
		{
		0x967d,
		0xea96
		},
		{
		0x967e,
		0xea97
		},
		{
		0x967f,
		0xea98
		},
		{
		0x9680,
		0xea99
		},
		{
		0x9681,
		0xea9a
		},
		{
		0x9682,
		0xea9b
		},
		{
		0x9683,
		0xea9c
		},
		{
		0x9684,
		0xea9d
		},
		{
		0x9687,
		0xea9e
		},
		{
		0x9689,
		0xea9f
		},
		{
		0x968a,
		0xeaa0
		},
		{
		0x968c,
		0xeb40
		},
		{
		0x968e,
		0xeb41
		},
		{
		0x9691,
		0xeb42
		},
		{
		0x9692,
		0xeb43
		},
		{
		0x9693,
		0xeb44
		},
		{
		0x9695,
		0xeb45
		},
		{
		0x9696,
		0xeb46
		},
		{
		0x969a,
		0xeb47
		},
		{
		0x969b,
		0xeb48
		},
		{
		0x969d,
		0xeb49
		},
		{
		0x969e,
		0xeb4a
		},
		{
		0x969f,
		0xeb4b
		},
		{
		0x96a0,
		0xeb4c
		},
		{
		0x96a1,
		0xeb4d
		},
		{
		0x96a2,
		0xeb4e
		},
		{
		0x96a3,
		0xeb4f
		},
		{
		0x96a4,
		0xeb50
		},
		{
		0x96a5,
		0xeb51
		},
		{
		0x96a6,
		0xeb52
		},
		{
		0x96a8,
		0xeb53
		},
		{
		0x96a9,
		0xeb54
		},
		{
		0x96aa,
		0xeb55
		},
		{
		0x96ab,
		0xeb56
		},
		{
		0x96ac,
		0xeb57
		},
		{
		0x96ad,
		0xeb58
		},
		{
		0x96ae,
		0xeb59
		},
		{
		0x96af,
		0xeb5a
		},
		{
		0x96b1,
		0xeb5b
		},
		{
		0x96b2,
		0xeb5c
		},
		{
		0x96b4,
		0xeb5d
		},
		{
		0x96b5,
		0xeb5e
		},
		{
		0x96b7,
		0xeb5f
		},
		{
		0x96b8,
		0xeb60
		},
		{
		0x96ba,
		0xeb61
		},
		{
		0x96bb,
		0xeb62
		},
		{
		0x96bf,
		0xeb63
		},
		{
		0x96c2,
		0xeb64
		},
		{
		0x96c3,
		0xeb65
		},
		{
		0x96c8,
		0xeb66
		},
		{
		0x96ca,
		0xeb67
		},
		{
		0x96cb,
		0xeb68
		},
		{
		0x96d0,
		0xeb69
		},
		{
		0x96d1,
		0xeb6a
		},
		{
		0x96d3,
		0xeb6b
		},
		{
		0x96d4,
		0xeb6c
		},
		{
		0x96d6,
		0xeb6d
		},
		{
		0x96d7,
		0xeb6e
		},
		{
		0x96d8,
		0xeb6f
		},
		{
		0x96d9,
		0xeb70
		},
		{
		0x96da,
		0xeb71
		},
		{
		0x96db,
		0xeb72
		},
		{
		0x96dc,
		0xeb73
		},
		{
		0x96dd,
		0xeb74
		},
		{
		0x96de,
		0xeb75
		},
		{
		0x96df,
		0xeb76
		},
		{
		0x96e1,
		0xeb77
		},
		{
		0x96e2,
		0xeb78
		},
		{
		0x96e3,
		0xeb79
		},
		{
		0x96e4,
		0xeb7a
		},
		{
		0x96e5,
		0xeb7b
		},
		{
		0x96e6,
		0xeb7c
		},
		{
		0x96e7,
		0xeb7d
		},
		{
		0x96eb,
		0xeb7e
		},
		{
		0x96ec,
		0xeb80
		},
		{
		0x96ed,
		0xeb81
		},
		{
		0x96ee,
		0xeb82
		},
		{
		0x96f0,
		0xeb83
		},
		{
		0x96f1,
		0xeb84
		},
		{
		0x96f2,
		0xeb85
		},
		{
		0x96f4,
		0xeb86
		},
		{
		0x96f5,
		0xeb87
		},
		{
		0x96f8,
		0xeb88
		},
		{
		0x96fa,
		0xeb89
		},
		{
		0x96fb,
		0xeb8a
		},
		{
		0x96fc,
		0xeb8b
		},
		{
		0x96fd,
		0xeb8c
		},
		{
		0x96ff,
		0xeb8d
		},
		{
		0x9702,
		0xeb8e
		},
		{
		0x9703,
		0xeb8f
		},
		{
		0x9705,
		0xeb90
		},
		{
		0x970a,
		0xeb91
		},
		{
		0x970b,
		0xeb92
		},
		{
		0x970c,
		0xeb93
		},
		{
		0x9710,
		0xeb94
		},
		{
		0x9711,
		0xeb95
		},
		{
		0x9712,
		0xeb96
		},
		{
		0x9714,
		0xeb97
		},
		{
		0x9715,
		0xeb98
		},
		{
		0x9717,
		0xeb99
		},
		{
		0x9718,
		0xeb9a
		},
		{
		0x9719,
		0xeb9b
		},
		{
		0x971a,
		0xeb9c
		},
		{
		0x971b,
		0xeb9d
		},
		{
		0x971d,
		0xeb9e
		},
		{
		0x971f,
		0xeb9f
		},
		{
		0x9720,
		0xeba0
		},
		{
		0x9721,
		0xec40
		},
		{
		0x9722,
		0xec41
		},
		{
		0x9723,
		0xec42
		},
		{
		0x9724,
		0xec43
		},
		{
		0x9725,
		0xec44
		},
		{
		0x9726,
		0xec45
		},
		{
		0x9727,
		0xec46
		},
		{
		0x9728,
		0xec47
		},
		{
		0x9729,
		0xec48
		},
		{
		0x972b,
		0xec49
		},
		{
		0x972c,
		0xec4a
		},
		{
		0x972e,
		0xec4b
		},
		{
		0x972f,
		0xec4c
		},
		{
		0x9731,
		0xec4d
		},
		{
		0x9733,
		0xec4e
		},
		{
		0x9734,
		0xec4f
		},
		{
		0x9735,
		0xec50
		},
		{
		0x9736,
		0xec51
		},
		{
		0x9737,
		0xec52
		},
		{
		0x973a,
		0xec53
		},
		{
		0x973b,
		0xec54
		},
		{
		0x973c,
		0xec55
		},
		{
		0x973d,
		0xec56
		},
		{
		0x973f,
		0xec57
		},
		{
		0x9740,
		0xec58
		},
		{
		0x9741,
		0xec59
		},
		{
		0x9742,
		0xec5a
		},
		{
		0x9743,
		0xec5b
		},
		{
		0x9744,
		0xec5c
		},
		{
		0x9745,
		0xec5d
		},
		{
		0x9746,
		0xec5e
		},
		{
		0x9747,
		0xec5f
		},
		{
		0x9748,
		0xec60
		},
		{
		0x9749,
		0xec61
		},
		{
		0x974a,
		0xec62
		},
		{
		0x974b,
		0xec63
		},
		{
		0x974c,
		0xec64
		},
		{
		0x974d,
		0xec65
		},
		{
		0x974e,
		0xec66
		},
		{
		0x974f,
		0xec67
		},
		{
		0x9750,
		0xec68
		},
		{
		0x9751,
		0xec69
		},
		{
		0x9754,
		0xec6a
		},
		{
		0x9755,
		0xec6b
		},
		{
		0x9757,
		0xec6c
		},
		{
		0x9758,
		0xec6d
		},
		{
		0x975a,
		0xec6e
		},
		{
		0x975c,
		0xec6f
		},
		{
		0x975d,
		0xec70
		},
		{
		0x975f,
		0xec71
		},
		{
		0x9763,
		0xec72
		},
		{
		0x9764,
		0xec73
		},
		{
		0x9766,
		0xec74
		},
		{
		0x9767,
		0xec75
		},
		{
		0x9768,
		0xec76
		},
		{
		0x976a,
		0xec77
		},
		{
		0x976b,
		0xec78
		},
		{
		0x976c,
		0xec79
		},
		{
		0x976d,
		0xec7a
		},
		{
		0x976e,
		0xec7b
		},
		{
		0x976f,
		0xec7c
		},
		{
		0x9770,
		0xec7d
		},
		{
		0x9771,
		0xec7e
		},
		{
		0x9772,
		0xec80
		},
		{
		0x9775,
		0xec81
		},
		{
		0x9777,
		0xec82
		},
		{
		0x9778,
		0xec83
		},
		{
		0x9779,
		0xec84
		},
		{
		0x977a,
		0xec85
		},
		{
		0x977b,
		0xec86
		},
		{
		0x977d,
		0xec87
		},
		{
		0x977e,
		0xec88
		},
		{
		0x977f,
		0xec89
		},
		{
		0x9780,
		0xec8a
		},
		{
		0x9781,
		0xec8b
		},
		{
		0x9782,
		0xec8c
		},
		{
		0x9783,
		0xec8d
		},
		{
		0x9784,
		0xec8e
		},
		{
		0x9786,
		0xec8f
		},
		{
		0x9787,
		0xec90
		},
		{
		0x9788,
		0xec91
		},
		{
		0x9789,
		0xec92
		},
		{
		0x978a,
		0xec93
		},
		{
		0x978c,
		0xec94
		},
		{
		0x978e,
		0xec95
		},
		{
		0x978f,
		0xec96
		},
		{
		0x9790,
		0xec97
		},
		{
		0x9793,
		0xec98
		},
		{
		0x9795,
		0xec99
		},
		{
		0x9796,
		0xec9a
		},
		{
		0x9797,
		0xec9b
		},
		{
		0x9799,
		0xec9c
		},
		{
		0x979a,
		0xec9d
		},
		{
		0x979b,
		0xec9e
		},
		{
		0x979c,
		0xec9f
		},
		{
		0x979d,
		0xeca0
		},
		{
		0x979e,
		0xed40
		},
		{
		0x979f,
		0xed41
		},
		{
		0x97a1,
		0xed42
		},
		{
		0x97a2,
		0xed43
		},
		{
		0x97a4,
		0xed44
		},
		{
		0x97a5,
		0xed45
		},
		{
		0x97a6,
		0xed46
		},
		{
		0x97a7,
		0xed47
		},
		{
		0x97a8,
		0xed48
		},
		{
		0x97a9,
		0xed49
		},
		{
		0x97aa,
		0xed4a
		},
		{
		0x97ac,
		0xed4b
		},
		{
		0x97ae,
		0xed4c
		},
		{
		0x97b0,
		0xed4d
		},
		{
		0x97b1,
		0xed4e
		},
		{
		0x97b3,
		0xed4f
		},
		{
		0x97b5,
		0xed50
		},
		{
		0x97b6,
		0xed51
		},
		{
		0x97b7,
		0xed52
		},
		{
		0x97b8,
		0xed53
		},
		{
		0x97b9,
		0xed54
		},
		{
		0x97ba,
		0xed55
		},
		{
		0x97bb,
		0xed56
		},
		{
		0x97bc,
		0xed57
		},
		{
		0x97bd,
		0xed58
		},
		{
		0x97be,
		0xed59
		},
		{
		0x97bf,
		0xed5a
		},
		{
		0x97c0,
		0xed5b
		},
		{
		0x97c1,
		0xed5c
		},
		{
		0x97c2,
		0xed5d
		},
		{
		0x97c3,
		0xed5e
		},
		{
		0x97c4,
		0xed5f
		},
		{
		0x97c5,
		0xed60
		},
		{
		0x97c6,
		0xed61
		},
		{
		0x97c7,
		0xed62
		},
		{
		0x97c8,
		0xed63
		},
		{
		0x97c9,
		0xed64
		},
		{
		0x97ca,
		0xed65
		},
		{
		0x97cb,
		0xed66
		},
		{
		0x97cc,
		0xed67
		},
		{
		0x97cd,
		0xed68
		},
		{
		0x97ce,
		0xed69
		},
		{
		0x97cf,
		0xed6a
		},
		{
		0x97d0,
		0xed6b
		},
		{
		0x97d1,
		0xed6c
		},
		{
		0x97d2,
		0xed6d
		},
		{
		0x97d3,
		0xed6e
		},
		{
		0x97d4,
		0xed6f
		},
		{
		0x97d5,
		0xed70
		},
		{
		0x97d6,
		0xed71
		},
		{
		0x97d7,
		0xed72
		},
		{
		0x97d8,
		0xed73
		},
		{
		0x97d9,
		0xed74
		},
		{
		0x97da,
		0xed75
		},
		{
		0x97db,
		0xed76
		},
		{
		0x97dc,
		0xed77
		},
		{
		0x97dd,
		0xed78
		},
		{
		0x97de,
		0xed79
		},
		{
		0x97df,
		0xed7a
		},
		{
		0x97e0,
		0xed7b
		},
		{
		0x97e1,
		0xed7c
		},
		{
		0x97e2,
		0xed7d
		},
		{
		0x97e3,
		0xed7e
		},
		{
		0x97e4,
		0xed80
		},
		{
		0x97e5,
		0xed81
		},
		{
		0x97e8,
		0xed82
		},
		{
		0x97ee,
		0xed83
		},
		{
		0x97ef,
		0xed84
		},
		{
		0x97f0,
		0xed85
		},
		{
		0x97f1,
		0xed86
		},
		{
		0x97f2,
		0xed87
		},
		{
		0x97f4,
		0xed88
		},
		{
		0x97f7,
		0xed89
		},
		{
		0x97f8,
		0xed8a
		},
		{
		0x97f9,
		0xed8b
		},
		{
		0x97fa,
		0xed8c
		},
		{
		0x97fb,
		0xed8d
		},
		{
		0x97fc,
		0xed8e
		},
		{
		0x97fd,
		0xed8f
		},
		{
		0x97fe,
		0xed90
		},
		{
		0x97ff,
		0xed91
		},
		{
		0x9800,
		0xed92
		},
		{
		0x9801,
		0xed93
		},
		{
		0x9802,
		0xed94
		},
		{
		0x9803,
		0xed95
		},
		{
		0x9804,
		0xed96
		},
		{
		0x9805,
		0xed97
		},
		{
		0x9806,
		0xed98
		},
		{
		0x9807,
		0xed99
		},
		{
		0x9808,
		0xed9a
		},
		{
		0x9809,
		0xed9b
		},
		{
		0x980a,
		0xed9c
		},
		{
		0x980b,
		0xed9d
		},
		{
		0x980c,
		0xed9e
		},
		{
		0x980d,
		0xed9f
		},
		{
		0x980e,
		0xeda0
		},
		{
		0x980f,
		0xee40
		},
		{
		0x9810,
		0xee41
		},
		{
		0x9811,
		0xee42
		},
		{
		0x9812,
		0xee43
		},
		{
		0x9813,
		0xee44
		},
		{
		0x9814,
		0xee45
		},
		{
		0x9815,
		0xee46
		},
		{
		0x9816,
		0xee47
		},
		{
		0x9817,
		0xee48
		},
		{
		0x9818,
		0xee49
		},
		{
		0x9819,
		0xee4a
		},
		{
		0x981a,
		0xee4b
		},
		{
		0x981b,
		0xee4c
		},
		{
		0x981c,
		0xee4d
		},
		{
		0x981d,
		0xee4e
		},
		{
		0x981e,
		0xee4f
		},
		{
		0x981f,
		0xee50
		},
		{
		0x9820,
		0xee51
		},
		{
		0x9821,
		0xee52
		},
		{
		0x9822,
		0xee53
		},
		{
		0x9823,
		0xee54
		},
		{
		0x9824,
		0xee55
		},
		{
		0x9825,
		0xee56
		},
		{
		0x9826,
		0xee57
		},
		{
		0x9827,
		0xee58
		},
		{
		0x9828,
		0xee59
		},
		{
		0x9829,
		0xee5a
		},
		{
		0x982a,
		0xee5b
		},
		{
		0x982b,
		0xee5c
		},
		{
		0x982c,
		0xee5d
		},
		{
		0x982d,
		0xee5e
		},
		{
		0x982e,
		0xee5f
		},
		{
		0x982f,
		0xee60
		},
		{
		0x9830,
		0xee61
		},
		{
		0x9831,
		0xee62
		},
		{
		0x9832,
		0xee63
		},
		{
		0x9833,
		0xee64
		},
		{
		0x9834,
		0xee65
		},
		{
		0x9835,
		0xee66
		},
		{
		0x9836,
		0xee67
		},
		{
		0x9837,
		0xee68
		},
		{
		0x9838,
		0xee69
		},
		{
		0x9839,
		0xee6a
		},
		{
		0x983a,
		0xee6b
		},
		{
		0x983b,
		0xee6c
		},
		{
		0x983c,
		0xee6d
		},
		{
		0x983d,
		0xee6e
		},
		{
		0x983e,
		0xee6f
		},
		{
		0x983f,
		0xee70
		},
		{
		0x9840,
		0xee71
		},
		{
		0x9841,
		0xee72
		},
		{
		0x9842,
		0xee73
		},
		{
		0x9843,
		0xee74
		},
		{
		0x9844,
		0xee75
		},
		{
		0x9845,
		0xee76
		},
		{
		0x9846,
		0xee77
		},
		{
		0x9847,
		0xee78
		},
		{
		0x9848,
		0xee79
		},
		{
		0x9849,
		0xee7a
		},
		{
		0x984a,
		0xee7b
		},
		{
		0x984b,
		0xee7c
		},
		{
		0x984c,
		0xee7d
		},
		{
		0x984d,
		0xee7e
		},
		{
		0x984e,
		0xee80
		},
		{
		0x984f,
		0xee81
		},
		{
		0x9850,
		0xee82
		},
		{
		0x9851,
		0xee83
		},
		{
		0x9852,
		0xee84
		},
		{
		0x9853,
		0xee85
		},
		{
		0x9854,
		0xee86
		},
		{
		0x9855,
		0xee87
		},
		{
		0x9856,
		0xee88
		},
		{
		0x9857,
		0xee89
		},
		{
		0x9858,
		0xee8a
		},
		{
		0x9859,
		0xee8b
		},
		{
		0x985a,
		0xee8c
		},
		{
		0x985b,
		0xee8d
		},
		{
		0x985c,
		0xee8e
		},
		{
		0x985d,
		0xee8f
		},
		{
		0x985e,
		0xee90
		},
		{
		0x985f,
		0xee91
		},
		{
		0x9860,
		0xee92
		},
		{
		0x9861,
		0xee93
		},
		{
		0x9862,
		0xee94
		},
		{
		0x9863,
		0xee95
		},
		{
		0x9864,
		0xee96
		},
		{
		0x9865,
		0xee97
		},
		{
		0x9866,
		0xee98
		},
		{
		0x9867,
		0xee99
		},
		{
		0x9868,
		0xee9a
		},
		{
		0x9869,
		0xee9b
		},
		{
		0x986a,
		0xee9c
		},
		{
		0x986b,
		0xee9d
		},
		{
		0x986c,
		0xee9e
		},
		{
		0x986d,
		0xee9f
		},
		{
		0x986e,
		0xeea0
		},
		{
		0x986f,
		0xef40
		},
		{
		0x9870,
		0xef41
		},
		{
		0x9871,
		0xef42
		},
		{
		0x9872,
		0xef43
		},
		{
		0x9873,
		0xef44
		},
		{
		0x9874,
		0xef45
		},
		{
		0x988b,
		0xef46
		},
		{
		0x988e,
		0xef47
		},
		{
		0x9892,
		0xef48
		},
		{
		0x9895,
		0xef49
		},
		{
		0x9899,
		0xef4a
		},
		{
		0x98a3,
		0xef4b
		},
		{
		0x98a8,
		0xef4c
		},
		{
		0x98a9,
		0xef4d
		},
		{
		0x98aa,
		0xef4e
		},
		{
		0x98ab,
		0xef4f
		},
		{
		0x98ac,
		0xef50
		},
		{
		0x98ad,
		0xef51
		},
		{
		0x98ae,
		0xef52
		},
		{
		0x98af,
		0xef53
		},
		{
		0x98b0,
		0xef54
		},
		{
		0x98b1,
		0xef55
		},
		{
		0x98b2,
		0xef56
		},
		{
		0x98b3,
		0xef57
		},
		{
		0x98b4,
		0xef58
		},
		{
		0x98b5,
		0xef59
		},
		{
		0x98b6,
		0xef5a
		},
		{
		0x98b7,
		0xef5b
		},
		{
		0x98b8,
		0xef5c
		},
		{
		0x98b9,
		0xef5d
		},
		{
		0x98ba,
		0xef5e
		},
		{
		0x98bb,
		0xef5f
		},
		{
		0x98bc,
		0xef60
		},
		{
		0x98bd,
		0xef61
		},
		{
		0x98be,
		0xef62
		},
		{
		0x98bf,
		0xef63
		},
		{
		0x98c0,
		0xef64
		},
		{
		0x98c1,
		0xef65
		},
		{
		0x98c2,
		0xef66
		},
		{
		0x98c3,
		0xef67
		},
		{
		0x98c4,
		0xef68
		},
		{
		0x98c5,
		0xef69
		},
		{
		0x98c6,
		0xef6a
		},
		{
		0x98c7,
		0xef6b
		},
		{
		0x98c8,
		0xef6c
		},
		{
		0x98c9,
		0xef6d
		},
		{
		0x98ca,
		0xef6e
		},
		{
		0x98cb,
		0xef6f
		},
		{
		0x98cc,
		0xef70
		},
		{
		0x98cd,
		0xef71
		},
		{
		0x98cf,
		0xef72
		},
		{
		0x98d0,
		0xef73
		},
		{
		0x98d4,
		0xef74
		},
		{
		0x98d6,
		0xef75
		},
		{
		0x98d7,
		0xef76
		},
		{
		0x98db,
		0xef77
		},
		{
		0x98dc,
		0xef78
		},
		{
		0x98dd,
		0xef79
		},
		{
		0x98e0,
		0xef7a
		},
		{
		0x98e1,
		0xef7b
		},
		{
		0x98e2,
		0xef7c
		},
		{
		0x98e3,
		0xef7d
		},
		{
		0x98e4,
		0xef7e
		},
		{
		0x98e5,
		0xef80
		},
		{
		0x98e6,
		0xef81
		},
		{
		0x98e9,
		0xef82
		},
		{
		0x98ea,
		0xef83
		},
		{
		0x98eb,
		0xef84
		},
		{
		0x98ec,
		0xef85
		},
		{
		0x98ed,
		0xef86
		},
		{
		0x98ee,
		0xef87
		},
		{
		0x98ef,
		0xef88
		},
		{
		0x98f0,
		0xef89
		},
		{
		0x98f1,
		0xef8a
		},
		{
		0x98f2,
		0xef8b
		},
		{
		0x98f3,
		0xef8c
		},
		{
		0x98f4,
		0xef8d
		},
		{
		0x98f5,
		0xef8e
		},
		{
		0x98f6,
		0xef8f
		},
		{
		0x98f7,
		0xef90
		},
		{
		0x98f8,
		0xef91
		},
		{
		0x98f9,
		0xef92
		},
		{
		0x98fa,
		0xef93
		},
		{
		0x98fb,
		0xef94
		},
		{
		0x98fc,
		0xef95
		},
		{
		0x98fd,
		0xef96
		},
		{
		0x98fe,
		0xef97
		},
		{
		0x98ff,
		0xef98
		},
		{
		0x9900,
		0xef99
		},
		{
		0x9901,
		0xef9a
		},
		{
		0x9902,
		0xef9b
		},
		{
		0x9903,
		0xef9c
		},
		{
		0x9904,
		0xef9d
		},
		{
		0x9905,
		0xef9e
		},
		{
		0x9906,
		0xef9f
		},
		{
		0x9907,
		0xefa0
		},
		{
		0x9908,
		0xf040
		},
		{
		0x9909,
		0xf041
		},
		{
		0x990a,
		0xf042
		},
		{
		0x990b,
		0xf043
		},
		{
		0x990c,
		0xf044
		},
		{
		0x990e,
		0xf045
		},
		{
		0x990f,
		0xf046
		},
		{
		0x9911,
		0xf047
		},
		{
		0x9912,
		0xf048
		},
		{
		0x9913,
		0xf049
		},
		{
		0x9914,
		0xf04a
		},
		{
		0x9915,
		0xf04b
		},
		{
		0x9916,
		0xf04c
		},
		{
		0x9917,
		0xf04d
		},
		{
		0x9918,
		0xf04e
		},
		{
		0x9919,
		0xf04f
		},
		{
		0x991a,
		0xf050
		},
		{
		0x991b,
		0xf051
		},
		{
		0x991c,
		0xf052
		},
		{
		0x991d,
		0xf053
		},
		{
		0x991e,
		0xf054
		},
		{
		0x991f,
		0xf055
		},
		{
		0x9920,
		0xf056
		},
		{
		0x9921,
		0xf057
		},
		{
		0x9922,
		0xf058
		},
		{
		0x9923,
		0xf059
		},
		{
		0x9924,
		0xf05a
		},
		{
		0x9925,
		0xf05b
		},
		{
		0x9926,
		0xf05c
		},
		{
		0x9927,
		0xf05d
		},
		{
		0x9928,
		0xf05e
		},
		{
		0x9929,
		0xf05f
		},
		{
		0x992a,
		0xf060
		},
		{
		0x992b,
		0xf061
		},
		{
		0x992c,
		0xf062
		},
		{
		0x992d,
		0xf063
		},
		{
		0x992f,
		0xf064
		},
		{
		0x9930,
		0xf065
		},
		{
		0x9931,
		0xf066
		},
		{
		0x9932,
		0xf067
		},
		{
		0x9933,
		0xf068
		},
		{
		0x9934,
		0xf069
		},
		{
		0x9935,
		0xf06a
		},
		{
		0x9936,
		0xf06b
		},
		{
		0x9937,
		0xf06c
		},
		{
		0x9938,
		0xf06d
		},
		{
		0x9939,
		0xf06e
		},
		{
		0x993a,
		0xf06f
		},
		{
		0x993b,
		0xf070
		},
		{
		0x993c,
		0xf071
		},
		{
		0x993d,
		0xf072
		},
		{
		0x993e,
		0xf073
		},
		{
		0x993f,
		0xf074
		},
		{
		0x9940,
		0xf075
		},
		{
		0x9941,
		0xf076
		},
		{
		0x9942,
		0xf077
		},
		{
		0x9943,
		0xf078
		},
		{
		0x9944,
		0xf079
		},
		{
		0x9945,
		0xf07a
		},
		{
		0x9946,
		0xf07b
		},
		{
		0x9947,
		0xf07c
		},
		{
		0x9948,
		0xf07d
		},
		{
		0x9949,
		0xf07e
		},
		{
		0x994a,
		0xf080
		},
		{
		0x994b,
		0xf081
		},
		{
		0x994c,
		0xf082
		},
		{
		0x994d,
		0xf083
		},
		{
		0x994e,
		0xf084
		},
		{
		0x994f,
		0xf085
		},
		{
		0x9950,
		0xf086
		},
		{
		0x9951,
		0xf087
		},
		{
		0x9952,
		0xf088
		},
		{
		0x9953,
		0xf089
		},
		{
		0x9956,
		0xf08a
		},
		{
		0x9957,
		0xf08b
		},
		{
		0x9958,
		0xf08c
		},
		{
		0x9959,
		0xf08d
		},
		{
		0x995a,
		0xf08e
		},
		{
		0x995b,
		0xf08f
		},
		{
		0x995c,
		0xf090
		},
		{
		0x995d,
		0xf091
		},
		{
		0x995e,
		0xf092
		},
		{
		0x995f,
		0xf093
		},
		{
		0x9960,
		0xf094
		},
		{
		0x9961,
		0xf095
		},
		{
		0x9962,
		0xf096
		},
		{
		0x9964,
		0xf097
		},
		{
		0x9966,
		0xf098
		},
		{
		0x9973,
		0xf099
		},
		{
		0x9978,
		0xf09a
		},
		{
		0x9979,
		0xf09b
		},
		{
		0x997b,
		0xf09c
		},
		{
		0x997e,
		0xf09d
		},
		{
		0x9982,
		0xf09e
		},
		{
		0x9983,
		0xf09f
		},
		{
		0x9989,
		0xf0a0
		},
		{
		0x998c,
		0xf140
		},
		{
		0x998e,
		0xf141
		},
		{
		0x999a,
		0xf142
		},
		{
		0x999b,
		0xf143
		},
		{
		0x999c,
		0xf144
		},
		{
		0x999d,
		0xf145
		},
		{
		0x999e,
		0xf146
		},
		{
		0x999f,
		0xf147
		},
		{
		0x99a0,
		0xf148
		},
		{
		0x99a1,
		0xf149
		},
		{
		0x99a2,
		0xf14a
		},
		{
		0x99a3,
		0xf14b
		},
		{
		0x99a4,
		0xf14c
		},
		{
		0x99a6,
		0xf14d
		},
		{
		0x99a7,
		0xf14e
		},
		{
		0x99a9,
		0xf14f
		},
		{
		0x99aa,
		0xf150
		},
		{
		0x99ab,
		0xf151
		},
		{
		0x99ac,
		0xf152
		},
		{
		0x99ad,
		0xf153
		},
		{
		0x99ae,
		0xf154
		},
		{
		0x99af,
		0xf155
		},
		{
		0x99b0,
		0xf156
		},
		{
		0x99b1,
		0xf157
		},
		{
		0x99b2,
		0xf158
		},
		{
		0x99b3,
		0xf159
		},
		{
		0x99b4,
		0xf15a
		},
		{
		0x99b5,
		0xf15b
		},
		{
		0x99b6,
		0xf15c
		},
		{
		0x99b7,
		0xf15d
		},
		{
		0x99b8,
		0xf15e
		},
		{
		0x99b9,
		0xf15f
		},
		{
		0x99ba,
		0xf160
		},
		{
		0x99bb,
		0xf161
		},
		{
		0x99bc,
		0xf162
		},
		{
		0x99bd,
		0xf163
		},
		{
		0x99be,
		0xf164
		},
		{
		0x99bf,
		0xf165
		},
		{
		0x99c0,
		0xf166
		},
		{
		0x99c1,
		0xf167
		},
		{
		0x99c2,
		0xf168
		},
		{
		0x99c3,
		0xf169
		},
		{
		0x99c4,
		0xf16a
		},
		{
		0x99c5,
		0xf16b
		},
		{
		0x99c6,
		0xf16c
		},
		{
		0x99c7,
		0xf16d
		},
		{
		0x99c8,
		0xf16e
		},
		{
		0x99c9,
		0xf16f
		},
		{
		0x99ca,
		0xf170
		},
		{
		0x99cb,
		0xf171
		},
		{
		0x99cc,
		0xf172
		},
		{
		0x99cd,
		0xf173
		},
		{
		0x99ce,
		0xf174
		},
		{
		0x99cf,
		0xf175
		},
		{
		0x99d0,
		0xf176
		},
		{
		0x99d1,
		0xf177
		},
		{
		0x99d2,
		0xf178
		},
		{
		0x99d3,
		0xf179
		},
		{
		0x99d4,
		0xf17a
		},
		{
		0x99d5,
		0xf17b
		},
		{
		0x99d6,
		0xf17c
		},
		{
		0x99d7,
		0xf17d
		},
		{
		0x99d8,
		0xf17e
		},
		{
		0x99d9,
		0xf180
		},
		{
		0x99da,
		0xf181
		},
		{
		0x99db,
		0xf182
		},
		{
		0x99dc,
		0xf183
		},
		{
		0x99dd,
		0xf184
		},
		{
		0x99de,
		0xf185
		},
		{
		0x99df,
		0xf186
		},
		{
		0x99e0,
		0xf187
		},
		{
		0x99e1,
		0xf188
		},
		{
		0x99e2,
		0xf189
		},
		{
		0x99e3,
		0xf18a
		},
		{
		0x99e4,
		0xf18b
		},
		{
		0x99e5,
		0xf18c
		},
		{
		0x99e6,
		0xf18d
		},
		{
		0x99e7,
		0xf18e
		},
		{
		0x99e8,
		0xf18f
		},
		{
		0x99e9,
		0xf190
		},
		{
		0x99ea,
		0xf191
		},
		{
		0x99eb,
		0xf192
		},
		{
		0x99ec,
		0xf193
		},
		{
		0x99ed,
		0xf194
		},
		{
		0x99ee,
		0xf195
		},
		{
		0x99ef,
		0xf196
		},
		{
		0x99f0,
		0xf197
		},
		{
		0x99f1,
		0xf198
		},
		{
		0x99f2,
		0xf199
		},
		{
		0x99f3,
		0xf19a
		},
		{
		0x99f4,
		0xf19b
		},
		{
		0x99f5,
		0xf19c
		},
		{
		0x99f6,
		0xf19d
		},
		{
		0x99f7,
		0xf19e
		},
		{
		0x99f8,
		0xf19f
		},
		{
		0x99f9,
		0xf1a0
		},
		{
		0x99fa,
		0xf240
		},
		{
		0x99fb,
		0xf241
		},
		{
		0x99fc,
		0xf242
		},
		{
		0x99fd,
		0xf243
		},
		{
		0x99fe,
		0xf244
		},
		{
		0x99ff,
		0xf245
		},
		{
		0x9a00,
		0xf246
		},
		{
		0x9a01,
		0xf247
		},
		{
		0x9a02,
		0xf248
		},
		{
		0x9a03,
		0xf249
		},
		{
		0x9a04,
		0xf24a
		},
		{
		0x9a05,
		0xf24b
		},
		{
		0x9a06,
		0xf24c
		},
		{
		0x9a07,
		0xf24d
		},
		{
		0x9a08,
		0xf24e
		},
		{
		0x9a09,
		0xf24f
		},
		{
		0x9a0a,
		0xf250
		},
		{
		0x9a0b,
		0xf251
		},
		{
		0x9a0c,
		0xf252
		},
		{
		0x9a0d,
		0xf253
		},
		{
		0x9a0e,
		0xf254
		},
		{
		0x9a0f,
		0xf255
		},
		{
		0x9a10,
		0xf256
		},
		{
		0x9a11,
		0xf257
		},
		{
		0x9a12,
		0xf258
		},
		{
		0x9a13,
		0xf259
		},
		{
		0x9a14,
		0xf25a
		},
		{
		0x9a15,
		0xf25b
		},
		{
		0x9a16,
		0xf25c
		},
		{
		0x9a17,
		0xf25d
		},
		{
		0x9a18,
		0xf25e
		},
		{
		0x9a19,
		0xf25f
		},
		{
		0x9a1a,
		0xf260
		},
		{
		0x9a1b,
		0xf261
		},
		{
		0x9a1c,
		0xf262
		},
		{
		0x9a1d,
		0xf263
		},
		{
		0x9a1e,
		0xf264
		},
		{
		0x9a1f,
		0xf265
		},
		{
		0x9a20,
		0xf266
		},
		{
		0x9a21,
		0xf267
		},
		{
		0x9a22,
		0xf268
		},
		{
		0x9a23,
		0xf269
		},
		{
		0x9a24,
		0xf26a
		},
		{
		0x9a25,
		0xf26b
		},
		{
		0x9a26,
		0xf26c
		},
		{
		0x9a27,
		0xf26d
		},
		{
		0x9a28,
		0xf26e
		},
		{
		0x9a29,
		0xf26f
		},
		{
		0x9a2a,
		0xf270
		},
		{
		0x9a2b,
		0xf271
		},
		{
		0x9a2c,
		0xf272
		},
		{
		0x9a2d,
		0xf273
		},
		{
		0x9a2e,
		0xf274
		},
		{
		0x9a2f,
		0xf275
		},
		{
		0x9a30,
		0xf276
		},
		{
		0x9a31,
		0xf277
		},
		{
		0x9a32,
		0xf278
		},
		{
		0x9a33,
		0xf279
		},
		{
		0x9a34,
		0xf27a
		},
		{
		0x9a35,
		0xf27b
		},
		{
		0x9a36,
		0xf27c
		},
		{
		0x9a37,
		0xf27d
		},
		{
		0x9a38,
		0xf27e
		},
		{
		0x9a39,
		0xf280
		},
		{
		0x9a3a,
		0xf281
		},
		{
		0x9a3b,
		0xf282
		},
		{
		0x9a3c,
		0xf283
		},
		{
		0x9a3d,
		0xf284
		},
		{
		0x9a3e,
		0xf285
		},
		{
		0x9a3f,
		0xf286
		},
		{
		0x9a40,
		0xf287
		},
		{
		0x9a41,
		0xf288
		},
		{
		0x9a42,
		0xf289
		},
		{
		0x9a43,
		0xf28a
		},
		{
		0x9a44,
		0xf28b
		},
		{
		0x9a45,
		0xf28c
		},
		{
		0x9a46,
		0xf28d
		},
		{
		0x9a47,
		0xf28e
		},
		{
		0x9a48,
		0xf28f
		},
		{
		0x9a49,
		0xf290
		},
		{
		0x9a4a,
		0xf291
		},
		{
		0x9a4b,
		0xf292
		},
		{
		0x9a4c,
		0xf293
		},
		{
		0x9a4d,
		0xf294
		},
		{
		0x9a4e,
		0xf295
		},
		{
		0x9a4f,
		0xf296
		},
		{
		0x9a50,
		0xf297
		},
		{
		0x9a51,
		0xf298
		},
		{
		0x9a52,
		0xf299
		},
		{
		0x9a53,
		0xf29a
		},
		{
		0x9a54,
		0xf29b
		},
		{
		0x9a55,
		0xf29c
		},
		{
		0x9a56,
		0xf29d
		},
		{
		0x9a57,
		0xf29e
		},
		{
		0x9a58,
		0xf29f
		},
		{
		0x9a59,
		0xf2a0
		},
		{
		0x9a5a,
		0xf340
		},
		{
		0x9a5b,
		0xf341
		},
		{
		0x9a5c,
		0xf342
		},
		{
		0x9a5d,
		0xf343
		},
		{
		0x9a5e,
		0xf344
		},
		{
		0x9a5f,
		0xf345
		},
		{
		0x9a60,
		0xf346
		},
		{
		0x9a61,
		0xf347
		},
		{
		0x9a62,
		0xf348
		},
		{
		0x9a63,
		0xf349
		},
		{
		0x9a64,
		0xf34a
		},
		{
		0x9a65,
		0xf34b
		},
		{
		0x9a66,
		0xf34c
		},
		{
		0x9a67,
		0xf34d
		},
		{
		0x9a68,
		0xf34e
		},
		{
		0x9a69,
		0xf34f
		},
		{
		0x9a6a,
		0xf350
		},
		{
		0x9a6b,
		0xf351
		},
		{
		0x9a72,
		0xf352
		},
		{
		0x9a83,
		0xf353
		},
		{
		0x9a89,
		0xf354
		},
		{
		0x9a8d,
		0xf355
		},
		{
		0x9a8e,
		0xf356
		},
		{
		0x9a94,
		0xf357
		},
		{
		0x9a95,
		0xf358
		},
		{
		0x9a99,
		0xf359
		},
		{
		0x9aa6,
		0xf35a
		},
		{
		0x9aa9,
		0xf35b
		},
		{
		0x9aaa,
		0xf35c
		},
		{
		0x9aab,
		0xf35d
		},
		{
		0x9aac,
		0xf35e
		},
		{
		0x9aad,
		0xf35f
		},
		{
		0x9aae,
		0xf360
		},
		{
		0x9aaf,
		0xf361
		},
		{
		0x9ab2,
		0xf362
		},
		{
		0x9ab3,
		0xf363
		},
		{
		0x9ab4,
		0xf364
		},
		{
		0x9ab5,
		0xf365
		},
		{
		0x9ab9,
		0xf366
		},
		{
		0x9abb,
		0xf367
		},
		{
		0x9abd,
		0xf368
		},
		{
		0x9abe,
		0xf369
		},
		{
		0x9abf,
		0xf36a
		},
		{
		0x9ac3,
		0xf36b
		},
		{
		0x9ac4,
		0xf36c
		},
		{
		0x9ac6,
		0xf36d
		},
		{
		0x9ac7,
		0xf36e
		},
		{
		0x9ac8,
		0xf36f
		},
		{
		0x9ac9,
		0xf370
		},
		{
		0x9aca,
		0xf371
		},
		{
		0x9acd,
		0xf372
		},
		{
		0x9ace,
		0xf373
		},
		{
		0x9acf,
		0xf374
		},
		{
		0x9ad0,
		0xf375
		},
		{
		0x9ad2,
		0xf376
		},
		{
		0x9ad4,
		0xf377
		},
		{
		0x9ad5,
		0xf378
		},
		{
		0x9ad6,
		0xf379
		},
		{
		0x9ad7,
		0xf37a
		},
		{
		0x9ad9,
		0xf37b
		},
		{
		0x9ada,
		0xf37c
		},
		{
		0x9adb,
		0xf37d
		},
		{
		0x9adc,
		0xf37e
		},
		{
		0x9add,
		0xf380
		},
		{
		0x9ade,
		0xf381
		},
		{
		0x9ae0,
		0xf382
		},
		{
		0x9ae2,
		0xf383
		},
		{
		0x9ae3,
		0xf384
		},
		{
		0x9ae4,
		0xf385
		},
		{
		0x9ae5,
		0xf386
		},
		{
		0x9ae7,
		0xf387
		},
		{
		0x9ae8,
		0xf388
		},
		{
		0x9ae9,
		0xf389
		},
		{
		0x9aea,
		0xf38a
		},
		{
		0x9aec,
		0xf38b
		},
		{
		0x9aee,
		0xf38c
		},
		{
		0x9af0,
		0xf38d
		},
		{
		0x9af1,
		0xf38e
		},
		{
		0x9af2,
		0xf38f
		},
		{
		0x9af3,
		0xf390
		},
		{
		0x9af4,
		0xf391
		},
		{
		0x9af5,
		0xf392
		},
		{
		0x9af6,
		0xf393
		},
		{
		0x9af7,
		0xf394
		},
		{
		0x9af8,
		0xf395
		},
		{
		0x9afa,
		0xf396
		},
		{
		0x9afc,
		0xf397
		},
		{
		0x9afd,
		0xf398
		},
		{
		0x9afe,
		0xf399
		},
		{
		0x9aff,
		0xf39a
		},
		{
		0x9b00,
		0xf39b
		},
		{
		0x9b01,
		0xf39c
		},
		{
		0x9b02,
		0xf39d
		},
		{
		0x9b04,
		0xf39e
		},
		{
		0x9b05,
		0xf39f
		},
		{
		0x9b06,
		0xf3a0
		},
		{
		0x9b07,
		0xf440
		},
		{
		0x9b09,
		0xf441
		},
		{
		0x9b0a,
		0xf442
		},
		{
		0x9b0b,
		0xf443
		},
		{
		0x9b0c,
		0xf444
		},
		{
		0x9b0d,
		0xf445
		},
		{
		0x9b0e,
		0xf446
		},
		{
		0x9b10,
		0xf447
		},
		{
		0x9b11,
		0xf448
		},
		{
		0x9b12,
		0xf449
		},
		{
		0x9b14,
		0xf44a
		},
		{
		0x9b15,
		0xf44b
		},
		{
		0x9b16,
		0xf44c
		},
		{
		0x9b17,
		0xf44d
		},
		{
		0x9b18,
		0xf44e
		},
		{
		0x9b19,
		0xf44f
		},
		{
		0x9b1a,
		0xf450
		},
		{
		0x9b1b,
		0xf451
		},
		{
		0x9b1c,
		0xf452
		},
		{
		0x9b1d,
		0xf453
		},
		{
		0x9b1e,
		0xf454
		},
		{
		0x9b20,
		0xf455
		},
		{
		0x9b21,
		0xf456
		},
		{
		0x9b22,
		0xf457
		},
		{
		0x9b24,
		0xf458
		},
		{
		0x9b25,
		0xf459
		},
		{
		0x9b26,
		0xf45a
		},
		{
		0x9b27,
		0xf45b
		},
		{
		0x9b28,
		0xf45c
		},
		{
		0x9b29,
		0xf45d
		},
		{
		0x9b2a,
		0xf45e
		},
		{
		0x9b2b,
		0xf45f
		},
		{
		0x9b2c,
		0xf460
		},
		{
		0x9b2d,
		0xf461
		},
		{
		0x9b2e,
		0xf462
		},
		{
		0x9b30,
		0xf463
		},
		{
		0x9b31,
		0xf464
		},
		{
		0x9b33,
		0xf465
		},
		{
		0x9b34,
		0xf466
		},
		{
		0x9b35,
		0xf467
		},
		{
		0x9b36,
		0xf468
		},
		{
		0x9b37,
		0xf469
		},
		{
		0x9b38,
		0xf46a
		},
		{
		0x9b39,
		0xf46b
		},
		{
		0x9b3a,
		0xf46c
		},
		{
		0x9b3d,
		0xf46d
		},
		{
		0x9b3e,
		0xf46e
		},
		{
		0x9b3f,
		0xf46f
		},
		{
		0x9b40,
		0xf470
		},
		{
		0x9b46,
		0xf471
		},
		{
		0x9b4a,
		0xf472
		},
		{
		0x9b4b,
		0xf473
		},
		{
		0x9b4c,
		0xf474
		},
		{
		0x9b4e,
		0xf475
		},
		{
		0x9b50,
		0xf476
		},
		{
		0x9b52,
		0xf477
		},
		{
		0x9b53,
		0xf478
		},
		{
		0x9b55,
		0xf479
		},
		{
		0x9b56,
		0xf47a
		},
		{
		0x9b57,
		0xf47b
		},
		{
		0x9b58,
		0xf47c
		},
		{
		0x9b59,
		0xf47d
		},
		{
		0x9b5a,
		0xf47e
		},
		{
		0x9b5b,
		0xf480
		},
		{
		0x9b5c,
		0xf481
		},
		{
		0x9b5d,
		0xf482
		},
		{
		0x9b5e,
		0xf483
		},
		{
		0x9b5f,
		0xf484
		},
		{
		0x9b60,
		0xf485
		},
		{
		0x9b61,
		0xf486
		},
		{
		0x9b62,
		0xf487
		},
		{
		0x9b63,
		0xf488
		},
		{
		0x9b64,
		0xf489
		},
		{
		0x9b65,
		0xf48a
		},
		{
		0x9b66,
		0xf48b
		},
		{
		0x9b67,
		0xf48c
		},
		{
		0x9b68,
		0xf48d
		},
		{
		0x9b69,
		0xf48e
		},
		{
		0x9b6a,
		0xf48f
		},
		{
		0x9b6b,
		0xf490
		},
		{
		0x9b6c,
		0xf491
		},
		{
		0x9b6d,
		0xf492
		},
		{
		0x9b6e,
		0xf493
		},
		{
		0x9b6f,
		0xf494
		},
		{
		0x9b70,
		0xf495
		},
		{
		0x9b71,
		0xf496
		},
		{
		0x9b72,
		0xf497
		},
		{
		0x9b73,
		0xf498
		},
		{
		0x9b74,
		0xf499
		},
		{
		0x9b75,
		0xf49a
		},
		{
		0x9b76,
		0xf49b
		},
		{
		0x9b77,
		0xf49c
		},
		{
		0x9b78,
		0xf49d
		},
		{
		0x9b79,
		0xf49e
		},
		{
		0x9b7a,
		0xf49f
		},
		{
		0x9b7b,
		0xf4a0
		},
		{
		0x9b7c,
		0xf540
		},
		{
		0x9b7d,
		0xf541
		},
		{
		0x9b7e,
		0xf542
		},
		{
		0x9b7f,
		0xf543
		},
		{
		0x9b80,
		0xf544
		},
		{
		0x9b81,
		0xf545
		},
		{
		0x9b82,
		0xf546
		},
		{
		0x9b83,
		0xf547
		},
		{
		0x9b84,
		0xf548
		},
		{
		0x9b85,
		0xf549
		},
		{
		0x9b86,
		0xf54a
		},
		{
		0x9b87,
		0xf54b
		},
		{
		0x9b88,
		0xf54c
		},
		{
		0x9b89,
		0xf54d
		},
		{
		0x9b8a,
		0xf54e
		},
		{
		0x9b8b,
		0xf54f
		},
		{
		0x9b8c,
		0xf550
		},
		{
		0x9b8d,
		0xf551
		},
		{
		0x9b8e,
		0xf552
		},
		{
		0x9b8f,
		0xf553
		},
		{
		0x9b90,
		0xf554
		},
		{
		0x9b91,
		0xf555
		},
		{
		0x9b92,
		0xf556
		},
		{
		0x9b93,
		0xf557
		},
		{
		0x9b94,
		0xf558
		},
		{
		0x9b95,
		0xf559
		},
		{
		0x9b96,
		0xf55a
		},
		{
		0x9b97,
		0xf55b
		},
		{
		0x9b98,
		0xf55c
		},
		{
		0x9b99,
		0xf55d
		},
		{
		0x9b9a,
		0xf55e
		},
		{
		0x9b9b,
		0xf55f
		},
		{
		0x9b9c,
		0xf560
		},
		{
		0x9b9d,
		0xf561
		},
		{
		0x9b9e,
		0xf562
		},
		{
		0x9b9f,
		0xf563
		},
		{
		0x9ba0,
		0xf564
		},
		{
		0x9ba1,
		0xf565
		},
		{
		0x9ba2,
		0xf566
		},
		{
		0x9ba3,
		0xf567
		},
		{
		0x9ba4,
		0xf568
		},
		{
		0x9ba5,
		0xf569
		},
		{
		0x9ba6,
		0xf56a
		},
		{
		0x9ba7,
		0xf56b
		},
		{
		0x9ba8,
		0xf56c
		},
		{
		0x9ba9,
		0xf56d
		},
		{
		0x9baa,
		0xf56e
		},
		{
		0x9bab,
		0xf56f
		},
		{
		0x9bac,
		0xf570
		},
		{
		0x9bad,
		0xf571
		},
		{
		0x9bae,
		0xf572
		},
		{
		0x9baf,
		0xf573
		},
		{
		0x9bb0,
		0xf574
		},
		{
		0x9bb1,
		0xf575
		},
		{
		0x9bb2,
		0xf576
		},
		{
		0x9bb3,
		0xf577
		},
		{
		0x9bb4,
		0xf578
		},
		{
		0x9bb5,
		0xf579
		},
		{
		0x9bb6,
		0xf57a
		},
		{
		0x9bb7,
		0xf57b
		},
		{
		0x9bb8,
		0xf57c
		},
		{
		0x9bb9,
		0xf57d
		},
		{
		0x9bba,
		0xf57e
		},
		{
		0x9bbb,
		0xf580
		},
		{
		0x9bbc,
		0xf581
		},
		{
		0x9bbd,
		0xf582
		},
		{
		0x9bbe,
		0xf583
		},
		{
		0x9bbf,
		0xf584
		},
		{
		0x9bc0,
		0xf585
		},
		{
		0x9bc1,
		0xf586
		},
		{
		0x9bc2,
		0xf587
		},
		{
		0x9bc3,
		0xf588
		},
		{
		0x9bc4,
		0xf589
		},
		{
		0x9bc5,
		0xf58a
		},
		{
		0x9bc6,
		0xf58b
		},
		{
		0x9bc7,
		0xf58c
		},
		{
		0x9bc8,
		0xf58d
		},
		{
		0x9bc9,
		0xf58e
		},
		{
		0x9bca,
		0xf58f
		},
		{
		0x9bcb,
		0xf590
		},
		{
		0x9bcc,
		0xf591
		},
		{
		0x9bcd,
		0xf592
		},
		{
		0x9bce,
		0xf593
		},
		{
		0x9bcf,
		0xf594
		},
		{
		0x9bd0,
		0xf595
		},
		{
		0x9bd1,
		0xf596
		},
		{
		0x9bd2,
		0xf597
		},
		{
		0x9bd3,
		0xf598
		},
		{
		0x9bd4,
		0xf599
		},
		{
		0x9bd5,
		0xf59a
		},
		{
		0x9bd6,
		0xf59b
		},
		{
		0x9bd7,
		0xf59c
		},
		{
		0x9bd8,
		0xf59d
		},
		{
		0x9bd9,
		0xf59e
		},
		{
		0x9bda,
		0xf59f
		},
		{
		0x9bdb,
		0xf5a0
		},
		{
		0x9bdc,
		0xf640
		},
		{
		0x9bdd,
		0xf641
		},
		{
		0x9bde,
		0xf642
		},
		{
		0x9bdf,
		0xf643
		},
		{
		0x9be0,
		0xf644
		},
		{
		0x9be1,
		0xf645
		},
		{
		0x9be2,
		0xf646
		},
		{
		0x9be3,
		0xf647
		},
		{
		0x9be4,
		0xf648
		},
		{
		0x9be5,
		0xf649
		},
		{
		0x9be6,
		0xf64a
		},
		{
		0x9be7,
		0xf64b
		},
		{
		0x9be8,
		0xf64c
		},
		{
		0x9be9,
		0xf64d
		},
		{
		0x9bea,
		0xf64e
		},
		{
		0x9beb,
		0xf64f
		},
		{
		0x9bec,
		0xf650
		},
		{
		0x9bed,
		0xf651
		},
		{
		0x9bee,
		0xf652
		},
		{
		0x9bef,
		0xf653
		},
		{
		0x9bf0,
		0xf654
		},
		{
		0x9bf1,
		0xf655
		},
		{
		0x9bf2,
		0xf656
		},
		{
		0x9bf3,
		0xf657
		},
		{
		0x9bf4,
		0xf658
		},
		{
		0x9bf5,
		0xf659
		},
		{
		0x9bf6,
		0xf65a
		},
		{
		0x9bf7,
		0xf65b
		},
		{
		0x9bf8,
		0xf65c
		},
		{
		0x9bf9,
		0xf65d
		},
		{
		0x9bfa,
		0xf65e
		},
		{
		0x9bfb,
		0xf65f
		},
		{
		0x9bfc,
		0xf660
		},
		{
		0x9bfd,
		0xf661
		},
		{
		0x9bfe,
		0xf662
		},
		{
		0x9bff,
		0xf663
		},
		{
		0x9c00,
		0xf664
		},
		{
		0x9c01,
		0xf665
		},
		{
		0x9c02,
		0xf666
		},
		{
		0x9c03,
		0xf667
		},
		{
		0x9c04,
		0xf668
		},
		{
		0x9c05,
		0xf669
		},
		{
		0x9c06,
		0xf66a
		},
		{
		0x9c07,
		0xf66b
		},
		{
		0x9c08,
		0xf66c
		},
		{
		0x9c09,
		0xf66d
		},
		{
		0x9c0a,
		0xf66e
		},
		{
		0x9c0b,
		0xf66f
		},
		{
		0x9c0c,
		0xf670
		},
		{
		0x9c0d,
		0xf671
		},
		{
		0x9c0e,
		0xf672
		},
		{
		0x9c0f,
		0xf673
		},
		{
		0x9c10,
		0xf674
		},
		{
		0x9c11,
		0xf675
		},
		{
		0x9c12,
		0xf676
		},
		{
		0x9c13,
		0xf677
		},
		{
		0x9c14,
		0xf678
		},
		{
		0x9c15,
		0xf679
		},
		{
		0x9c16,
		0xf67a
		},
		{
		0x9c17,
		0xf67b
		},
		{
		0x9c18,
		0xf67c
		},
		{
		0x9c19,
		0xf67d
		},
		{
		0x9c1a,
		0xf67e
		},
		{
		0x9c1b,
		0xf680
		},
		{
		0x9c1c,
		0xf681
		},
		{
		0x9c1d,
		0xf682
		},
		{
		0x9c1e,
		0xf683
		},
		{
		0x9c1f,
		0xf684
		},
		{
		0x9c20,
		0xf685
		},
		{
		0x9c21,
		0xf686
		},
		{
		0x9c22,
		0xf687
		},
		{
		0x9c23,
		0xf688
		},
		{
		0x9c24,
		0xf689
		},
		{
		0x9c25,
		0xf68a
		},
		{
		0x9c26,
		0xf68b
		},
		{
		0x9c27,
		0xf68c
		},
		{
		0x9c28,
		0xf68d
		},
		{
		0x9c29,
		0xf68e
		},
		{
		0x9c2a,
		0xf68f
		},
		{
		0x9c2b,
		0xf690
		},
		{
		0x9c2c,
		0xf691
		},
		{
		0x9c2d,
		0xf692
		},
		{
		0x9c2e,
		0xf693
		},
		{
		0x9c2f,
		0xf694
		},
		{
		0x9c30,
		0xf695
		},
		{
		0x9c31,
		0xf696
		},
		{
		0x9c32,
		0xf697
		},
		{
		0x9c33,
		0xf698
		},
		{
		0x9c34,
		0xf699
		},
		{
		0x9c35,
		0xf69a
		},
		{
		0x9c36,
		0xf69b
		},
		{
		0x9c37,
		0xf69c
		},
		{
		0x9c38,
		0xf69d
		},
		{
		0x9c39,
		0xf69e
		},
		{
		0x9c3a,
		0xf69f
		},
		{
		0x9c3b,
		0xf6a0
		},
		{
		0x9c3c,
		0xf740
		},
		{
		0x9c3d,
		0xf741
		},
		{
		0x9c3e,
		0xf742
		},
		{
		0x9c3f,
		0xf743
		},
		{
		0x9c40,
		0xf744
		},
		{
		0x9c41,
		0xf745
		},
		{
		0x9c42,
		0xf746
		},
		{
		0x9c43,
		0xf747
		},
		{
		0x9c44,
		0xf748
		},
		{
		0x9c45,
		0xf749
		},
		{
		0x9c46,
		0xf74a
		},
		{
		0x9c47,
		0xf74b
		},
		{
		0x9c48,
		0xf74c
		},
		{
		0x9c49,
		0xf74d
		},
		{
		0x9c4a,
		0xf74e
		},
		{
		0x9c4b,
		0xf74f
		},
		{
		0x9c4c,
		0xf750
		},
		{
		0x9c4d,
		0xf751
		},
		{
		0x9c4e,
		0xf752
		},
		{
		0x9c4f,
		0xf753
		},
		{
		0x9c50,
		0xf754
		},
		{
		0x9c51,
		0xf755
		},
		{
		0x9c52,
		0xf756
		},
		{
		0x9c53,
		0xf757
		},
		{
		0x9c54,
		0xf758
		},
		{
		0x9c55,
		0xf759
		},
		{
		0x9c56,
		0xf75a
		},
		{
		0x9c57,
		0xf75b
		},
		{
		0x9c58,
		0xf75c
		},
		{
		0x9c59,
		0xf75d
		},
		{
		0x9c5a,
		0xf75e
		},
		{
		0x9c5b,
		0xf75f
		},
		{
		0x9c5c,
		0xf760
		},
		{
		0x9c5d,
		0xf761
		},
		{
		0x9c5e,
		0xf762
		},
		{
		0x9c5f,
		0xf763
		},
		{
		0x9c60,
		0xf764
		},
		{
		0x9c61,
		0xf765
		},
		{
		0x9c62,
		0xf766
		},
		{
		0x9c63,
		0xf767
		},
		{
		0x9c64,
		0xf768
		},
		{
		0x9c65,
		0xf769
		},
		{
		0x9c66,
		0xf76a
		},
		{
		0x9c67,
		0xf76b
		},
		{
		0x9c68,
		0xf76c
		},
		{
		0x9c69,
		0xf76d
		},
		{
		0x9c6a,
		0xf76e
		},
		{
		0x9c6b,
		0xf76f
		},
		{
		0x9c6c,
		0xf770
		},
		{
		0x9c6d,
		0xf771
		},
		{
		0x9c6e,
		0xf772
		},
		{
		0x9c6f,
		0xf773
		},
		{
		0x9c70,
		0xf774
		},
		{
		0x9c71,
		0xf775
		},
		{
		0x9c72,
		0xf776
		},
		{
		0x9c73,
		0xf777
		},
		{
		0x9c74,
		0xf778
		},
		{
		0x9c75,
		0xf779
		},
		{
		0x9c76,
		0xf77a
		},
		{
		0x9c77,
		0xf77b
		},
		{
		0x9c78,
		0xf77c
		},
		{
		0x9c79,
		0xf77d
		},
		{
		0x9c7a,
		0xf77e
		},
		{
		0x9c7b,
		0xf780
		},
		{
		0x9c7d,
		0xf781
		},
		{
		0x9c7e,
		0xf782
		},
		{
		0x9c80,
		0xf783
		},
		{
		0x9c83,
		0xf784
		},
		{
		0x9c84,
		0xf785
		},
		{
		0x9c89,
		0xf786
		},
		{
		0x9c8a,
		0xf787
		},
		{
		0x9c8c,
		0xf788
		},
		{
		0x9c8f,
		0xf789
		},
		{
		0x9c93,
		0xf78a
		},
		{
		0x9c96,
		0xf78b
		},
		{
		0x9c97,
		0xf78c
		},
		{
		0x9c98,
		0xf78d
		},
		{
		0x9c99,
		0xf78e
		},
		{
		0x9c9d,
		0xf78f
		},
		{
		0x9caa,
		0xf790
		},
		{
		0x9cac,
		0xf791
		},
		{
		0x9caf,
		0xf792
		},
		{
		0x9cb9,
		0xf793
		},
		{
		0x9cbe,
		0xf794
		},
		{
		0x9cbf,
		0xf795
		},
		{
		0x9cc0,
		0xf796
		},
		{
		0x9cc1,
		0xf797
		},
		{
		0x9cc2,
		0xf798
		},
		{
		0x9cc8,
		0xf799
		},
		{
		0x9cc9,
		0xf79a
		},
		{
		0x9cd1,
		0xf79b
		},
		{
		0x9cd2,
		0xf79c
		},
		{
		0x9cda,
		0xf79d
		},
		{
		0x9cdb,
		0xf79e
		},
		{
		0x9ce0,
		0xf79f
		},
		{
		0x9ce1,
		0xf7a0
		},
		{
		0x9ce3,
		0xf840
		},
		{
		0x9ce4,
		0xf841
		},
		{
		0x9ce5,
		0xf842
		},
		{
		0x9ce6,
		0xf843
		},
		{
		0x9ce7,
		0xf844
		},
		{
		0x9ce8,
		0xf845
		},
		{
		0x9ce9,
		0xf846
		},
		{
		0x9cea,
		0xf847
		},
		{
		0x9ceb,
		0xf848
		},
		{
		0x9cec,
		0xf849
		},
		{
		0x9ced,
		0xf84a
		},
		{
		0x9cee,
		0xf84b
		},
		{
		0x9cef,
		0xf84c
		},
		{
		0x9cf0,
		0xf84d
		},
		{
		0x9cf1,
		0xf84e
		},
		{
		0x9cf2,
		0xf84f
		},
		{
		0x9cf3,
		0xf850
		},
		{
		0x9cf4,
		0xf851
		},
		{
		0x9cf5,
		0xf852
		},
		{
		0x9cf6,
		0xf853
		},
		{
		0x9cf7,
		0xf854
		},
		{
		0x9cf8,
		0xf855
		},
		{
		0x9cf9,
		0xf856
		},
		{
		0x9cfa,
		0xf857
		},
		{
		0x9cfb,
		0xf858
		},
		{
		0x9cfc,
		0xf859
		},
		{
		0x9cfd,
		0xf85a
		},
		{
		0x9cfe,
		0xf85b
		},
		{
		0x9cff,
		0xf85c
		},
		{
		0x9d00,
		0xf85d
		},
		{
		0x9d01,
		0xf85e
		},
		{
		0x9d02,
		0xf85f
		},
		{
		0x9d03,
		0xf860
		},
		{
		0x9d04,
		0xf861
		},
		{
		0x9d05,
		0xf862
		},
		{
		0x9d06,
		0xf863
		},
		{
		0x9d07,
		0xf864
		},
		{
		0x9d08,
		0xf865
		},
		{
		0x9d09,
		0xf866
		},
		{
		0x9d0a,
		0xf867
		},
		{
		0x9d0b,
		0xf868
		},
		{
		0x9d0c,
		0xf869
		},
		{
		0x9d0d,
		0xf86a
		},
		{
		0x9d0e,
		0xf86b
		},
		{
		0x9d0f,
		0xf86c
		},
		{
		0x9d10,
		0xf86d
		},
		{
		0x9d11,
		0xf86e
		},
		{
		0x9d12,
		0xf86f
		},
		{
		0x9d13,
		0xf870
		},
		{
		0x9d14,
		0xf871
		},
		{
		0x9d15,
		0xf872
		},
		{
		0x9d16,
		0xf873
		},
		{
		0x9d17,
		0xf874
		},
		{
		0x9d18,
		0xf875
		},
		{
		0x9d19,
		0xf876
		},
		{
		0x9d1a,
		0xf877
		},
		{
		0x9d1b,
		0xf878
		},
		{
		0x9d1c,
		0xf879
		},
		{
		0x9d1d,
		0xf87a
		},
		{
		0x9d1e,
		0xf87b
		},
		{
		0x9d1f,
		0xf87c
		},
		{
		0x9d20,
		0xf87d
		},
		{
		0x9d21,
		0xf87e
		},
		{
		0x9d22,
		0xf880
		},
		{
		0x9d23,
		0xf881
		},
		{
		0x9d24,
		0xf882
		},
		{
		0x9d25,
		0xf883
		},
		{
		0x9d26,
		0xf884
		},
		{
		0x9d27,
		0xf885
		},
		{
		0x9d28,
		0xf886
		},
		{
		0x9d29,
		0xf887
		},
		{
		0x9d2a,
		0xf888
		},
		{
		0x9d2b,
		0xf889
		},
		{
		0x9d2c,
		0xf88a
		},
		{
		0x9d2d,
		0xf88b
		},
		{
		0x9d2e,
		0xf88c
		},
		{
		0x9d2f,
		0xf88d
		},
		{
		0x9d30,
		0xf88e
		},
		{
		0x9d31,
		0xf88f
		},
		{
		0x9d32,
		0xf890
		},
		{
		0x9d33,
		0xf891
		},
		{
		0x9d34,
		0xf892
		},
		{
		0x9d35,
		0xf893
		},
		{
		0x9d36,
		0xf894
		},
		{
		0x9d37,
		0xf895
		},
		{
		0x9d38,
		0xf896
		},
		{
		0x9d39,
		0xf897
		},
		{
		0x9d3a,
		0xf898
		},
		{
		0x9d3b,
		0xf899
		},
		{
		0x9d3c,
		0xf89a
		},
		{
		0x9d3d,
		0xf89b
		},
		{
		0x9d3e,
		0xf89c
		},
		{
		0x9d3f,
		0xf89d
		},
		{
		0x9d40,
		0xf89e
		},
		{
		0x9d41,
		0xf89f
		},
		{
		0x9d42,
		0xf8a0
		},
		{
		0x9d43,
		0xf940
		},
		{
		0x9d44,
		0xf941
		},
		{
		0x9d45,
		0xf942
		},
		{
		0x9d46,
		0xf943
		},
		{
		0x9d47,
		0xf944
		},
		{
		0x9d48,
		0xf945
		},
		{
		0x9d49,
		0xf946
		},
		{
		0x9d4a,
		0xf947
		},
		{
		0x9d4b,
		0xf948
		},
		{
		0x9d4c,
		0xf949
		},
		{
		0x9d4d,
		0xf94a
		},
		{
		0x9d4e,
		0xf94b
		},
		{
		0x9d4f,
		0xf94c
		},
		{
		0x9d50,
		0xf94d
		},
		{
		0x9d51,
		0xf94e
		},
		{
		0x9d52,
		0xf94f
		},
		{
		0x9d53,
		0xf950
		},
		{
		0x9d54,
		0xf951
		},
		{
		0x9d55,
		0xf952
		},
		{
		0x9d56,
		0xf953
		},
		{
		0x9d57,
		0xf954
		},
		{
		0x9d58,
		0xf955
		},
		{
		0x9d59,
		0xf956
		},
		{
		0x9d5a,
		0xf957
		},
		{
		0x9d5b,
		0xf958
		},
		{
		0x9d5c,
		0xf959
		},
		{
		0x9d5d,
		0xf95a
		},
		{
		0x9d5e,
		0xf95b
		},
		{
		0x9d5f,
		0xf95c
		},
		{
		0x9d60,
		0xf95d
		},
		{
		0x9d61,
		0xf95e
		},
		{
		0x9d62,
		0xf95f
		},
		{
		0x9d63,
		0xf960
		},
		{
		0x9d64,
		0xf961
		},
		{
		0x9d65,
		0xf962
		},
		{
		0x9d66,
		0xf963
		},
		{
		0x9d67,
		0xf964
		},
		{
		0x9d68,
		0xf965
		},
		{
		0x9d69,
		0xf966
		},
		{
		0x9d6a,
		0xf967
		},
		{
		0x9d6b,
		0xf968
		},
		{
		0x9d6c,
		0xf969
		},
		{
		0x9d6d,
		0xf96a
		},
		{
		0x9d6e,
		0xf96b
		},
		{
		0x9d6f,
		0xf96c
		},
		{
		0x9d70,
		0xf96d
		},
		{
		0x9d71,
		0xf96e
		},
		{
		0x9d72,
		0xf96f
		},
		{
		0x9d73,
		0xf970
		},
		{
		0x9d74,
		0xf971
		},
		{
		0x9d75,
		0xf972
		},
		{
		0x9d76,
		0xf973
		},
		{
		0x9d77,
		0xf974
		},
		{
		0x9d78,
		0xf975
		},
		{
		0x9d79,
		0xf976
		},
		{
		0x9d7a,
		0xf977
		},
		{
		0x9d7b,
		0xf978
		},
		{
		0x9d7c,
		0xf979
		},
		{
		0x9d7d,
		0xf97a
		},
		{
		0x9d7e,
		0xf97b
		},
		{
		0x9d7f,
		0xf97c
		},
		{
		0x9d80,
		0xf97d
		},
		{
		0x9d81,
		0xf97e
		},
		{
		0x9d82,
		0xf980
		},
		{
		0x9d83,
		0xf981
		},
		{
		0x9d84,
		0xf982
		},
		{
		0x9d85,
		0xf983
		},
		{
		0x9d86,
		0xf984
		},
		{
		0x9d87,
		0xf985
		},
		{
		0x9d88,
		0xf986
		},
		{
		0x9d89,
		0xf987
		},
		{
		0x9d8a,
		0xf988
		},
		{
		0x9d8b,
		0xf989
		},
		{
		0x9d8c,
		0xf98a
		},
		{
		0x9d8d,
		0xf98b
		},
		{
		0x9d8e,
		0xf98c
		},
		{
		0x9d8f,
		0xf98d
		},
		{
		0x9d90,
		0xf98e
		},
		{
		0x9d91,
		0xf98f
		},
		{
		0x9d92,
		0xf990
		},
		{
		0x9d93,
		0xf991
		},
		{
		0x9d94,
		0xf992
		},
		{
		0x9d95,
		0xf993
		},
		{
		0x9d96,
		0xf994
		},
		{
		0x9d97,
		0xf995
		},
		{
		0x9d98,
		0xf996
		},
		{
		0x9d99,
		0xf997
		},
		{
		0x9d9a,
		0xf998
		},
		{
		0x9d9b,
		0xf999
		},
		{
		0x9d9c,
		0xf99a
		},
		{
		0x9d9d,
		0xf99b
		},
		{
		0x9d9e,
		0xf99c
		},
		{
		0x9d9f,
		0xf99d
		},
		{
		0x9da0,
		0xf99e
		},
		{
		0x9da1,
		0xf99f
		},
		{
		0x9da2,
		0xf9a0
		},
		{
		0x9da3,
		0xfa40
		},
		{
		0x9da4,
		0xfa41
		},
		{
		0x9da5,
		0xfa42
		},
		{
		0x9da6,
		0xfa43
		},
		{
		0x9da7,
		0xfa44
		},
		{
		0x9da8,
		0xfa45
		},
		{
		0x9da9,
		0xfa46
		},
		{
		0x9daa,
		0xfa47
		},
		{
		0x9dab,
		0xfa48
		},
		{
		0x9dac,
		0xfa49
		},
		{
		0x9dad,
		0xfa4a
		},
		{
		0x9dae,
		0xfa4b
		},
		{
		0x9daf,
		0xfa4c
		},
		{
		0x9db0,
		0xfa4d
		},
		{
		0x9db1,
		0xfa4e
		},
		{
		0x9db2,
		0xfa4f
		},
		{
		0x9db3,
		0xfa50
		},
		{
		0x9db4,
		0xfa51
		},
		{
		0x9db5,
		0xfa52
		},
		{
		0x9db6,
		0xfa53
		},
		{
		0x9db7,
		0xfa54
		},
		{
		0x9db8,
		0xfa55
		},
		{
		0x9db9,
		0xfa56
		},
		{
		0x9dba,
		0xfa57
		},
		{
		0x9dbb,
		0xfa58
		},
		{
		0x9dbc,
		0xfa59
		},
		{
		0x9dbd,
		0xfa5a
		},
		{
		0x9dbe,
		0xfa5b
		},
		{
		0x9dbf,
		0xfa5c
		},
		{
		0x9dc0,
		0xfa5d
		},
		{
		0x9dc1,
		0xfa5e
		},
		{
		0x9dc2,
		0xfa5f
		},
		{
		0x9dc3,
		0xfa60
		},
		{
		0x9dc4,
		0xfa61
		},
		{
		0x9dc5,
		0xfa62
		},
		{
		0x9dc6,
		0xfa63
		},
		{
		0x9dc7,
		0xfa64
		},
		{
		0x9dc8,
		0xfa65
		},
		{
		0x9dc9,
		0xfa66
		},
		{
		0x9dca,
		0xfa67
		},
		{
		0x9dcb,
		0xfa68
		},
		{
		0x9dcc,
		0xfa69
		},
		{
		0x9dcd,
		0xfa6a
		},
		{
		0x9dce,
		0xfa6b
		},
		{
		0x9dcf,
		0xfa6c
		},
		{
		0x9dd0,
		0xfa6d
		},
		{
		0x9dd1,
		0xfa6e
		},
		{
		0x9dd2,
		0xfa6f
		},
		{
		0x9dd3,
		0xfa70
		},
		{
		0x9dd4,
		0xfa71
		},
		{
		0x9dd5,
		0xfa72
		},
		{
		0x9dd6,
		0xfa73
		},
		{
		0x9dd7,
		0xfa74
		},
		{
		0x9dd8,
		0xfa75
		},
		{
		0x9dd9,
		0xfa76
		},
		{
		0x9dda,
		0xfa77
		},
		{
		0x9ddb,
		0xfa78
		},
		{
		0x9ddc,
		0xfa79
		},
		{
		0x9ddd,
		0xfa7a
		},
		{
		0x9dde,
		0xfa7b
		},
		{
		0x9ddf,
		0xfa7c
		},
		{
		0x9de0,
		0xfa7d
		},
		{
		0x9de1,
		0xfa7e
		},
		{
		0x9de2,
		0xfa80
		},
		{
		0x9de3,
		0xfa81
		},
		{
		0x9de4,
		0xfa82
		},
		{
		0x9de5,
		0xfa83
		},
		{
		0x9de6,
		0xfa84
		},
		{
		0x9de7,
		0xfa85
		},
		{
		0x9de8,
		0xfa86
		},
		{
		0x9de9,
		0xfa87
		},
		{
		0x9dea,
		0xfa88
		},
		{
		0x9deb,
		0xfa89
		},
		{
		0x9dec,
		0xfa8a
		},
		{
		0x9ded,
		0xfa8b
		},
		{
		0x9dee,
		0xfa8c
		},
		{
		0x9def,
		0xfa8d
		},
		{
		0x9df0,
		0xfa8e
		},
		{
		0x9df1,
		0xfa8f
		},
		{
		0x9df2,
		0xfa90
		},
		{
		0x9df3,
		0xfa91
		},
		{
		0x9df4,
		0xfa92
		},
		{
		0x9df5,
		0xfa93
		},
		{
		0x9df6,
		0xfa94
		},
		{
		0x9df7,
		0xfa95
		},
		{
		0x9df8,
		0xfa96
		},
		{
		0x9df9,
		0xfa97
		},
		{
		0x9dfa,
		0xfa98
		},
		{
		0x9dfb,
		0xfa99
		},
		{
		0x9dfc,
		0xfa9a
		},
		{
		0x9dfd,
		0xfa9b
		},
		{
		0x9dfe,
		0xfa9c
		},
		{
		0x9dff,
		0xfa9d
		},
		{
		0x9e00,
		0xfa9e
		},
		{
		0x9e01,
		0xfa9f
		},
		{
		0x9e02,
		0xfaa0
		},
		{
		0x9e03,
		0xfb40
		},
		{
		0x9e04,
		0xfb41
		},
		{
		0x9e05,
		0xfb42
		},
		{
		0x9e06,
		0xfb43
		},
		{
		0x9e07,
		0xfb44
		},
		{
		0x9e08,
		0xfb45
		},
		{
		0x9e09,
		0xfb46
		},
		{
		0x9e0a,
		0xfb47
		},
		{
		0x9e0b,
		0xfb48
		},
		{
		0x9e0c,
		0xfb49
		},
		{
		0x9e0d,
		0xfb4a
		},
		{
		0x9e0e,
		0xfb4b
		},
		{
		0x9e0f,
		0xfb4c
		},
		{
		0x9e10,
		0xfb4d
		},
		{
		0x9e11,
		0xfb4e
		},
		{
		0x9e12,
		0xfb4f
		},
		{
		0x9e13,
		0xfb50
		},
		{
		0x9e14,
		0xfb51
		},
		{
		0x9e15,
		0xfb52
		},
		{
		0x9e16,
		0xfb53
		},
		{
		0x9e17,
		0xfb54
		},
		{
		0x9e18,
		0xfb55
		},
		{
		0x9e19,
		0xfb56
		},
		{
		0x9e1a,
		0xfb57
		},
		{
		0x9e1b,
		0xfb58
		},
		{
		0x9e1c,
		0xfb59
		},
		{
		0x9e1d,
		0xfb5a
		},
		{
		0x9e1e,
		0xfb5b
		},
		{
		0x9e24,
		0xfb5c
		},
		{
		0x9e27,
		0xfb5d
		},
		{
		0x9e2e,
		0xfb5e
		},
		{
		0x9e30,
		0xfb5f
		},
		{
		0x9e34,
		0xfb60
		},
		{
		0x9e3b,
		0xfb61
		},
		{
		0x9e3c,
		0xfb62
		},
		{
		0x9e40,
		0xfb63
		},
		{
		0x9e4d,
		0xfb64
		},
		{
		0x9e50,
		0xfb65
		},
		{
		0x9e52,
		0xfb66
		},
		{
		0x9e53,
		0xfb67
		},
		{
		0x9e54,
		0xfb68
		},
		{
		0x9e56,
		0xfb69
		},
		{
		0x9e59,
		0xfb6a
		},
		{
		0x9e5d,
		0xfb6b
		},
		{
		0x9e5f,
		0xfb6c
		},
		{
		0x9e60,
		0xfb6d
		},
		{
		0x9e61,
		0xfb6e
		},
		{
		0x9e62,
		0xfb6f
		},
		{
		0x9e65,
		0xfb70
		},
		{
		0x9e6e,
		0xfb71
		},
		{
		0x9e6f,
		0xfb72
		},
		{
		0x9e72,
		0xfb73
		},
		{
		0x9e74,
		0xfb74
		},
		{
		0x9e75,
		0xfb75
		},
		{
		0x9e76,
		0xfb76
		},
		{
		0x9e77,
		0xfb77
		},
		{
		0x9e78,
		0xfb78
		},
		{
		0x9e79,
		0xfb79
		},
		{
		0x9e7a,
		0xfb7a
		},
		{
		0x9e7b,
		0xfb7b
		},
		{
		0x9e7c,
		0xfb7c
		},
		{
		0x9e7d,
		0xfb7d
		},
		{
		0x9e80,
		0xfb7e
		},
		{
		0x9e81,
		0xfb80
		},
		{
		0x9e83,
		0xfb81
		},
		{
		0x9e84,
		0xfb82
		},
		{
		0x9e85,
		0xfb83
		},
		{
		0x9e86,
		0xfb84
		},
		{
		0x9e89,
		0xfb85
		},
		{
		0x9e8a,
		0xfb86
		},
		{
		0x9e8c,
		0xfb87
		},
		{
		0x9e8d,
		0xfb88
		},
		{
		0x9e8e,
		0xfb89
		},
		{
		0x9e8f,
		0xfb8a
		},
		{
		0x9e90,
		0xfb8b
		},
		{
		0x9e91,
		0xfb8c
		},
		{
		0x9e94,
		0xfb8d
		},
		{
		0x9e95,
		0xfb8e
		},
		{
		0x9e96,
		0xfb8f
		},
		{
		0x9e97,
		0xfb90
		},
		{
		0x9e98,
		0xfb91
		},
		{
		0x9e99,
		0xfb92
		},
		{
		0x9e9a,
		0xfb93
		},
		{
		0x9e9b,
		0xfb94
		},
		{
		0x9e9c,
		0xfb95
		},
		{
		0x9e9e,
		0xfb96
		},
		{
		0x9ea0,
		0xfb97
		},
		{
		0x9ea1,
		0xfb98
		},
		{
		0x9ea2,
		0xfb99
		},
		{
		0x9ea3,
		0xfb9a
		},
		{
		0x9ea4,
		0xfb9b
		},
		{
		0x9ea5,
		0xfb9c
		},
		{
		0x9ea7,
		0xfb9d
		},
		{
		0x9ea8,
		0xfb9e
		},
		{
		0x9ea9,
		0xfb9f
		},
		{
		0x9eaa,
		0xfba0
		},
		{
		0x9eab,
		0xfc40
		},
		{
		0x9eac,
		0xfc41
		},
		{
		0x9ead,
		0xfc42
		},
		{
		0x9eae,
		0xfc43
		},
		{
		0x9eaf,
		0xfc44
		},
		{
		0x9eb0,
		0xfc45
		},
		{
		0x9eb1,
		0xfc46
		},
		{
		0x9eb2,
		0xfc47
		},
		{
		0x9eb3,
		0xfc48
		},
		{
		0x9eb5,
		0xfc49
		},
		{
		0x9eb6,
		0xfc4a
		},
		{
		0x9eb7,
		0xfc4b
		},
		{
		0x9eb9,
		0xfc4c
		},
		{
		0x9eba,
		0xfc4d
		},
		{
		0x9ebc,
		0xfc4e
		},
		{
		0x9ebf,
		0xfc4f
		},
		{
		0x9ec0,
		0xfc50
		},
		{
		0x9ec1,
		0xfc51
		},
		{
		0x9ec2,
		0xfc52
		},
		{
		0x9ec3,
		0xfc53
		},
		{
		0x9ec5,
		0xfc54
		},
		{
		0x9ec6,
		0xfc55
		},
		{
		0x9ec7,
		0xfc56
		},
		{
		0x9ec8,
		0xfc57
		},
		{
		0x9eca,
		0xfc58
		},
		{
		0x9ecb,
		0xfc59
		},
		{
		0x9ecc,
		0xfc5a
		},
		{
		0x9ed0,
		0xfc5b
		},
		{
		0x9ed2,
		0xfc5c
		},
		{
		0x9ed3,
		0xfc5d
		},
		{
		0x9ed5,
		0xfc5e
		},
		{
		0x9ed6,
		0xfc5f
		},
		{
		0x9ed7,
		0xfc60
		},
		{
		0x9ed9,
		0xfc61
		},
		{
		0x9eda,
		0xfc62
		},
		{
		0x9ede,
		0xfc63
		},
		{
		0x9ee1,
		0xfc64
		},
		{
		0x9ee3,
		0xfc65
		},
		{
		0x9ee4,
		0xfc66
		},
		{
		0x9ee6,
		0xfc67
		},
		{
		0x9ee8,
		0xfc68
		},
		{
		0x9eeb,
		0xfc69
		},
		{
		0x9eec,
		0xfc6a
		},
		{
		0x9eed,
		0xfc6b
		},
		{
		0x9eee,
		0xfc6c
		},
		{
		0x9ef0,
		0xfc6d
		},
		{
		0x9ef1,
		0xfc6e
		},
		{
		0x9ef2,
		0xfc6f
		},
		{
		0x9ef3,
		0xfc70
		},
		{
		0x9ef4,
		0xfc71
		},
		{
		0x9ef5,
		0xfc72
		},
		{
		0x9ef6,
		0xfc73
		},
		{
		0x9ef7,
		0xfc74
		},
		{
		0x9ef8,
		0xfc75
		},
		{
		0x9efa,
		0xfc76
		},
		{
		0x9efd,
		0xfc77
		},
		{
		0x9eff,
		0xfc78
		},
		{
		0x9f00,
		0xfc79
		},
		{
		0x9f01,
		0xfc7a
		},
		{
		0x9f02,
		0xfc7b
		},
		{
		0x9f03,
		0xfc7c
		},
		{
		0x9f04,
		0xfc7d
		},
		{
		0x9f05,
		0xfc7e
		},
		{
		0x9f06,
		0xfc80
		},
		{
		0x9f07,
		0xfc81
		},
		{
		0x9f08,
		0xfc82
		},
		{
		0x9f09,
		0xfc83
		},
		{
		0x9f0a,
		0xfc84
		},
		{
		0x9f0c,
		0xfc85
		},
		{
		0x9f0f,
		0xfc86
		},
		{
		0x9f11,
		0xfc87
		},
		{
		0x9f12,
		0xfc88
		},
		{
		0x9f14,
		0xfc89
		},
		{
		0x9f15,
		0xfc8a
		},
		{
		0x9f16,
		0xfc8b
		},
		{
		0x9f18,
		0xfc8c
		},
		{
		0x9f1a,
		0xfc8d
		},
		{
		0x9f1b,
		0xfc8e
		},
		{
		0x9f1c,
		0xfc8f
		},
		{
		0x9f1d,
		0xfc90
		},
		{
		0x9f1e,
		0xfc91
		},
		{
		0x9f1f,
		0xfc92
		},
		{
		0x9f21,
		0xfc93
		},
		{
		0x9f23,
		0xfc94
		},
		{
		0x9f24,
		0xfc95
		},
		{
		0x9f25,
		0xfc96
		},
		{
		0x9f26,
		0xfc97
		},
		{
		0x9f27,
		0xfc98
		},
		{
		0x9f28,
		0xfc99
		},
		{
		0x9f29,
		0xfc9a
		},
		{
		0x9f2a,
		0xfc9b
		},
		{
		0x9f2b,
		0xfc9c
		},
		{
		0x9f2d,
		0xfc9d
		},
		{
		0x9f2e,
		0xfc9e
		},
		{
		0x9f30,
		0xfc9f
		},
		{
		0x9f31,
		0xfca0
		},
		{
		0x9f32,
		0xfd40
		},
		{
		0x9f33,
		0xfd41
		},
		{
		0x9f34,
		0xfd42
		},
		{
		0x9f35,
		0xfd43
		},
		{
		0x9f36,
		0xfd44
		},
		{
		0x9f38,
		0xfd45
		},
		{
		0x9f3a,
		0xfd46
		},
		{
		0x9f3c,
		0xfd47
		},
		{
		0x9f3f,
		0xfd48
		},
		{
		0x9f40,
		0xfd49
		},
		{
		0x9f41,
		0xfd4a
		},
		{
		0x9f42,
		0xfd4b
		},
		{
		0x9f43,
		0xfd4c
		},
		{
		0x9f45,
		0xfd4d
		},
		{
		0x9f46,
		0xfd4e
		},
		{
		0x9f47,
		0xfd4f
		},
		{
		0x9f48,
		0xfd50
		},
		{
		0x9f49,
		0xfd51
		},
		{
		0x9f4a,
		0xfd52
		},
		{
		0x9f4b,
		0xfd53
		},
		{
		0x9f4c,
		0xfd54
		},
		{
		0x9f4d,
		0xfd55
		},
		{
		0x9f4e,
		0xfd56
		},
		{
		0x9f4f,
		0xfd57
		},
		{
		0x9f52,
		0xfd58
		},
		{
		0x9f53,
		0xfd59
		},
		{
		0x9f54,
		0xfd5a
		},
		{
		0x9f55,
		0xfd5b
		},
		{
		0x9f56,
		0xfd5c
		},
		{
		0x9f57,
		0xfd5d
		},
		{
		0x9f58,
		0xfd5e
		},
		{
		0x9f59,
		0xfd5f
		},
		{
		0x9f5a,
		0xfd60
		},
		{
		0x9f5b,
		0xfd61
		},
		{
		0x9f5c,
		0xfd62
		},
		{
		0x9f5d,
		0xfd63
		},
		{
		0x9f5e,
		0xfd64
		},
		{
		0x9f5f,
		0xfd65
		},
		{
		0x9f60,
		0xfd66
		},
		{
		0x9f61,
		0xfd67
		},
		{
		0x9f62,
		0xfd68
		},
		{
		0x9f63,
		0xfd69
		},
		{
		0x9f64,
		0xfd6a
		},
		{
		0x9f65,
		0xfd6b
		},
		{
		0x9f66,
		0xfd6c
		},
		{
		0x9f67,
		0xfd6d
		},
		{
		0x9f68,
		0xfd6e
		},
		{
		0x9f69,
		0xfd6f
		},
		{
		0x9f6a,
		0xfd70
		},
		{
		0x9f6b,
		0xfd71
		},
		{
		0x9f6c,
		0xfd72
		},
		{
		0x9f6d,
		0xfd73
		},
		{
		0x9f6e,
		0xfd74
		},
		{
		0x9f6f,
		0xfd75
		},
		{
		0x9f70,
		0xfd76
		},
		{
		0x9f71,
		0xfd77
		},
		{
		0x9f72,
		0xfd78
		},
		{
		0x9f73,
		0xfd79
		},
		{
		0x9f74,
		0xfd7a
		},
		{
		0x9f75,
		0xfd7b
		},
		{
		0x9f76,
		0xfd7c
		},
		{
		0x9f77,
		0xfd7d
		},
		{
		0x9f78,
		0xfd7e
		},
		{
		0x9f79,
		0xfd80
		},
		{
		0x9f7a,
		0xfd81
		},
		{
		0x9f7b,
		0xfd82
		},
		{
		0x9f7c,
		0xfd83
		},
		{
		0x9f7d,
		0xfd84
		},
		{
		0x9f7e,
		0xfd85
		},
		{
		0x9f81,
		0xfd86
		},
		{
		0x9f82,
		0xfd87
		},
		{
		0x9f8d,
		0xfd88
		},
		{
		0x9f8e,
		0xfd89
		},
		{
		0x9f8f,
		0xfd8a
		},
		{
		0x9f90,
		0xfd8b
		},
		{
		0x9f91,
		0xfd8c
		},
		{
		0x9f92,
		0xfd8d
		},
		{
		0x9f93,
		0xfd8e
		},
		{
		0x9f94,
		0xfd8f
		},
		{
		0x9f95,
		0xfd90
		},
		{
		0x9f96,
		0xfd91
		},
		{
		0x9f97,
		0xfd92
		},
		{
		0x9f98,
		0xfd93
		},
		{
		0x9f9c,
		0xfd94
		},
		{
		0x9f9d,
		0xfd95
		},
		{
		0x9f9e,
		0xfd96
		},
		{
		0x9fa1,
		0xfd97
		},
		{
		0x9fa2,
		0xfd98
		},
		{
		0x9fa3,
		0xfd99
		},
		{
		0x9fa4,
		0xfd9a
		},
		{
		0x9fa5,
		0xfd9b
		},
		{
		0xf92c,
		0xfd9c
		},
		{
		0xf979,
		0xfd9d
		},
		{
		0xf995,
		0xfd9e
		},
		{
		0xf9e7,
		0xfd9f
		},
		{
		0xf9f1,
		0xfda0
		},
		{
		0xfa0c,
		0xfe40
		},
		{
		0xfa0d,
		0xfe41
		},
		{
		0xfa0e,
		0xfe42
		},
		{
		0xfa0f,
		0xfe43
		},
		{
		0xfa11,
		0xfe44
		},
		{
		0xfa13,
		0xfe45
		},
		{
		0xfa14,
		0xfe46
		},
		{
		0xfa18,
		0xfe47
		},
		{
		0xfa1f,
		0xfe48
		},
		{
		0xfa20,
		0xfe49
		},
		{
		0xfa21,
		0xfe4a
		},
		{
		0xfa23,
		0xfe4b
		},
		{
		0xfa24,
		0xfe4c
		},
		{
		0xfa27,
		0xfe4d
		},
		{
		0xfa28,
		0xfe4e
		},
		{
		0xfa29,
		0xfe4f
		},
		{
		0xfe30,
		0xa955
		},
		{
		0xfe31,
		0xa6f2
		},
		{
		0xfe33,
		0xa6f4
		},
		{
		0xfe34,
		0xa6f5
		},
		{
		0xfe35,
		0xa6e0
		},
		{
		0xfe36,
		0xa6e1
		},
		{
		0xfe37,
		0xa6f0
		},
		{
		0xfe38,
		0xa6f1
		},
		{
		0xfe39,
		0xa6e2
		},
		{
		0xfe3a,
		0xa6e3
		},
		{
		0xfe3b,
		0xa6ee
		},
		{
		0xfe3c,
		0xa6ef
		},
		{
		0xfe3d,
		0xa6e6
		},
		{
		0xfe3e,
		0xa6e7
		},
		{
		0xfe3f,
		0xa6e4
		},
		{
		0xfe40,
		0xa6e5
		},
		{
		0xfe41,
		0xa6e8
		},
		{
		0xfe42,
		0xa6e9
		},
		{
		0xfe43,
		0xa6ea
		},
		{
		0xfe44,
		0xa6eb
		},
		{
		0xfe49,
		0xa968
		},
		{
		0xfe4a,
		0xa969
		},
		{
		0xfe4b,
		0xa96a
		},
		{
		0xfe4c,
		0xa96b
		},
		{
		0xfe4d,
		0xa96c
		},
		{
		0xfe4e,
		0xa96d
		},
		{
		0xfe4f,
		0xa96e
		},
		{
		0xfe50,
		0xa96f
		},
		{
		0xfe51,
		0xa970
		},
		{
		0xfe52,
		0xa971
		},
		{
		0xfe54,
		0xa972
		},
		{
		0xfe55,
		0xa973
		},
		{
		0xfe56,
		0xa974
		},
		{
		0xfe57,
		0xa975
		},
		{
		0xfe59,
		0xa976
		},
		{
		0xfe5a,
		0xa977
		},
		{
		0xfe5b,
		0xa978
		},
		{
		0xfe5c,
		0xa979
		},
		{
		0xfe5d,
		0xa97a
		},
		{
		0xfe5e,
		0xa97b
		},
		{
		0xfe5f,
		0xa97c
		},
		{
		0xfe60,
		0xa97d
		},
		{
		0xfe61,
		0xa97e
		},
		{
		0xfe62,
		0xa980
		},
		{
		0xfe63,
		0xa981
		},
		{
		0xfe64,
		0xa982
		},
		{
		0xfe65,
		0xa983
		},
		{
		0xfe66,
		0xa984
		},
		{
		0xfe68,
		0xa985
		},
		{
		0xfe69,
		0xa986
		},
		{
		0xfe6a,
		0xa987
		},
		{
		0xfe6b,
		0xa988
		},
		{
		0xffe2,
		0xa956
		},
		{
		0xffe4,
		0xa957
		}
	};

LOCAL_D const SCnvConversionData::SVariableByteData::SRange foreignVariableByteDataRanges[]=
	{
		{
		0x00,
		0x7f,
		0,
		0
		},
		{
		0x80,
		0xff,
		1,
		0
		}
	};

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange foreignToUnicodeDataRanges[]=
	{
		{
		0x8140,
		0xfe4f,
		SCnvConversionData::SOneDirectionData::SRange::EKeyedTable16OfIndexedTables16,
		0,
		0,
			{
			UData_SKeyedTable16OfIndexedTables16(keyedTables16OfIndexedTables16_keyedEntries_foreignToUnicode_1)
			}
		},
		{
		0xa6ee,
		0xa996,
		SCnvConversionData::SOneDirectionData::SRange::EKeyedTable1616,
		0,
		0,
			{
			UData_SKeyedTable1616(keyedTable1616_foreignToUnicode_1)
			}
		}
	};

LOCAL_D const SCnvConversionData::SOneDirectionData::SRange unicodeToForeignDataRanges[]=
	{
		{
		0x0144,
		0xffe4,
		SCnvConversionData::SOneDirectionData::SRange::EKeyedTable1616,
		2,
		0,
			{
			UData_SKeyedTable1616(keyedTable1616_unicodeToForeign_1)
			}
		}
	};

GLDEF_D const SCnvConversionData conversionData=
	{
	SCnvConversionData::EFixedBigEndian,
		{
		ARRAY_LENGTH(foreignVariableByteDataRanges),
		foreignVariableByteDataRanges
		},
		{
		ARRAY_LENGTH(foreignToUnicodeDataRanges),
		foreignToUnicodeDataRanges
		},
		{
		ARRAY_LENGTH(unicodeToForeignDataRanges),
		unicodeToForeignDataRanges
		},
	NULL,
	NULL
	};

